(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_remove.spl:41:6-28:Possible heap access through null or dangling reference
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun Frame$0 (SetLoc SetLoc FldInt FldInt) Bool)
(declare-fun Frame$1 (SetLoc SetLoc FldLoc FldLoc) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_23$0 () Bool)
(declare-fun Axiom_24$0 () Bool)
(declare-fun Axiom_25$0 () Bool)
(declare-fun Axiom_26$0 () Bool)
(declare-fun Axiom_27$0 () Bool)
(declare-fun Axiom_28$0 () Bool)
(declare-fun Axiom_29$0 () Bool)
(declare-fun Axiom_30$0 () Bool)
(declare-fun Axiom_31$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_1$0 () SetLoc)
(declare-fun FP_2$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_1$0 () SetLoc)
(declare-fun curr_2$0 () Loc)
(declare-fun curr_3$0 () Loc)
(declare-fun data$0 () FldInt)
(declare-fun lslseg_domain$0 (FldInt FldLoc Loc Loc Int) SetLoc)
(declare-fun lslseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int) Bool)
(declare-fun lst$0 () Loc)
(declare-fun lst_1$0 () Loc)
(declare-fun next$0 () FldLoc)
(declare-fun prv_2$0 () Loc)
(declare-fun prv_3$0 () Loc)
(declare-fun sk_?X_53$0 () SetLoc)
(declare-fun sk_?X_54$0 () SetLoc)
(declare-fun sk_?X_55$0 () SetLoc)
(declare-fun sk_?X_56$0 () SetLoc)
(declare-fun sk_?X_57$0 () SetLoc)
(declare-fun sk_?X_58$0 () SetLoc)
(declare-fun sk_?X_59$0 () SetLoc)
(declare-fun sk_?X_60$0 () SetLoc)
(declare-fun sk_?X_61$0 () SetLoc)
(declare-fun sk_?X_62$0 () SetLoc)
(declare-fun sk_?X_63$0 () SetLoc)
(declare-fun sk_?X_64$0 () SetLoc)
(declare-fun sk_?X_65$0 () SetLoc)
(declare-fun sk_?X_66$0 () SetLoc)
(declare-fun sk_?X_67$0 () SetLoc)
(declare-fun sk_?X_68$0 () SetLoc)
(declare-fun sk_?X_69$0 () SetLoc)
(declare-fun sk_?X_70$0 () SetLoc)
(declare-fun sk_?X_71$0 () SetLoc)
(declare-fun sk_?X_72$0 () SetLoc)
(declare-fun sk_?X_73$0 () SetLoc)
(declare-fun slseg_domain$0 (FldInt FldLoc Loc Loc) SetLoc)
(declare-fun slseg_struct$0 (SetLoc FldInt FldLoc Loc Loc) Bool)
(declare-fun value$0 () Int)
(declare-fun value_1$0 () Int)

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 prv_3$0 ?y ?y)) (= prv_3$0 ?y)
            (Btwn$0 next$0 prv_3$0 (read$1 next$0 prv_3$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 prv_2$0 ?y ?y)) (= prv_2$0 ?y)
            (Btwn$0 next$0 prv_2$0 (read$1 next$0 prv_2$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 prv_3$0) prv_3$0))
            (not (Btwn$0 next$0 prv_3$0 ?y ?y)) (= prv_3$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 prv_2$0) prv_2$0))
            (not (Btwn$0 next$0 prv_2$0 ?y ?y)) (= prv_2$0 ?y))))

(assert (Btwn$0 next$0 prv_3$0 (read$1 next$0 prv_3$0) (read$1 next$0 prv_3$0)))

(assert (Btwn$0 next$0 prv_2$0 (read$1 next$0 prv_2$0) (read$1 next$0 prv_2$0)))

(assert (or (in$0 (ep$0 next$0 FP_1$0 prv_2$0) FP_1$0)
    (= prv_2$0 (ep$0 next$0 FP_1$0 prv_2$0))))

(assert (or (in$0 (ep$0 next$0 FP_1$0 lst_1$0) FP_1$0)
    (= lst_1$0 (ep$0 next$0 FP_1$0 lst_1$0))))

(assert (or (in$0 (ep$0 next$0 FP_1$0 curr_3$0) FP_1$0)
    (= curr_3$0 (ep$0 next$0 FP_1$0 curr_3$0))))

(assert (forall ((l1 Loc))
        (or (not Axiom_29$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 prv_2$0))
                (not (in$0 l1 sk_?X_69$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_28$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 prv_2$0))
                (not (in$0 l1 sk_?X_69$0)) (not (in$0 l2 sk_?X_69$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_26$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$0 l1 sk_?X_60$0))
                (not (in$0 l2 sk_?X_60$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_24$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$0 l1 sk_?X_71$0))
                (not (in$0 l2 sk_?X_71$0))))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 prv_2$0 (ep$0 next$0 FP_1$0 prv_2$0) ?y)
            (not (Btwn$0 next$0 prv_2$0 ?y ?y)) (not (in$0 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 lst_1$0 (ep$0 next$0 FP_1$0 lst_1$0) ?y)
            (not (Btwn$0 next$0 lst_1$0 ?y ?y)) (not (in$0 ?y FP_1$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 curr_3$0 (ep$0 next$0 FP_1$0 curr_3$0) ?y)
            (not (Btwn$0 next$0 curr_3$0 ?y ?y)) (not (in$0 ?y FP_1$0)))))

(assert (Btwn$0 next$0 prv_2$0 (ep$0 next$0 FP_1$0 prv_2$0)
  (ep$0 next$0 FP_1$0 prv_2$0)))

(assert (Btwn$0 next$0 lst_1$0 (ep$0 next$0 FP_1$0 lst_1$0)
  (ep$0 next$0 FP_1$0 lst_1$0)))

(assert (Btwn$0 next$0 curr_3$0 (ep$0 next$0 FP_1$0 curr_3$0)
  (ep$0 next$0 FP_1$0 curr_3$0)))

(assert (forall ((l1 Loc))
        (or (not Axiom_31$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 prv_3$0))
                (not (in$0 l1 sk_?X_56$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_30$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 prv_3$0))
                (not (in$0 l1 sk_?X_56$0)) (not (in$0 l2 sk_?X_56$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_27$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$0 l1 sk_?X_73$0))
                (not (in$0 l2 sk_?X_73$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_25$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$0 l1 sk_?X_54$0))
                (not (in$0 l2 sk_?X_54$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_23$0)
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$0 l1 sk_?X_65$0))
                (not (in$0 l2 sk_?X_65$0))))))

(assert (forall ((x Loc))
        (or
            (and
                 (in$0 x
                   (union$0 (intersection$0 Alloc$0 FP_1$0)
                     (setminus$0 Alloc$0 Alloc$0)))
                 (or (in$0 x (intersection$0 Alloc$0 FP_1$0))
                     (in$0 x (setminus$0 Alloc$0 Alloc$0))))
            (and (not (in$0 x (intersection$0 Alloc$0 FP_1$0)))
                 (not (in$0 x (setminus$0 Alloc$0 Alloc$0)))
                 (not
                      (in$0 x
                        (union$0 (intersection$0 Alloc$0 FP_1$0)
                          (setminus$0 Alloc$0 Alloc$0))))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_Caller$0 Alloc$0))
                 (or (in$0 x FP_Caller$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_Caller$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_Caller$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_2$0 Alloc$0))
                 (or (in$0 x FP_2$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_2$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_2$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_1$0 FP$0))
                 (or (in$0 x FP_1$0) (in$0 x FP$0)))
            (and (not (in$0 x FP_1$0)) (not (in$0 x FP$0))
                 (not (in$0 x (union$0 FP_1$0 FP$0)))))))

(assert (forall ((x Loc))
        (or
            (and
                 (in$0 x
                   (union$0 (setminus$0 FP$0 FP_1$0)
                     (union$0 (intersection$0 Alloc$0 FP_1$0)
                       (setminus$0 Alloc$0 Alloc$0))))
                 (or (in$0 x (setminus$0 FP$0 FP_1$0))
                     (in$0 x
                       (union$0 (intersection$0 Alloc$0 FP_1$0)
                         (setminus$0 Alloc$0 Alloc$0)))))
            (and (not (in$0 x (setminus$0 FP$0 FP_1$0)))
                 (not
                      (in$0 x
                        (union$0 (intersection$0 Alloc$0 FP_1$0)
                          (setminus$0 Alloc$0 Alloc$0))))
                 (not
                      (in$0 x
                        (union$0 (setminus$0 FP$0 FP_1$0)
                          (union$0 (intersection$0 Alloc$0 FP_1$0)
                            (setminus$0 Alloc$0 Alloc$0)))))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP$0 FP_Caller$0))
                 (or (in$0 x FP$0) (in$0 x FP_Caller$0)))
            (and (not (in$0 x FP$0)) (not (in$0 x FP_Caller$0))
                 (not (in$0 x (union$0 FP$0 FP_Caller$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_53$0 sk_?X_60$0))
                 (or (in$0 x sk_?X_53$0) (in$0 x sk_?X_60$0)))
            (and (not (in$0 x sk_?X_53$0)) (not (in$0 x sk_?X_60$0))
                 (not (in$0 x (union$0 sk_?X_53$0 sk_?X_60$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_56$0 sk_?X_57$0))
                 (or (in$0 x sk_?X_56$0) (in$0 x sk_?X_57$0)))
            (and (not (in$0 x sk_?X_56$0)) (not (in$0 x sk_?X_57$0))
                 (not (in$0 x (union$0 sk_?X_56$0 sk_?X_57$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_59$0 sk_?X_60$0))
                 (or (in$0 x sk_?X_59$0) (in$0 x sk_?X_60$0)))
            (and (not (in$0 x sk_?X_59$0)) (not (in$0 x sk_?X_60$0))
                 (not (in$0 x (union$0 sk_?X_59$0 sk_?X_60$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_66$0 FP$0))
                 (or (in$0 x sk_?X_66$0) (in$0 x FP$0)))
            (and (not (in$0 x sk_?X_66$0)) (not (in$0 x FP$0))
                 (not (in$0 x (union$0 sk_?X_66$0 FP$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_69$0 sk_?X_68$0))
                 (or (in$0 x sk_?X_69$0) (in$0 x sk_?X_68$0)))
            (and (not (in$0 x sk_?X_69$0)) (not (in$0 x sk_?X_68$0))
                 (not (in$0 x (union$0 sk_?X_69$0 sk_?X_68$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_53$0 FP$0))
                 (or (in$0 x sk_?X_53$0) (in$0 x FP$0)))
            (and (not (in$0 x sk_?X_53$0)) (not (in$0 x FP$0))
                 (not (in$0 x (union$0 sk_?X_53$0 FP$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x FP_1$0)
                 (in$0 x (intersection$0 Alloc$0 FP_1$0)))
            (and (or (not (in$0 x Alloc$0)) (not (in$0 x FP_1$0)))
                 (not (in$0 x (intersection$0 Alloc$0 FP_1$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_53$0) (in$0 x sk_?X_60$0)
                 (in$0 x (intersection$0 sk_?X_53$0 sk_?X_60$0)))
            (and (or (not (in$0 x sk_?X_53$0)) (not (in$0 x sk_?X_60$0)))
                 (not (in$0 x (intersection$0 sk_?X_53$0 sk_?X_60$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_56$0) (in$0 x sk_?X_57$0)
                 (in$0 x (intersection$0 sk_?X_56$0 sk_?X_57$0)))
            (and (or (not (in$0 x sk_?X_56$0)) (not (in$0 x sk_?X_57$0)))
                 (not (in$0 x (intersection$0 sk_?X_56$0 sk_?X_57$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_59$0) (in$0 x sk_?X_60$0)
                 (in$0 x (intersection$0 sk_?X_59$0 sk_?X_60$0)))
            (and (or (not (in$0 x sk_?X_59$0)) (not (in$0 x sk_?X_60$0)))
                 (not (in$0 x (intersection$0 sk_?X_59$0 sk_?X_60$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_66$0) (in$0 x FP$0)
                 (in$0 x (intersection$0 sk_?X_66$0 FP$0)))
            (and (or (not (in$0 x sk_?X_66$0)) (not (in$0 x FP$0)))
                 (not (in$0 x (intersection$0 sk_?X_66$0 FP$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_69$0) (in$0 x sk_?X_68$0)
                 (in$0 x (intersection$0 sk_?X_69$0 sk_?X_68$0)))
            (and (or (not (in$0 x sk_?X_69$0)) (not (in$0 x sk_?X_68$0)))
                 (not (in$0 x (intersection$0 sk_?X_69$0 sk_?X_68$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_53$0) (in$0 x FP$0)
                 (in$0 x (intersection$0 sk_?X_53$0 FP$0)))
            (and (or (not (in$0 x sk_?X_53$0)) (not (in$0 x FP$0)))
                 (not (in$0 x (intersection$0 sk_?X_53$0 FP$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x (setminus$0 Alloc$0 Alloc$0))
                 (not (in$0 x Alloc$0)))
            (and (or (in$0 x Alloc$0) (not (in$0 x Alloc$0)))
                 (not (in$0 x (setminus$0 Alloc$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x FP$0) (in$0 x (setminus$0 FP$0 FP_1$0))
                 (not (in$0 x FP_1$0)))
            (and (or (in$0 x FP_1$0) (not (in$0 x FP$0)))
                 (not (in$0 x (setminus$0 FP$0 FP_1$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x FP_Caller$0) (in$0 x (setminus$0 FP_Caller$0 FP$0))
                 (not (in$0 x FP$0)))
            (and (or (in$0 x FP$0) (not (in$0 x FP_Caller$0)))
                 (not (in$0 x (setminus$0 FP_Caller$0 FP$0)))))))

(assert (forall ((y Loc) (x Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (= (read$1 next$0 null$0) null$0))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (= curr_3$0 null$0) (not (< (read$0 data$0 curr_3$0) value_1$0))))

(assert (or (and (Btwn$0 next$0 curr_2$0 null$0 null$0) Axiom_24$0)
    (not (slseg_struct$0 sk_?X_71$0 data$0 next$0 curr_2$0 null$0))))

(assert (or (and (Btwn$0 next$0 curr_3$0 null$0 null$0) Axiom_26$0)
    (not (slseg_struct$0 sk_?X_60$0 data$0 next$0 curr_3$0 null$0))))

(assert (or (and (Btwn$0 next$0 lst$0 prv_2$0 prv_2$0) Axiom_29$0 Axiom_28$0)
    (not
         (lslseg_struct$0 sk_?X_69$0 data$0 next$0 lst$0 prv_2$0
           (read$0 data$0 prv_2$0)))))

(assert (= (read$0 data$0 curr_3$0) value_1$0))

(assert (= FP_Caller_1$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= lst_1$0 lst$0))

(assert (= value_1$0 value$0))

(assert (Frame$1 FP_1$0 Alloc$0 next$0 next$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_54$0 (slseg_domain$0 data$0 next$0 curr_3$0 null$0)))

(assert (= sk_?X_56$0
  (lslseg_domain$0 data$0 next$0 lst_1$0 prv_3$0 (read$0 data$0 prv_3$0))))

(assert (= sk_?X_58$0 sk_?X_57$0))

(assert (= sk_?X_60$0 (slseg_domain$0 data$0 next$0 curr_3$0 null$0)))

(assert (= sk_?X_62$0 sk_?X_61$0))

(assert (= sk_?X_63$0 sk_?X_64$0))

(assert (= sk_?X_65$0 (slseg_domain$0 data$0 next$0 curr_2$0 null$0)))

(assert (= sk_?X_67$0 sk_?X_68$0))

(assert (= sk_?X_69$0
  (lslseg_domain$0 data$0 next$0 lst$0 prv_2$0 (read$0 data$0 prv_2$0))))

(assert (= sk_?X_71$0 (slseg_domain$0 data$0 next$0 curr_2$0 null$0)))

(assert (= FP$0 (union$0 FP_1$0 FP$0)))

(assert (= sk_?X_73$0 FP$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (not (= curr_3$0 null$0)))

(assert (not (in$0 null$0 Alloc$0)))

(assert (not (in$0 curr_3$0 FP_2$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_3$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next$0 curr_3$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 curr_3$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next$0 curr_3$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst$0 l1 prv_2$0)
                 (in$0 l1
                   (lslseg_domain$0 data$0 next$0 lst$0 prv_2$0
                     (read$0 data$0 prv_2$0)))
                 (not (= l1 prv_2$0)))
            (and (or (= l1 prv_2$0) (not (Btwn$0 next$0 lst$0 l1 prv_2$0)))
                 (not
                      (in$0 l1
                        (lslseg_domain$0 data$0 next$0 lst$0 prv_2$0
                          (read$0 data$0 prv_2$0))))))))

(assert (or (and (Btwn$0 next$0 curr_2$0 null$0 null$0) Axiom_23$0)
    (not (slseg_struct$0 sk_?X_65$0 data$0 next$0 curr_2$0 null$0))))

(assert (or (and (Btwn$0 next$0 curr_3$0 null$0 null$0) Axiom_25$0)
    (not (slseg_struct$0 sk_?X_54$0 data$0 next$0 curr_3$0 null$0))))

(assert (or (and (Btwn$0 next$0 lst$0 null$0 null$0) Axiom_27$0)
    (not (slseg_struct$0 sk_?X_73$0 data$0 next$0 lst$0 null$0))))

(assert (or (and (Btwn$0 next$0 lst_1$0 prv_3$0 prv_3$0) Axiom_31$0 Axiom_30$0)
    (not
         (lslseg_struct$0 sk_?X_56$0 data$0 next$0 lst_1$0 prv_3$0
           (read$0 data$0 prv_3$0)))))

(assert (= FP_2$0
  (union$0 (setminus$0 FP$0 FP_1$0)
    (union$0 (intersection$0 Alloc$0 FP_1$0) (setminus$0 Alloc$0 Alloc$0)))))

(assert (= curr_2$0 lst$0))

(assert (= prv_2$0 null$0))

(assert (Frame$0 FP_1$0 Alloc$0 data$0 data$0))

(assert (= Alloc$0 (union$0 FP_2$0 Alloc$0)))

(assert (= sk_?X_53$0 emptyset$0))

(assert (= sk_?X_55$0 (union$0 sk_?X_53$0 sk_?X_54$0)))

(assert (= sk_?X_57$0 (setenum$0 prv_3$0)))

(assert (= sk_?X_59$0 (union$0 sk_?X_56$0 sk_?X_58$0)))

(assert (= sk_?X_61$0 (union$0 sk_?X_59$0 sk_?X_60$0)))

(assert (or
    (and (= (read$1 next$0 prv_3$0) curr_3$0) (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_56$0 sk_?X_58$0))
         (= emptyset$0 (intersection$0 sk_?X_59$0 sk_?X_60$0))
         (= sk_?X_62$0
           (union$0 (intersection$0 Alloc$0 FP_1$0)
             (setminus$0 Alloc$0 Alloc$0)))
         (lslseg_struct$0 sk_?X_56$0 data$0 next$0 lst_1$0 prv_3$0
           (read$0 data$0 prv_3$0))
         (slseg_struct$0 sk_?X_60$0 data$0 next$0 curr_3$0 null$0)
         (or (= curr_3$0 null$0)
             (<= (read$0 data$0 prv_3$0) (read$0 data$0 curr_3$0))))
    (and (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_53$0 sk_?X_54$0))
         (= curr_3$0 lst_1$0) (= prv_3$0 null$0)
         (= sk_?X_55$0
           (union$0 (intersection$0 Alloc$0 FP_1$0)
             (setminus$0 Alloc$0 Alloc$0)))
         (slseg_struct$0 sk_?X_54$0 data$0 next$0 curr_3$0 null$0))))

(assert (= sk_?X_64$0 (union$0 sk_?X_66$0 sk_?X_65$0)))

(assert (= sk_?X_66$0 (union$0 sk_?X_69$0 sk_?X_67$0)))

(assert (= sk_?X_68$0 (setenum$0 prv_2$0)))

(assert (= sk_?X_70$0 (union$0 sk_?X_72$0 sk_?X_71$0)))

(assert (= sk_?X_72$0 emptyset$0))

(assert (or
    (and (= (read$1 next$0 prv_2$0) curr_2$0) (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_66$0 sk_?X_65$0))
         (= emptyset$0 (intersection$0 sk_?X_69$0 sk_?X_67$0))
         (= sk_?X_63$0 FP_1$0)
         (lslseg_struct$0 sk_?X_69$0 data$0 next$0 lst$0 prv_2$0
           (read$0 data$0 prv_2$0))
         (slseg_struct$0 sk_?X_65$0 data$0 next$0 curr_2$0 null$0)
         (or (= curr_2$0 null$0)
             (<= (read$0 data$0 prv_2$0) (read$0 data$0 curr_2$0))))
    (and (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_72$0 sk_?X_71$0))
         (= curr_2$0 lst$0) (= prv_2$0 null$0) (= sk_?X_70$0 FP_1$0)
         (slseg_struct$0 sk_?X_71$0 data$0 next$0 curr_2$0 null$0))))

(assert (= sk_?X_73$0 (slseg_domain$0 data$0 next$0 lst$0 null$0)))

(assert (slseg_struct$0 sk_?X_73$0 data$0 next$0 lst$0 null$0))

(assert (not (= prv_3$0 null$0)))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_2$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next$0 curr_2$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 curr_2$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next$0 curr_2$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next$0 lst$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 lst$0 l1 null$0)))
                 (not (in$0 l1 (slseg_domain$0 data$0 next$0 lst$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst_1$0 l1 prv_3$0)
                 (in$0 l1
                   (lslseg_domain$0 data$0 next$0 lst_1$0 prv_3$0
                     (read$0 data$0 prv_3$0)))
                 (not (= l1 prv_3$0)))
            (and (or (= l1 prv_3$0) (not (Btwn$0 next$0 lst_1$0 l1 prv_3$0)))
                 (not
                      (in$0 l1
                        (lslseg_domain$0 data$0 next$0 lst_1$0 prv_3$0
                          (read$0 data$0 prv_3$0))))))))

(assert (forall ((?x Loc)) (Btwn$0 next$0 ?x ?x ?x)))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?x ?z ?z))
            (Btwn$0 next$0 ?x ?y ?z) (Btwn$0 next$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z))
            (and (Btwn$0 next$0 ?x ?y ?y) (Btwn$0 next$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?y ?z ?z))
            (Btwn$0 next$0 ?x ?z ?z))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?y ?u ?z))
            (and (Btwn$0 next$0 ?x ?y ?u) (Btwn$0 next$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?x ?u ?y))
            (and (Btwn$0 next$0 ?x ?u ?z) (Btwn$0 next$0 ?u ?y ?z)))))

(check-sat)
(exit)
