(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_merge_sort.spl:85:4-16:Possible heap access through null or dangling reference
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldLoc Loc) Loc)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun Frame$0 (SetLoc SetLoc FldLoc FldLoc) Bool)
(declare-fun Frame$1 (SetLoc SetLoc FldInt FldInt) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_13$0 () SetLoc)
(declare-fun FP_14$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_4$0 () SetLoc)
(declare-fun curr_2$0 () Loc)
(declare-fun curr_3$0 () Loc)
(declare-fun data$0 () FldInt)
(declare-fun lseg_domain$0 (FldLoc Loc Loc) SetLoc)
(declare-fun lseg_struct$0 (SetLoc FldLoc Loc Loc) Bool)
(declare-fun next$0 () FldLoc)
(declare-fun sk_?X_230$0 () SetLoc)
(declare-fun sk_?X_231$0 () SetLoc)
(declare-fun sk_?X_232$0 () SetLoc)
(declare-fun sk_?X_233$0 () SetLoc)
(declare-fun sk_?X_234$0 () SetLoc)
(declare-fun sk_?X_235$0 () SetLoc)
(declare-fun sk_?X_236$0 () SetLoc)
(declare-fun sk_?X_237$0 () SetLoc)
(declare-fun sk_?X_238$0 () SetLoc)
(declare-fun sk_?X_239$0 () SetLoc)
(declare-fun sk_?X_240$0 () SetLoc)
(declare-fun tmp_2$0 () Loc)
(declare-fun x_1$0 () Loc)
(declare-fun y_6$0 () Loc)
(declare-fun y_7$0 () Loc)
(declare-fun z_1$0 () Loc)
(declare-fun z_2$0 () Loc)

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 curr_3$0 ?y ?y)) (= curr_3$0 ?y)
            (Btwn$0 next$0 curr_3$0 (read$0 next$0 curr_3$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$0 next$0 curr_3$0) curr_3$0))
            (not (Btwn$0 next$0 curr_3$0 ?y ?y)) (= curr_3$0 ?y))))

(assert (Btwn$0 next$0 curr_3$0 (read$0 next$0 curr_3$0) (read$0 next$0 curr_3$0)))

(assert (or (in$0 (ep$0 next$0 sk_?X_235$0 y_7$0) sk_?X_235$0)
    (= y_7$0 (ep$0 next$0 sk_?X_235$0 y_7$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_235$0 curr_3$0) sk_?X_235$0)
    (= curr_3$0 (ep$0 next$0 sk_?X_235$0 curr_3$0))))

(assert (or (in$0 (ep$0 next$0 sk_?X_235$0 z_2$0) sk_?X_235$0)
    (= z_2$0 (ep$0 next$0 sk_?X_235$0 z_2$0))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 y_7$0 (ep$0 next$0 sk_?X_235$0 y_7$0) ?y)
            (not (Btwn$0 next$0 y_7$0 ?y ?y)) (not (in$0 ?y sk_?X_235$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 curr_3$0 (ep$0 next$0 sk_?X_235$0 curr_3$0) ?y)
            (not (Btwn$0 next$0 curr_3$0 ?y ?y)) (not (in$0 ?y sk_?X_235$0)))))

(assert (forall ((?y Loc))
        (or (Btwn$0 next$0 z_2$0 (ep$0 next$0 sk_?X_235$0 z_2$0) ?y)
            (not (Btwn$0 next$0 z_2$0 ?y ?y)) (not (in$0 ?y sk_?X_235$0)))))

(assert (Btwn$0 next$0 y_7$0 (ep$0 next$0 sk_?X_235$0 y_7$0)
  (ep$0 next$0 sk_?X_235$0 y_7$0)))

(assert (Btwn$0 next$0 curr_3$0 (ep$0 next$0 sk_?X_235$0 curr_3$0)
  (ep$0 next$0 sk_?X_235$0 curr_3$0)))

(assert (Btwn$0 next$0 z_2$0 (ep$0 next$0 sk_?X_235$0 z_2$0)
  (ep$0 next$0 sk_?X_235$0 z_2$0)))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_Caller$0 Alloc$0))
                 (or (in$0 x FP_Caller$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_Caller$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_Caller$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP_14$0 Alloc$0))
                 (or (in$0 x FP_14$0) (in$0 x Alloc$0)))
            (and (not (in$0 x FP_14$0)) (not (in$0 x Alloc$0))
                 (not (in$0 x (union$0 FP_14$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_235$0 FP$0))
                 (or (in$0 x sk_?X_235$0) (in$0 x FP$0)))
            (and (not (in$0 x sk_?X_235$0)) (not (in$0 x FP$0))
                 (not (in$0 x (union$0 sk_?X_235$0 FP$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 (setminus$0 FP$0 FP_13$0) sk_?X_234$0))
                 (or (in$0 x (setminus$0 FP$0 FP_13$0)) (in$0 x sk_?X_234$0)))
            (and (not (in$0 x (setminus$0 FP$0 FP_13$0)))
                 (not (in$0 x sk_?X_234$0))
                 (not
                      (in$0 x
                        (union$0 (setminus$0 FP$0 FP_13$0) sk_?X_234$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 FP$0 FP_Caller$0))
                 (or (in$0 x FP$0) (in$0 x FP_Caller$0)))
            (and (not (in$0 x FP$0)) (not (in$0 x FP_Caller$0))
                 (not (in$0 x (union$0 FP$0 FP_Caller$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_230$0 sk_?X_231$0))
                 (or (in$0 x sk_?X_230$0) (in$0 x sk_?X_231$0)))
            (and (not (in$0 x sk_?X_230$0)) (not (in$0 x sk_?X_231$0))
                 (not (in$0 x (union$0 sk_?X_230$0 sk_?X_231$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_232$0 sk_?X_233$0))
                 (or (in$0 x sk_?X_232$0) (in$0 x sk_?X_233$0)))
            (and (not (in$0 x sk_?X_232$0)) (not (in$0 x sk_?X_233$0))
                 (not (in$0 x (union$0 sk_?X_232$0 sk_?X_233$0)))))))

(assert (forall ((x Loc))
        (or
            (and
                 (in$0 x
                   (union$0 (intersection$0 Alloc$0 FP_13$0)
                     (setminus$0 Alloc$0 Alloc$0)))
                 (or (in$0 x (intersection$0 Alloc$0 FP_13$0))
                     (in$0 x (setminus$0 Alloc$0 Alloc$0))))
            (and (not (in$0 x (intersection$0 Alloc$0 FP_13$0)))
                 (not (in$0 x (setminus$0 Alloc$0 Alloc$0)))
                 (not
                      (in$0 x
                        (union$0 (intersection$0 Alloc$0 FP_13$0)
                          (setminus$0 Alloc$0 Alloc$0))))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_237$0 FP$0))
                 (or (in$0 x sk_?X_237$0) (in$0 x FP$0)))
            (and (not (in$0 x sk_?X_237$0)) (not (in$0 x FP$0))
                 (not (in$0 x (union$0 sk_?X_237$0 FP$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x (union$0 sk_?X_239$0 sk_?X_239$0))
                 (or (in$0 x sk_?X_239$0) (in$0 x sk_?X_239$0)))
            (and (not (in$0 x sk_?X_239$0)) (not (in$0 x sk_?X_239$0))
                 (not (in$0 x (union$0 sk_?X_239$0 sk_?X_239$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_239$0) (in$0 x sk_?X_239$0)
                 (in$0 x (intersection$0 sk_?X_239$0 sk_?X_239$0)))
            (and (or (not (in$0 x sk_?X_239$0)) (not (in$0 x sk_?X_239$0)))
                 (not (in$0 x (intersection$0 sk_?X_239$0 sk_?X_239$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_237$0) (in$0 x FP$0)
                 (in$0 x (intersection$0 sk_?X_237$0 FP$0)))
            (and (or (not (in$0 x sk_?X_237$0)) (not (in$0 x FP$0)))
                 (not (in$0 x (intersection$0 sk_?X_237$0 FP$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_232$0) (in$0 x sk_?X_233$0)
                 (in$0 x (intersection$0 sk_?X_232$0 sk_?X_233$0)))
            (and (or (not (in$0 x sk_?X_232$0)) (not (in$0 x sk_?X_233$0)))
                 (not (in$0 x (intersection$0 sk_?X_232$0 sk_?X_233$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x sk_?X_230$0) (in$0 x sk_?X_231$0)
                 (in$0 x (intersection$0 sk_?X_230$0 sk_?X_231$0)))
            (and (or (not (in$0 x sk_?X_230$0)) (not (in$0 x sk_?X_231$0)))
                 (not (in$0 x (intersection$0 sk_?X_230$0 sk_?X_231$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x sk_?X_235$0)
                 (in$0 x (intersection$0 Alloc$0 sk_?X_235$0)))
            (and (or (not (in$0 x Alloc$0)) (not (in$0 x sk_?X_235$0)))
                 (not (in$0 x (intersection$0 Alloc$0 sk_?X_235$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x Alloc$0) (in$0 x (setminus$0 Alloc$0 Alloc$0))
                 (not (in$0 x Alloc$0)))
            (and (or (in$0 x Alloc$0) (not (in$0 x Alloc$0)))
                 (not (in$0 x (setminus$0 Alloc$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x FP$0) (in$0 x (setminus$0 FP$0 sk_?X_235$0))
                 (not (in$0 x sk_?X_235$0)))
            (and (or (in$0 x sk_?X_235$0) (not (in$0 x FP$0)))
                 (not (in$0 x (setminus$0 FP$0 sk_?X_235$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$0 x FP_Caller$0) (in$0 x (setminus$0 FP_Caller$0 FP$0))
                 (not (in$0 x FP$0)))
            (and (or (in$0 x FP$0) (not (in$0 x FP_Caller$0)))
                 (not (in$0 x (setminus$0 FP_Caller$0 FP$0)))))))

(assert (forall ((y Loc) (x Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (= (read$0 next$0 null$0) null$0))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (Btwn$0 next$0 curr_3$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_233$0 next$0 curr_3$0 null$0))))

(assert (or (Btwn$0 next$0 y_6$0 z_1$0 z_1$0)
    (not (lseg_struct$0 sk_?X_239$0 next$0 y_6$0 z_1$0))))

(assert (or (Btwn$0 next$0 z_1$0 curr_2$0 curr_2$0)
    (not (lseg_struct$0 sk_?X_238$0 next$0 z_1$0 curr_2$0))))

(assert (= FP_14$0
  (union$0 (setminus$0 FP$0 FP_13$0)
    (union$0 (intersection$0 Alloc$0 FP_13$0) (setminus$0 Alloc$0 Alloc$0)))))

(assert (= curr_2$0 x_1$0))

(assert (= tmp_2$0 z_2$0))

(assert (= y_7$0 y_6$0))

(assert (Frame$1 FP_13$0 Alloc$0 data$0 data$0))

(assert (= Alloc$0 (union$0 FP_14$0 Alloc$0)))

(assert (= emptyset$0 (intersection$0 sk_?X_230$0 sk_?X_231$0)))

(assert (= sk_?X_230$0 (lseg_domain$0 next$0 y_7$0 z_2$0)))

(assert (= sk_?X_232$0 (union$0 sk_?X_230$0 sk_?X_231$0)))

(assert (= sk_?X_234$0
  (union$0 (intersection$0 Alloc$0 FP_13$0) (setminus$0 Alloc$0 Alloc$0))))

(assert (lseg_struct$0 sk_?X_230$0 next$0 y_7$0 z_2$0))

(assert (lseg_struct$0 sk_?X_233$0 next$0 curr_3$0 null$0))

(assert (= emptyset$0 (intersection$0 sk_?X_239$0 sk_?X_238$0)))

(assert (= sk_?X_235$0 FP_13$0))

(assert (= sk_?X_237$0 (union$0 sk_?X_239$0 sk_?X_238$0)))

(assert (= sk_?X_239$0 (lseg_domain$0 next$0 y_6$0 z_1$0)))

(assert (lseg_struct$0 sk_?X_236$0 next$0 curr_2$0 null$0))

(assert (lseg_struct$0 sk_?X_239$0 next$0 y_6$0 z_1$0))

(assert (= sk_?X_240$0 (lseg_domain$0 next$0 x_1$0 null$0)))

(assert (lseg_struct$0 sk_?X_240$0 next$0 x_1$0 null$0))

(assert (not (in$0 null$0 Alloc$0)))

(assert (not (in$0 z_2$0 FP_14$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_3$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next$0 curr_3$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 curr_3$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 curr_3$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 y_6$0 l1 z_1$0)
                 (in$0 l1 (lseg_domain$0 next$0 y_6$0 z_1$0))
                 (not (= l1 z_1$0)))
            (and (or (= l1 z_1$0) (not (Btwn$0 next$0 y_6$0 l1 z_1$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 y_6$0 z_1$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 z_1$0 l1 curr_2$0)
                 (in$0 l1 (lseg_domain$0 next$0 z_1$0 curr_2$0))
                 (not (= l1 curr_2$0)))
            (and (or (= l1 curr_2$0) (not (Btwn$0 next$0 z_1$0 l1 curr_2$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 z_1$0 curr_2$0)))))))

(assert (or (Btwn$0 next$0 curr_2$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_236$0 next$0 curr_2$0 null$0))))

(assert (or (Btwn$0 next$0 x_1$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_240$0 next$0 x_1$0 null$0))))

(assert (or (Btwn$0 next$0 y_7$0 z_2$0 z_2$0)
    (not (lseg_struct$0 sk_?X_230$0 next$0 y_7$0 z_2$0))))

(assert (or (Btwn$0 next$0 z_2$0 curr_3$0 curr_3$0)
    (not (lseg_struct$0 sk_?X_231$0 next$0 z_2$0 curr_3$0))))

(assert (= FP_Caller_4$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= curr_3$0 null$0))

(assert (= y_6$0 x_1$0))

(assert (= z_1$0 x_1$0))

(assert (Frame$0 FP_13$0 Alloc$0 next$0 next$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= emptyset$0 (intersection$0 sk_?X_232$0 sk_?X_233$0)))

(assert (= sk_?X_231$0 (lseg_domain$0 next$0 z_2$0 curr_3$0)))

(assert (= sk_?X_233$0 (lseg_domain$0 next$0 curr_3$0 null$0)))

(assert (= sk_?X_234$0 (union$0 sk_?X_232$0 sk_?X_233$0)))

(assert (lseg_struct$0 sk_?X_231$0 next$0 z_2$0 curr_3$0))

(assert (= emptyset$0 (intersection$0 sk_?X_237$0 sk_?X_236$0)))

(assert (= sk_?X_235$0 (union$0 sk_?X_237$0 sk_?X_236$0)))

(assert (= sk_?X_236$0 (lseg_domain$0 next$0 curr_2$0 null$0)))

(assert (= sk_?X_238$0 (lseg_domain$0 next$0 z_1$0 curr_2$0)))

(assert (= FP$0 (union$0 FP_13$0 FP$0)))

(assert (lseg_struct$0 sk_?X_238$0 next$0 z_1$0 curr_2$0))

(assert (= sk_?X_240$0 FP$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (not (= z_2$0 null$0)))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_2$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next$0 curr_2$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 curr_2$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 curr_2$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 x_1$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next$0 x_1$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 x_1$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 x_1$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 y_7$0 l1 z_2$0)
                 (in$0 l1 (lseg_domain$0 next$0 y_7$0 z_2$0))
                 (not (= l1 z_2$0)))
            (and (or (= l1 z_2$0) (not (Btwn$0 next$0 y_7$0 l1 z_2$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 y_7$0 z_2$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 z_2$0 l1 curr_3$0)
                 (in$0 l1 (lseg_domain$0 next$0 z_2$0 curr_3$0))
                 (not (= l1 curr_3$0)))
            (and (or (= l1 curr_3$0) (not (Btwn$0 next$0 z_2$0 l1 curr_3$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 z_2$0 curr_3$0)))))))

(assert (forall ((?x Loc)) (Btwn$0 next$0 ?x ?x ?x)))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?x ?z ?z))
            (Btwn$0 next$0 ?x ?y ?z) (Btwn$0 next$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z))
            (and (Btwn$0 next$0 ?x ?y ?y) (Btwn$0 next$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?y ?z ?z))
            (Btwn$0 next$0 ?x ?z ?z))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?y ?u ?z))
            (and (Btwn$0 next$0 ?x ?y ?u) (Btwn$0 next$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?x ?u ?y))
            (and (Btwn$0 next$0 ?x ?u ?z) (Btwn$0 next$0 ?u ?y ?z)))))

(check-sat)
(exit)
