(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sl_sorted_set/traverse.spl:46:3-4:An invariant might not be maintained by a loop in procedure traverse
  tests/spl/sl_sorted_set/traverse.spl:36:14:Related location: This is the loop invariant that might not be maintained
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun emptyset$0 () SetInt)
(declare-fun emptyset$1 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun setenum$1 (Int) SetInt)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun union$1 (SetInt SetInt) SetInt)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$1 (SetInt SetInt) SetInt)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun in$0 (Int SetInt) Bool)
(declare-fun in$1 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_15$0 () Bool)
(declare-fun Axiom_16$0 () Bool)
(declare-fun Axiom_17$0 () Bool)
(declare-fun Axiom_18$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_2$0 () SetLoc)
(declare-fun c1_4$0 () SetInt)
(declare-fun c1_5$0 () SetInt)
(declare-fun c1_init$0 () SetInt)
(declare-fun c2_4$0 () SetInt)
(declare-fun c2_5$0 () SetInt)
(declare-fun c2_init$0 () SetInt)
(declare-fun content_2$0 () SetInt)
(declare-fun content_init$0 () SetInt)
(declare-fun curr_4$0 () Loc)
(declare-fun curr_5$0 () Loc)
(declare-fun curr_init$0 () Loc)
(declare-fun data$0 () FldInt)
(declare-fun lst_2$0 () Loc)
(declare-fun lst_init$0 () Loc)
(declare-fun next$0 () FldLoc)
(declare-fun prev_4$0 () Loc)
(declare-fun prev_5$0 () Loc)
(declare-fun prev_init$0 () Loc)
(declare-fun sk_?X_51$0 () SetLoc)
(declare-fun sk_?X_52$0 () SetLoc)
(declare-fun sk_?X_53$0 () SetLoc)
(declare-fun sk_?X_54$0 () SetLoc)
(declare-fun sk_?X_55$0 () SetLoc)
(declare-fun sk_?X_56$0 () SetLoc)
(declare-fun sk_?X_57$0 () SetLoc)
(declare-fun sk_?X_58$0 () SetLoc)
(declare-fun sk_?X_59$0 () SetLoc)
(declare-fun sk_?X_60$0 () SetLoc)
(declare-fun sk_?X_61$0 () SetLoc)
(declare-fun sk_?X_62$0 () SetLoc)
(declare-fun sk_?X_63$0 () SetLoc)
(declare-fun sk_?X_64$0 () SetLoc)
(declare-fun sk_?X_65$0 () SetLoc)
(declare-fun sk_?X_66$0 () SetLoc)
(declare-fun sk_?e_3$0 () Int)
(declare-fun sk_?e_4$0 () Int)
(declare-fun sk_FP_2$0 () SetLoc)
(declare-fun sk_FP_3$0 () SetLoc)
(declare-fun sk_l1_3$0 () Loc)
(declare-fun sk_l1_4$0 () Loc)
(declare-fun sk_l2_3$0 () Loc)
(declare-fun sk_l2_4$0 () Loc)
(declare-fun sorted_set_c$0 (FldInt FldLoc Loc Loc) SetInt)
(declare-fun sorted_set_domain$0 (FldInt FldLoc Loc Loc) SetLoc)
(declare-fun sorted_set_struct$0 (SetLoc FldInt FldLoc Loc Loc SetInt) Bool)
(declare-fun witness$0 (FldInt Int SetInt) Loc)

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y)
            (Btwn$0 next$0 null$0 (read$1 next$0 null$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 prev_4$0 ?y ?y)) (= prev_4$0 ?y)
            (Btwn$0 next$0 prev_4$0 (read$1 next$0 prev_4$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (Btwn$0 next$0 curr_init$0 ?y ?y)) (= curr_init$0 ?y)
            (Btwn$0 next$0 curr_init$0 (read$1 next$0 curr_init$0) ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 null$0) null$0))
            (not (Btwn$0 next$0 null$0 ?y ?y)) (= null$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 prev_4$0) prev_4$0))
            (not (Btwn$0 next$0 prev_4$0 ?y ?y)) (= prev_4$0 ?y))))

(assert (forall ((?y Loc))
        (or (not (= (read$1 next$0 curr_init$0) curr_init$0))
            (not (Btwn$0 next$0 curr_init$0 ?y ?y)) (= curr_init$0 ?y))))

(assert (Btwn$0 next$0 null$0 (read$1 next$0 null$0) (read$1 next$0 null$0)))

(assert (Btwn$0 next$0 prev_4$0 (read$1 next$0 prev_4$0) (read$1 next$0 prev_4$0)))

(assert (Btwn$0 next$0 curr_init$0 (read$1 next$0 curr_init$0)
  (read$1 next$0 curr_init$0)))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_init$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0))
    (not
         (in$0 (read$0 data$0 curr_init$0)
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_5$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0))
    (not
         (in$0 (read$0 data$0 curr_5$0)
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 prev_init$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0))
    (not
         (in$0 (read$0 data$0 prev_init$0)
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0))
    (not
         (in$0 (read$0 data$0 sk_l1_3$0)
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0))
    (not
         (in$0 (read$0 data$0 sk_l1_4$0)
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0))
    (not
         (in$0 (read$0 data$0 sk_l2_3$0)
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0))
    (not
         (in$0 (read$0 data$0 sk_l2_4$0)
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (in$1
      (witness$0 data$0 sk_?e_3$0
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0))
    (not
         (in$0 sk_?e_3$0
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (in$1
      (witness$0 data$0 sk_?e_4$0
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0))
    (not
         (in$0 sk_?e_4$0
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_init$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0))
    (not
         (in$0 (read$0 data$0 curr_init$0)
           (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_5$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0))
    (not
         (in$0 (read$0 data$0 curr_5$0)
           (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 prev_init$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0))
    (not
         (in$0 (read$0 data$0 prev_init$0)
           (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0))
    (not
         (in$0 (read$0 data$0 sk_l1_3$0)
           (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0))
    (not
         (in$0 (read$0 data$0 sk_l1_4$0)
           (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0))
    (not
         (in$0 (read$0 data$0 sk_l2_3$0)
           (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0))
    (not
         (in$0 (read$0 data$0 sk_l2_4$0)
           (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 sk_?e_3$0
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0))
    (not (in$0 sk_?e_3$0 (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 sk_?e_4$0
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0))
    (not (in$0 sk_?e_4$0 (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_init$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      null$0)
    (in$0 (read$0 data$0 curr_init$0)
      (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_5$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      null$0)
    (in$0 (read$0 data$0 curr_5$0)
      (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 prev_init$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      null$0)
    (in$0 (read$0 data$0 prev_init$0)
      (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      null$0)
    (in$0 (read$0 data$0 sk_l1_3$0)
      (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      null$0)
    (in$0 (read$0 data$0 sk_l1_4$0)
      (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      null$0)
    (in$0 (read$0 data$0 sk_l2_3$0)
      (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      null$0)
    (in$0 (read$0 data$0 sk_l2_4$0)
      (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))

(assert (or
    (=
      (witness$0 data$0 sk_?e_3$0
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      null$0)
    (in$0 sk_?e_3$0 (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))

(assert (or
    (=
      (witness$0 data$0 sk_?e_4$0
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
      null$0)
    (in$0 sk_?e_4$0 (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_init$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      null$0)
    (in$0 (read$0 data$0 curr_init$0)
      (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_5$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      null$0)
    (in$0 (read$0 data$0 curr_5$0)
      (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 prev_init$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      null$0)
    (in$0 (read$0 data$0 prev_init$0)
      (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      null$0)
    (in$0 (read$0 data$0 sk_l1_3$0)
      (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      null$0)
    (in$0 (read$0 data$0 sk_l1_4$0)
      (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      null$0)
    (in$0 (read$0 data$0 sk_l2_3$0)
      (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      null$0)
    (in$0 (read$0 data$0 sk_l2_4$0)
      (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 sk_?e_3$0
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      null$0)
    (in$0 sk_?e_3$0 (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 sk_?e_4$0
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
      null$0)
    (in$0 sk_?e_4$0 (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))

(assert (or
    (= (read$0 data$0 curr_init$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_init$0)
          (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))
    (not
         (in$0 (read$0 data$0 curr_init$0)
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= (read$0 data$0 curr_5$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_5$0)
          (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))
    (not
         (in$0 (read$0 data$0 curr_5$0)
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= (read$0 data$0 prev_init$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 prev_init$0)
          (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))
    (not
         (in$0 (read$0 data$0 prev_init$0)
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= (read$0 data$0 sk_l1_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
          (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))
    (not
         (in$0 (read$0 data$0 sk_l1_3$0)
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= (read$0 data$0 sk_l1_4$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
          (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))
    (not
         (in$0 (read$0 data$0 sk_l1_4$0)
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= (read$0 data$0 sk_l2_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
          (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))
    (not
         (in$0 (read$0 data$0 sk_l2_3$0)
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= (read$0 data$0 sk_l2_4$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
          (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))
    (not
         (in$0 (read$0 data$0 sk_l2_4$0)
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= sk_?e_3$0
      (read$0 data$0
        (witness$0 data$0 sk_?e_3$0
          (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))
    (not
         (in$0 sk_?e_3$0
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= sk_?e_4$0
      (read$0 data$0
        (witness$0 data$0 sk_?e_4$0
          (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))))
    (not
         (in$0 sk_?e_4$0
           (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= (read$0 data$0 curr_init$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_init$0)
          (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))
    (not
         (in$0 (read$0 data$0 curr_init$0)
           (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (= (read$0 data$0 curr_5$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_5$0)
          (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))
    (not
         (in$0 (read$0 data$0 curr_5$0)
           (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (= (read$0 data$0 prev_init$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 prev_init$0)
          (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))
    (not
         (in$0 (read$0 data$0 prev_init$0)
           (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (= (read$0 data$0 sk_l1_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
          (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))
    (not
         (in$0 (read$0 data$0 sk_l1_3$0)
           (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (= (read$0 data$0 sk_l1_4$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
          (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))
    (not
         (in$0 (read$0 data$0 sk_l1_4$0)
           (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (= (read$0 data$0 sk_l2_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
          (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))
    (not
         (in$0 (read$0 data$0 sk_l2_3$0)
           (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (= (read$0 data$0 sk_l2_4$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
          (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))
    (not
         (in$0 (read$0 data$0 sk_l2_4$0)
           (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (= sk_?e_3$0
      (read$0 data$0
        (witness$0 data$0 sk_?e_3$0
          (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))
    (not (in$0 sk_?e_3$0 (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (= sk_?e_4$0
      (read$0 data$0
        (witness$0 data$0 sk_?e_4$0
          (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))))
    (not (in$0 sk_?e_4$0 (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))))

(assert (forall ((l1 Loc))
        (or
            (in$0 (read$0 data$0 l1)
              (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
            (not
                 (in$1 l1
                   (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0))))))

(assert (forall ((l1 Loc))
        (or
            (in$0 (read$0 data$0 l1)
              (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
            (not
                 (in$1 l1
                   (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0))))))

(assert (or
    (= curr_init$0
      (witness$0 data$0 (read$0 data$0 curr_init$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))
    (not
         (in$1 curr_init$0
           (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= curr_5$0
      (witness$0 data$0 (read$0 data$0 curr_5$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))
    (not
         (in$1 curr_5$0
           (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= prev_4$0
      (witness$0 data$0 (read$0 data$0 prev_4$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))
    (not
         (in$1 prev_4$0
           (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= sk_l1_3$0
      (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))
    (not
         (in$1 sk_l1_3$0
           (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= sk_l1_4$0
      (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))
    (not
         (in$1 sk_l1_4$0
           (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= sk_l2_3$0
      (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))
    (not
         (in$1 sk_l2_3$0
           (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= sk_l2_4$0
      (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
        (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0)))
    (not
         (in$1 sk_l2_4$0
           (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0)))))

(assert (or
    (= curr_init$0
      (witness$0 data$0 (read$0 data$0 curr_init$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))
    (not
         (in$1 curr_init$0
           (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (= curr_5$0
      (witness$0 data$0 (read$0 data$0 curr_5$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))
    (not
         (in$1 curr_5$0
           (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (= prev_4$0
      (witness$0 data$0 (read$0 data$0 prev_4$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))
    (not
         (in$1 prev_4$0
           (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (= sk_l1_3$0
      (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))
    (not
         (in$1 sk_l1_3$0
           (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (= sk_l1_4$0
      (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))
    (not
         (in$1 sk_l1_4$0
           (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (= sk_l2_3$0
      (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))
    (not
         (in$1 sk_l2_3$0
           (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0)))))

(assert (or
    (= sk_l2_4$0
      (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
        (sorted_set_c$0 data$0 next$0 curr_init$0 null$0)))
    (not
         (in$1 sk_l2_4$0
           (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0)))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_17$0)
            (or (= l1 l2) (< (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 curr_5$0))
                (not (in$1 l1 sk_?X_66$0)) (not (in$1 l2 sk_?X_66$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_15$0)
            (or (= l1 l2) (< (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$1 l1 sk_?X_64$0))
                (not (in$1 l2 sk_?X_64$0))))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_init$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0))
    (not
         (in$0 (read$0 data$0 curr_init$0)
           (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_5$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0))
    (not
         (in$0 (read$0 data$0 curr_5$0)
           (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 prev_init$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0))
    (not
         (in$0 (read$0 data$0 prev_init$0)
           (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0))
    (not
         (in$0 (read$0 data$0 sk_l1_3$0)
           (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0))
    (not
         (in$0 (read$0 data$0 sk_l1_4$0)
           (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0))
    (not
         (in$0 (read$0 data$0 sk_l2_3$0)
           (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0))
    (not
         (in$0 (read$0 data$0 sk_l2_4$0)
           (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (in$1
      (witness$0 data$0 sk_?e_3$0
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0))
    (not (in$0 sk_?e_3$0 (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (in$1
      (witness$0 data$0 sk_?e_4$0
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0))
    (not (in$0 sk_?e_4$0 (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_init$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0))
    (not
         (in$0 (read$0 data$0 curr_init$0)
           (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 curr_5$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0))
    (not
         (in$0 (read$0 data$0 curr_5$0)
           (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 prev_init$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0))
    (not
         (in$0 (read$0 data$0 prev_init$0)
           (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0))
    (not
         (in$0 (read$0 data$0 sk_l1_3$0)
           (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0))
    (not
         (in$0 (read$0 data$0 sk_l1_4$0)
           (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0))
    (not
         (in$0 (read$0 data$0 sk_l2_3$0)
           (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0))
    (not
         (in$0 (read$0 data$0 sk_l2_4$0)
           (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 sk_?e_3$0
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0))
    (not (in$0 sk_?e_3$0 (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (in$1
      (witness$0 data$0 sk_?e_4$0
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0))
    (not (in$0 sk_?e_4$0 (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_init$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      null$0)
    (in$0 (read$0 data$0 curr_init$0)
      (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_5$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      null$0)
    (in$0 (read$0 data$0 curr_5$0)
      (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 prev_init$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      null$0)
    (in$0 (read$0 data$0 prev_init$0)
      (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      null$0)
    (in$0 (read$0 data$0 sk_l1_3$0)
      (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      null$0)
    (in$0 (read$0 data$0 sk_l1_4$0)
      (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      null$0)
    (in$0 (read$0 data$0 sk_l2_3$0)
      (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      null$0)
    (in$0 (read$0 data$0 sk_l2_4$0)
      (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))

(assert (or
    (=
      (witness$0 data$0 sk_?e_3$0
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      null$0)
    (in$0 sk_?e_3$0 (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))

(assert (or
    (=
      (witness$0 data$0 sk_?e_4$0
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
      null$0)
    (in$0 sk_?e_4$0 (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_init$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      null$0)
    (in$0 (read$0 data$0 curr_init$0)
      (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 curr_5$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      null$0)
    (in$0 (read$0 data$0 curr_5$0)
      (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 prev_init$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      null$0)
    (in$0 (read$0 data$0 prev_init$0)
      (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      null$0)
    (in$0 (read$0 data$0 sk_l1_3$0)
      (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      null$0)
    (in$0 (read$0 data$0 sk_l1_4$0)
      (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      null$0)
    (in$0 (read$0 data$0 sk_l2_3$0)
      (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      null$0)
    (in$0 (read$0 data$0 sk_l2_4$0)
      (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 sk_?e_3$0
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      null$0)
    (in$0 sk_?e_3$0 (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))

(assert (or
    (=
      (witness$0 data$0 sk_?e_4$0
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
      null$0)
    (in$0 sk_?e_4$0 (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))

(assert (or
    (= (read$0 data$0 curr_init$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_init$0)
          (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))
    (not
         (in$0 (read$0 data$0 curr_init$0)
           (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= (read$0 data$0 curr_5$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_5$0)
          (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))
    (not
         (in$0 (read$0 data$0 curr_5$0)
           (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= (read$0 data$0 prev_init$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 prev_init$0)
          (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))
    (not
         (in$0 (read$0 data$0 prev_init$0)
           (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= (read$0 data$0 sk_l1_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
          (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))
    (not
         (in$0 (read$0 data$0 sk_l1_3$0)
           (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= (read$0 data$0 sk_l1_4$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
          (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))
    (not
         (in$0 (read$0 data$0 sk_l1_4$0)
           (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= (read$0 data$0 sk_l2_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
          (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))
    (not
         (in$0 (read$0 data$0 sk_l2_3$0)
           (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= (read$0 data$0 sk_l2_4$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
          (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))
    (not
         (in$0 (read$0 data$0 sk_l2_4$0)
           (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= sk_?e_3$0
      (read$0 data$0
        (witness$0 data$0 sk_?e_3$0
          (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))
    (not (in$0 sk_?e_3$0 (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= sk_?e_4$0
      (read$0 data$0
        (witness$0 data$0 sk_?e_4$0
          (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))
    (not (in$0 sk_?e_4$0 (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= (read$0 data$0 curr_init$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_init$0)
          (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))
    (not
         (in$0 (read$0 data$0 curr_init$0)
           (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (= (read$0 data$0 curr_5$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 curr_5$0)
          (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))
    (not
         (in$0 (read$0 data$0 curr_5$0)
           (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (= (read$0 data$0 prev_init$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 prev_init$0)
          (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))
    (not
         (in$0 (read$0 data$0 prev_init$0)
           (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (= (read$0 data$0 sk_l1_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
          (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))
    (not
         (in$0 (read$0 data$0 sk_l1_3$0)
           (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (= (read$0 data$0 sk_l1_4$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
          (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))
    (not
         (in$0 (read$0 data$0 sk_l1_4$0)
           (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (= (read$0 data$0 sk_l2_3$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
          (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))
    (not
         (in$0 (read$0 data$0 sk_l2_3$0)
           (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (= (read$0 data$0 sk_l2_4$0)
      (read$0 data$0
        (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
          (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))
    (not
         (in$0 (read$0 data$0 sk_l2_4$0)
           (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (= sk_?e_3$0
      (read$0 data$0
        (witness$0 data$0 sk_?e_3$0
          (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))
    (not (in$0 sk_?e_3$0 (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (= sk_?e_4$0
      (read$0 data$0
        (witness$0 data$0 sk_?e_4$0
          (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))
    (not (in$0 sk_?e_4$0 (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))))

(assert (forall ((l1 Loc))
        (or
            (in$0 (read$0 data$0 l1)
              (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
            (not
                 (in$1 l1
                   (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0))))))

(assert (forall ((l1 Loc))
        (or
            (in$0 (read$0 data$0 l1)
              (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
            (not
                 (in$1 l1
                   (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0))))))

(assert (or
    (= curr_init$0
      (witness$0 data$0 (read$0 data$0 curr_init$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))
    (not
         (in$1 curr_init$0
           (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= curr_5$0
      (witness$0 data$0 (read$0 data$0 curr_5$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))
    (not
         (in$1 curr_5$0 (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= prev_4$0
      (witness$0 data$0 (read$0 data$0 prev_4$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))
    (not
         (in$1 prev_4$0 (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= sk_l1_3$0
      (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))
    (not
         (in$1 sk_l1_3$0
           (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= sk_l1_4$0
      (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))
    (not
         (in$1 sk_l1_4$0
           (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= sk_l2_3$0
      (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))
    (not
         (in$1 sk_l2_3$0
           (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= sk_l2_4$0
      (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
        (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0)))
    (not
         (in$1 sk_l2_4$0
           (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0)))))

(assert (or
    (= curr_init$0
      (witness$0 data$0 (read$0 data$0 curr_init$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))
    (not
         (in$1 curr_init$0
           (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (= curr_5$0
      (witness$0 data$0 (read$0 data$0 curr_5$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))
    (not (in$1 curr_5$0 (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (= prev_4$0
      (witness$0 data$0 (read$0 data$0 prev_4$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))
    (not (in$1 prev_4$0 (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (= sk_l1_3$0
      (witness$0 data$0 (read$0 data$0 sk_l1_3$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))
    (not
         (in$1 sk_l1_3$0 (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (= sk_l1_4$0
      (witness$0 data$0 (read$0 data$0 sk_l1_4$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))
    (not
         (in$1 sk_l1_4$0 (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (= sk_l2_3$0
      (witness$0 data$0 (read$0 data$0 sk_l2_3$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))
    (not
         (in$1 sk_l2_3$0 (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0)))))

(assert (or
    (= sk_l2_4$0
      (witness$0 data$0 (read$0 data$0 sk_l2_4$0)
        (sorted_set_c$0 data$0 next$0 curr_5$0 null$0)))
    (not
         (in$1 sk_l2_4$0 (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0)))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_18$0)
            (or (= l1 l2) (< (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 curr_init$0))
                (not (in$1 l1 sk_?X_58$0)) (not (in$1 l2 sk_?X_58$0))))))

(assert (forall ((l1 Loc) (l2 Loc))
        (or (not Axiom_16$0)
            (or (= l1 l2) (< (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$1 l1 sk_?X_56$0))
                (not (in$1 l2 sk_?X_56$0))))))

(assert (forall ((x Int))
        (or
            (and (in$0 x (union$1 c1_5$0 c2_5$0))
                 (or (in$0 x c1_5$0) (in$0 x c2_5$0)))
            (and (not (in$0 x c1_5$0)) (not (in$0 x c2_5$0))
                 (not (in$0 x (union$1 c1_5$0 c2_5$0)))))))

(assert (forall ((x Int))
        (or
            (and (in$0 x (union$1 c1_init$0 c2_init$0))
                 (or (in$0 x c1_init$0) (in$0 x c2_init$0)))
            (and (not (in$0 x c1_init$0)) (not (in$0 x c2_init$0))
                 (not (in$0 x (union$1 c1_init$0 c2_init$0)))))))

(assert (forall ((x Int))
        (or
            (and
                 (in$0 x
                   (union$1 c2_init$0 (setenum$1 (read$0 data$0 curr_4$0))))
                 (or (in$0 x c2_init$0)
                     (in$0 x (setenum$1 (read$0 data$0 curr_4$0)))))
            (and (not (in$0 x c2_init$0))
                 (not (in$0 x (setenum$1 (read$0 data$0 curr_4$0))))
                 (not
                      (in$0 x
                        (union$1 c2_init$0
                          (setenum$1 (read$0 data$0 curr_4$0)))))))))

(assert (forall ((x Int))
        (or
            (and (in$0 x c1_init$0)
                 (in$0 x
                   (setminus$1 c1_init$0
                     (setenum$1 (read$0 data$0 curr_4$0))))
                 (not (in$0 x (setenum$1 (read$0 data$0 curr_4$0)))))
            (and
                 (or (in$0 x (setenum$1 (read$0 data$0 curr_4$0)))
                     (not (in$0 x c1_init$0)))
                 (not
                      (in$0 x
                        (setminus$1 c1_init$0
                          (setenum$1 (read$0 data$0 curr_4$0)))))))))

(assert (forall ((x Int))
        (or
            (and (= x (read$0 data$0 curr_init$0))
                 (in$0 x (setenum$1 (read$0 data$0 curr_init$0))))
            (and (not (= x (read$0 data$0 curr_init$0)))
                 (not (in$0 x (setenum$1 (read$0 data$0 curr_init$0))))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 FP_Caller$0 Alloc$0))
                 (or (in$1 x FP_Caller$0) (in$1 x Alloc$0)))
            (and (not (in$1 x FP_Caller$0)) (not (in$1 x Alloc$0))
                 (not (in$1 x (union$0 FP_Caller$0 Alloc$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 FP$0 FP_Caller$0))
                 (or (in$1 x FP$0) (in$1 x FP_Caller$0)))
            (and (not (in$1 x FP$0)) (not (in$1 x FP_Caller$0))
                 (not (in$1 x (union$0 FP$0 FP_Caller$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 sk_?X_57$0 sk_?X_55$0))
                 (or (in$1 x sk_?X_57$0) (in$1 x sk_?X_55$0)))
            (and (not (in$1 x sk_?X_57$0)) (not (in$1 x sk_?X_55$0))
                 (not (in$1 x (union$0 sk_?X_57$0 sk_?X_55$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x (union$0 sk_?X_66$0 sk_?X_59$0))
                 (or (in$1 x sk_?X_66$0) (in$1 x sk_?X_59$0)))
            (and (not (in$1 x sk_?X_66$0)) (not (in$1 x sk_?X_59$0))
                 (not (in$1 x (union$0 sk_?X_66$0 sk_?X_59$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x sk_?X_57$0) (in$1 x sk_?X_55$0)
                 (in$1 x (intersection$0 sk_?X_57$0 sk_?X_55$0)))
            (and (or (not (in$1 x sk_?X_57$0)) (not (in$1 x sk_?X_55$0)))
                 (not (in$1 x (intersection$0 sk_?X_57$0 sk_?X_55$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x sk_?X_66$0) (in$1 x sk_?X_59$0)
                 (in$1 x (intersection$0 sk_?X_66$0 sk_?X_59$0)))
            (and (or (not (in$1 x sk_?X_66$0)) (not (in$1 x sk_?X_59$0)))
                 (not (in$1 x (intersection$0 sk_?X_66$0 sk_?X_59$0)))))))

(assert (forall ((x Loc))
        (or
            (and (in$1 x FP_Caller$0) (in$1 x (setminus$0 FP_Caller$0 FP$0))
                 (not (in$1 x FP$0)))
            (and (or (in$1 x FP$0) (not (in$1 x FP_Caller$0)))
                 (not (in$1 x (setminus$0 FP_Caller$0 FP$0)))))))

(assert (forall ((y Loc) (x Loc))
        (or (and (= x y) (in$1 x (setenum$0 y)))
            (and (not (= x y)) (not (in$1 x (setenum$0 y)))))))

(assert (= (read$1 next$0 null$0) null$0))

(assert (forall ((x Loc)) (not (in$1 x emptyset$1))))

(assert (forall ((x Int)) (not (in$0 x emptyset$0))))

(assert (or (and (Btwn$0 next$0 curr_5$0 null$0 null$0) Axiom_15$0)
    (not
         (sorted_set_struct$0 sk_?X_64$0 data$0 next$0 curr_5$0 null$0
           c1_5$0))))

(assert (or (and (Btwn$0 next$0 lst_2$0 curr_5$0 curr_5$0) Axiom_17$0)
    (not
         (sorted_set_struct$0 sk_?X_66$0 data$0 next$0 lst_2$0 curr_5$0
           c2_5$0))))

(assert (= FP_Caller_2$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= c1_5$0 (setminus$1 c1_4$0 (setenum$1 (read$0 data$0 curr_4$0)))))

(assert (= c2_5$0 (union$1 c2_4$0 (setenum$1 (read$0 data$0 curr_4$0)))))

(assert (= curr_4$0 curr_init$0))

(assert (= lst_2$0 lst_init$0))

(assert (= prev_5$0 curr_4$0))

(assert (= sk_?X_51$0 sk_?X_53$0))

(assert (= sk_?X_53$0 sk_?X_55$0))

(assert (= sk_?X_55$0 sk_?X_56$0))

(assert (= sk_?X_57$0 sk_?X_58$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (= sk_?X_59$0 sk_?X_61$0))

(assert (= sk_?X_61$0 sk_?X_63$0))

(assert (= sk_?X_63$0 sk_?X_64$0))

(assert (= sk_?X_65$0 sk_?X_66$0))

(assert (= sk_FP_2$0 sk_?X_60$0))

(assert (or (= prev_5$0 curr_5$0)
    (in$1 sk_l1_3$0 (intersection$0 sk_?X_65$0 sk_?X_63$0))
    (and (in$0 sk_?e_3$0 (union$1 c1_5$0 c2_5$0))
         (not (in$0 sk_?e_3$0 content_2$0)))
    (and (in$0 sk_?e_3$0 c1_5$0)
         (not
              (in$0 sk_?e_3$0 (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))
    (and (in$0 sk_?e_3$0 c2_5$0)
         (not
              (in$0 sk_?e_3$0
                (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))))
    (and (in$0 sk_?e_3$0 content_2$0)
         (not (in$0 sk_?e_3$0 (union$1 c1_5$0 c2_5$0))))
    (and (in$0 sk_?e_3$0 (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
         (not (in$0 sk_?e_3$0 c1_5$0)))
    (and (in$0 sk_?e_3$0 (sorted_set_c$0 data$0 next$0 lst_2$0 curr_5$0))
         (not (in$0 sk_?e_3$0 c2_5$0)))
    (and (in$1 sk_l1_3$0 sk_FP_2$0) (not (in$1 sk_l1_3$0 FP$0)))
    (and (not (= curr_5$0 null$0)) (not (= prev_5$0 null$0))
         (not (< (read$0 data$0 prev_5$0) (read$0 data$0 curr_5$0))))
    (not (= (read$1 next$0 prev_5$0) curr_5$0))
    (not (Btwn$0 next$0 curr_5$0 null$0 null$0))
    (not (Btwn$0 next$0 lst_2$0 curr_5$0 curr_5$0))
    (not (Btwn$0 next$0 lst_2$0 prev_5$0 curr_5$0))
    (and (Btwn$0 next$0 sk_l1_3$0 sk_l2_3$0 null$0)
         (in$1 sk_l1_3$0 sk_?X_64$0) (in$1 sk_l2_3$0 sk_?X_64$0)
         (not (= sk_l1_3$0 sk_l2_3$0))
         (not (< (read$0 data$0 sk_l1_3$0) (read$0 data$0 sk_l2_3$0))))
    (and (Btwn$0 next$0 sk_l1_3$0 sk_l2_3$0 curr_5$0)
         (in$1 sk_l1_3$0 sk_?X_66$0) (in$1 sk_l2_3$0 sk_?X_66$0)
         (not (= sk_l1_3$0 sk_l2_3$0))
         (not (< (read$0 data$0 sk_l1_3$0) (read$0 data$0 sk_l2_3$0))))))

(assert (not (= curr_4$0 null$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_5$0 l1 null$0)
                 (in$1 l1
                   (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 curr_5$0 l1 null$0)))
                 (not
                      (in$1 l1
                        (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst_2$0 l1 curr_5$0)
                 (in$1 l1
                   (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0))
                 (not (= l1 curr_5$0)))
            (and
                 (or (= l1 curr_5$0)
                     (not (Btwn$0 next$0 lst_2$0 l1 curr_5$0)))
                 (not
                      (in$1 l1
                        (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0)))))))

(assert (or (and (Btwn$0 next$0 curr_init$0 null$0 null$0) Axiom_16$0)
    (not
         (sorted_set_struct$0 sk_?X_56$0 data$0 next$0 curr_init$0 null$0
           c1_init$0))))

(assert (or (and (Btwn$0 next$0 lst_init$0 curr_init$0 curr_init$0) Axiom_18$0)
    (not
         (sorted_set_struct$0 sk_?X_58$0 data$0 next$0 lst_init$0 curr_init$0
           c2_init$0))))

(assert (= c1_4$0 c1_init$0))

(assert (= c2_4$0 c2_init$0))

(assert (= content_2$0 content_init$0))

(assert (= curr_5$0 (read$1 next$0 curr_4$0)))

(assert (= prev_4$0 prev_init$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_52$0 sk_?X_54$0))

(assert (= sk_?X_54$0 (union$0 sk_?X_57$0 sk_?X_55$0)))

(assert (= sk_?X_56$0 (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0)))

(assert (= sk_?X_58$0 (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0)))

(assert (or
    (and (= (read$1 next$0 prev_init$0) curr_init$0)
         (= emptyset$1 emptyset$1)
         (= emptyset$1 (intersection$0 sk_?X_57$0 sk_?X_55$0))
         (= c1_init$0 (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
         (= c2_init$0 (sorted_set_c$0 data$0 next$0 lst_init$0 curr_init$0))
         (= content_init$0 (union$1 c1_init$0 c2_init$0)) (= sk_?X_52$0 FP$0)
         (Btwn$0 next$0 lst_init$0 prev_init$0 curr_init$0)
         (sorted_set_struct$0 sk_?X_56$0 data$0 next$0 curr_init$0 null$0
           c1_init$0)
         (sorted_set_struct$0 sk_?X_58$0 data$0 next$0 lst_init$0 curr_init$0
           c2_init$0)
         (or (= curr_init$0 null$0) (= prev_init$0 null$0)
             (< (read$0 data$0 prev_init$0) (read$0 data$0 curr_init$0)))
         (not (= prev_init$0 curr_init$0)))
    (and (= emptyset$1 emptyset$1)
         (= c1_init$0 (sorted_set_c$0 data$0 next$0 curr_init$0 null$0))
         (= c2_init$0 emptyset$0)
         (= content_init$0 (union$1 c1_init$0 c2_init$0))
         (= curr_init$0 lst_init$0) (= prev_init$0 null$0)
         (= sk_?X_51$0 FP$0)
         (sorted_set_struct$0 sk_?X_56$0 data$0 next$0 curr_init$0 null$0
           c1_init$0)
         (or (= curr_init$0 null$0) (= prev_init$0 null$0)
             (< (read$0 data$0 prev_init$0) (read$0 data$0 curr_init$0))))))

(assert (= sk_?X_60$0 sk_?X_62$0))

(assert (= sk_?X_62$0 (union$0 sk_?X_65$0 sk_?X_63$0)))

(assert (= sk_?X_64$0 (sorted_set_domain$0 data$0 next$0 curr_5$0 null$0)))

(assert (= sk_?X_66$0 (sorted_set_domain$0 data$0 next$0 lst_2$0 curr_5$0)))

(assert (= sk_FP_3$0 sk_?X_59$0))

(assert (or (in$0 sk_?e_4$0 c2_5$0)
    (and (in$0 sk_?e_4$0 (union$1 c1_5$0 c2_5$0))
         (not (in$0 sk_?e_4$0 content_2$0)))
    (and (in$0 sk_?e_4$0 c1_5$0)
         (not
              (in$0 sk_?e_4$0 (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))))
    (and (in$0 sk_?e_4$0 content_2$0)
         (not (in$0 sk_?e_4$0 (union$1 c1_5$0 c2_5$0))))
    (and (in$0 sk_?e_4$0 (sorted_set_c$0 data$0 next$0 curr_5$0 null$0))
         (not (in$0 sk_?e_4$0 c1_5$0)))
    (and (in$1 sk_l2_4$0 sk_FP_3$0) (not (in$1 sk_l2_4$0 FP$0)))
    (and (not (= curr_5$0 null$0)) (not (= prev_5$0 null$0))
         (not (< (read$0 data$0 prev_5$0) (read$0 data$0 curr_5$0))))
    (not (= curr_5$0 lst_2$0)) (not (= prev_5$0 null$0))
    (not (Btwn$0 next$0 curr_5$0 null$0 null$0))
    (and (Btwn$0 next$0 sk_l1_4$0 sk_l2_4$0 null$0)
         (in$1 sk_l1_4$0 sk_?X_64$0) (in$1 sk_l2_4$0 sk_?X_64$0)
         (not (= sk_l1_4$0 sk_l2_4$0))
         (not (< (read$0 data$0 sk_l1_4$0) (read$0 data$0 sk_l2_4$0))))))

(assert (not (in$1 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_init$0 l1 null$0)
                 (in$1 l1
                   (sorted_set_domain$0 data$0 next$0 curr_init$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next$0 curr_init$0 l1 null$0)))
                 (not
                      (in$1 l1
                        (sorted_set_domain$0 data$0 next$0 curr_init$0
                          null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst_init$0 l1 curr_init$0)
                 (in$1 l1
                   (sorted_set_domain$0 data$0 next$0 lst_init$0 curr_init$0))
                 (not (= l1 curr_init$0)))
            (and
                 (or (= l1 curr_init$0)
                     (not (Btwn$0 next$0 lst_init$0 l1 curr_init$0)))
                 (not
                      (in$1 l1
                        (sorted_set_domain$0 data$0 next$0 lst_init$0
                          curr_init$0)))))))

(assert (forall ((?x Loc)) (Btwn$0 next$0 ?x ?x ?x)))

(assert (forall ((?x Loc) (?y Loc)) (or (not (Btwn$0 next$0 ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?x ?z ?z))
            (Btwn$0 next$0 ?x ?y ?z) (Btwn$0 next$0 ?x ?z ?y))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z))
            (and (Btwn$0 next$0 ?x ?y ?y) (Btwn$0 next$0 ?y ?z ?z)))))

(assert (forall ((?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?y)) (not (Btwn$0 next$0 ?y ?z ?z))
            (Btwn$0 next$0 ?x ?z ?z))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?y ?u ?z))
            (and (Btwn$0 next$0 ?x ?y ?u) (Btwn$0 next$0 ?x ?u ?z)))))

(assert (forall ((?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 next$0 ?x ?y ?z)) (not (Btwn$0 next$0 ?x ?u ?y))
            (and (Btwn$0 next$0 ?x ?u ?z) (Btwn$0 next$0 ?u ?y ?z)))))

(check-sat)
(exit)
