(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_insertion_sort.spl:55:5-6:An invariant might not be maintained by a loop in procedure insertion_sort
  tests/spl/sls/sls_insertion_sort.spl:45:16:Related location: This is the loop invariant that might not be maintained
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_80$0 () Bool)
(declare-fun Axiom_81$0 () Bool)
(declare-fun Axiom_82$0 () Bool)
(declare-fun Axiom_83$0 () Bool)
(declare-fun Axiom_84$0 () Bool)
(declare-fun Axiom_85$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_3$0 () SetLoc)
(declare-fun curr_7$0 () Loc)
(declare-fun curr_8$0 () Loc)
(declare-fun curr_init_1$0 () Loc)
(declare-fun data$0 () FldInt)
(declare-fun lseg_domain$0 (FldLoc Loc Loc) SetLoc)
(declare-fun lseg_struct$0 (SetLoc FldLoc Loc Loc) Bool)
(declare-fun min_7$0 () Loc)
(declare-fun min_8$0 () Loc)
(declare-fun min_init_1$0 () Loc)
(declare-fun next$0 () FldLoc)
(declare-fun prv_8$0 () Loc)
(declare-fun prv_init_1$0 () Loc)
(declare-fun sk_?X_279$0 () SetLoc)
(declare-fun sk_?X_280$0 () SetLoc)
(declare-fun sk_?X_281$0 () SetLoc)
(declare-fun sk_?X_282$0 () SetLoc)
(declare-fun sk_?X_283$0 () SetLoc)
(declare-fun sk_?X_284$0 () SetLoc)
(declare-fun sk_?X_285$0 () SetLoc)
(declare-fun sk_?X_286$0 () SetLoc)
(declare-fun sk_?X_287$0 () SetLoc)
(declare-fun sk_?X_288$0 () SetLoc)
(declare-fun sk_?X_289$0 () SetLoc)
(declare-fun sk_?X_290$0 () SetLoc)
(declare-fun sk_?X_291$0 () SetLoc)
(declare-fun sk_?X_292$0 () SetLoc)
(declare-fun sk_?X_293$0 () SetLoc)
(declare-fun sk_?X_294$0 () SetLoc)
(declare-fun sk_?X_295$0 () SetLoc)
(declare-fun sk_?X_296$0 () SetLoc)
(declare-fun sk_?X_297$0 () SetLoc)
(declare-fun sk_?X_298$0 () SetLoc)
(declare-fun sk_?X_299$0 () SetLoc)
(declare-fun sk_?X_300$0 () SetLoc)
(declare-fun sk_?X_301$0 () SetLoc)
(declare-fun sk_?X_302$0 () SetLoc)
(declare-fun sk_FP_6$0 () SetLoc)
(declare-fun sk_FP_7$0 () SetLoc)
(declare-fun sk_l1_5$0 () Loc)
(declare-fun sk_l1_6$0 () Loc)
(declare-fun srt_8$0 () Loc)
(declare-fun srt_init_1$0 () Loc)
(declare-fun ulseg_domain$0 (FldInt FldLoc Loc Loc Int) SetLoc)
(declare-fun ulseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int) Bool)

(assert (forall ((?f FldLoc)) (= (read$1 ?f null$0) null$0)))

(assert (forall ((x Loc) (y Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x (setminus$0 X Y)) (not (in$0 x Y)))
            (and (or (in$0 x Y) (not (in$0 x X)))
                 (not (in$0 x (setminus$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x Y) (in$0 x (intersection$0 X Y)))
            (and (or (not (in$0 x X)) (not (in$0 x Y)))
                 (not (in$0 x (intersection$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x (union$0 X Y)) (or (in$0 x X) (in$0 x Y)))
            (and (not (in$0 x X)) (not (in$0 x Y))
                 (not (in$0 x (union$0 X Y)))))))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (Btwn$0 next$0 curr_init_1$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_290$0 next$0 curr_init_1$0 null$0))))

(assert (or (not Axiom_80$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 prv_8$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_300$0))))))

(assert (or (and (Btwn$0 next$0 curr_init_1$0 null$0 null$0) Axiom_81$0)
    (not
         (ulseg_struct$0 sk_?X_288$0 data$0 next$0 curr_init_1$0 null$0
           (read$0 data$0 prv_init_1$0)))))

(assert (or (not Axiom_82$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 min_8$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_295$0))))))

(assert (or (and (Btwn$0 next$0 min_init_1$0 curr_init_1$0 curr_init_1$0) Axiom_83$0)
    (not
         (ulseg_struct$0 sk_?X_283$0 data$0 next$0 min_init_1$0 curr_init_1$0
           (read$0 data$0 min_init_1$0)))))

(assert (or (not Axiom_84$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 min_8$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_298$0))))))

(assert (or (and (Btwn$0 next$0 srt_init_1$0 min_init_1$0 min_init_1$0) Axiom_85$0)
    (not
         (ulseg_struct$0 sk_?X_286$0 data$0 next$0 srt_init_1$0 min_init_1$0
           (read$0 data$0 min_init_1$0)))))

(assert (= FP_Caller_3$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= curr_8$0 (read$1 next$0 curr_7$0)))

(assert (= prv_8$0 prv_init_1$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_280$0 sk_?X_282$0))

(assert (= sk_?X_282$0 (union$0 sk_?X_285$0 sk_?X_283$0)))

(assert (= sk_?X_284$0 (union$0 sk_?X_289$0 sk_?X_286$0)))

(assert (= sk_?X_286$0
  (ulseg_domain$0 data$0 next$0 srt_init_1$0 min_init_1$0
    (read$0 data$0 min_init_1$0))))

(assert (= sk_?X_288$0
  (ulseg_domain$0 data$0 next$0 curr_init_1$0 null$0
    (read$0 data$0 prv_init_1$0))))

(assert (= sk_?X_290$0 (lseg_domain$0 next$0 curr_init_1$0 null$0)))

(assert (or
    (and (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_284$0 sk_?X_283$0))
         (= emptyset$0 (intersection$0 sk_?X_289$0 sk_?X_286$0))
         (= prv_init_1$0 null$0) (= sk_?X_279$0 FP$0)
         (lseg_struct$0 sk_?X_290$0 next$0 curr_init_1$0 null$0)
         (ulseg_struct$0 sk_?X_283$0 data$0 next$0 min_init_1$0 curr_init_1$0
           (read$0 data$0 min_init_1$0))
         (ulseg_struct$0 sk_?X_286$0 data$0 next$0 srt_init_1$0 min_init_1$0
           (read$0 data$0 min_init_1$0))
         (not (= min_init_1$0 null$0)))
    (and (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_285$0 sk_?X_283$0))
         (= emptyset$0 (intersection$0 sk_?X_287$0 sk_?X_286$0))
         (= sk_?X_280$0 FP$0)
         (<= (read$0 data$0 prv_init_1$0) (read$0 data$0 min_init_1$0))
         (ulseg_struct$0 sk_?X_283$0 data$0 next$0 min_init_1$0 curr_init_1$0
           (read$0 data$0 min_init_1$0))
         (ulseg_struct$0 sk_?X_286$0 data$0 next$0 srt_init_1$0 min_init_1$0
           (read$0 data$0 min_init_1$0))
         (ulseg_struct$0 sk_?X_288$0 data$0 next$0 curr_init_1$0 null$0
           (read$0 data$0 prv_init_1$0))
         (not (= min_init_1$0 null$0)))))

(assert (= sk_?X_292$0 sk_?X_294$0))

(assert (= sk_?X_294$0 (union$0 sk_?X_297$0 sk_?X_295$0)))

(assert (= sk_?X_296$0 (union$0 sk_?X_301$0 sk_?X_298$0)))

(assert (= sk_?X_298$0
  (ulseg_domain$0 data$0 next$0 srt_8$0 min_8$0 (read$0 data$0 min_8$0))))

(assert (= sk_?X_300$0
  (ulseg_domain$0 data$0 next$0 curr_8$0 null$0 (read$0 data$0 prv_8$0))))

(assert (= sk_?X_302$0 (lseg_domain$0 next$0 curr_8$0 null$0)))

(assert (= sk_FP_7$0 sk_?X_291$0))

(assert (or (= min_8$0 null$0)
    (in$0 sk_l1_6$0 (intersection$0 sk_?X_297$0 sk_?X_295$0))
    (in$0 sk_l1_6$0 (intersection$0 sk_?X_299$0 sk_?X_298$0))
    (and (in$0 sk_l1_6$0 sk_?X_295$0)
         (not (<= (read$0 data$0 min_8$0) (read$0 data$0 sk_l1_6$0))))
    (and (in$0 sk_l1_6$0 sk_?X_298$0)
         (not (<= (read$0 data$0 min_8$0) (read$0 data$0 sk_l1_6$0))))
    (and (in$0 sk_l1_6$0 sk_?X_300$0)
         (not (<= (read$0 data$0 prv_8$0) (read$0 data$0 sk_l1_6$0))))
    (and (in$0 sk_l1_6$0 sk_FP_6$0) (not (in$0 sk_l1_6$0 FP$0)))
    (not (<= (read$0 data$0 prv_8$0) (read$0 data$0 min_8$0)))
    (not (Btwn$0 next$0 curr_8$0 null$0 null$0))
    (not (Btwn$0 next$0 min_8$0 curr_8$0 curr_8$0))
    (not (Btwn$0 next$0 srt_8$0 min_8$0 min_8$0))))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_8$0 l1 null$0)
                 (in$0 l1
                   (ulseg_domain$0 data$0 next$0 curr_8$0 null$0
                     (read$0 data$0 prv_8$0)))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 curr_8$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (ulseg_domain$0 data$0 next$0 curr_8$0 null$0
                          (read$0 data$0 prv_8$0))))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_init_1$0 l1 null$0)
                 (in$0 l1
                   (ulseg_domain$0 data$0 next$0 curr_init_1$0 null$0
                     (read$0 data$0 prv_init_1$0)))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next$0 curr_init_1$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (ulseg_domain$0 data$0 next$0 curr_init_1$0 null$0
                          (read$0 data$0 prv_init_1$0))))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 min_init_1$0 l1 curr_init_1$0)
                 (in$0 l1
                   (ulseg_domain$0 data$0 next$0 min_init_1$0 curr_init_1$0
                     (read$0 data$0 min_init_1$0)))
                 (not (= l1 curr_init_1$0)))
            (and
                 (or (= l1 curr_init_1$0)
                     (not (Btwn$0 next$0 min_init_1$0 l1 curr_init_1$0)))
                 (not
                      (in$0 l1
                        (ulseg_domain$0 data$0 next$0 min_init_1$0
                          curr_init_1$0 (read$0 data$0 min_init_1$0))))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 srt_init_1$0 l1 min_init_1$0)
                 (in$0 l1
                   (ulseg_domain$0 data$0 next$0 srt_init_1$0 min_init_1$0
                     (read$0 data$0 min_init_1$0)))
                 (not (= l1 min_init_1$0)))
            (and
                 (or (= l1 min_init_1$0)
                     (not (Btwn$0 next$0 srt_init_1$0 l1 min_init_1$0)))
                 (not
                      (in$0 l1
                        (ulseg_domain$0 data$0 next$0 srt_init_1$0
                          min_init_1$0 (read$0 data$0 min_init_1$0))))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (or (in$0 (ep$0 ?f ?X ?x) ?X) (= ?x (ep$0 ?f ?X ?x)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) (ep$0 ?f ?X ?x))))

(assert (or (Btwn$0 next$0 curr_8$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_302$0 next$0 curr_8$0 null$0))))

(assert (or (and (Btwn$0 next$0 curr_8$0 null$0 null$0) Axiom_80$0)
    (not
         (ulseg_struct$0 sk_?X_300$0 data$0 next$0 curr_8$0 null$0
           (read$0 data$0 prv_8$0)))))

(assert (or (not Axiom_81$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 prv_init_1$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_288$0))))))

(assert (or (and (Btwn$0 next$0 min_8$0 curr_8$0 curr_8$0) Axiom_82$0)
    (not
         (ulseg_struct$0 sk_?X_295$0 data$0 next$0 min_8$0 curr_8$0
           (read$0 data$0 min_8$0)))))

(assert (or (not Axiom_83$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 min_init_1$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_283$0))))))

(assert (or (and (Btwn$0 next$0 srt_8$0 min_8$0 min_8$0) Axiom_84$0)
    (not
         (ulseg_struct$0 sk_?X_298$0 data$0 next$0 srt_8$0 min_8$0
           (read$0 data$0 min_8$0)))))

(assert (or (not Axiom_85$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 min_init_1$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_286$0))))))

(assert (or
    (and (= min_8$0 curr_7$0)
         (< (read$0 data$0 curr_7$0) (read$0 data$0 min_7$0)))
    (and (= min_8$0 min_7$0)
         (not (< (read$0 data$0 curr_7$0) (read$0 data$0 min_7$0))))))

(assert (= curr_7$0 curr_init_1$0))

(assert (= min_7$0 min_init_1$0))

(assert (= srt_8$0 srt_init_1$0))

(assert (= sk_?X_279$0 sk_?X_281$0))

(assert (= sk_?X_281$0 (union$0 sk_?X_284$0 sk_?X_283$0)))

(assert (= sk_?X_283$0
  (ulseg_domain$0 data$0 next$0 min_init_1$0 curr_init_1$0
    (read$0 data$0 min_init_1$0))))

(assert (= sk_?X_285$0 (union$0 sk_?X_287$0 sk_?X_286$0)))

(assert (= sk_?X_287$0 sk_?X_288$0))

(assert (= sk_?X_289$0 sk_?X_290$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (= sk_?X_291$0 sk_?X_293$0))

(assert (= sk_?X_293$0 (union$0 sk_?X_296$0 sk_?X_295$0)))

(assert (= sk_?X_295$0
  (ulseg_domain$0 data$0 next$0 min_8$0 curr_8$0 (read$0 data$0 min_8$0))))

(assert (= sk_?X_297$0 (union$0 sk_?X_299$0 sk_?X_298$0)))

(assert (= sk_?X_299$0 sk_?X_300$0))

(assert (= sk_?X_301$0 sk_?X_302$0))

(assert (= sk_FP_6$0 sk_?X_292$0))

(assert (or (= min_8$0 null$0)
    (in$0 sk_l1_5$0 (intersection$0 sk_?X_296$0 sk_?X_295$0))
    (in$0 sk_l1_5$0 (intersection$0 sk_?X_301$0 sk_?X_298$0))
    (and (in$0 sk_l1_5$0 sk_?X_295$0)
         (not (<= (read$0 data$0 min_8$0) (read$0 data$0 sk_l1_5$0))))
    (and (in$0 sk_l1_5$0 sk_?X_298$0)
         (not (<= (read$0 data$0 min_8$0) (read$0 data$0 sk_l1_5$0))))
    (and (in$0 sk_l1_5$0 sk_FP_7$0) (not (in$0 sk_l1_5$0 FP$0)))
    (not (= prv_8$0 null$0)) (not (Btwn$0 next$0 curr_8$0 null$0 null$0))
    (not (Btwn$0 next$0 min_8$0 curr_8$0 curr_8$0))
    (not (Btwn$0 next$0 srt_8$0 min_8$0 min_8$0))))

(assert (not (= curr_7$0 null$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_8$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next$0 curr_8$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 curr_8$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 curr_8$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_init_1$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next$0 curr_init_1$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next$0 curr_init_1$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 curr_init_1$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 min_8$0 l1 curr_8$0)
                 (in$0 l1
                   (ulseg_domain$0 data$0 next$0 min_8$0 curr_8$0
                     (read$0 data$0 min_8$0)))
                 (not (= l1 curr_8$0)))
            (and
                 (or (= l1 curr_8$0)
                     (not (Btwn$0 next$0 min_8$0 l1 curr_8$0)))
                 (not
                      (in$0 l1
                        (ulseg_domain$0 data$0 next$0 min_8$0 curr_8$0
                          (read$0 data$0 min_8$0))))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 srt_8$0 l1 min_8$0)
                 (in$0 l1
                   (ulseg_domain$0 data$0 next$0 srt_8$0 min_8$0
                     (read$0 data$0 min_8$0)))
                 (not (= l1 min_8$0)))
            (and (or (= l1 min_8$0) (not (Btwn$0 next$0 srt_8$0 l1 min_8$0)))
                 (not
                      (in$0 l1
                        (ulseg_domain$0 data$0 next$0 srt_8$0 min_8$0
                          (read$0 data$0 min_8$0))))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) ?y) (not (Btwn$0 ?f ?x ?y ?y))
            (not (in$0 ?y ?X)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (in$0 ?y ?X))
            (in$0 (ep$0 ?f ?X ?x) ?X))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?x ?u ?y))
            (and (Btwn$0 ?f ?x ?u ?z) (Btwn$0 ?f ?u ?y ?z)))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?y ?u ?z))
            (and (Btwn$0 ?f ?x ?y ?u) (Btwn$0 ?f ?x ?u ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?y ?z ?z))
            (Btwn$0 ?f ?x ?z ?z))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z))
            (and (Btwn$0 ?f ?x ?y ?y) (Btwn$0 ?f ?y ?z ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?x ?z ?z))
            (Btwn$0 ?f ?x ?y ?z) (Btwn$0 ?f ?x ?z ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y)
            (Btwn$0 ?f ?x (read$1 ?f ?x) ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (= (read$1 ?f ?x) ?x)) (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x (read$1 ?f ?x) (read$1 ?f ?x))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x ?x ?x)))

(check-sat)
(exit)
