(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_insertion_sort.spl:44:4:An invariant might not be maintained by a loop in procedure insertion_sort
  tests/spl/sls/sls_insertion_sort.spl:45:16:Related location: This is the loop invariant that might not be maintained
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_14$0 () Bool)
(declare-fun Axiom_15$0 () Bool)
(declare-fun Axiom_16$0 () Bool)
(declare-fun Axiom_17$0 () Bool)
(declare-fun Axiom_18$0 () Bool)
(declare-fun Axiom_19$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_2$0 () SetLoc)
(declare-fun curr_2$0 () Loc)
(declare-fun curr_4$0 () Loc)
(declare-fun curr_init$0 () Loc)
(declare-fun data$0 () FldInt)
(declare-fun lseg_domain$0 (FldLoc Loc Loc) SetLoc)
(declare-fun lseg_struct$0 (SetLoc FldLoc Loc Loc) Bool)
(declare-fun lslseg_domain$0 (FldInt FldLoc Loc Loc Int) SetLoc)
(declare-fun lslseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int) Bool)
(declare-fun lst_2$0 () Loc)
(declare-fun lst_init$0 () Loc)
(declare-fun min_2$0 () Loc)
(declare-fun min_4$0 () Loc)
(declare-fun min_init$0 () Loc)
(declare-fun next$0 () FldLoc)
(declare-fun prv_4$0 () Loc)
(declare-fun prv_init$0 () Loc)
(declare-fun sk_?X_39$0 () SetLoc)
(declare-fun sk_?X_40$0 () SetLoc)
(declare-fun sk_?X_41$0 () SetLoc)
(declare-fun sk_?X_42$0 () SetLoc)
(declare-fun sk_?X_43$0 () SetLoc)
(declare-fun sk_?X_44$0 () SetLoc)
(declare-fun sk_?X_45$0 () SetLoc)
(declare-fun sk_?X_46$0 () SetLoc)
(declare-fun sk_?X_47$0 () SetLoc)
(declare-fun sk_?X_48$0 () SetLoc)
(declare-fun sk_?X_49$0 () SetLoc)
(declare-fun sk_?X_50$0 () SetLoc)
(declare-fun sk_?X_51$0 () SetLoc)
(declare-fun sk_?X_52$0 () SetLoc)
(declare-fun sk_?X_53$0 () SetLoc)
(declare-fun sk_?X_54$0 () SetLoc)
(declare-fun sk_?X_55$0 () SetLoc)
(declare-fun sk_?X_56$0 () SetLoc)
(declare-fun sk_?X_57$0 () SetLoc)
(declare-fun sk_?X_58$0 () SetLoc)
(declare-fun sk_?X_59$0 () SetLoc)
(declare-fun sk_FP_2$0 () SetLoc)
(declare-fun sk_FP_3$0 () SetLoc)
(declare-fun sk_l1_2$0 () Loc)
(declare-fun sk_l1_3$0 () Loc)
(declare-fun srt_4$0 () Loc)
(declare-fun srt_init$0 () Loc)
(declare-fun tmp_2$0 () Int)
(declare-fun tmp_init$0 () Int)
(declare-fun ulseg_domain$0 (FldInt FldLoc Loc Loc Int) SetLoc)
(declare-fun ulseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int) Bool)

(assert (forall ((?f FldLoc)) (= (read$1 ?f null$0) null$0)))

(assert (forall ((x Loc) (y Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x (setminus$0 X Y)) (not (in$0 x Y)))
            (and (or (in$0 x Y) (not (in$0 x X)))
                 (not (in$0 x (setminus$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x Y) (in$0 x (intersection$0 X Y)))
            (and (or (not (in$0 x X)) (not (in$0 x Y)))
                 (not (in$0 x (intersection$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x (union$0 X Y)) (or (in$0 x X) (in$0 x Y)))
            (and (not (in$0 x X)) (not (in$0 x Y))
                 (not (in$0 x (union$0 X Y)))))))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (Btwn$0 next$0 curr_4$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_59$0 next$0 curr_4$0 null$0))))

(assert (or (and (Btwn$0 next$0 curr_4$0 null$0 null$0) Axiom_14$0)
    (not
         (ulseg_struct$0 sk_?X_57$0 data$0 next$0 curr_4$0 null$0
           (read$0 data$0 prv_4$0)))))

(assert (or (not Axiom_15$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 prv_init$0))
                (not (in$0 l1 sk_?X_44$0)) (not (in$0 l2 sk_?X_44$0))))))

(assert (or (not Axiom_16$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 prv_init$0))
                (not (in$0 l1 sk_?X_44$0))))))

(assert (or (and (Btwn$0 next$0 min_4$0 curr_4$0 curr_4$0) Axiom_17$0)
    (not
         (ulseg_struct$0 sk_?X_52$0 data$0 next$0 min_4$0 curr_4$0
           (read$0 data$0 min_4$0)))))

(assert (or (not Axiom_18$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 min_4$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_55$0))))))

(assert (or (and (Btwn$0 next$0 srt_init$0 null$0 null$0) Axiom_19$0)
    (not
         (ulseg_struct$0 sk_?X_40$0 data$0 next$0 srt_init$0 null$0
           (read$0 data$0 prv_init$0)))))

(assert (= curr_2$0 curr_init$0))

(assert (= lst_2$0 lst_init$0))

(assert (= min_4$0 srt_4$0))

(assert (= srt_4$0 srt_init$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_40$0
  (ulseg_domain$0 data$0 next$0 srt_init$0 null$0 (read$0 data$0 prv_init$0))))

(assert (= sk_?X_42$0 sk_?X_43$0))

(assert (= sk_?X_44$0
  (lslseg_domain$0 data$0 next$0 lst_init$0 prv_init$0
    (read$0 data$0 prv_init$0))))

(assert (= sk_?X_46$0 (lseg_domain$0 next$0 lst_init$0 null$0)))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (= sk_?X_48$0 sk_?X_50$0))

(assert (= sk_?X_50$0 (union$0 sk_?X_53$0 sk_?X_52$0)))

(assert (= sk_?X_52$0
  (ulseg_domain$0 data$0 next$0 min_4$0 curr_4$0 (read$0 data$0 min_4$0))))

(assert (= sk_?X_54$0 (union$0 sk_?X_56$0 sk_?X_55$0)))

(assert (= sk_?X_56$0 sk_?X_57$0))

(assert (= sk_?X_58$0 sk_?X_59$0))

(assert (= sk_FP_2$0 sk_?X_49$0))

(assert (or (= min_4$0 null$0)
    (in$0 sk_l1_2$0 (intersection$0 sk_?X_53$0 sk_?X_52$0))
    (in$0 sk_l1_2$0 (intersection$0 sk_?X_58$0 sk_?X_55$0))
    (and (in$0 sk_l1_2$0 sk_?X_52$0)
         (not (<= (read$0 data$0 min_4$0) (read$0 data$0 sk_l1_2$0))))
    (and (in$0 sk_l1_2$0 sk_?X_55$0)
         (not (<= (read$0 data$0 min_4$0) (read$0 data$0 sk_l1_2$0))))
    (and (in$0 sk_l1_2$0 sk_FP_3$0) (not (in$0 sk_l1_2$0 FP$0)))
    (not (= prv_4$0 null$0)) (not (Btwn$0 next$0 curr_4$0 null$0 null$0))
    (not (Btwn$0 next$0 min_4$0 curr_4$0 curr_4$0))
    (not (Btwn$0 next$0 srt_4$0 min_4$0 min_4$0))))

(assert (not (= srt_4$0 null$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_4$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next$0 curr_4$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 curr_4$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 curr_4$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst_init$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next$0 lst_init$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next$0 lst_init$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 lst_init$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 min_4$0 l1 curr_4$0)
                 (in$0 l1
                   (ulseg_domain$0 data$0 next$0 min_4$0 curr_4$0
                     (read$0 data$0 min_4$0)))
                 (not (= l1 curr_4$0)))
            (and
                 (or (= l1 curr_4$0)
                     (not (Btwn$0 next$0 min_4$0 l1 curr_4$0)))
                 (not
                      (in$0 l1
                        (ulseg_domain$0 data$0 next$0 min_4$0 curr_4$0
                          (read$0 data$0 min_4$0))))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 srt_init$0 l1 null$0)
                 (in$0 l1
                   (ulseg_domain$0 data$0 next$0 srt_init$0 null$0
                     (read$0 data$0 prv_init$0)))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next$0 srt_init$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (ulseg_domain$0 data$0 next$0 srt_init$0 null$0
                          (read$0 data$0 prv_init$0))))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (or (in$0 (ep$0 ?f ?X ?x) ?X) (= ?x (ep$0 ?f ?X ?x)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) (ep$0 ?f ?X ?x))))

(assert (or (Btwn$0 next$0 lst_init$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_46$0 next$0 lst_init$0 null$0))))

(assert (or (not Axiom_14$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 prv_4$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_57$0))))))

(assert (or
    (and (Btwn$0 next$0 lst_init$0 prv_init$0 prv_init$0) Axiom_16$0
         Axiom_15$0)
    (not
         (lslseg_struct$0 sk_?X_44$0 data$0 next$0 lst_init$0 prv_init$0
           (read$0 data$0 prv_init$0)))))

(assert (or (not Axiom_17$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 min_4$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_52$0))))))

(assert (or (and (Btwn$0 next$0 srt_4$0 min_4$0 min_4$0) Axiom_18$0)
    (not
         (ulseg_struct$0 sk_?X_55$0 data$0 next$0 srt_4$0 min_4$0
           (read$0 data$0 min_4$0)))))

(assert (or (not Axiom_19$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 prv_init$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_40$0))))))

(assert (= FP_Caller_2$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= curr_4$0 (read$1 next$0 srt_4$0)))

(assert (= min_2$0 min_init$0))

(assert (= prv_4$0 prv_init$0))

(assert (= tmp_2$0 tmp_init$0))

(assert (= sk_?X_39$0 (union$0 sk_?X_41$0 sk_?X_40$0)))

(assert (= sk_?X_41$0 (union$0 sk_?X_44$0 sk_?X_42$0)))

(assert (= sk_?X_43$0 (setenum$0 prv_init$0)))

(assert (= sk_?X_45$0 (union$0 sk_?X_47$0 sk_?X_46$0)))

(assert (= sk_?X_47$0 emptyset$0))

(assert (or
    (and (= (read$1 next$0 prv_init$0) srt_init$0) (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_41$0 sk_?X_40$0))
         (= emptyset$0 (intersection$0 sk_?X_44$0 sk_?X_42$0))
         (= sk_?X_39$0 FP$0)
         (lslseg_struct$0 sk_?X_44$0 data$0 next$0 lst_init$0 prv_init$0
           (read$0 data$0 prv_init$0))
         (ulseg_struct$0 sk_?X_40$0 data$0 next$0 srt_init$0 null$0
           (read$0 data$0 prv_init$0)))
    (and (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_47$0 sk_?X_46$0))
         (= prv_init$0 null$0) (= sk_?X_45$0 FP$0) (= srt_init$0 lst_init$0)
         (lseg_struct$0 sk_?X_46$0 next$0 lst_init$0 null$0))))

(assert (= sk_?X_49$0 sk_?X_51$0))

(assert (= sk_?X_51$0 (union$0 sk_?X_54$0 sk_?X_52$0)))

(assert (= sk_?X_53$0 (union$0 sk_?X_58$0 sk_?X_55$0)))

(assert (= sk_?X_55$0
  (ulseg_domain$0 data$0 next$0 srt_4$0 min_4$0 (read$0 data$0 min_4$0))))

(assert (= sk_?X_57$0
  (ulseg_domain$0 data$0 next$0 curr_4$0 null$0 (read$0 data$0 prv_4$0))))

(assert (= sk_?X_59$0 (lseg_domain$0 next$0 curr_4$0 null$0)))

(assert (= sk_FP_3$0 sk_?X_48$0))

(assert (or (= min_4$0 null$0)
    (in$0 sk_l1_3$0 (intersection$0 sk_?X_54$0 sk_?X_52$0))
    (in$0 sk_l1_3$0 (intersection$0 sk_?X_56$0 sk_?X_55$0))
    (and (in$0 sk_l1_3$0 sk_?X_52$0)
         (not (<= (read$0 data$0 min_4$0) (read$0 data$0 sk_l1_3$0))))
    (and (in$0 sk_l1_3$0 sk_?X_55$0)
         (not (<= (read$0 data$0 min_4$0) (read$0 data$0 sk_l1_3$0))))
    (and (in$0 sk_l1_3$0 sk_?X_57$0)
         (not (<= (read$0 data$0 prv_4$0) (read$0 data$0 sk_l1_3$0))))
    (and (in$0 sk_l1_3$0 sk_FP_2$0) (not (in$0 sk_l1_3$0 FP$0)))
    (not (<= (read$0 data$0 prv_4$0) (read$0 data$0 min_4$0)))
    (not (Btwn$0 next$0 curr_4$0 null$0 null$0))
    (not (Btwn$0 next$0 min_4$0 curr_4$0 curr_4$0))
    (not (Btwn$0 next$0 srt_4$0 min_4$0 min_4$0))))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_4$0 l1 null$0)
                 (in$0 l1
                   (ulseg_domain$0 data$0 next$0 curr_4$0 null$0
                     (read$0 data$0 prv_4$0)))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 curr_4$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (ulseg_domain$0 data$0 next$0 curr_4$0 null$0
                          (read$0 data$0 prv_4$0))))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst_init$0 l1 prv_init$0)
                 (in$0 l1
                   (lslseg_domain$0 data$0 next$0 lst_init$0 prv_init$0
                     (read$0 data$0 prv_init$0)))
                 (not (= l1 prv_init$0)))
            (and
                 (or (= l1 prv_init$0)
                     (not (Btwn$0 next$0 lst_init$0 l1 prv_init$0)))
                 (not
                      (in$0 l1
                        (lslseg_domain$0 data$0 next$0 lst_init$0 prv_init$0
                          (read$0 data$0 prv_init$0))))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 srt_4$0 l1 min_4$0)
                 (in$0 l1
                   (ulseg_domain$0 data$0 next$0 srt_4$0 min_4$0
                     (read$0 data$0 min_4$0)))
                 (not (= l1 min_4$0)))
            (and (or (= l1 min_4$0) (not (Btwn$0 next$0 srt_4$0 l1 min_4$0)))
                 (not
                      (in$0 l1
                        (ulseg_domain$0 data$0 next$0 srt_4$0 min_4$0
                          (read$0 data$0 min_4$0))))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) ?y) (not (Btwn$0 ?f ?x ?y ?y))
            (not (in$0 ?y ?X)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (in$0 ?y ?X))
            (in$0 (ep$0 ?f ?X ?x) ?X))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?x ?u ?y))
            (and (Btwn$0 ?f ?x ?u ?z) (Btwn$0 ?f ?u ?y ?z)))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?y ?u ?z))
            (and (Btwn$0 ?f ?x ?y ?u) (Btwn$0 ?f ?x ?u ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?y ?z ?z))
            (Btwn$0 ?f ?x ?z ?z))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z))
            (and (Btwn$0 ?f ?x ?y ?y) (Btwn$0 ?f ?y ?z ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?x ?z ?z))
            (Btwn$0 ?f ?x ?y ?z) (Btwn$0 ?f ?x ?z ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y)
            (Btwn$0 ?f ?x (read$1 ?f ?x) ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (= (read$1 ?f ?x) ?x)) (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x (read$1 ?f ?x) (read$1 ?f ?x))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x ?x ?x)))

(check-sat)
(exit)
