(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_merge_sort.spl:57:6-21:Possible heap access through null or dangling reference
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_48$0 () Bool)
(declare-fun Axiom_49$0 () Bool)
(declare-fun Axiom_50$0 () Bool)
(declare-fun Axiom_51$0 () Bool)
(declare-fun Axiom_52$0 () Bool)
(declare-fun Axiom_53$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_2$0 () SetLoc)
(declare-fun a_3$0 () Loc)
(declare-fun a_init$0 () Loc)
(declare-fun b_3$0 () Loc)
(declare-fun b_init$0 () Loc)
(declare-fun data$0 () FldInt)
(declare-fun last_4$0 () Loc)
(declare-fun last_init$0 () Loc)
(declare-fun lslseg_domain$0 (FldInt FldLoc Loc Loc Int) SetLoc)
(declare-fun lslseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int) Bool)
(declare-fun next$0 () FldLoc)
(declare-fun res_9$0 () Loc)
(declare-fun res_init$0 () Loc)
(declare-fun sk_?X_116$0 () SetLoc)
(declare-fun sk_?X_117$0 () SetLoc)
(declare-fun sk_?X_118$0 () SetLoc)
(declare-fun sk_?X_119$0 () SetLoc)
(declare-fun sk_?X_120$0 () SetLoc)
(declare-fun sk_?X_121$0 () SetLoc)
(declare-fun sk_?X_122$0 () SetLoc)
(declare-fun sk_?X_123$0 () SetLoc)
(declare-fun sk_?X_124$0 () SetLoc)
(declare-fun sk_?X_125$0 () SetLoc)
(declare-fun sk_?X_126$0 () SetLoc)
(declare-fun sk_?X_127$0 () SetLoc)
(declare-fun sk_?X_128$0 () SetLoc)
(declare-fun uslseg_domain$0 (FldInt FldLoc Loc Loc Int) SetLoc)
(declare-fun uslseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int) Bool)

(assert (forall ((?f FldLoc)) (= (read$1 ?f null$0) null$0)))

(assert (forall ((x Loc) (y Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x (setminus$0 X Y)) (not (in$0 x Y)))
            (and (or (in$0 x Y) (not (in$0 x X)))
                 (not (in$0 x (setminus$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x Y) (in$0 x (intersection$0 X Y)))
            (and (or (not (in$0 x X)) (not (in$0 x Y)))
                 (not (in$0 x (intersection$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x (union$0 X Y)) (or (in$0 x X) (in$0 x Y)))
            (and (not (in$0 x X)) (not (in$0 x Y))
                 (not (in$0 x (union$0 X Y)))))))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (and (Btwn$0 next$0 a_init$0 null$0 null$0) Axiom_49$0 Axiom_48$0)
    (not
         (uslseg_struct$0 sk_?X_121$0 data$0 next$0 a_init$0 null$0
           (read$0 data$0 last_init$0)))))

(assert (or (not Axiom_50$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_118$0)) (not (in$0 l2 sk_?X_118$0))))))

(assert (or (not Axiom_51$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 last_init$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_118$0))))))

(assert (or
    (and (Btwn$0 next$0 res_init$0 last_init$0 last_init$0) Axiom_53$0
         Axiom_52$0)
    (not
         (lslseg_struct$0 sk_?X_124$0 data$0 next$0 res_init$0 last_init$0
           (read$0 data$0 last_init$0)))))

(assert (= FP_Caller_2$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= b_3$0 b_init$0))

(assert (= res_9$0 res_init$0))

(assert (= sk_?X_116$0 (union$0 sk_?X_119$0 sk_?X_118$0)))

(assert (= sk_?X_118$0
  (uslseg_domain$0 data$0 next$0 b_init$0 null$0 (read$0 data$0 last_init$0))))

(assert (= sk_?X_120$0 (union$0 sk_?X_123$0 sk_?X_121$0)))

(assert (= sk_?X_122$0 (union$0 sk_?X_127$0 sk_?X_124$0)))

(assert (= sk_?X_124$0
  (lslseg_domain$0 data$0 next$0 res_init$0 last_init$0
    (read$0 data$0 last_init$0))))

(assert (= sk_?X_126$0 (setenum$0 last_init$0)))

(assert (= sk_?X_128$0 (setenum$0 last_init$0)))

(assert (or
    (and (= (read$1 next$0 last_init$0) a_init$0) (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_119$0 sk_?X_118$0))
         (= emptyset$0 (intersection$0 sk_?X_122$0 sk_?X_121$0))
         (= emptyset$0 (intersection$0 sk_?X_127$0 sk_?X_124$0))
         (= sk_?X_116$0 FP$0)
         (lslseg_struct$0 sk_?X_124$0 data$0 next$0 res_init$0 last_init$0
           (read$0 data$0 last_init$0))
         (uslseg_struct$0 sk_?X_118$0 data$0 next$0 b_init$0 null$0
           (read$0 data$0 last_init$0))
         (uslseg_struct$0 sk_?X_121$0 data$0 next$0 a_init$0 null$0
           (read$0 data$0 last_init$0)))
    (and (= (read$1 next$0 last_init$0) b_init$0) (= emptyset$0 emptyset$0)
         (= emptyset$0 (intersection$0 sk_?X_120$0 sk_?X_118$0))
         (= emptyset$0 (intersection$0 sk_?X_123$0 sk_?X_121$0))
         (= emptyset$0 (intersection$0 sk_?X_125$0 sk_?X_124$0))
         (= sk_?X_117$0 FP$0)
         (lslseg_struct$0 sk_?X_124$0 data$0 next$0 res_init$0 last_init$0
           (read$0 data$0 last_init$0))
         (uslseg_struct$0 sk_?X_118$0 data$0 next$0 b_init$0 null$0
           (read$0 data$0 last_init$0))
         (uslseg_struct$0 sk_?X_121$0 data$0 next$0 a_init$0 null$0
           (read$0 data$0 last_init$0)))))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 a_init$0 l1 null$0)
                 (in$0 l1
                   (uslseg_domain$0 data$0 next$0 a_init$0 null$0
                     (read$0 data$0 last_init$0)))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 a_init$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (uslseg_domain$0 data$0 next$0 a_init$0 null$0
                          (read$0 data$0 last_init$0))))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 res_init$0 l1 last_init$0)
                 (in$0 l1
                   (lslseg_domain$0 data$0 next$0 res_init$0 last_init$0
                     (read$0 data$0 last_init$0)))
                 (not (= l1 last_init$0)))
            (and
                 (or (= l1 last_init$0)
                     (not (Btwn$0 next$0 res_init$0 l1 last_init$0)))
                 (not
                      (in$0 l1
                        (lslseg_domain$0 data$0 next$0 res_init$0 last_init$0
                          (read$0 data$0 last_init$0))))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (or (in$0 (ep$0 ?f ?X ?x) ?X) (= ?x (ep$0 ?f ?X ?x)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) (ep$0 ?f ?X ?x))))

(assert (or (= b_3$0 null$0) (not (> (read$0 data$0 a_3$0) (read$0 data$0 b_3$0)))))

(assert (or (not Axiom_48$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_121$0)) (not (in$0 l2 sk_?X_121$0))))))

(assert (or (not Axiom_49$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 last_init$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_121$0))))))

(assert (or (and (Btwn$0 next$0 b_init$0 null$0 null$0) Axiom_51$0 Axiom_50$0)
    (not
         (uslseg_struct$0 sk_?X_118$0 data$0 next$0 b_init$0 null$0
           (read$0 data$0 last_init$0)))))

(assert (or (not Axiom_52$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 last_init$0))
                (not (in$0 l1 sk_?X_124$0)) (not (in$0 l2 sk_?X_124$0))))))

(assert (or (not Axiom_53$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 last_init$0))
                (not (in$0 l1 sk_?X_124$0))))))

(assert (or (not (= a_3$0 null$0)) (not (= b_3$0 null$0))))

(assert (= a_3$0 a_init$0))

(assert (= last_4$0 last_init$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_117$0 (union$0 sk_?X_120$0 sk_?X_118$0)))

(assert (= sk_?X_119$0 (union$0 sk_?X_122$0 sk_?X_121$0)))

(assert (= sk_?X_121$0
  (uslseg_domain$0 data$0 next$0 a_init$0 null$0 (read$0 data$0 last_init$0))))

(assert (= sk_?X_123$0 (union$0 sk_?X_125$0 sk_?X_124$0)))

(assert (= sk_?X_125$0 sk_?X_126$0))

(assert (= sk_?X_127$0 sk_?X_128$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (not (= a_3$0 null$0)))

(assert (not (in$0 last_4$0 FP$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 b_init$0 l1 null$0)
                 (in$0 l1
                   (uslseg_domain$0 data$0 next$0 b_init$0 null$0
                     (read$0 data$0 last_init$0)))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 b_init$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (uslseg_domain$0 data$0 next$0 b_init$0 null$0
                          (read$0 data$0 last_init$0))))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) ?y) (not (Btwn$0 ?f ?x ?y ?y))
            (not (in$0 ?y ?X)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (in$0 ?y ?X))
            (in$0 (ep$0 ?f ?X ?x) ?X))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?x ?u ?y))
            (and (Btwn$0 ?f ?x ?u ?z) (Btwn$0 ?f ?u ?y ?z)))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?y ?u ?z))
            (and (Btwn$0 ?f ?x ?y ?u) (Btwn$0 ?f ?x ?u ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?y ?z ?z))
            (Btwn$0 ?f ?x ?z ?z))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z))
            (and (Btwn$0 ?f ?x ?y ?y) (Btwn$0 ?f ?y ?z ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?x ?z ?z))
            (Btwn$0 ?f ?x ?y ?z) (Btwn$0 ?f ?x ?z ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y)
            (Btwn$0 ?f ?x (read$1 ?f ?x) ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (= (read$1 ?f ?x) ?x)) (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x (read$1 ?f ?x) (read$1 ?f ?x))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x ?x ?x)))

(check-sat)
(exit)
