(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_strand_sort.spl:78:2:An invariant might not hold before entering a loop in procedure pull_strands
  tests/spl/sls/sls_strand_sort.spl:79:14:Related location: This is the loop invariant that might not hold initially
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun write$0 (FldLoc Loc Loc) FldLoc)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_72$0 () Bool)
(declare-fun Axiom_73$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_3$0 () SetLoc)
(declare-fun curr_2$0 () Loc)
(declare-fun data$0 () FldInt)
(declare-fun lseg_domain$0 (FldLoc Loc Loc) SetLoc)
(declare-fun lseg_struct$0 (SetLoc FldLoc Loc Loc) Bool)
(declare-fun lslseg_domain$0 (FldInt FldLoc Loc Loc Int) SetLoc)
(declare-fun lslseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int) Bool)
(declare-fun lst$0 () Loc)
(declare-fun next$0 () FldLoc)
(declare-fun next_5$0 () FldLoc)
(declare-fun prv_2$0 () Loc)
(declare-fun rest_3$0 () Loc)
(declare-fun sk_?X_150$0 () SetLoc)
(declare-fun sk_?X_151$0 () SetLoc)
(declare-fun sk_?X_152$0 () SetLoc)
(declare-fun sk_?X_153$0 () SetLoc)
(declare-fun sk_?X_154$0 () SetLoc)
(declare-fun sk_?X_155$0 () SetLoc)
(declare-fun sk_?X_156$0 () SetLoc)
(declare-fun sk_?X_157$0 () SetLoc)
(declare-fun sk_?X_158$0 () SetLoc)
(declare-fun sk_?X_159$0 () SetLoc)
(declare-fun sk_?X_160$0 () SetLoc)
(declare-fun sk_?X_161$0 () SetLoc)
(declare-fun sk_?X_162$0 () SetLoc)
(declare-fun sk_?X_163$0 () SetLoc)
(declare-fun sk_?X_164$0 () SetLoc)
(declare-fun sk_?X_165$0 () SetLoc)
(declare-fun sk_?X_166$0 () SetLoc)
(declare-fun sk_FP_4$0 () SetLoc)
(declare-fun sk_FP_5$0 () SetLoc)
(declare-fun sk_l1_7$0 () Loc)
(declare-fun sk_l1_8$0 () Loc)
(declare-fun sk_l2_7$0 () Loc)
(declare-fun sk_l2_8$0 () Loc)
(declare-fun sorted_4$0 () Loc)
(declare-fun sorted_tail_2$0 () Loc)
(declare-fun t_38$0 () Loc)
(declare-fun t_39$0 () Loc)
(declare-fun t_40$0 () Loc)
(declare-fun t_41$0 () Loc)
(declare-fun t_42$0 () Loc)

(assert (= (read$1 next$0 sorted_tail_2$0) t_42$0))

(assert (= (read$1 next$0 prv_2$0) t_41$0))

(assert (= (read$1 (write$0 next$0 sorted_tail_2$0 null$0) sorted_tail_2$0) t_40$0))

(assert (= (read$1 (write$0 next$0 sorted_tail_2$0 null$0) prv_2$0) t_39$0))

(assert (= (read$1 (write$0 next$0 sorted_tail_2$0 null$0) lst$0) t_38$0))

(assert (forall ((?d_30 Loc) (?x Loc) (?y Loc))
        (or (= ?y ?x)
            (= (read$1 next$0 ?y) (read$1 (write$0 next$0 ?x ?d_30) ?y)))))

(assert (forall ((?d_30 Loc) (?x Loc))
        (= (read$1 (write$0 next$0 ?x ?d_30) ?x) ?d_30)))

(assert (forall ((?f FldLoc)) (= (read$1 ?f null$0) null$0)))

(assert (forall ((x Loc) (y Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x (setminus$0 X Y)) (not (in$0 x Y)))
            (and (or (in$0 x Y) (not (in$0 x X)))
                 (not (in$0 x (setminus$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x Y) (in$0 x (intersection$0 X Y)))
            (and (or (not (in$0 x X)) (not (in$0 x Y)))
                 (not (in$0 x (intersection$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x (union$0 X Y)) (or (in$0 x X) (in$0 x Y)))
            (and (not (in$0 x X)) (not (in$0 x Y))
                 (not (in$0 x (union$0 X Y)))))))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (Btwn$0 next$0 lst$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_151$0 next$0 lst$0 null$0))))

(assert (or (Btwn$0 next_5$0 rest_3$0 prv_2$0 prv_2$0)
    (not (lseg_struct$0 sk_?X_165$0 next_5$0 rest_3$0 prv_2$0))))

(assert (or (not Axiom_72$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next_5$0 l1 l2 sorted_tail_2$0))
                (not (in$0 l1 sk_?X_158$0)) (not (in$0 l2 sk_?X_158$0))))))

(assert (or (not Axiom_73$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 sorted_tail_2$0))
                (not (in$0 l1 sk_?X_158$0))))))

(assert (= FP_Caller_3$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= next_5$0 (write$0 next$0 sorted_tail_2$0 null$0)))

(assert (= rest_3$0 (read$1 next$0 lst$0)))

(assert (= sorted_tail_2$0 sorted_4$0))

(assert (= emptyset$0 emptyset$0))

(assert (= sk_?X_150$0 FP$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (not (= lst$0 null$0)))

(assert (= sk_?X_153$0 (union$0 sk_?X_157$0 sk_?X_154$0)))

(assert (= sk_?X_155$0 (setenum$0 sorted_tail_2$0)))

(assert (= sk_?X_157$0 (union$0 sk_?X_160$0 sk_?X_158$0)))

(assert (= sk_?X_159$0 (union$0 sk_?X_166$0 sk_?X_161$0)))

(assert (= sk_?X_161$0 emptyset$0))

(assert (= sk_?X_163$0 sk_?X_164$0))

(assert (= sk_?X_165$0 (lseg_domain$0 next_5$0 rest_3$0 prv_2$0)))

(assert (= sk_FP_4$0 sk_?X_153$0))

(assert (or (in$0 sk_l1_7$0 (intersection$0 sk_?X_157$0 sk_?X_154$0))
    (in$0 sk_l1_7$0 (intersection$0 sk_?X_165$0 sk_?X_163$0))
    (in$0 sk_l2_7$0 (intersection$0 sk_?X_160$0 sk_?X_158$0))
    (in$0 sk_l2_7$0 (intersection$0 sk_?X_166$0 sk_?X_162$0))
    (and (in$0 sk_l1_7$0 sk_FP_4$0) (not (in$0 sk_l1_7$0 FP$0)))
    (and (in$0 sk_l2_7$0 sk_?X_158$0)
         (not (<= (read$0 data$0 sk_l2_7$0) (read$0 data$0 sorted_tail_2$0))))
    (not (= (read$1 next_5$0 prv_2$0) curr_2$0))
    (not (= (read$1 next_5$0 sorted_tail_2$0) null$0))
    (not (Btwn$0 next_5$0 curr_2$0 null$0 null$0))
    (not (Btwn$0 next_5$0 rest_3$0 prv_2$0 prv_2$0))
    (not (Btwn$0 next_5$0 sorted_4$0 sorted_tail_2$0 sorted_tail_2$0))
    (and (Btwn$0 next_5$0 sk_l1_7$0 sk_l2_7$0 sorted_tail_2$0)
         (in$0 sk_l1_7$0 sk_?X_158$0) (in$0 sk_l2_7$0 sk_?X_158$0)
         (not (<= (read$0 data$0 sk_l1_7$0) (read$0 data$0 sk_l2_7$0))))))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_5$0 curr_2$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next_5$0 curr_2$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next_5$0 curr_2$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next_5$0 curr_2$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_5$0 sorted_4$0 l1 sorted_tail_2$0)
                 (in$0 l1
                   (lslseg_domain$0 data$0 next_5$0 sorted_4$0
                     sorted_tail_2$0 (read$0 data$0 sorted_tail_2$0)))
                 (not (= l1 sorted_tail_2$0)))
            (and
                 (or (= l1 sorted_tail_2$0)
                     (not (Btwn$0 next_5$0 sorted_4$0 l1 sorted_tail_2$0)))
                 (not
                      (in$0 l1
                        (lslseg_domain$0 data$0 next_5$0 sorted_4$0
                          sorted_tail_2$0 (read$0 data$0 sorted_tail_2$0))))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (or (in$0 (ep$0 ?f ?X ?x) ?X) (= ?x (ep$0 ?f ?X ?x)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) (ep$0 ?f ?X ?x))))

(assert (or (Btwn$0 next_5$0 curr_2$0 null$0 null$0)
    (not (lseg_struct$0 sk_?X_166$0 next_5$0 curr_2$0 null$0))))

(assert (or
    (and (Btwn$0 next_5$0 sorted_4$0 sorted_tail_2$0 sorted_tail_2$0)
         Axiom_73$0 Axiom_72$0)
    (not
         (lslseg_struct$0 sk_?X_158$0 data$0 next_5$0 sorted_4$0
           sorted_tail_2$0 (read$0 data$0 sorted_tail_2$0)))))

(assert (= curr_2$0 rest_3$0))

(assert (= prv_2$0 null$0))

(assert (= sorted_4$0 lst$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_150$0 sk_?X_151$0))

(assert (= sk_?X_151$0 (lseg_domain$0 next$0 lst$0 null$0)))

(assert (lseg_struct$0 sk_?X_151$0 next$0 lst$0 null$0))

(assert (= sk_?X_152$0 (union$0 sk_?X_156$0 sk_?X_154$0)))

(assert (= sk_?X_154$0 sk_?X_155$0))

(assert (= sk_?X_156$0 (union$0 sk_?X_159$0 sk_?X_158$0)))

(assert (= sk_?X_158$0
  (lslseg_domain$0 data$0 next_5$0 sorted_4$0 sorted_tail_2$0
    (read$0 data$0 sorted_tail_2$0))))

(assert (= sk_?X_160$0 (union$0 sk_?X_166$0 sk_?X_162$0)))

(assert (= sk_?X_162$0 (union$0 sk_?X_165$0 sk_?X_163$0)))

(assert (= sk_?X_164$0 (setenum$0 prv_2$0)))

(assert (= sk_?X_166$0 (lseg_domain$0 next_5$0 curr_2$0 null$0)))

(assert (= sk_FP_5$0 sk_?X_152$0))

(assert (or (in$0 sk_l1_8$0 (intersection$0 sk_?X_159$0 sk_?X_158$0))
    (in$0 sk_l2_8$0 (intersection$0 sk_?X_156$0 sk_?X_154$0))
    (in$0 sk_l2_8$0 (intersection$0 sk_?X_166$0 sk_?X_161$0))
    (and (in$0 sk_l1_8$0 sk_FP_5$0) (not (in$0 sk_l1_8$0 FP$0)))
    (and (in$0 sk_l2_8$0 sk_?X_158$0)
         (not (<= (read$0 data$0 sk_l2_8$0) (read$0 data$0 sorted_tail_2$0))))
    (not (= (read$1 next_5$0 sorted_tail_2$0) null$0))
    (not (= prv_2$0 null$0)) (not (= rest_3$0 curr_2$0))
    (not (Btwn$0 next_5$0 curr_2$0 null$0 null$0))
    (not (Btwn$0 next_5$0 sorted_4$0 sorted_tail_2$0 sorted_tail_2$0))
    (and (Btwn$0 next_5$0 sk_l1_8$0 sk_l2_8$0 sorted_tail_2$0)
         (in$0 sk_l1_8$0 sk_?X_158$0) (in$0 sk_l2_8$0 sk_?X_158$0)
         (not (<= (read$0 data$0 sk_l1_8$0) (read$0 data$0 sk_l2_8$0))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 lst$0 l1 null$0)
                 (in$0 l1 (lseg_domain$0 next$0 lst$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next$0 lst$0 l1 null$0)))
                 (not (in$0 l1 (lseg_domain$0 next$0 lst$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_5$0 rest_3$0 l1 prv_2$0)
                 (in$0 l1 (lseg_domain$0 next_5$0 rest_3$0 prv_2$0))
                 (not (= l1 prv_2$0)))
            (and
                 (or (= l1 prv_2$0)
                     (not (Btwn$0 next_5$0 rest_3$0 l1 prv_2$0)))
                 (not (in$0 l1 (lseg_domain$0 next_5$0 rest_3$0 prv_2$0)))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) ?y) (not (Btwn$0 ?f ?x ?y ?y))
            (not (in$0 ?y ?X)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (in$0 ?y ?X))
            (in$0 (ep$0 ?f ?X ?x) ?X))))

(assert (forall ((?u Loc) (?v Loc) (?z Loc))
        (and
             (or (Btwn$0 (write$0 next$0 sorted_tail_2$0 null$0) ?z ?u ?v)
                 (not
                      (or
                          (and (Btwn$0 next$0 ?z ?u ?v)
                               (or (Btwn$0 next$0 ?z ?v sorted_tail_2$0)
                                   (and (Btwn$0 next$0 ?z ?v ?v)
                                        (not
                                             (Btwn$0 next$0 ?z
                                               sorted_tail_2$0
                                               sorted_tail_2$0)))))
                          (and (not (= sorted_tail_2$0 ?v))
                               (or (Btwn$0 next$0 ?z sorted_tail_2$0 ?v)
                                   (and
                                        (Btwn$0 next$0 ?z sorted_tail_2$0
                                          sorted_tail_2$0)
                                        (not (Btwn$0 next$0 ?z ?v ?v))))
                               (Btwn$0 next$0 ?z ?u sorted_tail_2$0)
                               (or (Btwn$0 next$0 null$0 ?v sorted_tail_2$0)
                                   (and (Btwn$0 next$0 null$0 ?v ?v)
                                        (not
                                             (Btwn$0 next$0 null$0
                                               sorted_tail_2$0
                                               sorted_tail_2$0)))))
                          (and (not (= sorted_tail_2$0 ?v))
                               (or (Btwn$0 next$0 ?z sorted_tail_2$0 ?v)
                                   (and
                                        (Btwn$0 next$0 ?z sorted_tail_2$0
                                          sorted_tail_2$0)
                                        (not (Btwn$0 next$0 ?z ?v ?v))))
                               (Btwn$0 next$0 null$0 ?u ?v)
                               (or (Btwn$0 next$0 null$0 ?v sorted_tail_2$0)
                                   (and (Btwn$0 next$0 null$0 ?v ?v)
                                        (not
                                             (Btwn$0 next$0 null$0
                                               sorted_tail_2$0
                                               sorted_tail_2$0))))))))
             (or
                 (and (Btwn$0 next$0 ?z ?u ?v)
                      (or (Btwn$0 next$0 ?z ?v sorted_tail_2$0)
                          (and (Btwn$0 next$0 ?z ?v ?v)
                               (not
                                    (Btwn$0 next$0 ?z sorted_tail_2$0
                                      sorted_tail_2$0)))))
                 (and (not (= sorted_tail_2$0 ?v))
                      (or (Btwn$0 next$0 ?z sorted_tail_2$0 ?v)
                          (and
                               (Btwn$0 next$0 ?z sorted_tail_2$0
                                 sorted_tail_2$0)
                               (not (Btwn$0 next$0 ?z ?v ?v))))
                      (Btwn$0 next$0 ?z ?u sorted_tail_2$0)
                      (or (Btwn$0 next$0 null$0 ?v sorted_tail_2$0)
                          (and (Btwn$0 next$0 null$0 ?v ?v)
                               (not
                                    (Btwn$0 next$0 null$0 sorted_tail_2$0
                                      sorted_tail_2$0)))))
                 (and (not (= sorted_tail_2$0 ?v))
                      (or (Btwn$0 next$0 ?z sorted_tail_2$0 ?v)
                          (and
                               (Btwn$0 next$0 ?z sorted_tail_2$0
                                 sorted_tail_2$0)
                               (not (Btwn$0 next$0 ?z ?v ?v))))
                      (Btwn$0 next$0 null$0 ?u ?v)
                      (or (Btwn$0 next$0 null$0 ?v sorted_tail_2$0)
                          (and (Btwn$0 next$0 null$0 ?v ?v)
                               (not
                                    (Btwn$0 next$0 null$0 sorted_tail_2$0
                                      sorted_tail_2$0)))))
                 (not
                      (Btwn$0 (write$0 next$0 sorted_tail_2$0 null$0) ?z ?u
                        ?v))))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?x ?u ?y))
            (and (Btwn$0 ?f ?x ?u ?z) (Btwn$0 ?f ?u ?y ?z)))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?y ?u ?z))
            (and (Btwn$0 ?f ?x ?y ?u) (Btwn$0 ?f ?x ?u ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?y ?z ?z))
            (Btwn$0 ?f ?x ?z ?z))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z))
            (and (Btwn$0 ?f ?x ?y ?y) (Btwn$0 ?f ?y ?z ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?x ?z ?z))
            (Btwn$0 ?f ?x ?y ?z) (Btwn$0 ?f ?x ?z ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y)
            (Btwn$0 ?f ?x (read$1 ?f ?x) ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (= (read$1 ?f ?x) ?x)) (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x (read$1 ?f ?x) (read$1 ?f ?x))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x ?x ?x)))

(check-sat)
(exit)
