(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_quicksort.spl:54:4-39:Possible heap access through null or dangling reference
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldLoc Loc) Loc)
(declare-fun read$1 (FldInt Loc) Int)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun Frame$0 (SetLoc SetLoc FldLoc FldLoc) Bool)
(declare-fun Frame$1 (SetLoc SetLoc FldInt FldInt) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_2$0 () Bool)
(declare-fun Axiom_3$0 () Bool)
(declare-fun Axiom_4$0 () Bool)
(declare-fun Axiom_5$0 () Bool)
(declare-fun Axiom_6$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_1$0 () SetLoc)
(declare-fun FP_2$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_1$0 () SetLoc)
(declare-fun blseg_domain$0 (FldInt FldLoc Loc Loc Int Int) SetLoc)
(declare-fun blseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int Int) Bool)
(declare-fun data$0 () FldInt)
(declare-fun data_1$0 () FldInt)
(declare-fun lb$0 () Int)
(declare-fun next$0 () FldLoc)
(declare-fun pivot_3$0 () Loc)
(declare-fun sk_?X_3$0 () SetLoc)
(declare-fun sk_?X_4$0 () SetLoc)
(declare-fun sk_?X_5$0 () SetLoc)
(declare-fun sk_?X_6$0 () SetLoc)
(declare-fun sk_?X_7$0 () SetLoc)
(declare-fun sk_?X_8$0 () SetLoc)
(declare-fun sk_?X_9$0 () SetLoc)
(declare-fun sk_?X_10$0 () SetLoc)
(declare-fun sk_?X_11$0 () SetLoc)
(declare-fun sk_?X_12$0 () SetLoc)
(declare-fun t$0 () Int)
(declare-fun t_1$0 () Loc)
(declare-fun t_2$0 () Loc)
(declare-fun t_3$0 () Loc)
(declare-fun ub$0 () Int)
(declare-fun x$0 () Loc)
(declare-fun y$0 () Loc)

(assert (= (ep$0 next$0 FP_1$0 x$0) t_3$0))

(assert (= (ep$0 next$0 FP_1$0 pivot_3$0) t_2$0))

(assert (= (ep$0 next$0 FP_1$0 null$0) t_1$0))

(assert (= (read$1 data$0 pivot_3$0) t$0))

(assert (forall ((?f FldLoc)) (= (read$0 ?f null$0) null$0)))

(assert (forall ((x Loc) (y Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x (setminus$0 X Y)) (not (in$0 x Y)))
            (and (or (in$0 x Y) (not (in$0 x X)))
                 (not (in$0 x (setminus$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x Y) (in$0 x (intersection$0 X Y)))
            (and (or (not (in$0 x X)) (not (in$0 x Y)))
                 (not (in$0 x (intersection$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x (union$0 X Y)) (or (in$0 x X) (in$0 x Y)))
            (and (not (in$0 x X)) (not (in$0 x Y))
                 (not (in$0 x (union$0 X Y)))))))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (and (Btwn$0 next$0 pivot_3$0 y$0 y$0) Axiom_2$0)
    (not
         (blseg_struct$0 sk_?X_4$0 data_1$0 next$0 pivot_3$0 y$0
           (read$1 data_1$0 pivot_3$0) ub$0))))

(assert (or (not Axiom_3$0)
    (forall ((l1 Loc))
            (or
                (and (<= (read$1 data_1$0 l1) (read$1 data_1$0 pivot_3$0))
                     (<= lb$0 (read$1 data_1$0 l1)))
                (not (in$0 l1 sk_?X_3$0))))))

(assert (or (and (Btwn$0 next$0 x$0 y$0 y$0) Axiom_4$0)
    (not (blseg_struct$0 sk_?X_11$0 data$0 next$0 x$0 y$0 lb$0 ub$0))))

(assert (or (not Axiom_5$0)
    (forall ((l1 Loc))
            (or
                (and (<= (read$1 data$0 l1) ub$0)
                     (<= lb$0 (read$1 data$0 l1)))
                (not (in$0 l1 sk_?X_12$0))))))

(assert (= FP_2$0
  (union$0 (setminus$0 FP$0 FP_1$0)
    (union$0 (intersection$0 Alloc$0 FP_1$0) (setminus$0 Alloc$0 Alloc$0)))))

(assert (Frame$1 FP_1$0 Alloc$0 data$0 data_1$0))

(assert (= Alloc$0 (union$0 FP_2$0 Alloc$0)))

(assert (= emptyset$0 emptyset$0))

(assert (= emptyset$0 (intersection$0 sk_?X_6$0 sk_?X_7$0)))

(assert (= sk_?X_4$0
  (blseg_domain$0 data_1$0 next$0 pivot_3$0 y$0 (read$1 data_1$0 pivot_3$0)
    ub$0)))

(assert (= sk_?X_6$0 (union$0 sk_?X_3$0 sk_?X_5$0)))

(assert (= sk_?X_8$0 (union$0 sk_?X_6$0 sk_?X_7$0)))

(assert (= sk_?X_9$0 sk_?X_8$0))

(assert (<= lb$0 (read$1 data_1$0 pivot_3$0)))

(assert (blseg_struct$0 sk_?X_3$0 data_1$0 next$0 x$0 pivot_3$0 lb$0
  (read$1 data_1$0 pivot_3$0)))

(assert (not (= pivot_3$0 y$0)))

(assert (= sk_?X_10$0 sk_?X_11$0))

(assert (= sk_?X_11$0 (blseg_domain$0 data$0 next$0 x$0 y$0 lb$0 ub$0)))

(assert (blseg_struct$0 sk_?X_11$0 data$0 next$0 x$0 y$0 lb$0 ub$0))

(assert (= sk_?X_12$0 FP$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (not (= (read$0 next$0 x$0) y$0)))

(assert (not (in$0 null$0 Alloc$0)))

(assert (not (in$0 pivot_3$0 FP_2$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 x$0 l1 pivot_3$0)
                 (in$0 l1
                   (blseg_domain$0 data_1$0 next$0 x$0 pivot_3$0 lb$0
                     (read$1 data_1$0 pivot_3$0)))
                 (not (= l1 pivot_3$0)))
            (and (or (= l1 pivot_3$0) (not (Btwn$0 next$0 x$0 l1 pivot_3$0)))
                 (not
                      (in$0 l1
                        (blseg_domain$0 data_1$0 next$0 x$0 pivot_3$0 lb$0
                          (read$1 data_1$0 pivot_3$0))))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) ?y) (not (Btwn$0 ?f ?x ?y ?y))
            (not (in$0 ?y ?X)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (in$0 ?y ?X))
            (in$0 (ep$0 ?f ?X ?x) ?X))))

(assert (or (not (Frame$1 FP_1$0 Alloc$0 data$0 data_1$0)) Axiom_6$0))

(assert (or (not Axiom_2$0)
    (forall ((l1 Loc))
            (or
                (and (<= (read$1 data_1$0 l1) ub$0)
                     (<= (read$1 data_1$0 pivot_3$0) (read$1 data_1$0 l1)))
                (not (in$0 l1 sk_?X_4$0))))))

(assert (or (and (Btwn$0 next$0 x$0 pivot_3$0 pivot_3$0) Axiom_3$0)
    (not
         (blseg_struct$0 sk_?X_3$0 data_1$0 next$0 x$0 pivot_3$0 lb$0
           (read$1 data_1$0 pivot_3$0)))))

(assert (or (not Axiom_4$0)
    (forall ((l1 Loc))
            (or
                (and (<= (read$1 data$0 l1) ub$0)
                     (<= lb$0 (read$1 data$0 l1)))
                (not (in$0 l1 sk_?X_11$0))))))

(assert (or (and (Btwn$0 next$0 x$0 y$0 y$0) Axiom_5$0)
    (not (blseg_struct$0 sk_?X_12$0 data$0 next$0 x$0 y$0 lb$0 ub$0))))

(assert (= FP_Caller_1$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (Frame$0 FP_1$0 Alloc$0 next$0 next$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= emptyset$0 (intersection$0 sk_?X_3$0 sk_?X_5$0)))

(assert (= sk_?X_3$0
  (blseg_domain$0 data_1$0 next$0 x$0 pivot_3$0 lb$0
    (read$1 data_1$0 pivot_3$0))))

(assert (= sk_?X_5$0 sk_?X_4$0))

(assert (= sk_?X_7$0 emptyset$0))

(assert (= sk_?X_9$0
  (union$0 (intersection$0 Alloc$0 FP_1$0) (setminus$0 Alloc$0 Alloc$0))))

(assert (<= (read$1 data_1$0 pivot_3$0) ub$0))

(assert (Btwn$0 next$0 x$0 pivot_3$0 y$0))

(assert (blseg_struct$0 sk_?X_4$0 data_1$0 next$0 pivot_3$0 y$0
  (read$1 data_1$0 pivot_3$0) ub$0))

(assert (= emptyset$0 emptyset$0))

(assert (= sk_?X_10$0 FP_1$0))

(assert (= FP$0 (union$0 FP_1$0 FP$0)))

(assert (not (= x$0 y$0)))

(assert (= sk_?X_12$0 (blseg_domain$0 data$0 next$0 x$0 y$0 lb$0 ub$0)))

(assert (blseg_struct$0 sk_?X_12$0 data$0 next$0 x$0 y$0 lb$0 ub$0))

(assert (not (= x$0 y$0)))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 pivot_3$0 l1 y$0)
                 (in$0 l1
                   (blseg_domain$0 data_1$0 next$0 pivot_3$0 y$0
                     (read$1 data_1$0 pivot_3$0) ub$0))
                 (not (= l1 y$0)))
            (and (or (= l1 y$0) (not (Btwn$0 next$0 pivot_3$0 l1 y$0)))
                 (not
                      (in$0 l1
                        (blseg_domain$0 data_1$0 next$0 pivot_3$0 y$0
                          (read$1 data_1$0 pivot_3$0) ub$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 x$0 l1 y$0)
                 (in$0 l1 (blseg_domain$0 data$0 next$0 x$0 y$0 lb$0 ub$0))
                 (not (= l1 y$0)))
            (and (or (= l1 y$0) (not (Btwn$0 next$0 x$0 l1 y$0)))
                 (not
                      (in$0 l1
                        (blseg_domain$0 data$0 next$0 x$0 y$0 lb$0 ub$0)))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (or (in$0 (ep$0 ?f ?X ?x) ?X) (= ?x (ep$0 ?f ?X ?x)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) (ep$0 ?f ?X ?x))))

(assert (or (not Axiom_6$0)
    (forall ((?x Loc))
            (or (= (read$1 data$0 ?x) (read$1 data_1$0 ?x))
                (not (in$0 ?x (setminus$0 Alloc$0 FP_1$0)))))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?x ?u ?y))
            (and (Btwn$0 ?f ?x ?u ?z) (Btwn$0 ?f ?u ?y ?z)))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?y ?u ?z))
            (and (Btwn$0 ?f ?x ?y ?u) (Btwn$0 ?f ?x ?u ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?y ?z ?z))
            (Btwn$0 ?f ?x ?z ?z))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z))
            (and (Btwn$0 ?f ?x ?y ?y) (Btwn$0 ?f ?y ?z ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?x ?z ?z))
            (Btwn$0 ?f ?x ?y ?z) (Btwn$0 ?f ?x ?z ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y)
            (Btwn$0 ?f ?x (read$0 ?f ?x) ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (= (read$0 ?f ?x) ?x)) (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x (read$0 ?f ?x) (read$0 ?f ?x))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x ?x ?x)))

(check-sat)
(exit)
