(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |
  GRASShopper benchmarks.
  Authors: Ruzica Piskac, Thomas Wies, and Damien Zufferey
  URL: http://cs.nyu.edu/wies/software/grasshopper
  See also: GRASShopper - Complete Heap Verification with Mixed Specifications. In TACAS 2014, pages 124-139.

  If this benchmark is satisfiable, GRASShopper reports the following error message:
  tests/spl/sls/sls_reverse.spl:37:3-4:An invariant might not be maintained by a loop in procedure reverse
  tests/spl/sls/sls_reverse.spl:30:14-105:Related location: This is the loop invariant that might not be maintained
  |)
(set-info :category "crafted")
(set-info :status unsat)

(declare-sort Loc 0)
(declare-sort SetLoc 0)
(declare-sort SetInt 0)
(declare-sort FldBool 0)
(declare-sort FldLoc 0)
(declare-sort FldInt 0)
(declare-fun null$0 () Loc)
(declare-fun read$0 (FldInt Loc) Int)
(declare-fun read$1 (FldLoc Loc) Loc)
(declare-fun write$0 (FldLoc Loc Loc) FldLoc)
(declare-fun ep$0 (FldLoc SetLoc Loc) Loc)
(declare-fun emptyset$0 () SetLoc)
(declare-fun setenum$0 (Loc) SetLoc)
(declare-fun union$0 (SetLoc SetLoc) SetLoc)
(declare-fun intersection$0 (SetLoc SetLoc) SetLoc)
(declare-fun setminus$0 (SetLoc SetLoc) SetLoc)
(declare-fun Btwn$0 (FldLoc Loc Loc Loc) Bool)
(declare-fun in$0 (Loc SetLoc) Bool)
(declare-fun Alloc$0 () SetLoc)
(declare-fun Axiom_26$0 () Bool)
(declare-fun Axiom_27$0 () Bool)
(declare-fun Axiom_28$0 () Bool)
(declare-fun Axiom_29$0 () Bool)
(declare-fun Axiom_30$0 () Bool)
(declare-fun Axiom_31$0 () Bool)
(declare-fun Axiom_32$0 () Bool)
(declare-fun Axiom_33$0 () Bool)
(declare-fun FP$0 () SetLoc)
(declare-fun FP_Caller$0 () SetLoc)
(declare-fun FP_Caller_2$0 () SetLoc)
(declare-fun curr_4$0 () Loc)
(declare-fun curr_5$0 () Loc)
(declare-fun curr_init$0 () Loc)
(declare-fun data$0 () FldInt)
(declare-fun next$0 () FldLoc)
(declare-fun next_2$0 () FldLoc)
(declare-fun rev_3$0 () Loc)
(declare-fun rev_4$0 () Loc)
(declare-fun rev_init$0 () Loc)
(declare-fun rslseg_domain$0 (FldInt FldLoc Loc Loc) SetLoc)
(declare-fun rslseg_struct$0 (SetLoc FldInt FldLoc Loc Loc) Bool)
(declare-fun sk_?X_28$0 () SetLoc)
(declare-fun sk_?X_29$0 () SetLoc)
(declare-fun sk_?X_30$0 () SetLoc)
(declare-fun sk_?X_31$0 () SetLoc)
(declare-fun sk_?X_32$0 () SetLoc)
(declare-fun sk_?X_33$0 () SetLoc)
(declare-fun sk_?X_34$0 () SetLoc)
(declare-fun sk_?X_35$0 () SetLoc)
(declare-fun sk_?X_36$0 () SetLoc)
(declare-fun sk_?X_37$0 () SetLoc)
(declare-fun sk_FP_2$0 () SetLoc)
(declare-fun sk_FP_3$0 () SetLoc)
(declare-fun sk_l1_3$0 () Loc)
(declare-fun sk_l1_4$0 () Loc)
(declare-fun sk_l2_3$0 () Loc)
(declare-fun sk_l2_4$0 () Loc)
(declare-fun slseg_domain$0 (FldInt FldLoc Loc Loc) SetLoc)
(declare-fun slseg_struct$0 (SetLoc FldInt FldLoc Loc Loc) Bool)
(declare-fun t_8$0 () Loc)
(declare-fun t_9$0 () Loc)
(declare-fun t_10$0 () Loc)
(declare-fun tmp_2$0 () Loc)
(declare-fun tmp_4$0 () Loc)
(declare-fun tmp_init$0 () Loc)
(declare-fun uslseg_domain$0 (FldInt FldLoc Loc Loc Int) SetLoc)
(declare-fun uslseg_struct$0 (SetLoc FldInt FldLoc Loc Loc Int) Bool)

(assert (= (read$1 next$0 tmp_4$0) t_10$0))

(assert (= (read$1 (write$0 next$0 tmp_4$0 rev_3$0) tmp_4$0) t_9$0))

(assert (= (read$1 (write$0 next$0 tmp_4$0 rev_3$0) curr_4$0) t_8$0))

(assert (forall ((?d_10 Loc) (?x Loc) (?y Loc))
        (or (= ?y ?x)
            (= (read$1 next$0 ?y) (read$1 (write$0 next$0 ?x ?d_10) ?y)))))

(assert (forall ((?d_10 Loc) (?x Loc))
        (= (read$1 (write$0 next$0 ?x ?d_10) ?x) ?d_10)))

(assert (forall ((?f FldLoc)) (= (read$1 ?f null$0) null$0)))

(assert (forall ((x Loc) (y Loc))
        (or (and (= x y) (in$0 x (setenum$0 y)))
            (and (not (= x y)) (not (in$0 x (setenum$0 y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x (setminus$0 X Y)) (not (in$0 x Y)))
            (and (or (in$0 x Y) (not (in$0 x X)))
                 (not (in$0 x (setminus$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x X) (in$0 x Y) (in$0 x (intersection$0 X Y)))
            (and (or (not (in$0 x X)) (not (in$0 x Y)))
                 (not (in$0 x (intersection$0 X Y)))))))

(assert (forall ((X SetLoc) (Y SetLoc) (x Loc))
        (or (and (in$0 x (union$0 X Y)) (or (in$0 x X) (in$0 x Y)))
            (and (not (in$0 x X)) (not (in$0 x Y))
                 (not (in$0 x (union$0 X Y)))))))

(assert (forall ((x Loc)) (not (in$0 x emptyset$0))))

(assert (or (and (Btwn$0 next$0 curr_init$0 null$0 null$0) Axiom_27$0 Axiom_26$0)
    (not
         (uslseg_struct$0 sk_?X_29$0 data$0 next$0 curr_init$0 null$0
           (read$0 data$0 rev_init$0)))))

(assert (or (not Axiom_28$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$0 l1 sk_?X_32$0))
                (not (in$0 l2 sk_?X_32$0))))))

(assert (or (and (Btwn$0 next$0 rev_init$0 null$0 null$0) Axiom_29$0)
    (not (rslseg_struct$0 sk_?X_30$0 data$0 next$0 rev_init$0 null$0))))

(assert (or (not Axiom_30$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next_2$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_34$0)) (not (in$0 l2 sk_?X_34$0))))))

(assert (or (not Axiom_31$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 rev_4$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_34$0))))))

(assert (or (and (Btwn$0 next_2$0 curr_5$0 null$0 null$0) Axiom_32$0)
    (not (slseg_struct$0 sk_?X_37$0 data$0 next_2$0 curr_5$0 null$0))))

(assert (or (not Axiom_33$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l2) (read$0 data$0 l1))
                (not (Btwn$0 next_2$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_35$0)) (not (in$0 l2 sk_?X_35$0))))))

(assert (= FP_Caller_2$0 (setminus$0 FP_Caller$0 FP$0)))

(assert (= curr_5$0 (read$1 next$0 curr_4$0)))

(assert (= rev_3$0 rev_init$0))

(assert (= tmp_2$0 tmp_init$0))

(assert (= Alloc$0 (union$0 FP_Caller$0 Alloc$0)))

(assert (= sk_?X_29$0
  (uslseg_domain$0 data$0 next$0 curr_init$0 null$0
    (read$0 data$0 rev_init$0))))

(assert (= sk_?X_31$0 sk_?X_32$0))

(assert (= FP_Caller$0 (union$0 FP$0 FP_Caller$0)))

(assert (= sk_?X_33$0 (union$0 sk_?X_35$0 sk_?X_34$0)))

(assert (= sk_?X_35$0 (rslseg_domain$0 data$0 next_2$0 rev_4$0 null$0)))

(assert (= sk_?X_37$0 (slseg_domain$0 data$0 next_2$0 curr_5$0 null$0)))

(assert (= sk_FP_3$0 sk_?X_33$0))

(assert (or (in$0 sk_l1_4$0 (intersection$0 sk_?X_35$0 sk_?X_34$0))
    (and (Btwn$0 next_2$0 sk_l1_4$0 sk_l2_4$0 null$0)
         (in$0 sk_l1_4$0 sk_?X_35$0) (in$0 sk_l2_4$0 sk_?X_35$0)
         (not (<= (read$0 data$0 sk_l2_4$0) (read$0 data$0 sk_l1_4$0))))
    (and (in$0 sk_l1_4$0 sk_?X_34$0)
         (not (<= (read$0 data$0 rev_4$0) (read$0 data$0 sk_l1_4$0))))
    (and (in$0 sk_l2_4$0 sk_FP_3$0) (not (in$0 sk_l2_4$0 FP$0)))
    (not (Btwn$0 next_2$0 curr_5$0 null$0 null$0))
    (not (Btwn$0 next_2$0 rev_4$0 null$0 null$0))
    (and (Btwn$0 next_2$0 sk_l1_4$0 sk_l2_4$0 null$0)
         (in$0 sk_l1_4$0 sk_?X_34$0) (in$0 sk_l2_4$0 sk_?X_34$0)
         (not (<= (read$0 data$0 sk_l1_4$0) (read$0 data$0 sk_l2_4$0))))))

(assert (not (in$0 null$0 Alloc$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_init$0 l1 null$0)
                 (in$0 l1
                   (uslseg_domain$0 data$0 next$0 curr_init$0 null$0
                     (read$0 data$0 rev_init$0)))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next$0 curr_init$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (uslseg_domain$0 data$0 next$0 curr_init$0 null$0
                          (read$0 data$0 rev_init$0))))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_2$0 curr_5$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next_2$0 curr_5$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next_2$0 curr_5$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next_2$0 curr_5$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_2$0 rev_4$0 l1 null$0)
                 (in$0 l1 (rslseg_domain$0 data$0 next_2$0 rev_4$0 null$0))
                 (not (= l1 null$0)))
            (and (or (= l1 null$0) (not (Btwn$0 next_2$0 rev_4$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (rslseg_domain$0 data$0 next_2$0 rev_4$0 null$0)))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (or (in$0 (ep$0 ?f ?X ?x) ?X) (= ?x (ep$0 ?f ?X ?x)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc))
        (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) (ep$0 ?f ?X ?x))))

(assert (or (not Axiom_26$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$0 l1 sk_?X_29$0))
                (not (in$0 l2 sk_?X_29$0))))))

(assert (or (not Axiom_27$0)
    (forall ((l1 Loc))
            (or (<= (read$0 data$0 rev_init$0) (read$0 data$0 l1))
                (not (in$0 l1 sk_?X_29$0))))))

(assert (or (and (Btwn$0 next$0 curr_init$0 null$0 null$0) Axiom_28$0)
    (not (slseg_struct$0 sk_?X_32$0 data$0 next$0 curr_init$0 null$0))))

(assert (or (not Axiom_29$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l2) (read$0 data$0 l1))
                (not (Btwn$0 next$0 l1 l2 null$0)) (not (in$0 l1 sk_?X_30$0))
                (not (in$0 l2 sk_?X_30$0))))))

(assert (or (and (Btwn$0 next_2$0 curr_5$0 null$0 null$0) Axiom_31$0 Axiom_30$0)
    (not
         (uslseg_struct$0 sk_?X_34$0 data$0 next_2$0 curr_5$0 null$0
           (read$0 data$0 rev_4$0)))))

(assert (or (not Axiom_32$0)
    (forall ((l1 Loc) (l2 Loc))
            (or (<= (read$0 data$0 l1) (read$0 data$0 l2))
                (not (Btwn$0 next_2$0 l1 l2 null$0))
                (not (in$0 l1 sk_?X_37$0)) (not (in$0 l2 sk_?X_37$0))))))

(assert (or (and (Btwn$0 next_2$0 rev_4$0 null$0 null$0) Axiom_33$0)
    (not (rslseg_struct$0 sk_?X_35$0 data$0 next_2$0 rev_4$0 null$0))))

(assert (= curr_4$0 curr_init$0))

(assert (= next_2$0 (write$0 next$0 tmp_4$0 rev_3$0)))

(assert (= rev_4$0 tmp_4$0))

(assert (= tmp_4$0 curr_4$0))

(assert (= sk_?X_28$0 (union$0 sk_?X_30$0 sk_?X_29$0)))

(assert (= sk_?X_30$0 (rslseg_domain$0 data$0 next$0 rev_init$0 null$0)))

(assert (= sk_?X_32$0 (slseg_domain$0 data$0 next$0 curr_init$0 null$0)))

(assert (or
    (and (= emptyset$0 emptyset$0) (= rev_init$0 null$0) (= sk_?X_31$0 FP$0)
         (slseg_struct$0 sk_?X_32$0 data$0 next$0 curr_init$0 null$0))
    (and (= emptyset$0 (intersection$0 sk_?X_30$0 sk_?X_29$0))
         (= sk_?X_28$0 FP$0)
         (rslseg_struct$0 sk_?X_30$0 data$0 next$0 rev_init$0 null$0)
         (uslseg_struct$0 sk_?X_29$0 data$0 next$0 curr_init$0 null$0
           (read$0 data$0 rev_init$0)))))

(assert (= sk_?X_34$0
  (uslseg_domain$0 data$0 next_2$0 curr_5$0 null$0 (read$0 data$0 rev_4$0))))

(assert (= sk_?X_36$0 sk_?X_37$0))

(assert (= sk_FP_2$0 sk_?X_36$0))

(assert (or (and (in$0 sk_l2_3$0 sk_FP_2$0) (not (in$0 sk_l2_3$0 FP$0)))
    (not (= rev_4$0 null$0)) (not (Btwn$0 next_2$0 curr_5$0 null$0 null$0))
    (and (Btwn$0 next_2$0 sk_l1_3$0 sk_l2_3$0 null$0)
         (in$0 sk_l1_3$0 sk_?X_37$0) (in$0 sk_l2_3$0 sk_?X_37$0)
         (not (<= (read$0 data$0 sk_l1_3$0) (read$0 data$0 sk_l2_3$0))))))

(assert (not (= curr_4$0 null$0)))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 curr_init$0 l1 null$0)
                 (in$0 l1 (slseg_domain$0 data$0 next$0 curr_init$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next$0 curr_init$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (slseg_domain$0 data$0 next$0 curr_init$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next$0 rev_init$0 l1 null$0)
                 (in$0 l1 (rslseg_domain$0 data$0 next$0 rev_init$0 null$0))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next$0 rev_init$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (rslseg_domain$0 data$0 next$0 rev_init$0 null$0)))))))

(assert (forall ((l1 Loc))
        (or
            (and (Btwn$0 next_2$0 curr_5$0 l1 null$0)
                 (in$0 l1
                   (uslseg_domain$0 data$0 next_2$0 curr_5$0 null$0
                     (read$0 data$0 rev_4$0)))
                 (not (= l1 null$0)))
            (and
                 (or (= l1 null$0)
                     (not (Btwn$0 next_2$0 curr_5$0 l1 null$0)))
                 (not
                      (in$0 l1
                        (uslseg_domain$0 data$0 next_2$0 curr_5$0 null$0
                          (read$0 data$0 rev_4$0))))))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (Btwn$0 ?f ?x (ep$0 ?f ?X ?x) ?y) (not (Btwn$0 ?f ?x ?y ?y))
            (not (in$0 ?y ?X)))))

(assert (forall ((?X SetLoc) (?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (in$0 ?y ?X))
            (in$0 (ep$0 ?f ?X ?x) ?X))))

(assert (forall ((?u Loc) (?v Loc) (?z Loc))
        (and
             (or (Btwn$0 (write$0 next$0 tmp_4$0 rev_3$0) ?z ?u ?v)
                 (not
                      (or
                          (and (Btwn$0 next$0 ?z ?u ?v)
                               (or (Btwn$0 next$0 ?z ?v tmp_4$0)
                                   (and (Btwn$0 next$0 ?z ?v ?v)
                                        (not
                                             (Btwn$0 next$0 ?z tmp_4$0
                                               tmp_4$0)))))
                          (and (not (= tmp_4$0 ?v))
                               (or (Btwn$0 next$0 ?z tmp_4$0 ?v)
                                   (and (Btwn$0 next$0 ?z tmp_4$0 tmp_4$0)
                                        (not (Btwn$0 next$0 ?z ?v ?v))))
                               (Btwn$0 next$0 ?z ?u tmp_4$0)
                               (or (Btwn$0 next$0 rev_3$0 ?v tmp_4$0)
                                   (and (Btwn$0 next$0 rev_3$0 ?v ?v)
                                        (not
                                             (Btwn$0 next$0 rev_3$0 tmp_4$0
                                               tmp_4$0)))))
                          (and (not (= tmp_4$0 ?v))
                               (or (Btwn$0 next$0 ?z tmp_4$0 ?v)
                                   (and (Btwn$0 next$0 ?z tmp_4$0 tmp_4$0)
                                        (not (Btwn$0 next$0 ?z ?v ?v))))
                               (Btwn$0 next$0 rev_3$0 ?u ?v)
                               (or (Btwn$0 next$0 rev_3$0 ?v tmp_4$0)
                                   (and (Btwn$0 next$0 rev_3$0 ?v ?v)
                                        (not
                                             (Btwn$0 next$0 rev_3$0 tmp_4$0
                                               tmp_4$0))))))))
             (or
                 (and (Btwn$0 next$0 ?z ?u ?v)
                      (or (Btwn$0 next$0 ?z ?v tmp_4$0)
                          (and (Btwn$0 next$0 ?z ?v ?v)
                               (not (Btwn$0 next$0 ?z tmp_4$0 tmp_4$0)))))
                 (and (not (= tmp_4$0 ?v))
                      (or (Btwn$0 next$0 ?z tmp_4$0 ?v)
                          (and (Btwn$0 next$0 ?z tmp_4$0 tmp_4$0)
                               (not (Btwn$0 next$0 ?z ?v ?v))))
                      (Btwn$0 next$0 ?z ?u tmp_4$0)
                      (or (Btwn$0 next$0 rev_3$0 ?v tmp_4$0)
                          (and (Btwn$0 next$0 rev_3$0 ?v ?v)
                               (not (Btwn$0 next$0 rev_3$0 tmp_4$0 tmp_4$0)))))
                 (and (not (= tmp_4$0 ?v))
                      (or (Btwn$0 next$0 ?z tmp_4$0 ?v)
                          (and (Btwn$0 next$0 ?z tmp_4$0 tmp_4$0)
                               (not (Btwn$0 next$0 ?z ?v ?v))))
                      (Btwn$0 next$0 rev_3$0 ?u ?v)
                      (or (Btwn$0 next$0 rev_3$0 ?v tmp_4$0)
                          (and (Btwn$0 next$0 rev_3$0 ?v ?v)
                               (not (Btwn$0 next$0 rev_3$0 tmp_4$0 tmp_4$0)))))
                 (not (Btwn$0 (write$0 next$0 tmp_4$0 rev_3$0) ?z ?u ?v))))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?x ?u ?y))
            (and (Btwn$0 ?f ?x ?u ?z) (Btwn$0 ?f ?u ?y ?z)))))

(assert (forall ((?f FldLoc) (?u Loc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z)) (not (Btwn$0 ?f ?y ?u ?z))
            (and (Btwn$0 ?f ?x ?y ?u) (Btwn$0 ?f ?x ?u ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?y ?z ?z))
            (Btwn$0 ?f ?x ?z ?z))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?z))
            (and (Btwn$0 ?f ?x ?y ?y) (Btwn$0 ?f ?y ?z ?z)))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc) (?z Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (not (Btwn$0 ?f ?x ?z ?z))
            (Btwn$0 ?f ?x ?y ?z) (Btwn$0 ?f ?x ?z ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?x)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y)
            (Btwn$0 ?f ?x (read$1 ?f ?x) ?y))))

(assert (forall ((?f FldLoc) (?x Loc) (?y Loc))
        (or (not (= (read$1 ?f ?x) ?x)) (not (Btwn$0 ?f ?x ?y ?y)) (= ?x ?y))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x (read$1 ?f ?x) (read$1 ?f ?x))))

(assert (forall ((?f FldLoc) (?x Loc)) (Btwn$0 ?f ?x ?x ?x)))

(check-sat)
(exit)
