(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_FileOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_reader_TypeReader () Int)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_java_io_FileNotFoundException () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_java_io_OutputStreamWriter () Int)
(declare-fun T_java_io_Writer () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_tc_OutsideEnv () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_util_StringTokenizer () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_CopyLoaded () Int)
(declare-fun T_javafe_FrontEndTool () Int)
(declare-fun T_javafe_tc_Listener () Int)
(declare-fun T_java_io_BufferedReader () Int)
(declare-fun T_java_io_Reader () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_java_io_FileWriter () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_java_io_PrintWriter () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_io_InputStreamReader () Int)
(declare-fun T_javafe_Tool () Int)
(declare-fun T_javafe_tc_TypeCheck () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_ast_TypeDeclVec () Int)
(declare-fun T_java_io_FileReader () Int)
(declare-fun T_javafe_ast_TypeDeclElemVec () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_19_83_49 () Int)
(declare-fun CHECKED_34_776_28 () Int)
(declare-fun NULL_29_60_26 () Int)
(declare-fun usageError_6_43_28 () Int)
(declare-fun argumentFileNames_39_24 () Int)
(declare-fun PARSED_34_772_28 () Int)
(declare-fun err_19_97_50 () Int)
(declare-fun progIndirectFiles_34_24 () Int)
(declare-fun PREPPED_34_775_28 () Int)
(assert (and (= (PO_LT T_java_io_FileOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FileOutputStream (asChild T_java_io_FileOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_reader_TypeReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_TypeReader (asChild T_javafe_reader_TypeReader T_javafe_reader_Reader)) (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_io_FileNotFoundException T_java_io_IOException) true_term) (= T_java_io_FileNotFoundException (asChild T_java_io_FileNotFoundException T_java_io_IOException)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_io_OutputStreamWriter T_java_io_Writer) true_term) (= T_java_io_OutputStreamWriter (asChild T_java_io_OutputStreamWriter T_java_io_Writer)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_tc_OutsideEnv T_java_lang_Object) true_term) (= T_javafe_tc_OutsideEnv (asChild T_javafe_tc_OutsideEnv T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_tc_OutsideEnv) true_term) (= ?t T_javafe_tc_OutsideEnv))) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_util_StringTokenizer T_java_lang_Object) true_term) (= T_java_util_StringTokenizer (asChild T_java_util_StringTokenizer T_java_lang_Object)) (= (PO_LT T_java_util_StringTokenizer T_java_util_Enumeration) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_CopyLoaded T_javafe_FrontEndTool) true_term) (= T_javafe_CopyLoaded (asChild T_javafe_CopyLoaded T_javafe_FrontEndTool)) (= (PO_LT T_javafe_CopyLoaded T_javafe_tc_Listener) true_term) (= (PO_LT T_java_io_BufferedReader T_java_io_Reader) true_term) (= T_java_io_BufferedReader (asChild T_java_io_BufferedReader T_java_io_Reader)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_java_io_FileWriter T_java_io_OutputStreamWriter) true_term) (= T_java_io_FileWriter (asChild T_java_io_FileWriter T_java_io_OutputStreamWriter)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_java_io_PrintWriter T_java_io_Writer) true_term) (= T_java_io_PrintWriter (asChild T_java_io_PrintWriter T_java_io_Writer)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_io_InputStreamReader T_java_io_Reader) true_term) (= T_java_io_InputStreamReader (asChild T_java_io_InputStreamReader T_java_io_Reader)) (= (PO_LT T_javafe_Tool T_java_lang_Object) true_term) (= T_javafe_Tool (asChild T_javafe_Tool T_java_lang_Object)) (= (PO_LT T_javafe_tc_TypeCheck T_java_lang_Object) true_term) (= T_javafe_tc_TypeCheck (asChild T_javafe_tc_TypeCheck T_java_lang_Object)) (= (PO_LT T_javafe_FrontEndTool T_javafe_Tool) true_term) (= T_javafe_FrontEndTool (asChild T_javafe_FrontEndTool T_javafe_Tool)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_java_io_Reader T_java_lang_Object) true_term) (= T_java_io_Reader (asChild T_java_io_Reader T_java_lang_Object)) (= (PO_LT T_java_io_Writer T_java_lang_Object) true_term) (= T_java_io_Writer (asChild T_java_io_Writer T_java_lang_Object)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclVec (asChild T_javafe_ast_TypeDeclVec T_java_lang_Object)) (= (PO_LT T_java_io_FileReader T_java_io_InputStreamReader) true_term) (= T_java_io_FileReader (asChild T_java_io_FileReader T_java_io_InputStreamReader)) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_javafe_ast_TypeDeclElemVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclElemVec (asChild T_javafe_ast_TypeDeclElemVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_tc_Listener T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_FileOutputStream (+ DIST_ZERO_1 10)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 11)) (= T_java_lang_Throwable (+ DIST_ZERO_1 12)) (= T_java_util_Map (+ DIST_ZERO_1 13)) (= T_javafe_reader_TypeReader (+ DIST_ZERO_1 14)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 15)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 16)) (= T_java_io_FileNotFoundException (+ DIST_ZERO_1 17)) (= T_javafe_tc_Env (+ DIST_ZERO_1 18)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 19)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 20)) (= T_java_io_OutputStreamWriter (+ DIST_ZERO_1 21)) (= T_java_util_Properties (+ DIST_ZERO_1 22)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 23)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 24)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 25)) (= T_javafe_tc_OutsideEnv (+ DIST_ZERO_1 26)) (= T_java_util_Vector (+ DIST_ZERO_1 27)) (= T_java_util_StringTokenizer (+ DIST_ZERO_1 28)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 29)) (= T_javafe_util_Location (+ DIST_ZERO_1 30)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 31)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 32)) (= T_java_lang_Exception (+ DIST_ZERO_1 33)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 34)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 35)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 36)) (= T_java_lang_Comparable (+ DIST_ZERO_1 37)) (= T_javafe_CopyLoaded (+ DIST_ZERO_1 38)) (= T_java_io_BufferedReader (+ DIST_ZERO_1 39)) (= T_javafe_ast_Type (+ DIST_ZERO_1 40)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 41)) (= T_java_io_FileWriter (+ DIST_ZERO_1 42)) (= T_java_io_IOException (+ DIST_ZERO_1 43)) (= T_javafe_ast_Name (+ DIST_ZERO_1 44)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 45)) (= T_java_lang_Object (+ DIST_ZERO_1 46)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 47)) (= T_java_io_PrintWriter (+ DIST_ZERO_1 48)) (= T_java_util_Hashtable (+ DIST_ZERO_1 49)) (= T_java_util_AbstractList (+ DIST_ZERO_1 50)) (= T_java_io_InputStreamReader (+ DIST_ZERO_1 51)) (= T_javafe_Tool (+ DIST_ZERO_1 52)) (= T_javafe_tc_TypeCheck (+ DIST_ZERO_1 53)) (= T_javafe_FrontEndTool (+ DIST_ZERO_1 54)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 55)) (= T_java_io_Reader (+ DIST_ZERO_1 56)) (= T_java_io_Writer (+ DIST_ZERO_1 57)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 58)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 59)) (= T_java_io_File (+ DIST_ZERO_1 60)) (= T_java_lang_String (+ DIST_ZERO_1 61)) (= T_java_io_PrintStream (+ DIST_ZERO_1 62)) (= T_java_util_Collection (+ DIST_ZERO_1 63)) (= T_javafe_util_Assert (+ DIST_ZERO_1 64)) (= T_java_lang_System (+ DIST_ZERO_1 65)) (= T_java_util_Dictionary (+ DIST_ZERO_1 66)) (= T_java_io_Serializable (+ DIST_ZERO_1 67)) (= T_java_io_OutputStream (+ DIST_ZERO_1 68)) (= T_javafe_ast_TypeDeclVec (+ DIST_ZERO_1 69)) (= T_java_io_FileReader (+ DIST_ZERO_1 70)) (= T_java_util_Enumeration (+ DIST_ZERO_1 71)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 72)) (= T_javafe_ast_TypeDeclElemVec (+ DIST_ZERO_1 73)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 74)) (= T_javafe_tc_Listener (+ DIST_ZERO_1 75)) (= T_java_util_List (+ DIST_ZERO_1 76))) (= true_term (is out_19_83_49 T_java_io_PrintStream)) (= true_term (is CHECKED_34_776_28 T_int)) (= CHECKED_34_776_28 6) (= true_term (is NULL_29_60_26 T_int)) (= NULL_29_60_26 0) (= true_term (is usageError_6_43_28 T_int)) (= usageError_6_43_28 1) (forall ((?s Int)) (=> (not (= ?s null)) (= true_term (is (S_select argumentFileNames_39_24 ?s) T_java_util_Vector)))) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select argumentFileNames_39_24 ?s) null)))) (forall ((?s Int)) (=> (not (= ?s null)) (= (typeof (S_select argumentFileNames_39_24 ?s)) T_java_util_Vector))) (= true_term (is PARSED_34_772_28 T_int)) (= PARSED_34_772_28 2) (= true_term (is err_19_97_50 T_java_io_PrintStream)) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= true_term (is (S_select progIndirectFiles_34_24 ?s_1_) T_java_util_Vector)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select progIndirectFiles_34_24 ?s_1_) null)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= (typeof (S_select progIndirectFiles_34_24 ?s_1_)) T_java_util_Vector))) (= true_term (is PREPPED_34_775_28 T_int)) (= PREPPED_34_775_28 5)))
(declare-fun ecReturn () Int)
(declare-fun L_379_5 () Int)
(declare-fun ecThrow () Int)
(declare-fun S_362_33 () Int)
(declare-fun S_372_28 () Int)
(declare-fun S_370_29 () Int)
(declare-fun S_365_33 () Int)
(declare-fun S_364_24 () Int)
(declare-fun S_365_10 () Int)
(declare-fun locType_pre_106_21_13 () Int)
(declare-fun locType_106_21_13 () Int)
(declare-fun outProgIndirect_pre_24_34 () Int)
(declare-fun outProgIndirect_24_34 () Int)
(declare-fun elems_pre_32_41_39 () Int)
(declare-fun elems_32_41_39 () Int)
(declare-fun elems_pre_26_27_35 () Int)
(declare-fun elems_26_27_35 () Int)
(declare-fun out_pre_19_83_49 () Int)
(declare-fun loc_pre_26_30_13 () Int)
(declare-fun loc_26_30_13 () Int)
(declare-fun owner_pre_7_35_28 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun locOpenBrace_pre_112_22_13 () Int)
(declare-fun locOpenBrace_112_22_13 () Int)
(declare-fun locOpenBrace_pre_32_51_13 () Int)
(declare-fun locOpenBrace_32_51_13 () Int)
(declare-fun loc_pre_32_45_13 () Int)
(declare-fun loc_32_45_13 () Int)
(declare-fun locCloseBrace_pre_32_54_13 () Int)
(declare-fun locCloseBrace_32_54_13 () Int)
(declare-fun containsNull_pre_15_70_29 () Int)
(declare-fun containsNull_15_70_29 () Int)
(declare-fun locId_pre_32_48_13 () Int)
(declare-fun locId_32_48_13 () Int)
(declare-fun elements_pre_102_61_39 () Int)
(declare-fun elements_102_61_39 () Int)
(declare-fun state_pre_34_787_15 () Int)
(declare-fun state_34_787_15 () Int)
(declare-fun myTypeDecl_pre_34_63_40 () Int)
(declare-fun myTypeDecl_34_63_40 () Int)
(declare-fun locCloseBrace_pre_112_25_13 () Int)
(declare-fun locCloseBrace_112_25_13 () Int)
(declare-fun outLibIndirect_pre_25_34 () Int)
(declare-fun outLibIndirect_25_34 () Int)
(declare-fun count_pre_30_67_33 () Int)
(declare-fun count_30_67_33 () Int)
(declare-fun errors_pre_52_81_22 () Int)
(declare-fun errors_52_81_22 () Int)
(declare-fun CHECKED_pre_34_776_28 () Int)
(declare-fun inst_pre_31_174_26 () Int)
(declare-fun inst_31_174_26 () Int)
(declare-fun NULL_pre_29_60_26 () Int)
(declare-fun usageError_pre_6_43_28 () Int)
(declare-fun argumentFileNames_pre_39_24 () Int)
(declare-fun methods_pre_34_883_26 () Int)
(declare-fun methods_34_883_26 () Int)
(declare-fun elements_pre_101_61_38 () Int)
(declare-fun elements_101_61_38 () Int)
(declare-fun PARSED_pre_34_772_28 () Int)
(declare-fun elementCount_pre_13_90_35 () Int)
(declare-fun elementCount_13_90_35 () Int)
(declare-fun locOpenBrace_pre_107_36_13 () Int)
(declare-fun locOpenBrace_107_36_13 () Int)
(declare-fun locId_pre_105_38_13 () Int)
(declare-fun locId_105_38_13 () Int)
(declare-fun enclosingType_pre_34_32_39 () Int)
(declare-fun enclosingType_34_32_39 () Int)
(declare-fun err_pre_19_97_50 () Int)
(declare-fun elementType_pre_15_65_27 () Int)
(declare-fun elementType_15_65_27 () Int)
(declare-fun progIndirectFiles_pre_34_24 () Int)
(declare-fun progIndirectWriter_pre_28_24 () Int)
(declare-fun progIndirectWriter_28_24 () Int)
(declare-fun PREPPED_pre_34_775_28 () Int)
(declare-fun body_pre_107_34_19 () Int)
(declare-fun body_107_34_19 () Int)
(declare-fun count_pre_51_67_33 () Int)
(declare-fun count_51_67_33 () Int)
(declare-fun enclosingEnv_pre_34_52_36 () Int)
(declare-fun enclosingEnv_34_52_36 () Int)
(declare-fun loc_pre_107_40_13 () Int)
(declare-fun loc_107_40_13 () Int)
(declare-fun elements_pre_30_61_37 () Int)
(declare-fun elements_30_61_37 () Int)
(declare-fun inst_pre_44_29_44 () Int)
(declare-fun inst_44_29_44 () Int)
(declare-fun elementData_pre_13_79_35 () Int)
(declare-fun elementData_13_79_35 () Int)
(declare-fun locId_pre_107_43_13 () Int)
(declare-fun locId_107_43_13 () Int)
(declare-fun pkgName_pre_26_21_14 () Int)
(declare-fun pkgName_26_21_14 () Int)
(declare-fun count_pre_102_67_33 () Int)
(declare-fun count_102_67_33 () Int)
(declare-fun CU_pre_34_71_30 () Int)
(declare-fun CU_34_71_30 () Int)
(declare-fun outDir_pre_23_34 () Int)
(declare-fun outDir_23_34 () Int)
(declare-fun libIndirectWriter_pre_27_24 () Int)
(declare-fun libIndirectWriter_27_24 () Int)
(declare-fun specOnly_pre_32_26_17 () Int)
(declare-fun specOnly_32_26_17 () Int)
(declare-fun fields_pre_34_875_27 () Int)
(declare-fun fields_34_875_27 () Int)
(declare-fun loaded_pre_110_18 () Int)
(declare-fun loaded_110_18 () Int)
(declare-fun simpleName_pre_34_37_38 () Int)
(declare-fun simpleName_34_37_38 () Int)
(declare-fun elements_pre_51_61_41 () Int)
(declare-fun elements_51_61_41 () Int)
(declare-fun member_pre_34_44_39 () Int)
(declare-fun member_34_44_39 () Int)
(declare-fun count_pre_101_67_33 () Int)
(declare-fun count_101_67_33 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun original_358_55 () Int)
(declare-fun newName_359_27 () Int)
(declare-fun tmp0_outDir_361_31 () Int)
(declare-fun RES_361_39_361_39 () Int)
(declare-fun EC_361_39_361_39 () Int)
(declare-fun RES_361_19_361_19 () Int)
(declare-fun EC_361_19_361_19 () Int)
(declare-fun tmp1_362_26 () Int)
(declare-fun RES_362_39_362_39 () Int)
(declare-fun EC_362_39_362_39 () Int)
(declare-fun newFileName_362_5 () Int)
(declare-fun arg0_364_16_364_16_20__ () Int)
(declare-fun EC_364_16_364_16 () Int)
(declare-fun tmp3_progIndirectFiles_369_9 () Int)
(declare-fun RES_369_27_369_27 () Int)
(declare-fun EC_369_27_369_27 () Int)
(declare-fun tmp4_progIndirectWriter_370_2 () Int)
(declare-fun tmp5_libIndirectWriter_372_2 () Int)
(declare-fun arg0_370_21_370_21_41__ () Int)
(declare-fun EC_370_21_370_21 () Int)
(declare-fun EC () Int)
(declare-fun XRES () Int)
(declare-fun XRES_370_21_370_21 () Int)
(declare-fun RES () Int)
(declare-fun RES_370_21_370_21 () Int)
(declare-fun arg0_372_20_372_20_41__ () Int)
(declare-fun EC_372_20_372_20 () Int)
(declare-fun XRES_372_20_372_20 () Int)
(declare-fun RES_372_20_372_20 () Int)
(declare-fun after_375_14_375_14 () Int)
(declare-fun RES_375_14_375_14 () Int)
(declare-fun EC_375_14_375_14 () Int)
(declare-fun after_376_48_376_48 () Int)
(declare-fun RES_376_48_376_48 () Int)
(declare-fun EC_376_48_376_48 () Int)
(declare-fun XRES_376_48_376_48 () Int)
(declare-fun after_376_29_376_29 () Int)
(declare-fun RES_376_29_376_29 () Int)
(declare-fun EC_376_29_376_29 () Int)
(declare-fun after_377_42_377_42 () Int)
(declare-fun RES_377_42_377_42 () Int)
(declare-fun EC_377_42_377_42 () Int)
(declare-fun XRES_377_42_377_42 () Int)
(declare-fun after_377_26_377_26 () Int)
(declare-fun RES_377_26_377_26 () Int)
(declare-fun EC_377_26_377_26 () Int)
(declare-fun EC_loopold () Int)
(declare-fun s_378_12 () Int)
(declare-fun s_loopold_378_12 () Int)
(declare-fun RES_379_5_0_379_24_379_24 () Int)
(declare-fun EC_379_5_0_379_24_379_24 () Int)
(declare-fun XRES_379_5_0_379_24_379_24 () Int)
(declare-fun EC_379_5_0_380_9_380_9 () Int)
(declare-fun EC_379_23 () Int)
(declare-fun s_379_23 () Int)
(declare-fun EC_1_ () Int)
(declare-fun XRES_1_ () Int)
(declare-fun RES_1_ () Int)
(declare-fun RES_379_5_1_379_24_379_24 () Int)
(declare-fun EC_379_5_1_379_24_379_24 () Int)
(declare-fun XRES_379_5_1_379_24_379_24 () Int)
(declare-fun EC_379_23_1_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun XRES_2_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_361_31 () Int)
(declare-fun alloc_361_31 () Int)
(declare-fun XRES_361_31 () Int)
(declare-fun RES_361_31 () Int)
(declare-fun e_383_22 () Int)
(declare-fun EC_382_12_382_12 () Int)
(declare-fun EC_361_31_1_ () Int)
(declare-fun RES_384_26_384_26 () Int)
(declare-fun EC_384_26_384_26 () Int)
(declare-fun EC_384_16_384_16 () Int)
(declare-fun EC_385_12_385_12 () Int)
(declare-fun EC_361_31_2_ () Int)
(assert (let ((?v_7 (= original_358_55 null))) (let ((?v_5 (not ?v_7)) (?v_46 (= tmp0_outDir_361_31 (S_select outDir_23_34 this))) (?v_47 (= true_term (is RES_361_39_361_39 (array T_java_lang_String)))) (?v_48 (= true_term (isAllocated RES_361_39_361_39 alloc))) (?v_0 (= EC_361_39_361_39 ecReturn)) (?v_2 (= true_term (nonnullelements RES_361_39_361_39 elems)))) (let ((?v_49 (=> ?v_0 ?v_2)) (?v_1 (not (= RES_361_39_361_39 null)))) (let ((?v_50 (=> ?v_0 ?v_1)) (?v_51 (= true_term (is RES_361_19_361_19 T_java_lang_String))) (?v_52 (= true_term (isAllocated RES_361_19_361_19 alloc))) (?v_53 (= EC_361_19_361_19 ecReturn)) (?v_54 (= tmp1_362_26 (stringCat RES_361_19_361_19 S_362_33))) (?v_55 (= true_term (is RES_362_39_362_39 T_java_lang_String))) (?v_56 (= true_term (isAllocated RES_362_39_362_39 alloc))) (?v_3 (= EC_362_39_362_39 ecReturn))) (let ((?v_57 (=> ?v_3 (not (= RES_362_39_362_39 null)))) (?v_58 (= newFileName_362_5 (stringCat tmp1_362_26 RES_362_39_362_39))) (?v_59 (= arg0_364_16_364_16_20__ (stringCat (stringCat (stringCat (stringCat S_364_24 original_358_55) S_365_10) newFileName_362_5) S_365_33))) (?v_60 (= EC_364_16_364_16 ecReturn)) (?v_11 (S_select libIndirectWriter_27_24 this))) (let ((?v_61 (not (= ?v_11 null))) (?v_8 (S_select progIndirectWriter_28_24 this))) (let ((?v_62 (not (= ?v_8 null))) (?v_63 (= tmp3_progIndirectFiles_369_9 (S_select progIndirectFiles_34_24 this))) (?v_4 (not (= tmp3_progIndirectFiles_369_9 null))) (?v_6 (=> (not (= true_term (S_select containsNull_15_70_29 tmp3_progIndirectFiles_369_9))) ?v_5)) (?v_64 (= true_term (is RES_369_27_369_27 T_boolean))) (?v_65 (= EC_369_27_369_27 ecReturn)) (?v_9 (= true_term RES_369_27_369_27)) (?v_10 (= true_term true_term)) (?v_12 (= tmp4_progIndirectWriter_370_2 ?v_8)) (?v_13 (not (= tmp4_progIndirectWriter_370_2 null)))) (let ((?v_14 (not ?v_9)) (?v_15 (= tmp5_libIndirectWriter_372_2 ?v_11)) (?v_16 (not (= tmp5_libIndirectWriter_372_2 null)))) (let ((?v_66 (or (and ?v_9 ?v_10 ?v_12 ?v_13 (= arg0_370_21_370_21_41__ (stringCat S_370_29 newName_359_27)) (= EC_370_21_370_21 ecReturn) (= EC EC_370_21_370_21) (= XRES XRES_370_21_370_21) (= RES RES_370_21_370_21)) (and ?v_14 ?v_10 ?v_15 ?v_16 (= arg0_372_20_372_20_41__ (stringCat S_372_28 newName_359_27)) (= EC_372_20_372_20 ecReturn) (= EC EC_372_20_372_20) (= XRES XRES_372_20_372_20) (= RES RES_372_20_372_20)))) (?v_17 (not (= newFileName_362_5 null))) (?v_67 (< alloc after_375_14_375_14)) (?v_68 (not (= RES_375_14_375_14 null))) (?v_69 (not (= true_term (isAllocated RES_375_14_375_14 alloc)))) (?v_70 (= true_term (is RES_375_14_375_14 T_java_io_File))) (?v_71 (= true_term (isAllocated RES_375_14_375_14 after_375_14_375_14))) (?v_72 (= EC_375_14_375_14 ecReturn)) (?v_73 (= (S_select owner_7_35_28 RES_375_14_375_14) null)) (?v_74 (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_java_util_Vector)) (not (= ?brokenObj_17_ null)) (forall ((?v_13_76_34 Int)) (let ((?v_126 (= ?v_13_76_34 null))) (=> (and (= true_term (is ?v_13_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_13_76_34 alloc)) (not ?v_126)) (or ?v_126 (= ?v_13_76_34 ?brokenObj_17_) (not (= (S_select elementData_13_79_35 ?v_13_76_34) (S_select elementData_13_79_35 ?brokenObj_17_)))))))) (forall ((?v_13_76_34 Int)) (let ((?v_127 (= ?v_13_76_34 null))) (=> (and (= true_term (is ?v_13_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_13_76_34 after_375_14_375_14)) (not ?v_127)) (or ?v_127 (= ?v_13_76_34 ?brokenObj_17_) (not (= (S_select elementData_13_79_35 ?v_13_76_34) (S_select elementData_13_79_35 ?brokenObj_17_)))))))))) (?v_75 (= (typeof RES_375_14_375_14) T_java_io_File)) (?v_76 (< after_375_14_375_14 after_376_48_376_48)) (?v_77 (not (= RES_376_48_376_48 null))) (?v_78 (not (= true_term (isAllocated RES_376_48_376_48 after_375_14_375_14)))) (?v_79 (= true_term (is RES_376_48_376_48 T_java_io_FileReader))) (?v_80 (= true_term (isAllocated RES_376_48_376_48 after_376_48_376_48))) (?v_18 (= EC_376_48_376_48 ecThrow)) (?v_19 (typeof XRES_376_48_376_48))) (let ((?v_81 (=> ?v_18 (and (not (= XRES_376_48_376_48 null)) (= (PO_LT ?v_19 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_376_48_376_48 after_376_48_376_48))))) (?v_20 (= EC_376_48_376_48 ecReturn))) (let ((?v_82 (or ?v_20 (and ?v_18 (= (PO_LT ?v_19 T_java_io_FileNotFoundException) true_term)))) (?v_83 (=> ?v_20 (= (S_select owner_7_35_28 RES_376_48_376_48) null))) (?v_84 (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_java_util_Vector)) (not (= ?brokenObj_18_ null)) (forall ((?v_13_76_34 Int)) (let ((?v_128 (= ?v_13_76_34 null))) (=> (and (= true_term (is ?v_13_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_13_76_34 after_375_14_375_14)) (not ?v_128)) (or ?v_128 (= ?v_13_76_34 ?brokenObj_18_) (not (= (S_select elementData_13_79_35 ?v_13_76_34) (S_select elementData_13_79_35 ?brokenObj_18_)))))))) (forall ((?v_13_76_34 Int)) (let ((?v_129 (= ?v_13_76_34 null))) (=> (and (= true_term (is ?v_13_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_13_76_34 after_376_48_376_48)) (not ?v_129)) (or ?v_129 (= ?v_13_76_34 ?brokenObj_18_) (not (= (S_select elementData_13_79_35 ?v_13_76_34) (S_select elementData_13_79_35 ?brokenObj_18_)))))))))) (?v_85 (= (typeof RES_376_48_376_48) T_java_io_FileReader)) (?v_86 (< after_376_48_376_48 after_376_29_376_29)) (?v_24 (not (= RES_376_29_376_29 null))) (?v_87 (not (= true_term (isAllocated RES_376_29_376_29 after_376_48_376_48)))) (?v_88 (= true_term (is RES_376_29_376_29 T_java_io_BufferedReader))) (?v_89 (= true_term (isAllocated RES_376_29_376_29 after_376_29_376_29))) (?v_90 (= EC_376_29_376_29 ecReturn)) (?v_91 (= (S_select owner_7_35_28 RES_376_29_376_29) null)) (?v_92 (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_java_util_Vector)) (not (= ?brokenObj_19_ null)) (forall ((?v_13_76_34 Int)) (let ((?v_130 (= ?v_13_76_34 null))) (=> (and (= true_term (is ?v_13_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_13_76_34 after_376_48_376_48)) (not ?v_130)) (or ?v_130 (= ?v_13_76_34 ?brokenObj_19_) (not (= (S_select elementData_13_79_35 ?v_13_76_34) (S_select elementData_13_79_35 ?brokenObj_19_)))))))) (forall ((?v_13_76_34 Int)) (let ((?v_131 (= ?v_13_76_34 null))) (=> (and (= true_term (is ?v_13_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_13_76_34 after_376_29_376_29)) (not ?v_131)) (or ?v_131 (= ?v_13_76_34 ?brokenObj_19_) (not (= (S_select elementData_13_79_35 ?v_13_76_34) (S_select elementData_13_79_35 ?brokenObj_19_)))))))))) (?v_93 (= (typeof RES_376_29_376_29) T_java_io_BufferedReader)) (?v_94 (< after_376_29_376_29 after_377_42_377_42)) (?v_95 (not (= RES_377_42_377_42 null))) (?v_96 (not (= true_term (isAllocated RES_377_42_377_42 after_376_29_376_29)))) (?v_97 (= true_term (is RES_377_42_377_42 T_java_io_FileWriter))) (?v_98 (= true_term (isAllocated RES_377_42_377_42 after_377_42_377_42))) (?v_21 (= EC_377_42_377_42 ecThrow)) (?v_22 (typeof XRES_377_42_377_42))) (let ((?v_99 (=> ?v_21 (and (not (= XRES_377_42_377_42 null)) (= (PO_LT ?v_22 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_377_42_377_42 after_377_42_377_42))))) (?v_23 (= EC_377_42_377_42 ecReturn))) (let ((?v_100 (or ?v_23 (and ?v_21 (= (PO_LT ?v_22 T_java_io_IOException) true_term)))) (?v_101 (=> ?v_23 (= (S_select owner_7_35_28 RES_377_42_377_42) null))) (?v_102 (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_java_util_Vector)) (not (= ?brokenObj_20_ null)) (forall ((?v_13_76_34 Int)) (let ((?v_132 (= ?v_13_76_34 null))) (=> (and (= true_term (is ?v_13_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_13_76_34 after_376_29_376_29)) (not ?v_132)) (or ?v_132 (= ?v_13_76_34 ?brokenObj_20_) (not (= (S_select elementData_13_79_35 ?v_13_76_34) (S_select elementData_13_79_35 ?brokenObj_20_)))))))) (forall ((?v_13_76_34 Int)) (let ((?v_133 (= ?v_13_76_34 null))) (=> (and (= true_term (is ?v_13_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_13_76_34 after_377_42_377_42)) (not ?v_133)) (or ?v_133 (= ?v_13_76_34 ?brokenObj_20_) (not (= (S_select elementData_13_79_35 ?v_13_76_34) (S_select elementData_13_79_35 ?brokenObj_20_)))))))))) (?v_103 (= (typeof RES_377_42_377_42) T_java_io_FileWriter)) (?v_104 (< after_377_42_377_42 after_377_26_377_26)) (?v_28 (not (= RES_377_26_377_26 null))) (?v_105 (not (= true_term (isAllocated RES_377_26_377_26 after_377_42_377_42)))) (?v_106 (= true_term (is RES_377_26_377_26 T_java_io_PrintWriter))) (?v_107 (= true_term (isAllocated RES_377_26_377_26 after_377_26_377_26))) (?v_108 (= EC_377_26_377_26 ecReturn)) (?v_109 (= (S_select owner_7_35_28 RES_377_26_377_26) null)) (?v_110 (forall ((?brokenObj_21_ Int)) (=> (and (= true_term (is ?brokenObj_21_ T_java_util_Vector)) (not (= ?brokenObj_21_ null)) (forall ((?v_13_76_34 Int)) (let ((?v_134 (= ?v_13_76_34 null))) (=> (and (= true_term (is ?v_13_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_13_76_34 after_377_42_377_42)) (not ?v_134)) (or ?v_134 (= ?v_13_76_34 ?brokenObj_21_) (not (= (S_select elementData_13_79_35 ?v_13_76_34) (S_select elementData_13_79_35 ?brokenObj_21_)))))))) (forall ((?v_13_76_34 Int)) (let ((?v_135 (= ?v_13_76_34 null))) (=> (and (= true_term (is ?v_13_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_13_76_34 after_377_26_377_26)) (not ?v_135)) (or ?v_135 (= ?v_13_76_34 ?brokenObj_21_) (not (= (S_select elementData_13_79_35 ?v_13_76_34) (S_select elementData_13_79_35 ?brokenObj_21_)))))))))) (?v_111 (= (typeof RES_377_26_377_26) T_java_io_PrintWriter)) (?v_35 (= EC_377_26_377_26 EC_loopold)) (?v_36 (= s_378_12 s_loopold_378_12)) (?v_34 (not ?v_24)) (?v_29 (= true_term (is RES_379_5_0_379_24_379_24 T_java_lang_String))) (?v_30 (= true_term (isAllocated RES_379_5_0_379_24_379_24 after_377_26_377_26))) (?v_25 (= EC_379_5_0_379_24_379_24 ecThrow)) (?v_26 (typeof XRES_379_5_0_379_24_379_24))) (let ((?v_31 (=> ?v_25 (and (not (= XRES_379_5_0_379_24_379_24 null)) (= (PO_LT ?v_26 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_379_5_0_379_24_379_24 after_377_26_377_26))))) (?v_27 (= EC_379_5_0_379_24_379_24 ecReturn))) (let ((?v_32 (or ?v_27 (and ?v_25 (= (PO_LT ?v_26 T_java_io_IOException) true_term)))) (?v_33 (not (= RES_379_5_0_379_24_379_24 null))) (?v_45 (not ?v_28)) (?v_37 (= EC_379_5_0_380_9_380_9 ecReturn)) (?v_40 (= true_term (is RES_379_5_1_379_24_379_24 T_java_lang_String))) (?v_41 (= true_term (isAllocated RES_379_5_1_379_24_379_24 after_377_26_377_26))) (?v_38 (= EC_379_5_1_379_24_379_24 ecThrow)) (?v_39 (typeof XRES_379_5_1_379_24_379_24))) (let ((?v_42 (=> ?v_38 (and (not (= XRES_379_5_1_379_24_379_24 null)) (= (PO_LT ?v_39 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_379_5_1_379_24_379_24 after_377_26_377_26))))) (?v_44 (= EC_379_5_1_379_24_379_24 ecReturn))) (let ((?v_43 (or ?v_44 (and ?v_38 (= (PO_LT ?v_39 T_java_io_IOException) true_term))))) (let ((?v_112 (or (and ?v_10 ?v_24 (or (and ?v_29 ?v_30 ?v_31 ?v_32 ?v_10 ?v_25 (= EC_379_23 EC_379_5_0_379_24_379_24) (= s_379_23 s_378_12)) (and ?v_29 ?v_30 ?v_31 ?v_32 ?v_27 (not ?v_33) (= EC_379_23 L_379_5) (= s_379_23 RES_379_5_0_379_24_379_24))) (= EC_1_ EC_379_23) (= XRES_1_ XRES_379_5_0_379_24_379_24) (= RES_1_ RES_379_5_0_379_24_379_24)) (and ?v_10 ?v_24 ?v_29 ?v_30 ?v_31 ?v_32 ?v_27 ?v_33 ?v_28 ?v_37 ?v_10 ?v_24 (or (and ?v_40 ?v_41 ?v_42 ?v_43 ?v_10 ?v_38 (= EC_379_23_1_ EC_379_5_1_379_24_379_24)) (and ?v_40 ?v_41 ?v_42 ?v_43 ?v_44 (not (not (= RES_379_5_1_379_24_379_24 null))) (= EC_379_23_1_ L_379_5))) (= EC_1_ EC_379_23_1_) (= XRES_1_ XRES_379_5_1_379_24_379_24) (= RES_1_ RES_379_5_1_379_24_379_24)))) (?v_113 (= EC_1_ L_379_5)) (?v_114 (= EC_2_ EC_1_)) (?v_115 (= XRES_2_ XRES_1_)) (?v_116 (= RES_2_ RES_1_))) (let ((?v_117 (or (and ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_10 ?v_18 (= EC_361_31 EC_376_48_376_48) (= alloc_361_31 after_376_48_376_48) (= XRES_361_31 XRES_376_48_376_48) (= RES_361_31 RES_376_48_376_48)) (and ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_20 ?v_85 ?v_86 ?v_24 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 (or (and ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_101 ?v_102 ?v_10 ?v_21 (= EC_361_31 EC_377_42_377_42) (= alloc_361_31 after_377_42_377_42) (= XRES_361_31 XRES_377_42_377_42) (= RES_361_31 RES_377_42_377_42)) (and ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_101 ?v_102 ?v_23 ?v_103 ?v_104 ?v_28 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_35 ?v_36 ?v_112 (not ?v_113) (= EC_361_31 EC_1_) (= alloc_361_31 after_377_26_377_26) (= XRES_361_31 XRES_1_) (= RES_361_31 RES_1_)))))) (?v_124 (not (= EC_361_31 ecThrow)))) (let ((?v_118 (not ?v_124)) (?v_119 (or (= (PO_LT (typeof XRES_361_31) T_java_io_IOException) true_term) (= XRES_361_31 null))) (?v_120 (= e_383_22 XRES_361_31)) (?v_121 (not (= e_383_22 null))) (?v_122 (= EC_384_26_384_26 ecReturn)) (?v_123 (= EC_385_12_385_12 ecReturn)) (?v_125 (= EC_361_31_2_ ecReturn))) (not (=> (and (distinct ecReturn L_379_5 ecThrow) (not (= S_362_33 null)) (= (typeof S_362_33) T_java_lang_String) (not (= S_372_28 null)) (= (typeof S_372_28) T_java_lang_String) (not (= S_370_29 null)) (= (typeof S_370_29) T_java_lang_String) (not (= S_365_33 null)) (= (typeof S_365_33) T_java_lang_String) (not (= S_364_24 null)) (= (typeof S_364_24) T_java_lang_String) (not (= S_365_10 null)) (= (typeof S_365_10) T_java_lang_String)) (=> (and (= locType_pre_106_21_13 locType_106_21_13) (= locType_106_21_13 (asField locType_106_21_13 T_int)) (= outProgIndirect_pre_24_34 outProgIndirect_24_34) (= outProgIndirect_24_34 (asField outProgIndirect_24_34 T_java_lang_String)) (< (fClosedTime outProgIndirect_24_34) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select outProgIndirect_24_34 ?s) null)))) (= elems_pre_32_41_39 elems_32_41_39) (= elems_32_41_39 (asField elems_32_41_39 T_javafe_ast_TypeDeclElemVec)) (< (fClosedTime elems_32_41_39) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elems_32_41_39 ?s_1_) null)))) (= elems_pre_26_27_35 elems_26_27_35) (= elems_26_27_35 (asField elems_26_27_35 T_javafe_ast_TypeDeclVec)) (< (fClosedTime elems_26_27_35) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elems_26_27_35 ?s_2_) null)))) (= out_pre_19_83_49 out_19_83_49) (= true_term (is out_19_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_19_83_49 alloc)) (not (= out_19_83_49 null)) (= loc_pre_26_30_13 loc_26_30_13) (= loc_26_30_13 (asField loc_26_30_13 T_int)) (= owner_pre_7_35_28 owner_7_35_28) (= owner_7_35_28 (asField owner_7_35_28 T_java_lang_Object)) (< (fClosedTime owner_7_35_28) alloc) (= locOpenBrace_pre_112_22_13 locOpenBrace_112_22_13) (= locOpenBrace_112_22_13 (asField locOpenBrace_112_22_13 T_int)) (= locOpenBrace_pre_32_51_13 locOpenBrace_32_51_13) (= locOpenBrace_32_51_13 (asField locOpenBrace_32_51_13 T_int)) (= loc_pre_32_45_13 loc_32_45_13) (= loc_32_45_13 (asField loc_32_45_13 T_int)) (= locCloseBrace_pre_32_54_13 locCloseBrace_32_54_13) (= locCloseBrace_32_54_13 (asField locCloseBrace_32_54_13 T_int)) (= containsNull_pre_15_70_29 containsNull_15_70_29) (= containsNull_15_70_29 (asField containsNull_15_70_29 T_boolean)) (= locId_pre_32_48_13 locId_32_48_13) (= locId_32_48_13 (asField locId_32_48_13 T_int)) (= elements_pre_102_61_39 elements_102_61_39) (= elements_102_61_39 (asField elements_102_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_102_61_39) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elements_102_61_39 ?s_3_) null)))) (= state_pre_34_787_15 state_34_787_15) (= state_34_787_15 (asField state_34_787_15 T_int)) (= myTypeDecl_pre_34_63_40 myTypeDecl_34_63_40) (= myTypeDecl_34_63_40 (asField myTypeDecl_34_63_40 T_javafe_ast_TypeDecl)) (< (fClosedTime myTypeDecl_34_63_40) alloc) (= locCloseBrace_pre_112_25_13 locCloseBrace_112_25_13) (= locCloseBrace_112_25_13 (asField locCloseBrace_112_25_13 T_int)) (= outLibIndirect_pre_25_34 outLibIndirect_25_34) (= outLibIndirect_25_34 (asField outLibIndirect_25_34 T_java_lang_String)) (< (fClosedTime outLibIndirect_25_34) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select outLibIndirect_25_34 ?s_4_) null)))) (= count_pre_30_67_33 count_30_67_33) (= count_30_67_33 (asField count_30_67_33 T_int)) (= errors_pre_52_81_22 errors_52_81_22) (= true_term (is errors_52_81_22 T_int)) (= CHECKED_pre_34_776_28 CHECKED_34_776_28) (= true_term (is CHECKED_34_776_28 T_int)) (= inst_pre_31_174_26 inst_31_174_26) (= true_term (is inst_31_174_26 T_javafe_tc_TypeCheck)) (= true_term (isAllocated inst_31_174_26 alloc)) (= NULL_pre_29_60_26 NULL_29_60_26) (= true_term (is NULL_29_60_26 T_int)) (= usageError_pre_6_43_28 usageError_6_43_28) (= true_term (is usageError_6_43_28 T_int)) (= argumentFileNames_pre_39_24 argumentFileNames_39_24) (= argumentFileNames_39_24 (asField argumentFileNames_39_24 T_java_util_Vector)) (< (fClosedTime argumentFileNames_39_24) alloc) (= methods_pre_34_883_26 methods_34_883_26) (= methods_34_883_26 (asField methods_34_883_26 T_javafe_tc_MethodDeclVec)) (< (fClosedTime methods_34_883_26) alloc) (= elements_pre_101_61_38 elements_101_61_38) (= elements_101_61_38 (asField elements_101_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_101_61_38) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select elements_101_61_38 ?s_5_) null)))) (= PARSED_pre_34_772_28 PARSED_34_772_28) (= true_term (is PARSED_34_772_28 T_int)) (= elementCount_pre_13_90_35 elementCount_13_90_35) (= elementCount_13_90_35 (asField elementCount_13_90_35 T_int)) (= locOpenBrace_pre_107_36_13 locOpenBrace_107_36_13) (= locOpenBrace_107_36_13 (asField locOpenBrace_107_36_13 T_int)) (= locId_pre_105_38_13 locId_105_38_13) (= locId_105_38_13 (asField locId_105_38_13 T_int)) (= enclosingType_pre_34_32_39 enclosingType_34_32_39) (= enclosingType_34_32_39 (asField enclosingType_34_32_39 T_javafe_tc_TypeSig)) (< (fClosedTime enclosingType_34_32_39) alloc) (= err_pre_19_97_50 err_19_97_50) (= true_term (is err_19_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_19_97_50 alloc)) (not (= err_19_97_50 null)) (= elementType_pre_15_65_27 elementType_15_65_27) (= elementType_15_65_27 (asField elementType_15_65_27 T__TYPE)) (= progIndirectFiles_pre_34_24 progIndirectFiles_34_24) (= progIndirectFiles_34_24 (asField progIndirectFiles_34_24 T_java_util_Vector)) (< (fClosedTime progIndirectFiles_34_24) alloc) (= progIndirectWriter_pre_28_24 progIndirectWriter_28_24) (= progIndirectWriter_28_24 (asField progIndirectWriter_28_24 T_java_io_PrintWriter)) (< (fClosedTime progIndirectWriter_28_24) alloc) (= PREPPED_pre_34_775_28 PREPPED_34_775_28) (= true_term (is PREPPED_34_775_28 T_int)) (= body_pre_107_34_19 body_107_34_19) (= body_107_34_19 (asField body_107_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_107_34_19) alloc) (= count_pre_51_67_33 count_51_67_33) (= count_51_67_33 (asField count_51_67_33 T_int)) (= enclosingEnv_pre_34_52_36 enclosingEnv_34_52_36) (= enclosingEnv_34_52_36 (asField enclosingEnv_34_52_36 T_javafe_tc_Env)) (< (fClosedTime enclosingEnv_34_52_36) alloc) (= loc_pre_107_40_13 loc_107_40_13) (= loc_107_40_13 (asField loc_107_40_13 T_int)) (= elements_pre_30_61_37 elements_30_61_37) (= elements_30_61_37 (asField elements_30_61_37 (array T_javafe_ast_TypeDecl))) (< (fClosedTime elements_30_61_37) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select elements_30_61_37 ?s_6_) null)))) (= inst_pre_44_29_44 inst_44_29_44) (= true_term (is inst_44_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_44_29_44 alloc)) (not (= inst_44_29_44 null)) (= elementData_pre_13_79_35 elementData_13_79_35) (= elementData_13_79_35 (asField elementData_13_79_35 (array T_java_lang_Object))) (< (fClosedTime elementData_13_79_35) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select elementData_13_79_35 ?s_7_) null)))) (= locId_pre_107_43_13 locId_107_43_13) (= locId_107_43_13 (asField locId_107_43_13 T_int)) (= pkgName_pre_26_21_14 pkgName_26_21_14) (= pkgName_26_21_14 (asField pkgName_26_21_14 T_javafe_ast_Name)) (< (fClosedTime pkgName_26_21_14) alloc) (= count_pre_102_67_33 count_102_67_33) (= count_102_67_33 (asField count_102_67_33 T_int)) (= CU_pre_34_71_30 CU_34_71_30) (= CU_34_71_30 (asField CU_34_71_30 T_javafe_ast_CompilationUnit)) (< (fClosedTime CU_34_71_30) alloc) (= outDir_pre_23_34 outDir_23_34) (= outDir_23_34 (asField outDir_23_34 T_java_lang_String)) (< (fClosedTime outDir_23_34) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select outDir_23_34 ?s_8_) null)))) (= libIndirectWriter_pre_27_24 libIndirectWriter_27_24) (= libIndirectWriter_27_24 (asField libIndirectWriter_27_24 T_java_io_PrintWriter)) (< (fClosedTime libIndirectWriter_27_24) alloc) (= specOnly_pre_32_26_17 specOnly_32_26_17) (= specOnly_32_26_17 (asField specOnly_32_26_17 T_boolean)) (= fields_pre_34_875_27 fields_34_875_27) (= fields_34_875_27 (asField fields_34_875_27 T_javafe_tc_FieldDeclVec)) (< (fClosedTime fields_34_875_27) alloc) (= loaded_pre_110_18 loaded_110_18) (= loaded_110_18 (asField loaded_110_18 T_java_util_Vector)) (< (fClosedTime loaded_110_18) alloc) (= simpleName_pre_34_37_38 simpleName_34_37_38) (= simpleName_34_37_38 (asField simpleName_34_37_38 T_java_lang_String)) (< (fClosedTime simpleName_34_37_38) alloc) (= elements_pre_51_61_41 elements_51_61_41) (= elements_51_61_41 (asField elements_51_61_41 (array T_javafe_ast_TypeDeclElem))) (< (fClosedTime elements_51_61_41) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select elements_51_61_41 ?s_9_) null)))) (= member_pre_34_44_39 member_34_44_39) (= member_34_44_39 (asField member_34_44_39 T_boolean)) (= count_pre_101_67_33 count_101_67_33) (= count_101_67_33 (asField count_101_67_33 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_CopyLoaded)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is original_358_55 T_java_lang_String)) (= true_term (isAllocated original_358_55 alloc)) ?v_5 (= true_term (is newName_359_27 T_java_lang_String)) (= true_term (isAllocated newName_359_27 alloc)) (not (= newName_359_27 null)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_CopyLoaded)) (not (= ?brokenObj null))) (= (S_select owner_7_35_28 (S_select progIndirectFiles_34_24 ?brokenObj)) ?brokenObj))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_CopyLoaded)) (not (= ?brokenObj_1_ null))) (not (= true_term (S_select containsNull_15_70_29 (S_select loaded_110_18 ?brokenObj_1_)))))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_CopyLoaded)) (not (= ?brokenObj_2_ null))) (not (= (S_select loaded_110_18 ?brokenObj_2_) null)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_CopyLoaded)) (not (= ?brokenObj_3_ null))) (= (S_select elementType_15_65_27 (S_select progIndirectFiles_34_24 ?brokenObj_3_)) T_java_lang_String))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_CopyLoaded)) (not (= ?brokenObj_4_ null))) (not (= true_term (S_select containsNull_15_70_29 (S_select argumentFileNames_39_24 ?brokenObj_4_)))))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_java_util_Vector)) (not (= ?brokenObj_5_ null))) (<= 0 (S_select elementCount_13_90_35 ?brokenObj_5_)))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_CopyLoaded)) (not (= ?brokenObj_6_ null))) (= (S_select owner_7_35_28 (S_select loaded_110_18 ?brokenObj_6_)) ?brokenObj_6_))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_java_util_Vector)) (not (= ?brokenObj_7_ null))) (<= (S_select elementCount_13_90_35 ?brokenObj_7_) (arrayLength (S_select elementData_13_79_35 ?brokenObj_7_))))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_CopyLoaded)) (not (= ?brokenObj_8_ null))) (not (= (S_select loaded_110_18 ?brokenObj_8_) (S_select argumentFileNames_39_24 ?brokenObj_8_))))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_CopyLoaded)) (not (= ?brokenObj_9_ null))) (= (S_select owner_7_35_28 (S_select argumentFileNames_39_24 ?brokenObj_9_)) ?brokenObj_9_))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_java_util_Vector)) (not (= ?brokenObj_10_ null))) (forall ((?i_13_73_31 Int)) (=> (and (<= 0 ?i_13_73_31) (< ?i_13_73_31 (S_select elementCount_13_90_35 ?brokenObj_10_)) (not (= true_term (S_select containsNull_15_70_29 ?brokenObj_10_)))) (not (= (S_select (S_select elems (S_select elementData_13_79_35 ?brokenObj_10_)) ?i_13_73_31) null)))))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_CopyLoaded)) (not (= ?brokenObj_11_ null))) (= (S_select elementType_15_65_27 (S_select loaded_110_18 ?brokenObj_11_)) T_javafe_ast_CompilationUnit))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_java_util_Vector)) (not (= ?brokenObj_12_ null))) (= (typeof (S_select elementData_13_79_35 ?brokenObj_12_)) (array T_java_lang_Object)))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_java_util_Vector)) (not (= ?brokenObj_13_ null))) (forall ((?i_13_70_31 Int)) (let ((?v_136 (S_select (S_select elems (S_select elementData_13_79_35 ?brokenObj_13_)) ?i_13_70_31))) (=> (and (<= 0 ?i_13_70_31) (< ?i_13_70_31 (S_select elementCount_13_90_35 ?brokenObj_13_))) (or (= (PO_LT (typeof ?v_136) (S_select elementType_15_65_27 ?brokenObj_13_)) true_term) (= ?v_136 null))))))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_java_util_Vector)) (not (= ?brokenObj_14_ null))) (forall ((?v_13_76_34 Int)) (let ((?v_137 (= ?v_13_76_34 null))) (=> (and (= true_term (is ?v_13_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_13_76_34 alloc)) (not ?v_137)) (or ?v_137 (= ?v_13_76_34 ?brokenObj_14_) (not (= (S_select elementData_13_79_35 ?v_13_76_34) (S_select elementData_13_79_35 ?brokenObj_14_))))))))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_CopyLoaded)) (not (= ?brokenObj_15_ null))) (= (S_select elementType_15_65_27 (S_select argumentFileNames_39_24 ?brokenObj_15_)) T_java_lang_String))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_CopyLoaded)) (not (= ?brokenObj_16_ null))) (not (= true_term (S_select containsNull_15_70_29 (S_select progIndirectFiles_34_24 ?brokenObj_16_)))))) (or (and ?v_46 ?v_47 ?v_48 ?v_0 ?v_49 ?v_50 (or (not ?v_1) (and ?v_1 (not ?v_2)) (and ?v_1 ?v_2 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_3 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 (or (not ?v_4) (and ?v_4 (or (not ?v_6) (and ?v_6 (not (or (= (PO_LT (typeof original_358_55) (S_select elementType_15_65_27 tmp3_progIndirectFiles_369_9)) true_term) ?v_7))) (and ?v_6 ?v_64 ?v_65 (or (and ?v_9 ?v_10 ?v_12 (not ?v_13)) (and ?v_14 ?v_10 ?v_15 (not ?v_16)) (and ?v_66 (or (not ?v_17) (and ?v_17 ?v_67 ?v_68 ?v_69 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_20 ?v_85 ?v_86 ?v_24 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_101 ?v_102 ?v_23 ?v_103 ?v_104 ?v_28 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 (or (and ?v_35 ?v_36 (or (and ?v_10 (or ?v_34 (and ?v_24 ?v_29 ?v_30 ?v_31 ?v_32 ?v_27 ?v_33 ?v_45))) (and ?v_10 ?v_24 ?v_29 ?v_30 ?v_31 ?v_32 ?v_27 ?v_33 ?v_28 ?v_37 ?v_10 ?v_34))) (and ?v_35 ?v_36 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_45))))))))))))) (and ?v_46 ?v_47 ?v_48 ?v_0 ?v_49 ?v_50 ?v_1 ?v_2 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_3 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_4 ?v_6 ?v_64 ?v_65 ?v_66 ?v_17 ?v_67 ?v_68 ?v_69 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_117 ?v_118 ?v_119 ?v_120 (not ?v_121)) (and (or (and (or (and ?v_46 ?v_47 ?v_48 ?v_0 ?v_49 ?v_50 ?v_1 ?v_2 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_3 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_4 ?v_6 ?v_64 ?v_65 ?v_66 ?v_17 ?v_67 ?v_68 ?v_69 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_20 ?v_85 ?v_86 ?v_24 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_101 ?v_102 ?v_23 ?v_103 ?v_104 ?v_28 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_35 ?v_36 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_28 (= EC_382_12_382_12 ecReturn) (= EC_361_31_1_ EC_382_12_382_12)) (and ?v_46 ?v_47 ?v_48 ?v_0 ?v_49 ?v_50 ?v_1 ?v_2 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_3 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_4 ?v_6 ?v_64 ?v_65 ?v_66 ?v_17 ?v_67 ?v_68 ?v_69 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_117 ?v_118 ?v_119 ?v_120 ?v_121 (= true_term (is RES_384_26_384_26 T_java_lang_String)) (= true_term (isAllocated RES_384_26_384_26 alloc_361_31)) ?v_122 (=> ?v_122 (not (= RES_384_26_384_26 null))) (= EC_384_16_384_16 ecReturn) ?v_123 (not ?v_123) (= EC_361_31_1_ EC_385_12_385_12))) ?v_125) (and ?v_46 ?v_47 ?v_48 ?v_0 ?v_49 ?v_50 ?v_1 ?v_2 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_3 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_4 ?v_6 ?v_64 ?v_65 ?v_66 ?v_17 ?v_67 ?v_68 ?v_69 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_117 (or ?v_124 (and ?v_118 (not ?v_119))) (= EC_361_31_2_ EC_361_31))) (not ?v_125)))))))))))))))))))))))))))))
(check-sat)
(exit)
