(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_FrontEndTool () Int)
(declare-fun T_javafe_Tool () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_reader_TypeReader () Int)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_tc_OutsideEnv () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_javafe_ast_ClassDecl () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_TestTool () Int)
(declare-fun T_javafe_SrcTool () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_javafe_tc_Types () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_util_Info () Int)
(declare-fun T_javafe_tc_Listener () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun PREPPED_21_775_28 () Int)
(declare-fun err_14_97_50 () Int)
(declare-fun PARSED_21_772_28 () Int)
(assert (and (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_FrontEndTool T_javafe_Tool) true_term) (= T_javafe_FrontEndTool (asChild T_javafe_FrontEndTool T_javafe_Tool)) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_javafe_reader_TypeReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_TypeReader (asChild T_javafe_reader_TypeReader T_javafe_reader_Reader)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_tc_OutsideEnv T_java_lang_Object) true_term) (= T_javafe_tc_OutsideEnv (asChild T_javafe_tc_OutsideEnv T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_tc_OutsideEnv) true_term) (= ?t T_javafe_tc_OutsideEnv))) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_ClassDecl (asChild T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_TestTool T_javafe_SrcTool) true_term) (= T_javafe_TestTool (asChild T_javafe_TestTool T_javafe_SrcTool)) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_javafe_tc_Types T_java_lang_Object) true_term) (= T_javafe_tc_Types (asChild T_javafe_tc_Types T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_Tool T_java_lang_Object) true_term) (= T_javafe_Tool (asChild T_javafe_Tool T_java_lang_Object)) (= (PO_LT T_javafe_util_Info T_java_lang_Object) true_term) (= T_javafe_util_Info (asChild T_javafe_util_Info T_java_lang_Object)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_tc_Listener T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_SrcTool T_javafe_FrontEndTool) true_term) (= T_javafe_SrcTool (asChild T_javafe_SrcTool T_javafe_FrontEndTool)) (= (PO_LT T_javafe_SrcTool T_javafe_tc_Listener) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_util_Map (+ DIST_ZERO_1 10)) (= T_java_lang_Comparable (+ DIST_ZERO_1 11)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 12)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 13)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 14)) (= T_javafe_FrontEndTool (+ DIST_ZERO_1 15)) (= T_java_util_Vector (+ DIST_ZERO_1 16)) (= T_java_util_Collection (+ DIST_ZERO_1 17)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 18)) (= T_javafe_reader_TypeReader (+ DIST_ZERO_1 19)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 20)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 21)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 22)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 23)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 24)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 25)) (= T_java_io_PrintStream (+ DIST_ZERO_1 26)) (= T_javafe_ast_Name (+ DIST_ZERO_1 27)) (= T_java_lang_Object (+ DIST_ZERO_1 28)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 29)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 30)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 31)) (= T_java_util_Dictionary (+ DIST_ZERO_1 32)) (= T_javafe_tc_OutsideEnv (+ DIST_ZERO_1 33)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 34)) (= T_java_lang_System (+ DIST_ZERO_1 35)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 36)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 37)) (= T_javafe_ast_Type (+ DIST_ZERO_1 38)) (= T_java_util_Properties (+ DIST_ZERO_1 39)) (= T_javafe_util_Location (+ DIST_ZERO_1 40)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 41)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 42)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 43)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 44)) (= T_javafe_ast_ClassDecl (+ DIST_ZERO_1 45)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 46)) (= T_javafe_tc_Env (+ DIST_ZERO_1 47)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 48)) (= T_javafe_TestTool (+ DIST_ZERO_1 49)) (= T_java_util_AbstractList (+ DIST_ZERO_1 50)) (= T_java_io_OutputStream (+ DIST_ZERO_1 51)) (= T_java_util_List (+ DIST_ZERO_1 52)) (= T_javafe_tc_Types (+ DIST_ZERO_1 53)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 54)) (= T_java_lang_String (+ DIST_ZERO_1 55)) (= T_java_io_Serializable (+ DIST_ZERO_1 56)) (= T_javafe_Tool (+ DIST_ZERO_1 57)) (= T_javafe_util_Info (+ DIST_ZERO_1 58)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 59)) (= T_javafe_tc_Listener (+ DIST_ZERO_1 60)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 61)) (= T_java_util_Hashtable (+ DIST_ZERO_1 62)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 63)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 64)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 65)) (= T_javafe_SrcTool (+ DIST_ZERO_1 66))) (= true_term (is PREPPED_21_775_28 T_int)) (= PREPPED_21_775_28 5) (= true_term (is err_14_97_50 T_java_io_PrintStream)) (= true_term (is PARSED_21_772_28 T_int)) (= PARSED_21_772_28 2)))
(declare-fun S_77_19 () Int)
(declare-fun name_pre_30_18_28 () Int)
(declare-fun name_30_18_28 () Int)
(declare-fun PREPPED_pre_21_775_28 () Int)
(declare-fun myTypeDecl_pre_21_63_40 () Int)
(declare-fun myTypeDecl_21_63_40 () Int)
(declare-fun superClass_pre_28_15_18 () Int)
(declare-fun superClass_28_15_18 () Int)
(declare-fun methods_pre_21_883_26 () Int)
(declare-fun methods_21_883_26 () Int)
(declare-fun CU_pre_21_71_30 () Int)
(declare-fun CU_21_71_30 () Int)
(declare-fun state_pre_21_787_15 () Int)
(declare-fun state_21_787_15 () Int)
(declare-fun length_pre_31_50_25 () Int)
(declare-fun length_31_50_25 () Int)
(declare-fun fields_pre_21_875_27 () Int)
(declare-fun fields_21_875_27 () Int)
(declare-fun packageName_pre_21_27_40 () Int)
(declare-fun packageName_21_27_40 () Int)
(declare-fun err_pre_14_97_50 () Int)
(declare-fun PARSED_pre_21_772_28 () Int)
(declare-fun enclosingType_pre_21_32_39 () Int)
(declare-fun enclosingType_21_32_39 () Int)
(declare-fun chaseSuperclasses_pre_65_19 () Int)
(declare-fun chaseSuperclasses_65_19 () Int)
(declare-fun simpleName_pre_21_37_38 () Int)
(declare-fun simpleName_21_37_38 () Int)
(declare-fun member_pre_21_44_39 () Int)
(declare-fun member_21_44_39 () Int)
(declare-fun enclosingEnv_pre_21_52_36 () Int)
(declare-fun enclosingEnv_21_52_36 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun option_76_36 () Int)
(declare-fun args_76_53 () Int)
(declare-fun offset_76_63 () Int)
(declare-fun RES_77_12_77_12 () Int)
(declare-fun EC_77_12_77_12 () Int)
(declare-fun ecReturn () Int)
(declare-fun chaseSuperclasses_78_5 () Int)
(declare-fun RES_77_5 () Int)
(declare-fun RES_83_14_83_14 () Int)
(declare-fun EC_83_14_83_14 () Int)
(assert (let ((?v_3 (= S_77_19 null)) (?v_0 (array T_java_lang_String)) (?v_1 (not (= option_76_36 null))) (?v_5 (= true_term (nonnullelements args_76_53 elems))) (?v_6 (<= 0 offset_76_63)) (?v_13 (arrayLength args_76_53))) (let ((?v_7 (<= offset_76_63 ?v_13)) (?v_8 (= true_term (is RES_77_12_77_12 T_boolean))) (?v_2 (= EC_77_12_77_12 ecReturn)) (?v_10 (= true_term RES_77_12_77_12))) (let ((?v_4 (not ?v_10))) (let ((?v_9 (=> (and ?v_2 ?v_3) ?v_4)) (?v_11 (= true_term true_term)) (?v_12 (= EC_83_14_83_14 ecReturn)) (?v_14 (= ecReturn ecReturn))) (not (=> (and true (not ?v_3) (= (typeof S_77_19) T_java_lang_String)) (=> (and (= name_pre_30_18_28 name_30_18_28) (= name_30_18_28 (asField name_30_18_28 T_javafe_ast_Name)) (< (fClosedTime name_30_18_28) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select name_30_18_28 ?s) null)))) (= PREPPED_pre_21_775_28 PREPPED_21_775_28) (= true_term (is PREPPED_21_775_28 T_int)) (= myTypeDecl_pre_21_63_40 myTypeDecl_21_63_40) (= myTypeDecl_21_63_40 (asField myTypeDecl_21_63_40 T_javafe_ast_TypeDecl)) (< (fClosedTime myTypeDecl_21_63_40) alloc) (= superClass_pre_28_15_18 superClass_28_15_18) (= superClass_28_15_18 (asField superClass_28_15_18 T_javafe_ast_TypeName)) (< (fClosedTime superClass_28_15_18) alloc) (= methods_pre_21_883_26 methods_21_883_26) (= methods_21_883_26 (asField methods_21_883_26 T_javafe_tc_MethodDeclVec)) (< (fClosedTime methods_21_883_26) alloc) (= CU_pre_21_71_30 CU_21_71_30) (= CU_21_71_30 (asField CU_21_71_30 T_javafe_ast_CompilationUnit)) (< (fClosedTime CU_21_71_30) alloc) (= state_pre_21_787_15 state_21_787_15) (= state_21_787_15 (asField state_21_787_15 T_int)) (= length_pre_31_50_25 length_31_50_25) (= length_31_50_25 (asField length_31_50_25 T_int)) (= fields_pre_21_875_27 fields_21_875_27) (= fields_21_875_27 (asField fields_21_875_27 T_javafe_tc_FieldDeclVec)) (< (fClosedTime fields_21_875_27) alloc) (= packageName_pre_21_27_40 packageName_21_27_40) (= packageName_21_27_40 (asField packageName_21_27_40 ?v_0)) (< (fClosedTime packageName_21_27_40) alloc) (= err_pre_14_97_50 err_14_97_50) (= true_term (is err_14_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_14_97_50 alloc)) (not (= err_14_97_50 null)) (= PARSED_pre_21_772_28 PARSED_21_772_28) (= true_term (is PARSED_21_772_28 T_int)) (= enclosingType_pre_21_32_39 enclosingType_21_32_39) (= enclosingType_21_32_39 (asField enclosingType_21_32_39 T_javafe_tc_TypeSig)) (< (fClosedTime enclosingType_21_32_39) alloc) (= chaseSuperclasses_pre_65_19 chaseSuperclasses_65_19) (= chaseSuperclasses_65_19 (asField chaseSuperclasses_65_19 T_boolean)) (= simpleName_pre_21_37_38 simpleName_21_37_38) (= simpleName_21_37_38 (asField simpleName_21_37_38 T_java_lang_String)) (< (fClosedTime simpleName_21_37_38) alloc) (= member_pre_21_44_39 member_21_44_39) (= member_21_44_39 (asField member_21_44_39 T_boolean)) (= enclosingEnv_pre_21_52_36 enclosingEnv_21_52_36) (= enclosingEnv_21_52_36 (asField enclosingEnv_21_52_36 T_javafe_tc_Env)) (< (fClosedTime enclosingEnv_21_52_36) alloc) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_TestTool)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is option_76_36 T_java_lang_String)) (= true_term (isAllocated option_76_36 alloc)) (= true_term (is args_76_53 ?v_0)) (= true_term (isAllocated args_76_53 alloc)) (= true_term (is offset_76_63 T_int)) ?v_1 ?v_5 ?v_6 ?v_7 (or (not ?v_1) (and ?v_1 ?v_8 ?v_2 ?v_9 ?v_4 ?v_11 (or (not (and ?v_1 ?v_5)) (not (and ?v_6 ?v_7)))) (and ?v_1 ?v_8 ?v_2 ?v_9 (or (and ?v_10 ?v_11 (= chaseSuperclasses_78_5 (S_store chaseSuperclasses_65_19 this true_term)) ?v_11 (= RES_77_5 offset_76_63)) (and ?v_4 ?v_11 (= true_term (is RES_83_14_83_14 T_int)) ?v_12 (=> ?v_12 (and (<= 0 RES_83_14_83_14) (<= RES_83_14_83_14 ?v_13))) ?v_11 (= RES_77_5 RES_83_14_83_14))) (or (not ?v_14) (and ?v_14 (not (=> ?v_14 (and (<= 0 RES_77_5) (<= RES_77_5 ?v_13))))))))))))))))))
(check-sat)
(exit)
