(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(assert (and (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_util_Map (+ DIST_ZERO_1 10)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 11)) (= T_java_lang_String (+ DIST_ZERO_1 12)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 13)) (= T_javafe_util_Assert (+ DIST_ZERO_1 14)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 15)) (= T_java_lang_System (+ DIST_ZERO_1 16)) (= T_java_util_Hashtable (+ DIST_ZERO_1 17)) (= T_java_io_Serializable (+ DIST_ZERO_1 18)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 19)) (= T_java_lang_Object (+ DIST_ZERO_1 20)) (= T_java_lang_Comparable (+ DIST_ZERO_1 21)) (= T_java_util_Dictionary (+ DIST_ZERO_1 22)) (= T_java_util_Properties (+ DIST_ZERO_1 23)))))
(declare-fun name_pre_45_19 () Int)
(declare-fun name_45_19 () Int)
(declare-fun decorationType_pre_48_27 () Int)
(declare-fun decorationType_48_27 () Int)
(declare-fun allocated_pre_31_23 () Int)
(declare-fun allocated_31_23 () Int)
(declare-fun decorations_pre_6_178_11 () Int)
(declare-fun decorations_6_178_11 () Int)
(declare-fun my_slot_pre_34_16 () Int)
(declare-fun my_slot_34_16 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun n_98_28 () Int)
(declare-fun val_98_38 () Int)
(declare-fun v_99_1 () Int)
(declare-fun tmp2_new_Object___103_21 () Int)
(declare-fun alloc_1_ () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun length_104_12_104_12_14_360_44 () Int)
(declare-fun elems_104_12_14_342_17 () Int)
(declare-fun after_104_12_104_12_14_342_17 () Int)
(declare-fun EC_104_12_104_12 () Int)
(declare-fun ecReturn () Int)
(declare-fun tmp1_new_Object___101_25 () Int)
(declare-fun alloc_2_ () Int)
(declare-fun decorations_101_11 () Int)
(declare-fun v_101_5 () Int)
(declare-fun decorations_6_178_11_1_ () Int)
(declare-fun elems_1_ () Int)
(declare-fun EC () Int)
(declare-fun EC_1_ () Int)
(declare-fun v_99_10 () Int)
(declare-fun alloc_3_ () Int)
(declare-fun decorations_105_11 () Int)
(declare-fun v_105_5 () Int)
(declare-fun decorations_6_178_11_2_ () Int)
(declare-fun elems_2_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun v_99_10_1_ () Int)
(declare-fun alloc_4_ () Int)
(declare-fun tmp7_my_slot_107_3 () Int)
(declare-fun elems_3_ () Int)
(assert (let ((?v_7 (array T_java_lang_Object)) (?v_0 (not (= n_98_28 null)))) (let ((?v_1 (not ?v_0)) (?v_31 (= v_99_1 (S_select decorations_6_178_11 n_98_28))) (?v_2 (= v_99_1 null)) (?v_3 (= true_term true_term)) (?v_6 (<= 0 allocated_31_23))) (let ((?v_5 (not ?v_6)) (?v_4 (not ?v_2))) (let ((?v_8 (not ?v_4)) (?v_9 (arrayLength v_99_1)) (?v_27 (S_select my_slot_34_16 this))) (let ((?v_18 (>= ?v_27 ?v_9)) (?v_17 (arrayShapeOne allocated_31_23))) (let ((?v_19 (= true_term (arrayFresh tmp2_new_Object___103_21 alloc alloc_1_ elems ?v_17 ?v_7 null))) (?v_20 (forall ((?o Int)) (=> (and (not (= true_term (isAllocated ?o alloc))) (= true_term (isAllocated ?o alloc_1_))) (= true_term (isNewArray ?o))))) (?v_21 (forall ((?o_1_ Int)) (=> (and (not (= true_term (isAllocated ?o_1_ alloc))) (= true_term (isAllocated ?o_1_ alloc_1_))) (= (S_select owner_4_35_28 tmp2_new_Object___103_21) null)))) (?v_15 (= length_104_12_104_12_14_360_44 ?v_9)) (?v_10 (not (= tmp2_new_Object___103_21 null))) (?v_11 (>= length_104_12_104_12_14_360_44 0)) (?v_12 (<= 0 0))) (let ((?v_13 (not ?v_12)) (?v_14 (+ 0 length_104_12_104_12_14_360_44)) (?v_22 (= elems_104_12_14_342_17 (S_store elems tmp2_new_Object___103_21 after_104_12_104_12_14_342_17))) (?v_23 (= elems_104_12_14_342_17 (asElems elems_104_12_14_342_17))) (?v_24 (< (eClosedTime elems_104_12_14_342_17) alloc_1_)) (?v_16 (= EC_104_12_104_12 ecReturn))) (let ((?v_25 (=> ?v_16 (forall ((?i_14_344_21 Int)) (let ((?v_36 (- ?i_14_344_21 0))) (=> (and (<= 0 ?v_36) (< ?v_36 length_104_12_104_12_14_360_44)) (= (S_select (S_select elems_104_12_14_342_17 tmp2_new_Object___103_21) ?i_14_344_21) (S_select (S_select elems v_99_1) (- (+ 0 ?i_14_344_21) 0)))))))) (?v_26 (=> ?v_16 (forall ((?i_14_351_21 Int)) (let ((?v_37 (- ?i_14_351_21 0))) (=> (or (> 0 ?v_37) (>= ?v_37 length_104_12_104_12_14_360_44)) (= (S_select (S_select elems_104_12_14_342_17 tmp2_new_Object___103_21) ?i_14_351_21) (S_select (S_select elems tmp2_new_Object___103_21) ?i_14_351_21)))))))) (let ((?v_32 (or (and ?v_2 ?v_3 ?v_0 ?v_6 (= true_term (arrayFresh tmp1_new_Object___101_25 alloc alloc_2_ elems ?v_17 ?v_7 null)) (forall ((?o_2_ Int)) (=> (and (not (= true_term (isAllocated ?o_2_ alloc))) (= true_term (isAllocated ?o_2_ alloc_2_))) (= true_term (isNewArray ?o_2_)))) (forall ((?o_3_ Int)) (=> (and (not (= true_term (isAllocated ?o_3_ alloc))) (= true_term (isAllocated ?o_3_ alloc_2_))) (= (S_select owner_4_35_28 tmp1_new_Object___101_25) null))) (= decorations_101_11 (S_store decorations_6_178_11 n_98_28 tmp1_new_Object___101_25)) (= v_101_5 (S_select decorations_101_11 n_98_28)) (= decorations_6_178_11_1_ decorations_101_11) (= elems_1_ elems) (= EC EC_1_) (= v_99_10 v_101_5) (= alloc_3_ alloc_2_)) (and ?v_4 ?v_3 ?v_4 (or (and ?v_18 ?v_3 ?v_6 ?v_19 ?v_20 ?v_21 ?v_4 ?v_15 ?v_4 ?v_10 ?v_11 ?v_12 ?v_12 ?v_22 ?v_23 ?v_24 ?v_16 ?v_25 ?v_26 ?v_0 (= decorations_105_11 (S_store decorations_6_178_11 n_98_28 tmp2_new_Object___103_21)) (= v_105_5 (S_select decorations_105_11 n_98_28)) (= decorations_6_178_11_2_ decorations_105_11) (= elems_2_ elems_104_12_14_342_17) (= EC_2_ EC_104_12_104_12) (= v_99_10_1_ v_105_5) (= alloc_4_ alloc_1_)) (and (not ?v_18) ?v_3 (= decorations_6_178_11_2_ decorations_6_178_11) (= elems_2_ elems) (= EC_2_ EC_1_) (= v_99_10_1_ v_99_1) (= alloc_4_ alloc))) (= decorations_6_178_11_1_ decorations_6_178_11_2_) (= elems_1_ elems_2_) (= EC EC_2_) (= v_99_10 v_99_10_1_) (= alloc_3_ alloc_4_)))) (?v_33 (= tmp7_my_slot_107_3 ?v_27)) (?v_28 (not (= v_99_10 null))) (?v_29 (<= 0 tmp7_my_slot_107_3)) (?v_30 (< tmp7_my_slot_107_3 (arrayLength v_99_10))) (?v_34 (= true_term (is val_98_38 (elemtype (typeof v_99_10))))) (?v_35 (= ecReturn ecReturn))) (not (=> true (=> (and (= name_pre_45_19 name_45_19) (= name_45_19 (asField name_45_19 T_java_lang_String)) (< (fClosedTime name_45_19) alloc) (= decorationType_pre_48_27 decorationType_48_27) (= decorationType_48_27 (asField decorationType_48_27 T__TYPE)) (= allocated_pre_31_23 allocated_31_23) (= true_term (is allocated_31_23 T_int)) (= decorations_pre_6_178_11 decorations_6_178_11) (= decorations_6_178_11 (asField decorations_6_178_11 ?v_7)) (< (fClosedTime decorations_6_178_11) alloc) (= my_slot_pre_34_16 my_slot_34_16) (= my_slot_34_16 (asField my_slot_34_16 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_ast_ASTDecoration)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is n_98_28 T_javafe_ast_ASTNode)) (= true_term (isAllocated n_98_28 alloc)) (= true_term (is val_98_38 T_java_lang_Object)) (= true_term (isAllocated val_98_38 alloc)) ?v_0 (= (PO_LT (typeof val_98_38) (S_select decorationType_48_27 this)) true_term) (>= allocated_31_23 0) (forall ((?brokenObj Int)) (let ((?v_38 (S_select decorations_6_178_11 ?brokenObj))) (=> (and (= true_term (is ?brokenObj T_javafe_ast_ASTNode)) (not (= ?brokenObj null)) (not (= ?v_38 null))) (= (typeof ?v_38) ?v_7)))) (forall ((?brokenObj_1_ Int)) (let ((?v_39 (S_select my_slot_34_16 ?brokenObj_1_))) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_ast_ASTDecoration)) (not (= ?brokenObj_1_ null))) (and (<= 0 ?v_39) (< ?v_39 allocated_31_23))))) (or ?v_1 (and ?v_0 ?v_31 (or (and ?v_2 ?v_3 (or ?v_1 (and ?v_0 ?v_5))) (and ?v_4 ?v_3 (or ?v_8 (and ?v_4 ?v_18 ?v_3 (or ?v_5 (and ?v_6 ?v_19 ?v_20 ?v_21 (or ?v_8 (and ?v_4 (or (and ?v_15 (or ?v_8 (and ?v_4 (or (not ?v_10) (and ?v_10 (or (not ?v_11) (and ?v_11 (or ?v_13 (and ?v_12 (or ?v_13 (and ?v_12 (or (not (<= ?v_14 ?v_9)) (not (<= ?v_14 (arrayLength tmp2_new_Object___103_21))) (not (forall ((?brokenObj_2_ Int)) (let ((?v_40 (S_select decorations_6_178_11 ?brokenObj_2_))) (=> (or (= ?brokenObj_2_ v_99_1) (= ?brokenObj_2_ tmp2_new_Object___103_21)) (or (= ?brokenObj_2_ null) (not (= true_term (is ?brokenObj_2_ T_javafe_ast_ASTNode))) (=> (not (= ?v_40 null)) (= (typeof ?v_40) ?v_7))))))))))))))))))) (and ?v_15 ?v_4 ?v_10 ?v_11 ?v_12 ?v_12 ?v_22 ?v_23 ?v_24 ?v_16 ?v_25 ?v_26 ?v_1))))))))) (and ?v_32 ?v_33 (or (not ?v_28) (and ?v_28 (or (not ?v_29) (and ?v_29 (or (not ?v_30) (and ?v_30 (not ?v_34)))))))))) (and ?v_0 ?v_31 ?v_32 ?v_33 ?v_28 ?v_29 ?v_30 ?v_34 (= elems_3_ (S_store elems_1_ v_99_10 (S_store (S_select elems_1_ v_99_10) tmp7_my_slot_107_3 val_98_38))) (or (not ?v_35) (and ?v_35 (not (forall ((?brokenObj Int)) (let ((?v_41 (S_select decorations_6_178_11_1_ ?brokenObj))) (=> (and (= true_term (is ?brokenObj T_javafe_ast_ASTNode)) (= true_term (isAllocated ?brokenObj alloc_3_)) (not (= ?brokenObj null)) (not (= ?v_41 null))) (= (typeof ?v_41) ?v_7))))))))))))))))))))))))
(check-sat)
(exit)
