(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_ast_ThrowStmt () Int)
(declare-fun T_javafe_ast_CatchClause () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_ParenExpr () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_VariableAccess () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_ImportDeclVec () Int)
(declare-fun T_javafe_ast_AmbiguousMethodInvocation () Int)
(declare-fun T_javafe_ast_ClassLiteral () Int)
(declare-fun T_javafe_ast_SwitchStmt () Int)
(declare-fun T_javafe_ast_DefaultVisitor () Int)
(declare-fun T_javafe_ast_Visitor () Int)
(declare-fun T_javafe_ast_InitBlock () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_ArrayRefExpr () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_javafe_ast_IfStmt () Int)
(declare-fun T_javafe_ast_ClassDecl () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_javafe_ast_ModifierPragmaVec () Int)
(declare-fun T_javafe_ast_SynchronizeStmt () Int)
(declare-fun T_javafe_ast_CastExpr () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_javafe_ast_TryCatchStmt () Int)
(declare-fun T_javafe_ast_ArrayType () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_StmtPragma () Int)
(declare-fun T_javafe_ast_BreakStmt () Int)
(declare-fun T_javafe_ast_BranchStmt () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_javafe_ast_ExprVec () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_javafe_ast_LexicalPragma () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_VarDeclStmt () Int)
(declare-fun T_javafe_ast_NewArrayExpr () Int)
(declare-fun T_javafe_ast_LocalVarDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_SuperObjectDesignator () Int)
(declare-fun T_javafe_ast_ObjectDesignator () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_SkipStmt () Int)
(declare-fun T_javafe_ast_VarInitVec () Int)
(declare-fun T_javafe_ast_UnaryExpr () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_javafe_ast_ReturnStmt () Int)
(declare-fun T_javafe_ast_LexicalPragmaVec () Int)
(declare-fun T_javafe_ast_TypeNameVec () Int)
(declare-fun T_javafe_ast_AmbiguousVariableAccess () Int)
(declare-fun T_javafe_ast_MethodInvocation () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_TypeDeclElemVec () Int)
(declare-fun T_javafe_ast_LabelStmt () Int)
(declare-fun T_javafe_ast_StmtVec () Int)
(declare-fun T_javafe_ast_ExprObjectDesignator () Int)
(declare-fun T_javafe_ast_LiteralExpr () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_ast_InstanceOfExpr () Int)
(declare-fun T_javafe_ast_DoStmt () Int)
(declare-fun T_javafe_ast_FormalParaDecl () Int)
(declare-fun T_javafe_ast_TryFinallyStmt () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_ConstructorInvocation () Int)
(declare-fun T_javafe_ast_TypeDeclElemPragma () Int)
(declare-fun T_javafe_ast_FormalParaDeclVec () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_ArrayInit () Int)
(declare-fun T_javafe_ast_FieldAccess () Int)
(declare-fun T_javafe_ast_CatchClauseVec () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_javafe_ast_TypeDeclVec () Int)
(declare-fun T_javafe_ast_ClassDeclStmt () Int)
(declare-fun T_javafe_ast_NewInstanceExpr () Int)
(declare-fun T_javafe_ast_InterfaceDecl () Int)
(declare-fun T_javafe_ast_ForStmt () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_javafe_ast_BinaryExpr () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_ast_EvalStmt () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_TypeModifierPragmaVec () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_ast_ContinueStmt () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_ConstructorDecl () Int)
(declare-fun T_javafe_ast_ThisExpr () Int)
(declare-fun T_javafe_ast_TypeObjectDesignator () Int)
(declare-fun T_javafe_ast_WhileStmt () Int)
(declare-fun T_javafe_ast_CondExpr () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_javafe_ast_SwitchLabel () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun otherCodes_105_202_27 () Int)
(declare-fun punctuationCodes_105_164_19 () Int)
(declare-fun TYPEMODIFIERPRAGMA_105_28_26 () Int)
(declare-fun keywordStrings_105_181_30 () Int)
(declare-fun TYPEDECLELEMPRAGMA_105_27_26 () Int)
(declare-fun NULLLIT_106_45_26 () Int)
(declare-fun STRINGLIT_106_44_26 () Int)
(declare-fun STMTPRAGMA_105_26_26 () Int)
(declare-fun DOUBLELIT_106_43_26 () Int)
(declare-fun MODIFIERPRAGMA_105_25_26 () Int)
(declare-fun punctuationStrings_105_134_22 () Int)
(declare-fun FLOATLIT_106_42_26 () Int)
(declare-fun LEXICALPRAGMA_105_24_26 () Int)
(declare-fun otherStrings_105_193_30 () Int)
(declare-fun CHARLIT_106_41_26 () Int)
(declare-fun noTokens_105_212_27 () Int)
(declare-fun FIRST_KEYWORD_105_51_26 () Int)
(declare-fun IDENT_106_25_26 () Int)
(declare-fun LONGLIT_106_40_26 () Int)
(declare-fun NULL_103_60_26 () Int)
(declare-fun INTLIT_106_39_26 () Int)
(declare-fun LAST_KEYWORD_105_103_26 () Int)
(declare-fun BOOLEANLIT_106_38_26 () Int)
(declare-fun NULL_105_82_26 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ThrowStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ThrowStmt (asChild T_javafe_ast_ThrowStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_CatchClause T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CatchClause (asChild T_javafe_ast_CatchClause T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ParenExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ParenExpr (asChild T_javafe_ast_ParenExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_ast_VariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_VariableAccess (asChild T_javafe_ast_VariableAccess T_javafe_ast_Expr)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ImportDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_ImportDeclVec (asChild T_javafe_ast_ImportDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousMethodInvocation (asChild T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ClassLiteral T_javafe_ast_Expr) true_term) (= T_javafe_ast_ClassLiteral (asChild T_javafe_ast_ClassLiteral T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_SwitchStmt (asChild T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_DefaultVisitor T_javafe_ast_Visitor) true_term) (= T_javafe_ast_DefaultVisitor (asChild T_javafe_ast_DefaultVisitor T_javafe_ast_Visitor)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_InitBlock (asChild T_javafe_ast_InitBlock T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ArrayRefExpr (asChild T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_IfStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_IfStmt (asChild T_javafe_ast_IfStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_ClassDecl (asChild T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_ModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_ModifierPragmaVec (asChild T_javafe_ast_ModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SynchronizeStmt (asChild T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_CastExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CastExpr (asChild T_javafe_ast_CastExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryCatchStmt (asChild T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ArrayType T_javafe_ast_Type) true_term) (= T_javafe_ast_ArrayType (asChild T_javafe_ast_ArrayType T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_StmtPragma T_javafe_ast_Stmt) true_term) (= T_javafe_ast_StmtPragma (asChild T_javafe_ast_StmtPragma T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_BreakStmt (asChild T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_ExprVec T_java_lang_Object) true_term) (= T_javafe_ast_ExprVec (asChild T_javafe_ast_ExprVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_LexicalPragma (asChild T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_VarDeclStmt (asChild T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_NewArrayExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewArrayExpr (asChild T_javafe_ast_NewArrayExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_LocalVarDecl (asChild T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_SuperObjectDesignator (asChild T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_SkipStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SkipStmt (asChild T_javafe_ast_SkipStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_VarInitVec T_java_lang_Object) true_term) (= T_javafe_ast_VarInitVec (asChild T_javafe_ast_VarInitVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_UnaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_UnaryExpr (asChild T_javafe_ast_UnaryExpr T_javafe_ast_Expr)) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_ReturnStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ReturnStmt (asChild T_javafe_ast_ReturnStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_LexicalPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_LexicalPragmaVec (asChild T_javafe_ast_LexicalPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeNameVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeNameVec (asChild T_javafe_ast_TypeNameVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousVariableAccess (asChild T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_MethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_MethodInvocation (asChild T_javafe_ast_MethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclElemVec (asChild T_javafe_ast_TypeDeclElemVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_LabelStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_LabelStmt (asChild T_javafe_ast_LabelStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_StmtVec T_java_lang_Object) true_term) (= T_javafe_ast_StmtVec (asChild T_javafe_ast_StmtVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_ExprObjectDesignator (asChild T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_LiteralExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_LiteralExpr (asChild T_javafe_ast_LiteralExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_InstanceOfExpr (asChild T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_DoStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_DoStmt (asChild T_javafe_ast_DoStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FormalParaDecl (asChild T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryFinallyStmt (asChild T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ConstructorInvocation (asChild T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDeclElemPragma (asChild T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_FormalParaDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_FormalParaDeclVec (asChild T_javafe_ast_FormalParaDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_ArrayInit T_javafe_ast_VarInit) true_term) (= T_javafe_ast_ArrayInit (asChild T_javafe_ast_ArrayInit T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_BranchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_BranchStmt (asChild T_javafe_ast_BranchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_FieldAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_FieldAccess (asChild T_javafe_ast_FieldAccess T_javafe_ast_Expr)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_CatchClauseVec T_java_lang_Object) true_term) (= T_javafe_ast_CatchClauseVec (asChild T_javafe_ast_CatchClauseVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclVec (asChild T_javafe_ast_TypeDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ClassDeclStmt (asChild T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewInstanceExpr (asChild T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_InterfaceDecl (asChild T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_ForStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ForStmt (asChild T_javafe_ast_ForStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_BinaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_BinaryExpr (asChild T_javafe_ast_BinaryExpr T_javafe_ast_Expr)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_EvalStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_EvalStmt (asChild T_javafe_ast_EvalStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ObjectDesignator (asChild T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeModifierPragmaVec (asChild T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_ContinueStmt (asChild T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_ConstructorDecl (asChild T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_ThisExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ThisExpr (asChild T_javafe_ast_ThisExpr T_javafe_ast_Expr)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_TypeObjectDesignator (asChild T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_Visitor T_java_lang_Object) true_term) (= T_javafe_ast_Visitor (asChild T_javafe_ast_Visitor T_java_lang_Object)) (= (PO_LT T_javafe_ast_WhileStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_WhileStmt (asChild T_javafe_ast_WhileStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_CondExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CondExpr (asChild T_javafe_ast_CondExpr T_javafe_ast_Expr)) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_SwitchLabel T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SwitchLabel (asChild T_javafe_ast_SwitchLabel T_javafe_ast_Stmt)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 10)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 11)) (= T_java_io_Serializable (+ DIST_ZERO_1 12)) (= T_javafe_ast_ThrowStmt (+ DIST_ZERO_1 13)) (= T_javafe_ast_CatchClause (+ DIST_ZERO_1 14)) (= T_javafe_ast_ParenExpr (+ DIST_ZERO_1 15)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 16)) (= T_javafe_ast_VariableAccess (+ DIST_ZERO_1 17)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 18)) (= T_javafe_ast_ImportDeclVec (+ DIST_ZERO_1 19)) (= T_javafe_ast_AmbiguousMethodInvocation (+ DIST_ZERO_1 20)) (= T_javafe_ast_ClassLiteral (+ DIST_ZERO_1 21)) (= T_javafe_ast_SwitchStmt (+ DIST_ZERO_1 22)) (= T_javafe_ast_DefaultVisitor (+ DIST_ZERO_1 23)) (= T_javafe_ast_InitBlock (+ DIST_ZERO_1 24)) (= T_javafe_ast_ArrayRefExpr (+ DIST_ZERO_1 25)) (= T_java_lang_Number (+ DIST_ZERO_1 26)) (= T_javafe_ast_IfStmt (+ DIST_ZERO_1 27)) (= T_javafe_ast_ClassDecl (+ DIST_ZERO_1 28)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 29)) (= T_java_util_Hashtable (+ DIST_ZERO_1 30)) (= T_java_util_Dictionary (+ DIST_ZERO_1 31)) (= T_javafe_ast_ModifierPragmaVec (+ DIST_ZERO_1 32)) (= T_javafe_ast_SynchronizeStmt (+ DIST_ZERO_1 33)) (= T_javafe_ast_CastExpr (+ DIST_ZERO_1 34)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 35)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 36)) (= T_javafe_ast_TryCatchStmt (+ DIST_ZERO_1 37)) (= T_javafe_ast_ArrayType (+ DIST_ZERO_1 38)) (= T_javafe_ast_StmtPragma (+ DIST_ZERO_1 39)) (= T_javafe_ast_BreakStmt (+ DIST_ZERO_1 40)) (= T_java_lang_Integer (+ DIST_ZERO_1 41)) (= T_java_lang_Boolean (+ DIST_ZERO_1 42)) (= T_javafe_ast_ExprVec (+ DIST_ZERO_1 43)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 44)) (= T_javafe_ast_LexicalPragma (+ DIST_ZERO_1 45)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 46)) (= T_javafe_ast_VarDeclStmt (+ DIST_ZERO_1 47)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 48)) (= T_javafe_ast_NewArrayExpr (+ DIST_ZERO_1 49)) (= T_javafe_ast_LocalVarDecl (+ DIST_ZERO_1 50)) (= T_javafe_ast_SuperObjectDesignator (+ DIST_ZERO_1 51)) (= T_javafe_util_Location (+ DIST_ZERO_1 52)) (= T_javafe_ast_SkipStmt (+ DIST_ZERO_1 53)) (= T_javafe_ast_VarInitVec (+ DIST_ZERO_1 54)) (= T_javafe_ast_UnaryExpr (+ DIST_ZERO_1 55)) (= T_java_lang_Float (+ DIST_ZERO_1 56)) (= T_javafe_ast_ReturnStmt (+ DIST_ZERO_1 57)) (= T_javafe_ast_LexicalPragmaVec (+ DIST_ZERO_1 58)) (= T_javafe_ast_TypeNameVec (+ DIST_ZERO_1 59)) (= T_javafe_ast_AmbiguousVariableAccess (+ DIST_ZERO_1 60)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 61)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 62)) (= T_javafe_ast_MethodInvocation (+ DIST_ZERO_1 63)) (= T_java_lang_Double (+ DIST_ZERO_1 64)) (= T_javafe_ast_Name (+ DIST_ZERO_1 65)) (= T_javafe_ast_TypeDeclElemVec (+ DIST_ZERO_1 66)) (= T_javafe_ast_LabelStmt (+ DIST_ZERO_1 67)) (= T_javafe_ast_StmtVec (+ DIST_ZERO_1 68)) (= T_javafe_ast_ExprObjectDesignator (+ DIST_ZERO_1 69)) (= T_javafe_ast_LiteralExpr (+ DIST_ZERO_1 70)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 71)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 72)) (= T_javafe_ast_InstanceOfExpr (+ DIST_ZERO_1 73)) (= T_javafe_ast_DoStmt (+ DIST_ZERO_1 74)) (= T_javafe_ast_FormalParaDecl (+ DIST_ZERO_1 75)) (= T_javafe_ast_TryFinallyStmt (+ DIST_ZERO_1 76)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 77)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 78)) (= T_javafe_ast_ConstructorInvocation (+ DIST_ZERO_1 79)) (= T_javafe_ast_TypeDeclElemPragma (+ DIST_ZERO_1 80)) (= T_javafe_ast_FormalParaDeclVec (+ DIST_ZERO_1 81)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 82)) (= T_javafe_ast_ArrayInit (+ DIST_ZERO_1 83)) (= T_javafe_ast_BranchStmt (+ DIST_ZERO_1 84)) (= T_java_lang_Object (+ DIST_ZERO_1 85)) (= T_javafe_ast_FieldAccess (+ DIST_ZERO_1 86)) (= T_java_lang_Comparable (+ DIST_ZERO_1 87)) (= T_javafe_ast_CatchClauseVec (+ DIST_ZERO_1 88)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 89)) (= T_javafe_ast_TypeDeclVec (+ DIST_ZERO_1 90)) (= T_javafe_ast_ClassDeclStmt (+ DIST_ZERO_1 91)) (= T_javafe_ast_NewInstanceExpr (+ DIST_ZERO_1 92)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 93)) (= T_javafe_ast_InterfaceDecl (+ DIST_ZERO_1 94)) (= T_javafe_ast_ForStmt (+ DIST_ZERO_1 95)) (= T_javafe_tc_Env (+ DIST_ZERO_1 96)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 97)) (= T_javafe_ast_BinaryExpr (+ DIST_ZERO_1 98)) (= T_java_lang_String (+ DIST_ZERO_1 99)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 100)) (= T_javafe_ast_EvalStmt (+ DIST_ZERO_1 101)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 102)) (= T_javafe_ast_ObjectDesignator (+ DIST_ZERO_1 103)) (= T_javafe_ast_Type (+ DIST_ZERO_1 104)) (= T_javafe_ast_TypeModifierPragmaVec (+ DIST_ZERO_1 105)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 106)) (= T_javafe_ast_ContinueStmt (+ DIST_ZERO_1 107)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 108)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 109)) (= T_javafe_ast_ConstructorDecl (+ DIST_ZERO_1 110)) (= T_javafe_ast_ThisExpr (+ DIST_ZERO_1 111)) (= T_java_util_Map (+ DIST_ZERO_1 112)) (= T_javafe_ast_TypeObjectDesignator (+ DIST_ZERO_1 113)) (= T_javafe_ast_Visitor (+ DIST_ZERO_1 114)) (= T_javafe_ast_WhileStmt (+ DIST_ZERO_1 115)) (= T_javafe_ast_CondExpr (+ DIST_ZERO_1 116)) (= T_java_lang_Long (+ DIST_ZERO_1 117)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 118)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 119)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 120)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 121)) (= T_javafe_ast_SwitchLabel (+ DIST_ZERO_1 122))) (= true_term (is otherCodes_105_202_27 ?v_0)) (not (= otherCodes_105_202_27 null)) (= (typeof otherCodes_105_202_27) ?v_0) (= (arrayLength otherCodes_105_202_27) 15) (= true_term (is punctuationCodes_105_164_19 ?v_0)) (not (= punctuationCodes_105_164_19 null)) (= (typeof punctuationCodes_105_164_19) ?v_0) (= (arrayLength punctuationCodes_105_164_19) 48) (= true_term (is TYPEMODIFIERPRAGMA_105_28_26 T_int)) (= TYPEMODIFIERPRAGMA_105_28_26 118) (= true_term (is keywordStrings_105_181_30 ?v_1)) (not (= keywordStrings_105_181_30 null)) (= (typeof keywordStrings_105_181_30) ?v_1) (= (arrayLength keywordStrings_105_181_30) 51) (= true_term (is TYPEDECLELEMPRAGMA_105_27_26 T_int)) (= TYPEDECLELEMPRAGMA_105_27_26 117) (= true_term (is NULLLIT_106_45_26 T_int)) (= NULLLIT_106_45_26 111) (= true_term (is STRINGLIT_106_44_26 T_int)) (= STRINGLIT_106_44_26 110) (= true_term (is STMTPRAGMA_105_26_26 T_int)) (= STMTPRAGMA_105_26_26 116) (= true_term (is DOUBLELIT_106_43_26 T_int)) (= DOUBLELIT_106_43_26 109) (= true_term (is MODIFIERPRAGMA_105_25_26 T_int)) (= MODIFIERPRAGMA_105_25_26 115) (= true_term (is punctuationStrings_105_134_22 ?v_1)) (not (= punctuationStrings_105_134_22 null)) (= (typeof punctuationStrings_105_134_22) ?v_1) (= (arrayLength punctuationStrings_105_134_22) 48) (= true_term (is FLOATLIT_106_42_26 T_int)) (= FLOATLIT_106_42_26 108) (= true_term (is LEXICALPRAGMA_105_24_26 T_int)) (= LEXICALPRAGMA_105_24_26 114) (= true_term (is otherStrings_105_193_30 ?v_1)) (not (= otherStrings_105_193_30 null)) (= (typeof otherStrings_105_193_30) ?v_1) (= (arrayLength otherStrings_105_193_30) 15) (= true_term (is CHARLIT_106_41_26 T_int)) (= CHARLIT_106_41_26 107) (= true_term (is noTokens_105_212_27 T_int)) (= true_term (is FIRST_KEYWORD_105_51_26 T_int)) (= FIRST_KEYWORD_105_51_26 133) (= true_term (is IDENT_106_25_26 T_int)) (= IDENT_106_25_26 93) (= true_term (is LONGLIT_106_40_26 T_int)) (= LONGLIT_106_40_26 106) (= true_term (is NULL_103_60_26 T_int)) (= NULL_103_60_26 0) (= true_term (is INTLIT_106_39_26 T_int)) (= INTLIT_106_39_26 105) (= true_term (is LAST_KEYWORD_105_103_26 T_int)) (= LAST_KEYWORD_105_103_26 183) (= true_term (is BOOLEANLIT_106_38_26 T_int)) (= BOOLEANLIT_106_38_26 104) (= true_term (is NULL_105_82_26 T_int)) (= NULL_105_82_26 163))))
(declare-fun L_47_1 () Int)
(declare-fun ecReturn () Int)
(declare-fun L_44_4 () Int)
(declare-fun L_50_1 () Int)
(declare-fun L_42_4 () Int)
(declare-fun locFirstSemi_pre_57_36_13 () Int)
(declare-fun locFirstSemi_57_36_13 () Int)
(declare-fun locGuardOpenParen_pre_49_23_13 () Int)
(declare-fun locGuardOpenParen_49_23_13 () Int)
(declare-fun loc_pre_63_22_13 () Int)
(declare-fun loc_63_22_13 () Int)
(declare-fun elements_pre_27_61_47 () Int)
(declare-fun elements_27_61_47 () Int)
(declare-fun lexicalPragmas_pre_6_23_26 () Int)
(declare-fun lexicalPragmas_6_23_26 () Int)
(declare-fun loc_pre_15_18_13 () Int)
(declare-fun loc_15_18_13 () Int)
(declare-fun locOpenParen_pre_64_48_13 () Int)
(declare-fun locOpenParen_64_48_13 () Int)
(declare-fun tryClause_pre_60_17_28 () Int)
(declare-fun tryClause_60_17_28 () Int)
(declare-fun count_pre_66_67_33 () Int)
(declare-fun count_66_67_33 () Int)
(declare-fun otherCodes_pre_105_202_27 () Int)
(declare-fun od_pre_83_18_40 () Int)
(declare-fun od_83_18_40 () Int)
(declare-fun expr_pre_54_15_28 () Int)
(declare-fun expr_54_15_28 () Int)
(declare-fun locOpenParen_pre_77_18_13 () Int)
(declare-fun locOpenParen_77_18_13 () Int)
(declare-fun locId_pre_80_24_13 () Int)
(declare-fun locId_80_24_13 () Int)
(declare-fun stmt_pre_51_17_33 () Int)
(declare-fun stmt_51_17_33 () Int)
(declare-fun punctuationCodes_pre_105_164_19 () Int)
(declare-fun locCloseBracket_pre_69_23_13 () Int)
(declare-fun locCloseBracket_69_23_13 () Int)
(declare-fun superCall_pre_64_24_17 () Int)
(declare-fun superCall_64_24_17 () Int)
(declare-fun count_pre_19_67_33 () Int)
(declare-fun count_19_67_33 () Int)
(declare-fun elements_pre_21_61_37 () Int)
(declare-fun elements_21_61_37 () Int)
(declare-fun locOp_pre_76_32_13 () Int)
(declare-fun locOp_76_32_13 () Int)
(declare-fun type_pre_73_18_28 () Int)
(declare-fun type_73_18_28 () Int)
(declare-fun init_pre_71_35_19 () Int)
(declare-fun init_71_35_19 () Int)
(declare-fun locType_pre_39_21_13 () Int)
(declare-fun locType_39_21_13 () Int)
(declare-fun locColon_pre_72_25_13 () Int)
(declare-fun locColon_72_25_13 () Int)
(declare-fun enclosingInstance_pre_70_25_14 () Int)
(declare-fun enclosingInstance_70_25_14 () Int)
(declare-fun count_pre_44_67_33 () Int)
(declare-fun count_44_67_33 () Int)
(declare-fun elems_pre_17_41_39 () Int)
(declare-fun elems_17_41_39 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_105_28_26 () Int)
(declare-fun loc_pre_70_49_13 () Int)
(declare-fun loc_70_49_13 () Int)
(declare-fun locOpenParen_pre_74_21_13 () Int)
(declare-fun locOpenParen_74_21_13 () Int)
(declare-fun elements_pre_62_61_40 () Int)
(declare-fun elements_62_61_40 () Int)
(declare-fun elements_pre_14_61_39 () Int)
(declare-fun elements_14_61_39 () Int)
(declare-fun count_pre_27_67_33 () Int)
(declare-fun count_27_67_33 () Int)
(declare-fun value_pre_68_45_16 () Int)
(declare-fun value_68_45_16 () Int)
(declare-fun locCloseBrace_pre_17_54_13 () Int)
(declare-fun locCloseBrace_17_54_13 () Int)
(declare-fun expr_pre_52_15_28 () Int)
(declare-fun expr_52_15_28 () Int)
(declare-fun loc_pre_79_22_13 () Int)
(declare-fun loc_79_22_13 () Int)
(declare-fun locOp_pre_75_43_13 () Int)
(declare-fun locOp_75_43_13 () Int)
(declare-fun loc_pre_50_20_13 () Int)
(declare-fun loc_50_20_13 () Int)
(declare-fun locCloseBrace_pre_65_24_13 () Int)
(declare-fun locCloseBrace_65_24_13 () Int)
(declare-fun loc_pre_61_23_13 () Int)
(declare-fun loc_61_23_13 () Int)
(declare-fun type_pre_86_27_28 () Int)
(declare-fun type_86_27_28 () Int)
(declare-fun expr_pre_51_15_28 () Int)
(declare-fun expr_51_15_28 () Int)
(declare-fun keywordStrings_pre_105_181_30 () Int)
(declare-fun body_pre_63_19_33 () Int)
(declare-fun body_63_19_33 () Int)
(declare-fun loc_pre_57_33_13 () Int)
(declare-fun loc_57_33_13 () Int)
(declare-fun syntax_pre_23_28_29 () Int)
(declare-fun syntax_23_28_29 () Int)
(declare-fun locKeyword_pre_64_45_13 () Int)
(declare-fun locKeyword_64_45_13 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_105_27_26 () Int)
(declare-fun count_pre_21_67_33 () Int)
(declare-fun count_21_67_33 () Int)
(declare-fun NULLLIT_pre_106_45_26 () Int)
(declare-fun loc_pre_56_22_13 () Int)
(declare-fun loc_56_22_13 () Int)
(declare-fun args_pre_83_30_31 () Int)
(declare-fun args_83_30_31 () Int)
(declare-fun expr_pre_77_15_28 () Int)
(declare-fun expr_77_15_28 () Int)
(declare-fun locDot_pre_81_21_13 () Int)
(declare-fun locDot_81_21_13 () Int)
(declare-fun count_pre_14_67_33 () Int)
(declare-fun count_14_67_33 () Int)
(declare-fun locOpenBrace_pre_31_36_13 () Int)
(declare-fun locOpenBrace_31_36_13 () Int)
(declare-fun count_pre_62_67_33 () Int)
(declare-fun count_62_67_33 () Int)
(declare-fun expr_pre_76_29_28 () Int)
(declare-fun expr_76_29_28 () Int)
(declare-fun loc_pre_93_18_13 () Int)
(declare-fun loc_93_18_13 () Int)
(declare-fun STRINGLIT_pre_106_44_26 () Int)
(declare-fun locDot_pre_84_23_13 () Int)
(declare-fun locDot_84_23_13 () Int)
(declare-fun body_pre_31_34_19 () Int)
(declare-fun body_31_34_19 () Int)
(declare-fun STMTPRAGMA_pre_105_26_26 () Int)
(declare-fun tmodifiers_pre_17_37_31 () Int)
(declare-fun tmodifiers_17_37_31 () Int)
(declare-fun locOpenBracket_pre_69_20_13 () Int)
(declare-fun locOpenBracket_69_20_13 () Int)
(declare-fun loc_pre_49_20_13 () Int)
(declare-fun loc_49_20_13 () Int)
(declare-fun args_pre_82_32_31 () Int)
(declare-fun args_82_32_31 () Int)
(declare-fun anonDecl_pre_70_45_19 () Int)
(declare-fun anonDecl_70_45_19 () Int)
(declare-fun loc_pre_59_29_13 () Int)
(declare-fun loc_59_29_13 () Int)
(declare-fun locQuestion_pre_72_22_13 () Int)
(declare-fun locQuestion_72_22_13 () Int)
(declare-fun arg_pre_63_17_38 () Int)
(declare-fun arg_63_17_38 () Int)
(declare-fun type_pre_74_18_28 () Int)
(declare-fun type_74_18_28 () Int)
(declare-fun locCloseBrace_pre_36_25_13 () Int)
(declare-fun locCloseBrace_36_25_13 () Int)
(declare-fun raises_pre_31_32_35 () Int)
(declare-fun raises_31_32_35 () Int)
(declare-fun expr_pre_73_15_28 () Int)
(declare-fun expr_73_15_28 () Int)
(declare-fun elements_pre_16_61_37 () Int)
(declare-fun elements_16_61_37 () Int)
(declare-fun DOUBLELIT_pre_106_43_26 () Int)
(declare-fun pmodifiers_pre_34_30_27 () Int)
(declare-fun pmodifiers_34_30_27 () Int)
(declare-fun stmt_pre_50_17_28 () Int)
(declare-fun stmt_50_17_28 () Int)
(declare-fun elements_pre_151_61_38 () Int)
(declare-fun elements_151_61_38 () Int)
(declare-fun locOpenParen_pre_83_28_13 () Int)
(declare-fun locOpenParen_83_28_13 () Int)
(declare-fun locOpenBrace_pre_17_51_13 () Int)
(declare-fun locOpenBrace_17_51_13 () Int)
(declare-fun loc_pre_6_30_13 () Int)
(declare-fun loc_6_30_13 () Int)
(declare-fun locFinally_pre_60_25_13 () Int)
(declare-fun locFinally_60_25_13 () Int)
(declare-fun locOpenBrace_pre_65_21_13 () Int)
(declare-fun locOpenBrace_65_21_13 () Int)
(declare-fun od_pre_80_19_40 () Int)
(declare-fun od_80_19_40 () Int)
(declare-fun superInterfaces_pre_17_34_35 () Int)
(declare-fun superInterfaces_17_34_35 () Int)
(declare-fun MODIFIERPRAGMA_pre_105_25_26 () Int)
(declare-fun right_pre_75_40_28 () Int)
(declare-fun right_75_40_28 () Int)
(declare-fun loc_pre_45_18_13 () Int)
(declare-fun loc_45_18_13 () Int)
(declare-fun punctuationStrings_pre_105_134_22 () Int)
(declare-fun body_pre_57_30_28 () Int)
(declare-fun body_57_30_28 () Int)
(declare-fun decl_pre_47_15_33 () Int)
(declare-fun decl_47_15_33 () Int)
(declare-fun FLOATLIT_pre_106_42_26 () Int)
(declare-fun type_pre_71_24_28 () Int)
(declare-fun type_71_24_28 () Int)
(declare-fun returnType_pre_39_18_28 () Int)
(declare-fun returnType_39_18_28 () Int)
(declare-fun loc_pre_71_49_13 () Int)
(declare-fun loc_71_49_13 () Int)
(declare-fun locDot_pre_64_41_13 () Int)
(declare-fun locDot_64_41_13 () Int)
(declare-fun locId_pre_55_20_13 () Int)
(declare-fun locId_55_20_13 () Int)
(declare-fun els_pre_56_19_28 () Int)
(declare-fun els_56_19_28 () Int)
(declare-fun elements_pre_24_61_41 () Int)
(declare-fun elements_24_61_41 () Int)
(declare-fun locOpenParen_pre_51_23_13 () Int)
(declare-fun locOpenParen_51_23_13 () Int)
(declare-fun locOpenBracket_pre_89_21_13 () Int)
(declare-fun locOpenBracket_89_21_13 () Int)
(declare-fun locOpenParen_pre_82_30_13 () Int)
(declare-fun locOpenParen_82_30_13 () Int)
(declare-fun catchClauses_pre_61_20_38 () Int)
(declare-fun catchClauses_61_20_38 () Int)
(declare-fun owner_pre_5_35_28 () Int)
(declare-fun owner_5_35_28 () Int)
(declare-fun LEXICALPRAGMA_pre_105_24_26 () Int)
(declare-fun args_pre_31_30_41 () Int)
(declare-fun args_31_30_41 () Int)
(declare-fun otherStrings_pre_105_193_30 () Int)
(declare-fun CHARLIT_pre_106_41_26 () Int)
(declare-fun count_pre_16_67_33 () Int)
(declare-fun count_16_67_33 () Int)
(declare-fun args_pre_70_34_31 () Int)
(declare-fun args_70_34_31 () Int)
(declare-fun expr_pre_50_15_28 () Int)
(declare-fun expr_50_15_28 () Int)
(declare-fun noTokens_pre_105_212_27 () Int)
(declare-fun FIRST_KEYWORD_pre_105_51_26 () Int)
(declare-fun IDENT_pre_106_25_26 () Int)
(declare-fun count_pre_151_67_33 () Int)
(declare-fun count_151_67_33 () Int)
(declare-fun stmt_pre_49_17_28 () Int)
(declare-fun stmt_49_17_28 () Int)
(declare-fun left_pre_75_38_28 () Int)
(declare-fun left_75_38_28 () Int)
(declare-fun elements_pre_25_61_43 () Int)
(declare-fun elements_25_61_43 () Int)
(declare-fun expr_pre_59_26_14 () Int)
(declare-fun expr_59_26_14 () Int)
(declare-fun locOpenBrackets_pre_71_65_29 () Int)
(declare-fun locOpenBrackets_71_65_29 () Int)
(declare-fun index_pre_69_17_28 () Int)
(declare-fun index_69_17_28 () Int)
(declare-fun locOpenBrace_pre_36_22_13 () Int)
(declare-fun locOpenBrace_36_22_13 () Int)
(declare-fun forUpdate_pre_57_28_31 () Int)
(declare-fun forUpdate_57_28_31 () Int)
(declare-fun els_pre_72_19_28 () Int)
(declare-fun els_72_19_28 () Int)
(declare-fun LONGLIT_pre_106_40_26 () Int)
(declare-fun init_pre_43_20_17 () Int)
(declare-fun init_43_20_17 () Int)
(declare-fun locId_pre_31_43_13 () Int)
(declare-fun locId_31_43_13 () Int)
(declare-fun thn_pre_56_17_28 () Int)
(declare-fun thn_56_17_28 () Int)
(declare-fun locId_pre_83_25_13 () Int)
(declare-fun locId_83_25_13 () Int)
(declare-fun elems_pre_65_18_34 () Int)
(declare-fun elems_65_18_34 () Int)
(declare-fun elements_pre_32_61_43 () Int)
(declare-fun elements_32_61_43 () Int)
(declare-fun NULL_pre_103_60_26 () Int)
(declare-fun count_pre_24_67_33 () Int)
(declare-fun count_24_67_33 () Int)
(declare-fun block_pre_40_28_33 () Int)
(declare-fun block_40_28_33 () Int)
(declare-fun locId_pre_17_48_13 () Int)
(declare-fun locId_17_48_13 () Int)
(declare-fun loc_pre_60_22_13 () Int)
(declare-fun loc_60_22_13 () Int)
(declare-fun type_pre_84_20_28 () Int)
(declare-fun type_84_20_28 () Int)
(declare-fun expr_pre_74_15_28 () Int)
(declare-fun expr_74_15_28 () Int)
(declare-fun elements_pre_152_61_39 () Int)
(declare-fun elements_152_61_39 () Int)
(declare-fun elems_pre_6_27_35 () Int)
(declare-fun elems_6_27_35 () Int)
(declare-fun tryClause_pre_61_18_28 () Int)
(declare-fun tryClause_61_18_28 () Int)
(declare-fun expr_pre_45_15_28 () Int)
(declare-fun expr_45_15_28 () Int)
(declare-fun INTLIT_pre_106_39_26 () Int)
(declare-fun tmodifiers_pre_31_28_31 () Int)
(declare-fun tmodifiers_31_28_31 () Int)
(declare-fun loc_pre_53_18_13 () Int)
(declare-fun loc_53_18_13 () Int)
(declare-fun type_pre_70_32_32 () Int)
(declare-fun type_70_32_32 () Int)
(declare-fun stmt_pre_55_17_28 () Int)
(declare-fun stmt_55_17_28 () Int)
(declare-fun dims_pre_71_45_31 () Int)
(declare-fun dims_71_45_31 () Int)
(declare-fun expr_pre_49_15_28 () Int)
(declare-fun expr_49_15_28 () Int)
(declare-fun loc_pre_67_29_13 () Int)
(declare-fun loc_67_29_13 () Int)
(declare-fun locCloseParen_pre_77_21_13 () Int)
(declare-fun locCloseParen_77_21_13 () Int)
(declare-fun elements_pre_58_61_33 () Int)
(declare-fun elements_58_61_33 () Int)
(declare-fun pmodifiers_pre_31_26_27 () Int)
(declare-fun pmodifiers_31_26_27 () Int)
(declare-fun array_pre_69_15_28 () Int)
(declare-fun array_69_15_28 () Int)
(declare-fun count_pre_25_67_33 () Int)
(declare-fun count_25_67_33 () Int)
(declare-fun LAST_KEYWORD_pre_105_103_26 () Int)
(declare-fun locId_pre_34_38_13 () Int)
(declare-fun locId_34_38_13 () Int)
(declare-fun thn_pre_72_17_28 () Int)
(declare-fun thn_72_17_28 () Int)
(declare-fun test_pre_57_26_28 () Int)
(declare-fun test_57_26_28 () Int)
(declare-fun BOOLEANLIT_pre_106_38_26 () Int)
(declare-fun NULL_pre_105_82_26 () Int)
(declare-fun pmodifiers_pre_17_30_27 () Int)
(declare-fun pmodifiers_17_30_27 () Int)
(declare-fun expr_pre_56_15_28 () Int)
(declare-fun expr_56_15_28 () Int)
(declare-fun enclosingInstance_pre_64_37_14 () Int)
(declare-fun enclosingInstance_64_37_14 () Int)
(declare-fun count_pre_32_67_33 () Int)
(declare-fun count_32_67_33 () Int)
(declare-fun pmodifiers_pre_40_26_27 () Int)
(declare-fun pmodifiers_40_26_27 () Int)
(declare-fun tokenType_pre_141_90_8 () Int)
(declare-fun tokenType_141_90_8 () Int)
(declare-fun stmts_pre_36_19_31 () Int)
(declare-fun stmts_36_19_31 () Int)
(declare-fun count_pre_152_67_33 () Int)
(declare-fun count_152_67_33 () Int)
(declare-fun expr_pre_85_22_28 () Int)
(declare-fun expr_85_22_28 () Int)
(declare-fun loc_pre_54_18_13 () Int)
(declare-fun loc_54_18_13 () Int)
(declare-fun elemType_pre_89_18_28 () Int)
(declare-fun elemType_89_18_28 () Int)
(declare-fun imports_pre_6_25_37 () Int)
(declare-fun imports_6_25_37 () Int)
(declare-fun loc_pre_51_20_13 () Int)
(declare-fun loc_51_20_13 () Int)
(declare-fun locDot_pre_70_29_13 () Int)
(declare-fun locDot_70_29_13 () Int)
(declare-fun loc_pre_31_40_13 () Int)
(declare-fun loc_31_40_13 () Int)
(declare-fun superClass_pre_29_15_18 () Int)
(declare-fun superClass_29_15_18 () Int)
(declare-fun elements_pre_66_61_36 () Int)
(declare-fun elements_66_61_36 () Int)
(declare-fun args_pre_64_51_31 () Int)
(declare-fun args_64_51_31 () Int)
(declare-fun loc_pre_73_21_13 () Int)
(declare-fun loc_73_21_13 () Int)
(declare-fun finallyClause_pre_60_19_28 () Int)
(declare-fun finallyClause_60_19_28 () Int)
(declare-fun init_pre_41_19_17 () Int)
(declare-fun init_41_19_17 () Int)
(declare-fun count_pre_58_67_33 () Int)
(declare-fun count_58_67_33 () Int)
(declare-fun decl_pre_48_15_36 () Int)
(declare-fun decl_48_15_36 () Int)
(declare-fun locCloseParen_pre_74_24_13 () Int)
(declare-fun locCloseParen_74_24_13 () Int)
(declare-fun test_pre_72_15_28 () Int)
(declare-fun test_72_15_28 () Int)
(declare-fun forInit_pre_57_24_31 () Int)
(declare-fun forInit_57_24_31 () Int)
(declare-fun loc_pre_17_45_13 () Int)
(declare-fun loc_17_45_13 () Int)
(declare-fun locSuper_pre_87_20_13 () Int)
(declare-fun locSuper_87_20_13 () Int)
(declare-fun locOpenParen_pre_70_52_13 () Int)
(declare-fun locOpenParen_70_52_13 () Int)
(declare-fun expr_pre_53_15_14 () Int)
(declare-fun expr_53_15_14 () Int)
(declare-fun elements_pre_19_61_42 () Int)
(declare-fun elements_19_61_42 () Int)
(declare-fun classPrefix_pre_67_25_14 () Int)
(declare-fun classPrefix_67_25_14 () Int)
(declare-fun loc_pre_68_50_13 () Int)
(declare-fun loc_68_50_13 () Int)
(declare-fun loc_pre_88_35_13 () Int)
(declare-fun loc_88_35_13 () Int)
(declare-fun loc_pre_96_16_13 () Int)
(declare-fun loc_96_16_13 () Int)
(declare-fun type_pre_34_35_28 () Int)
(declare-fun type_34_35_28 () Int)
(declare-fun elements_pre_44_61_33 () Int)
(declare-fun elements_44_61_33 () Int)
(declare-fun tag_pre_68_32_13 () Int)
(declare-fun tag_68_32_13 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun x_41_37 () Int)
(declare-fun EC () Int)
(declare-fun EC_loopold () Int)
(declare-fun i_loopold_42_12 () Int)
(declare-fun this_42_37_42_4_0_42_37 () Int)
(declare-fun RES_42_4_0_42_37_42_37 () Int)
(declare-fun EC_42_4_0_42_37_42_37 () Int)
(declare-fun tmp1_superInterfaces_42_4_0_43_6 () Int)
(declare-fun RES_42_4_0_43_24_43_24 () Int)
(declare-fun EC_42_4_0_43_24_43_24 () Int)
(declare-fun EC_42_4_0_43_37_43_37 () Int)
(declare-fun i_42_4_0_42_45 () Int)
(declare-fun RES () Int)
(declare-fun this_42_37_42_4_1_42_37 () Int)
(declare-fun RES_42_4_1_42_37_42_37 () Int)
(declare-fun EC_42_4_1_42_37_42_37 () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun i_loopold_44_12 () Int)
(declare-fun EC_loopold_1_ () Int)
(declare-fun this_44_27_44_4_0_44_27 () Int)
(declare-fun RES_44_4_0_44_27_44_27 () Int)
(declare-fun EC_44_4_0_44_27_44_27 () Int)
(declare-fun tmp5_elems_44_4_0_45_6 () Int)
(declare-fun RES_44_4_0_45_14_45_14 () Int)
(declare-fun EC_44_4_0_45_14_45_14 () Int)
(declare-fun EC_44_4_0_45_27_45_27 () Int)
(declare-fun i_44_4_0_44_35 () Int)
(declare-fun RES_2_ () Int)
(declare-fun this_44_27_44_4_1_44_27 () Int)
(declare-fun RES_44_4_1_44_27_44_27 () Int)
(declare-fun EC_44_4_1_44_27_44_27 () Int)
(declare-fun RES_3_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun EC_loopold_2_ () Int)
(declare-fun i_loopold_47_9 () Int)
(declare-fun this_47_29_47_1_0_47_29 () Int)
(declare-fun RES_47_1_0_47_29_47_29 () Int)
(declare-fun EC_47_1_0_47_29_47_29 () Int)
(declare-fun tmp9_pmodifiers_47_1_0_48_5 () Int)
(declare-fun RES_47_1_0_48_18_48_18 () Int)
(declare-fun EC_47_1_0_48_18_48_18 () Int)
(declare-fun EC_47_1_0_48_31_48_31 () Int)
(declare-fun i_47_1_0_47_37 () Int)
(declare-fun RES_4_ () Int)
(declare-fun this_47_29_47_1_1_47_29 () Int)
(declare-fun RES_47_1_1_47_29_47_29 () Int)
(declare-fun EC_47_1_1_47_29_47_29 () Int)
(declare-fun RES_5_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun RES_6_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun i_loopold_50_9 () Int)
(declare-fun EC_loopold_3_ () Int)
(declare-fun this_50_29_50_1_0_50_29 () Int)
(declare-fun RES_50_1_0_50_29_50_29 () Int)
(declare-fun EC_50_1_0_50_29_50_29 () Int)
(declare-fun tmp13_tmodifiers_50_1_0_51_5 () Int)
(declare-fun RES_50_1_0_51_18_51_18 () Int)
(declare-fun EC_50_1_0_51_18_51_18 () Int)
(declare-fun EC_50_1_0_51_31_51_31 () Int)
(declare-fun i_50_1_0_50_37 () Int)
(declare-fun this_50_29_50_1_1_50_29 () Int)
(declare-fun RES_50_1_1_50_29_50_29 () Int)
(declare-fun EC_50_1_1_50_29_50_29 () Int)
(declare-fun EC_5_ () Int)
(declare-fun EC_6_ () Int)
(declare-fun EC_42_8 () Int)
(declare-fun EC_42_8_1_ () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String)) (?v_8 (not (= this null))) (?v_2 (not (= x_41_37 null))) (?v_18 (= EC EC_loopold)) (?v_19 (= 0 i_loopold_42_12)) (?v_9 (= true_term true_term))) (let ((?v_4 (not ?v_2)) (?v_5 (S_select superInterfaces_17_34_35 x_41_37))) (let ((?v_10 (= this_42_37_42_4_0_42_37 ?v_5)) (?v_11 (= true_term (is RES_42_4_0_42_37_42_37 T_int))) (?v_3 (= EC_42_4_0_42_37_42_37 ecReturn))) (let ((?v_12 (=> ?v_3 (= RES_42_4_0_42_37_42_37 (S_select count_21_67_33 this_42_37_42_4_0_42_37)))) (?v_13 (< 0 RES_42_4_0_42_37_42_37)) (?v_14 (= tmp1_superInterfaces_42_4_0_43_6 ?v_5)) (?v_25 (<= 0 0)) (?v_15 (= true_term (is RES_42_4_0_43_24_43_24 T_javafe_ast_TypeName))) (?v_16 (= true_term (isAllocated RES_42_4_0_43_24_43_24 alloc))) (?v_6 (= EC_42_4_0_43_24_43_24 ecReturn)) (?v_7 (not (= RES_42_4_0_43_24_43_24 null)))) (let ((?v_17 (=> ?v_6 ?v_7)) (?v_48 (not ?v_8)) (?v_20 (= EC_42_4_0_43_37_43_37 ecReturn)) (?v_36 (+ 0 1))) (let ((?v_21 (= i_42_4_0_42_45 ?v_36)) (?v_22 (= EC_42_4_1_42_37_42_37 ecReturn))) (let ((?v_79 (or (and ?v_9 ?v_2 ?v_10 ?v_11 ?v_3 ?v_12 (not ?v_13) (= RES RES_42_4_0_42_37_42_37)) (and ?v_9 ?v_2 ?v_10 ?v_11 ?v_3 ?v_12 ?v_13 ?v_2 ?v_14 ?v_15 ?v_16 ?v_6 ?v_17 ?v_7 ?v_8 ?v_20 ?v_21 ?v_9 ?v_2 (= this_42_37_42_4_1_42_37 ?v_5) (= true_term (is RES_42_4_1_42_37_42_37 T_int)) ?v_22 (=> ?v_22 (= RES_42_4_1_42_37_42_37 (S_select count_21_67_33 this_42_37_42_4_1_42_37))) (not (< i_42_4_0_42_45 RES_42_4_1_42_37_42_37)) (= RES RES_42_4_1_42_37_42_37)))) (?v_80 (= L_42_4 L_42_4)) (?v_81 (= RES_1_ RES)) (?v_82 (= EC_1_ L_42_4)) (?v_37 (= 0 i_loopold_44_12)) (?v_38 (= EC_1_ EC_loopold_1_)) (?v_24 (S_select elems_17_41_39 x_41_37))) (let ((?v_28 (= this_44_27_44_4_0_44_27 ?v_24)) (?v_29 (= true_term (is RES_44_4_0_44_27_44_27 T_int))) (?v_23 (= EC_44_4_0_44_27_44_27 ecReturn))) (let ((?v_30 (=> ?v_23 (= RES_44_4_0_44_27_44_27 (S_select count_24_67_33 this_44_27_44_4_0_44_27)))) (?v_31 (< 0 RES_44_4_0_44_27_44_27)) (?v_32 (= tmp5_elems_44_4_0_45_6 ?v_24)) (?v_33 (= true_term (is RES_44_4_0_45_14_45_14 T_javafe_ast_TypeDeclElem))) (?v_34 (= true_term (isAllocated RES_44_4_0_45_14_45_14 alloc))) (?v_26 (= EC_44_4_0_45_14_45_14 ecReturn)) (?v_27 (not (= RES_44_4_0_45_14_45_14 null)))) (let ((?v_35 (=> ?v_26 ?v_27)) (?v_39 (= EC_44_4_0_45_27_45_27 ecReturn)) (?v_40 (= i_44_4_0_44_35 ?v_36)) (?v_41 (= EC_44_4_1_44_27_44_27 ecReturn))) (let ((?v_83 (or (and ?v_9 ?v_2 ?v_28 ?v_29 ?v_23 ?v_30 (not ?v_31) (= RES_2_ RES_44_4_0_44_27_44_27)) (and ?v_9 ?v_2 ?v_28 ?v_29 ?v_23 ?v_30 ?v_31 ?v_2 ?v_32 ?v_33 ?v_34 ?v_26 ?v_35 ?v_27 ?v_39 ?v_40 ?v_9 ?v_2 (= this_44_27_44_4_1_44_27 ?v_24) (= true_term (is RES_44_4_1_44_27_44_27 T_int)) ?v_41 (=> ?v_41 (= RES_44_4_1_44_27_44_27 (S_select count_24_67_33 this_44_27_44_4_1_44_27))) (not (< i_44_4_0_44_35 RES_44_4_1_44_27_44_27)) (= RES_2_ RES_44_4_1_44_27_44_27)))) (?v_84 (= L_44_4 L_44_4)) (?v_85 (= RES_3_ RES_2_)) (?v_86 (= EC_2_ L_44_4)) (?v_43 (S_select pmodifiers_17_30_27 x_41_37))) (let ((?v_42 (not (= ?v_43 null))) (?v_58 (= EC_2_ EC_loopold_2_)) (?v_59 (= 0 i_loopold_47_9))) (let ((?v_63 (not ?v_42))) (let ((?v_57 (and ?v_2 ?v_63)) (?v_49 (= this_47_29_47_1_0_47_29 ?v_43)) (?v_50 (= true_term (is RES_47_1_0_47_29_47_29 T_int))) (?v_44 (= EC_47_1_0_47_29_47_29 ecReturn))) (let ((?v_51 (=> ?v_44 (= RES_47_1_0_47_29_47_29 (S_select count_25_67_33 this_47_29_47_1_0_47_29)))) (?v_52 (< 0 RES_47_1_0_47_29_47_29)) (?v_53 (= tmp9_pmodifiers_47_1_0_48_5 ?v_43)) (?v_45 (not (= tmp9_pmodifiers_47_1_0_48_5 null))) (?v_54 (= true_term (is RES_47_1_0_48_18_48_18 T_javafe_ast_ModifierPragma))) (?v_55 (= true_term (isAllocated RES_47_1_0_48_18_48_18 alloc))) (?v_46 (= EC_47_1_0_48_18_48_18 ecReturn)) (?v_47 (not (= RES_47_1_0_48_18_48_18 null)))) (let ((?v_56 (=> ?v_46 ?v_47)) (?v_60 (= EC_47_1_0_48_31_48_31 ecReturn)) (?v_61 (= i_47_1_0_47_37 ?v_36)) (?v_62 (= EC_47_1_1_47_29_47_29 ecReturn))) (let ((?v_94 (or (and ?v_9 ?v_2 ?v_42 ?v_49 ?v_50 ?v_44 ?v_51 (not ?v_52) (= RES_4_ RES_47_1_0_47_29_47_29)) (and ?v_9 ?v_2 ?v_42 ?v_49 ?v_50 ?v_44 ?v_51 ?v_52 ?v_2 ?v_53 ?v_45 ?v_54 ?v_55 ?v_46 ?v_56 ?v_47 ?v_8 ?v_60 ?v_61 ?v_9 ?v_2 ?v_42 (= this_47_29_47_1_1_47_29 ?v_43) (= true_term (is RES_47_1_1_47_29_47_29 T_int)) ?v_62 (=> ?v_62 (= RES_47_1_1_47_29_47_29 (S_select count_25_67_33 this_47_29_47_1_1_47_29))) (not (< i_47_1_0_47_37 RES_47_1_1_47_29_47_29)) (= RES_4_ RES_47_1_1_47_29_47_29)))) (?v_95 (= L_47_1 L_47_1))) (let ((?v_87 (or (and ?v_42 ?v_9 ?v_58 ?v_59 ?v_94 ?v_95 (= RES_5_ RES_4_) (= EC_3_ L_47_1) (= RES_6_ RES_5_) (= EC_4_ EC_3_)) (and ?v_63 ?v_9 (= RES_6_ RES_3_) (= EC_4_ EC_2_)))) (?v_65 (S_select tmodifiers_17_37_31 x_41_37))) (let ((?v_64 (not (= ?v_65 null))) (?v_88 (= 0 i_loopold_50_9)) (?v_89 (= EC_4_ EC_loopold_3_))) (let ((?v_93 (not ?v_64))) (let ((?v_78 (and ?v_2 ?v_93)) (?v_70 (= this_50_29_50_1_0_50_29 ?v_65)) (?v_71 (= true_term (is RES_50_1_0_50_29_50_29 T_int))) (?v_66 (= EC_50_1_0_50_29_50_29 ecReturn))) (let ((?v_72 (=> ?v_66 (= RES_50_1_0_50_29_50_29 (S_select count_27_67_33 this_50_29_50_1_0_50_29)))) (?v_73 (< 0 RES_50_1_0_50_29_50_29)) (?v_74 (= tmp13_tmodifiers_50_1_0_51_5 ?v_65)) (?v_67 (not (= tmp13_tmodifiers_50_1_0_51_5 null))) (?v_75 (= true_term (is RES_50_1_0_51_18_51_18 T_javafe_ast_TypeModifierPragma))) (?v_76 (= true_term (isAllocated RES_50_1_0_51_18_51_18 alloc))) (?v_68 (= EC_50_1_0_51_18_51_18 ecReturn)) (?v_69 (not (= RES_50_1_0_51_18_51_18 null)))) (let ((?v_77 (=> ?v_68 ?v_69)) (?v_90 (= EC_50_1_0_51_31_51_31 ecReturn)) (?v_91 (= i_50_1_0_50_37 ?v_36)) (?v_92 (= EC_50_1_1_50_29_50_29 ecReturn))) (let ((?v_96 (or (and ?v_9 ?v_2 ?v_64 ?v_70 ?v_71 ?v_66 ?v_72 (not ?v_73)) (and ?v_9 ?v_2 ?v_64 ?v_70 ?v_71 ?v_66 ?v_72 ?v_73 ?v_2 ?v_74 ?v_67 ?v_75 ?v_76 ?v_68 ?v_77 ?v_69 ?v_8 ?v_90 ?v_91 ?v_9 ?v_2 ?v_64 (= this_50_29_50_1_1_50_29 ?v_65) (= true_term (is RES_50_1_1_50_29_50_29 T_int)) ?v_92 (=> ?v_92 (= RES_50_1_1_50_29_50_29 (S_select count_27_67_33 this_50_29_50_1_1_50_29))) (not (< i_50_1_0_50_37 RES_50_1_1_50_29_50_29))))) (?v_97 (= L_50_1 L_50_1)) (?v_98 (= EC_42_8 ecReturn))) (not (=> (distinct L_47_1 ecReturn L_44_4 L_50_1 L_42_4) (=> (and (= locFirstSemi_pre_57_36_13 locFirstSemi_57_36_13) (= locFirstSemi_57_36_13 (asField locFirstSemi_57_36_13 T_int)) (= locGuardOpenParen_pre_49_23_13 locGuardOpenParen_49_23_13) (= locGuardOpenParen_49_23_13 (asField locGuardOpenParen_49_23_13 T_int)) (= loc_pre_63_22_13 loc_63_22_13) (= loc_63_22_13 (asField loc_63_22_13 T_int)) (= elements_pre_27_61_47 elements_27_61_47) (= elements_27_61_47 (asField elements_27_61_47 (array T_javafe_ast_TypeModifierPragma))) (< (fClosedTime elements_27_61_47) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elements_27_61_47 ?s) null)))) (= lexicalPragmas_pre_6_23_26 lexicalPragmas_6_23_26) (= lexicalPragmas_6_23_26 (asField lexicalPragmas_6_23_26 T_javafe_ast_LexicalPragmaVec)) (< (fClosedTime lexicalPragmas_6_23_26) alloc) (= loc_pre_15_18_13 loc_15_18_13) (= loc_15_18_13 (asField loc_15_18_13 T_int)) (= locOpenParen_pre_64_48_13 locOpenParen_64_48_13) (= locOpenParen_64_48_13 (asField locOpenParen_64_48_13 T_int)) (= tryClause_pre_60_17_28 tryClause_60_17_28) (= tryClause_60_17_28 (asField tryClause_60_17_28 T_javafe_ast_Stmt)) (< (fClosedTime tryClause_60_17_28) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select tryClause_60_17_28 ?s_1_) null)))) (= count_pre_66_67_33 count_66_67_33) (= count_66_67_33 (asField count_66_67_33 T_int)) (= otherCodes_pre_105_202_27 otherCodes_105_202_27) (= true_term (is otherCodes_105_202_27 ?v_0)) (= true_term (isAllocated otherCodes_105_202_27 alloc)) (= od_pre_83_18_40 od_83_18_40) (= od_83_18_40 (asField od_83_18_40 T_javafe_ast_ObjectDesignator)) (< (fClosedTime od_83_18_40) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select od_83_18_40 ?s_2_) null)))) (= expr_pre_54_15_28 expr_54_15_28) (= expr_54_15_28 (asField expr_54_15_28 T_javafe_ast_Expr)) (< (fClosedTime expr_54_15_28) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select expr_54_15_28 ?s_3_) null)))) (= locOpenParen_pre_77_18_13 locOpenParen_77_18_13) (= locOpenParen_77_18_13 (asField locOpenParen_77_18_13 T_int)) (= locId_pre_80_24_13 locId_80_24_13) (= locId_80_24_13 (asField locId_80_24_13 T_int)) (= stmt_pre_51_17_33 stmt_51_17_33) (= stmt_51_17_33 (asField stmt_51_17_33 T_javafe_ast_BlockStmt)) (< (fClosedTime stmt_51_17_33) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select stmt_51_17_33 ?s_4_) null)))) (= punctuationCodes_pre_105_164_19 punctuationCodes_105_164_19) (= true_term (is punctuationCodes_105_164_19 ?v_0)) (= true_term (isAllocated punctuationCodes_105_164_19 alloc)) (= locCloseBracket_pre_69_23_13 locCloseBracket_69_23_13) (= locCloseBracket_69_23_13 (asField locCloseBracket_69_23_13 T_int)) (= superCall_pre_64_24_17 superCall_64_24_17) (= superCall_64_24_17 (asField superCall_64_24_17 T_boolean)) (= count_pre_19_67_33 count_19_67_33) (= count_19_67_33 (asField count_19_67_33 T_int)) (= elements_pre_21_61_37 elements_21_61_37) (= elements_21_61_37 (asField elements_21_61_37 (array T_javafe_ast_TypeName))) (< (fClosedTime elements_21_61_37) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select elements_21_61_37 ?s_5_) null)))) (= locOp_pre_76_32_13 locOp_76_32_13) (= locOp_76_32_13 (asField locOp_76_32_13 T_int)) (= type_pre_73_18_28 type_73_18_28) (= type_73_18_28 (asField type_73_18_28 T_javafe_ast_Type)) (< (fClosedTime type_73_18_28) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select type_73_18_28 ?s_6_) null)))) (= init_pre_71_35_19 init_71_35_19) (= init_71_35_19 (asField init_71_35_19 T_javafe_ast_ArrayInit)) (< (fClosedTime init_71_35_19) alloc) (= locType_pre_39_21_13 locType_39_21_13) (= locType_39_21_13 (asField locType_39_21_13 T_int)) (= locColon_pre_72_25_13 locColon_72_25_13) (= locColon_72_25_13 (asField locColon_72_25_13 T_int)) (= enclosingInstance_pre_70_25_14 enclosingInstance_70_25_14) (= enclosingInstance_70_25_14 (asField enclosingInstance_70_25_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_70_25_14) alloc) (= count_pre_44_67_33 count_44_67_33) (= count_44_67_33 (asField count_44_67_33 T_int)) (= elems_pre_17_41_39 elems_17_41_39) (= elems_17_41_39 (asField elems_17_41_39 T_javafe_ast_TypeDeclElemVec)) (< (fClosedTime elems_17_41_39) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select elems_17_41_39 ?s_7_) null)))) (= TYPEMODIFIERPRAGMA_pre_105_28_26 TYPEMODIFIERPRAGMA_105_28_26) (= true_term (is TYPEMODIFIERPRAGMA_105_28_26 T_int)) (= loc_pre_70_49_13 loc_70_49_13) (= loc_70_49_13 (asField loc_70_49_13 T_int)) (= locOpenParen_pre_74_21_13 locOpenParen_74_21_13) (= locOpenParen_74_21_13 (asField locOpenParen_74_21_13 T_int)) (= elements_pre_62_61_40 elements_62_61_40) (= elements_62_61_40 (asField elements_62_61_40 (array T_javafe_ast_CatchClause))) (< (fClosedTime elements_62_61_40) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select elements_62_61_40 ?s_8_) null)))) (= elements_pre_14_61_39 elements_14_61_39) (= elements_14_61_39 (asField elements_14_61_39 (array T_javafe_ast_ImportDecl))) (< (fClosedTime elements_14_61_39) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select elements_14_61_39 ?s_9_) null)))) (= count_pre_27_67_33 count_27_67_33) (= count_27_67_33 (asField count_27_67_33 T_int)) (= value_pre_68_45_16 value_68_45_16) (= value_68_45_16 (asField value_68_45_16 T_java_lang_Object)) (< (fClosedTime value_68_45_16) alloc) (= locCloseBrace_pre_17_54_13 locCloseBrace_17_54_13) (= locCloseBrace_17_54_13 (asField locCloseBrace_17_54_13 T_int)) (= expr_pre_52_15_28 expr_52_15_28) (= expr_52_15_28 (asField expr_52_15_28 T_javafe_ast_Expr)) (< (fClosedTime expr_52_15_28) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select expr_52_15_28 ?s_10_) null)))) (= loc_pre_79_22_13 loc_79_22_13) (= loc_79_22_13 (asField loc_79_22_13 T_int)) (= locOp_pre_75_43_13 locOp_75_43_13) (= locOp_75_43_13 (asField locOp_75_43_13 T_int)) (= loc_pre_50_20_13 loc_50_20_13) (= loc_50_20_13 (asField loc_50_20_13 T_int)) (= locCloseBrace_pre_65_24_13 locCloseBrace_65_24_13) (= locCloseBrace_65_24_13 (asField locCloseBrace_65_24_13 T_int)) (= loc_pre_61_23_13 loc_61_23_13) (= loc_61_23_13 (asField loc_61_23_13 T_int)) (= type_pre_86_27_28 type_86_27_28) (= type_86_27_28 (asField type_86_27_28 T_javafe_ast_Type)) (< (fClosedTime type_86_27_28) alloc) (forall ((?s_11_ Int)) (=> (not (= ?s_11_ null)) (not (= (S_select type_86_27_28 ?s_11_) null)))) (= expr_pre_51_15_28 expr_51_15_28) (= expr_51_15_28 (asField expr_51_15_28 T_javafe_ast_Expr)) (< (fClosedTime expr_51_15_28) alloc) (forall ((?s_12_ Int)) (=> (not (= ?s_12_ null)) (not (= (S_select expr_51_15_28 ?s_12_) null)))) (= keywordStrings_pre_105_181_30 keywordStrings_105_181_30) (= true_term (is keywordStrings_105_181_30 ?v_1)) (= true_term (isAllocated keywordStrings_105_181_30 alloc)) (= body_pre_63_19_33 body_63_19_33) (= body_63_19_33 (asField body_63_19_33 T_javafe_ast_BlockStmt)) (< (fClosedTime body_63_19_33) alloc) (forall ((?s_13_ Int)) (=> (not (= ?s_13_ null)) (not (= (S_select body_63_19_33 ?s_13_) null)))) (= loc_pre_57_33_13 loc_57_33_13) (= loc_57_33_13 (asField loc_57_33_13 T_int)) (= syntax_pre_23_28_29 syntax_23_28_29) (= syntax_23_28_29 (asField syntax_23_28_29 T_boolean)) (= locKeyword_pre_64_45_13 locKeyword_64_45_13) (= locKeyword_64_45_13 (asField locKeyword_64_45_13 T_int)) (= TYPEDECLELEMPRAGMA_pre_105_27_26 TYPEDECLELEMPRAGMA_105_27_26) (= true_term (is TYPEDECLELEMPRAGMA_105_27_26 T_int)) (= count_pre_21_67_33 count_21_67_33) (= count_21_67_33 (asField count_21_67_33 T_int)) (= NULLLIT_pre_106_45_26 NULLLIT_106_45_26) (= true_term (is NULLLIT_106_45_26 T_int)) (= loc_pre_56_22_13 loc_56_22_13) (= loc_56_22_13 (asField loc_56_22_13 T_int)) (= args_pre_83_30_31 args_83_30_31) (= args_83_30_31 (asField args_83_30_31 T_javafe_ast_ExprVec)) (< (fClosedTime args_83_30_31) alloc) (forall ((?s_14_ Int)) (=> (not (= ?s_14_ null)) (not (= (S_select args_83_30_31 ?s_14_) null)))) (= expr_pre_77_15_28 expr_77_15_28) (= expr_77_15_28 (asField expr_77_15_28 T_javafe_ast_Expr)) (< (fClosedTime expr_77_15_28) alloc) (forall ((?s_15_ Int)) (=> (not (= ?s_15_ null)) (not (= (S_select expr_77_15_28 ?s_15_) null)))) (= locDot_pre_81_21_13 locDot_81_21_13) (= locDot_81_21_13 (asField locDot_81_21_13 T_int)) (= count_pre_14_67_33 count_14_67_33) (= count_14_67_33 (asField count_14_67_33 T_int)) (= locOpenBrace_pre_31_36_13 locOpenBrace_31_36_13) (= locOpenBrace_31_36_13 (asField locOpenBrace_31_36_13 T_int)) (= count_pre_62_67_33 count_62_67_33) (= count_62_67_33 (asField count_62_67_33 T_int)) (= expr_pre_76_29_28 expr_76_29_28) (= expr_76_29_28 (asField expr_76_29_28 T_javafe_ast_Expr)) (< (fClosedTime expr_76_29_28) alloc) (forall ((?s_16_ Int)) (=> (not (= ?s_16_ null)) (not (= (S_select expr_76_29_28 ?s_16_) null)))) (= loc_pre_93_18_13 loc_93_18_13) (= loc_93_18_13 (asField loc_93_18_13 T_int)) (= STRINGLIT_pre_106_44_26 STRINGLIT_106_44_26) (= true_term (is STRINGLIT_106_44_26 T_int)) (= locDot_pre_84_23_13 locDot_84_23_13) (= locDot_84_23_13 (asField locDot_84_23_13 T_int)) (= body_pre_31_34_19 body_31_34_19) (= body_31_34_19 (asField body_31_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_31_34_19) alloc) (= STMTPRAGMA_pre_105_26_26 STMTPRAGMA_105_26_26) (= true_term (is STMTPRAGMA_105_26_26 T_int)) (= tmodifiers_pre_17_37_31 tmodifiers_17_37_31) (= tmodifiers_17_37_31 (asField tmodifiers_17_37_31 T_javafe_ast_TypeModifierPragmaVec)) (< (fClosedTime tmodifiers_17_37_31) alloc) (= locOpenBracket_pre_69_20_13 locOpenBracket_69_20_13) (= locOpenBracket_69_20_13 (asField locOpenBracket_69_20_13 T_int)) (= loc_pre_49_20_13 loc_49_20_13) (= loc_49_20_13 (asField loc_49_20_13 T_int)) (= args_pre_82_32_31 args_82_32_31) (= args_82_32_31 (asField args_82_32_31 T_javafe_ast_ExprVec)) (< (fClosedTime args_82_32_31) alloc) (forall ((?s_17_ Int)) (=> (not (= ?s_17_ null)) (not (= (S_select args_82_32_31 ?s_17_) null)))) (= anonDecl_pre_70_45_19 anonDecl_70_45_19) (= anonDecl_70_45_19 (asField anonDecl_70_45_19 T_javafe_ast_ClassDecl)) (< (fClosedTime anonDecl_70_45_19) alloc) (= loc_pre_59_29_13 loc_59_29_13) (= loc_59_29_13 (asField loc_59_29_13 T_int)) (= locQuestion_pre_72_22_13 locQuestion_72_22_13) (= locQuestion_72_22_13 (asField locQuestion_72_22_13 T_int)) (= arg_pre_63_17_38 arg_63_17_38) (= arg_63_17_38 (asField arg_63_17_38 T_javafe_ast_FormalParaDecl)) (< (fClosedTime arg_63_17_38) alloc) (forall ((?s_18_ Int)) (=> (not (= ?s_18_ null)) (not (= (S_select arg_63_17_38 ?s_18_) null)))) (= type_pre_74_18_28 type_74_18_28) (= type_74_18_28 (asField type_74_18_28 T_javafe_ast_Type)) (< (fClosedTime type_74_18_28) alloc) (forall ((?s_19_ Int)) (=> (not (= ?s_19_ null)) (not (= (S_select type_74_18_28 ?s_19_) null)))) (= locCloseBrace_pre_36_25_13 locCloseBrace_36_25_13) (= locCloseBrace_36_25_13 (asField locCloseBrace_36_25_13 T_int)) (= raises_pre_31_32_35 raises_31_32_35) (= raises_31_32_35 (asField raises_31_32_35 T_javafe_ast_TypeNameVec)) (< (fClosedTime raises_31_32_35) alloc) (forall ((?s_20_ Int)) (=> (not (= ?s_20_ null)) (not (= (S_select raises_31_32_35 ?s_20_) null)))) (= expr_pre_73_15_28 expr_73_15_28) (= expr_73_15_28 (asField expr_73_15_28 T_javafe_ast_Expr)) (< (fClosedTime expr_73_15_28) alloc) (forall ((?s_21_ Int)) (=> (not (= ?s_21_ null)) (not (= (S_select expr_73_15_28 ?s_21_) null)))) (= elements_pre_16_61_37 elements_16_61_37) (= elements_16_61_37 (asField elements_16_61_37 (array T_javafe_ast_TypeDecl))) (< (fClosedTime elements_16_61_37) alloc) (forall ((?s_22_ Int)) (=> (not (= ?s_22_ null)) (not (= (S_select elements_16_61_37 ?s_22_) null)))) (= DOUBLELIT_pre_106_43_26 DOUBLELIT_106_43_26) (= true_term (is DOUBLELIT_106_43_26 T_int)) (= pmodifiers_pre_34_30_27 pmodifiers_34_30_27) (= pmodifiers_34_30_27 (asField pmodifiers_34_30_27 T_javafe_ast_ModifierPragmaVec)) (< (fClosedTime pmodifiers_34_30_27) alloc) (= stmt_pre_50_17_28 stmt_50_17_28) (= stmt_50_17_28 (asField stmt_50_17_28 T_javafe_ast_Stmt)) (< (fClosedTime stmt_50_17_28) alloc) (forall ((?s_23_ Int)) (=> (not (= ?s_23_ null)) (not (= (S_select stmt_50_17_28 ?s_23_) null)))) (= elements_pre_151_61_38 elements_151_61_38) (= elements_151_61_38 (asField elements_151_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_151_61_38) alloc) (forall ((?s_24_ Int)) (=> (not (= ?s_24_ null)) (not (= (S_select elements_151_61_38 ?s_24_) null)))) (= locOpenParen_pre_83_28_13 locOpenParen_83_28_13) (= locOpenParen_83_28_13 (asField locOpenParen_83_28_13 T_int)) (= locOpenBrace_pre_17_51_13 locOpenBrace_17_51_13) (= locOpenBrace_17_51_13 (asField locOpenBrace_17_51_13 T_int)) (= loc_pre_6_30_13 loc_6_30_13) (= loc_6_30_13 (asField loc_6_30_13 T_int)) (= locFinally_pre_60_25_13 locFinally_60_25_13) (= locFinally_60_25_13 (asField locFinally_60_25_13 T_int)) (= locOpenBrace_pre_65_21_13 locOpenBrace_65_21_13) (= locOpenBrace_65_21_13 (asField locOpenBrace_65_21_13 T_int)) (= od_pre_80_19_40 od_80_19_40) (= od_80_19_40 (asField od_80_19_40 T_javafe_ast_ObjectDesignator)) (< (fClosedTime od_80_19_40) alloc) (forall ((?s_25_ Int)) (=> (not (= ?s_25_ null)) (not (= (S_select od_80_19_40 ?s_25_) null)))) (= superInterfaces_pre_17_34_35 superInterfaces_17_34_35) (= superInterfaces_17_34_35 (asField superInterfaces_17_34_35 T_javafe_ast_TypeNameVec)) (< (fClosedTime superInterfaces_17_34_35) alloc) (forall ((?s_26_ Int)) (=> (not (= ?s_26_ null)) (not (= (S_select superInterfaces_17_34_35 ?s_26_) null)))) (= MODIFIERPRAGMA_pre_105_25_26 MODIFIERPRAGMA_105_25_26) (= true_term (is MODIFIERPRAGMA_105_25_26 T_int)) (= right_pre_75_40_28 right_75_40_28) (= right_75_40_28 (asField right_75_40_28 T_javafe_ast_Expr)) (< (fClosedTime right_75_40_28) alloc) (forall ((?s_27_ Int)) (=> (not (= ?s_27_ null)) (not (= (S_select right_75_40_28 ?s_27_) null)))) (= loc_pre_45_18_13 loc_45_18_13) (= loc_45_18_13 (asField loc_45_18_13 T_int)) (= punctuationStrings_pre_105_134_22 punctuationStrings_105_134_22) (= true_term (is punctuationStrings_105_134_22 ?v_1)) (= true_term (isAllocated punctuationStrings_105_134_22 alloc)) (= body_pre_57_30_28 body_57_30_28) (= body_57_30_28 (asField body_57_30_28 T_javafe_ast_Stmt)) (< (fClosedTime body_57_30_28) alloc) (forall ((?s_28_ Int)) (=> (not (= ?s_28_ null)) (not (= (S_select body_57_30_28 ?s_28_) null)))) (= decl_pre_47_15_33 decl_47_15_33) (= decl_47_15_33 (asField decl_47_15_33 T_javafe_ast_ClassDecl)) (< (fClosedTime decl_47_15_33) alloc) (forall ((?s_29_ Int)) (=> (not (= ?s_29_ null)) (not (= (S_select decl_47_15_33 ?s_29_) null)))) (= FLOATLIT_pre_106_42_26 FLOATLIT_106_42_26) (= true_term (is FLOATLIT_106_42_26 T_int)) (= type_pre_71_24_28 type_71_24_28) (= type_71_24_28 (asField type_71_24_28 T_javafe_ast_Type)) (< (fClosedTime type_71_24_28) alloc) (forall ((?s_30_ Int)) (=> (not (= ?s_30_ null)) (not (= (S_select type_71_24_28 ?s_30_) null)))) (= returnType_pre_39_18_28 returnType_39_18_28) (= returnType_39_18_28 (asField returnType_39_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_39_18_28) alloc) (forall ((?s_31_ Int)) (=> (not (= ?s_31_ null)) (not (= (S_select returnType_39_18_28 ?s_31_) null)))) (= loc_pre_71_49_13 loc_71_49_13) (= loc_71_49_13 (asField loc_71_49_13 T_int)) (= locDot_pre_64_41_13 locDot_64_41_13) (= locDot_64_41_13 (asField locDot_64_41_13 T_int)) (= locId_pre_55_20_13 locId_55_20_13) (= locId_55_20_13 (asField locId_55_20_13 T_int)) (= els_pre_56_19_28 els_56_19_28) (= els_56_19_28 (asField els_56_19_28 T_javafe_ast_Stmt)) (< (fClosedTime els_56_19_28) alloc) (forall ((?s_32_ Int)) (=> (not (= ?s_32_ null)) (not (= (S_select els_56_19_28 ?s_32_) null)))) (= elements_pre_24_61_41 elements_24_61_41) (= elements_24_61_41 (asField elements_24_61_41 (array T_javafe_ast_TypeDeclElem))) (< (fClosedTime elements_24_61_41) alloc) (forall ((?s_33_ Int)) (=> (not (= ?s_33_ null)) (not (= (S_select elements_24_61_41 ?s_33_) null)))) (= locOpenParen_pre_51_23_13 locOpenParen_51_23_13) (= locOpenParen_51_23_13 (asField locOpenParen_51_23_13 T_int)) (= locOpenBracket_pre_89_21_13 locOpenBracket_89_21_13) (= locOpenBracket_89_21_13 (asField locOpenBracket_89_21_13 T_int)) (= locOpenParen_pre_82_30_13 locOpenParen_82_30_13) (= locOpenParen_82_30_13 (asField locOpenParen_82_30_13 T_int)) (= catchClauses_pre_61_20_38 catchClauses_61_20_38) (= catchClauses_61_20_38 (asField catchClauses_61_20_38 T_javafe_ast_CatchClauseVec)) (< (fClosedTime catchClauses_61_20_38) alloc) (forall ((?s_34_ Int)) (=> (not (= ?s_34_ null)) (not (= (S_select catchClauses_61_20_38 ?s_34_) null)))) (= owner_pre_5_35_28 owner_5_35_28) (= owner_5_35_28 (asField owner_5_35_28 T_java_lang_Object)) (< (fClosedTime owner_5_35_28) alloc) (= LEXICALPRAGMA_pre_105_24_26 LEXICALPRAGMA_105_24_26) (= true_term (is LEXICALPRAGMA_105_24_26 T_int)) (= args_pre_31_30_41 args_31_30_41) (= args_31_30_41 (asField args_31_30_41 T_javafe_ast_FormalParaDeclVec)) (< (fClosedTime args_31_30_41) alloc) (forall ((?s_35_ Int)) (=> (not (= ?s_35_ null)) (not (= (S_select args_31_30_41 ?s_35_) null)))) (= otherStrings_pre_105_193_30 otherStrings_105_193_30) (= true_term (is otherStrings_105_193_30 ?v_1)) (= true_term (isAllocated otherStrings_105_193_30 alloc)) (= CHARLIT_pre_106_41_26 CHARLIT_106_41_26) (= true_term (is CHARLIT_106_41_26 T_int)) (= count_pre_16_67_33 count_16_67_33) (= count_16_67_33 (asField count_16_67_33 T_int)) (= args_pre_70_34_31 args_70_34_31) (= args_70_34_31 (asField args_70_34_31 T_javafe_ast_ExprVec)) (< (fClosedTime args_70_34_31) alloc) (forall ((?s_36_ Int)) (=> (not (= ?s_36_ null)) (not (= (S_select args_70_34_31 ?s_36_) null)))) (= expr_pre_50_15_28 expr_50_15_28) (= expr_50_15_28 (asField expr_50_15_28 T_javafe_ast_Expr)) (< (fClosedTime expr_50_15_28) alloc) (forall ((?s_37_ Int)) (=> (not (= ?s_37_ null)) (not (= (S_select expr_50_15_28 ?s_37_) null)))) (= noTokens_pre_105_212_27 noTokens_105_212_27) (= true_term (is noTokens_105_212_27 T_int)) (= FIRST_KEYWORD_pre_105_51_26 FIRST_KEYWORD_105_51_26) (= true_term (is FIRST_KEYWORD_105_51_26 T_int)) (= IDENT_pre_106_25_26 IDENT_106_25_26) (= true_term (is IDENT_106_25_26 T_int)) (= count_pre_151_67_33 count_151_67_33) (= count_151_67_33 (asField count_151_67_33 T_int)) (= stmt_pre_49_17_28 stmt_49_17_28) (= stmt_49_17_28 (asField stmt_49_17_28 T_javafe_ast_Stmt)) (< (fClosedTime stmt_49_17_28) alloc) (forall ((?s_38_ Int)) (=> (not (= ?s_38_ null)) (not (= (S_select stmt_49_17_28 ?s_38_) null)))) (= left_pre_75_38_28 left_75_38_28) (= left_75_38_28 (asField left_75_38_28 T_javafe_ast_Expr)) (< (fClosedTime left_75_38_28) alloc) (forall ((?s_39_ Int)) (=> (not (= ?s_39_ null)) (not (= (S_select left_75_38_28 ?s_39_) null)))) (= elements_pre_25_61_43 elements_25_61_43) (= elements_25_61_43 (asField elements_25_61_43 (array T_javafe_ast_ModifierPragma))) (< (fClosedTime elements_25_61_43) alloc) (forall ((?s_40_ Int)) (=> (not (= ?s_40_ null)) (not (= (S_select elements_25_61_43 ?s_40_) null)))) (= expr_pre_59_26_14 expr_59_26_14) (= expr_59_26_14 (asField expr_59_26_14 T_javafe_ast_Expr)) (< (fClosedTime expr_59_26_14) alloc) (= locOpenBrackets_pre_71_65_29 locOpenBrackets_71_65_29) (= locOpenBrackets_71_65_29 (asField locOpenBrackets_71_65_29 ?v_0)) (< (fClosedTime locOpenBrackets_71_65_29) alloc) (forall ((?s_41_ Int)) (=> (not (= ?s_41_ null)) (not (= (S_select locOpenBrackets_71_65_29 ?s_41_) null)))) (= index_pre_69_17_28 index_69_17_28) (= index_69_17_28 (asField index_69_17_28 T_javafe_ast_Expr)) (< (fClosedTime index_69_17_28) alloc) (forall ((?s_42_ Int)) (=> (not (= ?s_42_ null)) (not (= (S_select index_69_17_28 ?s_42_) null)))) (= locOpenBrace_pre_36_22_13 locOpenBrace_36_22_13) (= locOpenBrace_36_22_13 (asField locOpenBrace_36_22_13 T_int)) (= forUpdate_pre_57_28_31 forUpdate_57_28_31) (= forUpdate_57_28_31 (asField forUpdate_57_28_31 T_javafe_ast_ExprVec)) (< (fClosedTime forUpdate_57_28_31) alloc) (forall ((?s_43_ Int)) (=> (not (= ?s_43_ null)) (not (= (S_select forUpdate_57_28_31 ?s_43_) null)))) (= els_pre_72_19_28 els_72_19_28) (= els_72_19_28 (asField els_72_19_28 T_javafe_ast_Expr)) (< (fClosedTime els_72_19_28) alloc) (forall ((?s_44_ Int)) (=> (not (= ?s_44_ null)) (not (= (S_select els_72_19_28 ?s_44_) null)))) (= LONGLIT_pre_106_40_26 LONGLIT_106_40_26) (= true_term (is LONGLIT_106_40_26 T_int)) (= init_pre_43_20_17 init_43_20_17) (= init_43_20_17 (asField init_43_20_17 T_javafe_ast_VarInit)) (< (fClosedTime init_43_20_17) alloc) (= locId_pre_31_43_13 locId_31_43_13) (= locId_31_43_13 (asField locId_31_43_13 T_int)) (= thn_pre_56_17_28 thn_56_17_28) (= thn_56_17_28 (asField thn_56_17_28 T_javafe_ast_Stmt)) (< (fClosedTime thn_56_17_28) alloc) (forall ((?s_45_ Int)) (=> (not (= ?s_45_ null)) (not (= (S_select thn_56_17_28 ?s_45_) null)))) (= locId_pre_83_25_13 locId_83_25_13) (= locId_83_25_13 (asField locId_83_25_13 T_int)) (= elems_pre_65_18_34 elems_65_18_34) (= elems_65_18_34 (asField elems_65_18_34 T_javafe_ast_VarInitVec)) (< (fClosedTime elems_65_18_34) alloc) (forall ((?s_46_ Int)) (=> (not (= ?s_46_ null)) (not (= (S_select elems_65_18_34 ?s_46_) null)))) (= elements_pre_32_61_43 elements_32_61_43) (= elements_32_61_43 (asField elements_32_61_43 (array T_javafe_ast_FormalParaDecl))) (< (fClosedTime elements_32_61_43) alloc) (forall ((?s_47_ Int)) (=> (not (= ?s_47_ null)) (not (= (S_select elements_32_61_43 ?s_47_) null)))) (= NULL_pre_103_60_26 NULL_103_60_26) (= true_term (is NULL_103_60_26 T_int)) (= count_pre_24_67_33 count_24_67_33) (= count_24_67_33 (asField count_24_67_33 T_int)) (= block_pre_40_28_33 block_40_28_33) (= block_40_28_33 (asField block_40_28_33 T_javafe_ast_BlockStmt)) (< (fClosedTime block_40_28_33) alloc) (forall ((?s_48_ Int)) (=> (not (= ?s_48_ null)) (not (= (S_select block_40_28_33 ?s_48_) null)))) (= locId_pre_17_48_13 locId_17_48_13) (= locId_17_48_13 (asField locId_17_48_13 T_int)) (= loc_pre_60_22_13 loc_60_22_13) (= loc_60_22_13 (asField loc_60_22_13 T_int)) (= type_pre_84_20_28 type_84_20_28) (= type_84_20_28 (asField type_84_20_28 T_javafe_ast_Type)) (< (fClosedTime type_84_20_28) alloc) (forall ((?s_49_ Int)) (=> (not (= ?s_49_ null)) (not (= (S_select type_84_20_28 ?s_49_) null)))) (= expr_pre_74_15_28 expr_74_15_28) (= expr_74_15_28 (asField expr_74_15_28 T_javafe_ast_Expr)) (< (fClosedTime expr_74_15_28) alloc) (forall ((?s_50_ Int)) (=> (not (= ?s_50_ null)) (not (= (S_select expr_74_15_28 ?s_50_) null)))) (= elements_pre_152_61_39 elements_152_61_39) (= elements_152_61_39 (asField elements_152_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_152_61_39) alloc) (forall ((?s_51_ Int)) (=> (not (= ?s_51_ null)) (not (= (S_select elements_152_61_39 ?s_51_) null)))) (= elems_pre_6_27_35 elems_6_27_35) (= elems_6_27_35 (asField elems_6_27_35 T_javafe_ast_TypeDeclVec)) (< (fClosedTime elems_6_27_35) alloc) (forall ((?s_52_ Int)) (=> (not (= ?s_52_ null)) (not (= (S_select elems_6_27_35 ?s_52_) null)))) (= tryClause_pre_61_18_28 tryClause_61_18_28) (= tryClause_61_18_28 (asField tryClause_61_18_28 T_javafe_ast_Stmt)) (< (fClosedTime tryClause_61_18_28) alloc) (forall ((?s_53_ Int)) (=> (not (= ?s_53_ null)) (not (= (S_select tryClause_61_18_28 ?s_53_) null)))) (= expr_pre_45_15_28 expr_45_15_28) (= expr_45_15_28 (asField expr_45_15_28 T_javafe_ast_Expr)) (< (fClosedTime expr_45_15_28) alloc) (forall ((?s_54_ Int)) (=> (not (= ?s_54_ null)) (not (= (S_select expr_45_15_28 ?s_54_) null)))) (= INTLIT_pre_106_39_26 INTLIT_106_39_26) (= true_term (is INTLIT_106_39_26 T_int)) (= tmodifiers_pre_31_28_31 tmodifiers_31_28_31) (= tmodifiers_31_28_31 (asField tmodifiers_31_28_31 T_javafe_ast_TypeModifierPragmaVec)) (< (fClosedTime tmodifiers_31_28_31) alloc) (= loc_pre_53_18_13 loc_53_18_13) (= loc_53_18_13 (asField loc_53_18_13 T_int)) (= type_pre_70_32_32 type_70_32_32) (= type_70_32_32 (asField type_70_32_32 T_javafe_ast_TypeName)) (< (fClosedTime type_70_32_32) alloc) (forall ((?s_55_ Int)) (=> (not (= ?s_55_ null)) (not (= (S_select type_70_32_32 ?s_55_) null)))) (= stmt_pre_55_17_28 stmt_55_17_28) (= stmt_55_17_28 (asField stmt_55_17_28 T_javafe_ast_Stmt)) (< (fClosedTime stmt_55_17_28) alloc) (forall ((?s_56_ Int)) (=> (not (= ?s_56_ null)) (not (= (S_select stmt_55_17_28 ?s_56_) null)))) (= dims_pre_71_45_31 dims_71_45_31) (= dims_71_45_31 (asField dims_71_45_31 T_javafe_ast_ExprVec)) (< (fClosedTime dims_71_45_31) alloc) (forall ((?s_57_ Int)) (=> (not (= ?s_57_ null)) (not (= (S_select dims_71_45_31 ?s_57_) null)))) (= expr_pre_49_15_28 expr_49_15_28) (= expr_49_15_28 (asField expr_49_15_28 T_javafe_ast_Expr)) (< (fClosedTime expr_49_15_28) alloc) (forall ((?s_58_ Int)) (=> (not (= ?s_58_ null)) (not (= (S_select expr_49_15_28 ?s_58_) null)))) (= loc_pre_67_29_13 loc_67_29_13) (= loc_67_29_13 (asField loc_67_29_13 T_int)) (= locCloseParen_pre_77_21_13 locCloseParen_77_21_13) (= locCloseParen_77_21_13 (asField locCloseParen_77_21_13 T_int)) (= elements_pre_58_61_33 elements_58_61_33) (= elements_58_61_33 (asField elements_58_61_33 (array T_javafe_ast_Expr))) (< (fClosedTime elements_58_61_33) alloc) (forall ((?s_59_ Int)) (=> (not (= ?s_59_ null)) (not (= (S_select elements_58_61_33 ?s_59_) null)))) (= pmodifiers_pre_31_26_27 pmodifiers_31_26_27) (= pmodifiers_31_26_27 (asField pmodifiers_31_26_27 T_javafe_ast_ModifierPragmaVec)) (< (fClosedTime pmodifiers_31_26_27) alloc) (= array_pre_69_15_28 array_69_15_28) (= array_69_15_28 (asField array_69_15_28 T_javafe_ast_Expr)) (< (fClosedTime array_69_15_28) alloc) (forall ((?s_60_ Int)) (=> (not (= ?s_60_ null)) (not (= (S_select array_69_15_28 ?s_60_) null)))) (= count_pre_25_67_33 count_25_67_33) (= count_25_67_33 (asField count_25_67_33 T_int)) (= LAST_KEYWORD_pre_105_103_26 LAST_KEYWORD_105_103_26) (= true_term (is LAST_KEYWORD_105_103_26 T_int)) (= locId_pre_34_38_13 locId_34_38_13) (= locId_34_38_13 (asField locId_34_38_13 T_int)) (= thn_pre_72_17_28 thn_72_17_28) (= thn_72_17_28 (asField thn_72_17_28 T_javafe_ast_Expr)) (< (fClosedTime thn_72_17_28) alloc) (forall ((?s_61_ Int)) (=> (not (= ?s_61_ null)) (not (= (S_select thn_72_17_28 ?s_61_) null)))) (= test_pre_57_26_28 test_57_26_28) (= test_57_26_28 (asField test_57_26_28 T_javafe_ast_Expr)) (< (fClosedTime test_57_26_28) alloc) (forall ((?s_62_ Int)) (=> (not (= ?s_62_ null)) (not (= (S_select test_57_26_28 ?s_62_) null)))) (= BOOLEANLIT_pre_106_38_26 BOOLEANLIT_106_38_26) (= true_term (is BOOLEANLIT_106_38_26 T_int)) (= NULL_pre_105_82_26 NULL_105_82_26) (= true_term (is NULL_105_82_26 T_int)) (= pmodifiers_pre_17_30_27 pmodifiers_17_30_27) (= pmodifiers_17_30_27 (asField pmodifiers_17_30_27 T_javafe_ast_ModifierPragmaVec)) (< (fClosedTime pmodifiers_17_30_27) alloc) (= expr_pre_56_15_28 expr_56_15_28) (= expr_56_15_28 (asField expr_56_15_28 T_javafe_ast_Expr)) (< (fClosedTime expr_56_15_28) alloc) (forall ((?s_63_ Int)) (=> (not (= ?s_63_ null)) (not (= (S_select expr_56_15_28 ?s_63_) null)))) (= enclosingInstance_pre_64_37_14 enclosingInstance_64_37_14) (= enclosingInstance_64_37_14 (asField enclosingInstance_64_37_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_64_37_14) alloc) (= count_pre_32_67_33 count_32_67_33) (= count_32_67_33 (asField count_32_67_33 T_int)) (= pmodifiers_pre_40_26_27 pmodifiers_40_26_27) (= pmodifiers_40_26_27 (asField pmodifiers_40_26_27 T_javafe_ast_ModifierPragmaVec)) (< (fClosedTime pmodifiers_40_26_27) alloc) (= tokenType_pre_141_90_8 tokenType_141_90_8) (= tokenType_141_90_8 (asField tokenType_141_90_8 T_int)) (= stmts_pre_36_19_31 stmts_36_19_31) (= stmts_36_19_31 (asField stmts_36_19_31 T_javafe_ast_StmtVec)) (< (fClosedTime stmts_36_19_31) alloc) (forall ((?s_64_ Int)) (=> (not (= ?s_64_ null)) (not (= (S_select stmts_36_19_31 ?s_64_) null)))) (= count_pre_152_67_33 count_152_67_33) (= count_152_67_33 (asField count_152_67_33 T_int)) (= expr_pre_85_22_28 expr_85_22_28) (= expr_85_22_28 (asField expr_85_22_28 T_javafe_ast_Expr)) (< (fClosedTime expr_85_22_28) alloc) (forall ((?s_65_ Int)) (=> (not (= ?s_65_ null)) (not (= (S_select expr_85_22_28 ?s_65_) null)))) (= loc_pre_54_18_13 loc_54_18_13) (= loc_54_18_13 (asField loc_54_18_13 T_int)) (= elemType_pre_89_18_28 elemType_89_18_28) (= elemType_89_18_28 (asField elemType_89_18_28 T_javafe_ast_Type)) (< (fClosedTime elemType_89_18_28) alloc) (forall ((?s_66_ Int)) (=> (not (= ?s_66_ null)) (not (= (S_select elemType_89_18_28 ?s_66_) null)))) (= imports_pre_6_25_37 imports_6_25_37) (= imports_6_25_37 (asField imports_6_25_37 T_javafe_ast_ImportDeclVec)) (< (fClosedTime imports_6_25_37) alloc) (forall ((?s_67_ Int)) (=> (not (= ?s_67_ null)) (not (= (S_select imports_6_25_37 ?s_67_) null)))) (= loc_pre_51_20_13 loc_51_20_13) (= loc_51_20_13 (asField loc_51_20_13 T_int)) (= locDot_pre_70_29_13 locDot_70_29_13) (= locDot_70_29_13 (asField locDot_70_29_13 T_int)) (= loc_pre_31_40_13 loc_31_40_13) (= loc_31_40_13 (asField loc_31_40_13 T_int)) (= superClass_pre_29_15_18 superClass_29_15_18) (= superClass_29_15_18 (asField superClass_29_15_18 T_javafe_ast_TypeName)) (< (fClosedTime superClass_29_15_18) alloc) (= elements_pre_66_61_36 elements_66_61_36) (= elements_66_61_36 (asField elements_66_61_36 (array T_javafe_ast_VarInit))) (< (fClosedTime elements_66_61_36) alloc) (forall ((?s_68_ Int)) (=> (not (= ?s_68_ null)) (not (= (S_select elements_66_61_36 ?s_68_) null)))) (= args_pre_64_51_31 args_64_51_31) (= args_64_51_31 (asField args_64_51_31 T_javafe_ast_ExprVec)) (< (fClosedTime args_64_51_31) alloc) (forall ((?s_69_ Int)) (=> (not (= ?s_69_ null)) (not (= (S_select args_64_51_31 ?s_69_) null)))) (= loc_pre_73_21_13 loc_73_21_13) (= loc_73_21_13 (asField loc_73_21_13 T_int)) (= finallyClause_pre_60_19_28 finallyClause_60_19_28) (= finallyClause_60_19_28 (asField finallyClause_60_19_28 T_javafe_ast_Stmt)) (< (fClosedTime finallyClause_60_19_28) alloc) (forall ((?s_70_ Int)) (=> (not (= ?s_70_ null)) (not (= (S_select finallyClause_60_19_28 ?s_70_) null)))) (= init_pre_41_19_17 init_41_19_17) (= init_41_19_17 (asField init_41_19_17 T_javafe_ast_VarInit)) (< (fClosedTime init_41_19_17) alloc) (= count_pre_58_67_33 count_58_67_33) (= count_58_67_33 (asField count_58_67_33 T_int)) (= decl_pre_48_15_36 decl_48_15_36) (= decl_48_15_36 (asField decl_48_15_36 T_javafe_ast_LocalVarDecl)) (< (fClosedTime decl_48_15_36) alloc) (forall ((?s_71_ Int)) (=> (not (= ?s_71_ null)) (not (= (S_select decl_48_15_36 ?s_71_) null)))) (= locCloseParen_pre_74_24_13 locCloseParen_74_24_13) (= locCloseParen_74_24_13 (asField locCloseParen_74_24_13 T_int)) (= test_pre_72_15_28 test_72_15_28) (= test_72_15_28 (asField test_72_15_28 T_javafe_ast_Expr)) (< (fClosedTime test_72_15_28) alloc) (forall ((?s_72_ Int)) (=> (not (= ?s_72_ null)) (not (= (S_select test_72_15_28 ?s_72_) null)))) (= forInit_pre_57_24_31 forInit_57_24_31) (= forInit_57_24_31 (asField forInit_57_24_31 T_javafe_ast_StmtVec)) (< (fClosedTime forInit_57_24_31) alloc) (forall ((?s_73_ Int)) (=> (not (= ?s_73_ null)) (not (= (S_select forInit_57_24_31 ?s_73_) null)))) (= loc_pre_17_45_13 loc_17_45_13) (= loc_17_45_13 (asField loc_17_45_13 T_int)) (= locSuper_pre_87_20_13 locSuper_87_20_13) (= locSuper_87_20_13 (asField locSuper_87_20_13 T_int)) (= locOpenParen_pre_70_52_13 locOpenParen_70_52_13) (= locOpenParen_70_52_13 (asField locOpenParen_70_52_13 T_int)) (= expr_pre_53_15_14 expr_53_15_14) (= expr_53_15_14 (asField expr_53_15_14 T_javafe_ast_Expr)) (< (fClosedTime expr_53_15_14) alloc) (= elements_pre_19_61_42 elements_19_61_42) (= elements_19_61_42 (asField elements_19_61_42 (array T_javafe_ast_LexicalPragma))) (< (fClosedTime elements_19_61_42) alloc) (forall ((?s_74_ Int)) (=> (not (= ?s_74_ null)) (not (= (S_select elements_19_61_42 ?s_74_) null)))) (= classPrefix_pre_67_25_14 classPrefix_67_25_14) (= classPrefix_67_25_14 (asField classPrefix_67_25_14 T_javafe_ast_Type)) (< (fClosedTime classPrefix_67_25_14) alloc) (= loc_pre_68_50_13 loc_68_50_13) (= loc_68_50_13 (asField loc_68_50_13 T_int)) (= loc_pre_88_35_13 loc_88_35_13) (= loc_88_35_13 (asField loc_88_35_13 T_int)) (= loc_pre_96_16_13 loc_96_16_13) (= loc_96_16_13 (asField loc_96_16_13 T_int)) (= type_pre_34_35_28 type_34_35_28) (= type_34_35_28 (asField type_34_35_28 T_javafe_ast_Type)) (< (fClosedTime type_34_35_28) alloc) (forall ((?s_75_ Int)) (=> (not (= ?s_75_ null)) (not (= (S_select type_34_35_28 ?s_75_) null)))) (= elements_pre_44_61_33 elements_44_61_33) (= elements_44_61_33 (asField elements_44_61_33 (array T_javafe_ast_Stmt))) (< (fClosedTime elements_44_61_33) alloc) (forall ((?s_76_ Int)) (=> (not (= ?s_76_ null)) (not (= (S_select elements_44_61_33 ?s_76_) null)))) (= tag_pre_68_32_13 tag_68_32_13) (= tag_68_32_13 (asField tag_68_32_13 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_ast_DefaultVisitor)) (= true_term (isAllocated this alloc)) ?v_8 (= true_term (is x_41_37 T_javafe_ast_TypeDecl)) (= true_term (isAllocated x_41_37 alloc)) ?v_2 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_TypeNameVec)) (not (= ?brokenObj null))) (= (S_select owner_5_35_28 (S_select elements_21_61_37 ?brokenObj)) ?brokenObj))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_1_ null))) (forall ((?i_21_62_31 Int)) (=> (and (<= 0 ?i_21_62_31) (< ?i_21_62_31 (S_select count_21_67_33 ?brokenObj_1_))) (not (= (S_select (S_select elems (S_select elements_21_61_37 ?brokenObj_1_)) ?i_21_62_31) null)))))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_2_ null))) (= (S_select owner_5_35_28 (S_select elements_25_61_43 ?brokenObj_2_)) ?brokenObj_2_))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_3_ null))) (<= 0 (S_select count_27_67_33 ?brokenObj_3_)))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_4_ null))) (<= (S_select count_21_67_33 ?brokenObj_4_) (arrayLength (S_select elements_21_61_37 ?brokenObj_4_))))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_5_ null))) (forall ((?i_25_62_31 Int)) (=> (and (<= 0 ?i_25_62_31) (< ?i_25_62_31 (S_select count_25_67_33 ?brokenObj_5_))) (not (= (S_select (S_select elems (S_select elements_25_61_43 ?brokenObj_5_)) ?i_25_62_31) null)))))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_TypeDeclElemVec)) (not (= ?brokenObj_6_ null))) (<= 0 (S_select count_24_67_33 ?brokenObj_6_)))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_7_ null))) (= (typeof (S_select elements_21_61_37 ?brokenObj_7_)) (array T_javafe_ast_TypeName)))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_8_ null))) (<= (S_select count_25_67_33 ?brokenObj_8_) (arrayLength (S_select elements_25_61_43 ?brokenObj_8_))))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_9_ null))) (= (S_select owner_5_35_28 (S_select elements_27_61_47 ?brokenObj_9_)) ?brokenObj_9_))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_10_ null))) (= (typeof (S_select elements_25_61_43 ?brokenObj_10_)) (array T_javafe_ast_ModifierPragma)))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_ast_TypeDeclElemVec)) (not (= ?brokenObj_11_ null))) (= (S_select owner_5_35_28 (S_select elements_24_61_41 ?brokenObj_11_)) ?brokenObj_11_))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_12_ null))) (forall ((?i_27_62_31 Int)) (=> (and (<= 0 ?i_27_62_31) (< ?i_27_62_31 (S_select count_27_67_33 ?brokenObj_12_))) (not (= (S_select (S_select elems (S_select elements_27_61_47 ?brokenObj_12_)) ?i_27_62_31) null)))))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_13_ null))) (<= 0 (S_select count_21_67_33 ?brokenObj_13_)))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_ast_TypeDeclElemVec)) (not (= ?brokenObj_14_ null))) (forall ((?i_24_62_31 Int)) (=> (and (<= 0 ?i_24_62_31) (< ?i_24_62_31 (S_select count_24_67_33 ?brokenObj_14_))) (not (= (S_select (S_select elems (S_select elements_24_61_41 ?brokenObj_14_)) ?i_24_62_31) null)))))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_15_ null))) (<= (S_select count_27_67_33 ?brokenObj_15_) (arrayLength (S_select elements_27_61_47 ?brokenObj_15_))))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_ast_TypeDeclElemVec)) (not (= ?brokenObj_16_ null))) (<= (S_select count_24_67_33 ?brokenObj_16_) (arrayLength (S_select elements_24_61_41 ?brokenObj_16_))))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_17_ null))) (= (typeof (S_select elements_27_61_47 ?brokenObj_17_)) (array T_javafe_ast_TypeModifierPragma)))) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_18_ null))) (<= 0 (S_select count_25_67_33 ?brokenObj_18_)))) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_ast_TypeDeclElemVec)) (not (= ?brokenObj_19_ null))) (= (typeof (S_select elements_24_61_41 ?brokenObj_19_)) (array T_javafe_ast_TypeDeclElem)))) (or (and ?v_18 ?v_19 (or (and ?v_9 (or ?v_4 (and ?v_2 ?v_10 ?v_11 ?v_3 ?v_12 ?v_13 (or ?v_4 (and ?v_2 ?v_14 (or (not (and ?v_25 (< 0 (S_select count_21_67_33 tmp1_superInterfaces_42_4_0_43_6)))) (and ?v_15 ?v_16 ?v_6 ?v_17 (or (not ?v_7) (and ?v_7 ?v_48))))))))) (and ?v_9 ?v_2 ?v_10 ?v_11 ?v_3 ?v_12 ?v_13 ?v_2 ?v_14 ?v_15 ?v_16 ?v_6 ?v_17 ?v_7 ?v_8 ?v_20 ?v_21 ?v_9 ?v_4))) (and ?v_18 ?v_19 ?v_79 ?v_80 ?v_81 ?v_82 (or (and ?v_37 ?v_38 (or (and ?v_9 (or ?v_4 (and ?v_2 ?v_28 ?v_29 ?v_23 ?v_30 ?v_31 (or ?v_4 (and ?v_2 ?v_32 (or (not (and ?v_25 (< 0 (S_select count_24_67_33 tmp5_elems_44_4_0_45_6)))) (and ?v_33 ?v_34 ?v_26 ?v_35 (not ?v_27)))))))) (and ?v_9 ?v_2 ?v_28 ?v_29 ?v_23 ?v_30 ?v_31 ?v_2 ?v_32 ?v_33 ?v_34 ?v_26 ?v_35 ?v_27 ?v_39 ?v_40 ?v_9 ?v_4))) (and ?v_37 ?v_38 ?v_83 ?v_84 ?v_85 ?v_86 (or ?v_4 (and ?v_2 (or (and ?v_42 ?v_9 ?v_58 ?v_59 (or (and ?v_9 (or ?v_4 ?v_57 (and ?v_2 ?v_42 ?v_49 ?v_50 ?v_44 ?v_51 ?v_52 (or ?v_4 (and ?v_2 ?v_53 (or (not ?v_45) (and ?v_45 (or (not (and ?v_25 (< 0 (S_select count_25_67_33 tmp9_pmodifiers_47_1_0_48_5)))) (and ?v_54 ?v_55 ?v_46 ?v_56 (or (not ?v_47) (and ?v_47 ?v_48))))))))))) (and ?v_9 ?v_2 ?v_42 ?v_49 ?v_50 ?v_44 ?v_51 ?v_52 ?v_2 ?v_53 ?v_45 ?v_54 ?v_55 ?v_46 ?v_56 ?v_47 ?v_8 ?v_60 ?v_61 ?v_9 (or ?v_4 ?v_57)))) (and ?v_87 (or ?v_4 (and ?v_2 ?v_64 ?v_9 ?v_88 ?v_89 (or (and ?v_9 (or ?v_4 ?v_78 (and ?v_2 ?v_64 ?v_70 ?v_71 ?v_66 ?v_72 ?v_73 (or ?v_4 (and ?v_2 ?v_74 (or (not ?v_67) (and ?v_67 (or (not (and ?v_25 (< 0 (S_select count_27_67_33 tmp13_tmodifiers_50_1_0_51_5)))) (and ?v_75 ?v_76 ?v_68 ?v_77 (or (not ?v_69) (and ?v_69 ?v_48))))))))))) (and ?v_9 ?v_2 ?v_64 ?v_70 ?v_71 ?v_66 ?v_72 ?v_73 ?v_2 ?v_74 ?v_67 ?v_75 ?v_76 ?v_68 ?v_77 ?v_69 ?v_8 ?v_90 ?v_91 ?v_9 (or ?v_4 ?v_78)))))))))))) (and (or (and ?v_18 ?v_19 ?v_79 ?v_80 ?v_81 ?v_82 ?v_37 ?v_38 ?v_83 ?v_84 ?v_85 ?v_86 ?v_2 ?v_87 ?v_2 (or (and ?v_64 ?v_9 ?v_88 ?v_89 ?v_96 ?v_97 (= EC_5_ L_50_1) (= EC_6_ EC_5_)) (and ?v_93 ?v_9 (= EC_6_ EC_4_))) ?v_98) (and (or (and ?v_18 ?v_19 ?v_79 (not ?v_80) (= EC_42_8_1_ L_42_4)) (and ?v_18 ?v_19 ?v_79 ?v_80 ?v_81 ?v_82 (or (and ?v_37 ?v_38 ?v_83 (not ?v_84) (= EC_42_8_1_ L_44_4)) (and ?v_37 ?v_38 ?v_83 ?v_84 ?v_85 ?v_86 ?v_2 (or (and ?v_42 ?v_9 ?v_58 ?v_59 ?v_94 (not ?v_95) (= EC_42_8_1_ L_47_1)) (and ?v_87 ?v_2 ?v_64 ?v_9 ?v_88 ?v_89 ?v_96 (not ?v_97) (= EC_42_8_1_ L_50_1))))))) (= EC_42_8 EC_42_8_1_))) (not ?v_98)))))))))))))))))))))))))))))))))
(check-sat)
(exit)
