(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_IdentifierVec () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_SimpleName () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_CompoundName () Int)
(declare-fun T_java_lang_Math () Int)
(declare-fun T_javafe_filespace_StringUtil () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun DOUBLELIT_31_43_26 () Int)
(declare-fun NULL_14_60_26 () Int)
(declare-fun LAST_KEYWORD_30_103_26 () Int)
(declare-fun punctuationCodes_30_164_19 () Int)
(declare-fun STMTPRAGMA_30_26_26 () Int)
(declare-fun INTLIT_31_39_26 () Int)
(declare-fun FIRST_KEYWORD_30_51_26 () Int)
(declare-fun FLOATLIT_31_42_26 () Int)
(declare-fun MODIFIERPRAGMA_30_25_26 () Int)
(declare-fun NULL_30_82_26 () Int)
(declare-fun keywordStrings_30_181_30 () Int)
(declare-fun BOOLEANLIT_31_38_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_30_28_26 () Int)
(declare-fun otherCodes_30_202_27 () Int)
(declare-fun CHARLIT_31_41_26 () Int)
(declare-fun otherStrings_30_193_30 () Int)
(declare-fun STRINGLIT_31_44_26 () Int)
(declare-fun noTokens_30_212_27 () Int)
(declare-fun IDENT_31_25_26 () Int)
(declare-fun LEXICALPRAGMA_30_24_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_30_27_26 () Int)
(declare-fun punctuationStrings_30_134_22 () Int)
(declare-fun LONGLIT_31_40_26 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_IdentifierVec T_java_lang_Object) true_term) (= T_javafe_ast_IdentifierVec (asChild T_javafe_ast_IdentifierVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_SimpleName T_javafe_ast_Name) true_term) (= T_javafe_ast_SimpleName (asChild T_javafe_ast_SimpleName T_javafe_ast_Name)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_CompoundName T_javafe_ast_Name) true_term) (= T_javafe_ast_CompoundName (asChild T_javafe_ast_CompoundName T_javafe_ast_Name)) (= (PO_LT T_java_lang_Math T_java_lang_Object) true_term) (= T_java_lang_Math (asChild T_java_lang_Math T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Math) true_term) (= ?t T_java_lang_Math))) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_StringUtil T_java_lang_Object) true_term) (= T_javafe_filespace_StringUtil (asChild T_javafe_filespace_StringUtil T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_StringUtil) true_term) (= ?t T_javafe_filespace_StringUtil))) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_util_Location (+ DIST_ZERO_1 10)) (= T_java_lang_String (+ DIST_ZERO_1 11)) (= T_javafe_util_Assert (+ DIST_ZERO_1 12)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 13)) (= T_java_io_Serializable (+ DIST_ZERO_1 14)) (= T_javafe_ast_IdentifierVec (+ DIST_ZERO_1 15)) (= T_javafe_ast_Type (+ DIST_ZERO_1 16)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 17)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 18)) (= T_javafe_ast_Name (+ DIST_ZERO_1 19)) (= T_javafe_ast_SimpleName (+ DIST_ZERO_1 20)) (= T_java_lang_Comparable (+ DIST_ZERO_1 21)) (= T_java_lang_Object (+ DIST_ZERO_1 22)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 23)) (= T_javafe_ast_CompoundName (+ DIST_ZERO_1 24)) (= T_java_lang_Math (+ DIST_ZERO_1 25)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 26)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 27)) (= T_javafe_filespace_StringUtil (+ DIST_ZERO_1 28)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 29))) (= true_term (is DOUBLELIT_31_43_26 T_int)) (= DOUBLELIT_31_43_26 109) (= true_term (is NULL_14_60_26 T_int)) (= NULL_14_60_26 0) (= true_term (is LAST_KEYWORD_30_103_26 T_int)) (= LAST_KEYWORD_30_103_26 183) (= true_term (is punctuationCodes_30_164_19 ?v_0)) (not (= punctuationCodes_30_164_19 null)) (= (typeof punctuationCodes_30_164_19) ?v_0) (= (arrayLength punctuationCodes_30_164_19) 48) (= true_term (is STMTPRAGMA_30_26_26 T_int)) (= STMTPRAGMA_30_26_26 116) (= true_term (is INTLIT_31_39_26 T_int)) (= INTLIT_31_39_26 105) (= true_term (is FIRST_KEYWORD_30_51_26 T_int)) (= FIRST_KEYWORD_30_51_26 133) (= true_term (is FLOATLIT_31_42_26 T_int)) (= FLOATLIT_31_42_26 108) (= true_term (is MODIFIERPRAGMA_30_25_26 T_int)) (= MODIFIERPRAGMA_30_25_26 115) (= true_term (is NULL_30_82_26 T_int)) (= NULL_30_82_26 163) (= true_term (is keywordStrings_30_181_30 ?v_1)) (not (= keywordStrings_30_181_30 null)) (= (typeof keywordStrings_30_181_30) ?v_1) (= (arrayLength keywordStrings_30_181_30) 51) (= true_term (is BOOLEANLIT_31_38_26 T_int)) (= BOOLEANLIT_31_38_26 104) (= true_term (is TYPEMODIFIERPRAGMA_30_28_26 T_int)) (= TYPEMODIFIERPRAGMA_30_28_26 118) (= true_term (is otherCodes_30_202_27 ?v_0)) (not (= otherCodes_30_202_27 null)) (= (typeof otherCodes_30_202_27) ?v_0) (= (arrayLength otherCodes_30_202_27) 15) (= true_term (is CHARLIT_31_41_26 T_int)) (= CHARLIT_31_41_26 107) (= true_term (is otherStrings_30_193_30 ?v_1)) (not (= otherStrings_30_193_30 null)) (= (typeof otherStrings_30_193_30) ?v_1) (= (arrayLength otherStrings_30_193_30) 15) (= true_term (is STRINGLIT_31_44_26 T_int)) (= STRINGLIT_31_44_26 110) (= true_term (is noTokens_30_212_27 T_int)) (= true_term (is IDENT_31_25_26 T_int)) (= IDENT_31_25_26 93) (= true_term (is LEXICALPRAGMA_30_24_26 T_int)) (= LEXICALPRAGMA_30_24_26 114) (= true_term (is TYPEDECLELEMPRAGMA_30_27_26 T_int)) (= TYPEDECLELEMPRAGMA_30_27_26 117) (= true_term (is punctuationStrings_30_134_22 ?v_1)) (not (= punctuationStrings_30_134_22 null)) (= (typeof punctuationStrings_30_134_22) ?v_1) (= (arrayLength punctuationStrings_30_134_22) 48) (= true_term (is LONGLIT_31_40_26 T_int)) (= LONGLIT_31_40_26 106))))
(declare-fun count_pre_16_67_33 () Int)
(declare-fun count_16_67_33 () Int)
(declare-fun DOUBLELIT_pre_31_43_26 () Int)
(declare-fun NULL_pre_14_60_26 () Int)
(declare-fun tokenType_pre_13_90_8 () Int)
(declare-fun tokenType_13_90_8 () Int)
(declare-fun LAST_KEYWORD_pre_30_103_26 () Int)
(declare-fun punctuationCodes_pre_30_164_19 () Int)
(declare-fun STMTPRAGMA_pre_30_26_26 () Int)
(declare-fun ids_pre_19_19_37 () Int)
(declare-fun ids_19_19_37 () Int)
(declare-fun INTLIT_pre_31_39_26 () Int)
(declare-fun FIRST_KEYWORD_pre_30_51_26 () Int)
(declare-fun FLOATLIT_pre_31_42_26 () Int)
(declare-fun loc_pre_18_20_13 () Int)
(declare-fun loc_18_20_13 () Int)
(declare-fun elements_pre_16_61_39 () Int)
(declare-fun elements_16_61_39 () Int)
(declare-fun MODIFIERPRAGMA_pre_30_25_26 () Int)
(declare-fun emptyStringArray_pre_189_30 () Int)
(declare-fun emptyStringArray_189_30 () Int)
(declare-fun NULL_pre_30_82_26 () Int)
(declare-fun keywordStrings_pre_30_181_30 () Int)
(declare-fun locDots_pre_19_31_29 () Int)
(declare-fun locDots_19_31_29 () Int)
(declare-fun BOOLEANLIT_pre_31_38_26 () Int)
(declare-fun count_pre_12_99_33 () Int)
(declare-fun count_12_99_33 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_30_28_26 () Int)
(declare-fun otherCodes_pre_30_202_27 () Int)
(declare-fun CHARLIT_pre_31_41_26 () Int)
(declare-fun otherStrings_pre_30_193_30 () Int)
(declare-fun STRINGLIT_pre_31_44_26 () Int)
(declare-fun noTokens_pre_30_212_27 () Int)
(declare-fun syntax_pre_22_28_29 () Int)
(declare-fun syntax_22_28_29 () Int)
(declare-fun IDENT_pre_31_25_26 () Int)
(declare-fun LEXICALPRAGMA_pre_30_24_26 () Int)
(declare-fun owner_pre_7_35_28 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_30_27_26 () Int)
(declare-fun punctuationStrings_pre_30_134_22 () Int)
(declare-fun LONGLIT_pre_31_40_26 () Int)
(declare-fun locIds_pre_19_25_29 () Int)
(declare-fun locIds_19_25_29 () Int)
(declare-fun length_pre_50_25 () Int)
(declare-fun length_50_25 () Int)
(declare-fun I_will_establish_invariants_afterwards_pre_4_236_34 () Int)
(declare-fun I_will_establish_invariants_afterwards_4_236_34 () Int)
(declare-fun value_pre_12_91_31 () Int)
(declare-fun value_12_91_31 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun locIds_114_34 () Int)
(declare-fun locDots_114_48 () Int)
(declare-fun ids_114_71 () Int)
(declare-fun RES_115_14_115_14 () Int)
(declare-fun EC_115_14_115_14 () Int)
(declare-fun ecReturn () Int)
(declare-fun tmp1_cand_116_21 () Int)
(declare-fun tmp1_cand_116_28 () Int)
(declare-fun tmp0_cand_116_21 () Int)
(declare-fun tmp0_cand_117_3 () Int)
(declare-fun EC_116_8_116_8 () Int)
(declare-fun RES_119_32_119_32 () Int)
(declare-fun EC_119_32_119_32 () Int)
(declare-fun loc_119_23_119_23_18_145_65 () Int)
(declare-fun RES_119_23_119_23 () Int)
(declare-fun EC_119_23_119_23 () Int)
(declare-fun RES () Int)
(declare-fun RES_121_25_121_25 () Int)
(declare-fun EC_121_25_121_25 () Int)
(assert (let ((?v_1 (array T_int)) (?v_0 (array T_java_lang_String)) (?v_4 (arrayLength keywordStrings_30_181_30)) (?v_6 (arrayLength otherStrings_30_193_30)) (?v_5 (arrayLength punctuationStrings_30_134_22)) (?v_7 (not (= ids_114_71 null))) (?v_9 (not (= locIds_114_34 null))) (?v_12 (not (= locDots_114_48 null))) (?v_2 (S_select count_16_67_33 ids_114_71)) (?v_11 (arrayLength locIds_114_34)) (?v_27 (arrayLength locDots_114_48))) (let ((?v_14 (+ ?v_27 1)) (?v_3 (S_select owner_7_35_28 punctuationCodes_30_164_19)) (?v_17 (not ?v_7)) (?v_29 (= true_term (is RES_115_14_115_14 T_int))) (?v_8 (= EC_115_14_115_14 ecReturn))) (let ((?v_30 (=> ?v_8 (= RES_115_14_115_14 ?v_2))) (?v_10 (> RES_115_14_115_14 0)) (?v_19 (not ?v_9)) (?v_15 (= true_term true_term))) (let ((?v_31 (or (and ?v_10 ?v_9 (= tmp1_cand_116_21 (integralEQ ?v_11 RES_115_14_115_14)) (= tmp1_cand_116_28 tmp1_cand_116_21)) (and (not ?v_10) ?v_15 (= tmp1_cand_116_28 false_term)))) (?v_13 (= true_term tmp1_cand_116_28)) (?v_24 (not ?v_12))) (let ((?v_32 (or (and ?v_13 ?v_12 (= tmp0_cand_116_21 (integralEQ ?v_14 RES_115_14_115_14)) (= tmp0_cand_117_3 tmp0_cand_116_21)) (and (not ?v_13) ?v_15 (= tmp0_cand_117_3 false_term)))) (?v_16 (= true_term tmp0_cand_117_3)) (?v_33 (= EC_116_8_116_8 ecReturn)) (?v_23 (= RES_115_14_115_14 1)) (?v_20 (<= 0 0)) (?v_34 (= true_term (is RES_119_32_119_32 T_javafe_ast_Identifier))) (?v_35 (= true_term (isAllocated RES_119_32_119_32 alloc))) (?v_18 (= EC_119_32_119_32 ecReturn)) (?v_22 (not (= RES_119_32_119_32 null)))) (let ((?v_36 (=> ?v_18 ?v_22)) (?v_21 (< 0 ?v_11)) (?v_37 (= loc_119_23_119_23_18_145_65 (S_select (S_select elems locIds_114_34) 0))) (?v_38 (not (= loc_119_23_119_23_18_145_65 NULL_14_60_26))) (?v_40 (not ?v_23)) (?v_25 (> ?v_2 1)) (?v_26 (= ?v_11 ?v_2)) (?v_28 (= ?v_27 (- ?v_2 1))) (?v_39 (= EC_119_23_119_23 ecReturn)) (?v_41 (= EC_121_25_121_25 ecReturn)) (?v_42 (= ecReturn ecReturn))) (not (=> true (=> (and (= count_pre_16_67_33 count_16_67_33) (= count_16_67_33 (asField count_16_67_33 T_int)) (= DOUBLELIT_pre_31_43_26 DOUBLELIT_31_43_26) (= true_term (is DOUBLELIT_31_43_26 T_int)) (= NULL_pre_14_60_26 NULL_14_60_26) (= true_term (is NULL_14_60_26 T_int)) (= tokenType_pre_13_90_8 tokenType_13_90_8) (= tokenType_13_90_8 (asField tokenType_13_90_8 T_int)) (= LAST_KEYWORD_pre_30_103_26 LAST_KEYWORD_30_103_26) (= true_term (is LAST_KEYWORD_30_103_26 T_int)) (= punctuationCodes_pre_30_164_19 punctuationCodes_30_164_19) (= true_term (is punctuationCodes_30_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_30_164_19 alloc)) (= STMTPRAGMA_pre_30_26_26 STMTPRAGMA_30_26_26) (= true_term (is STMTPRAGMA_30_26_26 T_int)) (= ids_pre_19_19_37 ids_19_19_37) (= ids_19_19_37 (asField ids_19_19_37 T_javafe_ast_IdentifierVec)) (< (fClosedTime ids_19_19_37) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select ids_19_19_37 ?s) null)))) (= INTLIT_pre_31_39_26 INTLIT_31_39_26) (= true_term (is INTLIT_31_39_26 T_int)) (= FIRST_KEYWORD_pre_30_51_26 FIRST_KEYWORD_30_51_26) (= true_term (is FIRST_KEYWORD_30_51_26 T_int)) (= FLOATLIT_pre_31_42_26 FLOATLIT_31_42_26) (= true_term (is FLOATLIT_31_42_26 T_int)) (= loc_pre_18_20_13 loc_18_20_13) (= loc_18_20_13 (asField loc_18_20_13 T_int)) (= elements_pre_16_61_39 elements_16_61_39) (= elements_16_61_39 (asField elements_16_61_39 (array T_javafe_ast_Identifier))) (< (fClosedTime elements_16_61_39) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_16_61_39 ?s_1_) null)))) (= MODIFIERPRAGMA_pre_30_25_26 MODIFIERPRAGMA_30_25_26) (= true_term (is MODIFIERPRAGMA_30_25_26 T_int)) (= emptyStringArray_pre_189_30 emptyStringArray_189_30) (= true_term (is emptyStringArray_189_30 ?v_0)) (= true_term (isAllocated emptyStringArray_189_30 alloc)) (= NULL_pre_30_82_26 NULL_30_82_26) (= true_term (is NULL_30_82_26 T_int)) (= keywordStrings_pre_30_181_30 keywordStrings_30_181_30) (= true_term (is keywordStrings_30_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_30_181_30 alloc)) (= locDots_pre_19_31_29 locDots_19_31_29) (= locDots_19_31_29 (asField locDots_19_31_29 ?v_1)) (< (fClosedTime locDots_19_31_29) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select locDots_19_31_29 ?s_2_) null)))) (= BOOLEANLIT_pre_31_38_26 BOOLEANLIT_31_38_26) (= true_term (is BOOLEANLIT_31_38_26 T_int)) (= count_pre_12_99_33 count_12_99_33) (= count_12_99_33 (asField count_12_99_33 T_int)) (= TYPEMODIFIERPRAGMA_pre_30_28_26 TYPEMODIFIERPRAGMA_30_28_26) (= true_term (is TYPEMODIFIERPRAGMA_30_28_26 T_int)) (= otherCodes_pre_30_202_27 otherCodes_30_202_27) (= true_term (is otherCodes_30_202_27 ?v_1)) (= true_term (isAllocated otherCodes_30_202_27 alloc)) (= CHARLIT_pre_31_41_26 CHARLIT_31_41_26) (= true_term (is CHARLIT_31_41_26 T_int)) (= otherStrings_pre_30_193_30 otherStrings_30_193_30) (= true_term (is otherStrings_30_193_30 ?v_0)) (= true_term (isAllocated otherStrings_30_193_30 alloc)) (= STRINGLIT_pre_31_44_26 STRINGLIT_31_44_26) (= true_term (is STRINGLIT_31_44_26 T_int)) (= noTokens_pre_30_212_27 noTokens_30_212_27) (= true_term (is noTokens_30_212_27 T_int)) (= syntax_pre_22_28_29 syntax_22_28_29) (= syntax_22_28_29 (asField syntax_22_28_29 T_boolean)) (= IDENT_pre_31_25_26 IDENT_31_25_26) (= true_term (is IDENT_31_25_26 T_int)) (= LEXICALPRAGMA_pre_30_24_26 LEXICALPRAGMA_30_24_26) (= true_term (is LEXICALPRAGMA_30_24_26 T_int)) (= owner_pre_7_35_28 owner_7_35_28) (= owner_7_35_28 (asField owner_7_35_28 T_java_lang_Object)) (< (fClosedTime owner_7_35_28) alloc) (= TYPEDECLELEMPRAGMA_pre_30_27_26 TYPEDECLELEMPRAGMA_30_27_26) (= true_term (is TYPEDECLELEMPRAGMA_30_27_26 T_int)) (= punctuationStrings_pre_30_134_22 punctuationStrings_30_134_22) (= true_term (is punctuationStrings_30_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_30_134_22 alloc)) (= LONGLIT_pre_31_40_26 LONGLIT_31_40_26) (= true_term (is LONGLIT_31_40_26 T_int)) (= locIds_pre_19_25_29 locIds_19_25_29) (= locIds_19_25_29 (asField locIds_19_25_29 ?v_1)) (< (fClosedTime locIds_19_25_29) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select locIds_19_25_29 ?s_3_) null)))) (= length_pre_50_25 length_50_25) (= length_50_25 (asField length_50_25 T_int)) (= I_will_establish_invariants_afterwards_pre_4_236_34 I_will_establish_invariants_afterwards_4_236_34) (= true_term (is I_will_establish_invariants_afterwards_4_236_34 T_boolean)) (= value_pre_12_91_31 value_12_91_31) (= value_12_91_31 (asField value_12_91_31 (array T_char))) (< (fClosedTime value_12_91_31) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select value_12_91_31 ?s_4_) null)))) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is locIds_114_34 ?v_1)) (= true_term (isAllocated locIds_114_34 alloc)) (= true_term (is locDots_114_48 ?v_1)) (= true_term (isAllocated locDots_114_48 alloc)) (= true_term (is ids_114_71 T_javafe_ast_IdentifierVec)) (= true_term (isAllocated ids_114_71 alloc)) ?v_7 ?v_9 ?v_12 (> ?v_2 0) (= ?v_2 ?v_11) (= ?v_2 ?v_14) (forall ((?i_109_30 Int)) (=> (and (<= 0 ?i_109_30) (< ?i_109_30 ?v_11)) (not (= (S_select (S_select elems locIds_114_34) ?i_109_30) NULL_14_60_26)))) (forall ((?i_111_30 Int)) (=> (and (<= 0 ?i_111_30) (< ?i_111_30 ?v_27)) (not (= (S_select (S_select elems locDots_114_48) ?i_111_30) NULL_14_60_26)))) (forall ((?i_30_149_29 Int)) (let ((?v_43 (S_select (S_select elems punctuationCodes_30_164_19) ?i_30_149_29))) (=> (and (<= 0 ?i_30_149_29) (<= ?i_30_149_29 (arrayLength punctuationCodes_30_164_19))) (and (not (= ?v_43 IDENT_31_25_26)) (not (= ?v_43 BOOLEANLIT_31_38_26)) (not (= ?v_43 INTLIT_31_39_26)) (not (= ?v_43 LONGLIT_31_40_26)) (not (= ?v_43 FLOATLIT_31_42_26)) (not (= ?v_43 DOUBLELIT_31_43_26)) (not (= ?v_43 STRINGLIT_31_44_26)) (not (= ?v_43 CHARLIT_31_41_26)) (not (= ?v_43 LEXICALPRAGMA_30_24_26)) (not (= ?v_43 MODIFIERPRAGMA_30_25_26)) (not (= ?v_43 STMTPRAGMA_30_26_26)) (not (= ?v_43 TYPEDECLELEMPRAGMA_30_27_26)) (not (= ?v_43 TYPEMODIFIERPRAGMA_30_28_26)))))) (forall ((?i_30_147_29 Int)) (=> (and (<= 0 ?i_30_147_29) (<= ?i_30_147_29 (arrayLength punctuationCodes_30_164_19))) (not (= (S_select (S_select elems punctuationCodes_30_164_19) ?i_30_147_29) NULL_30_82_26)))) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_IdentifierVec)) (not (= ?brokenObj null))) (= (S_select owner_7_35_28 (S_select elements_16_61_39 ?brokenObj)) ?brokenObj))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_ast_SimpleName)) (not (= ?brokenObj_1_ null))) (not (= (S_select loc_18_20_13 ?brokenObj_1_) NULL_14_60_26)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_2_ null))) (forall ((?i_16_62_31 Int)) (=> (and (<= 0 ?i_16_62_31) (< ?i_16_62_31 (S_select count_16_67_33 ?brokenObj_2_))) (not (= (S_select (S_select elems (S_select elements_16_61_39 ?brokenObj_2_)) ?i_16_62_31) null)))))) (forall ((?brokenObj_3_ Int)) (let ((?v_44 (S_select tokenType_13_90_8 ?brokenObj_3_))) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_Identifier)) (not (= ?brokenObj_3_ null))) (and (not (= ?v_44 BOOLEANLIT_31_38_26)) (not (= ?v_44 INTLIT_31_39_26)) (not (= ?v_44 LONGLIT_31_40_26)) (not (= ?v_44 FLOATLIT_31_42_26)) (not (= ?v_44 DOUBLELIT_31_43_26)) (not (= ?v_44 STRINGLIT_31_44_26)) (not (= ?v_44 CHARLIT_31_41_26)) (not (= ?v_44 LEXICALPRAGMA_30_24_26)) (not (= ?v_44 MODIFIERPRAGMA_30_25_26)) (not (= ?v_44 STMTPRAGMA_30_26_26)) (not (= ?v_44 TYPEDECLELEMPRAGMA_30_27_26)) (not (= ?v_44 TYPEMODIFIERPRAGMA_30_28_26)))))) (= true_term (nonnullelements keywordStrings_30_181_30 elems)) (= (arrayLength punctuationCodes_30_164_19) ?v_5) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_4_ null))) (= (S_select count_16_67_33 (S_select ids_19_19_37 ?brokenObj_4_)) (S_select length_50_25 ?brokenObj_4_)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_5_ null))) (<= (S_select count_16_67_33 ?brokenObj_5_) (arrayLength (S_select elements_16_61_39 ?brokenObj_5_))))) (= (arrayLength otherCodes_30_202_27) ?v_6) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_6_ null))) (= (typeof (S_select elements_16_61_39 ?brokenObj_6_)) (array T_javafe_ast_Identifier)))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_ast_Name)) (not (= ?brokenObj_7_ null))) (>= (S_select length_50_25 ?brokenObj_7_) 1))) (= ?v_4 (- (+ 1 LAST_KEYWORD_30_103_26) FIRST_KEYWORD_30_51_26)) (= true_term (is ?v_3 T_javafe_parser_TagConstants)) (not (= ?v_3 null)) (= true_term (nonnullelements otherStrings_30_193_30 elems)) (= true_term (nonnullelements punctuationStrings_30_134_22 elems)) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_ast_SimpleName)) (not (= ?brokenObj_8_ null))) (= (S_select length_50_25 ?brokenObj_8_) 1))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_9_ null))) (forall ((?i_19_23_29 Int)) (let ((?v_45 (S_select locIds_19_25_29 ?brokenObj_9_))) (=> (and (<= 0 ?i_19_23_29) (< ?i_19_23_29 (arrayLength ?v_45))) (not (= (S_select (S_select elems ?v_45) ?i_19_23_29) NULL_14_60_26))))))) (= noTokens_30_212_27 (+ (+ ?v_4 ?v_5) ?v_6)) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_10_ null))) (not (= (S_select ids_19_19_37 ?brokenObj_10_) null)))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_11_ null))) (forall ((?i_19_29_29 Int)) (let ((?v_46 (S_select locDots_19_31_29 ?brokenObj_11_))) (=> (and (<= 0 ?i_19_29_29) (< ?i_19_29_29 (arrayLength ?v_46))) (not (= (S_select (S_select elems ?v_46) ?i_19_29_29) NULL_14_60_26))))))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_12_ null))) (<= 0 (S_select count_16_67_33 ?brokenObj_12_)))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_13_ null))) (= (arrayLength (S_select locDots_19_31_29 ?brokenObj_13_)) (- (S_select length_50_25 ?brokenObj_13_) 1)))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_14_ null))) (> (S_select length_50_25 ?brokenObj_14_) 1))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_15_ null))) (= (arrayLength (S_select locIds_19_25_29 ?brokenObj_15_)) (S_select length_50_25 ?brokenObj_15_)))) (or ?v_17 (and ?v_7 ?v_29 ?v_8 ?v_30 (or (and ?v_10 ?v_19) (and ?v_31 (or (and ?v_13 ?v_24) (and ?v_32 (or (not ?v_16) (and ?v_16 ?v_33 (or (and ?v_23 ?v_15 (or ?v_17 (and ?v_7 (or (not (and ?v_20 (< 0 ?v_2))) (and ?v_34 ?v_35 ?v_18 ?v_36 (or ?v_19 (and ?v_9 (or (not ?v_20) (and ?v_20 (or (not ?v_21) (and ?v_21 (or (not ?v_22) (and ?v_22 ?v_37 (not ?v_38)))))))))))))) (and ?v_40 ?v_15 (or ?v_17 (and ?v_7 (or ?v_19 (and ?v_9 (or ?v_24 (and ?v_12 (or (not ?v_25) (and ?v_25 (or (not ?v_26) (and ?v_26 (or (not (forall ((?i_19_140_28 Int)) (=> (and (<= 0 ?i_19_140_28) (< ?i_19_140_28 ?v_11)) (not (= (S_select (S_select elems locIds_114_34) ?i_19_140_28) NULL_14_60_26))))) (not ?v_28) (and ?v_28 (not (forall ((?i_19_143_28 Int)) (=> (and (<= 0 ?i_19_143_28) (< ?i_19_143_28 ?v_27)) (not (= (S_select (S_select elems locDots_114_48) ?i_19_143_28) NULL_14_60_26)))))))))))))))))))))))))) (and ?v_7 ?v_29 ?v_8 ?v_30 ?v_31 ?v_32 ?v_16 ?v_33 (or (and ?v_23 ?v_15 ?v_7 ?v_34 ?v_35 ?v_18 ?v_36 ?v_9 ?v_20 ?v_21 ?v_22 ?v_37 ?v_38 (= true_term (is RES_119_23_119_23 T_javafe_ast_SimpleName)) (= true_term (isAllocated RES_119_23_119_23 alloc)) ?v_39 (=> ?v_39 (not (= RES_119_23_119_23 null))) ?v_15 (= RES RES_119_23_119_23)) (and ?v_40 ?v_15 ?v_7 ?v_9 ?v_12 ?v_25 ?v_26 ?v_28 (= true_term (is RES_121_25_121_25 T_javafe_ast_CompoundName)) (= true_term (isAllocated RES_121_25_121_25 alloc)) ?v_41 (=> ?v_41 (not (= RES_121_25_121_25 null))) ?v_15 (= RES RES_121_25_121_25))) (or (not ?v_42) (and ?v_42 (not (=> ?v_42 (not (= RES null))))))))))))))))))))
(check-sat)
(exit)
