(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_javafe_ast_TypeNameVec () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_ModifierPragmaVec () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_FormalParaDecl () Int)
(declare-fun T_javafe_ast_FormalParaDeclVec () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_TypeModifierPragmaVec () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun NULL_15_60_26 () Int)
(assert (and (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeNameVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeNameVec (asChild T_javafe_ast_TypeNameVec T_java_lang_Object)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_ModifierPragmaVec (asChild T_javafe_ast_ModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FormalParaDecl (asChild T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FormalParaDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_FormalParaDeclVec (asChild T_javafe_ast_FormalParaDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeModifierPragmaVec (asChild T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 10)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 11)) (= T_java_lang_Object (+ DIST_ZERO_1 12)) (= T_javafe_ast_TypeNameVec (+ DIST_ZERO_1 13)) (= T_javafe_util_Location (+ DIST_ZERO_1 14)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 15)) (= T_javafe_ast_ModifierPragmaVec (+ DIST_ZERO_1 16)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 17)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 18)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 19)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 20)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 21)) (= T_javafe_ast_FormalParaDecl (+ DIST_ZERO_1 22)) (= T_javafe_ast_FormalParaDeclVec (+ DIST_ZERO_1 23)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 24)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 25)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 26)) (= T_javafe_ast_Type (+ DIST_ZERO_1 27)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 28)) (= T_javafe_ast_TypeModifierPragmaVec (+ DIST_ZERO_1 29))) (= true_term (is NULL_15_60_26 T_int)) (= NULL_15_60_26 0)))
(declare-fun L_91_5 () Int)
(declare-fun ecReturn () Int)
(declare-fun L_93_5 () Int)
(declare-fun L_86_8 () Int)
(declare-fun L_89_8 () Int)
(declare-fun loc_pre_13_45_13 () Int)
(declare-fun loc_13_45_13 () Int)
(declare-fun args_pre_30_41 () Int)
(declare-fun args_30_41 () Int)
(declare-fun loc_pre_40_13 () Int)
(declare-fun loc_40_13 () Int)
(declare-fun NULL_pre_15_60_26 () Int)
(declare-fun modifiers_pre_24_13 () Int)
(declare-fun modifiers_24_13 () Int)
(declare-fun elements_pre_19_61_43 () Int)
(declare-fun elements_19_61_43 () Int)
(declare-fun locId_pre_43_13 () Int)
(declare-fun locId_43_13 () Int)
(declare-fun locId_pre_13_48_13 () Int)
(declare-fun locId_13_48_13 () Int)
(declare-fun locOpenBrace_pre_36_13 () Int)
(declare-fun locOpenBrace_36_13 () Int)
(declare-fun parent_pre_21_18 () Int)
(declare-fun parent_21_18 () Int)
(declare-fun count_pre_19_67_33 () Int)
(declare-fun count_19_67_33 () Int)
(declare-fun pmodifiers_pre_26_27 () Int)
(declare-fun pmodifiers_26_27 () Int)
(declare-fun locOpenBrace_pre_13_51_13 () Int)
(declare-fun locOpenBrace_13_51_13 () Int)
(declare-fun locCloseBrace_pre_13_54_13 () Int)
(declare-fun locCloseBrace_13_54_13 () Int)
(declare-fun count_pre_16_67_33 () Int)
(declare-fun count_16_67_33 () Int)
(declare-fun I_will_establish_invariants_afterwards_pre_5_236_34 () Int)
(declare-fun I_will_establish_invariants_afterwards_5_236_34 () Int)
(declare-fun syntax_pre_27_28_29 () Int)
(declare-fun syntax_27_28_29 () Int)
(declare-fun raises_pre_32_35 () Int)
(declare-fun raises_32_35 () Int)
(declare-fun elements_pre_16_61_43 () Int)
(declare-fun elements_16_61_43 () Int)
(declare-fun owner_pre_8_35_28 () Int)
(declare-fun owner_8_35_28 () Int)
(declare-fun implicit_pre_23_17 () Int)
(declare-fun implicit_23_17 () Int)
(declare-fun elements_pre_25_61_37 () Int)
(declare-fun elements_25_61_37 () Int)
(declare-fun parent_pre_13_59_18 () Int)
(declare-fun parent_13_59_18 () Int)
(declare-fun tmodifiers_pre_28_31 () Int)
(declare-fun tmodifiers_28_31 () Int)
(declare-fun locThrowsKeyword_pre_48_13 () Int)
(declare-fun locThrowsKeyword_48_13 () Int)
(declare-fun hasParent_pre_4_149_30 () Int)
(declare-fun hasParent_4_149_30 () Int)
(declare-fun type_pre_24_35_28 () Int)
(declare-fun type_24_35_28 () Int)
(declare-fun locOpenBrace_pre_17_22_13 () Int)
(declare-fun locOpenBrace_17_22_13 () Int)
(declare-fun count_pre_21_67_33 () Int)
(declare-fun count_21_67_33 () Int)
(declare-fun elements_pre_21_61_47 () Int)
(declare-fun elements_21_61_47 () Int)
(declare-fun count_pre_25_67_33 () Int)
(declare-fun count_25_67_33 () Int)
(declare-fun body_pre_34_19 () Int)
(declare-fun body_34_19 () Int)
(declare-fun locId_pre_24_38_13 () Int)
(declare-fun locId_24_38_13 () Int)
(declare-fun locCloseBrace_pre_17_25_13 () Int)
(declare-fun locCloseBrace_17_25_13 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun EC_84_11_84_11 () Int)
(declare-fun i_loopold_86_16 () Int)
(declare-fun EC_loopold () Int)
(declare-fun this_86_43_86_8_0_86_43 () Int)
(declare-fun RES_86_8_0_86_43_86_43 () Int)
(declare-fun EC_86_8_0_86_43_86_43 () Int)
(declare-fun tmp1_pmodifiers_86_8_0_87_11 () Int)
(declare-fun RES_86_8_0_87_27_87_27 () Int)
(declare-fun EC_86_8_0_87_27_87_27 () Int)
(declare-fun EC_86_8_0_87_40_87_40 () Int)
(declare-fun i_86_8_0_86_51 () Int)
(declare-fun RES () Int)
(declare-fun this_86_43_86_8_1_86_43 () Int)
(declare-fun RES_86_8_1_86_43_86_43 () Int)
(declare-fun EC_86_8_1_86_43_86_43 () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun RES_84_11_84_11 () Int)
(declare-fun EC_loopold_1_ () Int)
(declare-fun i_loopold_89_16 () Int)
(declare-fun this_89_43_89_8_0_89_43 () Int)
(declare-fun RES_89_8_0_89_43_89_43 () Int)
(declare-fun EC_89_8_0_89_43_89_43 () Int)
(declare-fun tmp4_tmodifiers_89_8_0_90_11 () Int)
(declare-fun RES_89_8_0_90_27_90_27 () Int)
(declare-fun EC_89_8_0_90_27_90_27 () Int)
(declare-fun EC_89_8_0_90_40_90_40 () Int)
(declare-fun i_89_8_0_89_51 () Int)
(declare-fun RES_3_ () Int)
(declare-fun this_89_43_89_8_1_89_43 () Int)
(declare-fun RES_89_8_1_89_43_89_43 () Int)
(declare-fun EC_89_8_1_89_43_89_43 () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun RES_5_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun EC_loopold_2_ () Int)
(declare-fun i_loopold_91_13 () Int)
(declare-fun this_91_34_91_5_0_91_34 () Int)
(declare-fun RES_91_5_0_91_34_91_34 () Int)
(declare-fun EC_91_5_0_91_34_91_34 () Int)
(declare-fun tmp7_args_91_5_0_92_8 () Int)
(declare-fun RES_91_5_0_92_18_92_18 () Int)
(declare-fun EC_91_5_0_92_18_92_18 () Int)
(declare-fun RES_6_ () Int)
(declare-fun EC_91_5_0_92_31_92_31 () Int)
(declare-fun i_91_5_0_91_42 () Int)
(declare-fun this_91_34_91_5_1_91_34 () Int)
(declare-fun RES_91_5_1_91_34_91_34 () Int)
(declare-fun EC_91_5_1_91_34_91_34 () Int)
(declare-fun RES_7_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun EC_loopold_3_ () Int)
(declare-fun i_loopold_93_13 () Int)
(declare-fun this_93_36_93_5_0_93_36 () Int)
(declare-fun RES_93_5_0_93_36_93_36 () Int)
(declare-fun EC_93_5_0_93_36_93_36 () Int)
(declare-fun tmp10_raises_93_5_0_94_8 () Int)
(declare-fun RES_93_5_0_94_20_94_20 () Int)
(declare-fun EC_93_5_0_94_20_94_20 () Int)
(declare-fun EC_93_5_0_94_33_94_33 () Int)
(declare-fun i_93_5_0_93_44 () Int)
(declare-fun this_93_36_93_5_1_93_36 () Int)
(declare-fun RES_93_5_1_93_36_93_36 () Int)
(declare-fun EC_93_5_1_93_36_93_36 () Int)
(declare-fun EC_5_ () Int)
(declare-fun this_96_18_96_18 () Int)
(declare-fun EC_96_18_96_18 () Int)
(declare-fun EC_6_ () Int)
(declare-fun EC_97_5_97_5 () Int)
(declare-fun EC_84_11 () Int)
(declare-fun EC_84_11_1_ () Int)
(assert (let ((?v_74 (= EC_84_11_84_11 ecReturn)) (?v_2 (S_select pmodifiers_26_27 this))) (let ((?v_1 (not (= ?v_2 null))) (?v_0 (= true_term true_term)) (?v_16 (= 0 i_loopold_86_16)) (?v_17 (= EC_84_11_84_11 EC_loopold))) (let ((?v_15 (not ?v_1)) (?v_7 (= this_86_43_86_8_0_86_43 ?v_2)) (?v_8 (= true_term (is RES_86_8_0_86_43_86_43 T_int))) (?v_3 (= EC_86_8_0_86_43_86_43 ecReturn))) (let ((?v_9 (=> ?v_3 (= RES_86_8_0_86_43_86_43 (S_select count_19_67_33 this_86_43_86_8_0_86_43)))) (?v_10 (< 0 RES_86_8_0_86_43_86_43)) (?v_11 (= tmp1_pmodifiers_86_8_0_87_11 ?v_2)) (?v_4 (not (= tmp1_pmodifiers_86_8_0_87_11 null))) (?v_25 (<= 0 0)) (?v_12 (= true_term (is RES_86_8_0_87_27_87_27 T_javafe_ast_ModifierPragma))) (?v_13 (= true_term (isAllocated RES_86_8_0_87_27_87_27 alloc))) (?v_5 (= EC_86_8_0_87_27_87_27 ecReturn)) (?v_6 (not (= RES_86_8_0_87_27_87_27 null)))) (let ((?v_14 (=> ?v_5 ?v_6)) (?v_18 (= EC_86_8_0_87_40_87_40 ecReturn)) (?v_36 (+ 0 1))) (let ((?v_19 (= i_86_8_0_86_51 ?v_36)) (?v_20 (= EC_86_8_1_86_43_86_43 ecReturn))) (let ((?v_86 (or (and ?v_0 ?v_1 ?v_7 ?v_8 ?v_3 ?v_9 (not ?v_10) (= RES RES_86_8_0_86_43_86_43)) (and ?v_0 ?v_1 ?v_7 ?v_8 ?v_3 ?v_9 ?v_10 ?v_11 ?v_4 ?v_12 ?v_13 ?v_5 ?v_14 ?v_6 ?v_18 ?v_19 ?v_0 ?v_1 (= this_86_43_86_8_1_86_43 ?v_2) (= true_term (is RES_86_8_1_86_43_86_43 T_int)) ?v_20 (=> ?v_20 (= RES_86_8_1_86_43_86_43 (S_select count_19_67_33 this_86_43_86_8_1_86_43))) (not (< i_86_8_0_86_51 RES_86_8_1_86_43_86_43)) (= RES RES_86_8_1_86_43_86_43)))) (?v_87 (= L_86_8 L_86_8))) (let ((?v_75 (or (and ?v_1 ?v_0 ?v_16 ?v_17 ?v_86 ?v_87 (= RES_1_ RES) (= EC L_86_8) (= RES_2_ RES_1_) (= EC_1_ EC)) (and ?v_15 ?v_0 (= RES_2_ RES_84_11_84_11) (= EC_1_ EC_84_11_84_11)))) (?v_22 (S_select tmodifiers_28_31 this))) (let ((?v_21 (not (= ?v_22 null))) (?v_38 (= EC_1_ EC_loopold_1_)) (?v_39 (= 0 i_loopold_89_16))) (let ((?v_37 (not ?v_21)) (?v_28 (= this_89_43_89_8_0_89_43 ?v_22)) (?v_29 (= true_term (is RES_89_8_0_89_43_89_43 T_int))) (?v_23 (= EC_89_8_0_89_43_89_43 ecReturn))) (let ((?v_30 (=> ?v_23 (= RES_89_8_0_89_43_89_43 (S_select count_21_67_33 this_89_43_89_8_0_89_43)))) (?v_31 (< 0 RES_89_8_0_89_43_89_43)) (?v_32 (= tmp4_tmodifiers_89_8_0_90_11 ?v_22)) (?v_24 (not (= tmp4_tmodifiers_89_8_0_90_11 null))) (?v_33 (= true_term (is RES_89_8_0_90_27_90_27 T_javafe_ast_TypeModifierPragma))) (?v_34 (= true_term (isAllocated RES_89_8_0_90_27_90_27 alloc))) (?v_26 (= EC_89_8_0_90_27_90_27 ecReturn)) (?v_27 (not (= RES_89_8_0_90_27_90_27 null)))) (let ((?v_35 (=> ?v_26 ?v_27)) (?v_40 (= EC_89_8_0_90_40_90_40 ecReturn)) (?v_41 (= i_89_8_0_89_51 ?v_36)) (?v_42 (= EC_89_8_1_89_43_89_43 ecReturn))) (let ((?v_88 (or (and ?v_0 ?v_21 ?v_28 ?v_29 ?v_23 ?v_30 (not ?v_31) (= RES_3_ RES_89_8_0_89_43_89_43)) (and ?v_0 ?v_21 ?v_28 ?v_29 ?v_23 ?v_30 ?v_31 ?v_32 ?v_24 ?v_33 ?v_34 ?v_26 ?v_35 ?v_27 ?v_40 ?v_41 ?v_0 ?v_21 (= this_89_43_89_8_1_89_43 ?v_22) (= true_term (is RES_89_8_1_89_43_89_43 T_int)) ?v_42 (=> ?v_42 (= RES_89_8_1_89_43_89_43 (S_select count_21_67_33 this_89_43_89_8_1_89_43))) (not (< i_89_8_0_89_51 RES_89_8_1_89_43_89_43)) (= RES_3_ RES_89_8_1_89_43_89_43)))) (?v_89 (= L_89_8 L_89_8))) (let ((?v_76 (or (and ?v_21 ?v_0 ?v_38 ?v_39 ?v_88 ?v_89 (= RES_4_ RES_3_) (= EC_2_ L_89_8) (= RES_5_ RES_4_) (= EC_3_ EC_2_)) (and ?v_37 ?v_0 (= RES_5_ RES_2_) (= EC_3_ EC_1_)))) (?v_47 (= EC_3_ EC_loopold_2_)) (?v_48 (= 0 i_loopold_91_13)) (?v_44 (S_select args_30_41 this))) (let ((?v_49 (= this_91_34_91_5_0_91_34 ?v_44)) (?v_50 (= true_term (is RES_91_5_0_91_34_91_34 T_int))) (?v_43 (= EC_91_5_0_91_34_91_34 ecReturn))) (let ((?v_51 (=> ?v_43 (= RES_91_5_0_91_34_91_34 (S_select count_16_67_33 this_91_34_91_5_0_91_34)))) (?v_52 (< 0 RES_91_5_0_91_34_91_34)) (?v_53 (= tmp7_args_91_5_0_92_8 ?v_44)) (?v_54 (= true_term (is RES_91_5_0_92_18_92_18 T_javafe_ast_FormalParaDecl))) (?v_55 (= true_term (isAllocated RES_91_5_0_92_18_92_18 alloc))) (?v_45 (= EC_91_5_0_92_18_92_18 ecReturn)) (?v_46 (not (= RES_91_5_0_92_18_92_18 null)))) (let ((?v_56 (=> ?v_45 ?v_46)) (?v_57 (= EC_91_5_1_91_34_91_34 ecReturn))) (let ((?v_77 (or (and ?v_0 ?v_49 ?v_50 ?v_43 ?v_51 (not ?v_52) (= RES_6_ RES_91_5_0_91_34_91_34)) (and ?v_0 ?v_49 ?v_50 ?v_43 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_45 ?v_56 ?v_46 (= EC_91_5_0_92_31_92_31 ecReturn) (= i_91_5_0_91_42 ?v_36) ?v_0 (= this_91_34_91_5_1_91_34 ?v_44) (= true_term (is RES_91_5_1_91_34_91_34 T_int)) ?v_57 (=> ?v_57 (= RES_91_5_1_91_34_91_34 (S_select count_16_67_33 this_91_34_91_5_1_91_34))) (not (< i_91_5_0_91_42 RES_91_5_1_91_34_91_34)) (= RES_6_ RES_91_5_1_91_34_91_34)))) (?v_78 (= L_91_5 L_91_5)) (?v_79 (= RES_7_ RES_6_)) (?v_80 (= EC_4_ L_91_5)) (?v_62 (= EC_4_ EC_loopold_3_)) (?v_63 (= 0 i_loopold_93_13)) (?v_59 (S_select raises_32_35 this))) (let ((?v_64 (= this_93_36_93_5_0_93_36 ?v_59)) (?v_65 (= true_term (is RES_93_5_0_93_36_93_36 T_int))) (?v_58 (= EC_93_5_0_93_36_93_36 ecReturn))) (let ((?v_66 (=> ?v_58 (= RES_93_5_0_93_36_93_36 (S_select count_25_67_33 this_93_36_93_5_0_93_36)))) (?v_67 (< 0 RES_93_5_0_93_36_93_36)) (?v_68 (= tmp10_raises_93_5_0_94_8 ?v_59)) (?v_69 (= true_term (is RES_93_5_0_94_20_94_20 T_javafe_ast_TypeName))) (?v_70 (= true_term (isAllocated RES_93_5_0_94_20_94_20 alloc))) (?v_60 (= EC_93_5_0_94_20_94_20 ecReturn)) (?v_61 (not (= RES_93_5_0_94_20_94_20 null)))) (let ((?v_71 (=> ?v_60 ?v_61)) (?v_72 (= EC_93_5_1_93_36_93_36 ecReturn))) (let ((?v_81 (or (and ?v_0 ?v_64 ?v_65 ?v_58 ?v_66 (not ?v_67)) (and ?v_0 ?v_64 ?v_65 ?v_58 ?v_66 ?v_67 ?v_68 ?v_69 ?v_70 ?v_60 ?v_71 ?v_61 (= EC_93_5_0_94_33_94_33 ecReturn) (= i_93_5_0_93_44 ?v_36) ?v_0 (= this_93_36_93_5_1_93_36 ?v_59) (= true_term (is RES_93_5_1_93_36_93_36 T_int)) ?v_72 (=> ?v_72 (= RES_93_5_1_93_36_93_36 (S_select count_25_67_33 this_93_36_93_5_1_93_36))) (not (< i_93_5_0_93_44 RES_93_5_1_93_36_93_36))))) (?v_82 (= L_93_5 L_93_5)) (?v_83 (= EC_5_ L_93_5)) (?v_84 (S_select body_34_19 this))) (let ((?v_73 (not (= ?v_84 null)))) (let ((?v_85 (not ?v_73)) (?v_90 (= EC_84_11 ecReturn))) (not (=> (distinct L_91_5 ecReturn L_93_5 L_86_8 L_89_8) (=> (and (= loc_pre_13_45_13 loc_13_45_13) (= loc_13_45_13 (asField loc_13_45_13 T_int)) (= args_pre_30_41 args_30_41) (= args_30_41 (asField args_30_41 T_javafe_ast_FormalParaDeclVec)) (< (fClosedTime args_30_41) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select args_30_41 ?s) null)))) (= loc_pre_40_13 loc_40_13) (= loc_40_13 (asField loc_40_13 T_int)) (= NULL_pre_15_60_26 NULL_15_60_26) (= true_term (is NULL_15_60_26 T_int)) (= modifiers_pre_24_13 modifiers_24_13) (= modifiers_24_13 (asField modifiers_24_13 T_int)) (= elements_pre_19_61_43 elements_19_61_43) (= elements_19_61_43 (asField elements_19_61_43 (array T_javafe_ast_ModifierPragma))) (< (fClosedTime elements_19_61_43) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_19_61_43 ?s_1_) null)))) (= locId_pre_43_13 locId_43_13) (= locId_43_13 (asField locId_43_13 T_int)) (= locId_pre_13_48_13 locId_13_48_13) (= locId_13_48_13 (asField locId_13_48_13 T_int)) (= locOpenBrace_pre_36_13 locOpenBrace_36_13) (= locOpenBrace_36_13 (asField locOpenBrace_36_13 T_int)) (= parent_pre_21_18 parent_21_18) (= parent_21_18 (asField parent_21_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_21_18) alloc) (= count_pre_19_67_33 count_19_67_33) (= count_19_67_33 (asField count_19_67_33 T_int)) (= pmodifiers_pre_26_27 pmodifiers_26_27) (= pmodifiers_26_27 (asField pmodifiers_26_27 T_javafe_ast_ModifierPragmaVec)) (< (fClosedTime pmodifiers_26_27) alloc) (= locOpenBrace_pre_13_51_13 locOpenBrace_13_51_13) (= locOpenBrace_13_51_13 (asField locOpenBrace_13_51_13 T_int)) (= locCloseBrace_pre_13_54_13 locCloseBrace_13_54_13) (= locCloseBrace_13_54_13 (asField locCloseBrace_13_54_13 T_int)) (= count_pre_16_67_33 count_16_67_33) (= count_16_67_33 (asField count_16_67_33 T_int)) (= I_will_establish_invariants_afterwards_pre_5_236_34 I_will_establish_invariants_afterwards_5_236_34) (= true_term (is I_will_establish_invariants_afterwards_5_236_34 T_boolean)) (= syntax_pre_27_28_29 syntax_27_28_29) (= syntax_27_28_29 (asField syntax_27_28_29 T_boolean)) (= raises_pre_32_35 raises_32_35) (= raises_32_35 (asField raises_32_35 T_javafe_ast_TypeNameVec)) (< (fClosedTime raises_32_35) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select raises_32_35 ?s_2_) null)))) (= elements_pre_16_61_43 elements_16_61_43) (= elements_16_61_43 (asField elements_16_61_43 (array T_javafe_ast_FormalParaDecl))) (< (fClosedTime elements_16_61_43) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elements_16_61_43 ?s_3_) null)))) (= owner_pre_8_35_28 owner_8_35_28) (= owner_8_35_28 (asField owner_8_35_28 T_java_lang_Object)) (< (fClosedTime owner_8_35_28) alloc) (= implicit_pre_23_17 implicit_23_17) (= implicit_23_17 (asField implicit_23_17 T_boolean)) (= elements_pre_25_61_37 elements_25_61_37) (= elements_25_61_37 (asField elements_25_61_37 (array T_javafe_ast_TypeName))) (< (fClosedTime elements_25_61_37) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select elements_25_61_37 ?s_4_) null)))) (= parent_pre_13_59_18 parent_13_59_18) (= parent_13_59_18 (asField parent_13_59_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_13_59_18) alloc) (= tmodifiers_pre_28_31 tmodifiers_28_31) (= tmodifiers_28_31 (asField tmodifiers_28_31 T_javafe_ast_TypeModifierPragmaVec)) (< (fClosedTime tmodifiers_28_31) alloc) (= locThrowsKeyword_pre_48_13 locThrowsKeyword_48_13) (= locThrowsKeyword_48_13 (asField locThrowsKeyword_48_13 T_int)) (= hasParent_pre_4_149_30 hasParent_4_149_30) (= hasParent_4_149_30 (asField hasParent_4_149_30 T_boolean)) (= type_pre_24_35_28 type_24_35_28) (= type_24_35_28 (asField type_24_35_28 T_javafe_ast_Type)) (< (fClosedTime type_24_35_28) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select type_24_35_28 ?s_5_) null)))) (= locOpenBrace_pre_17_22_13 locOpenBrace_17_22_13) (= locOpenBrace_17_22_13 (asField locOpenBrace_17_22_13 T_int)) (= count_pre_21_67_33 count_21_67_33) (= count_21_67_33 (asField count_21_67_33 T_int)) (= elements_pre_21_61_47 elements_21_61_47) (= elements_21_61_47 (asField elements_21_61_47 (array T_javafe_ast_TypeModifierPragma))) (< (fClosedTime elements_21_61_47) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select elements_21_61_47 ?s_6_) null)))) (= count_pre_25_67_33 count_25_67_33) (= count_25_67_33 (asField count_25_67_33 T_int)) (= body_pre_34_19 body_34_19) (= body_34_19 (asField body_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_34_19) alloc) (= locId_pre_24_38_13 locId_24_38_13) (= locId_24_38_13 (asField locId_24_38_13 T_int)) (= locCloseBrace_pre_17_25_13 locCloseBrace_17_25_13) (= locCloseBrace_17_25_13 (asField locCloseBrace_17_25_13 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_ast_RoutineDecl)) (= true_term (isAllocated this alloc)) (not (= this null)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_FormalParaDeclVec)) (not (= ?brokenObj null))) (= (typeof (S_select elements_16_61_43 ?brokenObj)) (array T_javafe_ast_FormalParaDecl)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_1_ null))) (= (S_select owner_8_35_28 (S_select elements_25_61_37 ?brokenObj_1_)) ?brokenObj_1_))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_2_ null))) (= (S_select owner_8_35_28 (S_select elements_21_61_47 ?brokenObj_2_)) ?brokenObj_2_))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_3_ null))) (forall ((?i_25_62_31 Int)) (=> (and (<= 0 ?i_25_62_31) (< ?i_25_62_31 (S_select count_25_67_33 ?brokenObj_3_))) (not (= (S_select (S_select elems (S_select elements_25_61_37 ?brokenObj_3_)) ?i_25_62_31) null)))))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_4_ null))) (not (= (S_select locOpenBrace_17_22_13 ?brokenObj_4_) NULL_15_60_26)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_5_ null)) (not (= (S_select body_34_19 ?brokenObj_5_) null))) (not (= (S_select locOpenBrace_36_13 ?brokenObj_5_) NULL_15_60_26)))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_6_ null))) (forall ((?i_21_62_31 Int)) (=> (and (<= 0 ?i_21_62_31) (< ?i_21_62_31 (S_select count_21_67_33 ?brokenObj_6_))) (not (= (S_select (S_select elems (S_select elements_21_61_47 ?brokenObj_6_)) ?i_21_62_31) null)))))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_7_ null))) (<= 0 (S_select count_19_67_33 ?brokenObj_7_)))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_8_ null))) (<= (S_select count_21_67_33 ?brokenObj_8_) (arrayLength (S_select elements_21_61_47 ?brokenObj_8_))))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_9_ null))) (<= (S_select count_25_67_33 ?brokenObj_9_) (arrayLength (S_select elements_25_61_37 ?brokenObj_9_))))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_ast_FormalParaDeclVec)) (not (= ?brokenObj_10_ null))) (<= 0 (S_select count_16_67_33 ?brokenObj_10_)))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_11_ null))) (not (= (S_select locId_24_38_13 ?brokenObj_11_) NULL_15_60_26)))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_12_ null))) (not (= (S_select locCloseBrace_17_25_13 ?brokenObj_12_) NULL_15_60_26)))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_13_ null))) (= (typeof (S_select elements_25_61_37 ?brokenObj_13_)) (array T_javafe_ast_TypeName)))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_14_ null))) (not (= (S_select loc_13_45_13 ?brokenObj_14_) NULL_15_60_26)))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_15_ null))) (= (typeof (S_select elements_21_61_47 ?brokenObj_15_)) (array T_javafe_ast_TypeModifierPragma)))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_16_ null))) (= (S_select owner_8_35_28 (S_select elements_19_61_43 ?brokenObj_16_)) ?brokenObj_16_))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_17_ null))) (not (= (S_select loc_40_13 ?brokenObj_17_) NULL_15_60_26)))) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_18_ null))) (not (= (S_select locId_43_13 ?brokenObj_18_) NULL_15_60_26)))) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_19_ null))) (forall ((?i_19_62_31 Int)) (=> (and (<= 0 ?i_19_62_31) (< ?i_19_62_31 (S_select count_19_67_33 ?brokenObj_19_))) (not (= (S_select (S_select elems (S_select elements_19_61_43 ?brokenObj_19_)) ?i_19_62_31) null)))))) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_ast_FormalParaDeclVec)) (not (= ?brokenObj_20_ null))) (= (S_select owner_8_35_28 (S_select elements_16_61_43 ?brokenObj_20_)) ?brokenObj_20_))) (forall ((?brokenObj_21_ Int)) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_21_ null))) (not (= (S_select locId_13_48_13 ?brokenObj_21_) NULL_15_60_26)))) (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_22_ null))) (<= 0 (S_select count_21_67_33 ?brokenObj_22_)))) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_23_ null))) (<= 0 (S_select count_25_67_33 ?brokenObj_23_)))) (forall ((?brokenObj_24_ Int)) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_ast_FormalParaDeclVec)) (not (= ?brokenObj_24_ null))) (forall ((?i_16_62_31 Int)) (=> (and (<= 0 ?i_16_62_31) (< ?i_16_62_31 (S_select count_16_67_33 ?brokenObj_24_))) (not (= (S_select (S_select elems (S_select elements_16_61_43 ?brokenObj_24_)) ?i_16_62_31) null)))))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_25_ null))) (<= (S_select count_19_67_33 ?brokenObj_25_) (arrayLength (S_select elements_19_61_43 ?brokenObj_25_))))) (forall ((?brokenObj_26_ Int)) (=> (and (= true_term (is ?brokenObj_26_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_26_ null))) (not (= (S_select locCloseBrace_13_54_13 ?brokenObj_26_) NULL_15_60_26)))) (forall ((?brokenObj_27_ Int)) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_27_ null))) (not (= (S_select locOpenBrace_13_51_13 ?brokenObj_27_) NULL_15_60_26)))) (forall ((?brokenObj_28_ Int)) (=> (and (= true_term (is ?brokenObj_28_ T_javafe_ast_FormalParaDeclVec)) (not (= ?brokenObj_28_ null))) (<= (S_select count_16_67_33 ?brokenObj_28_) (arrayLength (S_select elements_16_61_43 ?brokenObj_28_))))) (forall ((?brokenObj_29_ Int)) (=> (and (= true_term (is ?brokenObj_29_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_29_ null))) (= (typeof (S_select elements_19_61_43 ?brokenObj_29_)) (array T_javafe_ast_ModifierPragma)))) (or (and ?v_74 (or (and ?v_1 ?v_0 ?v_16 ?v_17 (or (and ?v_0 (or ?v_15 (and ?v_1 ?v_7 ?v_8 ?v_3 ?v_9 ?v_10 ?v_11 (or (not ?v_4) (and ?v_4 (or (not (and ?v_25 (< 0 (S_select count_19_67_33 tmp1_pmodifiers_86_8_0_87_11)))) (and ?v_12 ?v_13 ?v_5 ?v_14 (not ?v_6)))))))) (and ?v_0 ?v_1 ?v_7 ?v_8 ?v_3 ?v_9 ?v_10 ?v_11 ?v_4 ?v_12 ?v_13 ?v_5 ?v_14 ?v_6 ?v_18 ?v_19 ?v_0 ?v_15))) (and ?v_75 (or (and ?v_21 ?v_0 ?v_38 ?v_39 (or (and ?v_0 (or ?v_37 (and ?v_21 ?v_28 ?v_29 ?v_23 ?v_30 ?v_31 ?v_32 (or (not ?v_24) (and ?v_24 (or (not (and ?v_25 (< 0 (S_select count_21_67_33 tmp4_tmodifiers_89_8_0_90_11)))) (and ?v_33 ?v_34 ?v_26 ?v_35 (not ?v_27)))))))) (and ?v_0 ?v_21 ?v_28 ?v_29 ?v_23 ?v_30 ?v_31 ?v_32 ?v_24 ?v_33 ?v_34 ?v_26 ?v_35 ?v_27 ?v_40 ?v_41 ?v_0 ?v_37))) (and ?v_76 (or (and ?v_47 ?v_48 ?v_0 ?v_49 ?v_50 ?v_43 ?v_51 ?v_52 ?v_53 (or (not (and ?v_25 (< 0 (S_select count_16_67_33 tmp7_args_91_5_0_92_8)))) (and ?v_54 ?v_55 ?v_45 ?v_56 (not ?v_46)))) (and ?v_47 ?v_48 ?v_77 ?v_78 ?v_79 ?v_80 (or (and ?v_62 ?v_63 ?v_0 ?v_64 ?v_65 ?v_58 ?v_66 ?v_67 ?v_68 (or (not (and ?v_25 (< 0 (S_select count_25_67_33 tmp10_raises_93_5_0_94_8)))) (and ?v_69 ?v_70 ?v_60 ?v_71 (not ?v_61)))) (and ?v_62 ?v_63 ?v_81 ?v_82 ?v_83 ?v_73 ?v_0 ?v_85))))))))) (and (or (and ?v_74 ?v_75 ?v_76 ?v_47 ?v_48 ?v_77 ?v_78 ?v_79 ?v_80 ?v_62 ?v_63 ?v_81 ?v_82 ?v_83 (or (and ?v_73 ?v_0 ?v_73 (= this_96_18_96_18 ?v_84) (= EC_96_18_96_18 ecReturn) (= EC_6_ EC_96_18_96_18)) (and ?v_85 ?v_0 (= EC_6_ EC_5_))) (= EC_97_5_97_5 ecReturn) ?v_90) (and ?v_74 (or (and ?v_1 ?v_0 ?v_16 ?v_17 ?v_86 (not ?v_87) (= EC_84_11_1_ L_86_8)) (and ?v_75 (or (and ?v_21 ?v_0 ?v_38 ?v_39 ?v_88 (not ?v_89) (= EC_84_11_1_ L_89_8)) (and ?v_76 (or (and ?v_47 ?v_48 ?v_77 (not ?v_78) (= EC_84_11_1_ L_91_5)) (and ?v_47 ?v_48 ?v_77 ?v_78 ?v_79 ?v_80 ?v_62 ?v_63 ?v_81 (not ?v_82) (= EC_84_11_1_ L_93_5))))))) (= EC_84_11 EC_84_11_1_))) (not ?v_90)))))))))))))))))))))))))))))))))
(check-sat)
(exit)
