(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_lang_IndexOutOfBoundsException () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_ArrayIndexOutOfBoundsException () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_StringBuffer () Int)
(declare-fun T_javafe_ast_StmtVec () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(assert (and (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException) true_term) (= T_java_lang_IndexOutOfBoundsException (asChild T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_ArrayIndexOutOfBoundsException T_java_lang_IndexOutOfBoundsException) true_term) (= T_java_lang_ArrayIndexOutOfBoundsException (asChild T_java_lang_ArrayIndexOutOfBoundsException T_java_lang_IndexOutOfBoundsException)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_StringBuffer T_java_lang_Object) true_term) (= T_java_lang_StringBuffer (asChild T_java_lang_StringBuffer T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_StringBuffer) true_term) (= ?t T_java_lang_StringBuffer))) (= (PO_LT T_java_lang_StringBuffer T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_StmtVec T_java_lang_Object) true_term) (= T_javafe_ast_StmtVec (asChild T_javafe_ast_StmtVec T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_lang_Exception (+ DIST_ZERO_1 10)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 11)) (= T_javafe_util_Assert (+ DIST_ZERO_1 12)) (= T_java_util_Properties (+ DIST_ZERO_1 13)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 14)) (= T_java_lang_IndexOutOfBoundsException (+ DIST_ZERO_1 15)) (= T_java_util_Dictionary (+ DIST_ZERO_1 16)) (= T_java_lang_ArrayIndexOutOfBoundsException (+ DIST_ZERO_1 17)) (= T_java_util_Map (+ DIST_ZERO_1 18)) (= T_java_io_Serializable (+ DIST_ZERO_1 19)) (= T_java_lang_StringBuffer (+ DIST_ZERO_1 20)) (= T_javafe_ast_StmtVec (+ DIST_ZERO_1 21)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 22)) (= T_java_util_Vector (+ DIST_ZERO_1 23)) (= T_java_util_Hashtable (+ DIST_ZERO_1 24)) (= T_java_lang_System (+ DIST_ZERO_1 25)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 26)) (= T_java_lang_String (+ DIST_ZERO_1 27)) (= T_java_lang_Object (+ DIST_ZERO_1 28)) (= T_java_util_AbstractList (+ DIST_ZERO_1 29)) (= T_java_util_List (+ DIST_ZERO_1 30)) (= T_java_lang_Throwable (+ DIST_ZERO_1 31)) (= T_java_util_Collection (+ DIST_ZERO_1 32)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 33)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 34)) (= T_java_lang_Comparable (+ DIST_ZERO_1 35)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 36)))))
(declare-fun ecReturn () Int)
(declare-fun L_188_1 () Int)
(declare-fun elementCount_pre_19_79_33 () Int)
(declare-fun elementCount_19_79_33 () Int)
(declare-fun elementData_pre_10_79_35 () Int)
(declare-fun elementData_10_79_35 () Int)
(declare-fun count_pre_67_33 () Int)
(declare-fun count_67_33 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun elementType_pre_19_43_27 () Int)
(declare-fun elementType_19_43_27 () Int)
(declare-fun containsNull_pre_12_70_29 () Int)
(declare-fun containsNull_12_70_29 () Int)
(declare-fun elements_pre_19_72_21 () Int)
(declare-fun elements_19_72_21 () Int)
(declare-fun elements_pre_61_33 () Int)
(declare-fun elements_61_33 () Int)
(declare-fun elementType_pre_12_65_27 () Int)
(declare-fun elementType_12_65_27 () Int)
(declare-fun elementCount_pre_10_90_35 () Int)
(declare-fun elementCount_10_90_35 () Int)
(declare-fun currentStackBottom_pre_19_87_33 () Int)
(declare-fun currentStackBottom_19_87_33 () Int)
(declare-fun vectorCount_pre_19_97_33 () Int)
(declare-fun vectorCount_19_97_33 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun after_186_18_186_18 () Int)
(declare-fun RES_186_18_186_18 () Int)
(declare-fun EC_186_18_186_18 () Int)
(declare-fun RES_187_3_187_3 () Int)
(declare-fun EC_187_3_187_3 () Int)
(declare-fun i_loopold_188_9 () Int)
(declare-fun EC_loopold () Int)
(declare-fun RES_188_1_0_189_7_189_7 () Int)
(declare-fun EC_188_1_0_189_7_189_7 () Int)
(declare-fun this_193_23_188_1_0_193_23 () Int)
(declare-fun RES_188_1_0_193_23_193_23 () Int)
(declare-fun EC_188_1_0_193_23_193_23 () Int)
(declare-fun RES () Int)
(declare-fun RES_188_1_0_191_4_191_4 () Int)
(declare-fun EC_188_1_0_191_4_191_4 () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC () Int)
(declare-fun RES_188_1_0_193_4_193_4 () Int)
(declare-fun EC_188_1_0_193_4_193_4 () Int)
(declare-fun i_188_1_0_188_27 () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun RES_195_3_195_3 () Int)
(declare-fun EC_195_3_195_3 () Int)
(declare-fun RES_186_18 () Int)
(declare-fun EC_186_18 () Int)
(declare-fun RES_196_10_196_10 () Int)
(declare-fun EC_196_10_196_10 () Int)
(assert (let ((?v_0 (array T_java_lang_Object)) (?v_24 (< alloc after_186_18_186_18)) (?v_1 (not (= RES_186_18_186_18 null))) (?v_25 (not (= true_term (isAllocated RES_186_18_186_18 alloc)))) (?v_26 (= true_term (is RES_186_18_186_18 T_java_lang_StringBuffer))) (?v_27 (= true_term (isAllocated RES_186_18_186_18 after_186_18_186_18))) (?v_28 (= EC_186_18_186_18 ecReturn)) (?v_29 (= (S_select owner_4_35_28 RES_186_18_186_18) null)) (?v_30 (= (typeof RES_186_18_186_18) T_java_lang_StringBuffer))) (let ((?v_2 (not ?v_1)) (?v_31 (= true_term (is RES_187_3_187_3 T_java_lang_StringBuffer))) (?v_32 (= true_term (isAllocated RES_187_3_187_3 after_186_18_186_18))) (?v_33 (= EC_187_3_187_3 ecReturn)) (?v_13 (= 0 i_loopold_188_9)) (?v_14 (= EC_187_3_187_3 EC_loopold)) (?v_6 (= true_term true_term)) (?v_23 (S_select count_67_33 this))) (let ((?v_15 (< 0 ?v_23)) (?v_16 (= true_term (is RES_188_1_0_189_7_189_7 T_java_lang_StringBuffer))) (?v_17 (= true_term (isAllocated RES_188_1_0_189_7_189_7 after_186_18_186_18))) (?v_18 (= EC_188_1_0_189_7_189_7 ecReturn)) (?v_3 (<= 0 0))) (let ((?v_8 (not ?v_3)) (?v_5 (S_select elements_61_33 this))) (let ((?v_4 (< 0 (arrayLength ?v_5)))) (let ((?v_9 (not ?v_4)) (?v_11 (S_select (S_select elems ?v_5) 0))) (let ((?v_7 (= ?v_11 null))) (let ((?v_10 (not ?v_7)) (?v_19 (= this_193_23_188_1_0_193_23 ?v_11)) (?v_20 (= true_term (is RES_188_1_0_193_23_193_23 T_java_lang_String))) (?v_21 (= true_term (isAllocated RES_188_1_0_193_23_193_23 after_186_18_186_18))) (?v_12 (= EC_188_1_0_193_23_193_23 ecReturn))) (let ((?v_22 (=> ?v_12 (not (= RES_188_1_0_193_23_193_23 null))))) (let ((?v_34 (or (and ?v_6 (not ?v_15) (= RES RES_187_3_187_3)) (and ?v_6 ?v_15 ?v_1 ?v_16 ?v_17 ?v_18 ?v_3 ?v_4 (or (and ?v_7 ?v_6 ?v_1 (= true_term (is RES_188_1_0_191_4_191_4 T_java_lang_StringBuffer)) (= true_term (isAllocated RES_188_1_0_191_4_191_4 after_186_18_186_18)) (= EC_188_1_0_191_4_191_4 ecReturn) (= RES_1_ RES_188_1_0_191_4_191_4) (= EC EC_188_1_0_191_4_191_4)) (and ?v_10 ?v_6 ?v_3 ?v_4 ?v_10 ?v_19 ?v_20 ?v_21 ?v_12 ?v_22 ?v_1 (= true_term (is RES_188_1_0_193_4_193_4 T_java_lang_StringBuffer)) (= true_term (isAllocated RES_188_1_0_193_4_193_4 after_186_18_186_18)) (= EC_188_1_0_193_4_193_4 ecReturn) (= RES_1_ RES_188_1_0_193_4_193_4) (= EC EC_188_1_0_193_4_193_4))) (= i_188_1_0_188_27 (+ 0 1)) ?v_6 (not (< i_188_1_0_188_27 ?v_23)) (= RES RES_1_)))) (?v_35 (= L_188_1 L_188_1)) (?v_36 (= RES_2_ RES)) (?v_37 (= EC_1_ L_188_1)) (?v_38 (= true_term (is RES_195_3_195_3 T_java_lang_StringBuffer))) (?v_39 (= true_term (isAllocated RES_195_3_195_3 after_186_18_186_18))) (?v_40 (= EC_195_3_195_3 ecReturn)) (?v_41 (= EC_196_10_196_10 ecReturn)) (?v_42 (= EC_186_18 ecReturn))) (not (=> (distinct ecReturn L_188_1) (=> (and (= elementCount_pre_19_79_33 elementCount_19_79_33) (= elementCount_19_79_33 (asField elementCount_19_79_33 T_int)) (= elementData_pre_10_79_35 elementData_10_79_35) (= elementData_10_79_35 (asField elementData_10_79_35 ?v_0)) (< (fClosedTime elementData_10_79_35) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elementData_10_79_35 ?s) null)))) (= count_pre_67_33 count_67_33) (= count_67_33 (asField count_67_33 T_int)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= elementType_pre_19_43_27 elementType_19_43_27) (= elementType_19_43_27 (asField elementType_19_43_27 T__TYPE)) (= containsNull_pre_12_70_29 containsNull_12_70_29) (= containsNull_12_70_29 (asField containsNull_12_70_29 T_boolean)) (= elements_pre_19_72_21 elements_19_72_21) (= elements_19_72_21 (asField elements_19_72_21 ?v_0)) (< (fClosedTime elements_19_72_21) alloc) (= elements_pre_61_33 elements_61_33) (= elements_61_33 (asField elements_61_33 (array T_javafe_ast_Stmt))) (< (fClosedTime elements_61_33) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_61_33 ?s_1_) null)))) (= elementType_pre_12_65_27 elementType_12_65_27) (= elementType_12_65_27 (asField elementType_12_65_27 T__TYPE)) (= elementCount_pre_10_90_35 elementCount_10_90_35) (= elementCount_10_90_35 (asField elementCount_10_90_35 T_int)) (= currentStackBottom_pre_19_87_33 currentStackBottom_19_87_33) (= currentStackBottom_19_87_33 (asField currentStackBottom_19_87_33 T_int)) (= vectorCount_pre_19_97_33 vectorCount_19_97_33) (= vectorCount_19_97_33 (asField vectorCount_19_97_33 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_ast_StmtVec)) (= true_term (isAllocated this alloc)) (not (= this null)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_StmtVec)) (not (= ?brokenObj null))) (forall ((?i_62_31 Int)) (=> (and (<= 0 ?i_62_31) (< ?i_62_31 (S_select count_67_33 ?brokenObj))) (not (= (S_select (S_select elems (S_select elements_61_33 ?brokenObj)) ?i_62_31) null)))))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_ast_StmtVec)) (not (= ?brokenObj_1_ null))) (<= (S_select count_67_33 ?brokenObj_1_) (arrayLength (S_select elements_61_33 ?brokenObj_1_))))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_StmtVec)) (not (= ?brokenObj_2_ null))) (<= 0 (S_select count_67_33 ?brokenObj_2_)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_StmtVec)) (not (= ?brokenObj_3_ null))) (= (S_select owner_4_35_28 (S_select elements_61_33 ?brokenObj_3_)) ?brokenObj_3_))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_StmtVec)) (not (= ?brokenObj_4_ null))) (= (typeof (S_select elements_61_33 ?brokenObj_4_)) (array T_javafe_ast_Stmt)))) (or (and ?v_24 ?v_1 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 (or ?v_2 (and ?v_1 ?v_31 ?v_32 ?v_33 (or (and ?v_13 ?v_14 ?v_6 ?v_15 (or ?v_2 (and ?v_1 ?v_16 ?v_17 ?v_18 (or ?v_8 (and ?v_3 (or ?v_9 (and ?v_4 (or (and ?v_7 ?v_6 ?v_2) (and ?v_10 ?v_6 (or ?v_8 (and ?v_3 (or ?v_9 (and ?v_4 (or (not ?v_10) (and ?v_10 ?v_19 ?v_20 ?v_21 ?v_12 ?v_22 ?v_2))))))))))))))) (and ?v_13 ?v_14 ?v_34 ?v_35 ?v_36 ?v_37 (or ?v_2 (and ?v_1 ?v_38 ?v_39 ?v_40 ?v_2))))))) (and ?v_24 ?v_1 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_1 ?v_31 ?v_32 ?v_33 (or (and ?v_13 ?v_14 ?v_34 (not ?v_35) (= RES_186_18 RES) (= EC_186_18 L_188_1)) (and ?v_13 ?v_14 ?v_34 ?v_35 ?v_36 ?v_37 ?v_1 ?v_38 ?v_39 ?v_40 ?v_1 (= true_term (is RES_196_10_196_10 T_java_lang_String)) (= true_term (isAllocated RES_196_10_196_10 after_186_18_186_18)) ?v_41 (=> ?v_41 (not (= RES_196_10_196_10 null))) ?v_6 (= RES_186_18 RES_196_10_196_10) ?v_42)) (or (not ?v_42) (and ?v_42 (not (=> ?v_42 (not (= RES_186_18 null))))))))))))))))))))))))
(check-sat)
(exit)
