(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_ModifierPragmaVec () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_TypeModifierPragmaVec () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_TypeNameVec () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_ast_TypeDeclElemVec () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun LEXICALPRAGMA_34_24_26 () Int)
(declare-fun DOUBLELIT_35_43_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_34_27_26 () Int)
(declare-fun punctuationStrings_34_134_22 () Int)
(declare-fun FIRST_KEYWORD_34_51_26 () Int)
(declare-fun INTLIT_35_39_26 () Int)
(declare-fun punctuationCodes_34_164_19 () Int)
(declare-fun FLOATLIT_35_42_26 () Int)
(declare-fun STMTPRAGMA_34_26_26 () Int)
(declare-fun LAST_KEYWORD_34_103_26 () Int)
(declare-fun NULL_13_60_26 () Int)
(declare-fun BOOLEANLIT_35_38_26 () Int)
(declare-fun CHARLIT_35_41_26 () Int)
(declare-fun keywordStrings_34_181_30 () Int)
(declare-fun MODIFIERPRAGMA_34_25_26 () Int)
(declare-fun NULL_34_82_26 () Int)
(declare-fun otherCodes_34_202_27 () Int)
(declare-fun STRINGLIT_35_44_26 () Int)
(declare-fun otherStrings_34_193_30 () Int)
(declare-fun IDENT_35_25_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_34_28_26 () Int)
(declare-fun noTokens_34_212_27 () Int)
(declare-fun LONGLIT_35_40_26 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_ModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_ModifierPragmaVec (asChild T_javafe_ast_ModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeModifierPragmaVec (asChild T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_TypeNameVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeNameVec (asChild T_javafe_ast_TypeNameVec T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclElemVec (asChild T_javafe_ast_TypeDeclElemVec T_java_lang_Object)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 10)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 11)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 12)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 13)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 14)) (= T_java_lang_Exception (+ DIST_ZERO_1 15)) (= T_javafe_util_Location (+ DIST_ZERO_1 16)) (= T_java_util_Hashtable (+ DIST_ZERO_1 17)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 18)) (= T_java_lang_String (+ DIST_ZERO_1 19)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 20)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 21)) (= T_javafe_tc_Env (+ DIST_ZERO_1 22)) (= T_javafe_ast_ModifierPragmaVec (+ DIST_ZERO_1 23)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 24)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 25)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 26)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 27)) (= T_java_lang_Throwable (+ DIST_ZERO_1 28)) (= T_java_io_Serializable (+ DIST_ZERO_1 29)) (= T_java_lang_Comparable (+ DIST_ZERO_1 30)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 31)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 32)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 33)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 34)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 35)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 36)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 37)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 38)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 39)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 40)) (= T_javafe_ast_TypeModifierPragmaVec (+ DIST_ZERO_1 41)) (= T_javafe_util_Assert (+ DIST_ZERO_1 42)) (= T_java_lang_Object (+ DIST_ZERO_1 43)) (= T_java_util_Map (+ DIST_ZERO_1 44)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 45)) (= T_javafe_ast_TypeNameVec (+ DIST_ZERO_1 46)) (= T_java_util_Dictionary (+ DIST_ZERO_1 47)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 48)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 49)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 50)) (= T_javafe_ast_Type (+ DIST_ZERO_1 51)) (= T_javafe_ast_TypeDeclElemVec (+ DIST_ZERO_1 52))) (= true_term (is LEXICALPRAGMA_34_24_26 T_int)) (= LEXICALPRAGMA_34_24_26 114) (= true_term (is DOUBLELIT_35_43_26 T_int)) (= DOUBLELIT_35_43_26 109) (= true_term (is TYPEDECLELEMPRAGMA_34_27_26 T_int)) (= TYPEDECLELEMPRAGMA_34_27_26 117) (= true_term (is punctuationStrings_34_134_22 ?v_0)) (not (= punctuationStrings_34_134_22 null)) (= (typeof punctuationStrings_34_134_22) ?v_0) (= (arrayLength punctuationStrings_34_134_22) 48) (= true_term (is FIRST_KEYWORD_34_51_26 T_int)) (= FIRST_KEYWORD_34_51_26 133) (= true_term (is INTLIT_35_39_26 T_int)) (= INTLIT_35_39_26 105) (= true_term (is punctuationCodes_34_164_19 ?v_1)) (not (= punctuationCodes_34_164_19 null)) (= (typeof punctuationCodes_34_164_19) ?v_1) (= (arrayLength punctuationCodes_34_164_19) 48) (= true_term (is FLOATLIT_35_42_26 T_int)) (= FLOATLIT_35_42_26 108) (= true_term (is STMTPRAGMA_34_26_26 T_int)) (= STMTPRAGMA_34_26_26 116) (= true_term (is LAST_KEYWORD_34_103_26 T_int)) (= LAST_KEYWORD_34_103_26 183) (= true_term (is NULL_13_60_26 T_int)) (= NULL_13_60_26 0) (= true_term (is BOOLEANLIT_35_38_26 T_int)) (= BOOLEANLIT_35_38_26 104) (= true_term (is CHARLIT_35_41_26 T_int)) (= CHARLIT_35_41_26 107) (= true_term (is keywordStrings_34_181_30 ?v_0)) (not (= keywordStrings_34_181_30 null)) (= (typeof keywordStrings_34_181_30) ?v_0) (= (arrayLength keywordStrings_34_181_30) 51) (= true_term (is MODIFIERPRAGMA_34_25_26 T_int)) (= MODIFIERPRAGMA_34_25_26 115) (= true_term (is NULL_34_82_26 T_int)) (= NULL_34_82_26 163) (= true_term (is otherCodes_34_202_27 ?v_1)) (not (= otherCodes_34_202_27 null)) (= (typeof otherCodes_34_202_27) ?v_1) (= (arrayLength otherCodes_34_202_27) 15) (= true_term (is STRINGLIT_35_44_26 T_int)) (= STRINGLIT_35_44_26 110) (= true_term (is otherStrings_34_193_30 ?v_0)) (not (= otherStrings_34_193_30 null)) (= (typeof otherStrings_34_193_30) ?v_0) (= (arrayLength otherStrings_34_193_30) 15) (= true_term (is IDENT_35_25_26 T_int)) (= IDENT_35_25_26 93) (= true_term (is TYPEMODIFIERPRAGMA_34_28_26 T_int)) (= TYPEMODIFIERPRAGMA_34_28_26 118) (= true_term (is noTokens_34_212_27 T_int)) (= true_term (is LONGLIT_35_40_26 T_int)) (= LONGLIT_35_40_26 106))))
(declare-fun LEXICALPRAGMA_pre_34_24_26 () Int)
(declare-fun locOpenBrace_pre_80_36_13 () Int)
(declare-fun locOpenBrace_80_36_13 () Int)
(declare-fun tmodifiers_pre_37_31 () Int)
(declare-fun tmodifiers_37_31 () Int)
(declare-fun DOUBLELIT_pre_35_43_26 () Int)
(declare-fun specOnly_pre_26_17 () Int)
(declare-fun specOnly_26_17 () Int)
(declare-fun loc_pre_18_30_13 () Int)
(declare-fun loc_18_30_13 () Int)
(declare-fun elems_pre_41_39 () Int)
(declare-fun elems_41_39 () Int)
(declare-fun elements_pre_75_61_39 () Int)
(declare-fun elements_75_61_39 () Int)
(declare-fun tokenType_pre_21_90_8 () Int)
(declare-fun tokenType_21_90_8 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_34_27_26 () Int)
(declare-fun punctuationStrings_pre_34_134_22 () Int)
(declare-fun body_pre_80_34_19 () Int)
(declare-fun body_80_34_19 () Int)
(declare-fun syntax_pre_17_28_29 () Int)
(declare-fun syntax_17_28_29 () Int)
(declare-fun id_pre_32_34 () Int)
(declare-fun id_32_34 () Int)
(declare-fun FIRST_KEYWORD_pre_34_51_26 () Int)
(declare-fun I_will_establish_invariants_afterwards_pre_5_236_34 () Int)
(declare-fun I_will_establish_invariants_afterwards_5_236_34 () Int)
(declare-fun loc_pre_80_40_13 () Int)
(declare-fun loc_80_40_13 () Int)
(declare-fun INTLIT_pre_35_39_26 () Int)
(declare-fun punctuationCodes_pre_34_164_19 () Int)
(declare-fun count_pre_25_67_33 () Int)
(declare-fun count_25_67_33 () Int)
(declare-fun count_pre_19_67_33 () Int)
(declare-fun count_19_67_33 () Int)
(declare-fun locId_pre_80_43_13 () Int)
(declare-fun locId_80_43_13 () Int)
(declare-fun elements_pre_74_61_38 () Int)
(declare-fun elements_74_61_38 () Int)
(declare-fun elements_pre_23_61_37 () Int)
(declare-fun elements_23_61_37 () Int)
(declare-fun count_pre_14_67_33 () Int)
(declare-fun count_14_67_33 () Int)
(declare-fun type_pre_78_35_28 () Int)
(declare-fun type_78_35_28 () Int)
(declare-fun FLOATLIT_pre_35_42_26 () Int)
(declare-fun owner_pre_8_35_28 () Int)
(declare-fun owner_8_35_28 () Int)
(declare-fun STMTPRAGMA_pre_34_26_26 () Int)
(declare-fun superInterfaces_pre_34_35 () Int)
(declare-fun superInterfaces_34_35 () Int)
(declare-fun locType_pre_79_21_13 () Int)
(declare-fun locType_79_21_13 () Int)
(declare-fun LAST_KEYWORD_pre_34_103_26 () Int)
(declare-fun NULL_pre_13_60_26 () Int)
(declare-fun pmodifiers_pre_30_27 () Int)
(declare-fun pmodifiers_30_27 () Int)
(declare-fun locId_pre_78_38_13 () Int)
(declare-fun locId_78_38_13 () Int)
(declare-fun parent_pre_80_21_18 () Int)
(declare-fun parent_80_21_18 () Int)
(declare-fun BOOLEANLIT_pre_35_38_26 () Int)
(declare-fun hasParent_pre_4_149_30 () Int)
(declare-fun hasParent_4_149_30 () Int)
(declare-fun CHARLIT_pre_35_41_26 () Int)
(declare-fun parent_pre_59_18 () Int)
(declare-fun parent_59_18 () Int)
(declare-fun keywordStrings_pre_34_181_30 () Int)
(declare-fun count_pre_75_67_33 () Int)
(declare-fun count_75_67_33 () Int)
(declare-fun parent_pre_77_18_18 () Int)
(declare-fun parent_77_18_18 () Int)
(declare-fun MODIFIERPRAGMA_pre_34_25_26 () Int)
(declare-fun elements_pre_25_61_47 () Int)
(declare-fun elements_25_61_47 () Int)
(declare-fun locCloseBrace_pre_54_13 () Int)
(declare-fun locCloseBrace_54_13 () Int)
(declare-fun NULL_pre_34_82_26 () Int)
(declare-fun locOpenBrace_pre_90_22_13 () Int)
(declare-fun locOpenBrace_90_22_13 () Int)
(declare-fun otherCodes_pre_34_202_27 () Int)
(declare-fun locOpenBrace_pre_51_13 () Int)
(declare-fun locOpenBrace_51_13 () Int)
(declare-fun STRINGLIT_pre_35_44_26 () Int)
(declare-fun elements_pre_19_61_43 () Int)
(declare-fun elements_19_61_43 () Int)
(declare-fun otherStrings_pre_34_193_30 () Int)
(declare-fun IDENT_pre_35_25_26 () Int)
(declare-fun locId_pre_48_13 () Int)
(declare-fun locId_48_13 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_34_28_26 () Int)
(declare-fun locCloseBrace_pre_90_25_13 () Int)
(declare-fun locCloseBrace_90_25_13 () Int)
(declare-fun modifiers_pre_28_13 () Int)
(declare-fun modifiers_28_13 () Int)
(declare-fun noTokens_pre_34_212_27 () Int)
(declare-fun elements_pre_14_61_41 () Int)
(declare-fun elements_14_61_41 () Int)
(declare-fun loc_pre_45_13 () Int)
(declare-fun loc_45_13 () Int)
(declare-fun returnType_pre_79_18_28 () Int)
(declare-fun returnType_79_18_28 () Int)
(declare-fun count_pre_23_67_33 () Int)
(declare-fun count_23_67_33 () Int)
(declare-fun count_pre_74_67_33 () Int)
(declare-fun count_74_67_33 () Int)
(declare-fun LONGLIT_pre_35_40_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun p_62_33 () Int)
(declare-fun parent_62_38 () Int)
(declare-fun ecReturn () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int)) (?v_2 (= ecReturn ecReturn))) (not (=> true (=> (and (= LEXICALPRAGMA_pre_34_24_26 LEXICALPRAGMA_34_24_26) (= true_term (is LEXICALPRAGMA_34_24_26 T_int)) (= locOpenBrace_pre_80_36_13 locOpenBrace_80_36_13) (= locOpenBrace_80_36_13 (asField locOpenBrace_80_36_13 T_int)) (= tmodifiers_pre_37_31 tmodifiers_37_31) (= tmodifiers_37_31 (asField tmodifiers_37_31 T_javafe_ast_TypeModifierPragmaVec)) (< (fClosedTime tmodifiers_37_31) alloc) (= DOUBLELIT_pre_35_43_26 DOUBLELIT_35_43_26) (= true_term (is DOUBLELIT_35_43_26 T_int)) (= specOnly_pre_26_17 specOnly_26_17) (= specOnly_26_17 (asField specOnly_26_17 T_boolean)) (= loc_pre_18_30_13 loc_18_30_13) (= loc_18_30_13 (asField loc_18_30_13 T_int)) (= elems_pre_41_39 elems_41_39) (= elems_41_39 (asField elems_41_39 T_javafe_ast_TypeDeclElemVec)) (< (fClosedTime elems_41_39) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elems_41_39 ?s) null)))) (= elements_pre_75_61_39 elements_75_61_39) (= elements_75_61_39 (asField elements_75_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_75_61_39) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_75_61_39 ?s_1_) null)))) (= tokenType_pre_21_90_8 tokenType_21_90_8) (= tokenType_21_90_8 (asField tokenType_21_90_8 T_int)) (= TYPEDECLELEMPRAGMA_pre_34_27_26 TYPEDECLELEMPRAGMA_34_27_26) (= true_term (is TYPEDECLELEMPRAGMA_34_27_26 T_int)) (= punctuationStrings_pre_34_134_22 punctuationStrings_34_134_22) (= true_term (is punctuationStrings_34_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_34_134_22 alloc)) (= body_pre_80_34_19 body_80_34_19) (= body_80_34_19 (asField body_80_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_80_34_19) alloc) (= syntax_pre_17_28_29 syntax_17_28_29) (= syntax_17_28_29 (asField syntax_17_28_29 T_boolean)) (= id_pre_32_34 id_32_34) (= id_32_34 (asField id_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_32_34) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select id_32_34 ?s_2_) null)))) (= FIRST_KEYWORD_pre_34_51_26 FIRST_KEYWORD_34_51_26) (= true_term (is FIRST_KEYWORD_34_51_26 T_int)) (= I_will_establish_invariants_afterwards_pre_5_236_34 I_will_establish_invariants_afterwards_5_236_34) (= true_term (is I_will_establish_invariants_afterwards_5_236_34 T_boolean)) (= loc_pre_80_40_13 loc_80_40_13) (= loc_80_40_13 (asField loc_80_40_13 T_int)) (= INTLIT_pre_35_39_26 INTLIT_35_39_26) (= true_term (is INTLIT_35_39_26 T_int)) (= punctuationCodes_pre_34_164_19 punctuationCodes_34_164_19) (= true_term (is punctuationCodes_34_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_34_164_19 alloc)) (= count_pre_25_67_33 count_25_67_33) (= count_25_67_33 (asField count_25_67_33 T_int)) (= count_pre_19_67_33 count_19_67_33) (= count_19_67_33 (asField count_19_67_33 T_int)) (= locId_pre_80_43_13 locId_80_43_13) (= locId_80_43_13 (asField locId_80_43_13 T_int)) (= elements_pre_74_61_38 elements_74_61_38) (= elements_74_61_38 (asField elements_74_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_74_61_38) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elements_74_61_38 ?s_3_) null)))) (= elements_pre_23_61_37 elements_23_61_37) (= elements_23_61_37 (asField elements_23_61_37 (array T_javafe_ast_TypeName))) (< (fClosedTime elements_23_61_37) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select elements_23_61_37 ?s_4_) null)))) (= count_pre_14_67_33 count_14_67_33) (= count_14_67_33 (asField count_14_67_33 T_int)) (= type_pre_78_35_28 type_78_35_28) (= type_78_35_28 (asField type_78_35_28 T_javafe_ast_Type)) (< (fClosedTime type_78_35_28) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select type_78_35_28 ?s_5_) null)))) (= FLOATLIT_pre_35_42_26 FLOATLIT_35_42_26) (= true_term (is FLOATLIT_35_42_26 T_int)) (= owner_pre_8_35_28 owner_8_35_28) (= owner_8_35_28 (asField owner_8_35_28 T_java_lang_Object)) (< (fClosedTime owner_8_35_28) alloc) (= STMTPRAGMA_pre_34_26_26 STMTPRAGMA_34_26_26) (= true_term (is STMTPRAGMA_34_26_26 T_int)) (= superInterfaces_pre_34_35 superInterfaces_34_35) (= superInterfaces_34_35 (asField superInterfaces_34_35 T_javafe_ast_TypeNameVec)) (< (fClosedTime superInterfaces_34_35) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select superInterfaces_34_35 ?s_6_) null)))) (= locType_pre_79_21_13 locType_79_21_13) (= locType_79_21_13 (asField locType_79_21_13 T_int)) (= LAST_KEYWORD_pre_34_103_26 LAST_KEYWORD_34_103_26) (= true_term (is LAST_KEYWORD_34_103_26 T_int)) (= NULL_pre_13_60_26 NULL_13_60_26) (= true_term (is NULL_13_60_26 T_int)) (= pmodifiers_pre_30_27 pmodifiers_30_27) (= pmodifiers_30_27 (asField pmodifiers_30_27 T_javafe_ast_ModifierPragmaVec)) (< (fClosedTime pmodifiers_30_27) alloc) (= locId_pre_78_38_13 locId_78_38_13) (= locId_78_38_13 (asField locId_78_38_13 T_int)) (= parent_pre_80_21_18 parent_80_21_18) (= parent_80_21_18 (asField parent_80_21_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_80_21_18) alloc) (= BOOLEANLIT_pre_35_38_26 BOOLEANLIT_35_38_26) (= true_term (is BOOLEANLIT_35_38_26 T_int)) (= hasParent_pre_4_149_30 hasParent_4_149_30) (= hasParent_4_149_30 (asField hasParent_4_149_30 T_boolean)) (= CHARLIT_pre_35_41_26 CHARLIT_35_41_26) (= true_term (is CHARLIT_35_41_26 T_int)) (= parent_pre_59_18 parent_59_18) (= parent_59_18 (asField parent_59_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_59_18) alloc) (= keywordStrings_pre_34_181_30 keywordStrings_34_181_30) (= true_term (is keywordStrings_34_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_34_181_30 alloc)) (= count_pre_75_67_33 count_75_67_33) (= count_75_67_33 (asField count_75_67_33 T_int)) (= parent_pre_77_18_18 parent_77_18_18) (= parent_77_18_18 (asField parent_77_18_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_77_18_18) alloc) (= MODIFIERPRAGMA_pre_34_25_26 MODIFIERPRAGMA_34_25_26) (= true_term (is MODIFIERPRAGMA_34_25_26 T_int)) (= elements_pre_25_61_47 elements_25_61_47) (= elements_25_61_47 (asField elements_25_61_47 (array T_javafe_ast_TypeModifierPragma))) (< (fClosedTime elements_25_61_47) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select elements_25_61_47 ?s_7_) null)))) (= locCloseBrace_pre_54_13 locCloseBrace_54_13) (= locCloseBrace_54_13 (asField locCloseBrace_54_13 T_int)) (= NULL_pre_34_82_26 NULL_34_82_26) (= true_term (is NULL_34_82_26 T_int)) (= locOpenBrace_pre_90_22_13 locOpenBrace_90_22_13) (= locOpenBrace_90_22_13 (asField locOpenBrace_90_22_13 T_int)) (= otherCodes_pre_34_202_27 otherCodes_34_202_27) (= true_term (is otherCodes_34_202_27 ?v_1)) (= true_term (isAllocated otherCodes_34_202_27 alloc)) (= locOpenBrace_pre_51_13 locOpenBrace_51_13) (= locOpenBrace_51_13 (asField locOpenBrace_51_13 T_int)) (= STRINGLIT_pre_35_44_26 STRINGLIT_35_44_26) (= true_term (is STRINGLIT_35_44_26 T_int)) (= elements_pre_19_61_43 elements_19_61_43) (= elements_19_61_43 (asField elements_19_61_43 (array T_javafe_ast_ModifierPragma))) (< (fClosedTime elements_19_61_43) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select elements_19_61_43 ?s_8_) null)))) (= otherStrings_pre_34_193_30 otherStrings_34_193_30) (= true_term (is otherStrings_34_193_30 ?v_0)) (= true_term (isAllocated otherStrings_34_193_30 alloc)) (= IDENT_pre_35_25_26 IDENT_35_25_26) (= true_term (is IDENT_35_25_26 T_int)) (= locId_pre_48_13 locId_48_13) (= locId_48_13 (asField locId_48_13 T_int)) (= TYPEMODIFIERPRAGMA_pre_34_28_26 TYPEMODIFIERPRAGMA_34_28_26) (= true_term (is TYPEMODIFIERPRAGMA_34_28_26 T_int)) (= locCloseBrace_pre_90_25_13 locCloseBrace_90_25_13) (= locCloseBrace_90_25_13 (asField locCloseBrace_90_25_13 T_int)) (= modifiers_pre_28_13 modifiers_28_13) (= modifiers_28_13 (asField modifiers_28_13 T_int)) (= noTokens_pre_34_212_27 noTokens_34_212_27) (= true_term (is noTokens_34_212_27 T_int)) (= elements_pre_14_61_41 elements_14_61_41) (= elements_14_61_41 (asField elements_14_61_41 (array T_javafe_ast_TypeDeclElem))) (< (fClosedTime elements_14_61_41) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select elements_14_61_41 ?s_9_) null)))) (= loc_pre_45_13 loc_45_13) (= loc_45_13 (asField loc_45_13 T_int)) (= returnType_pre_79_18_28 returnType_79_18_28) (= returnType_79_18_28 (asField returnType_79_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_79_18_28) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select returnType_79_18_28 ?s_10_) null)))) (= count_pre_23_67_33 count_23_67_33) (= count_23_67_33 (asField count_23_67_33 T_int)) (= count_pre_74_67_33 count_74_67_33) (= count_74_67_33 (asField count_74_67_33 T_int)) (= LONGLIT_pre_35_40_26 LONGLIT_35_40_26) (= true_term (is LONGLIT_35_40_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_ast_TypeDecl)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is p_62_33 T_javafe_ast_TypeDecl)) (= true_term (isAllocated p_62_33 alloc)) (not (= p_62_33 null)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_TypeDecl)) (not (= ?brokenObj null)) (= true_term (S_select hasParent_4_149_30 ?brokenObj))) (not (= (S_select parent_59_18 ?brokenObj) null)))) (= parent_62_38 (S_store parent_59_18 this p_62_33)) (or (not ?v_2) (and ?v_2 (not (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_TypeDecl)) (= true_term (isAllocated ?brokenObj alloc)) (not (= ?brokenObj null)) (= true_term (S_select hasParent_4_149_30 ?brokenObj))) (not (= (S_select parent_62_38 ?brokenObj) null))))))))))))))
(check-sat)
(exit)
