(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_filespace_Tree () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_filespace_ClassPath () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_filespace_UnionTree () Int)
(declare-fun T_javafe_filespace_PreloadedTree () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_javafe_filespace_PathComponent () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_lang_IllegalArgumentException () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_filespace_PkgTree () Int)
(declare-fun T_java_lang_NumberFormatException () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_filespace_HashTree () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_javafe_filespace_StringUtil () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun pathSeparatorChar_18_155_29 () Int)
(declare-fun out_6_83_49 () Int)
(assert (and (= (PO_LT T_javafe_filespace_Tree T_java_lang_Object) true_term) (= T_javafe_filespace_Tree (asChild T_javafe_filespace_Tree T_java_lang_Object)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_ClassPath T_java_lang_Object) true_term) (= T_javafe_filespace_ClassPath (asChild T_javafe_filespace_ClassPath T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_filespace_UnionTree T_javafe_filespace_PreloadedTree) true_term) (= T_javafe_filespace_UnionTree (asChild T_javafe_filespace_UnionTree T_javafe_filespace_PreloadedTree)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_filespace_PathComponent T_java_lang_Object) true_term) (= T_javafe_filespace_PathComponent (asChild T_javafe_filespace_PathComponent T_java_lang_Object)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_IllegalArgumentException T_java_lang_RuntimeException) true_term) (= T_java_lang_IllegalArgumentException (asChild T_java_lang_IllegalArgumentException T_java_lang_RuntimeException)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_PkgTree T_javafe_filespace_PreloadedTree) true_term) (= T_javafe_filespace_PkgTree (asChild T_javafe_filespace_PkgTree T_javafe_filespace_PreloadedTree)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException) true_term) (= T_java_lang_NumberFormatException (asChild T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_filespace_HashTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_HashTree (asChild T_javafe_filespace_HashTree T_javafe_filespace_Tree)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree) true_term) (= T_javafe_filespace_PreloadedTree (asChild T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree)) (= (PO_LT T_javafe_filespace_StringUtil T_java_lang_Object) true_term) (= T_javafe_filespace_StringUtil (asChild T_javafe_filespace_StringUtil T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_StringUtil) true_term) (= ?t T_javafe_filespace_StringUtil))) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_filespace_Tree (+ DIST_ZERO_1 10)) (= T_java_io_OutputStream (+ DIST_ZERO_1 11)) (= T_java_lang_String (+ DIST_ZERO_1 12)) (= T_java_lang_Object (+ DIST_ZERO_1 13)) (= T_java_lang_Comparable (+ DIST_ZERO_1 14)) (= T_javafe_filespace_ClassPath (+ DIST_ZERO_1 15)) (= T_java_util_Dictionary (+ DIST_ZERO_1 16)) (= T_java_lang_Throwable (+ DIST_ZERO_1 17)) (= T_javafe_filespace_UnionTree (+ DIST_ZERO_1 18)) (= T_java_lang_Number (+ DIST_ZERO_1 19)) (= T_javafe_filespace_PathComponent (+ DIST_ZERO_1 20)) (= T_java_util_Hashtable (+ DIST_ZERO_1 21)) (= T_java_io_InputStream (+ DIST_ZERO_1 22)) (= T_java_lang_Integer (+ DIST_ZERO_1 23)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 24)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 25)) (= T_java_lang_IllegalArgumentException (+ DIST_ZERO_1 26)) (= T_java_lang_System (+ DIST_ZERO_1 27)) (= T_java_util_Enumeration (+ DIST_ZERO_1 28)) (= T_javafe_filespace_PkgTree (+ DIST_ZERO_1 29)) (= T_java_util_Map (+ DIST_ZERO_1 30)) (= T_java_lang_NumberFormatException (+ DIST_ZERO_1 31)) (= T_java_io_IOException (+ DIST_ZERO_1 32)) (= T_javafe_filespace_HashTree (+ DIST_ZERO_1 33)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 34)) (= T_java_io_File (+ DIST_ZERO_1 35)) (= T_java_lang_Exception (+ DIST_ZERO_1 36)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 37)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 38)) (= T_java_io_PrintStream (+ DIST_ZERO_1 39)) (= T_java_util_Properties (+ DIST_ZERO_1 40)) (= T_javafe_filespace_PreloadedTree (+ DIST_ZERO_1 41)) (= T_javafe_filespace_StringUtil (+ DIST_ZERO_1 42)) (= T_java_io_Serializable (+ DIST_ZERO_1 43))) (= true_term (is pathSeparatorChar_18_155_29 T_char)) (= true_term (is out_6_83_49 T_java_io_PrintStream))))
(declare-fun ecReturn () Int)
(declare-fun L_145_5 () Int)
(declare-fun L_137_1 () Int)
(declare-fun C_137_1 () Int)
(declare-fun L_151_5 () Int)
(declare-fun S_150_32 () Int)
(declare-fun S_141_53 () Int)
(declare-fun S_152_21 () Int)
(declare-fun S_144_44 () Int)
(declare-fun S_146_21 () Int)
(declare-fun keyType_pre_22_16_25 () Int)
(declare-fun keyType_22_16_25 () Int)
(declare-fun props_pre_6_396_44 () Int)
(declare-fun props_6_396_44 () Int)
(declare-fun returnsNull_pre_33_79_29 () Int)
(declare-fun returnsNull_33_79_29 () Int)
(declare-fun pathSeparatorChar_pre_18_155_29 () Int)
(declare-fun edges_pre_31_37_24 () Int)
(declare-fun edges_31_37_24 () Int)
(declare-fun permitsNullValue_pre_22_31_27 () Int)
(declare-fun permitsNullValue_22_31_27 () Int)
(declare-fun out_pre_6_83_49 () Int)
(declare-fun data_pre_25_41_18 () Int)
(declare-fun data_25_41_18 () Int)
(declare-fun moreElements_pre_33_58_29 () Int)
(declare-fun moreElements_33_58_29 () Int)
(declare-fun elementType_pre_33_74_27 () Int)
(declare-fun elementType_33_74_27 () Int)
(declare-fun elementType_pre_22_26_25 () Int)
(declare-fun elementType_22_26_25 () Int)
(declare-fun permitsNullKey_pre_22_21_27 () Int)
(declare-fun permitsNullKey_22_21_27 () Int)
(declare-fun count_pre_5_99_33 () Int)
(declare-fun count_5_99_33 () Int)
(declare-fun value_pre_5_91_31 () Int)
(declare-fun value_5_91_31 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun P_135_43 () Int)
(declare-fun RES_137_30_137_30 () Int)
(declare-fun EC_137_30_137_30 () Int)
(declare-fun EC_loopold () Int)
(declare-fun moreElements_loopold_33_58_29 () Int)
(declare-fun RES_137_1_0_137_45_137_45 () Int)
(declare-fun EC_137_1_0_137_45_137_45 () Int)
(declare-fun moreElements_137_1_0_138_23_33_89_17 () Int)
(declare-fun after_138_23_137_1_0_138_23_33_89_17 () Int)
(declare-fun RES_137_1_0_138_23_138_23 () Int)
(declare-fun EC_137_1_0_138_23_138_23 () Int)
(declare-fun SP_137_1_0_138_5 () Int)
(declare-fun RES_137_1_0_141_32_141_32 () Int)
(declare-fun EC_137_1_0_141_32_141_32 () Int)
(declare-fun arg0_141_16_137_1_0_141_16_34__ () Int)
(declare-fun EC_137_1_0_141_16_141_16 () Int)
(declare-fun RES_137_1_0_144_29_144_29 () Int)
(declare-fun EC_137_1_0_144_29_144_29 () Int)
(declare-fun EC_loopold_137_1_0 () Int)
(declare-fun moreElements_loopold_137_1_0_33_58_29 () Int)
(declare-fun RES_137_1_0_145_5_0_145_14_145_14 () Int)
(declare-fun EC_137_1_0_145_5_0_145_14_145_14 () Int)
(declare-fun moreElements_137_1_0_145_5_0_147_14_33_89_17 () Int)
(declare-fun after_147_14_137_1_0_145_5_0_147_14_33_89_17 () Int)
(declare-fun RES_137_1_0_145_5_0_147_14_147_14 () Int)
(declare-fun EC_137_1_0_145_5_0_147_14_147_14 () Int)
(declare-fun this_147_29_137_1_0_145_5_0_147_29 () Int)
(declare-fun RES_137_1_0_145_5_0_147_29_147_29 () Int)
(declare-fun EC_137_1_0_145_5_0_147_29_147_29 () Int)
(declare-fun arg0_146_13_137_1_0_145_5_0_146_13_34__ () Int)
(declare-fun EC_137_1_0_145_5_0_146_13_146_13 () Int)
(declare-fun moreElements_33_58_29_1_ () Int)
(declare-fun RES () Int)
(declare-fun RES_137_1_0_145_5_1_145_14_145_14 () Int)
(declare-fun EC_137_1_0_145_5_1_145_14_145_14 () Int)
(declare-fun EC () Int)
(declare-fun moreElements_33_58_29_2_ () Int)
(declare-fun RES_1_ () Int)
(declare-fun RES_137_1_0_150_17_150_17 () Int)
(declare-fun EC_137_1_0_150_17_150_17 () Int)
(declare-fun EC_loopold_137_1_0_1_ () Int)
(declare-fun moreElements_loopold_137_1_0_33_58_29_1_ () Int)
(declare-fun RES_137_1_0_151_5_0_151_14_151_14 () Int)
(declare-fun EC_137_1_0_151_5_0_151_14_151_14 () Int)
(declare-fun moreElements_137_1_0_151_5_0_153_14_33_89_17 () Int)
(declare-fun after_153_14_137_1_0_151_5_0_153_14_33_89_17 () Int)
(declare-fun RES_137_1_0_151_5_0_153_14_153_14 () Int)
(declare-fun EC_137_1_0_151_5_0_153_14_153_14 () Int)
(declare-fun this_153_29_137_1_0_151_5_0_153_29 () Int)
(declare-fun RES_137_1_0_151_5_0_153_29_153_29 () Int)
(declare-fun EC_137_1_0_151_5_0_153_29_153_29 () Int)
(declare-fun arg0_152_13_137_1_0_151_5_0_152_13_34__ () Int)
(declare-fun EC_137_1_0_151_5_0_152_13_152_13 () Int)
(declare-fun moreElements_33_58_29_3_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun RES_137_1_0_151_5_1_151_14_151_14 () Int)
(declare-fun EC_137_1_0_151_5_1_151_14_151_14 () Int)
(declare-fun EC_1_ () Int)
(declare-fun moreElements_33_58_29_4_ () Int)
(declare-fun RES_3_ () Int)
(declare-fun EC_138_22 () Int)
(declare-fun moreElements_138_22 () Int)
(declare-fun RES_138_22 () Int)
(declare-fun EC_138_22_1_ () Int)
(declare-fun moreElements_138_22_1_ () Int)
(declare-fun RES_138_22_1_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun moreElements_33_58_29_5_ () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun RES_137_1_1_137_45_137_45 () Int)
(declare-fun EC_137_1_1_137_45_137_45 () Int)
(declare-fun EC_4_ () Int)
(declare-fun EC_137_30 () Int)
(assert (let ((?v_47 (not (= S_150_32 null))) (?v_13 (not (= S_144_44 null))) (?v_0 (not (= P_135_43 null))) (?v_111 (= true_term (is RES_137_30_137_30 T_java_util_Enumeration))) (?v_112 (= true_term (isAllocated RES_137_30_137_30 alloc))) (?v_1 (= EC_137_30_137_30 ecReturn)) (?v_2 (not (= RES_137_30_137_30 null)))) (let ((?v_113 (=> ?v_1 ?v_2)) (?v_9 (not (= true_term (S_select returnsNull_33_79_29 RES_137_30_137_30))))) (let ((?v_114 (=> ?v_1 ?v_9)) (?v_8 (S_select elementType_33_74_27 RES_137_30_137_30))) (let ((?v_115 (=> ?v_1 (= ?v_8 T_javafe_filespace_Tree))) (?v_116 (= EC_137_30_137_30 EC_loopold)) (?v_117 (= moreElements_33_58_29 moreElements_loopold_33_58_29)) (?v_15 (= true_term true_term)) (?v_5 (not ?v_2)) (?v_70 (= true_term (is RES_137_1_0_137_45_137_45 T_boolean))) (?v_3 (= EC_137_1_0_137_45_137_45 ecReturn)) (?v_4 (= true_term RES_137_1_0_137_45_137_45)) (?v_6 (= true_term (S_select moreElements_33_58_29 RES_137_30_137_30)))) (let ((?v_71 (=> ?v_3 (= ?v_4 ?v_6))) (?v_72 (= moreElements_137_1_0_138_23_33_89_17 (S_store moreElements_33_58_29 RES_137_30_137_30 after_138_23_137_1_0_138_23_33_89_17))) (?v_73 (= moreElements_137_1_0_138_23_33_89_17 (asField moreElements_137_1_0_138_23_33_89_17 T_boolean))) (?v_74 (= true_term (is RES_137_1_0_138_23_138_23 T_java_lang_Object))) (?v_75 (= true_term (isAllocated RES_137_1_0_138_23_138_23 alloc))) (?v_7 (= EC_137_1_0_138_23_138_23 ecReturn)) (?v_10 (= RES_137_1_0_138_23_138_23 null))) (let ((?v_76 (=> ?v_7 (or (= (PO_LT (typeof RES_137_1_0_138_23_138_23) ?v_8) true_term) ?v_10))) (?v_77 (=> (and ?v_7 ?v_9) (not ?v_10))) (?v_11 (= true_term (is RES_137_1_0_138_23_138_23 T_javafe_filespace_Tree))) (?v_78 (= SP_137_1_0_138_5 (cast RES_137_1_0_138_23_138_23 T_javafe_filespace_Tree))) (?v_12 (not (= SP_137_1_0_138_5 null))) (?v_79 (= true_term (is RES_137_1_0_141_32_141_32 T_java_lang_String))) (?v_80 (= true_term (isAllocated RES_137_1_0_141_32_141_32 alloc))) (?v_81 (= EC_137_1_0_141_32_141_32 ecReturn)) (?v_82 (= arg0_141_16_137_1_0_141_16_34__ (stringCat RES_137_1_0_141_32_141_32 S_141_53))) (?v_83 (= EC_137_1_0_141_16_141_16 ecReturn)) (?v_84 (= true_term (is RES_137_1_0_144_29_144_29 T_java_util_Enumeration))) (?v_85 (= true_term (isAllocated RES_137_1_0_144_29_144_29 alloc))) (?v_14 (= EC_137_1_0_144_29_144_29 ecReturn)) (?v_16 (not (= RES_137_1_0_144_29_144_29 null)))) (let ((?v_86 (=> ?v_14 ?v_16)) (?v_23 (not (= true_term (S_select returnsNull_33_79_29 RES_137_1_0_144_29_144_29))))) (let ((?v_87 (=> ?v_14 ?v_23)) (?v_22 (S_select elementType_33_74_27 RES_137_1_0_144_29_144_29))) (let ((?v_88 (=> ?v_14 (= ?v_22 T_javafe_filespace_Tree))) (?v_37 (= EC_137_1_0_144_29_144_29 EC_loopold_137_1_0)) (?v_38 (= moreElements_137_1_0_138_23_33_89_17 moreElements_loopold_137_1_0_33_58_29)) (?v_19 (not ?v_16)) (?v_26 (= true_term (is RES_137_1_0_145_5_0_145_14_145_14 T_boolean))) (?v_17 (= EC_137_1_0_145_5_0_145_14_145_14 ecReturn)) (?v_18 (= true_term RES_137_1_0_145_5_0_145_14_145_14)) (?v_20 (= true_term (S_select moreElements_137_1_0_138_23_33_89_17 RES_137_1_0_144_29_144_29)))) (let ((?v_27 (=> ?v_17 (= ?v_18 ?v_20))) (?v_28 (= moreElements_137_1_0_145_5_0_147_14_33_89_17 (S_store moreElements_137_1_0_138_23_33_89_17 RES_137_1_0_144_29_144_29 after_147_14_137_1_0_145_5_0_147_14_33_89_17))) (?v_29 (= moreElements_137_1_0_145_5_0_147_14_33_89_17 (asField moreElements_137_1_0_145_5_0_147_14_33_89_17 T_boolean))) (?v_30 (= true_term (is RES_137_1_0_145_5_0_147_14_147_14 T_java_lang_Object))) (?v_31 (= true_term (isAllocated RES_137_1_0_145_5_0_147_14_147_14 alloc))) (?v_21 (= EC_137_1_0_145_5_0_147_14_147_14 ecReturn)) (?v_24 (= RES_137_1_0_145_5_0_147_14_147_14 null))) (let ((?v_32 (=> ?v_21 (or (= (PO_LT (typeof RES_137_1_0_145_5_0_147_14_147_14) ?v_22) true_term) ?v_24))) (?v_33 (=> (and ?v_21 ?v_23) (not ?v_24))) (?v_25 (= true_term (is RES_137_1_0_145_5_0_147_14_147_14 T_javafe_filespace_Tree))) (?v_35 (cast RES_137_1_0_145_5_0_147_14_147_14 T_javafe_filespace_Tree))) (let ((?v_34 (not (= ?v_35 null))) (?v_39 (= this_147_29_137_1_0_145_5_0_147_29 ?v_35)) (?v_40 (= true_term (is RES_137_1_0_145_5_0_147_29_147_29 T_java_lang_String))) (?v_41 (= true_term (isAllocated RES_137_1_0_145_5_0_147_29_147_29 alloc))) (?v_36 (= EC_137_1_0_145_5_0_147_29_147_29 ecReturn))) (let ((?v_42 (=> ?v_36 (not (= RES_137_1_0_145_5_0_147_29_147_29 null)))) (?v_43 (= arg0_146_13_137_1_0_145_5_0_146_13_34__ (stringCat S_146_21 RES_137_1_0_145_5_0_147_29_147_29))) (?v_44 (= EC_137_1_0_145_5_0_146_13_146_13 ecReturn)) (?v_45 (= EC_137_1_0_145_5_1_145_14_145_14 ecReturn)) (?v_46 (= true_term RES_137_1_0_145_5_1_145_14_145_14))) (let ((?v_89 (or (and ?v_15 ?v_16 ?v_26 ?v_17 ?v_27 (not ?v_18) (= moreElements_33_58_29_1_ moreElements_137_1_0_138_23_33_89_17) (= RES RES_137_1_0_145_5_0_145_14_145_14)) (and ?v_15 ?v_16 ?v_26 ?v_17 ?v_27 ?v_18 ?v_16 ?v_20 ?v_28 ?v_29 ?v_30 ?v_31 ?v_21 ?v_32 ?v_33 ?v_25 ?v_34 ?v_39 ?v_40 ?v_41 ?v_36 ?v_42 ?v_43 ?v_44 ?v_15 ?v_16 (= true_term (is RES_137_1_0_145_5_1_145_14_145_14 T_boolean)) ?v_45 (=> ?v_45 (= ?v_46 (= true_term (S_select moreElements_137_1_0_145_5_0_147_14_33_89_17 RES_137_1_0_144_29_144_29)))) (not ?v_46) (= moreElements_33_58_29_1_ moreElements_137_1_0_145_5_0_147_14_33_89_17) (= RES RES_137_1_0_145_5_1_145_14_145_14)))) (?v_90 (= L_145_5 L_145_5)) (?v_91 (= EC L_145_5)) (?v_92 (= moreElements_33_58_29_2_ moreElements_33_58_29_1_)) (?v_93 (= RES_1_ RES)) (?v_94 (= true_term (is RES_137_1_0_150_17_150_17 T_java_util_Enumeration))) (?v_95 (= true_term (isAllocated RES_137_1_0_150_17_150_17 alloc))) (?v_48 (= EC_137_1_0_150_17_150_17 ecReturn)) (?v_49 (not (= RES_137_1_0_150_17_150_17 null)))) (let ((?v_96 (=> ?v_48 ?v_49)) (?v_56 (not (= true_term (S_select returnsNull_33_79_29 RES_137_1_0_150_17_150_17))))) (let ((?v_97 (=> ?v_48 ?v_56)) (?v_55 (S_select elementType_33_74_27 RES_137_1_0_150_17_150_17))) (let ((?v_98 (=> ?v_48 (= ?v_55 T_javafe_filespace_Tree))) (?v_99 (= EC_137_1_0_150_17_150_17 EC_loopold_137_1_0_1_)) (?v_100 (= moreElements_33_58_29_2_ moreElements_loopold_137_1_0_33_58_29_1_)) (?v_52 (not ?v_49)) (?v_59 (= true_term (is RES_137_1_0_151_5_0_151_14_151_14 T_boolean))) (?v_50 (= EC_137_1_0_151_5_0_151_14_151_14 ecReturn)) (?v_51 (= true_term RES_137_1_0_151_5_0_151_14_151_14)) (?v_53 (= true_term (S_select moreElements_33_58_29_2_ RES_137_1_0_150_17_150_17)))) (let ((?v_60 (=> ?v_50 (= ?v_51 ?v_53))) (?v_61 (= moreElements_137_1_0_151_5_0_153_14_33_89_17 (S_store moreElements_33_58_29_2_ RES_137_1_0_150_17_150_17 after_153_14_137_1_0_151_5_0_153_14_33_89_17))) (?v_62 (= moreElements_137_1_0_151_5_0_153_14_33_89_17 (asField moreElements_137_1_0_151_5_0_153_14_33_89_17 T_boolean))) (?v_63 (= true_term (is RES_137_1_0_151_5_0_153_14_153_14 T_java_lang_Object))) (?v_64 (= true_term (isAllocated RES_137_1_0_151_5_0_153_14_153_14 alloc))) (?v_54 (= EC_137_1_0_151_5_0_153_14_153_14 ecReturn)) (?v_57 (= RES_137_1_0_151_5_0_153_14_153_14 null))) (let ((?v_65 (=> ?v_54 (or (= (PO_LT (typeof RES_137_1_0_151_5_0_153_14_153_14) ?v_55) true_term) ?v_57))) (?v_66 (=> (and ?v_54 ?v_56) (not ?v_57))) (?v_58 (= true_term (is RES_137_1_0_151_5_0_153_14_153_14 T_javafe_filespace_Tree))) (?v_68 (cast RES_137_1_0_151_5_0_153_14_153_14 T_javafe_filespace_Tree))) (let ((?v_67 (not (= ?v_68 null))) (?v_101 (= this_153_29_137_1_0_151_5_0_153_29 ?v_68)) (?v_102 (= true_term (is RES_137_1_0_151_5_0_153_29_153_29 T_java_lang_String))) (?v_103 (= true_term (isAllocated RES_137_1_0_151_5_0_153_29_153_29 alloc))) (?v_69 (= EC_137_1_0_151_5_0_153_29_153_29 ecReturn))) (let ((?v_104 (=> ?v_69 (not (= RES_137_1_0_151_5_0_153_29_153_29 null)))) (?v_105 (= arg0_152_13_137_1_0_151_5_0_152_13_34__ (stringCat S_152_21 RES_137_1_0_151_5_0_153_29_153_29))) (?v_106 (= EC_137_1_0_151_5_0_152_13_152_13 ecReturn)) (?v_107 (= EC_137_1_0_151_5_1_151_14_151_14 ecReturn)) (?v_108 (= true_term RES_137_1_0_151_5_1_151_14_151_14))) (let ((?v_109 (or (and ?v_15 ?v_49 ?v_59 ?v_50 ?v_60 (not ?v_51) (= moreElements_33_58_29_3_ moreElements_33_58_29_2_) (= RES_2_ RES_137_1_0_151_5_0_151_14_151_14)) (and ?v_15 ?v_49 ?v_59 ?v_50 ?v_60 ?v_51 ?v_49 ?v_53 ?v_61 ?v_62 ?v_63 ?v_64 ?v_54 ?v_65 ?v_66 ?v_58 ?v_67 ?v_101 ?v_102 ?v_103 ?v_69 ?v_104 ?v_105 ?v_106 ?v_15 ?v_49 (= true_term (is RES_137_1_0_151_5_1_151_14_151_14 T_boolean)) ?v_107 (=> ?v_107 (= ?v_108 (= true_term (S_select moreElements_137_1_0_151_5_0_153_14_33_89_17 RES_137_1_0_150_17_150_17)))) (not ?v_108) (= moreElements_33_58_29_3_ moreElements_137_1_0_151_5_0_153_14_33_89_17) (= RES_2_ RES_137_1_0_151_5_1_151_14_151_14)))) (?v_110 (= L_151_5 L_151_5))) (let ((?v_118 (or (and ?v_37 ?v_38 ?v_89 (not ?v_90) (= EC_138_22_1_ L_145_5) (= moreElements_138_22_1_ moreElements_33_58_29_1_) (= RES_138_22_1_ RES)) (and ?v_37 ?v_38 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_48 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_109 (not ?v_110) (= EC_138_22_1_ L_151_5) (= moreElements_138_22_1_ moreElements_33_58_29_3_) (= RES_138_22_1_ RES_2_)))) (?v_119 (= EC_138_22_1_ C_137_1))) (let ((?v_120 (or (and ?v_2 ?v_6 ?v_72 ?v_73 ?v_74 ?v_75 ?v_7 ?v_76 ?v_77 ?v_11 ?v_78 ?v_12 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_14 ?v_86 ?v_87 ?v_88 ?v_37 ?v_38 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_48 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_109 ?v_110 (= EC_1_ L_151_5) (= moreElements_33_58_29_4_ moreElements_33_58_29_3_) (= RES_3_ RES_2_) (= EC_138_22 EC_1_) (= moreElements_138_22 moreElements_33_58_29_4_) (= RES_138_22 RES_3_)) (and ?v_2 ?v_6 ?v_72 ?v_73 ?v_74 ?v_75 ?v_7 ?v_76 ?v_77 ?v_11 ?v_78 ?v_12 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_14 ?v_86 ?v_87 ?v_88 ?v_118 ?v_119 (= EC_138_22 EC_138_22_1_) (= moreElements_138_22 moreElements_138_22_1_) (= RES_138_22 RES_138_22_1_)))) (?v_121 (= EC_137_1_1_137_45_137_45 ecReturn)) (?v_122 (= true_term RES_137_1_1_137_45_137_45)) (?v_123 (= EC_3_ L_137_1))) (let ((?v_124 (or (and ?v_15 (or (and ?v_2 ?v_70 ?v_3 ?v_71 (not ?v_4) (= EC_2_ L_137_1) (= moreElements_33_58_29_5_ moreElements_33_58_29) (= RES_4_ RES_137_1_0_137_45_137_45)) (and ?v_2 ?v_70 ?v_3 ?v_71 ?v_4 ?v_2 ?v_6 ?v_72 ?v_73 ?v_74 ?v_75 ?v_7 ?v_76 ?v_77 ?v_11 ?v_78 ?v_12 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_14 ?v_86 ?v_87 ?v_88 ?v_118 (not ?v_119) (= EC_2_ EC_138_22_1_) (= moreElements_33_58_29_5_ moreElements_138_22_1_) (= RES_4_ RES_138_22_1_))) (= EC_3_ EC_2_)) (and ?v_15 ?v_2 ?v_70 ?v_3 ?v_71 ?v_4 ?v_120 ?v_15 ?v_2 (= true_term (is RES_137_1_1_137_45_137_45 T_boolean)) ?v_121 (=> ?v_121 (= ?v_122 (= true_term (S_select moreElements_138_22 RES_137_30_137_30)))) (not ?v_122) ?v_123))) (?v_125 (= EC_137_30 ecReturn))) (not (=> (and (distinct ecReturn L_145_5 L_137_1 C_137_1 L_151_5) ?v_47 (= (typeof S_150_32) T_java_lang_String) (not (= S_141_53 null)) (= (typeof S_141_53) T_java_lang_String) (not (= S_152_21 null)) (= (typeof S_152_21) T_java_lang_String) ?v_13 (= (typeof S_144_44) T_java_lang_String) (not (= S_146_21 null)) (= (typeof S_146_21) T_java_lang_String)) (=> (and (= keyType_pre_22_16_25 keyType_22_16_25) (= keyType_22_16_25 (asField keyType_22_16_25 T__TYPE)) (= props_pre_6_396_44 props_6_396_44) (= true_term (is props_6_396_44 T_java_util_Properties)) (= true_term (isAllocated props_6_396_44 alloc)) (not (= props_6_396_44 null)) (= returnsNull_pre_33_79_29 returnsNull_33_79_29) (= returnsNull_33_79_29 (asField returnsNull_33_79_29 T_boolean)) (= pathSeparatorChar_pre_18_155_29 pathSeparatorChar_18_155_29) (= true_term (is pathSeparatorChar_18_155_29 T_char)) (= edges_pre_31_37_24 edges_31_37_24) (= edges_31_37_24 (asField edges_31_37_24 T_java_util_Hashtable)) (< (fClosedTime edges_31_37_24) alloc) (= permitsNullValue_pre_22_31_27 permitsNullValue_22_31_27) (= permitsNullValue_22_31_27 (asField permitsNullValue_22_31_27 T_boolean)) (= out_pre_6_83_49 out_6_83_49) (= true_term (is out_6_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_6_83_49 alloc)) (not (= out_6_83_49 null)) (= data_pre_25_41_18 data_25_41_18) (= data_25_41_18 (asField data_25_41_18 T_java_lang_Object)) (< (fClosedTime data_25_41_18) alloc) (= moreElements_pre_33_58_29 moreElements_33_58_29) (= moreElements_33_58_29 (asField moreElements_33_58_29 T_boolean)) (= elementType_pre_33_74_27 elementType_33_74_27) (= elementType_33_74_27 (asField elementType_33_74_27 T__TYPE)) (= elementType_pre_22_26_25 elementType_22_26_25) (= elementType_22_26_25 (asField elementType_22_26_25 T__TYPE)) (= permitsNullKey_pre_22_21_27 permitsNullKey_22_21_27) (= permitsNullKey_22_21_27 (asField permitsNullKey_22_21_27 T_boolean)) (= count_pre_5_99_33 count_5_99_33) (= count_5_99_33 (asField count_5_99_33 T_int)) (= value_pre_5_91_31 value_5_91_31) (= value_5_91_31 (asField value_5_91_31 (array T_char))) (< (fClosedTime value_5_91_31) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select value_5_91_31 ?s) null)))) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is P_135_43 T_javafe_filespace_Tree)) (= true_term (isAllocated P_135_43 alloc)) ?v_0 (or (not ?v_0) (and ?v_0 ?v_111 ?v_112 ?v_1 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 (or (and ?v_15 (or ?v_5 (and ?v_2 ?v_70 ?v_3 ?v_71 ?v_4 (or ?v_5 (and ?v_2 (or (not ?v_6) (and ?v_6 ?v_72 ?v_73 ?v_74 ?v_75 ?v_7 ?v_76 ?v_77 (or (not ?v_11) (and ?v_11 ?v_78 (or (not ?v_12) (and ?v_12 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 (or (not (and ?v_12 ?v_13)) (and ?v_84 ?v_85 ?v_14 ?v_86 ?v_87 ?v_88 (or (and ?v_37 ?v_38 (or (and ?v_15 (or ?v_19 (and ?v_16 ?v_26 ?v_17 ?v_27 ?v_18 (or ?v_19 (and ?v_16 (or (not ?v_20) (and ?v_20 ?v_28 ?v_29 ?v_30 ?v_31 ?v_21 ?v_32 ?v_33 (or (not ?v_25) (and ?v_25 (not ?v_34)))))))))) (and ?v_15 ?v_16 ?v_26 ?v_17 ?v_27 ?v_18 ?v_16 ?v_20 ?v_28 ?v_29 ?v_30 ?v_31 ?v_21 ?v_32 ?v_33 ?v_25 ?v_34 ?v_39 ?v_40 ?v_41 ?v_36 ?v_42 ?v_43 ?v_44 ?v_15 ?v_19))) (and ?v_37 ?v_38 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 (or (not (and ?v_12 ?v_47)) (and ?v_94 ?v_95 ?v_48 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 (or (and ?v_15 (or ?v_52 (and ?v_49 ?v_59 ?v_50 ?v_60 ?v_51 (or ?v_52 (and ?v_49 (or (not ?v_53) (and ?v_53 ?v_61 ?v_62 ?v_63 ?v_64 ?v_54 ?v_65 ?v_66 (or (not ?v_58) (and ?v_58 (not ?v_67)))))))))) (and ?v_15 ?v_49 ?v_59 ?v_50 ?v_60 ?v_51 ?v_49 ?v_53 ?v_61 ?v_62 ?v_63 ?v_64 ?v_54 ?v_65 ?v_66 ?v_58 ?v_67 ?v_101 ?v_102 ?v_103 ?v_69 ?v_104 ?v_105 ?v_106 ?v_15 ?v_52))))))))))))))))))) (and ?v_15 ?v_2 ?v_70 ?v_3 ?v_71 ?v_4 ?v_120 ?v_15 ?v_5))) (and (or (and ?v_0 ?v_111 ?v_112 ?v_1 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 ?v_124 ?v_123 (= EC_4_ EC_3_) ?v_125) (and ?v_0 ?v_111 ?v_112 ?v_1 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 ?v_124 (not ?v_123) (= EC_137_30 EC_3_))) (not ?v_125))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
