(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_filespace_Tree () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_filespace_ClassPath () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_filespace_UnionTree () Int)
(declare-fun T_javafe_filespace_PreloadedTree () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_javafe_filespace_PathComponent () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_lang_IllegalArgumentException () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_filespace_PkgTree () Int)
(declare-fun T_java_lang_NumberFormatException () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_filespace_HashTree () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_javafe_filespace_StringUtil () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun pathSeparatorChar_18_155_29 () Int)
(declare-fun out_6_83_49 () Int)
(assert (and (= (PO_LT T_javafe_filespace_Tree T_java_lang_Object) true_term) (= T_javafe_filespace_Tree (asChild T_javafe_filespace_Tree T_java_lang_Object)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_ClassPath T_java_lang_Object) true_term) (= T_javafe_filespace_ClassPath (asChild T_javafe_filespace_ClassPath T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_filespace_UnionTree T_javafe_filespace_PreloadedTree) true_term) (= T_javafe_filespace_UnionTree (asChild T_javafe_filespace_UnionTree T_javafe_filespace_PreloadedTree)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_filespace_PathComponent T_java_lang_Object) true_term) (= T_javafe_filespace_PathComponent (asChild T_javafe_filespace_PathComponent T_java_lang_Object)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_IllegalArgumentException T_java_lang_RuntimeException) true_term) (= T_java_lang_IllegalArgumentException (asChild T_java_lang_IllegalArgumentException T_java_lang_RuntimeException)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_PkgTree T_javafe_filespace_PreloadedTree) true_term) (= T_javafe_filespace_PkgTree (asChild T_javafe_filespace_PkgTree T_javafe_filespace_PreloadedTree)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException) true_term) (= T_java_lang_NumberFormatException (asChild T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_filespace_HashTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_HashTree (asChild T_javafe_filespace_HashTree T_javafe_filespace_Tree)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree) true_term) (= T_javafe_filespace_PreloadedTree (asChild T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree)) (= (PO_LT T_javafe_filespace_StringUtil T_java_lang_Object) true_term) (= T_javafe_filespace_StringUtil (asChild T_javafe_filespace_StringUtil T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_StringUtil) true_term) (= ?t T_javafe_filespace_StringUtil))) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_filespace_Tree (+ DIST_ZERO_1 10)) (= T_java_io_OutputStream (+ DIST_ZERO_1 11)) (= T_java_lang_String (+ DIST_ZERO_1 12)) (= T_java_lang_Object (+ DIST_ZERO_1 13)) (= T_java_lang_Comparable (+ DIST_ZERO_1 14)) (= T_javafe_filespace_ClassPath (+ DIST_ZERO_1 15)) (= T_java_util_Dictionary (+ DIST_ZERO_1 16)) (= T_java_lang_Throwable (+ DIST_ZERO_1 17)) (= T_javafe_filespace_UnionTree (+ DIST_ZERO_1 18)) (= T_java_lang_Number (+ DIST_ZERO_1 19)) (= T_javafe_filespace_PathComponent (+ DIST_ZERO_1 20)) (= T_java_util_Hashtable (+ DIST_ZERO_1 21)) (= T_java_io_InputStream (+ DIST_ZERO_1 22)) (= T_java_lang_Integer (+ DIST_ZERO_1 23)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 24)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 25)) (= T_java_lang_IllegalArgumentException (+ DIST_ZERO_1 26)) (= T_java_lang_System (+ DIST_ZERO_1 27)) (= T_java_util_Enumeration (+ DIST_ZERO_1 28)) (= T_javafe_filespace_PkgTree (+ DIST_ZERO_1 29)) (= T_java_util_Map (+ DIST_ZERO_1 30)) (= T_java_lang_NumberFormatException (+ DIST_ZERO_1 31)) (= T_java_io_IOException (+ DIST_ZERO_1 32)) (= T_javafe_filespace_HashTree (+ DIST_ZERO_1 33)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 34)) (= T_java_io_File (+ DIST_ZERO_1 35)) (= T_java_lang_Exception (+ DIST_ZERO_1 36)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 37)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 38)) (= T_java_io_PrintStream (+ DIST_ZERO_1 39)) (= T_java_util_Properties (+ DIST_ZERO_1 40)) (= T_javafe_filespace_PreloadedTree (+ DIST_ZERO_1 41)) (= T_javafe_filespace_StringUtil (+ DIST_ZERO_1 42)) (= T_java_io_Serializable (+ DIST_ZERO_1 43))) (= true_term (is pathSeparatorChar_18_155_29 T_char)) (= true_term (is out_6_83_49 T_java_io_PrintStream))))
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun L_208_1 () Int)
(declare-fun S_177_20 () Int)
(declare-fun S_168_4 () Int)
(declare-fun S_167_24 () Int)
(declare-fun S_182_24 () Int)
(declare-fun S_206_16 () Int)
(declare-fun S_195_24 () Int)
(declare-fun S_193_35 () Int)
(declare-fun S_204_48 () Int)
(declare-fun S_205_20 () Int)
(declare-fun S_171_49 () Int)
(declare-fun S_196_33 () Int)
(declare-fun keyType_pre_22_16_25 () Int)
(declare-fun keyType_22_16_25 () Int)
(declare-fun props_pre_6_396_44 () Int)
(declare-fun props_6_396_44 () Int)
(declare-fun returnsNull_pre_33_79_29 () Int)
(declare-fun returnsNull_33_79_29 () Int)
(declare-fun pathSeparatorChar_pre_18_155_29 () Int)
(declare-fun edges_pre_31_37_24 () Int)
(declare-fun edges_31_37_24 () Int)
(declare-fun permitsNullValue_pre_22_31_27 () Int)
(declare-fun permitsNullValue_22_31_27 () Int)
(declare-fun out_pre_6_83_49 () Int)
(declare-fun data_pre_25_41_18 () Int)
(declare-fun data_25_41_18 () Int)
(declare-fun moreElements_pre_33_58_29 () Int)
(declare-fun moreElements_33_58_29 () Int)
(declare-fun elementType_pre_33_74_27 () Int)
(declare-fun elementType_33_74_27 () Int)
(declare-fun elementType_pre_22_26_25 () Int)
(declare-fun elementType_22_26_25 () Int)
(declare-fun permitsNullKey_pre_22_21_27 () Int)
(declare-fun permitsNullKey_22_21_27 () Int)
(declare-fun count_pre_5_99_33 () Int)
(declare-fun count_5_99_33 () Int)
(declare-fun value_pre_5_91_31 () Int)
(declare-fun value_5_91_31 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun args_162_37 () Int)
(declare-fun tmp1_cond_171_23 () Int)
(declare-fun tmp1_cond_171_37 () Int)
(declare-fun tmp2_cond_172_22 () Int)
(declare-fun tmp2_cond_172_36 () Int)
(declare-fun RES_177_35_177_35 () Int)
(declare-fun EC_177_35_177_35 () Int)
(declare-fun arg0_177_12_177_12_34__ () Int)
(declare-fun EC_177_12_177_12 () Int)
(declare-fun RES_180_10_180_10 () Int)
(declare-fun EC_180_10_180_10 () Int)
(declare-fun XRES_180_10_180_10 () Int)
(declare-fun RES_180_22_180_22 () Int)
(declare-fun EC_180_22_180_22 () Int)
(declare-fun label_193_17_193_17_25_111_32 () Int)
(declare-fun RES_193_17_193_17 () Int)
(declare-fun EC_193_17_193_17 () Int)
(declare-fun sourceFile_201_1 () Int)
(declare-fun RES_203_28_203_28 () Int)
(declare-fun EC_203_28_203_28 () Int)
(declare-fun XRES_203_28_203_28 () Int)
(declare-fun RES_204_31_204_31 () Int)
(declare-fun EC_204_31_204_31 () Int)
(declare-fun arg0_204_12_204_12_34__ () Int)
(declare-fun EC_204_12_204_12 () Int)
(declare-fun arg0_205_12_205_12_34__ () Int)
(declare-fun EC_205_12_205_12 () Int)
(declare-fun RES_208_17_208_17 () Int)
(declare-fun EC_208_17_208_17 () Int)
(declare-fun XRES_208_17_208_17 () Int)
(declare-fun EC_loopold () Int)
(declare-fun next_loopold_208_10 () Int)
(declare-fun EC_208_1_0_209_23_209_23 () Int)
(declare-fun EC () Int)
(declare-fun XRES () Int)
(declare-fun RES_208_1_0_208_41_208_41 () Int)
(declare-fun EC_208_1_0_208_41_208_41 () Int)
(declare-fun XRES_208_1_0_208_41_208_41 () Int)
(declare-fun EC_1_ () Int)
(declare-fun XRES_1_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun XRES_2_ () Int)
(declare-fun EC_166_9 () Int)
(declare-fun XRES_166_9 () Int)
(declare-fun arg0_167_16_167_16_34__ () Int)
(declare-fun EC_167_16_167_16 () Int)
(declare-fun EC_166_9_1_ () Int)
(declare-fun XRES_166_9_1_ () Int)
(declare-fun XRES_167_16_167_16 () Int)
(declare-fun arg0_182_16_182_16_34__ () Int)
(declare-fun EC_182_16_182_16 () Int)
(declare-fun XRES_182_16_182_16 () Int)
(declare-fun EC_188_5_188_5 () Int)
(declare-fun XRES_188_5_188_5 () Int)
(declare-fun RES_196_13_196_13 () Int)
(declare-fun EC_196_13_196_13 () Int)
(declare-fun arg0_195_16_195_16_34__ () Int)
(declare-fun EC_195_16_195_16 () Int)
(declare-fun XRES_195_16_195_16 () Int)
(declare-fun EC_208_16 () Int)
(declare-fun XRES_208_16 () Int)
(assert (let ((?v_0 (not (= args_162_37 null))) (?v_2 (arrayLength args_162_37)) (?v_10 (S_select elems args_162_37))) (let ((?v_1 (not ?v_0)) (?v_84 (> ?v_2 2))) (let ((?v_36 (not ?v_84)) (?v_3 (= true_term true_term)) (?v_5 (> ?v_2 0)) (?v_4 (<= 0 0)) (?v_6 (< 0 ?v_2))) (let ((?v_37 (or (and ?v_5 ?v_3 ?v_0 ?v_4 ?v_6 (= tmp1_cond_171_23 (S_select ?v_10 0)) (= tmp1_cond_171_37 tmp1_cond_171_23)) (and (not ?v_5) ?v_3 (= tmp1_cond_171_37 S_171_49)))) (?v_8 (> ?v_2 1)) (?v_7 (<= 0 1)) (?v_9 (< 1 ?v_2)) (?v_17 (= tmp2_cond_172_36 null))) (let ((?v_38 (or (and ?v_8 ?v_3 ?v_0 ?v_7 ?v_9 (= tmp2_cond_172_22 (S_select ?v_10 1)) (= tmp2_cond_172_36 tmp2_cond_172_22)) (and (not ?v_8) ?v_3 ?v_17))) (?v_39 (= true_term (is RES_177_35_177_35 T_java_lang_String))) (?v_40 (= true_term (isAllocated RES_177_35_177_35 alloc))) (?v_11 (= EC_177_35_177_35 ecReturn))) (let ((?v_41 (=> ?v_11 (not (= RES_177_35_177_35 null)))) (?v_42 (= arg0_177_12_177_12_34__ (stringCat S_177_20 RES_177_35_177_35))) (?v_43 (= EC_177_12_177_12 ecReturn)) (?v_44 (= true_term (is RES_180_10_180_10 T_javafe_filespace_Tree))) (?v_45 (= true_term (isAllocated RES_180_10_180_10 alloc))) (?v_12 (= EC_180_10_180_10 ecThrow)) (?v_13 (typeof XRES_180_10_180_10))) (let ((?v_46 (=> ?v_12 (and (not (= XRES_180_10_180_10 null)) (= (PO_LT ?v_13 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_180_10_180_10 alloc))))) (?v_14 (= EC_180_10_180_10 ecReturn))) (let ((?v_47 (or ?v_14 (and ?v_12 (= (PO_LT ?v_13 T_java_io_IOException) true_term)))) (?v_15 (not (= RES_180_10_180_10 null)))) (let ((?v_48 (=> ?v_14 ?v_15)) (?v_16 (not (= tmp1_cond_171_37 null))) (?v_49 (= true_term (is RES_180_22_180_22 T_javafe_filespace_Tree))) (?v_50 (= true_term (isAllocated RES_180_22_180_22 alloc))) (?v_51 (= EC_180_22_180_22 ecReturn)) (?v_85 (= RES_180_22_180_22 null))) (let ((?v_18 (not ?v_85))) (let ((?v_19 (not ?v_18)) (?v_52 (not ?v_17)) (?v_20 (= label_193_17_193_17_25_111_32 (stringCat tmp2_cond_172_36 S_193_35))) (?v_21 (not (= label_193_17_193_17_25_111_32 null))) (?v_53 (= true_term (is RES_193_17_193_17 T_javafe_filespace_Tree))) (?v_54 (= true_term (isAllocated RES_193_17_193_17 alloc))) (?v_55 (= EC_193_17_193_17 ecReturn)) (?v_22 (= RES_193_17_193_17 null))) (let ((?v_23 (not ?v_22)) (?v_24 (S_select data_25_41_18 RES_193_17_193_17))) (let ((?v_56 (= true_term (is ?v_24 T_javafe_genericfile_GenericFile))) (?v_57 (= sourceFile_201_1 (cast ?v_24 T_javafe_genericfile_GenericFile))) (?v_25 (not (= sourceFile_201_1 null)))) (let ((?v_29 (not ?v_25)) (?v_58 (= true_term (is RES_203_28_203_28 T_java_io_InputStream))) (?v_59 (= true_term (isAllocated RES_203_28_203_28 alloc))) (?v_26 (= EC_203_28_203_28 ecThrow)) (?v_27 (typeof XRES_203_28_203_28))) (let ((?v_60 (=> ?v_26 (and (not (= XRES_203_28_203_28 null)) (= (PO_LT ?v_27 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_203_28_203_28 alloc))))) (?v_28 (= EC_203_28_203_28 ecReturn))) (let ((?v_61 (or ?v_28 (and ?v_26 (= (PO_LT ?v_27 T_java_io_IOException) true_term)))) (?v_31 (not (= RES_203_28_203_28 null)))) (let ((?v_62 (=> ?v_28 ?v_31)) (?v_63 (= true_term (is RES_204_31_204_31 T_java_lang_String))) (?v_64 (= true_term (isAllocated RES_204_31_204_31 alloc))) (?v_30 (= EC_204_31_204_31 ecReturn))) (let ((?v_65 (=> ?v_30 (not (= RES_204_31_204_31 null)))) (?v_66 (= arg0_204_12_204_12_34__ (stringCat RES_204_31_204_31 S_204_48))) (?v_67 (= EC_204_12_204_12 ecReturn)) (?v_68 (= arg0_205_12_205_12_34__ (stringCat (stringCat S_205_20 tmp2_cond_172_36) S_206_16))) (?v_69 (= EC_205_12_205_12 ecReturn)) (?v_35 (not ?v_31)) (?v_70 (= true_term (is RES_208_17_208_17 T_int))) (?v_32 (= EC_208_17_208_17 ecThrow)) (?v_33 (typeof XRES_208_17_208_17))) (let ((?v_71 (=> ?v_32 (and (not (= XRES_208_17_208_17 null)) (= (PO_LT ?v_33 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_208_17_208_17 alloc))))) (?v_34 (= EC_208_17_208_17 ecReturn))) (let ((?v_72 (or ?v_34 (and ?v_32 (= (PO_LT ?v_33 T_java_io_IOException) true_term)))) (?v_73 (= EC_208_17_208_17 EC_loopold)) (?v_74 (= RES_208_17_208_17 next_loopold_208_10)) (?v_75 (>= RES_208_17_208_17 0)) (?v_76 (= EC_208_1_0_209_23_209_23 ecReturn)) (?v_79 (= true_term (is RES_208_1_0_208_41_208_41 T_int))) (?v_77 (= EC_208_1_0_208_41_208_41 ecThrow)) (?v_78 (typeof XRES_208_1_0_208_41_208_41))) (let ((?v_80 (=> ?v_77 (and (not (= XRES_208_1_0_208_41_208_41 null)) (= (PO_LT ?v_78 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_208_1_0_208_41_208_41 alloc))))) (?v_82 (= EC_208_1_0_208_41_208_41 ecReturn))) (let ((?v_81 (or ?v_82 (and ?v_77 (= (PO_LT ?v_78 T_java_io_IOException) true_term)))) (?v_83 (= EC_1_ L_208_1))) (let ((?v_87 (or (and ?v_3 (or (and (not ?v_75) (= EC L_208_1) (= XRES XRES_208_17_208_17)) (and ?v_75 ?v_76 ?v_31 ?v_79 ?v_80 ?v_81 ?v_3 ?v_77 (= EC EC_208_1_0_208_41_208_41) (= XRES XRES_208_1_0_208_41_208_41))) (= EC_1_ EC) (= XRES_1_ XRES)) (and ?v_3 ?v_75 ?v_76 ?v_31 ?v_79 ?v_80 ?v_81 ?v_82 ?v_3 (not (>= RES_208_1_0_208_41_208_41 0)) ?v_83 (= XRES_1_ XRES_208_1_0_208_41_208_41)))) (?v_88 (= EC_166_9 ecReturn)) (?v_86 (= EC_166_9_1_ ecReturn))) (not (=> (and (distinct ecReturn ecThrow L_208_1) (not (= S_177_20 null)) (= (typeof S_177_20) T_java_lang_String) (not (= S_168_4 null)) (= (typeof S_168_4) T_java_lang_String) (not (= S_167_24 null)) (= (typeof S_167_24) T_java_lang_String) (not (= S_182_24 null)) (= (typeof S_182_24) T_java_lang_String) (not (= S_206_16 null)) (= (typeof S_206_16) T_java_lang_String) (not (= S_195_24 null)) (= (typeof S_195_24) T_java_lang_String) (not (= S_193_35 null)) (= (typeof S_193_35) T_java_lang_String) (not (= S_204_48 null)) (= (typeof S_204_48) T_java_lang_String) (not (= S_205_20 null)) (= (typeof S_205_20) T_java_lang_String) (not (= S_171_49 null)) (= (typeof S_171_49) T_java_lang_String) (not (= S_196_33 null)) (= (typeof S_196_33) T_java_lang_String)) (=> (and (= keyType_pre_22_16_25 keyType_22_16_25) (= keyType_22_16_25 (asField keyType_22_16_25 T__TYPE)) (= props_pre_6_396_44 props_6_396_44) (= true_term (is props_6_396_44 T_java_util_Properties)) (= true_term (isAllocated props_6_396_44 alloc)) (not (= props_6_396_44 null)) (= returnsNull_pre_33_79_29 returnsNull_33_79_29) (= returnsNull_33_79_29 (asField returnsNull_33_79_29 T_boolean)) (= pathSeparatorChar_pre_18_155_29 pathSeparatorChar_18_155_29) (= true_term (is pathSeparatorChar_18_155_29 T_char)) (= edges_pre_31_37_24 edges_31_37_24) (= edges_31_37_24 (asField edges_31_37_24 T_java_util_Hashtable)) (< (fClosedTime edges_31_37_24) alloc) (= permitsNullValue_pre_22_31_27 permitsNullValue_22_31_27) (= permitsNullValue_22_31_27 (asField permitsNullValue_22_31_27 T_boolean)) (= out_pre_6_83_49 out_6_83_49) (= true_term (is out_6_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_6_83_49 alloc)) (not (= out_6_83_49 null)) (= data_pre_25_41_18 data_25_41_18) (= data_25_41_18 (asField data_25_41_18 T_java_lang_Object)) (< (fClosedTime data_25_41_18) alloc) (= moreElements_pre_33_58_29 moreElements_33_58_29) (= moreElements_33_58_29 (asField moreElements_33_58_29 T_boolean)) (= elementType_pre_33_74_27 elementType_33_74_27) (= elementType_33_74_27 (asField elementType_33_74_27 T__TYPE)) (= elementType_pre_22_26_25 elementType_22_26_25) (= elementType_22_26_25 (asField elementType_22_26_25 T__TYPE)) (= permitsNullKey_pre_22_21_27 permitsNullKey_22_21_27) (= permitsNullKey_22_21_27 (asField permitsNullKey_22_21_27 T_boolean)) (= count_pre_5_99_33 count_5_99_33) (= count_5_99_33 (asField count_5_99_33 T_int)) (= value_pre_5_91_31 value_5_91_31) (= value_5_91_31 (asField value_5_91_31 (array T_char))) (< (fClosedTime value_5_91_31) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select value_5_91_31 ?s) null)))) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is args_162_37 (array T_java_lang_String))) (= true_term (isAllocated args_162_37 alloc)) ?v_0 (forall ((?i_160_30 Int)) (=> (and (<= 0 ?i_160_30) (< ?i_160_30 ?v_2)) (not (= (S_select ?v_10 ?i_160_30) null)))) (or ?v_1 (and ?v_0 ?v_36 ?v_3 (or ?v_1 (and ?v_0 (or (and ?v_5 ?v_3 (or ?v_1 (and ?v_0 (or (not ?v_4) (and ?v_4 (not ?v_6)))))) (and ?v_37 (or ?v_1 (and ?v_0 (or (and ?v_8 ?v_3 (or ?v_1 (and ?v_0 (or (not ?v_7) (and ?v_7 (not ?v_9)))))) (and ?v_38 ?v_39 ?v_40 ?v_11 ?v_41 ?v_42 ?v_43 ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 ?v_14 (or (not ?v_15) (and ?v_15 (or (not ?v_16) (and ?v_16 ?v_49 ?v_50 ?v_51 ?v_18 ?v_3 (or (and ?v_17 ?v_3 ?v_19) (and ?v_52 ?v_3 (or ?v_19 (and ?v_18 (or (and ?v_20 (not ?v_21)) (and ?v_20 ?v_21 ?v_53 ?v_54 ?v_55 (or (and ?v_22 ?v_3 ?v_19) (and ?v_23 ?v_3 (or (not ?v_23) (and ?v_23 ?v_56 ?v_57 ?v_25 (or ?v_29 (and ?v_25 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_28 (or ?v_29 (and ?v_25 ?v_63 ?v_64 ?v_30 ?v_65 ?v_66 ?v_67 ?v_68 ?v_69 (or ?v_35 (and ?v_31 ?v_70 ?v_71 ?v_72 ?v_34 ?v_73 ?v_74 ?v_3 ?v_75 ?v_76 ?v_35))))))))))))))))))))))))))))) (and (or (and ?v_0 ?v_36 ?v_3 ?v_0 ?v_37 ?v_0 ?v_38 ?v_39 ?v_40 ?v_11 ?v_41 ?v_42 ?v_43 ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 ?v_14 ?v_15 ?v_16 ?v_49 ?v_50 ?v_51 ?v_18 ?v_3 ?v_52 ?v_3 ?v_18 ?v_20 ?v_21 ?v_53 ?v_54 ?v_55 ?v_23 ?v_3 ?v_23 ?v_56 ?v_57 ?v_25 ?v_25 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_28 ?v_25 ?v_63 ?v_64 ?v_30 ?v_65 ?v_66 ?v_67 ?v_68 ?v_69 ?v_31 ?v_70 ?v_71 ?v_72 ?v_34 ?v_73 ?v_74 ?v_87 ?v_83 (= EC_2_ EC_1_) (= XRES_2_ XRES_1_) ?v_88 (= XRES_166_9 XRES_2_)) (and ?v_0 (or (and ?v_84 ?v_3 (= arg0_167_16_167_16_34__ (stringCat S_167_24 S_168_4)) (= EC_167_16_167_16 ecReturn) ?v_3 ?v_86 (= XRES_166_9_1_ XRES_167_16_167_16)) (and ?v_36 ?v_3 ?v_0 ?v_37 ?v_0 ?v_38 ?v_39 ?v_40 ?v_11 ?v_41 ?v_42 ?v_43 (or (and ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 ?v_3 ?v_12 (= EC_166_9_1_ EC_180_10_180_10) (= XRES_166_9_1_ XRES_180_10_180_10)) (and ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 ?v_14 ?v_15 ?v_16 ?v_49 ?v_50 ?v_51 (or (and ?v_85 ?v_3 (= arg0_182_16_182_16_34__ (stringCat S_182_24 tmp1_cond_171_37)) (= EC_182_16_182_16 ecReturn) ?v_3 ?v_86 (= XRES_166_9_1_ XRES_182_16_182_16)) (and ?v_18 ?v_3 (or (and ?v_17 ?v_3 ?v_18 (= EC_188_5_188_5 ecReturn) ?v_3 ?v_86 (= XRES_166_9_1_ XRES_188_5_188_5)) (and ?v_52 ?v_3 ?v_18 ?v_20 ?v_21 ?v_53 ?v_54 ?v_55 (or (and ?v_22 ?v_3 ?v_18 (= true_term (is RES_196_13_196_13 T_java_lang_String)) (= true_term (isAllocated RES_196_13_196_13 alloc)) (= EC_196_13_196_13 ecReturn) (= arg0_195_16_195_16_34__ (stringCat (stringCat (stringCat S_195_24 RES_196_13_196_13) S_196_33) tmp2_cond_172_36)) (= EC_195_16_195_16 ecReturn) ?v_3 ?v_86 (= XRES_166_9_1_ XRES_195_16_195_16)) (and ?v_23 ?v_3 ?v_23 ?v_56 ?v_57 ?v_25 ?v_25 (or (and ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_3 ?v_26 (= EC_166_9_1_ EC_203_28_203_28) (= XRES_166_9_1_ XRES_203_28_203_28)) (and ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_28 ?v_25 ?v_63 ?v_64 ?v_30 ?v_65 ?v_66 ?v_67 ?v_68 ?v_69 ?v_31 (or (and ?v_70 ?v_71 ?v_72 ?v_3 ?v_32 (= EC_208_16 EC_208_17_208_17) (= XRES_208_16 XRES_208_17_208_17)) (and ?v_70 ?v_71 ?v_72 ?v_34 ?v_73 ?v_74 ?v_87 (not ?v_83) (= EC_208_16 EC_1_) (= XRES_208_16 XRES_1_))) (= EC_166_9_1_ EC_208_16) (= XRES_166_9_1_ XRES_208_16))))))))))))) (= EC_166_9 EC_166_9_1_) (= XRES_166_9 XRES_166_9_1_))) (not (or ?v_88 (and (= EC_166_9 ecThrow) (= (PO_LT (typeof XRES_166_9) T_java_io_IOException) true_term)))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
