(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_javafe_filespace_StringUtil () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_12_83_49 () Int)
(assert (and (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_filespace_StringUtil T_java_lang_Object) true_term) (= T_javafe_filespace_StringUtil (asChild T_javafe_filespace_StringUtil T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_StringUtil) true_term) (= ?t T_javafe_filespace_StringUtil))) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_Serializable (+ DIST_ZERO_1 10)) (= T_java_lang_System (+ DIST_ZERO_1 11)) (= T_java_lang_Comparable (+ DIST_ZERO_1 12)) (= T_java_util_Map (+ DIST_ZERO_1 13)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 14)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 15)) (= T_java_lang_Object (+ DIST_ZERO_1 16)) (= T_java_io_OutputStream (+ DIST_ZERO_1 17)) (= T_java_lang_String (+ DIST_ZERO_1 18)) (= T_javafe_filespace_StringUtil (+ DIST_ZERO_1 19)) (= T_java_util_Hashtable (+ DIST_ZERO_1 20)) (= T_java_util_Dictionary (+ DIST_ZERO_1 21)) (= T_java_util_Properties (+ DIST_ZERO_1 22)) (= T_java_io_PrintStream (+ DIST_ZERO_1 23)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 24))) (= true_term (is out_12_83_49 T_java_io_PrintStream))))
(declare-fun L_16_1 () Int)
(declare-fun ecReturn () Int)
(declare-fun L_13_1 () Int)
(declare-fun out_pre_12_83_49 () Int)
(declare-fun count_pre_5_99_33 () Int)
(declare-fun count_5_99_33 () Int)
(declare-fun value_pre_5_91_31 () Int)
(declare-fun value_5_91_31 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun s_12_48 () Int)
(declare-fun s_loopold_12_48 () Int)
(declare-fun EC () Int)
(declare-fun EC_loopold () Int)
(declare-fun RES_13_1_0_13_10_13_10 () Int)
(declare-fun EC_13_1_0_13_10_13_10 () Int)
(declare-fun RES_13_1_0_13_26_13_26 () Int)
(declare-fun EC_13_1_0_13_26_13_26 () Int)
(declare-fun tmp0_cand_13_1_0_13_8 () Int)
(declare-fun RES () Int)
(declare-fun tmp0_cand_13_21 () Int)
(declare-fun EC_1_ () Int)
(declare-fun tmp1_s_13_24 () Int)
(declare-fun tmp1_s_13_1_0_13_24 () Int)
(declare-fun RES_13_1_0_14_25_14_25 () Int)
(declare-fun EC_13_1_0_14_25_14_25 () Int)
(declare-fun RES_13_1_0_14_11_14_11 () Int)
(declare-fun EC_13_1_0_14_11_14_11 () Int)
(declare-fun RES_13_1_1_13_10_13_10 () Int)
(declare-fun EC_13_1_1_13_10_13_10 () Int)
(declare-fun RES_1_ () Int)
(declare-fun s_12_48_1_ () Int)
(declare-fun RES_13_1_1_13_26_13_26 () Int)
(declare-fun EC_13_1_1_13_26_13_26 () Int)
(declare-fun tmp0_cand_13_1_1_13_8 () Int)
(declare-fun RES_2_ () Int)
(declare-fun tmp0_cand_13_21_1_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun RES_3_ () Int)
(declare-fun s_12_48_2_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun s_loopold_12_48_1_ () Int)
(declare-fun EC_loopold_1_ () Int)
(declare-fun RES_16_1_0_16_10_16_10 () Int)
(declare-fun EC_16_1_0_16_10_16_10 () Int)
(declare-fun RES_16_1_0_16_35_16_35 () Int)
(declare-fun EC_16_1_0_16_35_16_35 () Int)
(declare-fun index_16_26_16_1_0_16_26_5_528_27 () Int)
(declare-fun RES_16_1_0_16_26_16_26 () Int)
(declare-fun EC_16_1_0_16_26_16_26 () Int)
(declare-fun tmp3_cand_16_1_0_16_8 () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun tmp4_s_16_24 () Int)
(declare-fun tmp3_cand_16_21 () Int)
(declare-fun tmp4_s_16_1_0_16_24 () Int)
(declare-fun RES_16_1_0_17_25_17_25 () Int)
(declare-fun EC_16_1_0_17_25_17_25 () Int)
(declare-fun endIndex_17_11_16_1_0_17_11_5_1512_48 () Int)
(declare-fun RES_16_1_0_17_11_17_11 () Int)
(declare-fun EC_16_1_0_17_11_17_11 () Int)
(declare-fun RES_16_1_1_16_10_16_10 () Int)
(declare-fun EC_16_1_1_16_10_16_10 () Int)
(declare-fun RES_16_1_1_16_35_16_35 () Int)
(declare-fun EC_16_1_1_16_35_16_35 () Int)
(declare-fun EC_5_ () Int)
(declare-fun s_12_48_3_ () Int)
(declare-fun index_16_26_16_1_1_16_26_5_528_27 () Int)
(declare-fun RES_16_1_1_16_26_16_26 () Int)
(declare-fun EC_16_1_1_16_26_16_26 () Int)
(declare-fun tmp3_cand_16_1_1_16_8 () Int)
(declare-fun EC_6_ () Int)
(declare-fun tmp3_cand_16_21_1_ () Int)
(declare-fun s_12_48_4_ () Int)
(declare-fun EC_7_ () Int)
(assert (let ((?v_0 (not (= s_12_48 null))) (?v_19 (= s_12_48 s_loopold_12_48)) (?v_20 (= EC EC_loopold)) (?v_7 (= true_term true_term))) (let ((?v_2 (not ?v_0)) (?v_3 (= true_term (is RES_13_1_0_13_10_13_10 T_int))) (?v_1 (= EC_13_1_0_13_10_13_10 ecReturn))) (let ((?v_4 (=> ?v_1 (>= RES_13_1_0_13_10_13_10 0))) (?v_9 (S_select count_5_99_33 s_12_48))) (let ((?v_5 (=> ?v_1 (= RES_13_1_0_13_10_13_10 ?v_9))) (?v_6 (> RES_13_1_0_13_10_13_10 0))) (let ((?v_10 (or (and ?v_6 ?v_0 (= true_term (is RES_13_1_0_13_26_13_26 T_char)) (= EC_13_1_0_13_26_13_26 ecReturn) (= tmp0_cand_13_1_0_13_8 (integralEQ RES_13_1_0_13_26_13_26 32)) (= RES RES_13_1_0_13_26_13_26) (= tmp0_cand_13_21 tmp0_cand_13_1_0_13_8) (= EC_1_ EC_13_1_0_13_26_13_26) (= tmp1_s_13_24 s_12_48)) (and (not ?v_6) ?v_7 (= RES RES_13_1_0_13_10_13_10) (= tmp0_cand_13_21 false_term) (= EC_1_ EC_13_1_0_13_10_13_10) (= tmp1_s_13_24 tmp1_s_13_1_0_13_24)))) (?v_11 (= true_term tmp0_cand_13_21)) (?v_12 (= true_term (is RES_13_1_0_14_25_14_25 T_int))) (?v_8 (= EC_13_1_0_14_25_14_25 ecReturn))) (let ((?v_13 (=> ?v_8 (>= RES_13_1_0_14_25_14_25 0))) (?v_14 (=> ?v_8 (= RES_13_1_0_14_25_14_25 ?v_9))) (?v_21 (= true_term (is RES_13_1_0_14_11_14_11 T_java_lang_String))) (?v_22 (= true_term (isAllocated RES_13_1_0_14_11_14_11 alloc))) (?v_15 (= EC_13_1_0_14_11_14_11 ecReturn)) (?v_16 (not (= RES_13_1_0_14_11_14_11 null)))) (let ((?v_23 (=> ?v_15 ?v_16)) (?v_18 (not ?v_16)) (?v_24 (= true_term (is RES_13_1_1_13_10_13_10 T_int))) (?v_17 (= EC_13_1_1_13_10_13_10 ecReturn))) (let ((?v_25 (=> ?v_17 (>= RES_13_1_1_13_10_13_10 0))) (?v_26 (=> ?v_17 (= RES_13_1_1_13_10_13_10 (S_select count_5_99_33 RES_13_1_0_14_11_14_11)))) (?v_27 (> RES_13_1_1_13_10_13_10 0))) (let ((?v_52 (or (and ?v_7 ?v_0 ?v_3 ?v_1 ?v_4 ?v_5 ?v_10 (not ?v_11) (= RES_1_ RES) (= s_12_48_1_ s_12_48)) (and ?v_7 ?v_0 ?v_3 ?v_1 ?v_4 ?v_5 ?v_10 ?v_11 ?v_0 ?v_12 ?v_8 ?v_13 ?v_14 ?v_0 ?v_21 ?v_22 ?v_15 ?v_23 ?v_7 ?v_16 ?v_24 ?v_17 ?v_25 ?v_26 (or (and ?v_27 ?v_16 (= true_term (is RES_13_1_1_13_26_13_26 T_char)) (= EC_13_1_1_13_26_13_26 ecReturn) (= tmp0_cand_13_1_1_13_8 (integralEQ RES_13_1_1_13_26_13_26 32)) (= RES_2_ RES_13_1_1_13_26_13_26) (= tmp0_cand_13_21_1_ tmp0_cand_13_1_1_13_8) (= EC_2_ EC_13_1_1_13_26_13_26)) (and (not ?v_27) ?v_7 (= RES_2_ RES_13_1_1_13_10_13_10) (= tmp0_cand_13_21_1_ false_term) (= EC_2_ EC_13_1_1_13_10_13_10))) (not (= true_term tmp0_cand_13_21_1_)) (= RES_1_ RES_2_) (= s_12_48_1_ RES_13_1_0_14_11_14_11)))) (?v_53 (= L_13_1 L_13_1)) (?v_54 (= RES_3_ RES_1_)) (?v_55 (= s_12_48_2_ s_12_48_1_)) (?v_56 (= EC_3_ L_13_1)) (?v_57 (= s_12_48_2_ s_loopold_12_48_1_)) (?v_58 (= EC_3_ EC_loopold_1_)) (?v_28 (not (= s_12_48_2_ null)))) (let ((?v_30 (not ?v_28)) (?v_33 (= true_term (is RES_16_1_0_16_10_16_10 T_int))) (?v_29 (= EC_16_1_0_16_10_16_10 ecReturn))) (let ((?v_34 (=> ?v_29 (>= RES_16_1_0_16_10_16_10 0))) (?v_32 (S_select count_5_99_33 s_12_48_2_))) (let ((?v_35 (=> ?v_29 (= RES_16_1_0_16_10_16_10 ?v_32))) (?v_36 (> RES_16_1_0_16_10_16_10 0)) (?v_37 (= true_term (is RES_16_1_0_16_35_16_35 T_int))) (?v_31 (= EC_16_1_0_16_35_16_35 ecReturn))) (let ((?v_38 (=> ?v_31 (>= RES_16_1_0_16_35_16_35 0))) (?v_39 (=> ?v_31 (= RES_16_1_0_16_35_16_35 ?v_32)))) (let ((?v_41 (or (and ?v_36 ?v_28 ?v_37 ?v_31 ?v_38 ?v_39 ?v_28 (= index_16_26_16_1_0_16_26_5_528_27 (- RES_16_1_0_16_35_16_35 1)) (= true_term (is RES_16_1_0_16_26_16_26 T_char)) (= EC_16_1_0_16_26_16_26 ecReturn) (= tmp3_cand_16_1_0_16_8 (integralEQ RES_16_1_0_16_26_16_26 32)) (= RES_4_ RES_16_1_0_16_26_16_26) (= EC_4_ EC_16_1_0_16_26_16_26) (= tmp4_s_16_24 s_12_48_2_) (= tmp3_cand_16_21 tmp3_cand_16_1_0_16_8)) (and (not ?v_36) ?v_7 (= RES_4_ RES_16_1_0_16_10_16_10) (= EC_4_ EC_16_1_0_16_10_16_10) (= tmp4_s_16_24 tmp4_s_16_1_0_16_24) (= tmp3_cand_16_21 false_term)))) (?v_42 (= true_term tmp3_cand_16_21)) (?v_43 (= true_term (is RES_16_1_0_17_25_17_25 T_int))) (?v_40 (= EC_16_1_0_17_25_17_25 ecReturn))) (let ((?v_44 (=> ?v_40 (>= RES_16_1_0_17_25_17_25 0))) (?v_45 (=> ?v_40 (= RES_16_1_0_17_25_17_25 ?v_32))) (?v_59 (= endIndex_17_11_16_1_0_17_11_5_1512_48 (- RES_16_1_0_17_25_17_25 1))) (?v_60 (= true_term (is RES_16_1_0_17_11_17_11 T_java_lang_String))) (?v_61 (= true_term (isAllocated RES_16_1_0_17_11_17_11 alloc))) (?v_46 (= EC_16_1_0_17_11_17_11 ecReturn)) (?v_47 (not (= RES_16_1_0_17_11_17_11 null)))) (let ((?v_62 (=> ?v_46 ?v_47)) (?v_49 (not ?v_47)) (?v_63 (= true_term (is RES_16_1_1_16_10_16_10 T_int))) (?v_48 (= EC_16_1_1_16_10_16_10 ecReturn))) (let ((?v_64 (=> ?v_48 (>= RES_16_1_1_16_10_16_10 0))) (?v_51 (S_select count_5_99_33 RES_16_1_0_17_11_17_11))) (let ((?v_65 (=> ?v_48 (= RES_16_1_1_16_10_16_10 ?v_51))) (?v_66 (> RES_16_1_1_16_10_16_10 0)) (?v_67 (= true_term (is RES_16_1_1_16_35_16_35 T_int))) (?v_50 (= EC_16_1_1_16_35_16_35 ecReturn))) (let ((?v_68 (=> ?v_50 (>= RES_16_1_1_16_35_16_35 0))) (?v_69 (=> ?v_50 (= RES_16_1_1_16_35_16_35 ?v_51)))) (let ((?v_70 (or (and ?v_7 ?v_28 ?v_33 ?v_29 ?v_34 ?v_35 ?v_41 (not ?v_42) (= s_12_48_3_ s_12_48_2_)) (and ?v_7 ?v_28 ?v_33 ?v_29 ?v_34 ?v_35 ?v_41 ?v_42 ?v_28 ?v_43 ?v_40 ?v_44 ?v_45 ?v_28 ?v_59 ?v_60 ?v_61 ?v_46 ?v_62 ?v_7 ?v_47 ?v_63 ?v_48 ?v_64 ?v_65 (or (and ?v_66 ?v_47 ?v_67 ?v_50 ?v_68 ?v_69 ?v_47 (= index_16_26_16_1_1_16_26_5_528_27 (- RES_16_1_1_16_35_16_35 1)) (= true_term (is RES_16_1_1_16_26_16_26 T_char)) (= EC_16_1_1_16_26_16_26 ecReturn) (= tmp3_cand_16_1_1_16_8 (integralEQ RES_16_1_1_16_26_16_26 32)) (= EC_6_ EC_16_1_1_16_26_16_26) (= tmp3_cand_16_21_1_ tmp3_cand_16_1_1_16_8)) (and (not ?v_66) ?v_7 (= EC_6_ EC_16_1_1_16_10_16_10) (= tmp3_cand_16_21_1_ false_term))) (not (= true_term tmp3_cand_16_21_1_)) (= s_12_48_3_ RES_16_1_0_17_11_17_11)))) (?v_71 (= L_16_1 L_16_1)) (?v_72 (= EC_5_ ecReturn))) (not (=> (distinct L_16_1 ecReturn L_13_1) (=> (and (= out_pre_12_83_49 out_12_83_49) (= true_term (is out_12_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_12_83_49 alloc)) (not (= out_12_83_49 null)) (= count_pre_5_99_33 count_5_99_33) (= count_5_99_33 (asField count_5_99_33 T_int)) (= value_pre_5_91_31 value_5_91_31) (= value_5_91_31 (asField value_5_91_31 (array T_char))) (< (fClosedTime value_5_91_31) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select value_5_91_31 ?s) null)))) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is s_12_48 T_java_lang_String)) (= true_term (isAllocated s_12_48 alloc)) ?v_0 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_java_lang_String)) (not (= ?brokenObj null))) (>= (S_select count_5_99_33 ?brokenObj) 0))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_java_lang_String)) (not (= ?brokenObj_1_ null))) (<= (S_select count_5_99_33 ?brokenObj_1_) (arrayLength (S_select value_5_91_31 ?brokenObj_1_))))) (or (and ?v_19 ?v_20 (or (and ?v_7 (or ?v_2 (and ?v_0 ?v_3 ?v_1 ?v_4 ?v_5 ?v_6 ?v_2) (and ?v_0 ?v_3 ?v_1 ?v_4 ?v_5 ?v_10 ?v_11 (or ?v_2 (and ?v_0 ?v_12 ?v_8 ?v_13 ?v_14 ?v_2))))) (and ?v_7 ?v_0 ?v_3 ?v_1 ?v_4 ?v_5 ?v_10 ?v_11 ?v_0 ?v_12 ?v_8 ?v_13 ?v_14 ?v_0 ?v_21 ?v_22 ?v_15 ?v_23 ?v_7 (or ?v_18 (and ?v_16 ?v_24 ?v_17 ?v_25 ?v_26 ?v_27 ?v_18))))) (and ?v_19 ?v_20 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_57 ?v_58 (or (and ?v_7 (or ?v_30 (and ?v_28 ?v_33 ?v_29 ?v_34 ?v_35 ?v_36 (or ?v_30 (and ?v_28 ?v_37 ?v_31 ?v_38 ?v_39 ?v_30))) (and ?v_28 ?v_33 ?v_29 ?v_34 ?v_35 ?v_41 ?v_42 (or ?v_30 (and ?v_28 ?v_43 ?v_40 ?v_44 ?v_45 ?v_30))))) (and ?v_7 ?v_28 ?v_33 ?v_29 ?v_34 ?v_35 ?v_41 ?v_42 ?v_28 ?v_43 ?v_40 ?v_44 ?v_45 ?v_28 ?v_59 ?v_60 ?v_61 ?v_46 ?v_62 ?v_7 (or ?v_49 (and ?v_47 ?v_63 ?v_48 ?v_64 ?v_65 ?v_66 (or ?v_49 (and ?v_47 ?v_67 ?v_50 ?v_68 ?v_69 ?v_49))))))) (and (or (and ?v_19 ?v_20 ?v_52 (not ?v_53) (= EC_5_ L_13_1)) (and ?v_19 ?v_20 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 (or (and ?v_57 ?v_58 ?v_70 (not ?v_71) (= EC_5_ L_16_1)) (and ?v_57 ?v_58 ?v_70 ?v_71 (= s_12_48_4_ s_12_48_3_) (= EC_7_ L_16_1) ?v_7 ?v_72)))) (not ?v_72)))))))))))))))))))))))))))))
(check-sat)
(exit)
