(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_filespace_TreeWalker () Int)
(declare-fun T_javafe_filespace_LookAheadEnum () Int)
(declare-fun T_javafe_filespace_FileTree () Int)
(declare-fun T_javafe_filespace_PreloadedTree () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_filespace_TreeWalker_ArrayEnum () Int)
(declare-fun T_javafe_filespace_HashTree () Int)
(declare-fun T_javafe_filespace_Tree () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_javafe_filespace_EmptyEnum () Int)
(declare-fun T_java_io_File () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_16_83_49 () Int)
(assert (and (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_filespace_TreeWalker T_javafe_filespace_LookAheadEnum) true_term) (= T_javafe_filespace_TreeWalker (asChild T_javafe_filespace_TreeWalker T_javafe_filespace_LookAheadEnum)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_TreeWalker) true_term) (= ?t T_javafe_filespace_TreeWalker))) (= (PO_LT T_javafe_filespace_FileTree T_javafe_filespace_PreloadedTree) true_term) (= T_javafe_filespace_FileTree (asChild T_javafe_filespace_FileTree T_javafe_filespace_PreloadedTree)) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_lang_Object) true_term) (= T_javafe_filespace_LookAheadEnum (asChild T_javafe_filespace_LookAheadEnum T_java_lang_Object)) (= (PO_LT T_javafe_filespace_LookAheadEnum T_java_util_Enumeration) true_term) (= (PO_LT T_javafe_filespace_TreeWalker_ArrayEnum T_javafe_filespace_LookAheadEnum) true_term) (= T_javafe_filespace_TreeWalker_ArrayEnum (asChild T_javafe_filespace_TreeWalker_ArrayEnum T_javafe_filespace_LookAheadEnum)) (= (PO_LT T_javafe_filespace_HashTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_HashTree (asChild T_javafe_filespace_HashTree T_javafe_filespace_Tree)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_filespace_Tree T_java_lang_Object) true_term) (= T_javafe_filespace_Tree (asChild T_javafe_filespace_Tree T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree) true_term) (= T_javafe_filespace_PreloadedTree (asChild T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_EmptyEnum T_java_lang_Object) true_term) (= T_javafe_filespace_EmptyEnum (asChild T_javafe_filespace_EmptyEnum T_java_lang_Object)) (= (PO_LT T_javafe_filespace_EmptyEnum T_java_util_Enumeration) true_term) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_OutputStream (+ DIST_ZERO_1 10)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 11)) (= T_javafe_filespace_TreeWalker (+ DIST_ZERO_1 12)) (= T_javafe_filespace_FileTree (+ DIST_ZERO_1 13)) (= T_javafe_filespace_LookAheadEnum (+ DIST_ZERO_1 14)) (= T_javafe_filespace_TreeWalker_ArrayEnum (+ DIST_ZERO_1 15)) (= T_javafe_filespace_HashTree (+ DIST_ZERO_1 16)) (= T_java_lang_System (+ DIST_ZERO_1 17)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 18)) (= T_java_util_Properties (+ DIST_ZERO_1 19)) (= T_javafe_filespace_Tree (+ DIST_ZERO_1 20)) (= T_java_lang_String (+ DIST_ZERO_1 21)) (= T_java_util_Enumeration (+ DIST_ZERO_1 22)) (= T_java_lang_Comparable (+ DIST_ZERO_1 23)) (= T_java_util_Map (+ DIST_ZERO_1 24)) (= T_java_util_Dictionary (+ DIST_ZERO_1 25)) (= T_java_io_Serializable (+ DIST_ZERO_1 26)) (= T_java_io_PrintStream (+ DIST_ZERO_1 27)) (= T_javafe_filespace_PreloadedTree (+ DIST_ZERO_1 28)) (= T_java_util_Hashtable (+ DIST_ZERO_1 29)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 30)) (= T_javafe_filespace_EmptyEnum (+ DIST_ZERO_1 31)) (= T_java_io_File (+ DIST_ZERO_1 32)) (= T_java_lang_Object (+ DIST_ZERO_1 33))) (= true_term (is out_16_83_49 T_java_io_PrintStream))))
(declare-fun elementType_pre_5_74_27 () Int)
(declare-fun elementType_5_74_27 () Int)
(declare-fun owner_pre_6_35_28 () Int)
(declare-fun owner_6_35_28 () Int)
(declare-fun list_pre_210_13 () Int)
(declare-fun list_210_13 () Int)
(declare-fun lookAheadValid_pre_4_40_20 () Int)
(declare-fun lookAheadValid_4_40_20 () Int)
(declare-fun remainingNodes_pre_48_26 () Int)
(declare-fun remainingNodes_48_26 () Int)
(declare-fun out_pre_16_83_49 () Int)
(declare-fun lookAhead_pre_4_43_19 () Int)
(declare-fun lookAhead_4_43_19 () Int)
(declare-fun returnsNull_pre_5_79_29 () Int)
(declare-fun returnsNull_5_79_29 () Int)
(declare-fun moreElements_pre_5_58_29 () Int)
(declare-fun moreElements_5_58_29 () Int)
(declare-fun remainingChildren_pre_39_26 () Int)
(declare-fun remainingChildren_39_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun T_120_50 () Int)
(declare-fun RES_121_33_121_33 () Int)
(declare-fun EC_121_33_121_33 () Int)
(declare-fun ecReturn () Int)
(declare-fun after_121_8_121_8 () Int)
(declare-fun RES_121_8_121_8 () Int)
(declare-fun EC_121_8_121_8 () Int)
(assert (let ((?v_0 (not (= T_120_50 null))) (?v_3 (= true_term (is RES_121_33_121_33 (array T_javafe_filespace_Tree)))) (?v_4 (= true_term (isAllocated RES_121_33_121_33 alloc))) (?v_1 (= EC_121_33_121_33 ecReturn)) (?v_2 (not (= RES_121_33_121_33 null)))) (let ((?v_5 (=> ?v_1 ?v_2)) (?v_8 (elemtype (typeof RES_121_33_121_33)))) (let ((?v_6 (=> ?v_1 (= ?v_8 T_javafe_filespace_Tree))) (?v_10 (not (= RES_121_8_121_8 null))) (?v_7 (= EC_121_8_121_8 ecReturn)) (?v_13 (S_select elementType_5_74_27 RES_121_8_121_8)) (?v_9 (= ecReturn ecReturn))) (let ((?v_11 (=> ?v_9 ?v_10)) (?v_12 (=> ?v_9 (not (= true_term (S_select returnsNull_5_79_29 RES_121_8_121_8))))) (?v_14 (=> ?v_9 (= ?v_13 T_javafe_filespace_Tree)))) (not (=> true (=> (and (= elementType_pre_5_74_27 elementType_5_74_27) (= elementType_5_74_27 (asField elementType_5_74_27 T__TYPE)) (= owner_pre_6_35_28 owner_6_35_28) (= owner_6_35_28 (asField owner_6_35_28 T_java_lang_Object)) (< (fClosedTime owner_6_35_28) alloc) (= list_pre_210_13 list_210_13) (= list_210_13 (asField list_210_13 (array T_java_lang_Object))) (< (fClosedTime list_210_13) alloc) (= lookAheadValid_pre_4_40_20 lookAheadValid_4_40_20) (= lookAheadValid_4_40_20 (asField lookAheadValid_4_40_20 T_boolean)) (= remainingNodes_pre_48_26 remainingNodes_48_26) (= remainingNodes_48_26 (asField remainingNodes_48_26 T_java_util_Enumeration)) (< (fClosedTime remainingNodes_48_26) alloc) (= out_pre_16_83_49 out_16_83_49) (= true_term (is out_16_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_16_83_49 alloc)) (not (= out_16_83_49 null)) (= lookAhead_pre_4_43_19 lookAhead_4_43_19) (= lookAhead_4_43_19 (asField lookAhead_4_43_19 T_java_lang_Object)) (< (fClosedTime lookAhead_4_43_19) alloc) (= returnsNull_pre_5_79_29 returnsNull_5_79_29) (= returnsNull_5_79_29 (asField returnsNull_5_79_29 T_boolean)) (= moreElements_pre_5_58_29 moreElements_5_58_29) (= moreElements_5_58_29 (asField moreElements_5_58_29 T_boolean)) (= remainingChildren_pre_39_26 remainingChildren_39_26) (= remainingChildren_39_26 (asField remainingChildren_39_26 T_java_util_Enumeration)) (< (fClosedTime remainingChildren_39_26) alloc) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is T_120_50 T_javafe_filespace_Tree)) (= true_term (isAllocated T_120_50 alloc)) ?v_0 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_filespace_TreeWalker)) (not (= ?brokenObj null))) (= (S_select elementType_5_74_27 (S_select remainingChildren_39_26 ?brokenObj)) T_javafe_filespace_Tree))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_1_ null))) (not (= (S_select remainingChildren_39_26 ?brokenObj_1_) null)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_filespace_TreeWalker_ArrayEnum)) (not (= ?brokenObj_2_ null))) (= (elemtype (typeof (S_select list_210_13 ?brokenObj_2_))) (S_select elementType_5_74_27 ?brokenObj_2_)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_3_ null))) (not (= true_term (S_select returnsNull_5_79_29 ?brokenObj_3_))))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_4_ null))) (= (S_select elementType_5_74_27 (S_select remainingNodes_48_26 ?brokenObj_4_)) T_javafe_filespace_Tree))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_filespace_LookAheadEnum)) (not (= ?brokenObj_5_ null)) (= true_term (S_select lookAheadValid_4_40_20 ?brokenObj_5_))) (= (= true_term (S_select moreElements_5_58_29 ?brokenObj_5_)) (not (= (S_select lookAhead_4_43_19 ?brokenObj_5_) null))))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_6_ null))) (not (= (S_select remainingNodes_48_26 ?brokenObj_6_) null)))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_7_ null))) (not (= true_term (S_select returnsNull_5_79_29 (S_select remainingChildren_39_26 ?brokenObj_7_)))))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_8_ null))) (= (S_select elementType_5_74_27 ?brokenObj_8_) T_javafe_filespace_Tree))) (forall ((?brokenObj_9_ Int)) (let ((?v_15 (S_select lookAhead_4_43_19 ?brokenObj_9_))) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_filespace_LookAheadEnum)) (not (= ?brokenObj_9_ null))) (or (= (PO_LT (typeof ?v_15) (S_select elementType_5_74_27 ?brokenObj_9_)) true_term) (= ?v_15 null))))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_filespace_TreeWalker)) (not (= ?brokenObj_10_ null))) (not (= true_term (S_select returnsNull_5_79_29 (S_select remainingNodes_48_26 ?brokenObj_10_)))))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_filespace_TreeWalker_ArrayEnum)) (not (= ?brokenObj_11_ null))) (not (= (S_select list_210_13 ?brokenObj_11_) null)))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_filespace_LookAheadEnum)) (not (= ?brokenObj_12_ null))) (not (= true_term (S_select returnsNull_5_79_29 ?brokenObj_12_))))) (or (not ?v_0) (and ?v_0 ?v_3 ?v_4 ?v_1 ?v_5 ?v_6 (not ?v_2)) (and ?v_0 ?v_3 ?v_4 ?v_1 ?v_5 ?v_6 ?v_2 (< alloc after_121_8_121_8) ?v_10 (not (= true_term (isAllocated RES_121_8_121_8 alloc))) (= true_term (is RES_121_8_121_8 T_javafe_filespace_TreeWalker_ArrayEnum)) (= true_term (isAllocated RES_121_8_121_8 after_121_8_121_8)) ?v_7 (= (S_select owner_6_35_28 RES_121_8_121_8) null) (=> ?v_7 (= ?v_13 ?v_8)) (= (typeof RES_121_8_121_8) T_javafe_filespace_TreeWalker_ArrayEnum) (= true_term true_term) (or (not ?v_9) (and ?v_9 (or (not ?v_11) (and ?v_11 (or (not ?v_12) (and ?v_12 (or (not ?v_14) (and ?v_14 (not (=> ?v_9 (= (S_select owner_6_35_28 (cast RES_121_8_121_8 T_java_lang_Object)) null)))))))))))))))))))))))
(check-sat)
(exit)
