(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_filespace_Tree () Int)
(declare-fun T_javafe_filespace_PreloadedTree () Int)
(declare-fun T_javafe_filespace_HashTree () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_javafe_filespace_FileTree () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_filespace_UnionTree () Int)
(declare-fun T_java_io_File () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_21_83_49 () Int)
(assert (and (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_Tree T_java_lang_Object) true_term) (= T_javafe_filespace_Tree (asChild T_javafe_filespace_Tree T_java_lang_Object)) (= (PO_LT T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree) true_term) (= T_javafe_filespace_PreloadedTree (asChild T_javafe_filespace_PreloadedTree T_javafe_filespace_HashTree)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_filespace_HashTree T_javafe_filespace_Tree) true_term) (= T_javafe_filespace_HashTree (asChild T_javafe_filespace_HashTree T_javafe_filespace_Tree)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_FileTree T_javafe_filespace_PreloadedTree) true_term) (= T_javafe_filespace_FileTree (asChild T_javafe_filespace_FileTree T_javafe_filespace_PreloadedTree)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_UnionTree T_javafe_filespace_PreloadedTree) true_term) (= T_javafe_filespace_UnionTree (asChild T_javafe_filespace_UnionTree T_javafe_filespace_PreloadedTree)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_util_Properties (+ DIST_ZERO_1 10)) (= T_java_lang_Object (+ DIST_ZERO_1 11)) (= T_java_util_Enumeration (+ DIST_ZERO_1 12)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 13)) (= T_java_io_Serializable (+ DIST_ZERO_1 14)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 15)) (= T_javafe_filespace_Tree (+ DIST_ZERO_1 16)) (= T_javafe_filespace_PreloadedTree (+ DIST_ZERO_1 17)) (= T_java_util_Dictionary (+ DIST_ZERO_1 18)) (= T_javafe_filespace_HashTree (+ DIST_ZERO_1 19)) (= T_java_lang_System (+ DIST_ZERO_1 20)) (= T_java_io_PrintStream (+ DIST_ZERO_1 21)) (= T_java_io_OutputStream (+ DIST_ZERO_1 22)) (= T_java_util_Hashtable (+ DIST_ZERO_1 23)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 24)) (= T_javafe_filespace_FileTree (+ DIST_ZERO_1 25)) (= T_java_lang_Comparable (+ DIST_ZERO_1 26)) (= T_javafe_filespace_UnionTree (+ DIST_ZERO_1 27)) (= T_java_util_Map (+ DIST_ZERO_1 28)) (= T_java_io_File (+ DIST_ZERO_1 29)) (= T_java_lang_String (+ DIST_ZERO_1 30))) (= true_term (is out_21_83_49 T_java_io_PrintStream))))
(declare-fun ecReturn () Int)
(declare-fun L_177_1 () Int)
(declare-fun elementType_pre_12_26_25 () Int)
(declare-fun elementType_12_26_25 () Int)
(declare-fun permitsNullKey_pre_12_21_27 () Int)
(declare-fun permitsNullKey_12_21_27 () Int)
(declare-fun edges_pre_5_37_24 () Int)
(declare-fun edges_5_37_24 () Int)
(declare-fun returnsNull_pre_9_79_29 () Int)
(declare-fun returnsNull_9_79_29 () Int)
(declare-fun data_pre_6_41_18 () Int)
(declare-fun data_6_41_18 () Int)
(declare-fun roots_pre_47_21 () Int)
(declare-fun roots_47_21 () Int)
(declare-fun keyType_pre_12_16_25 () Int)
(declare-fun keyType_12_16_25 () Int)
(declare-fun props_pre_21_396_44 () Int)
(declare-fun props_21_396_44 () Int)
(declare-fun out_pre_21_83_49 () Int)
(declare-fun elementType_pre_9_74_27 () Int)
(declare-fun elementType_9_74_27 () Int)
(declare-fun permitsNullValue_pre_12_31_27 () Int)
(declare-fun permitsNullValue_12_31_27 () Int)
(declare-fun moreElements_pre_9_58_29 () Int)
(declare-fun moreElements_9_58_29 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun args_172_37 () Int)
(declare-fun tmp0_new_Tree___176_16 () Int)
(declare-fun alloc_1_ () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun EC () Int)
(declare-fun EC_loopold () Int)
(declare-fun alloc_loopold () Int)
(declare-fun i_loopold_177_10 () Int)
(declare-fun elems_loopold () Int)
(declare-fun pathname_178_29_177_1_0_178_29_27_184_37 () Int)
(declare-fun after_178_29_177_1_0_178_29 () Int)
(declare-fun RES_177_1_0_178_29_178_29 () Int)
(declare-fun EC_177_1_0_178_29_178_29 () Int)
(declare-fun after_178_16_177_1_0_178_16 () Int)
(declare-fun RES_177_1_0_178_16_178_16 () Int)
(declare-fun EC_177_1_0_178_16_178_16 () Int)
(declare-fun elems_177_1_0 () Int)
(declare-fun i_177_1_0_177_30 () Int)
(declare-fun alloc_2_ () Int)
(declare-fun RES () Int)
(declare-fun RES_1_ () Int)
(declare-fun elems_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun alloc_3_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun elems_2_ () Int)
(declare-fun after_184_10_184_10 () Int)
(declare-fun RES_184_10_184_10 () Int)
(declare-fun EC_184_10_184_10 () Int)
(declare-fun EC_185_3_185_3 () Int)
(declare-fun EC_176_29 () Int)
(assert (let ((?v_3 (array T_javafe_filespace_Tree)) (?v_0 (not (= args_172_37 null))) (?v_2 (arrayLength args_172_37))) (let ((?v_4 (not ?v_0)) (?v_1 (<= 0 ?v_2)) (?v_40 (= true_term (arrayFresh tmp0_new_Tree___176_16 alloc alloc_1_ elems (arrayShapeOne ?v_2) ?v_3 null))) (?v_41 (forall ((?o Int)) (=> (and (not (= true_term (isAllocated ?o alloc))) (= true_term (isAllocated ?o alloc_1_))) (= true_term (isNewArray ?o))))) (?v_42 (forall ((?o_1_ Int)) (=> (and (not (= true_term (isAllocated ?o_1_ alloc))) (= true_term (isAllocated ?o_1_ alloc_1_))) (= (S_select owner_7_35_28 tmp0_new_Tree___176_16) null)))) (?v_31 (= EC EC_loopold)) (?v_32 (= alloc_1_ alloc_loopold)) (?v_33 (= 0 i_loopold_177_10)) (?v_34 (= elems elems_loopold)) (?v_13 (= true_term true_term)) (?v_6 (< 0 ?v_2)) (?v_5 (<= 0 0))) (let ((?v_11 (not ?v_5)) (?v_35 (not ?v_6)) (?v_8 (S_select (S_select elems args_172_37) 0))) (let ((?v_7 (not (= ?v_8 null))) (?v_14 (= pathname_178_29_177_1_0_178_29_27_184_37 ?v_8)) (?v_15 (< alloc_1_ after_178_29_177_1_0_178_29)) (?v_9 (not (= RES_177_1_0_178_29_178_29 null))) (?v_16 (not (= true_term (isAllocated RES_177_1_0_178_29_178_29 alloc_1_)))) (?v_17 (= true_term (is RES_177_1_0_178_29_178_29 T_java_io_File))) (?v_18 (= true_term (isAllocated RES_177_1_0_178_29_178_29 after_178_29_177_1_0_178_29))) (?v_19 (= EC_177_1_0_178_29_178_29 ecReturn)) (?v_20 (= (S_select owner_7_35_28 RES_177_1_0_178_29_178_29) null)) (?v_21 (= (typeof RES_177_1_0_178_29_178_29) T_java_io_File)) (?v_22 (< after_178_29_177_1_0_178_29 after_178_16_177_1_0_178_16)) (?v_23 (not (= RES_177_1_0_178_16_178_16 null))) (?v_24 (not (= true_term (isAllocated RES_177_1_0_178_16_178_16 after_178_29_177_1_0_178_29)))) (?v_25 (= true_term (is RES_177_1_0_178_16_178_16 T_javafe_filespace_FileTree))) (?v_26 (= true_term (isAllocated RES_177_1_0_178_16_178_16 after_178_16_177_1_0_178_16))) (?v_27 (= EC_177_1_0_178_16_178_16 ecReturn)) (?v_28 (= (S_select owner_7_35_28 RES_177_1_0_178_16_178_16) null)) (?v_29 (= (typeof RES_177_1_0_178_16_178_16) T_javafe_filespace_FileTree)) (?v_10 (not (= tmp0_new_Tree___176_16 null))) (?v_12 (< 0 (arrayLength tmp0_new_Tree___176_16))) (?v_30 (= true_term (is RES_177_1_0_178_16_178_16 (elemtype (typeof tmp0_new_Tree___176_16))))) (?v_36 (= elems_177_1_0 (S_store elems tmp0_new_Tree___176_16 (S_store (S_select elems tmp0_new_Tree___176_16) 0 RES_177_1_0_178_16_178_16)))) (?v_37 (= i_177_1_0_177_30 (+ 0 1)))) (let ((?v_43 (or (and ?v_13 ?v_0 ?v_35 (= alloc_2_ alloc_1_) (= RES RES_1_) (= elems_1_ elems)) (and ?v_13 ?v_0 ?v_6 ?v_0 ?v_5 ?v_6 ?v_7 ?v_14 ?v_15 ?v_9 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_9 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_10 ?v_5 ?v_12 ?v_30 ?v_36 ?v_37 ?v_13 ?v_0 (not (< i_177_1_0_177_30 ?v_2)) (= alloc_2_ after_178_16_177_1_0_178_16) (= RES RES_177_1_0_178_16_178_16) (= elems_1_ elems_177_1_0)))) (?v_44 (= L_177_1 L_177_1)) (?v_45 (= EC_1_ L_177_1)) (?v_46 (= alloc_3_ alloc_2_)) (?v_47 (= RES_2_ RES)) (?v_48 (= elems_2_ elems_1_)) (?v_38 (= true_term (nonnullelements tmp0_new_Tree___176_16 elems_2_))) (?v_49 (< alloc_3_ after_184_10_184_10)) (?v_39 (not (= RES_184_10_184_10 null))) (?v_50 (not (= true_term (isAllocated RES_184_10_184_10 alloc_3_)))) (?v_51 (= true_term (is RES_184_10_184_10 T_javafe_filespace_UnionTree))) (?v_52 (= true_term (isAllocated RES_184_10_184_10 after_184_10_184_10))) (?v_53 (= EC_184_10_184_10 ecReturn)) (?v_54 (= (S_select owner_7_35_28 RES_184_10_184_10) null)) (?v_55 (= (typeof RES_184_10_184_10) T_javafe_filespace_UnionTree)) (?v_56 (= EC_176_29 ecReturn))) (not (=> (distinct ecReturn L_177_1) (=> (and (= elementType_pre_12_26_25 elementType_12_26_25) (= elementType_12_26_25 (asField elementType_12_26_25 T__TYPE)) (= permitsNullKey_pre_12_21_27 permitsNullKey_12_21_27) (= permitsNullKey_12_21_27 (asField permitsNullKey_12_21_27 T_boolean)) (= edges_pre_5_37_24 edges_5_37_24) (= edges_5_37_24 (asField edges_5_37_24 T_java_util_Hashtable)) (< (fClosedTime edges_5_37_24) alloc) (= returnsNull_pre_9_79_29 returnsNull_9_79_29) (= returnsNull_9_79_29 (asField returnsNull_9_79_29 T_boolean)) (= data_pre_6_41_18 data_6_41_18) (= data_6_41_18 (asField data_6_41_18 T_java_lang_Object)) (< (fClosedTime data_6_41_18) alloc) (= roots_pre_47_21 roots_47_21) (= roots_47_21 (asField roots_47_21 ?v_3)) (< (fClosedTime roots_47_21) alloc) (= keyType_pre_12_16_25 keyType_12_16_25) (= keyType_12_16_25 (asField keyType_12_16_25 T__TYPE)) (= props_pre_21_396_44 props_21_396_44) (= true_term (is props_21_396_44 T_java_util_Properties)) (= true_term (isAllocated props_21_396_44 alloc)) (not (= props_21_396_44 null)) (= out_pre_21_83_49 out_21_83_49) (= true_term (is out_21_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_21_83_49 alloc)) (not (= out_21_83_49 null)) (= elementType_pre_9_74_27 elementType_9_74_27) (= elementType_9_74_27 (asField elementType_9_74_27 T__TYPE)) (= permitsNullValue_pre_12_31_27 permitsNullValue_12_31_27) (= permitsNullValue_12_31_27 (asField permitsNullValue_12_31_27 T_boolean)) (= moreElements_pre_9_58_29 moreElements_9_58_29) (= moreElements_9_58_29 (asField moreElements_9_58_29 T_boolean)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is args_172_37 (array T_java_lang_String))) (= true_term (isAllocated args_172_37 alloc)) ?v_0 (forall ((?i_170_30 Int)) (=> (and (<= 0 ?i_170_30) (< ?i_170_30 ?v_2)) (not (= (S_select (S_select elems args_172_37) ?i_170_30) null)))) (or ?v_4 (and ?v_0 (or (not ?v_1) (and ?v_1 ?v_40 ?v_41 ?v_42 (or (and ?v_31 ?v_32 ?v_33 ?v_34 (or (and ?v_13 (or ?v_4 (and ?v_0 ?v_6 (or ?v_4 (and ?v_0 (or ?v_11 (and ?v_5 (or ?v_35 (and ?v_6 (or (not ?v_7) (and ?v_7 ?v_14 ?v_15 ?v_9 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 (or (not ?v_9) (and ?v_9 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 (or (not ?v_10) (and ?v_10 (or ?v_11 (and ?v_5 (or (not ?v_12) (and ?v_12 (not ?v_30)))))))))))))))))))) (and ?v_13 ?v_0 ?v_6 ?v_0 ?v_5 ?v_6 ?v_7 ?v_14 ?v_15 ?v_9 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_9 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_10 ?v_5 ?v_12 ?v_30 ?v_36 ?v_37 ?v_13 ?v_4))) (and ?v_31 ?v_32 ?v_33 ?v_34 ?v_43 ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 (or (not ?v_38) (and ?v_38 ?v_49 ?v_39 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 (not ?v_39)))))))) (and (or (and ?v_0 ?v_1 ?v_40 ?v_41 ?v_42 ?v_31 ?v_32 ?v_33 ?v_34 ?v_43 ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 ?v_38 ?v_49 ?v_39 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_39 (= EC_185_3_185_3 ecReturn) ?v_56) (and ?v_0 ?v_1 ?v_40 ?v_41 ?v_42 ?v_31 ?v_32 ?v_33 ?v_34 ?v_43 (not ?v_44) (= EC_176_29 L_177_1))) (not ?v_56))))))))))))))
(check-sat)
(exit)
