(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_javafe_genericfile_ZipGenericFile () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_util_zip_ZipEntry () Int)
(declare-fun T_java_util_zip_ZipConstants () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_util_zip_ZipFile () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(assert (and (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_javafe_genericfile_ZipGenericFile T_java_lang_Object) true_term) (= T_javafe_genericfile_ZipGenericFile (asChild T_javafe_genericfile_ZipGenericFile T_java_lang_Object)) (= (PO_LT T_javafe_genericfile_ZipGenericFile T_javafe_genericfile_GenericFile) true_term) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_zip_ZipEntry T_java_lang_Object) true_term) (= T_java_util_zip_ZipEntry (asChild T_java_util_zip_ZipEntry T_java_lang_Object)) (= (PO_LT T_java_util_zip_ZipEntry T_java_util_zip_ZipConstants) true_term) (= (PO_LT T_java_util_zip_ZipEntry T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_util_zip_ZipConstants T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_util_zip_ZipFile T_java_lang_Object) true_term) (= T_java_util_zip_ZipFile (asChild T_java_util_zip_ZipFile T_java_lang_Object)) (= (PO_LT T_java_util_zip_ZipFile T_java_util_zip_ZipConstants) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_util_AbstractList (+ DIST_ZERO_1 10)) (= T_java_io_InputStream (+ DIST_ZERO_1 11)) (= T_java_util_Collection (+ DIST_ZERO_1 12)) (= T_javafe_genericfile_ZipGenericFile (+ DIST_ZERO_1 13)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 14)) (= T_java_lang_Throwable (+ DIST_ZERO_1 15)) (= T_java_util_zip_ZipEntry (+ DIST_ZERO_1 16)) (= T_java_util_List (+ DIST_ZERO_1 17)) (= T_java_io_Serializable (+ DIST_ZERO_1 18)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 19)) (= T_java_lang_Object (+ DIST_ZERO_1 20)) (= T_java_util_zip_ZipConstants (+ DIST_ZERO_1 21)) (= T_java_lang_Exception (+ DIST_ZERO_1 22)) (= T_java_util_zip_ZipFile (+ DIST_ZERO_1 23)) (= T_java_lang_Comparable (+ DIST_ZERO_1 24)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 25)) (= T_java_io_IOException (+ DIST_ZERO_1 26)) (= T_java_lang_String (+ DIST_ZERO_1 27)) (= T_java_util_Vector (+ DIST_ZERO_1 28)))))
(declare-fun L_103_1 () Int)
(declare-fun ecReturn () Int)
(declare-fun S_103_22 () Int)
(declare-fun value_pre_16_91_31 () Int)
(declare-fun value_16_91_31 () Int)
(declare-fun underlyingZipFile_pre_24_20 () Int)
(declare-fun underlyingZipFile_24_20 () Int)
(declare-fun count_pre_16_99_33 () Int)
(declare-fun count_16_99_33 () Int)
(declare-fun underlyingZipEntry_pre_27_20 () Int)
(declare-fun underlyingZipEntry_27_20 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun this_102_34_102_34 () Int)
(declare-fun RES_102_34_102_34 () Int)
(declare-fun EC_102_34_102_34 () Int)
(declare-fun path_loopold_102_8 () Int)
(declare-fun EC_loopold () Int)
(declare-fun RES_103_1_0_103_13_103_13 () Int)
(declare-fun EC_103_1_0_103_13_103_13 () Int)
(declare-fun RES_103_1_0_104_34_104_34 () Int)
(declare-fun EC_103_1_0_104_34_104_34 () Int)
(declare-fun endIndex_104_17_103_1_0_104_17_16_1512_48 () Int)
(declare-fun RES_103_1_0_104_17_104_17 () Int)
(declare-fun EC_103_1_0_104_17_104_17 () Int)
(declare-fun RES () Int)
(declare-fun path_102_8 () Int)
(declare-fun RES_103_1_1_103_13_103_13 () Int)
(declare-fun EC_103_1_1_103_13_103_13 () Int)
(declare-fun RES_1_ () Int)
(declare-fun path_102_8_1_ () Int)
(declare-fun EC () Int)
(declare-fun RES_106_18_106_18 () Int)
(declare-fun EC_106_18_106_18 () Int)
(declare-fun tmp4_110_27 () Int)
(declare-fun RES_110_41_110_41 () Int)
(declare-fun EC_110_41_110_41 () Int)
(declare-fun RES_102_33 () Int)
(declare-fun EC_102_33 () Int)
(declare-fun RES_2_ () Int)
(declare-fun RES_110_17_110_17 () Int)
(declare-fun EC_110_17_110_17 () Int)
(assert (let ((?v_4 (not (= S_103_22 null))) (?v_1 (S_select underlyingZipEntry_27_20 this))) (let ((?v_0 (not (= ?v_1 null))) (?v_26 (= this_102_34_102_34 ?v_1)) (?v_27 (= true_term (is RES_102_34_102_34 T_java_lang_String))) (?v_28 (= true_term (isAllocated RES_102_34_102_34 alloc))) (?v_2 (= EC_102_34_102_34 ecReturn)) (?v_3 (not (= RES_102_34_102_34 null)))) (let ((?v_29 (=> ?v_2 ?v_3)) (?v_17 (= RES_102_34_102_34 path_loopold_102_8)) (?v_18 (= EC_102_34_102_34 EC_loopold)) (?v_7 (= true_term true_term)) (?v_5 (not ?v_3)) (?v_16 (not ?v_4)) (?v_8 (= true_term (is RES_103_1_0_103_13_103_13 T_boolean))) (?v_9 (= EC_103_1_0_103_13_103_13 ecReturn)) (?v_10 (= true_term RES_103_1_0_103_13_103_13)) (?v_11 (= true_term (is RES_103_1_0_104_34_104_34 T_int))) (?v_6 (= EC_103_1_0_104_34_104_34 ecReturn))) (let ((?v_12 (=> ?v_6 (>= RES_103_1_0_104_34_104_34 0))) (?v_13 (=> ?v_6 (= RES_103_1_0_104_34_104_34 (S_select count_16_99_33 RES_102_34_102_34)))) (?v_19 (= endIndex_104_17_103_1_0_104_17_16_1512_48 (- RES_103_1_0_104_34_104_34 1))) (?v_20 (= true_term (is RES_103_1_0_104_17_104_17 T_java_lang_String))) (?v_21 (= true_term (isAllocated RES_103_1_0_104_17_104_17 alloc))) (?v_14 (= EC_103_1_0_104_17_104_17 ecReturn)) (?v_15 (not (= RES_103_1_0_104_17_104_17 null)))) (let ((?v_22 (=> ?v_14 ?v_15))) (let ((?v_30 (or (and ?v_7 ?v_3 ?v_4 ?v_8 ?v_9 (not ?v_10) (= RES RES_103_1_0_103_13_103_13) (= path_102_8 RES_102_34_102_34)) (and ?v_7 ?v_3 ?v_4 ?v_8 ?v_9 ?v_10 ?v_3 ?v_11 ?v_6 ?v_12 ?v_13 ?v_3 ?v_19 ?v_20 ?v_21 ?v_14 ?v_22 ?v_7 ?v_15 ?v_4 (= true_term (is RES_103_1_1_103_13_103_13 T_boolean)) (= EC_103_1_1_103_13_103_13 ecReturn) (not (= true_term RES_103_1_1_103_13_103_13)) (= RES RES_103_1_1_103_13_103_13) (= path_102_8 RES_103_1_0_104_17_104_17)))) (?v_31 (= L_103_1 L_103_1)) (?v_32 (= RES_1_ RES)) (?v_33 (= path_102_8_1_ path_102_8)) (?v_34 (= EC L_103_1)) (?v_23 (not (= path_102_8_1_ null)))) (let ((?v_24 (not ?v_23)) (?v_35 (= true_term (is RES_106_18_106_18 T_int))) (?v_36 (= EC_106_18_106_18 ecReturn)) (?v_37 (= RES_106_18_106_18 (- 0 1)))) (let ((?v_38 (not ?v_37)) (?v_39 (= tmp4_110_27 (+ RES_106_18_106_18 1))) (?v_40 (= true_term (is RES_110_41_110_41 T_int))) (?v_25 (= EC_110_41_110_41 ecReturn))) (let ((?v_41 (=> ?v_25 (>= RES_110_41_110_41 0))) (?v_42 (=> ?v_25 (= RES_110_41_110_41 (S_select count_16_99_33 path_102_8_1_)))) (?v_43 (= EC_110_17_110_17 ecReturn)) (?v_44 (= EC_102_33 ecReturn))) (not (=> (and (distinct L_103_1 ecReturn) ?v_4 (= (typeof S_103_22) T_java_lang_String)) (=> (and (= value_pre_16_91_31 value_16_91_31) (= value_16_91_31 (asField value_16_91_31 (array T_char))) (< (fClosedTime value_16_91_31) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select value_16_91_31 ?s) null)))) (= underlyingZipFile_pre_24_20 underlyingZipFile_24_20) (= underlyingZipFile_24_20 (asField underlyingZipFile_24_20 T_java_util_zip_ZipFile)) (< (fClosedTime underlyingZipFile_24_20) alloc) (= count_pre_16_99_33 count_16_99_33) (= count_16_99_33 (asField count_16_99_33 T_int)) (= underlyingZipEntry_pre_27_20 underlyingZipEntry_27_20) (= underlyingZipEntry_27_20 (asField underlyingZipEntry_27_20 T_java_util_zip_ZipEntry)) (< (fClosedTime underlyingZipEntry_27_20) alloc) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_genericfile_ZipGenericFile)) (= true_term (isAllocated this alloc)) (not (= this null)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_java_lang_String)) (not (= ?brokenObj null))) (>= (S_select count_16_99_33 ?brokenObj) 0))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_genericfile_ZipGenericFile)) (not (= ?brokenObj_1_ null))) (not (= (S_select underlyingZipEntry_27_20 ?brokenObj_1_) null)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_java_lang_String)) (not (= ?brokenObj_2_ null))) (<= (S_select count_16_99_33 ?brokenObj_2_) (arrayLength (S_select value_16_91_31 ?brokenObj_2_))))) (or (not ?v_0) (and ?v_0 ?v_26 ?v_27 ?v_28 ?v_2 ?v_29 (or (and ?v_17 ?v_18 (or (and ?v_7 (or ?v_5 (and ?v_3 ?v_16) (and ?v_3 ?v_4 ?v_8 ?v_9 ?v_10 (or ?v_5 (and ?v_3 ?v_11 ?v_6 ?v_12 ?v_13 ?v_5))))) (and ?v_7 ?v_3 ?v_4 ?v_8 ?v_9 ?v_10 ?v_3 ?v_11 ?v_6 ?v_12 ?v_13 ?v_3 ?v_19 ?v_20 ?v_21 ?v_14 ?v_22 ?v_7 (or (not ?v_15) (and ?v_15 ?v_16))))) (and ?v_17 ?v_18 ?v_30 ?v_31 ?v_32 ?v_33 ?v_34 (or ?v_24 (and ?v_23 ?v_35 ?v_36 ?v_38 ?v_7 ?v_39 (or ?v_24 (and ?v_23 ?v_40 ?v_25 ?v_41 ?v_42 ?v_24))))))) (and ?v_0 ?v_26 ?v_27 ?v_28 ?v_2 ?v_29 (or (and ?v_17 ?v_18 ?v_30 (not ?v_31) (= RES_102_33 RES) (= EC_102_33 L_103_1)) (and ?v_17 ?v_18 ?v_30 ?v_31 ?v_32 ?v_33 ?v_34 ?v_23 ?v_35 ?v_36 (or (and ?v_37 ?v_7 ?v_7 (= RES_2_ path_102_8_1_)) (and ?v_38 ?v_7 ?v_39 ?v_23 ?v_40 ?v_25 ?v_41 ?v_42 ?v_23 (= true_term (is RES_110_17_110_17 T_java_lang_String)) (= true_term (isAllocated RES_110_17_110_17 alloc)) ?v_43 (=> ?v_43 (not (= RES_110_17_110_17 null))) ?v_7 (= RES_2_ RES_110_17_110_17))) (= RES_102_33 RES_2_) ?v_44)) (or (not ?v_44) (and ?v_44 (not (=> ?v_44 (not (= RES_102_33 null)))))))))))))))))))))))
(check-sat)
(exit)
