(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_ReturnStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_CompoundName () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_parser_PragmaParser () Int)
(declare-fun T_javafe_ast_IfStmt () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_ArrayType () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_OnDemandImportDecl () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_javafe_ast_InterfaceDecl () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_ObjectDesignator () Int)
(declare-fun T_javafe_ast_NewInstanceExpr () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_ExprObjectDesignator () Int)
(declare-fun T_javafe_ast_ExprVec () Int)
(declare-fun T_javafe_ast_ThisExpr () Int)
(declare-fun T_javafe_ast_TryCatchStmt () Int)
(declare-fun T_javafe_ast_VarDeclStmt () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_javafe_ast_SuperObjectDesignator () Int)
(declare-fun T_javafe_ast_CastExpr () Int)
(declare-fun T_javafe_parser_ParseUtil () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_TypeDeclElemPragma () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_javafe_ast_EvalStmt () Int)
(declare-fun T_javafe_ast_TypeNameVec () Int)
(declare-fun T_javafe_ast_LabelStmt () Int)
(declare-fun T_javafe_ast_AmbiguousMethodInvocation () Int)
(declare-fun T_javafe_ast_Modifiers () Int)
(declare-fun T_javafe_ast_LexicalPragma () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_javafe_ast_TryFinallyStmt () Int)
(declare-fun T_javafe_ast_CondExpr () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_javafe_ast_SwitchStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_SynchronizeStmt () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_javafe_ast_VarInitVec () Int)
(declare-fun T_javafe_parser_ParseType () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_ContinueStmt () Int)
(declare-fun T_javafe_ast_BranchStmt () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_ConstructorDecl () Int)
(declare-fun T_javafe_ast_SingleTypeImportDecl () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_ast_SimpleName () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_parser_PunctuationPrefixTree () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_ast_ModifierPragmaVec () Int)
(declare-fun T_javafe_ast_SwitchLabel () Int)
(declare-fun T_javafe_ast_LiteralExpr () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_CatchClause () Int)
(declare-fun T_javafe_ast_AmbiguousVariableAccess () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_ast_InstanceOfExpr () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_DoStmt () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_parser_ParseExpr () Int)
(declare-fun T_javafe_ast_StmtPragma () Int)
(declare-fun T_javafe_ast_BreakStmt () Int)
(declare-fun T_javafe_ast_ParenExpr () Int)
(declare-fun T_javafe_parser_Lex () Int)
(declare-fun T_javafe_parser_Token () Int)
(declare-fun T_javafe_ast_IdentifierVec () Int)
(declare-fun T_javafe_tc_TagConstants () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_ast_ArrayRefExpr () Int)
(declare-fun T_javafe_ast_SkipStmt () Int)
(declare-fun T_javafe_ast_ClassLiteral () Int)
(declare-fun T_javafe_ast_FormalParaDecl () Int)
(declare-fun T_javafe_ast_BinaryExpr () Int)
(declare-fun T_javafe_ast_ConstructorInvocation () Int)
(declare-fun T_javafe_ast_FieldAccess () Int)
(declare-fun T_javafe_ast_WhileStmt () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_VariableAccess () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_javafe_ast_ThrowStmt () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_LocalVarDecl () Int)
(declare-fun T_javafe_ast_ForStmt () Int)
(declare-fun T_javafe_ast_UnaryExpr () Int)
(declare-fun T_javafe_ast_InitBlock () Int)
(declare-fun T_javafe_ast_ArrayInit () Int)
(declare-fun T_javafe_ast_ClassDeclStmt () Int)
(declare-fun T_javafe_ast_TypeModifierPragmaVec () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_NewArrayExpr () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_javafe_ast_MethodInvocation () Int)
(declare-fun T_javafe_ast_ClassDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElemVec () Int)
(declare-fun T_javafe_ast_TypeObjectDesignator () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun DOUBLELIT_24_43_26 () Int)
(declare-fun VARDECLSTMT_26_27_7 () Int)
(declare-fun AND_25_20_26 () Int)
(declare-fun PARENEXPR_26_54_7 () Int)
(declare-fun ASGURSHIFT_25_48_26 () Int)
(declare-fun FLOATLIT_24_42_26 () Int)
(declare-fun SWITCHSTMT_26_26_7 () Int)
(declare-fun OR_25_19_26 () Int)
(declare-fun CASTEXPR_26_53_7 () Int)
(declare-fun ASGRSHIFT_25_47_26 () Int)
(declare-fun CHARLIT_24_41_26 () Int)
(declare-fun BLOCKSTMT_26_25_7 () Int)
(declare-fun otherCodes_23_202_27 () Int)
(declare-fun INSTANCEOFEXPR_26_52_7 () Int)
(declare-fun ASGLSHIFT_25_46_26 () Int)
(declare-fun COMMA_23_33_26 () Int)
(declare-fun MIN_VALUE_33_38_29 () Int)
(declare-fun neg9223372036854775808 () Int)
(declare-fun LONGLIT_24_40_26 () Int)
(declare-fun FORMALPARADECL_26_24_7 () Int)
(declare-fun CONDEXPR_26_51_7 () Int)
(declare-fun ASGSUB_25_45_26 () Int)
(declare-fun INTLIT_24_39_26 () Int)
(declare-fun FIELDDECL_26_23_7 () Int)
(declare-fun NEWARRAYEXPR_26_50_7 () Int)
(declare-fun ASGADD_25_44_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_23_28_26 () Int)
(declare-fun BOOLEANLIT_24_38_26 () Int)
(declare-fun LOCALVARDECL_26_22_7 () Int)
(declare-fun seqModifierPragma_5_74_32 () Int)
(declare-fun NEWINSTANCEEXPR_26_49_7 () Int)
(declare-fun ASGREM_25_43_26 () Int)
(declare-fun CLASS_23_59_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_23_27_26 () Int)
(declare-fun punctuationStrings_23_134_22 () Int)
(declare-fun NULL_23_82_26 () Int)
(declare-fun SHORTTYPE_24_36_26 () Int)
(declare-fun INITBLOCK_26_21_7 () Int)
(declare-fun MIN_VALUE_29_39_30 () Int)
(declare-fun neg2147483648 () Int)
(declare-fun ARRAYREFEXPR_26_48_7 () Int)
(declare-fun ASGDIV_25_42_26 () Int)
(declare-fun STMTPRAGMA_23_26_26 () Int)
(declare-fun seqTypeDeclElem_1161_46 () Int)
(declare-fun NEW_23_81_26 () Int)
(declare-fun BYTETYPE_24_35_26 () Int)
(declare-fun METHODDECL_26_20_7 () Int)
(declare-fun THISEXPR_26_47_7 () Int)
(declare-fun ASGMUL_25_41_26 () Int)
(declare-fun MODIFIERPRAGMA_23_25_26 () Int)
(declare-fun NULLTYPE_24_34_26 () Int)
(declare-fun CONSTRUCTORDECL_26_19_7 () Int)
(declare-fun ARRAYINIT_26_46_7 () Int)
(declare-fun ASSIGN_25_40_26 () Int)
(declare-fun LEXICALPRAGMA_23_24_26 () Int)
(declare-fun seqIdentifier_4_33_46 () Int)
(declare-fun otherStrings_23_193_30 () Int)
(declare-fun VOIDTYPE_24_33_26 () Int)
(declare-fun INTERFACEDECL_26_18_7 () Int)
(declare-fun LAST_KEYWORD_23_103_26 () Int)
(declare-fun CATCHCLAUSE_26_45_7 () Int)
(declare-fun STAR_25_37_26 () Int)
(declare-fun MAX_LONG_PLUS_ONE_23_21_26 () Int)
(declare-fun DOUBLETYPE_24_32_26 () Int)
(declare-fun CLASSDECL_26_17_7 () Int)
(declare-fun CONSTRUCTORINVOCATION_26_44_7 () Int)
(declare-fun MOD_25_36_26 () Int)
(declare-fun MAX_INT_PLUS_ONE_23_20_26 () Int)
(declare-fun TYPESIG_69_6_28 () Int)
(declare-fun FLOATTYPE_24_31_26 () Int)
(declare-fun ONDEMANDIMPORTDECL_26_16_7 () Int)
(declare-fun TRYCATCHSTMT_26_43_7 () Int)
(declare-fun DIV_25_35_26 () Int)
(declare-fun NULL_7_60_26 () Int)
(declare-fun CHARTYPE_24_30_26 () Int)
(declare-fun SINGLETYPEIMPORTDECL_26_15_7 () Int)
(declare-fun INSTANCEOF_23_76_26 () Int)
(declare-fun TRYFINALLYSTMT_26_42_7 () Int)
(declare-fun SUB_25_34_26 () Int)
(declare-fun LONGTYPE_24_29_26 () Int)
(declare-fun COMPILATIONUNIT_26_14_7 () Int)
(declare-fun SWITCHLABEL_26_41_7 () Int)
(declare-fun ADD_25_33_26 () Int)
(declare-fun INTTYPE_24_28_26 () Int)
(declare-fun FIRST_KEYWORD_23_51_26 () Int)
(declare-fun SKIPSTMT_26_40_7 () Int)
(declare-fun URSHIFT_25_32_26 () Int)
(declare-fun TRUE_23_98_26 () Int)
(declare-fun COMPOUNDNAME_26_67_7 () Int)
(declare-fun BOOLEANTYPE_24_27_26 () Int)
(declare-fun seqVarInit_1153_46 () Int)
(declare-fun FORSTMT_26_39_7 () Int)
(declare-fun RSHIFT_25_31_26 () Int)
(declare-fun SIMPLENAME_26_66_7 () Int)
(declare-fun NONE_60_18_26 () Int)
(declare-fun IDENT_24_25_26 () Int)
(declare-fun IFSTMT_26_38_7 () Int)
(declare-fun LSHIFT_25_30_26 () Int)
(declare-fun POSTFIXDEC_25_63_26 () Int)
(declare-fun ARRAYTYPE_26_65_7 () Int)
(declare-fun FIELD_23_45_26 () Int)
(declare-fun LABELSTMT_26_37_7 () Int)
(declare-fun LT_25_29_26 () Int)
(declare-fun POSTFIXINC_25_62_26 () Int)
(declare-fun TYPENAME_26_64_7 () Int)
(declare-fun COLON_23_43_26 () Int)
(declare-fun CONTINUESTMT_26_36_7 () Int)
(declare-fun LE_25_28_26 () Int)
(declare-fun DEC_25_59_26 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_26_63_7 () Int)
(declare-fun QUESTIONMARK_23_42_26 () Int)
(declare-fun BREAKSTMT_26_35_7 () Int)
(declare-fun GT_25_27_26 () Int)
(declare-fun THIS_23_94_26 () Int)
(declare-fun INC_25_58_26 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_26_62_7 () Int)
(declare-fun RSQBRACKET_23_40_26 () Int)
(declare-fun THROWSTMT_26_34_7 () Int)
(declare-fun GE_25_26_26 () Int)
(declare-fun BITNOT_25_57_26 () Int)
(declare-fun EXPROBJECTDESIGNATOR_26_61_7 () Int)
(declare-fun LSQBRACKET_23_39_26 () Int)
(declare-fun RETURNSTMT_26_33_7 () Int)
(declare-fun EQ_25_25_26 () Int)
(declare-fun NOT_25_56_26 () Int)
(declare-fun CLASSLITERAL_26_60_7 () Int)
(declare-fun EVALSTMT_26_32_7 () Int)
(declare-fun NE_25_24_26 () Int)
(declare-fun SUPER_23_91_26 () Int)
(declare-fun UNARYSUB_25_55_26 () Int)
(declare-fun METHODINVOCATION_26_59_7 () Int)
(declare-fun FALSE_23_67_26 () Int)
(declare-fun noTokens_23_212_27 () Int)
(declare-fun SYNCHRONIZESTMT_26_31_7 () Int)
(declare-fun RPAREN_23_38_26 () Int)
(declare-fun BITAND_25_23_26 () Int)
(declare-fun seqExpr_1145_46 () Int)
(declare-fun UNARYADD_25_54_26 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_26_58_7 () Int)
(declare-fun punctuationCodes_23_164_19 () Int)
(declare-fun DOSTMT_26_30_7 () Int)
(declare-fun LPAREN_23_37_26 () Int)
(declare-fun BITXOR_25_22_26 () Int)
(declare-fun ASGBITXOR_25_51_26 () Int)
(declare-fun FIELDACCESS_26_57_7 () Int)
(declare-fun WHILESTMT_26_29_7 () Int)
(declare-fun RBRACE_23_36_26 () Int)
(declare-fun BITOR_25_21_26 () Int)
(declare-fun keywordStrings_23_181_30 () Int)
(declare-fun NULLLIT_24_45_26 () Int)
(declare-fun VARIABLEACCESS_26_56_7 () Int)
(declare-fun ASGBITOR_25_50_26 () Int)
(declare-fun LBRACE_23_35_26 () Int)
(declare-fun STRINGLIT_24_44_26 () Int)
(declare-fun CLASSDECLSTMT_26_28_7 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_26_55_7 () Int)
(declare-fun ASGBITAND_25_49_26 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_javafe_ast_ReturnStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ReturnStmt (asChild T_javafe_ast_ReturnStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_CompoundName T_javafe_ast_Name) true_term) (= T_javafe_ast_CompoundName (asChild T_javafe_ast_CompoundName T_javafe_ast_Name)) (= (PO_LT T_javafe_parser_PragmaParser T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_IfStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_IfStmt (asChild T_javafe_ast_IfStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ArrayType T_javafe_ast_Type) true_term) (= T_javafe_ast_ArrayType (asChild T_javafe_ast_ArrayType T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_OnDemandImportDecl (asChild T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_InterfaceDecl (asChild T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ObjectDesignator (asChild T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewInstanceExpr (asChild T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_ExprObjectDesignator (asChild T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_ExprVec T_java_lang_Object) true_term) (= T_javafe_ast_ExprVec (asChild T_javafe_ast_ExprVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ThisExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ThisExpr (asChild T_javafe_ast_ThisExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryCatchStmt (asChild T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_VarDeclStmt (asChild T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_SuperObjectDesignator (asChild T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_CastExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CastExpr (asChild T_javafe_ast_CastExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_parser_ParseUtil T_java_lang_Object) true_term) (= T_javafe_parser_ParseUtil (asChild T_javafe_parser_ParseUtil T_java_lang_Object)) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDeclElemPragma (asChild T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_javafe_ast_EvalStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_EvalStmt (asChild T_javafe_ast_EvalStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeNameVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeNameVec (asChild T_javafe_ast_TypeNameVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_LabelStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_LabelStmt (asChild T_javafe_ast_LabelStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousMethodInvocation (asChild T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_Modifiers T_java_lang_Object) true_term) (= T_javafe_ast_Modifiers (asChild T_javafe_ast_Modifiers T_java_lang_Object)) (= (PO_LT T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_LexicalPragma (asChild T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryFinallyStmt (asChild T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_CondExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CondExpr (asChild T_javafe_ast_CondExpr T_javafe_ast_Expr)) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_SwitchStmt (asChild T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SynchronizeStmt (asChild T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_VarInitVec T_java_lang_Object) true_term) (= T_javafe_ast_VarInitVec (asChild T_javafe_ast_VarInitVec T_java_lang_Object)) (= (PO_LT T_javafe_parser_ParseType T_javafe_parser_ParseUtil) true_term) (= T_javafe_parser_ParseType (asChild T_javafe_parser_ParseType T_javafe_parser_ParseUtil)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_ContinueStmt (asChild T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_ConstructorDecl (asChild T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_SingleTypeImportDecl (asChild T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_ast_SimpleName T_javafe_ast_Name) true_term) (= T_javafe_ast_SimpleName (asChild T_javafe_ast_SimpleName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_BranchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_BranchStmt (asChild T_javafe_ast_BranchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_PunctuationPrefixTree T_java_lang_Object) true_term) (= T_javafe_parser_PunctuationPrefixTree (asChild T_javafe_parser_PunctuationPrefixTree T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_ast_ModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_ModifierPragmaVec (asChild T_javafe_ast_ModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_SwitchLabel T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SwitchLabel (asChild T_javafe_ast_SwitchLabel T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_LiteralExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_LiteralExpr (asChild T_javafe_ast_LiteralExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_CatchClause T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CatchClause (asChild T_javafe_ast_CatchClause T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousVariableAccess (asChild T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_InstanceOfExpr (asChild T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_DoStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_DoStmt (asChild T_javafe_ast_DoStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_parser_ParseExpr T_javafe_parser_ParseType) true_term) (= T_javafe_parser_ParseExpr (asChild T_javafe_parser_ParseExpr T_javafe_parser_ParseType)) (= (PO_LT T_javafe_ast_StmtPragma T_javafe_ast_Stmt) true_term) (= T_javafe_ast_StmtPragma (asChild T_javafe_ast_StmtPragma T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_BreakStmt (asChild T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ParenExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ParenExpr (asChild T_javafe_ast_ParenExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_parser_Lex T_javafe_parser_Token) true_term) (= T_javafe_parser_Lex (asChild T_javafe_parser_Lex T_javafe_parser_Token)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_IdentifierVec T_java_lang_Object) true_term) (= T_javafe_ast_IdentifierVec (asChild T_javafe_ast_IdentifierVec T_java_lang_Object)) (= (PO_LT T_javafe_tc_TagConstants T_javafe_parser_TagConstants) true_term) (= T_javafe_tc_TagConstants (asChild T_javafe_tc_TagConstants T_javafe_parser_TagConstants)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ArrayRefExpr (asChild T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_SkipStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SkipStmt (asChild T_javafe_ast_SkipStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ClassLiteral T_javafe_ast_Expr) true_term) (= T_javafe_ast_ClassLiteral (asChild T_javafe_ast_ClassLiteral T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FormalParaDecl (asChild T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_BinaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_BinaryExpr (asChild T_javafe_ast_BinaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ConstructorInvocation (asChild T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_FieldAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_FieldAccess (asChild T_javafe_ast_FieldAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_WhileStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_WhileStmt (asChild T_javafe_ast_WhileStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_VariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_VariableAccess (asChild T_javafe_ast_VariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_ThrowStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ThrowStmt (asChild T_javafe_ast_ThrowStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_LocalVarDecl (asChild T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_ForStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ForStmt (asChild T_javafe_ast_ForStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_UnaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_UnaryExpr (asChild T_javafe_ast_UnaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_InitBlock (asChild T_javafe_ast_InitBlock T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ArrayInit T_javafe_ast_VarInit) true_term) (= T_javafe_ast_ArrayInit (asChild T_javafe_ast_ArrayInit T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ClassDeclStmt (asChild T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeModifierPragmaVec (asChild T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_NewArrayExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewArrayExpr (asChild T_javafe_ast_NewArrayExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_MethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_MethodInvocation (asChild T_javafe_ast_MethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_ClassDecl (asChild T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_TypeDeclElemVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclElemVec (asChild T_javafe_ast_TypeDeclElemVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_TypeObjectDesignator (asChild T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_parser_Token T_java_lang_Object) true_term) (= T_javafe_parser_Token (asChild T_javafe_parser_Token T_java_lang_Object)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_ReturnStmt (+ DIST_ZERO_1 10)) (= T_javafe_ast_CompoundName (+ DIST_ZERO_1 11)) (= T_javafe_parser_PragmaParser (+ DIST_ZERO_1 12)) (= T_javafe_ast_IfStmt (+ DIST_ZERO_1 13)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 14)) (= T_javafe_ast_ArrayType (+ DIST_ZERO_1 15)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 16)) (= T_javafe_ast_OnDemandImportDecl (+ DIST_ZERO_1 17)) (= T_javafe_ast_InterfaceDecl (+ DIST_ZERO_1 18)) (= T_javafe_ast_ObjectDesignator (+ DIST_ZERO_1 19)) (= T_javafe_ast_NewInstanceExpr (+ DIST_ZERO_1 20)) (= T_javafe_ast_ExprObjectDesignator (+ DIST_ZERO_1 21)) (= T_javafe_ast_ExprVec (+ DIST_ZERO_1 22)) (= T_javafe_ast_ThisExpr (+ DIST_ZERO_1 23)) (= T_javafe_ast_TryCatchStmt (+ DIST_ZERO_1 24)) (= T_javafe_ast_VarDeclStmt (+ DIST_ZERO_1 25)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 26)) (= T_java_lang_Object (+ DIST_ZERO_1 27)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 28)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 29)) (= T_javafe_ast_Type (+ DIST_ZERO_1 30)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 31)) (= T_javafe_ast_SuperObjectDesignator (+ DIST_ZERO_1 32)) (= T_javafe_ast_CastExpr (+ DIST_ZERO_1 33)) (= T_javafe_parser_ParseUtil (+ DIST_ZERO_1 34)) (= T_java_lang_Double (+ DIST_ZERO_1 35)) (= T_javafe_ast_TypeDeclElemPragma (+ DIST_ZERO_1 36)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 37)) (= T_javafe_ast_EvalStmt (+ DIST_ZERO_1 38)) (= T_javafe_ast_TypeNameVec (+ DIST_ZERO_1 39)) (= T_javafe_ast_LabelStmt (+ DIST_ZERO_1 40)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 41)) (= T_javafe_ast_AmbiguousMethodInvocation (+ DIST_ZERO_1 42)) (= T_javafe_ast_Modifiers (+ DIST_ZERO_1 43)) (= T_javafe_ast_LexicalPragma (+ DIST_ZERO_1 44)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 45)) (= T_java_util_Map (+ DIST_ZERO_1 46)) (= T_java_lang_Integer (+ DIST_ZERO_1 47)) (= T_javafe_ast_TryFinallyStmt (+ DIST_ZERO_1 48)) (= T_javafe_ast_CondExpr (+ DIST_ZERO_1 49)) (= T_java_lang_Float (+ DIST_ZERO_1 50)) (= T_javafe_ast_SwitchStmt (+ DIST_ZERO_1 51)) (= T_javafe_ast_SynchronizeStmt (+ DIST_ZERO_1 52)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 53)) (= T_java_io_Serializable (+ DIST_ZERO_1 54)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 55)) (= T_java_lang_Boolean (+ DIST_ZERO_1 56)) (= T_javafe_ast_VarInitVec (+ DIST_ZERO_1 57)) (= T_javafe_parser_ParseType (+ DIST_ZERO_1 58)) (= T_javafe_util_Location (+ DIST_ZERO_1 59)) (= T_javafe_ast_ContinueStmt (+ DIST_ZERO_1 60)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 61)) (= T_javafe_ast_ConstructorDecl (+ DIST_ZERO_1 62)) (= T_javafe_ast_SingleTypeImportDecl (+ DIST_ZERO_1 63)) (= T_java_lang_System (+ DIST_ZERO_1 64)) (= T_javafe_ast_SimpleName (+ DIST_ZERO_1 65)) (= T_javafe_ast_BranchStmt (+ DIST_ZERO_1 66)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 67)) (= T_javafe_parser_PunctuationPrefixTree (+ DIST_ZERO_1 68)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 69)) (= T_java_util_Properties (+ DIST_ZERO_1 70)) (= T_javafe_ast_ModifierPragmaVec (+ DIST_ZERO_1 71)) (= T_javafe_ast_SwitchLabel (+ DIST_ZERO_1 72)) (= T_javafe_ast_LiteralExpr (+ DIST_ZERO_1 73)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 74)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 75)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 76)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 77)) (= T_javafe_ast_CatchClause (+ DIST_ZERO_1 78)) (= T_javafe_ast_AmbiguousVariableAccess (+ DIST_ZERO_1 79)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 80)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 81)) (= T_javafe_ast_InstanceOfExpr (+ DIST_ZERO_1 82)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 83)) (= T_javafe_ast_DoStmt (+ DIST_ZERO_1 84)) (= T_java_lang_String (+ DIST_ZERO_1 85)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 86)) (= T_java_lang_Number (+ DIST_ZERO_1 87)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 88)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 89)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 90)) (= T_javafe_parser_ParseExpr (+ DIST_ZERO_1 91)) (= T_javafe_ast_StmtPragma (+ DIST_ZERO_1 92)) (= T_javafe_ast_BreakStmt (+ DIST_ZERO_1 93)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 94)) (= T_javafe_ast_ParenExpr (+ DIST_ZERO_1 95)) (= T_javafe_parser_Lex (+ DIST_ZERO_1 96)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 97)) (= T_javafe_ast_IdentifierVec (+ DIST_ZERO_1 98)) (= T_javafe_tc_TagConstants (+ DIST_ZERO_1 99)) (= T_java_util_Hashtable (+ DIST_ZERO_1 100)) (= T_javafe_ast_ArrayRefExpr (+ DIST_ZERO_1 101)) (= T_javafe_ast_SkipStmt (+ DIST_ZERO_1 102)) (= T_javafe_ast_ClassLiteral (+ DIST_ZERO_1 103)) (= T_javafe_ast_FormalParaDecl (+ DIST_ZERO_1 104)) (= T_javafe_ast_Name (+ DIST_ZERO_1 105)) (= T_javafe_ast_BinaryExpr (+ DIST_ZERO_1 106)) (= T_javafe_ast_ConstructorInvocation (+ DIST_ZERO_1 107)) (= T_javafe_ast_FieldAccess (+ DIST_ZERO_1 108)) (= T_javafe_ast_WhileStmt (+ DIST_ZERO_1 109)) (= T_javafe_tc_Env (+ DIST_ZERO_1 110)) (= T_java_util_Dictionary (+ DIST_ZERO_1 111)) (= T_javafe_ast_VariableAccess (+ DIST_ZERO_1 112)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 113)) (= T_java_lang_Comparable (+ DIST_ZERO_1 114)) (= T_java_lang_Long (+ DIST_ZERO_1 115)) (= T_javafe_ast_ThrowStmt (+ DIST_ZERO_1 116)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 117)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 118)) (= T_javafe_ast_LocalVarDecl (+ DIST_ZERO_1 119)) (= T_javafe_ast_ForStmt (+ DIST_ZERO_1 120)) (= T_javafe_ast_UnaryExpr (+ DIST_ZERO_1 121)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 122)) (= T_javafe_ast_InitBlock (+ DIST_ZERO_1 123)) (= T_javafe_ast_ArrayInit (+ DIST_ZERO_1 124)) (= T_javafe_ast_ClassDeclStmt (+ DIST_ZERO_1 125)) (= T_javafe_ast_TypeModifierPragmaVec (+ DIST_ZERO_1 126)) (= T_javafe_util_Assert (+ DIST_ZERO_1 127)) (= T_javafe_ast_NewArrayExpr (+ DIST_ZERO_1 128)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 129)) (= T_javafe_ast_MethodInvocation (+ DIST_ZERO_1 130)) (= T_javafe_ast_ClassDecl (+ DIST_ZERO_1 131)) (= T_javafe_ast_TypeDeclElemVec (+ DIST_ZERO_1 132)) (= T_javafe_ast_TypeObjectDesignator (+ DIST_ZERO_1 133)) (= T_javafe_parser_Token (+ DIST_ZERO_1 134))) (= true_term (is DOUBLELIT_24_43_26 T_int)) (= DOUBLELIT_24_43_26 109) (= true_term (is VARDECLSTMT_26_27_7 T_int)) (= VARDECLSTMT_26_27_7 13) (= true_term (is AND_25_20_26 T_int)) (= AND_25_20_26 55) (= true_term (is PARENEXPR_26_54_7 T_int)) (= PARENEXPR_26_54_7 40) (= true_term (is ASGURSHIFT_25_48_26 T_int)) (= ASGURSHIFT_25_48_26 81) (= true_term (is FLOATLIT_24_42_26 T_int)) (= FLOATLIT_24_42_26 108) (= true_term (is SWITCHSTMT_26_26_7 T_int)) (= SWITCHSTMT_26_26_7 12) (= true_term (is OR_25_19_26 T_int)) (= OR_25_19_26 54) (= true_term (is CASTEXPR_26_53_7 T_int)) (= CASTEXPR_26_53_7 39) (= true_term (is ASGRSHIFT_25_47_26 T_int)) (= ASGRSHIFT_25_47_26 80) (= true_term (is CHARLIT_24_41_26 T_int)) (= CHARLIT_24_41_26 107) (= true_term (is BLOCKSTMT_26_25_7 T_int)) (= BLOCKSTMT_26_25_7 11) (= true_term (is otherCodes_23_202_27 ?v_0)) (not (= otherCodes_23_202_27 null)) (= (typeof otherCodes_23_202_27) ?v_0) (= (arrayLength otherCodes_23_202_27) 15) (= true_term (is INSTANCEOFEXPR_26_52_7 T_int)) (= INSTANCEOFEXPR_26_52_7 38) (= true_term (is ASGLSHIFT_25_46_26 T_int)) (= ASGLSHIFT_25_46_26 79) (= true_term (is COMMA_23_33_26 T_int)) (= COMMA_23_33_26 120) (= true_term (is MIN_VALUE_33_38_29 T_long)) (= MIN_VALUE_33_38_29 neg9223372036854775808) (= true_term (is LONGLIT_24_40_26 T_int)) (= LONGLIT_24_40_26 106) (= true_term (is FORMALPARADECL_26_24_7 T_int)) (= FORMALPARADECL_26_24_7 10) (= true_term (is CONDEXPR_26_51_7 T_int)) (= CONDEXPR_26_51_7 37) (= true_term (is ASGSUB_25_45_26 T_int)) (= ASGSUB_25_45_26 78) (= true_term (is INTLIT_24_39_26 T_int)) (= INTLIT_24_39_26 105) (= true_term (is FIELDDECL_26_23_7 T_int)) (= FIELDDECL_26_23_7 9) (= true_term (is NEWARRAYEXPR_26_50_7 T_int)) (= NEWARRAYEXPR_26_50_7 36) (= true_term (is ASGADD_25_44_26 T_int)) (= ASGADD_25_44_26 77) (= true_term (is TYPEMODIFIERPRAGMA_23_28_26 T_int)) (= TYPEMODIFIERPRAGMA_23_28_26 118) (= true_term (is BOOLEANLIT_24_38_26 T_int)) (= BOOLEANLIT_24_38_26 104) (= true_term (is LOCALVARDECL_26_22_7 T_int)) (= LOCALVARDECL_26_22_7 8) (forall ((?s Int)) (=> (not (= ?s null)) (= true_term (is (S_select seqModifierPragma_5_74_32 ?s) T_javafe_util_StackVector)))) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select seqModifierPragma_5_74_32 ?s) null)))) (forall ((?s Int)) (=> (not (= ?s null)) (= (typeof (S_select seqModifierPragma_5_74_32 ?s)) T_javafe_util_StackVector))) (= true_term (is NEWINSTANCEEXPR_26_49_7 T_int)) (= NEWINSTANCEEXPR_26_49_7 35) (= true_term (is ASGREM_25_43_26 T_int)) (= ASGREM_25_43_26 76) (= true_term (is CLASS_23_59_26 T_int)) (= CLASS_23_59_26 140) (= true_term (is TYPEDECLELEMPRAGMA_23_27_26 T_int)) (= TYPEDECLELEMPRAGMA_23_27_26 117) (= true_term (is punctuationStrings_23_134_22 ?v_1)) (not (= punctuationStrings_23_134_22 null)) (= (typeof punctuationStrings_23_134_22) ?v_1) (= (arrayLength punctuationStrings_23_134_22) 48) (= true_term (is NULL_23_82_26 T_int)) (= NULL_23_82_26 163) (= true_term (is SHORTTYPE_24_36_26 T_int)) (= SHORTTYPE_24_36_26 103) (= true_term (is INITBLOCK_26_21_7 T_int)) (= INITBLOCK_26_21_7 7) (= true_term (is MIN_VALUE_29_39_30 T_int)) (= MIN_VALUE_29_39_30 neg2147483648) (= true_term (is ARRAYREFEXPR_26_48_7 T_int)) (= ARRAYREFEXPR_26_48_7 34) (= true_term (is ASGDIV_25_42_26 T_int)) (= ASGDIV_25_42_26 75) (= true_term (is STMTPRAGMA_23_26_26 T_int)) (= STMTPRAGMA_23_26_26 116) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= true_term (is (S_select seqTypeDeclElem_1161_46 ?s_1_) T_javafe_util_StackVector)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select seqTypeDeclElem_1161_46 ?s_1_) null)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= (typeof (S_select seqTypeDeclElem_1161_46 ?s_1_)) T_javafe_util_StackVector))) (= true_term (is NEW_23_81_26 T_int)) (= NEW_23_81_26 162) (= true_term (is BYTETYPE_24_35_26 T_int)) (= BYTETYPE_24_35_26 102) (= true_term (is METHODDECL_26_20_7 T_int)) (= METHODDECL_26_20_7 6) (= true_term (is THISEXPR_26_47_7 T_int)) (= THISEXPR_26_47_7 33) (= true_term (is ASGMUL_25_41_26 T_int)) (= ASGMUL_25_41_26 74) (= true_term (is MODIFIERPRAGMA_23_25_26 T_int)) (= MODIFIERPRAGMA_23_25_26 115) (= true_term (is NULLTYPE_24_34_26 T_int)) (= NULLTYPE_24_34_26 101) (= true_term (is CONSTRUCTORDECL_26_19_7 T_int)) (= CONSTRUCTORDECL_26_19_7 5) (= true_term (is ARRAYINIT_26_46_7 T_int)) (= ARRAYINIT_26_46_7 32) (= true_term (is ASSIGN_25_40_26 T_int)) (= ASSIGN_25_40_26 73) (= true_term (is LEXICALPRAGMA_23_24_26 T_int)) (= LEXICALPRAGMA_23_24_26 114) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (= true_term (is (S_select seqIdentifier_4_33_46 ?s_2_) T_javafe_util_StackVector)))) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select seqIdentifier_4_33_46 ?s_2_) null)))) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (= (typeof (S_select seqIdentifier_4_33_46 ?s_2_)) T_javafe_util_StackVector))) (= true_term (is otherStrings_23_193_30 ?v_1)) (not (= otherStrings_23_193_30 null)) (= (typeof otherStrings_23_193_30) ?v_1) (= (arrayLength otherStrings_23_193_30) 15) (= true_term (is VOIDTYPE_24_33_26 T_int)) (= VOIDTYPE_24_33_26 100) (= true_term (is INTERFACEDECL_26_18_7 T_int)) (= INTERFACEDECL_26_18_7 4) (= true_term (is LAST_KEYWORD_23_103_26 T_int)) (= LAST_KEYWORD_23_103_26 183) (= true_term (is CATCHCLAUSE_26_45_7 T_int)) (= CATCHCLAUSE_26_45_7 31) (= true_term (is STAR_25_37_26 T_int)) (= STAR_25_37_26 72) (= true_term (is MAX_LONG_PLUS_ONE_23_21_26 T_int)) (= MAX_LONG_PLUS_ONE_23_21_26 113) (= true_term (is DOUBLETYPE_24_32_26 T_int)) (= DOUBLETYPE_24_32_26 99) (= true_term (is CLASSDECL_26_17_7 T_int)) (= CLASSDECL_26_17_7 3) (= true_term (is CONSTRUCTORINVOCATION_26_44_7 T_int)) (= CONSTRUCTORINVOCATION_26_44_7 30) (= true_term (is MOD_25_36_26 T_int)) (= MOD_25_36_26 71) (= true_term (is MAX_INT_PLUS_ONE_23_20_26 T_int)) (= MAX_INT_PLUS_ONE_23_20_26 112) (= true_term (is TYPESIG_69_6_28 T_int)) (= TYPESIG_69_6_28 184) (= true_term (is FLOATTYPE_24_31_26 T_int)) (= FLOATTYPE_24_31_26 98) (= true_term (is ONDEMANDIMPORTDECL_26_16_7 T_int)) (= ONDEMANDIMPORTDECL_26_16_7 2) (= true_term (is TRYCATCHSTMT_26_43_7 T_int)) (= TRYCATCHSTMT_26_43_7 29) (= true_term (is DIV_25_35_26 T_int)) (= DIV_25_35_26 70) (= true_term (is NULL_7_60_26 T_int)) (= NULL_7_60_26 0) (= true_term (is CHARTYPE_24_30_26 T_int)) (= CHARTYPE_24_30_26 97) (= true_term (is SINGLETYPEIMPORTDECL_26_15_7 T_int)) (= SINGLETYPEIMPORTDECL_26_15_7 1) (= true_term (is INSTANCEOF_23_76_26 T_int)) (= INSTANCEOF_23_76_26 157) (= true_term (is TRYFINALLYSTMT_26_42_7 T_int)) (= TRYFINALLYSTMT_26_42_7 28) (= true_term (is SUB_25_34_26 T_int)) (= SUB_25_34_26 69) (= true_term (is LONGTYPE_24_29_26 T_int)) (= LONGTYPE_24_29_26 96) (= true_term (is COMPILATIONUNIT_26_14_7 T_int)) (= COMPILATIONUNIT_26_14_7 0) (= true_term (is SWITCHLABEL_26_41_7 T_int)) (= SWITCHLABEL_26_41_7 27) (= true_term (is ADD_25_33_26 T_int)) (= ADD_25_33_26 68) (= true_term (is INTTYPE_24_28_26 T_int)) (= INTTYPE_24_28_26 95) (= true_term (is FIRST_KEYWORD_23_51_26 T_int)) (= FIRST_KEYWORD_23_51_26 133) (= true_term (is SKIPSTMT_26_40_7 T_int)) (= SKIPSTMT_26_40_7 26) (= true_term (is URSHIFT_25_32_26 T_int)) (= URSHIFT_25_32_26 67) (= true_term (is TRUE_23_98_26 T_int)) (= TRUE_23_98_26 179) (= true_term (is COMPOUNDNAME_26_67_7 T_int)) (= COMPOUNDNAME_26_67_7 53) (= true_term (is BOOLEANTYPE_24_27_26 T_int)) (= BOOLEANTYPE_24_27_26 94) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (= true_term (is (S_select seqVarInit_1153_46 ?s_3_) T_javafe_util_StackVector)))) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select seqVarInit_1153_46 ?s_3_) null)))) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (= (typeof (S_select seqVarInit_1153_46 ?s_3_)) T_javafe_util_StackVector))) (= true_term (is FORSTMT_26_39_7 T_int)) (= FORSTMT_26_39_7 25) (= true_term (is RSHIFT_25_31_26 T_int)) (= RSHIFT_25_31_26 66) (= true_term (is SIMPLENAME_26_66_7 T_int)) (= SIMPLENAME_26_66_7 52) (= true_term (is NONE_60_18_26 T_int)) (= NONE_60_18_26 0) (= true_term (is IDENT_24_25_26 T_int)) (= IDENT_24_25_26 93) (= true_term (is IFSTMT_26_38_7 T_int)) (= IFSTMT_26_38_7 24) (= true_term (is LSHIFT_25_30_26 T_int)) (= LSHIFT_25_30_26 65) (= true_term (is POSTFIXDEC_25_63_26 T_int)) (= POSTFIXDEC_25_63_26 92) (= true_term (is ARRAYTYPE_26_65_7 T_int)) (= ARRAYTYPE_26_65_7 51) (= true_term (is FIELD_23_45_26 T_int)) (= FIELD_23_45_26 130) (= true_term (is LABELSTMT_26_37_7 T_int)) (= LABELSTMT_26_37_7 23) (= true_term (is LT_25_29_26 T_int)) (= LT_25_29_26 64) (= true_term (is POSTFIXINC_25_62_26 T_int)) (= POSTFIXINC_25_62_26 91) (= true_term (is TYPENAME_26_64_7 T_int)) (= TYPENAME_26_64_7 50) (= true_term (is COLON_23_43_26 T_int)) (= COLON_23_43_26 129) (= true_term (is CONTINUESTMT_26_36_7 T_int)) (= CONTINUESTMT_26_36_7 22) (= true_term (is LE_25_28_26 T_int)) (= LE_25_28_26 63) (= true_term (is DEC_25_59_26 T_int)) (= DEC_25_59_26 90) (= true_term (is SUPEROBJECTDESIGNATOR_26_63_7 T_int)) (= SUPEROBJECTDESIGNATOR_26_63_7 49) (= true_term (is QUESTIONMARK_23_42_26 T_int)) (= QUESTIONMARK_23_42_26 128) (= true_term (is BREAKSTMT_26_35_7 T_int)) (= BREAKSTMT_26_35_7 21) (= true_term (is GT_25_27_26 T_int)) (= GT_25_27_26 62) (= true_term (is THIS_23_94_26 T_int)) (= THIS_23_94_26 175) (= true_term (is INC_25_58_26 T_int)) (= INC_25_58_26 89) (= true_term (is TYPEOBJECTDESIGNATOR_26_62_7 T_int)) (= TYPEOBJECTDESIGNATOR_26_62_7 48) (= true_term (is RSQBRACKET_23_40_26 T_int)) (= RSQBRACKET_23_40_26 127) (= true_term (is THROWSTMT_26_34_7 T_int)) (= THROWSTMT_26_34_7 20) (= true_term (is GE_25_26_26 T_int)) (= GE_25_26_26 61) (= true_term (is BITNOT_25_57_26 T_int)) (= BITNOT_25_57_26 88) (= true_term (is EXPROBJECTDESIGNATOR_26_61_7 T_int)) (= EXPROBJECTDESIGNATOR_26_61_7 47) (= true_term (is LSQBRACKET_23_39_26 T_int)) (= LSQBRACKET_23_39_26 126) (= true_term (is RETURNSTMT_26_33_7 T_int)) (= RETURNSTMT_26_33_7 19) (= true_term (is EQ_25_25_26 T_int)) (= EQ_25_25_26 60) (= true_term (is NOT_25_56_26 T_int)) (= NOT_25_56_26 87) (= true_term (is CLASSLITERAL_26_60_7 T_int)) (= CLASSLITERAL_26_60_7 46) (= true_term (is EVALSTMT_26_32_7 T_int)) (= EVALSTMT_26_32_7 18) (= true_term (is NE_25_24_26 T_int)) (= NE_25_24_26 59) (= true_term (is SUPER_23_91_26 T_int)) (= SUPER_23_91_26 172) (= true_term (is UNARYSUB_25_55_26 T_int)) (= UNARYSUB_25_55_26 86) (= true_term (is METHODINVOCATION_26_59_7 T_int)) (= METHODINVOCATION_26_59_7 45) (= true_term (is FALSE_23_67_26 T_int)) (= FALSE_23_67_26 148) (= true_term (is noTokens_23_212_27 T_int)) (= true_term (is SYNCHRONIZESTMT_26_31_7 T_int)) (= SYNCHRONIZESTMT_26_31_7 17) (= true_term (is RPAREN_23_38_26 T_int)) (= RPAREN_23_38_26 125) (= true_term (is BITAND_25_23_26 T_int)) (= BITAND_25_23_26 58) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (= true_term (is (S_select seqExpr_1145_46 ?s_4_) T_javafe_util_StackVector)))) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select seqExpr_1145_46 ?s_4_) null)))) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (= (typeof (S_select seqExpr_1145_46 ?s_4_)) T_javafe_util_StackVector))) (= true_term (is UNARYADD_25_54_26 T_int)) (= UNARYADD_25_54_26 85) (= true_term (is AMBIGUOUSMETHODINVOCATION_26_58_7 T_int)) (= AMBIGUOUSMETHODINVOCATION_26_58_7 44) (= true_term (is punctuationCodes_23_164_19 ?v_0)) (not (= punctuationCodes_23_164_19 null)) (= (typeof punctuationCodes_23_164_19) ?v_0) (= (arrayLength punctuationCodes_23_164_19) 48) (= true_term (is DOSTMT_26_30_7 T_int)) (= DOSTMT_26_30_7 16) (= true_term (is LPAREN_23_37_26 T_int)) (= LPAREN_23_37_26 124) (= true_term (is BITXOR_25_22_26 T_int)) (= BITXOR_25_22_26 57) (= true_term (is ASGBITXOR_25_51_26 T_int)) (= ASGBITXOR_25_51_26 84) (= true_term (is FIELDACCESS_26_57_7 T_int)) (= FIELDACCESS_26_57_7 43) (= true_term (is WHILESTMT_26_29_7 T_int)) (= WHILESTMT_26_29_7 15) (= true_term (is RBRACE_23_36_26 T_int)) (= RBRACE_23_36_26 123) (= true_term (is BITOR_25_21_26 T_int)) (= BITOR_25_21_26 56) (= true_term (is keywordStrings_23_181_30 ?v_1)) (not (= keywordStrings_23_181_30 null)) (= (typeof keywordStrings_23_181_30) ?v_1) (= (arrayLength keywordStrings_23_181_30) 51) (= true_term (is NULLLIT_24_45_26 T_int)) (= NULLLIT_24_45_26 111) (= true_term (is VARIABLEACCESS_26_56_7 T_int)) (= VARIABLEACCESS_26_56_7 42) (= true_term (is ASGBITOR_25_50_26 T_int)) (= ASGBITOR_25_50_26 83) (= true_term (is LBRACE_23_35_26 T_int)) (= LBRACE_23_35_26 122) (= true_term (is STRINGLIT_24_44_26 T_int)) (= STRINGLIT_24_44_26 110) (= true_term (is CLASSDECLSTMT_26_28_7 T_int)) (= CLASSDECLSTMT_26_28_7 14) (= true_term (is AMBIGUOUSVARIABLEACCESS_26_55_7 T_int)) (= AMBIGUOUSVARIABLEACCESS_26_55_7 41) (= true_term (is ASGBITAND_25_49_26 T_int)) (= ASGBITAND_25_49_26 82))))
(declare-fun locCloseBrace_pre_63_54_13 () Int)
(declare-fun locCloseBrace_63_54_13 () Int)
(declare-fun loc_pre_66_35_13 () Int)
(declare-fun loc_66_35_13 () Int)
(declare-fun loc_pre_148_18_13 () Int)
(declare-fun loc_148_18_13 () Int)
(declare-fun DOUBLELIT_pre_24_43_26 () Int)
(declare-fun VARDECLSTMT_pre_26_27_7 () Int)
(declare-fun AND_pre_25_20_26 () Int)
(declare-fun locId_pre_121_38_13 () Int)
(declare-fun locId_121_38_13 () Int)
(declare-fun type_pre_50_32_32 () Int)
(declare-fun type_50_32_32 () Int)
(declare-fun PARENEXPR_pre_26_54_7 () Int)
(declare-fun ASGURSHIFT_pre_25_48_26 () Int)
(declare-fun stackPtr_pre_36_14 () Int)
(declare-fun stackPtr_36_14 () Int)
(declare-fun FLOATLIT_pre_24_42_26 () Int)
(declare-fun SWITCHSTMT_pre_26_26_7 () Int)
(declare-fun OR_pre_25_19_26 () Int)
(declare-fun CASTEXPR_pre_26_53_7 () Int)
(declare-fun ASGRSHIFT_pre_25_47_26 () Int)
(declare-fun locDot_pre_43_21_13 () Int)
(declare-fun locDot_43_21_13 () Int)
(declare-fun elements_pre_131_61_39 () Int)
(declare-fun elements_131_61_39 () Int)
(declare-fun owner_pre_6_35_28 () Int)
(declare-fun owner_6_35_28 () Int)
(declare-fun syntax_pre_39_28_29 () Int)
(declare-fun syntax_39_28_29 () Int)
(declare-fun op_pre_34_26_13 () Int)
(declare-fun op_34_26_13 () Int)
(declare-fun locStack_pre_53_14 () Int)
(declare-fun locStack_53_14 () Int)
(declare-fun CHARLIT_pre_24_41_26 () Int)
(declare-fun BLOCKSTMT_pre_26_25_7 () Int)
(declare-fun count_pre_165_67_33 () Int)
(declare-fun count_165_67_33 () Int)
(declare-fun otherCodes_pre_23_202_27 () Int)
(declare-fun locDot_pre_50_29_13 () Int)
(declare-fun locDot_50_29_13 () Int)
(declare-fun startingLoc_pre_10_65_15 () Int)
(declare-fun startingLoc_10_65_15 () Int)
(declare-fun INSTANCEOFEXPR_pre_26_52_7 () Int)
(declare-fun locQuestion_pre_28_22_13 () Int)
(declare-fun locQuestion_28_22_13 () Int)
(declare-fun ASGLSHIFT_pre_25_46_26 () Int)
(declare-fun COMMA_pre_23_33_26 () Int)
(declare-fun MIN_VALUE_pre_33_38_29 () Int)
(declare-fun locDots_pre_164_31_29 () Int)
(declare-fun locDots_164_31_29 () Int)
(declare-fun locOpenBrace_pre_63_51_13 () Int)
(declare-fun locOpenBrace_63_51_13 () Int)
(declare-fun length_pre_51_50_25 () Int)
(declare-fun length_51_50_25 () Int)
(declare-fun LONGLIT_pre_24_40_26 () Int)
(declare-fun tag_pre_66_30_13 () Int)
(declare-fun tag_66_30_13 () Int)
(declare-fun FORMALPARADECL_pre_26_24_7 () Int)
(declare-fun type_pre_121_35_28 () Int)
(declare-fun type_121_35_28 () Int)
(declare-fun CONDEXPR_pre_26_51_7 () Int)
(declare-fun ASGSUB_pre_25_45_26 () Int)
(declare-fun count_pre_115_67_33 () Int)
(declare-fun count_115_67_33 () Int)
(declare-fun count_pre_114_67_33 () Int)
(declare-fun count_114_67_33 () Int)
(declare-fun INTLIT_pre_24_39_26 () Int)
(declare-fun FIELDDECL_pre_26_23_7 () Int)
(declare-fun elements_pre_55_61_36 () Int)
(declare-fun elements_55_61_36 () Int)
(declare-fun NEWARRAYEXPR_pre_26_50_7 () Int)
(declare-fun ASGADD_pre_25_44_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_23_28_26 () Int)
(declare-fun locOpenParen_pre_159_48_13 () Int)
(declare-fun locOpenParen_159_48_13 () Int)
(declare-fun loc_pre_40_29_13 () Int)
(declare-fun loc_40_29_13 () Int)
(declare-fun init_pre_58_35_19 () Int)
(declare-fun init_58_35_19 () Int)
(declare-fun BOOLEANLIT_pre_24_38_26 () Int)
(declare-fun LOCALVARDECL_pre_26_22_7 () Int)
(declare-fun elements_pre_61_61_37 () Int)
(declare-fun elements_61_61_37 () Int)
(declare-fun seqModifierPragma_pre_5_74_32 () Int)
(declare-fun NEWINSTANCEEXPR_pre_26_49_7 () Int)
(declare-fun ASGREM_pre_25_43_26 () Int)
(declare-fun locCloseBracket_pre_49_23_13 () Int)
(declare-fun locCloseBracket_49_23_13 () Int)
(declare-fun CLASS_pre_23_59_26 () Int)
(declare-fun m_in_pre_9_212_46 () Int)
(declare-fun m_in_9_212_46 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_23_27_26 () Int)
(declare-fun punctuationStrings_pre_23_134_22 () Int)
(declare-fun locId_pre_63_48_13 () Int)
(declare-fun locId_63_48_13 () Int)
(declare-fun NULL_pre_23_82_26 () Int)
(declare-fun enclosingInstance_pre_50_25_14 () Int)
(declare-fun enclosingInstance_50_25_14 () Int)
(declare-fun SHORTTYPE_pre_24_36_26 () Int)
(declare-fun INITBLOCK_pre_26_21_7 () Int)
(declare-fun elements_pre_56_61_33 () Int)
(declare-fun elements_56_61_33 () Int)
(declare-fun MIN_VALUE_pre_29_39_30 () Int)
(declare-fun locCloseBrace_pre_54_24_13 () Int)
(declare-fun locCloseBrace_54_24_13 () Int)
(declare-fun locOpenParen_pre_44_28_13 () Int)
(declare-fun locOpenParen_44_28_13 () Int)
(declare-fun ARRAYREFEXPR_pre_26_48_7 () Int)
(declare-fun ASGDIV_pre_25_42_26 () Int)
(declare-fun STMTPRAGMA_pre_23_26_26 () Int)
(declare-fun locCloseBrace_pre_119_25_13 () Int)
(declare-fun locCloseBrace_119_25_13 () Int)
(declare-fun loc_pre_144_20_13 () Int)
(declare-fun loc_144_20_13 () Int)
(declare-fun locCloseParen_pre_35_24_13 () Int)
(declare-fun locCloseParen_35_24_13 () Int)
(declare-fun seqTypeDeclElem_pre_1161_46 () Int)
(declare-fun NEW_pre_23_81_26 () Int)
(declare-fun BYTETYPE_pre_24_35_26 () Int)
(declare-fun METHODDECL_pre_26_20_7 () Int)
(declare-fun elements_pre_53_72_21 () Int)
(declare-fun elements_53_72_21 () Int)
(declare-fun THISEXPR_pre_26_47_7 () Int)
(declare-fun ASGMUL_pre_25_41_26 () Int)
(declare-fun MODIFIERPRAGMA_pre_23_25_26 () Int)
(declare-fun locType_pre_116_21_13 () Int)
(declare-fun locType_116_21_13 () Int)
(declare-fun locKeyword_pre_159_45_13 () Int)
(declare-fun locKeyword_159_45_13 () Int)
(declare-fun NULLTYPE_pre_24_34_26 () Int)
(declare-fun count_pre_130_67_33 () Int)
(declare-fun count_130_67_33 () Int)
(declare-fun CONSTRUCTORDECL_pre_26_19_7 () Int)
(declare-fun ARRAYINIT_pre_26_46_7 () Int)
(declare-fun precedenceStack_pre_49_14 () Int)
(declare-fun precedenceStack_49_14 () Int)
(declare-fun ASSIGN_pre_25_40_26 () Int)
(declare-fun nameDotLocs_pre_4_65_28 () Int)
(declare-fun nameDotLocs_4_65_28 () Int)
(declare-fun LEXICALPRAGMA_pre_23_24_26 () Int)
(declare-fun ttype_pre_10_52_15 () Int)
(declare-fun ttype_10_52_15 () Int)
(declare-fun seqIdentifier_pre_4_33_46 () Int)
(declare-fun locOpenParen_pre_145_23_13 () Int)
(declare-fun locOpenParen_145_23_13 () Int)
(declare-fun locOpenBracket_pre_49_20_13 () Int)
(declare-fun locOpenBracket_49_20_13 () Int)
(declare-fun loc_pre_63_45_13 () Int)
(declare-fun loc_63_45_13 () Int)
(declare-fun otherStrings_pre_23_193_30 () Int)
(declare-fun VOIDTYPE_pre_24_33_26 () Int)
(declare-fun INTERFACEDECL_pre_26_18_7 () Int)
(declare-fun defaultStackSize_pre_32_14 () Int)
(declare-fun defaultStackSize_32_14 () Int)
(declare-fun LAST_KEYWORD_pre_23_103_26 () Int)
(declare-fun CATCHCLAUSE_pre_26_45_7 () Int)
(declare-fun locOpenBrace_pre_54_21_13 () Int)
(declare-fun locOpenBrace_54_21_13 () Int)
(declare-fun STAR_pre_25_37_26 () Int)
(declare-fun locId_pre_44_25_13 () Int)
(declare-fun locId_44_25_13 () Int)
(declare-fun MAX_LONG_PLUS_ONE_pre_23_21_26 () Int)
(declare-fun locOpenBrace_pre_119_22_13 () Int)
(declare-fun locOpenBrace_119_22_13 () Int)
(declare-fun locOpenParen_pre_35_21_13 () Int)
(declare-fun locOpenParen_35_21_13 () Int)
(declare-fun type_pre_58_24_28 () Int)
(declare-fun type_58_24_28 () Int)
(declare-fun DOUBLETYPE_pre_24_32_26 () Int)
(declare-fun CLASSDECL_pre_26_17_7 () Int)
(declare-fun loc_pre_65_20_13 () Int)
(declare-fun loc_65_20_13 () Int)
(declare-fun CONSTRUCTORINVOCATION_pre_26_44_7 () Int)
(declare-fun locId_pre_117_43_13 () Int)
(declare-fun locId_117_43_13 () Int)
(declare-fun MOD_pre_25_36_26 () Int)
(declare-fun MAX_INT_PLUS_ONE_pre_23_20_26 () Int)
(declare-fun TYPESIG_pre_69_6_28 () Int)
(declare-fun vectorCount_pre_53_97_33 () Int)
(declare-fun vectorCount_53_97_33 () Int)
(declare-fun FLOATTYPE_pre_24_31_26 () Int)
(declare-fun ONDEMANDIMPORTDECL_pre_26_16_7 () Int)
(declare-fun locDot_pre_159_41_13 () Int)
(declare-fun locDot_159_41_13 () Int)
(declare-fun TRYCATCHSTMT_pre_26_43_7 () Int)
(declare-fun elements_pre_8_61_41 () Int)
(declare-fun elements_8_61_41 () Int)
(declare-fun DIV_pre_25_35_26 () Int)
(declare-fun locOpenBrackets_pre_58_65_29 () Int)
(declare-fun locOpenBrackets_58_65_29 () Int)
(declare-fun loc_pre_161_22_13 () Int)
(declare-fun loc_161_22_13 () Int)
(declare-fun NULL_pre_7_60_26 () Int)
(declare-fun CHARTYPE_pre_24_30_26 () Int)
(declare-fun SINGLETYPEIMPORTDECL_pre_26_15_7 () Int)
(declare-fun INSTANCEOF_pre_23_76_26 () Int)
(declare-fun TRYFINALLYSTMT_pre_26_42_7 () Int)
(declare-fun SUB_pre_25_34_26 () Int)
(declare-fun returnType_pre_116_18_28 () Int)
(declare-fun returnType_116_18_28 () Int)
(declare-fun elems_pre_54_18_34 () Int)
(declare-fun elems_54_18_34 () Int)
(declare-fun type_pre_35_18_28 () Int)
(declare-fun type_35_18_28 () Int)
(declare-fun loc_pre_145_20_13 () Int)
(declare-fun loc_145_20_13 () Int)
(declare-fun LONGTYPE_pre_24_29_26 () Int)
(declare-fun COMPILATIONUNIT_pre_26_14_7 () Int)
(declare-fun SWITCHLABEL_pre_26_41_7 () Int)
(declare-fun loc_pre_117_40_13 () Int)
(declare-fun loc_117_40_13 () Int)
(declare-fun ADD_pre_25_33_26 () Int)
(declare-fun elements_pre_165_61_43 () Int)
(declare-fun elements_165_61_43 () Int)
(declare-fun INTTYPE_pre_24_28_26 () Int)
(declare-fun FIRST_KEYWORD_pre_23_51_26 () Int)
(declare-fun SKIPSTMT_pre_26_40_7 () Int)
(declare-fun locIds_pre_164_25_29 () Int)
(declare-fun locIds_164_25_29 () Int)
(declare-fun URSHIFT_pre_25_32_26 () Int)
(declare-fun name_pre_38_18_28 () Int)
(declare-fun name_38_18_28 () Int)
(declare-fun TRUE_pre_23_98_26 () Int)
(declare-fun COMPOUNDNAME_pre_26_67_7 () Int)
(declare-fun tag_pre_32_32_13 () Int)
(declare-fun tag_32_32_13 () Int)
(declare-fun opStack_pre_45_14 () Int)
(declare-fun opStack_45_14 () Int)
(declare-fun loc_pre_150_18_13 () Int)
(declare-fun loc_150_18_13 () Int)
(declare-fun loc_pre_158_23_13 () Int)
(declare-fun loc_158_23_13 () Int)
(declare-fun BOOLEANTYPE_pre_24_27_26 () Int)
(declare-fun currentStackBottom_pre_53_87_33 () Int)
(declare-fun currentStackBottom_53_87_33 () Int)
(declare-fun enclosingInstance_pre_159_37_14 () Int)
(declare-fun enclosingInstance_159_37_14 () Int)
(declare-fun seqVarInit_pre_1153_46 () Int)
(declare-fun elements_pre_115_61_47 () Int)
(declare-fun elements_115_61_47 () Int)
(declare-fun FORSTMT_pre_26_39_7 () Int)
(declare-fun RSHIFT_pre_25_31_26 () Int)
(declare-fun elements_pre_114_61_39 () Int)
(declare-fun elements_114_61_39 () Int)
(declare-fun locSuper_pre_42_20_13 () Int)
(declare-fun locSuper_42_20_13 () Int)
(declare-fun SIMPLENAME_pre_26_66_7 () Int)
(declare-fun tokenType_pre_59_90_8 () Int)
(declare-fun tokenType_59_90_8 () Int)
(declare-fun locDot_pre_48_23_13 () Int)
(declare-fun locDot_48_23_13 () Int)
(declare-fun locId_pre_152_20_13 () Int)
(declare-fun locId_152_20_13 () Int)
(declare-fun NONE_pre_60_18_26 () Int)
(declare-fun loc_pre_125_30_13 () Int)
(declare-fun loc_125_30_13 () Int)
(declare-fun IDENT_pre_24_25_26 () Int)
(declare-fun loc_pre_32_50_13 () Int)
(declare-fun loc_32_50_13 () Int)
(declare-fun loc_pre_156_29_13 () Int)
(declare-fun loc_156_29_13 () Int)
(declare-fun IFSTMT_pre_26_38_7 () Int)
(declare-fun LSHIFT_pre_25_30_26 () Int)
(declare-fun inst_pre_47_29_44 () Int)
(declare-fun inst_47_29_44 () Int)
(declare-fun nameIdLocs_pre_4_62_28 () Int)
(declare-fun nameIdLocs_4_62_28 () Int)
(declare-fun POSTFIXDEC_pre_25_63_26 () Int)
(declare-fun locOpenParen_pre_50_52_13 () Int)
(declare-fun locOpenParen_50_52_13 () Int)
(declare-fun ARRAYTYPE_pre_26_65_7 () Int)
(declare-fun locFinally_pre_157_25_13 () Int)
(declare-fun locFinally_157_25_13 () Int)
(declare-fun locOpenBracket_pre_163_21_13 () Int)
(declare-fun locOpenBracket_163_21_13 () Int)
(declare-fun FIELD_pre_23_45_26 () Int)
(declare-fun LABELSTMT_pre_26_37_7 () Int)
(declare-fun LT_pre_25_29_26 () Int)
(declare-fun count_pre_131_67_33 () Int)
(declare-fun count_131_67_33 () Int)
(declare-fun locOp_pre_14_43_13 () Int)
(declare-fun locOp_14_43_13 () Int)
(declare-fun POSTFIXINC_pre_25_62_26 () Int)
(declare-fun TYPENAME_pre_26_64_7 () Int)
(declare-fun COLON_pre_23_43_26 () Int)
(declare-fun CONTINUESTMT_pre_26_36_7 () Int)
(declare-fun LE_pre_25_28_26 () Int)
(declare-fun loc_pre_160_22_13 () Int)
(declare-fun loc_160_22_13 () Int)
(declare-fun isLeftAssocTable_pre_66_20 () Int)
(declare-fun isLeftAssocTable_66_20 () Int)
(declare-fun DEC_pre_25_59_26 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_pre_26_63_7 () Int)
(declare-fun loc_pre_153_22_13 () Int)
(declare-fun loc_153_22_13 () Int)
(declare-fun elementType_pre_53_43_27 () Int)
(declare-fun elementType_53_43_27 () Int)
(declare-fun QUESTIONMARK_pre_23_42_26 () Int)
(declare-fun value_pre_32_45_16 () Int)
(declare-fun value_32_45_16 () Int)
(declare-fun BREAKSTMT_pre_26_35_7 () Int)
(declare-fun GT_pre_25_27_26 () Int)
(declare-fun THIS_pre_23_94_26 () Int)
(declare-fun locOpenBrace_pre_117_36_13 () Int)
(declare-fun locOpenBrace_117_36_13 () Int)
(declare-fun elements_pre_130_61_38 () Int)
(declare-fun elements_130_61_38 () Int)
(declare-fun INC_pre_25_58_26 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_pre_26_62_7 () Int)
(declare-fun loc_pre_50_49_13 () Int)
(declare-fun loc_50_49_13 () Int)
(declare-fun body_pre_117_34_19 () Int)
(declare-fun body_117_34_19 () Int)
(declare-fun count_pre_55_67_33 () Int)
(declare-fun count_55_67_33 () Int)
(declare-fun RSQBRACKET_pre_23_40_26 () Int)
(declare-fun loc_pre_157_22_13 () Int)
(declare-fun loc_157_22_13 () Int)
(declare-fun type_pre_48_20_28 () Int)
(declare-fun type_48_20_28 () Int)
(declare-fun THROWSTMT_pre_26_34_7 () Int)
(declare-fun GE_pre_25_26_26 () Int)
(declare-fun locGuardOpenParen_pre_143_23_13 () Int)
(declare-fun locGuardOpenParen_143_23_13 () Int)
(declare-fun BITNOT_pre_25_57_26 () Int)
(declare-fun EXPROBJECTDESIGNATOR_pre_26_61_7 () Int)
(declare-fun loc_pre_27_21_13 () Int)
(declare-fun loc_27_21_13 () Int)
(declare-fun count_pre_61_67_33 () Int)
(declare-fun count_61_67_33 () Int)
(declare-fun LSQBRACKET_pre_23_39_26 () Int)
(declare-fun identifierVal_pre_10_80_22 () Int)
(declare-fun identifierVal_10_80_22 () Int)
(declare-fun locCloseParen_pre_46_21_13 () Int)
(declare-fun locCloseParen_46_21_13 () Int)
(declare-fun RETURNSTMT_pre_26_33_7 () Int)
(declare-fun EQ_pre_25_25_26 () Int)
(declare-fun elemType_pre_163_18_28 () Int)
(declare-fun elemType_163_18_28 () Int)
(declare-fun auxVal_pre_10_127_18 () Int)
(declare-fun auxVal_10_127_18 () Int)
(declare-fun loc_pre_140_18_13 () Int)
(declare-fun loc_140_18_13 () Int)
(declare-fun NOT_pre_25_56_26 () Int)
(declare-fun CLASSLITERAL_pre_26_60_7 () Int)
(declare-fun exprStack_pre_41_15 () Int)
(declare-fun exprStack_41_15 () Int)
(declare-fun count_pre_56_67_33 () Int)
(declare-fun count_56_67_33 () Int)
(declare-fun loc_pre_155_16_13 () Int)
(declare-fun loc_155_16_13 () Int)
(declare-fun EVALSTMT_pre_26_32_7 () Int)
(declare-fun NE_pre_25_24_26 () Int)
(declare-fun locFirstSemi_pre_154_36_13 () Int)
(declare-fun locFirstSemi_154_36_13 () Int)
(declare-fun superCall_pre_159_24_17 () Int)
(declare-fun superCall_159_24_17 () Int)
(declare-fun SUPER_pre_23_91_26 () Int)
(declare-fun UNARYSUB_pre_25_55_26 () Int)
(declare-fun METHODINVOCATION_pre_26_59_7 () Int)
(declare-fun FALSE_pre_23_67_26 () Int)
(declare-fun noTokens_pre_23_212_27 () Int)
(declare-fun SYNCHRONIZESTMT_pre_26_31_7 () Int)
(declare-fun RPAREN_pre_23_38_26 () Int)
(declare-fun BITAND_pre_25_23_26 () Int)
(declare-fun elementCount_pre_53_79_33 () Int)
(declare-fun elementCount_53_79_33 () Int)
(declare-fun seqExpr_pre_1145_46 () Int)
(declare-fun UNARYADD_pre_25_54_26 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_pre_26_58_7 () Int)
(declare-fun loc_pre_134_18_13 () Int)
(declare-fun loc_134_18_13 () Int)
(declare-fun loc_pre_58_49_13 () Int)
(declare-fun loc_58_49_13 () Int)
(declare-fun type_pre_27_18_28 () Int)
(declare-fun type_27_18_28 () Int)
(declare-fun punctuationCodes_pre_23_164_19 () Int)
(declare-fun locId_pre_45_24_13 () Int)
(declare-fun locId_45_24_13 () Int)
(declare-fun locOp_pre_34_32_13 () Int)
(declare-fun locOp_34_32_13 () Int)
(declare-fun DOSTMT_pre_26_30_7 () Int)
(declare-fun LPAREN_pre_23_37_26 () Int)
(declare-fun BITXOR_pre_25_22_26 () Int)
(declare-fun ASGBITXOR_pre_25_51_26 () Int)
(declare-fun FIELDACCESS_pre_26_57_7 () Int)
(declare-fun op_pre_14_35_13 () Int)
(declare-fun op_14_35_13 () Int)
(declare-fun loc_pre_143_20_13 () Int)
(declare-fun loc_143_20_13 () Int)
(declare-fun WHILESTMT_pre_26_29_7 () Int)
(declare-fun RBRACE_pre_23_36_26 () Int)
(declare-fun BITOR_pre_25_21_26 () Int)
(declare-fun keywordStrings_pre_23_181_30 () Int)
(declare-fun ids_pre_164_19_37 () Int)
(declare-fun ids_164_19_37 () Int)
(declare-fun NULLLIT_pre_24_45_26 () Int)
(declare-fun loc_pre_147_18_13 () Int)
(declare-fun loc_147_18_13 () Int)
(declare-fun VARIABLEACCESS_pre_26_56_7 () Int)
(declare-fun loc_pre_154_33_13 () Int)
(declare-fun loc_154_33_13 () Int)
(declare-fun ASGBITOR_pre_25_50_26 () Int)
(declare-fun locOpenParen_pre_37_30_13 () Int)
(declare-fun locOpenParen_37_30_13 () Int)
(declare-fun precedenceTable_pre_62_16 () Int)
(declare-fun precedenceTable_62_16 () Int)
(declare-fun locOpenParen_pre_46_18_13 () Int)
(declare-fun locOpenParen_46_18_13 () Int)
(declare-fun endingLoc_pre_10_72_15 () Int)
(declare-fun endingLoc_10_72_15 () Int)
(declare-fun LBRACE_pre_23_35_26 () Int)
(declare-fun STRINGLIT_pre_24_44_26 () Int)
(declare-fun CLASSDECLSTMT_pre_26_28_7 () Int)
(declare-fun locColon_pre_28_25_13 () Int)
(declare-fun locColon_28_25_13 () Int)
(declare-fun code_pre_9_1294_15 () Int)
(declare-fun code_9_1294_15 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_pre_26_55_7 () Int)
(declare-fun ASGBITAND_pre_25_49_26 () Int)
(declare-fun dims_pre_58_45_31 () Int)
(declare-fun dims_58_45_31 () Int)
(declare-fun count_pre_8_67_33 () Int)
(declare-fun count_8_67_33 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun l_1031_46 () Int)
(declare-fun specOnly_1031_57 () Int)
(declare-fun RES_1033_13_1033_13 () Int)
(declare-fun EC_1033_13_1033_13 () Int)
(declare-fun ecReturn () Int)
(declare-fun RES () Int)
(declare-fun RES_1036_13_1036_13 () Int)
(declare-fun EC_1036_13_1036_13 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String)) (?v_5 (arrayLength punctuationStrings_23_134_22)) (?v_4 (arrayLength otherStrings_23_193_30)) (?v_3 (arrayLength keywordStrings_23_181_30)) (?v_2 (array T_javafe_ast_Expr)) (?v_7 (not (= l_1031_46 null))) (?v_9 (not (= (S_select m_in_9_212_46 l_1031_46) null))) (?v_6 (S_select owner_6_35_28 punctuationCodes_23_164_19)) (?v_8 (= (S_select ttype_10_52_15 l_1031_46) LBRACE_23_35_26)) (?v_11 (= true_term true_term))) (let ((?v_10 (not ?v_8)) (?v_12 (not (and ?v_7 ?v_9))) (?v_13 (= EC_1033_13_1033_13 ecReturn)) (?v_14 (= EC_1036_13_1036_13 ecReturn)) (?v_15 (= ecReturn ecReturn))) (not (=> (and true (< neg9223372036854775808 neg2147483648) (< neg2147483648 (- 1000000))) (=> (and (= locCloseBrace_pre_63_54_13 locCloseBrace_63_54_13) (= locCloseBrace_63_54_13 (asField locCloseBrace_63_54_13 T_int)) (= loc_pre_66_35_13 loc_66_35_13) (= loc_66_35_13 (asField loc_66_35_13 T_int)) (= loc_pre_148_18_13 loc_148_18_13) (= loc_148_18_13 (asField loc_148_18_13 T_int)) (= DOUBLELIT_pre_24_43_26 DOUBLELIT_24_43_26) (= true_term (is DOUBLELIT_24_43_26 T_int)) (= VARDECLSTMT_pre_26_27_7 VARDECLSTMT_26_27_7) (= true_term (is VARDECLSTMT_26_27_7 T_int)) (= AND_pre_25_20_26 AND_25_20_26) (= true_term (is AND_25_20_26 T_int)) (= locId_pre_121_38_13 locId_121_38_13) (= locId_121_38_13 (asField locId_121_38_13 T_int)) (= type_pre_50_32_32 type_50_32_32) (= type_50_32_32 (asField type_50_32_32 T_javafe_ast_TypeName)) (< (fClosedTime type_50_32_32) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select type_50_32_32 ?s) null)))) (= PARENEXPR_pre_26_54_7 PARENEXPR_26_54_7) (= true_term (is PARENEXPR_26_54_7 T_int)) (= ASGURSHIFT_pre_25_48_26 ASGURSHIFT_25_48_26) (= true_term (is ASGURSHIFT_25_48_26 T_int)) (= stackPtr_pre_36_14 stackPtr_36_14) (= stackPtr_36_14 (asField stackPtr_36_14 T_int)) (= FLOATLIT_pre_24_42_26 FLOATLIT_24_42_26) (= true_term (is FLOATLIT_24_42_26 T_int)) (= SWITCHSTMT_pre_26_26_7 SWITCHSTMT_26_26_7) (= true_term (is SWITCHSTMT_26_26_7 T_int)) (= OR_pre_25_19_26 OR_25_19_26) (= true_term (is OR_25_19_26 T_int)) (= CASTEXPR_pre_26_53_7 CASTEXPR_26_53_7) (= true_term (is CASTEXPR_26_53_7 T_int)) (= ASGRSHIFT_pre_25_47_26 ASGRSHIFT_25_47_26) (= true_term (is ASGRSHIFT_25_47_26 T_int)) (= locDot_pre_43_21_13 locDot_43_21_13) (= locDot_43_21_13 (asField locDot_43_21_13 T_int)) (= elements_pre_131_61_39 elements_131_61_39) (= elements_131_61_39 (asField elements_131_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_131_61_39) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_131_61_39 ?s_1_) null)))) (= owner_pre_6_35_28 owner_6_35_28) (= owner_6_35_28 (asField owner_6_35_28 T_java_lang_Object)) (< (fClosedTime owner_6_35_28) alloc) (= syntax_pre_39_28_29 syntax_39_28_29) (= syntax_39_28_29 (asField syntax_39_28_29 T_boolean)) (= op_pre_34_26_13 op_34_26_13) (= op_34_26_13 (asField op_34_26_13 T_int)) (= locStack_pre_53_14 locStack_53_14) (= locStack_53_14 (asField locStack_53_14 ?v_0)) (< (fClosedTime locStack_53_14) alloc) (= CHARLIT_pre_24_41_26 CHARLIT_24_41_26) (= true_term (is CHARLIT_24_41_26 T_int)) (= BLOCKSTMT_pre_26_25_7 BLOCKSTMT_26_25_7) (= true_term (is BLOCKSTMT_26_25_7 T_int)) (= count_pre_165_67_33 count_165_67_33) (= count_165_67_33 (asField count_165_67_33 T_int)) (= otherCodes_pre_23_202_27 otherCodes_23_202_27) (= true_term (is otherCodes_23_202_27 ?v_0)) (= true_term (isAllocated otherCodes_23_202_27 alloc)) (= locDot_pre_50_29_13 locDot_50_29_13) (= locDot_50_29_13 (asField locDot_50_29_13 T_int)) (= startingLoc_pre_10_65_15 startingLoc_10_65_15) (= startingLoc_10_65_15 (asField startingLoc_10_65_15 T_int)) (= INSTANCEOFEXPR_pre_26_52_7 INSTANCEOFEXPR_26_52_7) (= true_term (is INSTANCEOFEXPR_26_52_7 T_int)) (= locQuestion_pre_28_22_13 locQuestion_28_22_13) (= locQuestion_28_22_13 (asField locQuestion_28_22_13 T_int)) (= ASGLSHIFT_pre_25_46_26 ASGLSHIFT_25_46_26) (= true_term (is ASGLSHIFT_25_46_26 T_int)) (= COMMA_pre_23_33_26 COMMA_23_33_26) (= true_term (is COMMA_23_33_26 T_int)) (= MIN_VALUE_pre_33_38_29 MIN_VALUE_33_38_29) (= true_term (is MIN_VALUE_33_38_29 T_long)) (= locDots_pre_164_31_29 locDots_164_31_29) (= locDots_164_31_29 (asField locDots_164_31_29 ?v_0)) (< (fClosedTime locDots_164_31_29) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select locDots_164_31_29 ?s_2_) null)))) (= locOpenBrace_pre_63_51_13 locOpenBrace_63_51_13) (= locOpenBrace_63_51_13 (asField locOpenBrace_63_51_13 T_int)) (= length_pre_51_50_25 length_51_50_25) (= length_51_50_25 (asField length_51_50_25 T_int)) (= LONGLIT_pre_24_40_26 LONGLIT_24_40_26) (= true_term (is LONGLIT_24_40_26 T_int)) (= tag_pre_66_30_13 tag_66_30_13) (= tag_66_30_13 (asField tag_66_30_13 T_int)) (= FORMALPARADECL_pre_26_24_7 FORMALPARADECL_26_24_7) (= true_term (is FORMALPARADECL_26_24_7 T_int)) (= type_pre_121_35_28 type_121_35_28) (= type_121_35_28 (asField type_121_35_28 T_javafe_ast_Type)) (< (fClosedTime type_121_35_28) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select type_121_35_28 ?s_3_) null)))) (= CONDEXPR_pre_26_51_7 CONDEXPR_26_51_7) (= true_term (is CONDEXPR_26_51_7 T_int)) (= ASGSUB_pre_25_45_26 ASGSUB_25_45_26) (= true_term (is ASGSUB_25_45_26 T_int)) (= count_pre_115_67_33 count_115_67_33) (= count_115_67_33 (asField count_115_67_33 T_int)) (= count_pre_114_67_33 count_114_67_33) (= count_114_67_33 (asField count_114_67_33 T_int)) (= INTLIT_pre_24_39_26 INTLIT_24_39_26) (= true_term (is INTLIT_24_39_26 T_int)) (= FIELDDECL_pre_26_23_7 FIELDDECL_26_23_7) (= true_term (is FIELDDECL_26_23_7 T_int)) (= elements_pre_55_61_36 elements_55_61_36) (= elements_55_61_36 (asField elements_55_61_36 (array T_javafe_ast_VarInit))) (< (fClosedTime elements_55_61_36) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select elements_55_61_36 ?s_4_) null)))) (= NEWARRAYEXPR_pre_26_50_7 NEWARRAYEXPR_26_50_7) (= true_term (is NEWARRAYEXPR_26_50_7 T_int)) (= ASGADD_pre_25_44_26 ASGADD_25_44_26) (= true_term (is ASGADD_25_44_26 T_int)) (= TYPEMODIFIERPRAGMA_pre_23_28_26 TYPEMODIFIERPRAGMA_23_28_26) (= true_term (is TYPEMODIFIERPRAGMA_23_28_26 T_int)) (= locOpenParen_pre_159_48_13 locOpenParen_159_48_13) (= locOpenParen_159_48_13 (asField locOpenParen_159_48_13 T_int)) (= loc_pre_40_29_13 loc_40_29_13) (= loc_40_29_13 (asField loc_40_29_13 T_int)) (= init_pre_58_35_19 init_58_35_19) (= init_58_35_19 (asField init_58_35_19 T_javafe_ast_ArrayInit)) (< (fClosedTime init_58_35_19) alloc) (= BOOLEANLIT_pre_24_38_26 BOOLEANLIT_24_38_26) (= true_term (is BOOLEANLIT_24_38_26 T_int)) (= LOCALVARDECL_pre_26_22_7 LOCALVARDECL_26_22_7) (= true_term (is LOCALVARDECL_26_22_7 T_int)) (= elements_pre_61_61_37 elements_61_61_37) (= elements_61_61_37 (asField elements_61_61_37 (array T_javafe_ast_TypeName))) (< (fClosedTime elements_61_61_37) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select elements_61_61_37 ?s_5_) null)))) (= seqModifierPragma_pre_5_74_32 seqModifierPragma_5_74_32) (= seqModifierPragma_5_74_32 (asField seqModifierPragma_5_74_32 T_javafe_util_StackVector)) (< (fClosedTime seqModifierPragma_5_74_32) alloc) (= NEWINSTANCEEXPR_pre_26_49_7 NEWINSTANCEEXPR_26_49_7) (= true_term (is NEWINSTANCEEXPR_26_49_7 T_int)) (= ASGREM_pre_25_43_26 ASGREM_25_43_26) (= true_term (is ASGREM_25_43_26 T_int)) (= locCloseBracket_pre_49_23_13 locCloseBracket_49_23_13) (= locCloseBracket_49_23_13 (asField locCloseBracket_49_23_13 T_int)) (= CLASS_pre_23_59_26 CLASS_23_59_26) (= true_term (is CLASS_23_59_26 T_int)) (= m_in_pre_9_212_46 m_in_9_212_46) (= m_in_9_212_46 (asField m_in_9_212_46 T_javafe_util_CorrelatedReader)) (< (fClosedTime m_in_9_212_46) alloc) (= TYPEDECLELEMPRAGMA_pre_23_27_26 TYPEDECLELEMPRAGMA_23_27_26) (= true_term (is TYPEDECLELEMPRAGMA_23_27_26 T_int)) (= punctuationStrings_pre_23_134_22 punctuationStrings_23_134_22) (= true_term (is punctuationStrings_23_134_22 ?v_1)) (= true_term (isAllocated punctuationStrings_23_134_22 alloc)) (= locId_pre_63_48_13 locId_63_48_13) (= locId_63_48_13 (asField locId_63_48_13 T_int)) (= NULL_pre_23_82_26 NULL_23_82_26) (= true_term (is NULL_23_82_26 T_int)) (= enclosingInstance_pre_50_25_14 enclosingInstance_50_25_14) (= enclosingInstance_50_25_14 (asField enclosingInstance_50_25_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_50_25_14) alloc) (= SHORTTYPE_pre_24_36_26 SHORTTYPE_24_36_26) (= true_term (is SHORTTYPE_24_36_26 T_int)) (= INITBLOCK_pre_26_21_7 INITBLOCK_26_21_7) (= true_term (is INITBLOCK_26_21_7 T_int)) (= elements_pre_56_61_33 elements_56_61_33) (= elements_56_61_33 (asField elements_56_61_33 ?v_2)) (< (fClosedTime elements_56_61_33) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select elements_56_61_33 ?s_6_) null)))) (= MIN_VALUE_pre_29_39_30 MIN_VALUE_29_39_30) (= true_term (is MIN_VALUE_29_39_30 T_int)) (= locCloseBrace_pre_54_24_13 locCloseBrace_54_24_13) (= locCloseBrace_54_24_13 (asField locCloseBrace_54_24_13 T_int)) (= locOpenParen_pre_44_28_13 locOpenParen_44_28_13) (= locOpenParen_44_28_13 (asField locOpenParen_44_28_13 T_int)) (= ARRAYREFEXPR_pre_26_48_7 ARRAYREFEXPR_26_48_7) (= true_term (is ARRAYREFEXPR_26_48_7 T_int)) (= ASGDIV_pre_25_42_26 ASGDIV_25_42_26) (= true_term (is ASGDIV_25_42_26 T_int)) (= STMTPRAGMA_pre_23_26_26 STMTPRAGMA_23_26_26) (= true_term (is STMTPRAGMA_23_26_26 T_int)) (= locCloseBrace_pre_119_25_13 locCloseBrace_119_25_13) (= locCloseBrace_119_25_13 (asField locCloseBrace_119_25_13 T_int)) (= loc_pre_144_20_13 loc_144_20_13) (= loc_144_20_13 (asField loc_144_20_13 T_int)) (= locCloseParen_pre_35_24_13 locCloseParen_35_24_13) (= locCloseParen_35_24_13 (asField locCloseParen_35_24_13 T_int)) (= seqTypeDeclElem_pre_1161_46 seqTypeDeclElem_1161_46) (= seqTypeDeclElem_1161_46 (asField seqTypeDeclElem_1161_46 T_javafe_util_StackVector)) (< (fClosedTime seqTypeDeclElem_1161_46) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select seqTypeDeclElem_1161_46 ?s_7_) null)))) (= NEW_pre_23_81_26 NEW_23_81_26) (= true_term (is NEW_23_81_26 T_int)) (= BYTETYPE_pre_24_35_26 BYTETYPE_24_35_26) (= true_term (is BYTETYPE_24_35_26 T_int)) (= METHODDECL_pre_26_20_7 METHODDECL_26_20_7) (= true_term (is METHODDECL_26_20_7 T_int)) (= elements_pre_53_72_21 elements_53_72_21) (= elements_53_72_21 (asField elements_53_72_21 (array T_java_lang_Object))) (< (fClosedTime elements_53_72_21) alloc) (= THISEXPR_pre_26_47_7 THISEXPR_26_47_7) (= true_term (is THISEXPR_26_47_7 T_int)) (= ASGMUL_pre_25_41_26 ASGMUL_25_41_26) (= true_term (is ASGMUL_25_41_26 T_int)) (= MODIFIERPRAGMA_pre_23_25_26 MODIFIERPRAGMA_23_25_26) (= true_term (is MODIFIERPRAGMA_23_25_26 T_int)) (= locType_pre_116_21_13 locType_116_21_13) (= locType_116_21_13 (asField locType_116_21_13 T_int)) (= locKeyword_pre_159_45_13 locKeyword_159_45_13) (= locKeyword_159_45_13 (asField locKeyword_159_45_13 T_int)) (= NULLTYPE_pre_24_34_26 NULLTYPE_24_34_26) (= true_term (is NULLTYPE_24_34_26 T_int)) (= count_pre_130_67_33 count_130_67_33) (= count_130_67_33 (asField count_130_67_33 T_int)) (= CONSTRUCTORDECL_pre_26_19_7 CONSTRUCTORDECL_26_19_7) (= true_term (is CONSTRUCTORDECL_26_19_7 T_int)) (= ARRAYINIT_pre_26_46_7 ARRAYINIT_26_46_7) (= true_term (is ARRAYINIT_26_46_7 T_int)) (= precedenceStack_pre_49_14 precedenceStack_49_14) (= precedenceStack_49_14 (asField precedenceStack_49_14 ?v_0)) (< (fClosedTime precedenceStack_49_14) alloc) (= ASSIGN_pre_25_40_26 ASSIGN_25_40_26) (= true_term (is ASSIGN_25_40_26 T_int)) (= nameDotLocs_pre_4_65_28 nameDotLocs_4_65_28) (= nameDotLocs_4_65_28 (asField nameDotLocs_4_65_28 ?v_0)) (< (fClosedTime nameDotLocs_4_65_28) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select nameDotLocs_4_65_28 ?s_8_) null)))) (= LEXICALPRAGMA_pre_23_24_26 LEXICALPRAGMA_23_24_26) (= true_term (is LEXICALPRAGMA_23_24_26 T_int)) (= ttype_pre_10_52_15 ttype_10_52_15) (= ttype_10_52_15 (asField ttype_10_52_15 T_int)) (= seqIdentifier_pre_4_33_46 seqIdentifier_4_33_46) (= seqIdentifier_4_33_46 (asField seqIdentifier_4_33_46 T_javafe_util_StackVector)) (< (fClosedTime seqIdentifier_4_33_46) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select seqIdentifier_4_33_46 ?s_9_) null)))) (= locOpenParen_pre_145_23_13 locOpenParen_145_23_13) (= locOpenParen_145_23_13 (asField locOpenParen_145_23_13 T_int)) (= locOpenBracket_pre_49_20_13 locOpenBracket_49_20_13) (= locOpenBracket_49_20_13 (asField locOpenBracket_49_20_13 T_int)) (= loc_pre_63_45_13 loc_63_45_13) (= loc_63_45_13 (asField loc_63_45_13 T_int)) (= otherStrings_pre_23_193_30 otherStrings_23_193_30) (= true_term (is otherStrings_23_193_30 ?v_1)) (= true_term (isAllocated otherStrings_23_193_30 alloc)) (= VOIDTYPE_pre_24_33_26 VOIDTYPE_24_33_26) (= true_term (is VOIDTYPE_24_33_26 T_int)) (= INTERFACEDECL_pre_26_18_7 INTERFACEDECL_26_18_7) (= true_term (is INTERFACEDECL_26_18_7 T_int)) (= defaultStackSize_pre_32_14 defaultStackSize_32_14) (= defaultStackSize_32_14 (asField defaultStackSize_32_14 T_int)) (= LAST_KEYWORD_pre_23_103_26 LAST_KEYWORD_23_103_26) (= true_term (is LAST_KEYWORD_23_103_26 T_int)) (= CATCHCLAUSE_pre_26_45_7 CATCHCLAUSE_26_45_7) (= true_term (is CATCHCLAUSE_26_45_7 T_int)) (= locOpenBrace_pre_54_21_13 locOpenBrace_54_21_13) (= locOpenBrace_54_21_13 (asField locOpenBrace_54_21_13 T_int)) (= STAR_pre_25_37_26 STAR_25_37_26) (= true_term (is STAR_25_37_26 T_int)) (= locId_pre_44_25_13 locId_44_25_13) (= locId_44_25_13 (asField locId_44_25_13 T_int)) (= MAX_LONG_PLUS_ONE_pre_23_21_26 MAX_LONG_PLUS_ONE_23_21_26) (= true_term (is MAX_LONG_PLUS_ONE_23_21_26 T_int)) (= locOpenBrace_pre_119_22_13 locOpenBrace_119_22_13) (= locOpenBrace_119_22_13 (asField locOpenBrace_119_22_13 T_int)) (= locOpenParen_pre_35_21_13 locOpenParen_35_21_13) (= locOpenParen_35_21_13 (asField locOpenParen_35_21_13 T_int)) (= type_pre_58_24_28 type_58_24_28) (= type_58_24_28 (asField type_58_24_28 T_javafe_ast_Type)) (< (fClosedTime type_58_24_28) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select type_58_24_28 ?s_10_) null)))) (= DOUBLETYPE_pre_24_32_26 DOUBLETYPE_24_32_26) (= true_term (is DOUBLETYPE_24_32_26 T_int)) (= CLASSDECL_pre_26_17_7 CLASSDECL_26_17_7) (= true_term (is CLASSDECL_26_17_7 T_int)) (= loc_pre_65_20_13 loc_65_20_13) (= loc_65_20_13 (asField loc_65_20_13 T_int)) (= CONSTRUCTORINVOCATION_pre_26_44_7 CONSTRUCTORINVOCATION_26_44_7) (= true_term (is CONSTRUCTORINVOCATION_26_44_7 T_int)) (= locId_pre_117_43_13 locId_117_43_13) (= locId_117_43_13 (asField locId_117_43_13 T_int)) (= MOD_pre_25_36_26 MOD_25_36_26) (= true_term (is MOD_25_36_26 T_int)) (= MAX_INT_PLUS_ONE_pre_23_20_26 MAX_INT_PLUS_ONE_23_20_26) (= true_term (is MAX_INT_PLUS_ONE_23_20_26 T_int)) (= TYPESIG_pre_69_6_28 TYPESIG_69_6_28) (= true_term (is TYPESIG_69_6_28 T_int)) (= vectorCount_pre_53_97_33 vectorCount_53_97_33) (= vectorCount_53_97_33 (asField vectorCount_53_97_33 T_int)) (= FLOATTYPE_pre_24_31_26 FLOATTYPE_24_31_26) (= true_term (is FLOATTYPE_24_31_26 T_int)) (= ONDEMANDIMPORTDECL_pre_26_16_7 ONDEMANDIMPORTDECL_26_16_7) (= true_term (is ONDEMANDIMPORTDECL_26_16_7 T_int)) (= locDot_pre_159_41_13 locDot_159_41_13) (= locDot_159_41_13 (asField locDot_159_41_13 T_int)) (= TRYCATCHSTMT_pre_26_43_7 TRYCATCHSTMT_26_43_7) (= true_term (is TRYCATCHSTMT_26_43_7 T_int)) (= elements_pre_8_61_41 elements_8_61_41) (= elements_8_61_41 (asField elements_8_61_41 (array T_javafe_ast_TypeDeclElem))) (< (fClosedTime elements_8_61_41) alloc) (forall ((?s_11_ Int)) (=> (not (= ?s_11_ null)) (not (= (S_select elements_8_61_41 ?s_11_) null)))) (= DIV_pre_25_35_26 DIV_25_35_26) (= true_term (is DIV_25_35_26 T_int)) (= locOpenBrackets_pre_58_65_29 locOpenBrackets_58_65_29) (= locOpenBrackets_58_65_29 (asField locOpenBrackets_58_65_29 ?v_0)) (< (fClosedTime locOpenBrackets_58_65_29) alloc) (forall ((?s_12_ Int)) (=> (not (= ?s_12_ null)) (not (= (S_select locOpenBrackets_58_65_29 ?s_12_) null)))) (= loc_pre_161_22_13 loc_161_22_13) (= loc_161_22_13 (asField loc_161_22_13 T_int)) (= NULL_pre_7_60_26 NULL_7_60_26) (= true_term (is NULL_7_60_26 T_int)) (= CHARTYPE_pre_24_30_26 CHARTYPE_24_30_26) (= true_term (is CHARTYPE_24_30_26 T_int)) (= SINGLETYPEIMPORTDECL_pre_26_15_7 SINGLETYPEIMPORTDECL_26_15_7) (= true_term (is SINGLETYPEIMPORTDECL_26_15_7 T_int)) (= INSTANCEOF_pre_23_76_26 INSTANCEOF_23_76_26) (= true_term (is INSTANCEOF_23_76_26 T_int)) (= TRYFINALLYSTMT_pre_26_42_7 TRYFINALLYSTMT_26_42_7) (= true_term (is TRYFINALLYSTMT_26_42_7 T_int)) (= SUB_pre_25_34_26 SUB_25_34_26) (= true_term (is SUB_25_34_26 T_int)) (= returnType_pre_116_18_28 returnType_116_18_28) (= returnType_116_18_28 (asField returnType_116_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_116_18_28) alloc) (forall ((?s_13_ Int)) (=> (not (= ?s_13_ null)) (not (= (S_select returnType_116_18_28 ?s_13_) null)))) (= elems_pre_54_18_34 elems_54_18_34) (= elems_54_18_34 (asField elems_54_18_34 T_javafe_ast_VarInitVec)) (< (fClosedTime elems_54_18_34) alloc) (forall ((?s_14_ Int)) (=> (not (= ?s_14_ null)) (not (= (S_select elems_54_18_34 ?s_14_) null)))) (= type_pre_35_18_28 type_35_18_28) (= type_35_18_28 (asField type_35_18_28 T_javafe_ast_Type)) (< (fClosedTime type_35_18_28) alloc) (forall ((?s_15_ Int)) (=> (not (= ?s_15_ null)) (not (= (S_select type_35_18_28 ?s_15_) null)))) (= loc_pre_145_20_13 loc_145_20_13) (= loc_145_20_13 (asField loc_145_20_13 T_int)) (= LONGTYPE_pre_24_29_26 LONGTYPE_24_29_26) (= true_term (is LONGTYPE_24_29_26 T_int)) (= COMPILATIONUNIT_pre_26_14_7 COMPILATIONUNIT_26_14_7) (= true_term (is COMPILATIONUNIT_26_14_7 T_int)) (= SWITCHLABEL_pre_26_41_7 SWITCHLABEL_26_41_7) (= true_term (is SWITCHLABEL_26_41_7 T_int)) (= loc_pre_117_40_13 loc_117_40_13) (= loc_117_40_13 (asField loc_117_40_13 T_int)) (= ADD_pre_25_33_26 ADD_25_33_26) (= true_term (is ADD_25_33_26 T_int)) (= elements_pre_165_61_43 elements_165_61_43) (= elements_165_61_43 (asField elements_165_61_43 (array T_javafe_ast_ModifierPragma))) (< (fClosedTime elements_165_61_43) alloc) (forall ((?s_16_ Int)) (=> (not (= ?s_16_ null)) (not (= (S_select elements_165_61_43 ?s_16_) null)))) (= INTTYPE_pre_24_28_26 INTTYPE_24_28_26) (= true_term (is INTTYPE_24_28_26 T_int)) (= FIRST_KEYWORD_pre_23_51_26 FIRST_KEYWORD_23_51_26) (= true_term (is FIRST_KEYWORD_23_51_26 T_int)) (= SKIPSTMT_pre_26_40_7 SKIPSTMT_26_40_7) (= true_term (is SKIPSTMT_26_40_7 T_int)) (= locIds_pre_164_25_29 locIds_164_25_29) (= locIds_164_25_29 (asField locIds_164_25_29 ?v_0)) (< (fClosedTime locIds_164_25_29) alloc) (forall ((?s_17_ Int)) (=> (not (= ?s_17_ null)) (not (= (S_select locIds_164_25_29 ?s_17_) null)))) (= URSHIFT_pre_25_32_26 URSHIFT_25_32_26) (= true_term (is URSHIFT_25_32_26 T_int)) (= name_pre_38_18_28 name_38_18_28) (= name_38_18_28 (asField name_38_18_28 T_javafe_ast_Name)) (< (fClosedTime name_38_18_28) alloc) (forall ((?s_18_ Int)) (=> (not (= ?s_18_ null)) (not (= (S_select name_38_18_28 ?s_18_) null)))) (= TRUE_pre_23_98_26 TRUE_23_98_26) (= true_term (is TRUE_23_98_26 T_int)) (= COMPOUNDNAME_pre_26_67_7 COMPOUNDNAME_26_67_7) (= true_term (is COMPOUNDNAME_26_67_7 T_int)) (= tag_pre_32_32_13 tag_32_32_13) (= tag_32_32_13 (asField tag_32_32_13 T_int)) (= opStack_pre_45_14 opStack_45_14) (= opStack_45_14 (asField opStack_45_14 ?v_0)) (< (fClosedTime opStack_45_14) alloc) (= loc_pre_150_18_13 loc_150_18_13) (= loc_150_18_13 (asField loc_150_18_13 T_int)) (= loc_pre_158_23_13 loc_158_23_13) (= loc_158_23_13 (asField loc_158_23_13 T_int)) (= BOOLEANTYPE_pre_24_27_26 BOOLEANTYPE_24_27_26) (= true_term (is BOOLEANTYPE_24_27_26 T_int)) (= currentStackBottom_pre_53_87_33 currentStackBottom_53_87_33) (= currentStackBottom_53_87_33 (asField currentStackBottom_53_87_33 T_int)) (= enclosingInstance_pre_159_37_14 enclosingInstance_159_37_14) (= enclosingInstance_159_37_14 (asField enclosingInstance_159_37_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_159_37_14) alloc) (= seqVarInit_pre_1153_46 seqVarInit_1153_46) (= seqVarInit_1153_46 (asField seqVarInit_1153_46 T_javafe_util_StackVector)) (< (fClosedTime seqVarInit_1153_46) alloc) (forall ((?s_19_ Int)) (=> (not (= ?s_19_ null)) (not (= (S_select seqVarInit_1153_46 ?s_19_) null)))) (= elements_pre_115_61_47 elements_115_61_47) (= elements_115_61_47 (asField elements_115_61_47 (array T_javafe_ast_TypeModifierPragma))) (< (fClosedTime elements_115_61_47) alloc) (forall ((?s_20_ Int)) (=> (not (= ?s_20_ null)) (not (= (S_select elements_115_61_47 ?s_20_) null)))) (= FORSTMT_pre_26_39_7 FORSTMT_26_39_7) (= true_term (is FORSTMT_26_39_7 T_int)) (= RSHIFT_pre_25_31_26 RSHIFT_25_31_26) (= true_term (is RSHIFT_25_31_26 T_int)) (= elements_pre_114_61_39 elements_114_61_39) (= elements_114_61_39 (asField elements_114_61_39 (array T_javafe_ast_Identifier))) (< (fClosedTime elements_114_61_39) alloc) (forall ((?s_21_ Int)) (=> (not (= ?s_21_ null)) (not (= (S_select elements_114_61_39 ?s_21_) null)))) (= locSuper_pre_42_20_13 locSuper_42_20_13) (= locSuper_42_20_13 (asField locSuper_42_20_13 T_int)) (= SIMPLENAME_pre_26_66_7 SIMPLENAME_26_66_7) (= true_term (is SIMPLENAME_26_66_7 T_int)) (= tokenType_pre_59_90_8 tokenType_59_90_8) (= tokenType_59_90_8 (asField tokenType_59_90_8 T_int)) (= locDot_pre_48_23_13 locDot_48_23_13) (= locDot_48_23_13 (asField locDot_48_23_13 T_int)) (= locId_pre_152_20_13 locId_152_20_13) (= locId_152_20_13 (asField locId_152_20_13 T_int)) (= NONE_pre_60_18_26 NONE_60_18_26) (= true_term (is NONE_60_18_26 T_int)) (= loc_pre_125_30_13 loc_125_30_13) (= loc_125_30_13 (asField loc_125_30_13 T_int)) (= IDENT_pre_24_25_26 IDENT_24_25_26) (= true_term (is IDENT_24_25_26 T_int)) (= loc_pre_32_50_13 loc_32_50_13) (= loc_32_50_13 (asField loc_32_50_13 T_int)) (= loc_pre_156_29_13 loc_156_29_13) (= loc_156_29_13 (asField loc_156_29_13 T_int)) (= IFSTMT_pre_26_38_7 IFSTMT_26_38_7) (= true_term (is IFSTMT_26_38_7 T_int)) (= LSHIFT_pre_25_30_26 LSHIFT_25_30_26) (= true_term (is LSHIFT_25_30_26 T_int)) (= inst_pre_47_29_44 inst_47_29_44) (= true_term (is inst_47_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_47_29_44 alloc)) (not (= inst_47_29_44 null)) (= nameIdLocs_pre_4_62_28 nameIdLocs_4_62_28) (= nameIdLocs_4_62_28 (asField nameIdLocs_4_62_28 ?v_0)) (< (fClosedTime nameIdLocs_4_62_28) alloc) (forall ((?s_22_ Int)) (=> (not (= ?s_22_ null)) (not (= (S_select nameIdLocs_4_62_28 ?s_22_) null)))) (= POSTFIXDEC_pre_25_63_26 POSTFIXDEC_25_63_26) (= true_term (is POSTFIXDEC_25_63_26 T_int)) (= locOpenParen_pre_50_52_13 locOpenParen_50_52_13) (= locOpenParen_50_52_13 (asField locOpenParen_50_52_13 T_int)) (= ARRAYTYPE_pre_26_65_7 ARRAYTYPE_26_65_7) (= true_term (is ARRAYTYPE_26_65_7 T_int)) (= locFinally_pre_157_25_13 locFinally_157_25_13) (= locFinally_157_25_13 (asField locFinally_157_25_13 T_int)) (= locOpenBracket_pre_163_21_13 locOpenBracket_163_21_13) (= locOpenBracket_163_21_13 (asField locOpenBracket_163_21_13 T_int)) (= FIELD_pre_23_45_26 FIELD_23_45_26) (= true_term (is FIELD_23_45_26 T_int)) (= LABELSTMT_pre_26_37_7 LABELSTMT_26_37_7) (= true_term (is LABELSTMT_26_37_7 T_int)) (= LT_pre_25_29_26 LT_25_29_26) (= true_term (is LT_25_29_26 T_int)) (= count_pre_131_67_33 count_131_67_33) (= count_131_67_33 (asField count_131_67_33 T_int)) (= locOp_pre_14_43_13 locOp_14_43_13) (= locOp_14_43_13 (asField locOp_14_43_13 T_int)) (= POSTFIXINC_pre_25_62_26 POSTFIXINC_25_62_26) (= true_term (is POSTFIXINC_25_62_26 T_int)) (= TYPENAME_pre_26_64_7 TYPENAME_26_64_7) (= true_term (is TYPENAME_26_64_7 T_int)) (= COLON_pre_23_43_26 COLON_23_43_26) (= true_term (is COLON_23_43_26 T_int)) (= CONTINUESTMT_pre_26_36_7 CONTINUESTMT_26_36_7) (= true_term (is CONTINUESTMT_26_36_7 T_int)) (= LE_pre_25_28_26 LE_25_28_26) (= true_term (is LE_25_28_26 T_int)) (= loc_pre_160_22_13 loc_160_22_13) (= loc_160_22_13 (asField loc_160_22_13 T_int)) (= isLeftAssocTable_pre_66_20 isLeftAssocTable_66_20) (= isLeftAssocTable_66_20 (asField isLeftAssocTable_66_20 (array T_boolean))) (< (fClosedTime isLeftAssocTable_66_20) alloc) (= DEC_pre_25_59_26 DEC_25_59_26) (= true_term (is DEC_25_59_26 T_int)) (= SUPEROBJECTDESIGNATOR_pre_26_63_7 SUPEROBJECTDESIGNATOR_26_63_7) (= true_term (is SUPEROBJECTDESIGNATOR_26_63_7 T_int)) (= loc_pre_153_22_13 loc_153_22_13) (= loc_153_22_13 (asField loc_153_22_13 T_int)) (= elementType_pre_53_43_27 elementType_53_43_27) (= elementType_53_43_27 (asField elementType_53_43_27 T__TYPE)) (= QUESTIONMARK_pre_23_42_26 QUESTIONMARK_23_42_26) (= true_term (is QUESTIONMARK_23_42_26 T_int)) (= value_pre_32_45_16 value_32_45_16) (= value_32_45_16 (asField value_32_45_16 T_java_lang_Object)) (< (fClosedTime value_32_45_16) alloc) (= BREAKSTMT_pre_26_35_7 BREAKSTMT_26_35_7) (= true_term (is BREAKSTMT_26_35_7 T_int)) (= GT_pre_25_27_26 GT_25_27_26) (= true_term (is GT_25_27_26 T_int)) (= THIS_pre_23_94_26 THIS_23_94_26) (= true_term (is THIS_23_94_26 T_int)) (= locOpenBrace_pre_117_36_13 locOpenBrace_117_36_13) (= locOpenBrace_117_36_13 (asField locOpenBrace_117_36_13 T_int)) (= elements_pre_130_61_38 elements_130_61_38) (= elements_130_61_38 (asField elements_130_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_130_61_38) alloc) (forall ((?s_23_ Int)) (=> (not (= ?s_23_ null)) (not (= (S_select elements_130_61_38 ?s_23_) null)))) (= INC_pre_25_58_26 INC_25_58_26) (= true_term (is INC_25_58_26 T_int)) (= TYPEOBJECTDESIGNATOR_pre_26_62_7 TYPEOBJECTDESIGNATOR_26_62_7) (= true_term (is TYPEOBJECTDESIGNATOR_26_62_7 T_int)) (= loc_pre_50_49_13 loc_50_49_13) (= loc_50_49_13 (asField loc_50_49_13 T_int)) (= body_pre_117_34_19 body_117_34_19) (= body_117_34_19 (asField body_117_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_117_34_19) alloc) (= count_pre_55_67_33 count_55_67_33) (= count_55_67_33 (asField count_55_67_33 T_int)) (= RSQBRACKET_pre_23_40_26 RSQBRACKET_23_40_26) (= true_term (is RSQBRACKET_23_40_26 T_int)) (= loc_pre_157_22_13 loc_157_22_13) (= loc_157_22_13 (asField loc_157_22_13 T_int)) (= type_pre_48_20_28 type_48_20_28) (= type_48_20_28 (asField type_48_20_28 T_javafe_ast_Type)) (< (fClosedTime type_48_20_28) alloc) (forall ((?s_24_ Int)) (=> (not (= ?s_24_ null)) (not (= (S_select type_48_20_28 ?s_24_) null)))) (= THROWSTMT_pre_26_34_7 THROWSTMT_26_34_7) (= true_term (is THROWSTMT_26_34_7 T_int)) (= GE_pre_25_26_26 GE_25_26_26) (= true_term (is GE_25_26_26 T_int)) (= locGuardOpenParen_pre_143_23_13 locGuardOpenParen_143_23_13) (= locGuardOpenParen_143_23_13 (asField locGuardOpenParen_143_23_13 T_int)) (= BITNOT_pre_25_57_26 BITNOT_25_57_26) (= true_term (is BITNOT_25_57_26 T_int)) (= EXPROBJECTDESIGNATOR_pre_26_61_7 EXPROBJECTDESIGNATOR_26_61_7) (= true_term (is EXPROBJECTDESIGNATOR_26_61_7 T_int)) (= loc_pre_27_21_13 loc_27_21_13) (= loc_27_21_13 (asField loc_27_21_13 T_int)) (= count_pre_61_67_33 count_61_67_33) (= count_61_67_33 (asField count_61_67_33 T_int)) (= LSQBRACKET_pre_23_39_26 LSQBRACKET_23_39_26) (= true_term (is LSQBRACKET_23_39_26 T_int)) (= identifierVal_pre_10_80_22 identifierVal_10_80_22) (= identifierVal_10_80_22 (asField identifierVal_10_80_22 T_javafe_ast_Identifier)) (< (fClosedTime identifierVal_10_80_22) alloc) (= locCloseParen_pre_46_21_13 locCloseParen_46_21_13) (= locCloseParen_46_21_13 (asField locCloseParen_46_21_13 T_int)) (= RETURNSTMT_pre_26_33_7 RETURNSTMT_26_33_7) (= true_term (is RETURNSTMT_26_33_7 T_int)) (= EQ_pre_25_25_26 EQ_25_25_26) (= true_term (is EQ_25_25_26 T_int)) (= elemType_pre_163_18_28 elemType_163_18_28) (= elemType_163_18_28 (asField elemType_163_18_28 T_javafe_ast_Type)) (< (fClosedTime elemType_163_18_28) alloc) (forall ((?s_25_ Int)) (=> (not (= ?s_25_ null)) (not (= (S_select elemType_163_18_28 ?s_25_) null)))) (= auxVal_pre_10_127_18 auxVal_10_127_18) (= auxVal_10_127_18 (asField auxVal_10_127_18 T_java_lang_Object)) (< (fClosedTime auxVal_10_127_18) alloc) (= loc_pre_140_18_13 loc_140_18_13) (= loc_140_18_13 (asField loc_140_18_13 T_int)) (= NOT_pre_25_56_26 NOT_25_56_26) (= true_term (is NOT_25_56_26 T_int)) (= CLASSLITERAL_pre_26_60_7 CLASSLITERAL_26_60_7) (= true_term (is CLASSLITERAL_26_60_7 T_int)) (= exprStack_pre_41_15 exprStack_41_15) (= exprStack_41_15 (asField exprStack_41_15 ?v_2)) (< (fClosedTime exprStack_41_15) alloc) (= count_pre_56_67_33 count_56_67_33) (= count_56_67_33 (asField count_56_67_33 T_int)) (= loc_pre_155_16_13 loc_155_16_13) (= loc_155_16_13 (asField loc_155_16_13 T_int)) (= EVALSTMT_pre_26_32_7 EVALSTMT_26_32_7) (= true_term (is EVALSTMT_26_32_7 T_int)) (= NE_pre_25_24_26 NE_25_24_26) (= true_term (is NE_25_24_26 T_int)) (= locFirstSemi_pre_154_36_13 locFirstSemi_154_36_13) (= locFirstSemi_154_36_13 (asField locFirstSemi_154_36_13 T_int)) (= superCall_pre_159_24_17 superCall_159_24_17) (= superCall_159_24_17 (asField superCall_159_24_17 T_boolean)) (= SUPER_pre_23_91_26 SUPER_23_91_26) (= true_term (is SUPER_23_91_26 T_int)) (= UNARYSUB_pre_25_55_26 UNARYSUB_25_55_26) (= true_term (is UNARYSUB_25_55_26 T_int)) (= METHODINVOCATION_pre_26_59_7 METHODINVOCATION_26_59_7) (= true_term (is METHODINVOCATION_26_59_7 T_int)) (= FALSE_pre_23_67_26 FALSE_23_67_26) (= true_term (is FALSE_23_67_26 T_int)) (= noTokens_pre_23_212_27 noTokens_23_212_27) (= true_term (is noTokens_23_212_27 T_int)) (= SYNCHRONIZESTMT_pre_26_31_7 SYNCHRONIZESTMT_26_31_7) (= true_term (is SYNCHRONIZESTMT_26_31_7 T_int)) (= RPAREN_pre_23_38_26 RPAREN_23_38_26) (= true_term (is RPAREN_23_38_26 T_int)) (= BITAND_pre_25_23_26 BITAND_25_23_26) (= true_term (is BITAND_25_23_26 T_int)) (= elementCount_pre_53_79_33 elementCount_53_79_33) (= elementCount_53_79_33 (asField elementCount_53_79_33 T_int)) (= seqExpr_pre_1145_46 seqExpr_1145_46) (= seqExpr_1145_46 (asField seqExpr_1145_46 T_javafe_util_StackVector)) (< (fClosedTime seqExpr_1145_46) alloc) (forall ((?s_26_ Int)) (=> (not (= ?s_26_ null)) (not (= (S_select seqExpr_1145_46 ?s_26_) null)))) (= UNARYADD_pre_25_54_26 UNARYADD_25_54_26) (= true_term (is UNARYADD_25_54_26 T_int)) (= AMBIGUOUSMETHODINVOCATION_pre_26_58_7 AMBIGUOUSMETHODINVOCATION_26_58_7) (= true_term (is AMBIGUOUSMETHODINVOCATION_26_58_7 T_int)) (= loc_pre_134_18_13 loc_134_18_13) (= loc_134_18_13 (asField loc_134_18_13 T_int)) (= loc_pre_58_49_13 loc_58_49_13) (= loc_58_49_13 (asField loc_58_49_13 T_int)) (= type_pre_27_18_28 type_27_18_28) (= type_27_18_28 (asField type_27_18_28 T_javafe_ast_Type)) (< (fClosedTime type_27_18_28) alloc) (forall ((?s_27_ Int)) (=> (not (= ?s_27_ null)) (not (= (S_select type_27_18_28 ?s_27_) null)))) (= punctuationCodes_pre_23_164_19 punctuationCodes_23_164_19) (= true_term (is punctuationCodes_23_164_19 ?v_0)) (= true_term (isAllocated punctuationCodes_23_164_19 alloc)) (= locId_pre_45_24_13 locId_45_24_13) (= locId_45_24_13 (asField locId_45_24_13 T_int)) (= locOp_pre_34_32_13 locOp_34_32_13) (= locOp_34_32_13 (asField locOp_34_32_13 T_int)) (= DOSTMT_pre_26_30_7 DOSTMT_26_30_7) (= true_term (is DOSTMT_26_30_7 T_int)) (= LPAREN_pre_23_37_26 LPAREN_23_37_26) (= true_term (is LPAREN_23_37_26 T_int)) (= BITXOR_pre_25_22_26 BITXOR_25_22_26) (= true_term (is BITXOR_25_22_26 T_int)) (= ASGBITXOR_pre_25_51_26 ASGBITXOR_25_51_26) (= true_term (is ASGBITXOR_25_51_26 T_int)) (= FIELDACCESS_pre_26_57_7 FIELDACCESS_26_57_7) (= true_term (is FIELDACCESS_26_57_7 T_int)) (= op_pre_14_35_13 op_14_35_13) (= op_14_35_13 (asField op_14_35_13 T_int)) (= loc_pre_143_20_13 loc_143_20_13) (= loc_143_20_13 (asField loc_143_20_13 T_int)) (= WHILESTMT_pre_26_29_7 WHILESTMT_26_29_7) (= true_term (is WHILESTMT_26_29_7 T_int)) (= RBRACE_pre_23_36_26 RBRACE_23_36_26) (= true_term (is RBRACE_23_36_26 T_int)) (= BITOR_pre_25_21_26 BITOR_25_21_26) (= true_term (is BITOR_25_21_26 T_int)) (= keywordStrings_pre_23_181_30 keywordStrings_23_181_30) (= true_term (is keywordStrings_23_181_30 ?v_1)) (= true_term (isAllocated keywordStrings_23_181_30 alloc)) (= ids_pre_164_19_37 ids_164_19_37) (= ids_164_19_37 (asField ids_164_19_37 T_javafe_ast_IdentifierVec)) (< (fClosedTime ids_164_19_37) alloc) (forall ((?s_28_ Int)) (=> (not (= ?s_28_ null)) (not (= (S_select ids_164_19_37 ?s_28_) null)))) (= NULLLIT_pre_24_45_26 NULLLIT_24_45_26) (= true_term (is NULLLIT_24_45_26 T_int)) (= loc_pre_147_18_13 loc_147_18_13) (= loc_147_18_13 (asField loc_147_18_13 T_int)) (= VARIABLEACCESS_pre_26_56_7 VARIABLEACCESS_26_56_7) (= true_term (is VARIABLEACCESS_26_56_7 T_int)) (= loc_pre_154_33_13 loc_154_33_13) (= loc_154_33_13 (asField loc_154_33_13 T_int)) (= ASGBITOR_pre_25_50_26 ASGBITOR_25_50_26) (= true_term (is ASGBITOR_25_50_26 T_int)) (= locOpenParen_pre_37_30_13 locOpenParen_37_30_13) (= locOpenParen_37_30_13 (asField locOpenParen_37_30_13 T_int)) (= precedenceTable_pre_62_16 precedenceTable_62_16) (= precedenceTable_62_16 (asField precedenceTable_62_16 ?v_0)) (< (fClosedTime precedenceTable_62_16) alloc) (= locOpenParen_pre_46_18_13 locOpenParen_46_18_13) (= locOpenParen_46_18_13 (asField locOpenParen_46_18_13 T_int)) (= endingLoc_pre_10_72_15 endingLoc_10_72_15) (= endingLoc_10_72_15 (asField endingLoc_10_72_15 T_int)) (= LBRACE_pre_23_35_26 LBRACE_23_35_26) (= true_term (is LBRACE_23_35_26 T_int)) (= STRINGLIT_pre_24_44_26 STRINGLIT_24_44_26) (= true_term (is STRINGLIT_24_44_26 T_int)) (= CLASSDECLSTMT_pre_26_28_7 CLASSDECLSTMT_26_28_7) (= true_term (is CLASSDECLSTMT_26_28_7 T_int)) (= locColon_pre_28_25_13 locColon_28_25_13) (= locColon_28_25_13 (asField locColon_28_25_13 T_int)) (= code_pre_9_1294_15 code_9_1294_15) (= code_9_1294_15 (asField code_9_1294_15 T_int)) (= AMBIGUOUSVARIABLEACCESS_pre_26_55_7 AMBIGUOUSVARIABLEACCESS_26_55_7) (= true_term (is AMBIGUOUSVARIABLEACCESS_26_55_7 T_int)) (= ASGBITAND_pre_25_49_26 ASGBITAND_25_49_26) (= true_term (is ASGBITAND_25_49_26 T_int)) (= dims_pre_58_45_31 dims_58_45_31) (= dims_58_45_31 (asField dims_58_45_31 T_javafe_ast_ExprVec)) (< (fClosedTime dims_58_45_31) alloc) (forall ((?s_29_ Int)) (=> (not (= ?s_29_ null)) (not (= (S_select dims_58_45_31 ?s_29_) null)))) (= count_pre_8_67_33 count_8_67_33) (= count_8_67_33 (asField count_8_67_33 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_parser_ParseExpr)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is l_1031_46 T_javafe_parser_Lex)) (= true_term (isAllocated l_1031_46 alloc)) (= true_term (is specOnly_1031_57 T_boolean)) ?v_7 ?v_9 (forall ((?brokenObj Int)) (let ((?v_16 (S_select ttype_10_52_15 ?brokenObj)) (?v_17 (S_select auxVal_10_127_18 ?brokenObj))) (let ((?v_18 (not (= ?v_17 null)))) (let ((?v_19 (and (= true_term (is ?v_17 T_java_lang_Integer)) ?v_18))) (=> (and (= true_term (is ?brokenObj T_javafe_parser_Token)) (not (= ?brokenObj null))) (and (not (= ?v_16 BOOLEANLIT_24_38_26)) (=> (= ?v_16 INTLIT_24_39_26) ?v_19) (=> (= ?v_16 LONGLIT_24_40_26) (and (= true_term (is ?v_17 T_java_lang_Long)) ?v_18)) (=> (= ?v_16 FLOATLIT_24_42_26) (and (= true_term (is ?v_17 T_java_lang_Float)) ?v_18)) (=> (= ?v_16 DOUBLELIT_24_43_26) (and (= true_term (is ?v_17 T_java_lang_Double)) ?v_18)) (=> (= ?v_16 STRINGLIT_24_44_26) (and (= true_term (is ?v_17 T_java_lang_String)) ?v_18)) (=> (= ?v_16 CHARLIT_24_41_26) ?v_19) (=> (= ?v_16 LEXICALPRAGMA_23_24_26) (and (= true_term (is ?v_17 T_javafe_ast_LexicalPragma)) ?v_18)) (=> (= ?v_16 MODIFIERPRAGMA_23_25_26) (and (= true_term (is ?v_17 T_javafe_ast_ModifierPragma)) ?v_18)) (=> (= ?v_16 STMTPRAGMA_23_26_26) (and (= true_term (is ?v_17 T_javafe_ast_StmtPragma)) ?v_18)) (=> (= ?v_16 TYPEDECLELEMPRAGMA_23_27_26) (and (= true_term (is ?v_17 T_javafe_ast_TypeDeclElemPragma)) ?v_18)) (=> (= ?v_16 TYPEMODIFIERPRAGMA_23_28_26) (and (= true_term (is ?v_17 T_javafe_ast_TypeModifierPragma)) ?v_18)))))))) (forall ((?i_23_147_29 Int)) (=> (and (<= 0 ?i_23_147_29) (<= ?i_23_147_29 (arrayLength punctuationCodes_23_164_19))) (not (= (S_select (S_select elems punctuationCodes_23_164_19) ?i_23_147_29) NULL_23_82_26)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_util_StackVector)) (not (= ?brokenObj_1_ null))) (> (arrayLength (S_select elements_53_72_21 ?brokenObj_1_)) 0))) (= true_term (nonnullelements punctuationStrings_23_134_22 elems)) (= noTokens_23_212_27 (+ (+ ?v_3 ?v_5) ?v_4)) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_parser_ParseType)) (not (= ?brokenObj_2_ null))) (= (S_select elementType_53_43_27 (S_select seqIdentifier_4_33_46 ?brokenObj_2_)) T_javafe_ast_Identifier))) (forall ((?brokenObj_3_ Int)) (let ((?v_20 (S_select elementCount_53_79_33 ?brokenObj_3_))) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_util_StackVector)) (not (= ?brokenObj_3_ null))) (and (<= 0 ?v_20) (<= ?v_20 (arrayLength (S_select elements_53_72_21 ?brokenObj_3_))))))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_parser_Token)) (not (= ?brokenObj_4_ null)) (= (S_select ttype_10_52_15 ?brokenObj_4_) IDENT_24_25_26)) (not (= (S_select identifierVal_10_80_22 ?brokenObj_4_) null)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_parser_ParseUtil)) (not (= ?brokenObj_5_ null))) (= (S_select elementType_53_43_27 (S_select seqModifierPragma_5_74_32 ?brokenObj_5_)) T_javafe_ast_ModifierPragma))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_util_StackVector)) (not (= ?brokenObj_6_ null))) (= (typeof (S_select elements_53_72_21 ?brokenObj_6_)) (array T_java_lang_Object)))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_7_ null))) (= (S_select owner_6_35_28 (S_select seqTypeDeclElem_1161_46 ?brokenObj_7_)) ?brokenObj_7_))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_parser_ParseType)) (not (= ?brokenObj_8_ null))) (= (S_select owner_6_35_28 (S_select seqIdentifier_4_33_46 ?brokenObj_8_)) ?brokenObj_8_))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_parser_ParseType)) (not (= ?brokenObj_9_ null))) (= (S_select owner_6_35_28 (S_select nameDotLocs_4_65_28 ?brokenObj_9_)) ?brokenObj_9_))) (= ?v_3 (- (+ 1 LAST_KEYWORD_23_103_26) FIRST_KEYWORD_23_51_26)) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_parser_ParseUtil)) (not (= ?brokenObj_10_ null))) (= (S_select owner_6_35_28 (S_select seqModifierPragma_5_74_32 ?brokenObj_10_)) ?brokenObj_10_))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_util_StackVector)) (not (= ?brokenObj_11_ null))) (forall ((?i_53_76_31 Int)) (let ((?v_21 (S_select (S_select elems (S_select elements_53_72_21 ?brokenObj_11_)) ?i_53_76_31))) (=> (and (<= 0 ?i_53_76_31) (< ?i_53_76_31 (S_select elementCount_53_79_33 ?brokenObj_11_))) (or (= ?v_21 null) (= (PO_LT (typeof ?v_21) (S_select elementType_53_43_27 ?brokenObj_11_)) true_term))))))) (forall ((?brokenObj_12_ Int)) (let ((?v_22 (S_select tokenType_59_90_8 ?brokenObj_12_))) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_ast_Identifier)) (not (= ?brokenObj_12_ null))) (and (not (= ?v_22 BOOLEANLIT_24_38_26)) (not (= ?v_22 INTLIT_24_39_26)) (not (= ?v_22 LONGLIT_24_40_26)) (not (= ?v_22 FLOATLIT_24_42_26)) (not (= ?v_22 DOUBLELIT_24_43_26)) (not (= ?v_22 STRINGLIT_24_44_26)) (not (= ?v_22 CHARLIT_24_41_26)) (not (= ?v_22 LEXICALPRAGMA_23_24_26)) (not (= ?v_22 MODIFIERPRAGMA_23_25_26)) (not (= ?v_22 STMTPRAGMA_23_26_26)) (not (= ?v_22 TYPEDECLELEMPRAGMA_23_27_26)) (not (= ?v_22 TYPEMODIFIERPRAGMA_23_28_26)))))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_parser_ParseType)) (not (= ?brokenObj_13_ null))) (>= (arrayLength (S_select nameIdLocs_4_62_28 ?brokenObj_13_)) 10))) (= (arrayLength otherCodes_23_202_27) ?v_4) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_14_ null))) (= (S_select elementType_53_43_27 (S_select seqExpr_1145_46 ?brokenObj_14_)) T_javafe_ast_Expr))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_15_ null))) (= (S_select elementType_53_43_27 (S_select seqVarInit_1153_46 ?brokenObj_15_)) T_javafe_ast_VarInit))) (= true_term (nonnullelements otherStrings_23_193_30 elems)) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_util_StackVector)) (not (= ?brokenObj_16_ null))) (= (S_select owner_6_35_28 (S_select elements_53_72_21 ?brokenObj_16_)) ?brokenObj_16_))) (forall ((?i_23_149_29 Int)) (let ((?v_23 (S_select (S_select elems punctuationCodes_23_164_19) ?i_23_149_29))) (=> (and (<= 0 ?i_23_149_29) (<= ?i_23_149_29 (arrayLength punctuationCodes_23_164_19))) (and (not (= ?v_23 IDENT_24_25_26)) (not (= ?v_23 BOOLEANLIT_24_38_26)) (not (= ?v_23 INTLIT_24_39_26)) (not (= ?v_23 LONGLIT_24_40_26)) (not (= ?v_23 FLOATLIT_24_42_26)) (not (= ?v_23 DOUBLELIT_24_43_26)) (not (= ?v_23 STRINGLIT_24_44_26)) (not (= ?v_23 CHARLIT_24_41_26)) (not (= ?v_23 LEXICALPRAGMA_23_24_26)) (not (= ?v_23 MODIFIERPRAGMA_23_25_26)) (not (= ?v_23 STMTPRAGMA_23_26_26)) (not (= ?v_23 TYPEDECLELEMPRAGMA_23_27_26)) (not (= ?v_23 TYPEMODIFIERPRAGMA_23_28_26)))))) (forall ((?brokenObj_17_ Int)) (let ((?v_24 (S_select code_9_1294_15 ?brokenObj_17_))) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_parser_PunctuationPrefixTree)) (not (= ?brokenObj_17_ null))) (and (not (= ?v_24 IDENT_24_25_26)) (not (= ?v_24 BOOLEANLIT_24_38_26)) (not (= ?v_24 INTLIT_24_39_26)) (not (= ?v_24 LONGLIT_24_40_26)) (not (= ?v_24 FLOATLIT_24_42_26)) (not (= ?v_24 DOUBLELIT_24_43_26)) (not (= ?v_24 STRINGLIT_24_44_26)) (not (= ?v_24 CHARLIT_24_41_26)) (not (= ?v_24 LEXICALPRAGMA_23_24_26)) (not (= ?v_24 MODIFIERPRAGMA_23_25_26)) (not (= ?v_24 STMTPRAGMA_23_26_26)) (not (= ?v_24 TYPEDECLELEMPRAGMA_23_27_26)) (not (= ?v_24 TYPEMODIFIERPRAGMA_23_28_26)))))) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_parser_ParseType)) (not (= ?brokenObj_18_ null))) (= (S_select owner_6_35_28 (S_select nameIdLocs_4_62_28 ?brokenObj_18_)) ?brokenObj_18_))) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_19_ null))) (= (S_select owner_6_35_28 (S_select seqExpr_1145_46 ?brokenObj_19_)) ?brokenObj_19_))) (= true_term (nonnullelements keywordStrings_23_181_30 elems)) (= (arrayLength punctuationCodes_23_164_19) ?v_5) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_20_ null))) (= (S_select owner_6_35_28 (S_select seqVarInit_1153_46 ?brokenObj_20_)) ?brokenObj_20_))) (forall ((?brokenObj_21_ Int)) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_util_StackVector)) (not (= ?brokenObj_21_ null))) (not (= (S_select elements_53_72_21 ?brokenObj_21_) null)))) (= true_term (is ?v_6 T_javafe_parser_TagConstants)) (not (= ?v_6 null)) (forall ((?brokenObj_22_ Int)) (let ((?v_25 (S_select currentStackBottom_53_87_33 ?brokenObj_22_))) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_util_StackVector)) (not (= ?brokenObj_22_ null))) (or (= ?v_25 0) (= (S_select (S_select elems (S_select elements_53_72_21 ?brokenObj_22_)) (- ?v_25 1)) null))))) (forall ((?brokenObj_23_ Int)) (let ((?v_26 (S_select currentStackBottom_53_87_33 ?brokenObj_23_))) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_util_StackVector)) (not (= ?brokenObj_23_ null))) (and (<= 0 ?v_26) (<= ?v_26 (S_select elementCount_53_79_33 ?brokenObj_23_)))))) (forall ((?brokenObj_24_ Int)) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_24_ null))) (= (S_select elementType_53_43_27 (S_select seqTypeDeclElem_1161_46 ?brokenObj_24_)) T_javafe_ast_TypeDeclElem))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_parser_ParseType)) (not (= ?brokenObj_25_ null))) (= (arrayLength (S_select nameDotLocs_4_65_28 ?brokenObj_25_)) (arrayLength (S_select nameIdLocs_4_62_28 ?brokenObj_25_))))) (or (not ?v_7) (and ?v_7 (or (and ?v_8 ?v_11 (or ?v_10 (and ?v_8 ?v_12))) (and ?v_10 ?v_11 ?v_12))) (and ?v_7 (or (and ?v_8 ?v_11 ?v_8 (= true_term (is RES_1033_13_1033_13 T_javafe_ast_ArrayInit)) (= true_term (isAllocated RES_1033_13_1033_13 alloc)) ?v_13 (=> ?v_13 (not (= RES_1033_13_1033_13 null))) ?v_11 (= RES RES_1033_13_1033_13)) (and ?v_10 ?v_11 (= true_term (is RES_1036_13_1036_13 T_javafe_ast_Expr)) (= true_term (isAllocated RES_1036_13_1036_13 alloc)) ?v_14 (=> ?v_14 (not (= RES_1036_13_1036_13 null))) ?v_11 (= RES RES_1036_13_1036_13))) (or (not ?v_15) (and ?v_15 (not (=> ?v_15 (not (= RES null))))))))))))))))
(check-sat)
(exit)
