(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_IdentifierVec () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_parser_ParseType () Int)
(declare-fun T_javafe_parser_ParseUtil () Int)
(declare-fun T_javafe_parser_Token () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_parser_PunctuationPrefixTree () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_parser_PragmaParser () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_CompoundName () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_ArrayType () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_StmtPragma () Int)
(declare-fun T_javafe_ast_LexicalPragma () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_SimpleName () Int)
(declare-fun T_javafe_ast_TypeDeclElemPragma () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_TypeModifierPragmaVec () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_parser_Lex () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun STRINGLIT_12_44_26 () Int)
(declare-fun UNKNOWN_KEYWORD_11_30_26 () Int)
(declare-fun SHORTTYPE_12_36_26 () Int)
(declare-fun FLOAT_11_70_26 () Int)
(declare-fun NULL_34_60_26 () Int)
(declare-fun BOOLEAN_11_53_26 () Int)
(declare-fun LONGTYPE_12_29_26 () Int)
(declare-fun DOUBLE_11_64_26 () Int)
(declare-fun DOUBLELIT_12_43_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_11_28_26 () Int)
(declare-fun BYTETYPE_12_35_26 () Int)
(declare-fun CHAR_11_58_26 () Int)
(declare-fun INTTYPE_12_28_26 () Int)
(declare-fun LAST_KEYWORD_11_103_26 () Int)
(declare-fun RSQBRACKET_11_40_26 () Int)
(declare-fun FLOATLIT_12_42_26 () Int)
(declare-fun FIRST_KEYWORD_11_51_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_11_27_26 () Int)
(declare-fun NULLTYPE_12_34_26 () Int)
(declare-fun BOOLEANTYPE_12_27_26 () Int)
(declare-fun LONG_11_79_26 () Int)
(declare-fun LSQBRACKET_11_39_26 () Int)
(declare-fun otherCodes_11_202_27 () Int)
(declare-fun CHARLIT_12_41_26 () Int)
(declare-fun otherStrings_11_193_30 () Int)
(declare-fun STMTPRAGMA_11_26_26 () Int)
(declare-fun noTokens_11_212_27 () Int)
(declare-fun VOIDTYPE_12_33_26 () Int)
(declare-fun IDENT_12_25_26 () Int)
(declare-fun LONGLIT_12_40_26 () Int)
(declare-fun MODIFIERPRAGMA_11_25_26 () Int)
(declare-fun seqIdentifier_33_46 () Int)
(declare-fun DOUBLETYPE_12_32_26 () Int)
(declare-fun punctuationCodes_11_164_19 () Int)
(declare-fun VOID_11_100_26 () Int)
(declare-fun BYTE_11_55_26 () Int)
(declare-fun SHORT_11_88_26 () Int)
(declare-fun INTLIT_12_39_26 () Int)
(declare-fun INT_11_77_26 () Int)
(declare-fun FIELD_11_45_26 () Int)
(declare-fun LEXICALPRAGMA_11_24_26 () Int)
(declare-fun FLOATTYPE_12_31_26 () Int)
(declare-fun punctuationStrings_11_134_22 () Int)
(declare-fun seqModifierPragma_4_74_32 () Int)
(declare-fun BOOLEANLIT_12_38_26 () Int)
(declare-fun keywordStrings_11_181_30 () Int)
(declare-fun NULL_11_82_26 () Int)
(declare-fun CHARTYPE_12_30_26 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_javafe_ast_IdentifierVec T_java_lang_Object) true_term) (= T_javafe_ast_IdentifierVec (asChild T_javafe_ast_IdentifierVec T_java_lang_Object)) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_parser_ParseType T_javafe_parser_ParseUtil) true_term) (= T_javafe_parser_ParseType (asChild T_javafe_parser_ParseType T_javafe_parser_ParseUtil)) (= (PO_LT T_javafe_parser_Token T_java_lang_Object) true_term) (= T_javafe_parser_Token (asChild T_javafe_parser_Token T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_parser_PunctuationPrefixTree T_java_lang_Object) true_term) (= T_javafe_parser_PunctuationPrefixTree (asChild T_javafe_parser_PunctuationPrefixTree T_java_lang_Object)) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_parser_PragmaParser T_java_lang_Object) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_CompoundName T_javafe_ast_Name) true_term) (= T_javafe_ast_CompoundName (asChild T_javafe_ast_CompoundName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_ArrayType T_javafe_ast_Type) true_term) (= T_javafe_ast_ArrayType (asChild T_javafe_ast_ArrayType T_javafe_ast_Type)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_StmtPragma T_javafe_ast_Stmt) true_term) (= T_javafe_ast_StmtPragma (asChild T_javafe_ast_StmtPragma T_javafe_ast_Stmt)) (= (PO_LT T_javafe_parser_ParseUtil T_java_lang_Object) true_term) (= T_javafe_parser_ParseUtil (asChild T_javafe_parser_ParseUtil T_java_lang_Object)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_LexicalPragma (asChild T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_SimpleName T_javafe_ast_Name) true_term) (= T_javafe_ast_SimpleName (asChild T_javafe_ast_SimpleName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDeclElemPragma (asChild T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeModifierPragmaVec (asChild T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_parser_Lex T_javafe_parser_Token) true_term) (= T_javafe_parser_Lex (asChild T_javafe_parser_Lex T_javafe_parser_Token)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_IdentifierVec (+ DIST_ZERO_1 10)) (= T_java_lang_Integer (+ DIST_ZERO_1 11)) (= T_javafe_parser_ParseType (+ DIST_ZERO_1 12)) (= T_javafe_parser_Token (+ DIST_ZERO_1 13)) (= T_java_lang_String (+ DIST_ZERO_1 14)) (= T_javafe_parser_PunctuationPrefixTree (+ DIST_ZERO_1 15)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 16)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 17)) (= T_java_lang_Float (+ DIST_ZERO_1 18)) (= T_java_io_Serializable (+ DIST_ZERO_1 19)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 20)) (= T_javafe_parser_PragmaParser (+ DIST_ZERO_1 21)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 22)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 23)) (= T_javafe_ast_CompoundName (+ DIST_ZERO_1 24)) (= T_javafe_ast_ArrayType (+ DIST_ZERO_1 25)) (= T_java_util_Hashtable (+ DIST_ZERO_1 26)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 27)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 28)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 29)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 30)) (= T_java_lang_Comparable (+ DIST_ZERO_1 31)) (= T_java_lang_System (+ DIST_ZERO_1 32)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 33)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 34)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 35)) (= T_javafe_ast_StmtPragma (+ DIST_ZERO_1 36)) (= T_javafe_parser_ParseUtil (+ DIST_ZERO_1 37)) (= T_javafe_ast_Name (+ DIST_ZERO_1 38)) (= T_javafe_ast_LexicalPragma (+ DIST_ZERO_1 39)) (= T_javafe_ast_Type (+ DIST_ZERO_1 40)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 41)) (= T_javafe_ast_SimpleName (+ DIST_ZERO_1 42)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 43)) (= T_javafe_ast_TypeDeclElemPragma (+ DIST_ZERO_1 44)) (= T_java_util_Properties (+ DIST_ZERO_1 45)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 46)) (= T_javafe_ast_TypeModifierPragmaVec (+ DIST_ZERO_1 47)) (= T_java_lang_Double (+ DIST_ZERO_1 48)) (= T_java_util_Dictionary (+ DIST_ZERO_1 49)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 50)) (= T_java_lang_Long (+ DIST_ZERO_1 51)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 52)) (= T_javafe_util_Location (+ DIST_ZERO_1 53)) (= T_javafe_parser_Lex (+ DIST_ZERO_1 54)) (= T_java_lang_Number (+ DIST_ZERO_1 55)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 56)) (= T_java_lang_Object (+ DIST_ZERO_1 57)) (= T_java_util_Map (+ DIST_ZERO_1 58))) (= true_term (is STRINGLIT_12_44_26 T_int)) (= STRINGLIT_12_44_26 110) (= true_term (is UNKNOWN_KEYWORD_11_30_26 T_int)) (= UNKNOWN_KEYWORD_11_30_26 119) (= true_term (is SHORTTYPE_12_36_26 T_int)) (= SHORTTYPE_12_36_26 103) (= true_term (is FLOAT_11_70_26 T_int)) (= FLOAT_11_70_26 151) (= true_term (is NULL_34_60_26 T_int)) (= NULL_34_60_26 0) (= true_term (is BOOLEAN_11_53_26 T_int)) (= BOOLEAN_11_53_26 134) (= true_term (is LONGTYPE_12_29_26 T_int)) (= LONGTYPE_12_29_26 96) (= true_term (is DOUBLE_11_64_26 T_int)) (= DOUBLE_11_64_26 145) (= true_term (is DOUBLELIT_12_43_26 T_int)) (= DOUBLELIT_12_43_26 109) (= true_term (is TYPEMODIFIERPRAGMA_11_28_26 T_int)) (= TYPEMODIFIERPRAGMA_11_28_26 118) (= true_term (is BYTETYPE_12_35_26 T_int)) (= BYTETYPE_12_35_26 102) (= true_term (is CHAR_11_58_26 T_int)) (= CHAR_11_58_26 139) (= true_term (is INTTYPE_12_28_26 T_int)) (= INTTYPE_12_28_26 95) (= true_term (is LAST_KEYWORD_11_103_26 T_int)) (= LAST_KEYWORD_11_103_26 183) (= true_term (is RSQBRACKET_11_40_26 T_int)) (= RSQBRACKET_11_40_26 127) (= true_term (is FLOATLIT_12_42_26 T_int)) (= FLOATLIT_12_42_26 108) (= true_term (is FIRST_KEYWORD_11_51_26 T_int)) (= FIRST_KEYWORD_11_51_26 133) (= true_term (is TYPEDECLELEMPRAGMA_11_27_26 T_int)) (= TYPEDECLELEMPRAGMA_11_27_26 117) (= true_term (is NULLTYPE_12_34_26 T_int)) (= NULLTYPE_12_34_26 101) (= true_term (is BOOLEANTYPE_12_27_26 T_int)) (= BOOLEANTYPE_12_27_26 94) (= true_term (is LONG_11_79_26 T_int)) (= LONG_11_79_26 160) (= true_term (is LSQBRACKET_11_39_26 T_int)) (= LSQBRACKET_11_39_26 126) (= true_term (is otherCodes_11_202_27 ?v_0)) (not (= otherCodes_11_202_27 null)) (= (typeof otherCodes_11_202_27) ?v_0) (= (arrayLength otherCodes_11_202_27) 15) (= true_term (is CHARLIT_12_41_26 T_int)) (= CHARLIT_12_41_26 107) (= true_term (is otherStrings_11_193_30 ?v_1)) (not (= otherStrings_11_193_30 null)) (= (typeof otherStrings_11_193_30) ?v_1) (= (arrayLength otherStrings_11_193_30) 15) (= true_term (is STMTPRAGMA_11_26_26 T_int)) (= STMTPRAGMA_11_26_26 116) (= true_term (is noTokens_11_212_27 T_int)) (= true_term (is VOIDTYPE_12_33_26 T_int)) (= VOIDTYPE_12_33_26 100) (= true_term (is IDENT_12_25_26 T_int)) (= IDENT_12_25_26 93) (= true_term (is LONGLIT_12_40_26 T_int)) (= LONGLIT_12_40_26 106) (= true_term (is MODIFIERPRAGMA_11_25_26 T_int)) (= MODIFIERPRAGMA_11_25_26 115) (forall ((?s Int)) (=> (not (= ?s null)) (= true_term (is (S_select seqIdentifier_33_46 ?s) T_javafe_util_StackVector)))) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select seqIdentifier_33_46 ?s) null)))) (forall ((?s Int)) (=> (not (= ?s null)) (= (typeof (S_select seqIdentifier_33_46 ?s)) T_javafe_util_StackVector))) (= true_term (is DOUBLETYPE_12_32_26 T_int)) (= DOUBLETYPE_12_32_26 99) (= true_term (is punctuationCodes_11_164_19 ?v_0)) (not (= punctuationCodes_11_164_19 null)) (= (typeof punctuationCodes_11_164_19) ?v_0) (= (arrayLength punctuationCodes_11_164_19) 48) (= true_term (is VOID_11_100_26 T_int)) (= VOID_11_100_26 181) (= true_term (is BYTE_11_55_26 T_int)) (= BYTE_11_55_26 136) (= true_term (is SHORT_11_88_26 T_int)) (= SHORT_11_88_26 169) (= true_term (is INTLIT_12_39_26 T_int)) (= INTLIT_12_39_26 105) (= true_term (is INT_11_77_26 T_int)) (= INT_11_77_26 158) (= true_term (is FIELD_11_45_26 T_int)) (= FIELD_11_45_26 130) (= true_term (is LEXICALPRAGMA_11_24_26 T_int)) (= LEXICALPRAGMA_11_24_26 114) (= true_term (is FLOATTYPE_12_31_26 T_int)) (= FLOATTYPE_12_31_26 98) (= true_term (is punctuationStrings_11_134_22 ?v_1)) (not (= punctuationStrings_11_134_22 null)) (= (typeof punctuationStrings_11_134_22) ?v_1) (= (arrayLength punctuationStrings_11_134_22) 48) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= true_term (is (S_select seqModifierPragma_4_74_32 ?s_1_) T_javafe_util_StackVector)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select seqModifierPragma_4_74_32 ?s_1_) null)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= (typeof (S_select seqModifierPragma_4_74_32 ?s_1_)) T_javafe_util_StackVector))) (= true_term (is BOOLEANLIT_12_38_26 T_int)) (= BOOLEANLIT_12_38_26 104) (= true_term (is keywordStrings_11_181_30 ?v_1)) (not (= keywordStrings_11_181_30 null)) (= (typeof keywordStrings_11_181_30) ?v_1) (= (arrayLength keywordStrings_11_181_30) 51) (= true_term (is NULL_11_82_26 T_int)) (= NULL_11_82_26 163) (= true_term (is CHARTYPE_12_30_26 T_int)) (= CHARTYPE_12_30_26 97))))
(declare-fun L_187_1 () Int)
(declare-fun ecReturn () Int)
(declare-fun L_186_6 () Int)
(declare-fun C_186_6 () Int)
(declare-fun m_in_pre_7_212_46 () Int)
(declare-fun m_in_7_212_46 () Int)
(declare-fun STRINGLIT_pre_12_44_26 () Int)
(declare-fun code_pre_7_1294_15 () Int)
(declare-fun code_7_1294_15 () Int)
(declare-fun UNKNOWN_KEYWORD_pre_11_30_26 () Int)
(declare-fun SHORTTYPE_pre_12_36_26 () Int)
(declare-fun locId_pre_86_48_13 () Int)
(declare-fun locId_86_48_13 () Int)
(declare-fun FLOAT_pre_11_70_26 () Int)
(declare-fun NULL_pre_34_60_26 () Int)
(declare-fun locCloseBrace_pre_86_54_13 () Int)
(declare-fun locCloseBrace_86_54_13 () Int)
(declare-fun tag_pre_33_30_13 () Int)
(declare-fun tag_33_30_13 () Int)
(declare-fun elementCount_pre_6_79_33 () Int)
(declare-fun elementCount_6_79_33 () Int)
(declare-fun BOOLEAN_pre_11_53_26 () Int)
(declare-fun LONGTYPE_pre_12_29_26 () Int)
(declare-fun locDots_pre_27_31_29 () Int)
(declare-fun locDots_27_31_29 () Int)
(declare-fun DOUBLE_pre_11_64_26 () Int)
(declare-fun loc_pre_22_20_13 () Int)
(declare-fun loc_22_20_13 () Int)
(declare-fun elements_pre_26_61_39 () Int)
(declare-fun elements_26_61_39 () Int)
(declare-fun DOUBLELIT_pre_12_43_26 () Int)
(declare-fun elemType_pre_30_18_28 () Int)
(declare-fun elemType_30_18_28 () Int)
(declare-fun elementType_pre_6_43_27 () Int)
(declare-fun elementType_6_43_27 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_11_28_26 () Int)
(declare-fun BYTETYPE_pre_12_35_26 () Int)
(declare-fun vectorCount_pre_6_97_33 () Int)
(declare-fun vectorCount_6_97_33 () Int)
(declare-fun CHAR_pre_11_58_26 () Int)
(declare-fun owner_pre_5_35_28 () Int)
(declare-fun owner_5_35_28 () Int)
(declare-fun INTTYPE_pre_12_28_26 () Int)
(declare-fun LAST_KEYWORD_pre_11_103_26 () Int)
(declare-fun RSQBRACKET_pre_11_40_26 () Int)
(declare-fun elements_pre_31_61_47 () Int)
(declare-fun elements_31_61_47 () Int)
(declare-fun FLOATLIT_pre_12_42_26 () Int)
(declare-fun FIRST_KEYWORD_pre_11_51_26 () Int)
(declare-fun endingLoc_pre_8_72_15 () Int)
(declare-fun endingLoc_8_72_15 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_11_27_26 () Int)
(declare-fun NULLTYPE_pre_12_34_26 () Int)
(declare-fun auxVal_pre_8_127_18 () Int)
(declare-fun auxVal_8_127_18 () Int)
(declare-fun BOOLEANTYPE_pre_12_27_26 () Int)
(declare-fun LONG_pre_11_79_26 () Int)
(declare-fun ids_pre_27_19_37 () Int)
(declare-fun ids_27_19_37 () Int)
(declare-fun LSQBRACKET_pre_11_39_26 () Int)
(declare-fun count_pre_26_67_33 () Int)
(declare-fun count_26_67_33 () Int)
(declare-fun otherCodes_pre_11_202_27 () Int)
(declare-fun CHARLIT_pre_12_41_26 () Int)
(declare-fun otherStrings_pre_11_193_30 () Int)
(declare-fun locOpenBracket_pre_30_21_13 () Int)
(declare-fun locOpenBracket_30_21_13 () Int)
(declare-fun length_pre_20_50_25 () Int)
(declare-fun length_20_50_25 () Int)
(declare-fun STMTPRAGMA_pre_11_26_26 () Int)
(declare-fun noTokens_pre_11_212_27 () Int)
(declare-fun VOIDTYPE_pre_12_33_26 () Int)
(declare-fun loc_pre_86_45_13 () Int)
(declare-fun loc_86_45_13 () Int)
(declare-fun IDENT_pre_12_25_26 () Int)
(declare-fun locOpenBrace_pre_86_51_13 () Int)
(declare-fun locOpenBrace_86_51_13 () Int)
(declare-fun nameDotLocs_pre_65_28 () Int)
(declare-fun nameDotLocs_65_28 () Int)
(declare-fun loc_pre_33_35_13 () Int)
(declare-fun loc_33_35_13 () Int)
(declare-fun LONGLIT_pre_12_40_26 () Int)
(declare-fun tokenType_pre_10_90_8 () Int)
(declare-fun tokenType_10_90_8 () Int)
(declare-fun identifierVal_pre_8_80_22 () Int)
(declare-fun identifierVal_8_80_22 () Int)
(declare-fun count_pre_31_67_33 () Int)
(declare-fun count_31_67_33 () Int)
(declare-fun MODIFIERPRAGMA_pre_11_25_26 () Int)
(declare-fun seqIdentifier_pre_33_46 () Int)
(declare-fun DOUBLETYPE_pre_12_32_26 () Int)
(declare-fun punctuationCodes_pre_11_164_19 () Int)
(declare-fun VOID_pre_11_100_26 () Int)
(declare-fun BYTE_pre_11_55_26 () Int)
(declare-fun elements_pre_6_72_21 () Int)
(declare-fun elements_6_72_21 () Int)
(declare-fun SHORT_pre_11_88_26 () Int)
(declare-fun INTLIT_pre_12_39_26 () Int)
(declare-fun INT_pre_11_77_26 () Int)
(declare-fun FIELD_pre_11_45_26 () Int)
(declare-fun LEXICALPRAGMA_pre_11_24_26 () Int)
(declare-fun ttype_pre_8_52_15 () Int)
(declare-fun ttype_8_52_15 () Int)
(declare-fun locIds_pre_27_25_29 () Int)
(declare-fun locIds_27_25_29 () Int)
(declare-fun FLOATTYPE_pre_12_31_26 () Int)
(declare-fun currentStackBottom_pre_6_87_33 () Int)
(declare-fun currentStackBottom_6_87_33 () Int)
(declare-fun nameIdLocs_pre_62_28 () Int)
(declare-fun nameIdLocs_62_28 () Int)
(declare-fun punctuationStrings_pre_11_134_22 () Int)
(declare-fun startingLoc_pre_8_65_15 () Int)
(declare-fun startingLoc_8_65_15 () Int)
(declare-fun seqModifierPragma_pre_4_74_32 () Int)
(declare-fun BOOLEANLIT_pre_12_38_26 () Int)
(declare-fun keywordStrings_pre_11_181_30 () Int)
(declare-fun inst_pre_21_29_44 () Int)
(declare-fun inst_21_29_44 () Int)
(declare-fun NULL_pre_11_82_26 () Int)
(declare-fun CHARTYPE_pre_12_30_26 () Int)
(declare-fun syntax_pre_29_28_29 () Int)
(declare-fun syntax_29_28_29 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun l_177_36 () Int)
(declare-fun type_177_44 () Int)
(declare-fun loc_183_6 () Int)
(declare-fun RES () Int)
(declare-fun RES_loopold () Int)
(declare-fun EC () Int)
(declare-fun EC_loopold () Int)
(declare-fun done_loopold_185_14 () Int)
(declare-fun i_loopold_184_10 () Int)
(declare-fun RES_186_6_0_187_11_187_11 () Int)
(declare-fun EC_186_6_0_187_11_187_11 () Int)
(declare-fun i_186_6_0_189_3 () Int)
(declare-fun EC_1_ () Int)
(declare-fun done_185_14 () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun done_185_14_1_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun done_185_14_2_ () Int)
(declare-fun RES_3_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_5_ () Int)
(declare-fun ttype_198_8_7_372_15 () Int)
(declare-fun after_198_8_198_8_7_372_15 () Int)
(declare-fun auxVal_198_8_7_372_22 () Int)
(declare-fun after_198_8_198_8_7_372_22 () Int)
(declare-fun identifierVal_198_8_7_372_30 () Int)
(declare-fun after_198_8_198_8_7_372_30 () Int)
(declare-fun RES_198_8_198_8 () Int)
(declare-fun EC_198_8_198_8 () Int)
(declare-fun RES_199_40_199_40 () Int)
(declare-fun EC_199_40_199_40 () Int)
(declare-fun ttype_200_6_4_46_17 () Int)
(declare-fun after_200_6_200_6_4_46_15 () Int)
(declare-fun auxVal_200_6_4_46_26 () Int)
(declare-fun after_200_6_200_6_4_46_24 () Int)
(declare-fun identifierVal_200_6_4_46_36 () Int)
(declare-fun after_200_6_200_6_4_46_34 () Int)
(declare-fun EC_200_6_200_6 () Int)
(declare-fun RES_202_7_202_7 () Int)
(declare-fun EC_202_7_202_7 () Int)
(declare-fun RES_182_9 () Int)
(declare-fun EC_182_9 () Int)
(declare-fun RES_201_23_201_23 () Int)
(declare-fun EC_201_23_201_23 () Int)
(declare-fun RES_5_ () Int)
(declare-fun EC_6_ () Int)
(declare-fun type_177_44_1_ () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String)) (?v_3 (arrayLength otherStrings_11_193_30)) (?v_4 (arrayLength punctuationStrings_11_134_22)) (?v_2 (arrayLength keywordStrings_11_181_30)) (?v_6 (not (= l_177_36 null))) (?v_28 (not (= type_177_44 null))) (?v_10 (not (= (S_select m_in_7_212_46 l_177_36) null))) (?v_29 (= true_term (S_select syntax_29_28_29 type_177_44))) (?v_5 (S_select owner_5_35_28 punctuationCodes_11_164_19))) (let ((?v_7 (not ?v_6)) (?v_32 (= (S_select ttype_8_52_15 l_177_36) LSQBRACKET_11_39_26)) (?v_8 (= true_term true_term)) (?v_33 (= loc_183_6 (S_select startingLoc_8_65_15 l_177_36))) (?v_11 (= RES RES_loopold)) (?v_12 (= EC EC_loopold)) (?v_13 (= false_term done_loopold_185_14)) (?v_14 (= 1 i_loopold_184_10)) (?v_9 (>= 1 0)) (?v_25 (not ?v_10)) (?v_18 (= true_term (is RES_186_6_0_187_11_187_11 T_int))) (?v_19 (= EC_186_6_0_187_11_187_11 ecReturn)) (?v_16 (= RES_186_6_0_187_11_187_11 TYPEMODIFIERPRAGMA_11_28_26)) (?v_15 (= EC_1_ L_187_1)) (?v_17 (= RES_186_6_0_187_11_187_11 RSQBRACKET_11_40_26))) (let ((?v_20 (or (and (or (and ?v_8 ?v_16 (= i_186_6_0_189_3 (+ 1 1)) ?v_8 ?v_15 (= done_185_14 false_term)) (and ?v_8 ?v_17 ?v_8 ?v_15 (= done_185_14 true_term))) (= RES_1_ RES_186_6_0_187_11_187_11) (= EC_2_ EC_1_) (= done_185_14_1_ done_185_14)) (and ?v_8 (not ?v_16) (not ?v_17) ?v_8 (= RES_1_ type_177_44) (= EC_2_ ecReturn) (= done_185_14_1_ false_term)))) (?v_21 (= EC_2_ L_187_1))) (let ((?v_22 (not ?v_21)) (?v_23 (= EC_2_ C_186_6)) (?v_24 (= EC_4_ L_186_6))) (let ((?v_34 (or (and ?v_8 ?v_6 ?v_9 ?v_10 ?v_18 ?v_19 ?v_20 ?v_22 (not ?v_23) (= RES_2_ RES_1_) (= EC_3_ EC_2_) (= done_185_14_2_ done_185_14_1_) (= RES_3_ RES_2_) (= EC_4_ EC_3_)) (and ?v_8 (or (and ?v_6 ?v_9 ?v_10 ?v_18 ?v_19 ?v_20 ?v_21) (and ?v_6 ?v_9 ?v_10 ?v_18 ?v_19 ?v_20 ?v_22 ?v_23)) ?v_8 (= true_term done_185_14_1_) (= RES_3_ RES_1_) ?v_24))) (?v_35 (= RES_4_ RES_3_)) (?v_36 (= EC_5_ EC_4_)) (?v_37 (= ttype_198_8_7_372_15 (S_store ttype_8_52_15 l_177_36 after_198_8_198_8_7_372_15))) (?v_38 (= auxVal_198_8_7_372_22 (S_store auxVal_8_127_18 l_177_36 after_198_8_198_8_7_372_22))) (?v_39 (= identifierVal_198_8_7_372_30 (S_store identifierVal_8_80_22 l_177_36 after_198_8_198_8_7_372_30))) (?v_40 (= auxVal_198_8_7_372_22 (asField auxVal_198_8_7_372_22 T_java_lang_Object))) (?v_41 (< (fClosedTime auxVal_198_8_7_372_22) alloc)) (?v_42 (= identifierVal_198_8_7_372_30 (asField identifierVal_198_8_7_372_30 T_javafe_ast_Identifier))) (?v_43 (< (fClosedTime identifierVal_198_8_7_372_30) alloc)) (?v_44 (= ttype_198_8_7_372_15 (asField ttype_198_8_7_372_15 T_int))) (?v_45 (= true_term (is RES_198_8_198_8 T_int))) (?v_46 (= EC_198_8_198_8 ecReturn)) (?v_47 (forall ((?brokenObj_33_ Int)) (let ((?v_72 (S_select ttype_8_52_15 ?brokenObj_33_)) (?v_73 (S_select auxVal_8_127_18 ?brokenObj_33_))) (let ((?v_74 (not (= ?v_73 null)))) (let ((?v_75 (and (= true_term (is ?v_73 T_java_lang_Integer)) ?v_74)) (?v_76 (S_select ttype_198_8_7_372_15 ?brokenObj_33_)) (?v_77 (S_select auxVal_198_8_7_372_22 ?brokenObj_33_))) (let ((?v_78 (not (= ?v_77 null)))) (let ((?v_79 (and (= true_term (is ?v_77 T_java_lang_Integer)) ?v_78))) (=> (and (= true_term (is ?brokenObj_33_ T_javafe_parser_Token)) (not (= ?brokenObj_33_ null)) (not (= ?v_72 BOOLEANLIT_12_38_26)) (=> (= ?v_72 INTLIT_12_39_26) ?v_75) (=> (= ?v_72 LONGLIT_12_40_26) (and (= true_term (is ?v_73 T_java_lang_Long)) ?v_74)) (=> (= ?v_72 FLOATLIT_12_42_26) (and (= true_term (is ?v_73 T_java_lang_Float)) ?v_74)) (=> (= ?v_72 DOUBLELIT_12_43_26) (and (= true_term (is ?v_73 T_java_lang_Double)) ?v_74)) (=> (= ?v_72 STRINGLIT_12_44_26) (and (= true_term (is ?v_73 T_java_lang_String)) ?v_74)) (=> (= ?v_72 CHARLIT_12_41_26) ?v_75) (=> (= ?v_72 LEXICALPRAGMA_11_24_26) (and (= true_term (is ?v_73 T_javafe_ast_LexicalPragma)) ?v_74)) (=> (= ?v_72 MODIFIERPRAGMA_11_25_26) (and (= true_term (is ?v_73 T_javafe_ast_ModifierPragma)) ?v_74)) (=> (= ?v_72 STMTPRAGMA_11_26_26) (and (= true_term (is ?v_73 T_javafe_ast_StmtPragma)) ?v_74)) (=> (= ?v_72 TYPEDECLELEMPRAGMA_11_27_26) (and (= true_term (is ?v_73 T_javafe_ast_TypeDeclElemPragma)) ?v_74)) (=> (= ?v_72 TYPEMODIFIERPRAGMA_11_28_26) (and (= true_term (is ?v_73 T_javafe_ast_TypeModifierPragma)) ?v_74))) (and (not (= ?v_76 BOOLEANLIT_12_38_26)) (=> (= ?v_76 INTLIT_12_39_26) ?v_79) (=> (= ?v_76 LONGLIT_12_40_26) (and (= true_term (is ?v_77 T_java_lang_Long)) ?v_78)) (=> (= ?v_76 FLOATLIT_12_42_26) (and (= true_term (is ?v_77 T_java_lang_Float)) ?v_78)) (=> (= ?v_76 DOUBLELIT_12_43_26) (and (= true_term (is ?v_77 T_java_lang_Double)) ?v_78)) (=> (= ?v_76 STRINGLIT_12_44_26) (and (= true_term (is ?v_77 T_java_lang_String)) ?v_78)) (=> (= ?v_76 CHARLIT_12_41_26) ?v_79) (=> (= ?v_76 LEXICALPRAGMA_11_24_26) (and (= true_term (is ?v_77 T_javafe_ast_LexicalPragma)) ?v_78)) (=> (= ?v_76 MODIFIERPRAGMA_11_25_26) (and (= true_term (is ?v_77 T_javafe_ast_ModifierPragma)) ?v_78)) (=> (= ?v_76 STMTPRAGMA_11_26_26) (and (= true_term (is ?v_77 T_javafe_ast_StmtPragma)) ?v_78)) (=> (= ?v_76 TYPEDECLELEMPRAGMA_11_27_26) (and (= true_term (is ?v_77 T_javafe_ast_TypeDeclElemPragma)) ?v_78)) (=> (= ?v_76 TYPEMODIFIERPRAGMA_11_28_26) (and (= true_term (is ?v_77 T_javafe_ast_TypeModifierPragma)) ?v_78))))))))))) (?v_48 (forall ((?brokenObj_34_ Int)) (=> (and (= true_term (is ?brokenObj_34_ T_javafe_parser_Token)) (not (= ?brokenObj_34_ null)) (=> (= (S_select ttype_8_52_15 ?brokenObj_34_) IDENT_12_25_26) (not (= (S_select identifierVal_8_80_22 ?brokenObj_34_) null))) (= (S_select ttype_198_8_7_372_15 ?brokenObj_34_) IDENT_12_25_26)) (not (= (S_select identifierVal_198_8_7_372_30 ?brokenObj_34_) null))))) (?v_26 (not (and ?v_6 ?v_10))) (?v_49 (= true_term (is RES_199_40_199_40 T_javafe_ast_TypeModifierPragmaVec))) (?v_50 (= true_term (isAllocated RES_199_40_199_40 alloc))) (?v_51 (= EC_199_40_199_40 ecReturn)) (?v_52 (= ttype_200_6_4_46_17 (S_store ttype_198_8_7_372_15 l_177_36 after_200_6_200_6_4_46_15))) (?v_53 (= auxVal_200_6_4_46_26 (S_store auxVal_198_8_7_372_22 l_177_36 after_200_6_200_6_4_46_24))) (?v_54 (= identifierVal_200_6_4_46_36 (S_store identifierVal_198_8_7_372_30 l_177_36 after_200_6_200_6_4_46_34))) (?v_55 (= auxVal_200_6_4_46_26 (asField auxVal_200_6_4_46_26 T_java_lang_Object))) (?v_56 (< (fClosedTime auxVal_200_6_4_46_26) alloc)) (?v_57 (= identifierVal_200_6_4_46_36 (asField identifierVal_200_6_4_46_36 T_javafe_ast_Identifier))) (?v_58 (< (fClosedTime identifierVal_200_6_4_46_36) alloc)) (?v_59 (= ttype_200_6_4_46_17 (asField ttype_200_6_4_46_17 T_int))) (?v_27 (= EC_200_6_200_6 ecReturn))) (let ((?v_60 (=> ?v_27 (= (S_select ttype_198_8_7_372_15 l_177_36) RSQBRACKET_11_40_26))) (?v_61 (forall ((?brokenObj_35_ Int)) (let ((?v_80 (S_select ttype_198_8_7_372_15 ?brokenObj_35_)) (?v_81 (S_select auxVal_198_8_7_372_22 ?brokenObj_35_))) (let ((?v_82 (not (= ?v_81 null)))) (let ((?v_83 (and (= true_term (is ?v_81 T_java_lang_Integer)) ?v_82)) (?v_84 (S_select ttype_200_6_4_46_17 ?brokenObj_35_)) (?v_85 (S_select auxVal_200_6_4_46_26 ?brokenObj_35_))) (let ((?v_86 (not (= ?v_85 null)))) (let ((?v_87 (and (= true_term (is ?v_85 T_java_lang_Integer)) ?v_86))) (=> (and (= true_term (is ?brokenObj_35_ T_javafe_parser_Token)) (not (= ?brokenObj_35_ null)) (not (= ?v_80 BOOLEANLIT_12_38_26)) (=> (= ?v_80 INTLIT_12_39_26) ?v_83) (=> (= ?v_80 LONGLIT_12_40_26) (and (= true_term (is ?v_81 T_java_lang_Long)) ?v_82)) (=> (= ?v_80 FLOATLIT_12_42_26) (and (= true_term (is ?v_81 T_java_lang_Float)) ?v_82)) (=> (= ?v_80 DOUBLELIT_12_43_26) (and (= true_term (is ?v_81 T_java_lang_Double)) ?v_82)) (=> (= ?v_80 STRINGLIT_12_44_26) (and (= true_term (is ?v_81 T_java_lang_String)) ?v_82)) (=> (= ?v_80 CHARLIT_12_41_26) ?v_83) (=> (= ?v_80 LEXICALPRAGMA_11_24_26) (and (= true_term (is ?v_81 T_javafe_ast_LexicalPragma)) ?v_82)) (=> (= ?v_80 MODIFIERPRAGMA_11_25_26) (and (= true_term (is ?v_81 T_javafe_ast_ModifierPragma)) ?v_82)) (=> (= ?v_80 STMTPRAGMA_11_26_26) (and (= true_term (is ?v_81 T_javafe_ast_StmtPragma)) ?v_82)) (=> (= ?v_80 TYPEDECLELEMPRAGMA_11_27_26) (and (= true_term (is ?v_81 T_javafe_ast_TypeDeclElemPragma)) ?v_82)) (=> (= ?v_80 TYPEMODIFIERPRAGMA_11_28_26) (and (= true_term (is ?v_81 T_javafe_ast_TypeModifierPragma)) ?v_82))) (and (not (= ?v_84 BOOLEANLIT_12_38_26)) (=> (= ?v_84 INTLIT_12_39_26) ?v_87) (=> (= ?v_84 LONGLIT_12_40_26) (and (= true_term (is ?v_85 T_java_lang_Long)) ?v_86)) (=> (= ?v_84 FLOATLIT_12_42_26) (and (= true_term (is ?v_85 T_java_lang_Float)) ?v_86)) (=> (= ?v_84 DOUBLELIT_12_43_26) (and (= true_term (is ?v_85 T_java_lang_Double)) ?v_86)) (=> (= ?v_84 STRINGLIT_12_44_26) (and (= true_term (is ?v_85 T_java_lang_String)) ?v_86)) (=> (= ?v_84 CHARLIT_12_41_26) ?v_87) (=> (= ?v_84 LEXICALPRAGMA_11_24_26) (and (= true_term (is ?v_85 T_javafe_ast_LexicalPragma)) ?v_86)) (=> (= ?v_84 MODIFIERPRAGMA_11_25_26) (and (= true_term (is ?v_85 T_javafe_ast_ModifierPragma)) ?v_86)) (=> (= ?v_84 STMTPRAGMA_11_26_26) (and (= true_term (is ?v_85 T_javafe_ast_StmtPragma)) ?v_86)) (=> (= ?v_84 TYPEDECLELEMPRAGMA_11_27_26) (and (= true_term (is ?v_85 T_javafe_ast_TypeDeclElemPragma)) ?v_86)) (=> (= ?v_84 TYPEMODIFIERPRAGMA_11_28_26) (and (= true_term (is ?v_85 T_javafe_ast_TypeModifierPragma)) ?v_86))))))))))) (?v_62 (forall ((?brokenObj_36_ Int)) (=> (and (= true_term (is ?brokenObj_36_ T_javafe_parser_Token)) (not (= ?brokenObj_36_ null)) (=> (= (S_select ttype_198_8_7_372_15 ?brokenObj_36_) IDENT_12_25_26) (not (= (S_select identifierVal_198_8_7_372_30 ?brokenObj_36_) null))) (= (S_select ttype_200_6_4_46_17 ?brokenObj_36_) IDENT_12_25_26)) (not (= (S_select identifierVal_200_6_4_46_36 ?brokenObj_36_) null))))) (?v_63 (= true_term (is RES_202_7_202_7 T_javafe_ast_Type))) (?v_64 (= true_term (isAllocated RES_202_7_202_7 alloc))) (?v_30 (= EC_202_7_202_7 ecReturn)) (?v_31 (not (= RES_202_7_202_7 null)))) (let ((?v_65 (=> ?v_30 ?v_31)) (?v_69 (= true_term (S_select syntax_29_28_29 RES_202_7_202_7)))) (let ((?v_66 (=> ?v_30 ?v_69)) (?v_67 (not (= loc_183_6 NULL_34_60_26))) (?v_68 (= EC_201_23_201_23 ecReturn)) (?v_70 (= EC_182_9 ecReturn))) (let ((?v_71 (=> ?v_70 (not (= RES_182_9 null))))) (not (=> (distinct L_187_1 ecReturn L_186_6 C_186_6) (=> (and (= m_in_pre_7_212_46 m_in_7_212_46) (= m_in_7_212_46 (asField m_in_7_212_46 T_javafe_util_CorrelatedReader)) (< (fClosedTime m_in_7_212_46) alloc) (= STRINGLIT_pre_12_44_26 STRINGLIT_12_44_26) (= true_term (is STRINGLIT_12_44_26 T_int)) (= code_pre_7_1294_15 code_7_1294_15) (= code_7_1294_15 (asField code_7_1294_15 T_int)) (= UNKNOWN_KEYWORD_pre_11_30_26 UNKNOWN_KEYWORD_11_30_26) (= true_term (is UNKNOWN_KEYWORD_11_30_26 T_int)) (= SHORTTYPE_pre_12_36_26 SHORTTYPE_12_36_26) (= true_term (is SHORTTYPE_12_36_26 T_int)) (= locId_pre_86_48_13 locId_86_48_13) (= locId_86_48_13 (asField locId_86_48_13 T_int)) (= FLOAT_pre_11_70_26 FLOAT_11_70_26) (= true_term (is FLOAT_11_70_26 T_int)) (= NULL_pre_34_60_26 NULL_34_60_26) (= true_term (is NULL_34_60_26 T_int)) (= locCloseBrace_pre_86_54_13 locCloseBrace_86_54_13) (= locCloseBrace_86_54_13 (asField locCloseBrace_86_54_13 T_int)) (= tag_pre_33_30_13 tag_33_30_13) (= tag_33_30_13 (asField tag_33_30_13 T_int)) (= elementCount_pre_6_79_33 elementCount_6_79_33) (= elementCount_6_79_33 (asField elementCount_6_79_33 T_int)) (= BOOLEAN_pre_11_53_26 BOOLEAN_11_53_26) (= true_term (is BOOLEAN_11_53_26 T_int)) (= LONGTYPE_pre_12_29_26 LONGTYPE_12_29_26) (= true_term (is LONGTYPE_12_29_26 T_int)) (= locDots_pre_27_31_29 locDots_27_31_29) (= locDots_27_31_29 (asField locDots_27_31_29 ?v_0)) (< (fClosedTime locDots_27_31_29) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select locDots_27_31_29 ?s) null)))) (= DOUBLE_pre_11_64_26 DOUBLE_11_64_26) (= true_term (is DOUBLE_11_64_26 T_int)) (= loc_pre_22_20_13 loc_22_20_13) (= loc_22_20_13 (asField loc_22_20_13 T_int)) (= elements_pre_26_61_39 elements_26_61_39) (= elements_26_61_39 (asField elements_26_61_39 (array T_javafe_ast_Identifier))) (< (fClosedTime elements_26_61_39) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_26_61_39 ?s_1_) null)))) (= DOUBLELIT_pre_12_43_26 DOUBLELIT_12_43_26) (= true_term (is DOUBLELIT_12_43_26 T_int)) (= elemType_pre_30_18_28 elemType_30_18_28) (= elemType_30_18_28 (asField elemType_30_18_28 T_javafe_ast_Type)) (< (fClosedTime elemType_30_18_28) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elemType_30_18_28 ?s_2_) null)))) (= elementType_pre_6_43_27 elementType_6_43_27) (= elementType_6_43_27 (asField elementType_6_43_27 T__TYPE)) (= TYPEMODIFIERPRAGMA_pre_11_28_26 TYPEMODIFIERPRAGMA_11_28_26) (= true_term (is TYPEMODIFIERPRAGMA_11_28_26 T_int)) (= BYTETYPE_pre_12_35_26 BYTETYPE_12_35_26) (= true_term (is BYTETYPE_12_35_26 T_int)) (= vectorCount_pre_6_97_33 vectorCount_6_97_33) (= vectorCount_6_97_33 (asField vectorCount_6_97_33 T_int)) (= CHAR_pre_11_58_26 CHAR_11_58_26) (= true_term (is CHAR_11_58_26 T_int)) (= owner_pre_5_35_28 owner_5_35_28) (= owner_5_35_28 (asField owner_5_35_28 T_java_lang_Object)) (< (fClosedTime owner_5_35_28) alloc) (= INTTYPE_pre_12_28_26 INTTYPE_12_28_26) (= true_term (is INTTYPE_12_28_26 T_int)) (= LAST_KEYWORD_pre_11_103_26 LAST_KEYWORD_11_103_26) (= true_term (is LAST_KEYWORD_11_103_26 T_int)) (= RSQBRACKET_pre_11_40_26 RSQBRACKET_11_40_26) (= true_term (is RSQBRACKET_11_40_26 T_int)) (= elements_pre_31_61_47 elements_31_61_47) (= elements_31_61_47 (asField elements_31_61_47 (array T_javafe_ast_TypeModifierPragma))) (< (fClosedTime elements_31_61_47) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elements_31_61_47 ?s_3_) null)))) (= FLOATLIT_pre_12_42_26 FLOATLIT_12_42_26) (= true_term (is FLOATLIT_12_42_26 T_int)) (= FIRST_KEYWORD_pre_11_51_26 FIRST_KEYWORD_11_51_26) (= true_term (is FIRST_KEYWORD_11_51_26 T_int)) (= endingLoc_pre_8_72_15 endingLoc_8_72_15) (= endingLoc_8_72_15 (asField endingLoc_8_72_15 T_int)) (= TYPEDECLELEMPRAGMA_pre_11_27_26 TYPEDECLELEMPRAGMA_11_27_26) (= true_term (is TYPEDECLELEMPRAGMA_11_27_26 T_int)) (= NULLTYPE_pre_12_34_26 NULLTYPE_12_34_26) (= true_term (is NULLTYPE_12_34_26 T_int)) (= auxVal_pre_8_127_18 auxVal_8_127_18) (= auxVal_8_127_18 (asField auxVal_8_127_18 T_java_lang_Object)) (< (fClosedTime auxVal_8_127_18) alloc) (= BOOLEANTYPE_pre_12_27_26 BOOLEANTYPE_12_27_26) (= true_term (is BOOLEANTYPE_12_27_26 T_int)) (= LONG_pre_11_79_26 LONG_11_79_26) (= true_term (is LONG_11_79_26 T_int)) (= ids_pre_27_19_37 ids_27_19_37) (= ids_27_19_37 (asField ids_27_19_37 T_javafe_ast_IdentifierVec)) (< (fClosedTime ids_27_19_37) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select ids_27_19_37 ?s_4_) null)))) (= LSQBRACKET_pre_11_39_26 LSQBRACKET_11_39_26) (= true_term (is LSQBRACKET_11_39_26 T_int)) (= count_pre_26_67_33 count_26_67_33) (= count_26_67_33 (asField count_26_67_33 T_int)) (= otherCodes_pre_11_202_27 otherCodes_11_202_27) (= true_term (is otherCodes_11_202_27 ?v_0)) (= true_term (isAllocated otherCodes_11_202_27 alloc)) (= CHARLIT_pre_12_41_26 CHARLIT_12_41_26) (= true_term (is CHARLIT_12_41_26 T_int)) (= otherStrings_pre_11_193_30 otherStrings_11_193_30) (= true_term (is otherStrings_11_193_30 ?v_1)) (= true_term (isAllocated otherStrings_11_193_30 alloc)) (= locOpenBracket_pre_30_21_13 locOpenBracket_30_21_13) (= locOpenBracket_30_21_13 (asField locOpenBracket_30_21_13 T_int)) (= length_pre_20_50_25 length_20_50_25) (= length_20_50_25 (asField length_20_50_25 T_int)) (= STMTPRAGMA_pre_11_26_26 STMTPRAGMA_11_26_26) (= true_term (is STMTPRAGMA_11_26_26 T_int)) (= noTokens_pre_11_212_27 noTokens_11_212_27) (= true_term (is noTokens_11_212_27 T_int)) (= VOIDTYPE_pre_12_33_26 VOIDTYPE_12_33_26) (= true_term (is VOIDTYPE_12_33_26 T_int)) (= loc_pre_86_45_13 loc_86_45_13) (= loc_86_45_13 (asField loc_86_45_13 T_int)) (= IDENT_pre_12_25_26 IDENT_12_25_26) (= true_term (is IDENT_12_25_26 T_int)) (= locOpenBrace_pre_86_51_13 locOpenBrace_86_51_13) (= locOpenBrace_86_51_13 (asField locOpenBrace_86_51_13 T_int)) (= nameDotLocs_pre_65_28 nameDotLocs_65_28) (= nameDotLocs_65_28 (asField nameDotLocs_65_28 ?v_0)) (< (fClosedTime nameDotLocs_65_28) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select nameDotLocs_65_28 ?s_5_) null)))) (= loc_pre_33_35_13 loc_33_35_13) (= loc_33_35_13 (asField loc_33_35_13 T_int)) (= LONGLIT_pre_12_40_26 LONGLIT_12_40_26) (= true_term (is LONGLIT_12_40_26 T_int)) (= tokenType_pre_10_90_8 tokenType_10_90_8) (= tokenType_10_90_8 (asField tokenType_10_90_8 T_int)) (= identifierVal_pre_8_80_22 identifierVal_8_80_22) (= identifierVal_8_80_22 (asField identifierVal_8_80_22 T_javafe_ast_Identifier)) (< (fClosedTime identifierVal_8_80_22) alloc) (= count_pre_31_67_33 count_31_67_33) (= count_31_67_33 (asField count_31_67_33 T_int)) (= MODIFIERPRAGMA_pre_11_25_26 MODIFIERPRAGMA_11_25_26) (= true_term (is MODIFIERPRAGMA_11_25_26 T_int)) (= seqIdentifier_pre_33_46 seqIdentifier_33_46) (= seqIdentifier_33_46 (asField seqIdentifier_33_46 T_javafe_util_StackVector)) (< (fClosedTime seqIdentifier_33_46) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select seqIdentifier_33_46 ?s_6_) null)))) (= DOUBLETYPE_pre_12_32_26 DOUBLETYPE_12_32_26) (= true_term (is DOUBLETYPE_12_32_26 T_int)) (= punctuationCodes_pre_11_164_19 punctuationCodes_11_164_19) (= true_term (is punctuationCodes_11_164_19 ?v_0)) (= true_term (isAllocated punctuationCodes_11_164_19 alloc)) (= VOID_pre_11_100_26 VOID_11_100_26) (= true_term (is VOID_11_100_26 T_int)) (= BYTE_pre_11_55_26 BYTE_11_55_26) (= true_term (is BYTE_11_55_26 T_int)) (= elements_pre_6_72_21 elements_6_72_21) (= elements_6_72_21 (asField elements_6_72_21 (array T_java_lang_Object))) (< (fClosedTime elements_6_72_21) alloc) (= SHORT_pre_11_88_26 SHORT_11_88_26) (= true_term (is SHORT_11_88_26 T_int)) (= INTLIT_pre_12_39_26 INTLIT_12_39_26) (= true_term (is INTLIT_12_39_26 T_int)) (= INT_pre_11_77_26 INT_11_77_26) (= true_term (is INT_11_77_26 T_int)) (= FIELD_pre_11_45_26 FIELD_11_45_26) (= true_term (is FIELD_11_45_26 T_int)) (= LEXICALPRAGMA_pre_11_24_26 LEXICALPRAGMA_11_24_26) (= true_term (is LEXICALPRAGMA_11_24_26 T_int)) (= ttype_pre_8_52_15 ttype_8_52_15) (= ttype_8_52_15 (asField ttype_8_52_15 T_int)) (= locIds_pre_27_25_29 locIds_27_25_29) (= locIds_27_25_29 (asField locIds_27_25_29 ?v_0)) (< (fClosedTime locIds_27_25_29) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select locIds_27_25_29 ?s_7_) null)))) (= FLOATTYPE_pre_12_31_26 FLOATTYPE_12_31_26) (= true_term (is FLOATTYPE_12_31_26 T_int)) (= currentStackBottom_pre_6_87_33 currentStackBottom_6_87_33) (= currentStackBottom_6_87_33 (asField currentStackBottom_6_87_33 T_int)) (= nameIdLocs_pre_62_28 nameIdLocs_62_28) (= nameIdLocs_62_28 (asField nameIdLocs_62_28 ?v_0)) (< (fClosedTime nameIdLocs_62_28) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select nameIdLocs_62_28 ?s_8_) null)))) (= punctuationStrings_pre_11_134_22 punctuationStrings_11_134_22) (= true_term (is punctuationStrings_11_134_22 ?v_1)) (= true_term (isAllocated punctuationStrings_11_134_22 alloc)) (= startingLoc_pre_8_65_15 startingLoc_8_65_15) (= startingLoc_8_65_15 (asField startingLoc_8_65_15 T_int)) (= seqModifierPragma_pre_4_74_32 seqModifierPragma_4_74_32) (= seqModifierPragma_4_74_32 (asField seqModifierPragma_4_74_32 T_javafe_util_StackVector)) (< (fClosedTime seqModifierPragma_4_74_32) alloc) (= BOOLEANLIT_pre_12_38_26 BOOLEANLIT_12_38_26) (= true_term (is BOOLEANLIT_12_38_26 T_int)) (= keywordStrings_pre_11_181_30 keywordStrings_11_181_30) (= true_term (is keywordStrings_11_181_30 ?v_1)) (= true_term (isAllocated keywordStrings_11_181_30 alloc)) (= inst_pre_21_29_44 inst_21_29_44) (= true_term (is inst_21_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_21_29_44 alloc)) (not (= inst_21_29_44 null)) (= NULL_pre_11_82_26 NULL_11_82_26) (= true_term (is NULL_11_82_26 T_int)) (= CHARTYPE_pre_12_30_26 CHARTYPE_12_30_26) (= true_term (is CHARTYPE_12_30_26 T_int)) (= syntax_pre_29_28_29 syntax_29_28_29) (= syntax_29_28_29 (asField syntax_29_28_29 T_boolean)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_parser_ParseType)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is l_177_36 T_javafe_parser_Lex)) (= true_term (isAllocated l_177_36 alloc)) (= true_term (is type_177_44 T_javafe_ast_Type)) (= true_term (isAllocated type_177_44 alloc)) ?v_6 ?v_28 ?v_10 ?v_29 (forall ((?brokenObj Int)) (let ((?v_88 (S_select currentStackBottom_6_87_33 ?brokenObj))) (=> (and (= true_term (is ?brokenObj T_javafe_util_StackVector)) (not (= ?brokenObj null))) (or (= ?v_88 0) (= (S_select (S_select elems (S_select elements_6_72_21 ?brokenObj)) (- ?v_88 1)) null))))) (= true_term (nonnullelements keywordStrings_11_181_30 elems)) (forall ((?brokenObj_1_ Int)) (let ((?v_89 (S_select currentStackBottom_6_87_33 ?brokenObj_1_))) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_util_StackVector)) (not (= ?brokenObj_1_ null))) (and (<= 0 ?v_89) (<= ?v_89 (S_select elementCount_6_79_33 ?brokenObj_1_)))))) (= true_term (nonnullelements punctuationStrings_11_134_22 elems)) (forall ((?brokenObj_2_ Int)) (let ((?v_90 (S_select ttype_8_52_15 ?brokenObj_2_)) (?v_91 (S_select auxVal_8_127_18 ?brokenObj_2_))) (let ((?v_92 (not (= ?v_91 null)))) (let ((?v_93 (and (= true_term (is ?v_91 T_java_lang_Integer)) ?v_92))) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_parser_Token)) (not (= ?brokenObj_2_ null))) (and (not (= ?v_90 BOOLEANLIT_12_38_26)) (=> (= ?v_90 INTLIT_12_39_26) ?v_93) (=> (= ?v_90 LONGLIT_12_40_26) (and (= true_term (is ?v_91 T_java_lang_Long)) ?v_92)) (=> (= ?v_90 FLOATLIT_12_42_26) (and (= true_term (is ?v_91 T_java_lang_Float)) ?v_92)) (=> (= ?v_90 DOUBLELIT_12_43_26) (and (= true_term (is ?v_91 T_java_lang_Double)) ?v_92)) (=> (= ?v_90 STRINGLIT_12_44_26) (and (= true_term (is ?v_91 T_java_lang_String)) ?v_92)) (=> (= ?v_90 CHARLIT_12_41_26) ?v_93) (=> (= ?v_90 LEXICALPRAGMA_11_24_26) (and (= true_term (is ?v_91 T_javafe_ast_LexicalPragma)) ?v_92)) (=> (= ?v_90 MODIFIERPRAGMA_11_25_26) (and (= true_term (is ?v_91 T_javafe_ast_ModifierPragma)) ?v_92)) (=> (= ?v_90 STMTPRAGMA_11_26_26) (and (= true_term (is ?v_91 T_javafe_ast_StmtPragma)) ?v_92)) (=> (= ?v_90 TYPEDECLELEMPRAGMA_11_27_26) (and (= true_term (is ?v_91 T_javafe_ast_TypeDeclElemPragma)) ?v_92)) (=> (= ?v_90 TYPEMODIFIERPRAGMA_11_28_26) (and (= true_term (is ?v_91 T_javafe_ast_TypeModifierPragma)) ?v_92)))))))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_parser_Token)) (not (= ?brokenObj_3_ null))) (not (= (S_select endingLoc_8_72_15 ?brokenObj_3_) NULL_34_60_26)))) (forall ((?i_11_147_29 Int)) (=> (and (<= 0 ?i_11_147_29) (<= ?i_11_147_29 (arrayLength punctuationCodes_11_164_19))) (not (= (S_select (S_select elems punctuationCodes_11_164_19) ?i_11_147_29) NULL_11_82_26)))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_4_ null))) (forall ((?i_31_62_31 Int)) (=> (and (<= 0 ?i_31_62_31) (< ?i_31_62_31 (S_select count_31_67_33 ?brokenObj_4_))) (not (= (S_select (S_select elems (S_select elements_31_61_47 ?brokenObj_4_)) ?i_31_62_31) null)))))) (forall ((?brokenObj_5_ Int)) (let ((?v_94 (S_select code_7_1294_15 ?brokenObj_5_))) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_parser_PunctuationPrefixTree)) (not (= ?brokenObj_5_ null))) (and (not (= ?v_94 IDENT_12_25_26)) (not (= ?v_94 BOOLEANLIT_12_38_26)) (not (= ?v_94 INTLIT_12_39_26)) (not (= ?v_94 LONGLIT_12_40_26)) (not (= ?v_94 FLOATLIT_12_42_26)) (not (= ?v_94 DOUBLELIT_12_43_26)) (not (= ?v_94 STRINGLIT_12_44_26)) (not (= ?v_94 CHARLIT_12_41_26)) (not (= ?v_94 LEXICALPRAGMA_11_24_26)) (not (= ?v_94 MODIFIERPRAGMA_11_25_26)) (not (= ?v_94 STMTPRAGMA_11_26_26)) (not (= ?v_94 TYPEDECLELEMPRAGMA_11_27_26)) (not (= ?v_94 TYPEMODIFIERPRAGMA_11_28_26)))))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_util_StackVector)) (not (= ?brokenObj_6_ null))) (> (arrayLength (S_select elements_6_72_21 ?brokenObj_6_)) 0))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_parser_ParseType)) (not (= ?brokenObj_7_ null))) (= (arrayLength (S_select nameDotLocs_65_28 ?brokenObj_7_)) (arrayLength (S_select nameIdLocs_62_28 ?brokenObj_7_))))) (forall ((?brokenObj_8_ Int)) (let ((?v_95 (S_select elementCount_6_79_33 ?brokenObj_8_))) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_util_StackVector)) (not (= ?brokenObj_8_ null))) (and (<= 0 ?v_95) (<= ?v_95 (arrayLength (S_select elements_6_72_21 ?brokenObj_8_))))))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_ast_ArrayType)) (not (= ?brokenObj_9_ null))) (= (= true_term (S_select syntax_29_28_29 (S_select elemType_30_18_28 ?brokenObj_9_))) (= true_term (S_select syntax_29_28_29 ?brokenObj_9_))))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_10_ null))) (= (typeof (S_select elements_31_61_47 ?brokenObj_10_)) (array T_javafe_ast_TypeModifierPragma)))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_parser_Token)) (not (= ?brokenObj_11_ null))) (not (= (S_select startingLoc_8_65_15 ?brokenObj_11_) NULL_34_60_26)))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_util_StackVector)) (not (= ?brokenObj_12_ null))) (= (typeof (S_select elements_6_72_21 ?brokenObj_12_)) (array T_java_lang_Object)))) (= noTokens_11_212_27 (+ (+ ?v_2 ?v_4) ?v_3)) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_parser_ParseUtil)) (not (= ?brokenObj_13_ null))) (= (S_select elementType_6_43_27 (S_select seqModifierPragma_4_74_32 ?brokenObj_13_)) T_javafe_ast_ModifierPragma))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_ast_ArrayType)) (not (= ?brokenObj_14_ null))) (not (= (S_select locOpenBracket_30_21_13 ?brokenObj_14_) NULL_34_60_26)))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_15_ null))) (<= 0 (S_select count_31_67_33 ?brokenObj_15_)))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_util_StackVector)) (not (= ?brokenObj_16_ null))) (forall ((?i_6_76_31 Int)) (let ((?v_96 (S_select (S_select elems (S_select elements_6_72_21 ?brokenObj_16_)) ?i_6_76_31))) (=> (and (<= 0 ?i_6_76_31) (< ?i_6_76_31 (S_select elementCount_6_79_33 ?brokenObj_16_))) (or (= ?v_96 null) (= (PO_LT (typeof ?v_96) (S_select elementType_6_43_27 ?brokenObj_16_)) true_term))))))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_parser_ParseType)) (not (= ?brokenObj_17_ null))) (= (S_select owner_5_35_28 (S_select nameDotLocs_65_28 ?brokenObj_17_)) ?brokenObj_17_))) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_parser_ParseUtil)) (not (= ?brokenObj_18_ null))) (= (S_select owner_5_35_28 (S_select seqModifierPragma_4_74_32 ?brokenObj_18_)) ?brokenObj_18_))) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_19_ null))) (= (S_select owner_5_35_28 (S_select elements_31_61_47 ?brokenObj_19_)) ?brokenObj_19_))) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_util_StackVector)) (not (= ?brokenObj_20_ null))) (= (S_select owner_5_35_28 (S_select elements_6_72_21 ?brokenObj_20_)) ?brokenObj_20_))) (forall ((?i_11_149_29 Int)) (let ((?v_97 (S_select (S_select elems punctuationCodes_11_164_19) ?i_11_149_29))) (=> (and (<= 0 ?i_11_149_29) (<= ?i_11_149_29 (arrayLength punctuationCodes_11_164_19))) (and (not (= ?v_97 IDENT_12_25_26)) (not (= ?v_97 BOOLEANLIT_12_38_26)) (not (= ?v_97 INTLIT_12_39_26)) (not (= ?v_97 LONGLIT_12_40_26)) (not (= ?v_97 FLOATLIT_12_42_26)) (not (= ?v_97 DOUBLELIT_12_43_26)) (not (= ?v_97 STRINGLIT_12_44_26)) (not (= ?v_97 CHARLIT_12_41_26)) (not (= ?v_97 LEXICALPRAGMA_11_24_26)) (not (= ?v_97 MODIFIERPRAGMA_11_25_26)) (not (= ?v_97 STMTPRAGMA_11_26_26)) (not (= ?v_97 TYPEDECLELEMPRAGMA_11_27_26)) (not (= ?v_97 TYPEMODIFIERPRAGMA_11_28_26)))))) (= ?v_2 (- (+ 1 LAST_KEYWORD_11_103_26) FIRST_KEYWORD_11_51_26)) (forall ((?brokenObj_21_ Int)) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_parser_ParseType)) (not (= ?brokenObj_21_ null))) (>= (arrayLength (S_select nameIdLocs_62_28 ?brokenObj_21_)) 10))) (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_parser_Token)) (not (= ?brokenObj_22_ null)) (= (S_select ttype_8_52_15 ?brokenObj_22_) IDENT_12_25_26)) (not (= (S_select identifierVal_8_80_22 ?brokenObj_22_) null)))) (= (arrayLength otherCodes_11_202_27) ?v_3) (= (arrayLength punctuationCodes_11_164_19) ?v_4) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_parser_ParseType)) (not (= ?brokenObj_23_ null))) (= (S_select elementType_6_43_27 (S_select seqIdentifier_33_46 ?brokenObj_23_)) T_javafe_ast_Identifier))) (= true_term (nonnullelements otherStrings_11_193_30 elems)) (forall ((?brokenObj_24_ Int)) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_ast_TypeModifierPragmaVec)) (not (= ?brokenObj_24_ null))) (<= (S_select count_31_67_33 ?brokenObj_24_) (arrayLength (S_select elements_31_61_47 ?brokenObj_24_))))) (forall ((?brokenObj_25_ Int)) (let ((?v_98 (S_select tokenType_10_90_8 ?brokenObj_25_))) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_ast_Identifier)) (not (= ?brokenObj_25_ null))) (and (not (= ?v_98 BOOLEANLIT_12_38_26)) (not (= ?v_98 INTLIT_12_39_26)) (not (= ?v_98 LONGLIT_12_40_26)) (not (= ?v_98 FLOATLIT_12_42_26)) (not (= ?v_98 DOUBLELIT_12_43_26)) (not (= ?v_98 STRINGLIT_12_44_26)) (not (= ?v_98 CHARLIT_12_41_26)) (not (= ?v_98 LEXICALPRAGMA_11_24_26)) (not (= ?v_98 MODIFIERPRAGMA_11_25_26)) (not (= ?v_98 STMTPRAGMA_11_26_26)) (not (= ?v_98 TYPEDECLELEMPRAGMA_11_27_26)) (not (= ?v_98 TYPEMODIFIERPRAGMA_11_28_26)))))) (forall ((?brokenObj_26_ Int)) (=> (and (= true_term (is ?brokenObj_26_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_26_ null))) (not (= (S_select loc_86_45_13 ?brokenObj_26_) NULL_34_60_26)))) (forall ((?brokenObj_27_ Int)) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_parser_ParseType)) (not (= ?brokenObj_27_ null))) (= (S_select owner_5_35_28 (S_select nameIdLocs_62_28 ?brokenObj_27_)) ?brokenObj_27_))) (forall ((?brokenObj_28_ Int)) (=> (and (= true_term (is ?brokenObj_28_ T_javafe_util_StackVector)) (not (= ?brokenObj_28_ null))) (not (= (S_select elements_6_72_21 ?brokenObj_28_) null)))) (forall ((?brokenObj_29_ Int)) (=> (and (= true_term (is ?brokenObj_29_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_29_ null))) (not (= (S_select locId_86_48_13 ?brokenObj_29_) NULL_34_60_26)))) (forall ((?brokenObj_30_ Int)) (=> (and (= true_term (is ?brokenObj_30_ T_javafe_parser_ParseType)) (not (= ?brokenObj_30_ null))) (= (S_select owner_5_35_28 (S_select seqIdentifier_33_46 ?brokenObj_30_)) ?brokenObj_30_))) (forall ((?brokenObj_31_ Int)) (=> (and (= true_term (is ?brokenObj_31_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_31_ null))) (not (= (S_select locOpenBrace_86_51_13 ?brokenObj_31_) NULL_34_60_26)))) (forall ((?brokenObj_32_ Int)) (=> (and (= true_term (is ?brokenObj_32_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_32_ null))) (not (= (S_select locCloseBrace_86_54_13 ?brokenObj_32_) NULL_34_60_26)))) (= true_term (is ?v_5 T_javafe_parser_TagConstants)) (not (= ?v_5 null)) (or ?v_7 (and ?v_6 ?v_32 ?v_8 (or ?v_7 (and ?v_6 ?v_33 (or (and ?v_11 ?v_12 ?v_13 ?v_14 ?v_8 (or ?v_7 (and ?v_6 (or (not ?v_9) (and ?v_9 ?v_25))))) (and ?v_11 ?v_12 ?v_13 ?v_14 ?v_34 ?v_24 ?v_35 ?v_36 (or ?v_7 (and ?v_6 (or ?v_25 (and ?v_10 ?v_37 ?v_38 ?v_39 ?v_40 ?v_41 ?v_42 ?v_43 ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 (or ?v_7 (and ?v_6 ?v_26) (and ?v_6 ?v_49 ?v_50 ?v_51 (or ?v_26 (and ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_57 ?v_58 ?v_59 ?v_27 ?v_60 ?v_61 ?v_62 (or (not (and ?v_6 ?v_28 ?v_10)) (not ?v_29) (and ?v_29 ?v_63 ?v_64 ?v_30 ?v_65 ?v_66 (or (not ?v_31) (and ?v_31 (not ?v_67)))))))))))))))))) (and ?v_6 (or (and ?v_32 ?v_8 ?v_6 ?v_33 ?v_11 ?v_12 ?v_13 ?v_14 ?v_34 (not ?v_24) (= RES_182_9 RES_3_) (= EC_182_9 EC_4_)) (and (or (and ?v_32 ?v_8 ?v_6 ?v_33 ?v_11 ?v_12 ?v_13 ?v_14 ?v_34 ?v_24 ?v_35 ?v_36 ?v_6 ?v_10 ?v_37 ?v_38 ?v_39 ?v_40 ?v_41 ?v_42 ?v_43 ?v_44 ?v_45 ?v_46 ?v_47 ?v_48 ?v_6 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_57 ?v_58 ?v_59 ?v_27 ?v_60 ?v_61 ?v_62 ?v_29 ?v_63 ?v_64 ?v_30 ?v_65 ?v_66 ?v_31 ?v_67 (= true_term (is RES_201_23_201_23 T_javafe_ast_ArrayType)) (= true_term (isAllocated RES_201_23_201_23 alloc)) ?v_68 (=> (and ?v_68 ?v_69) (= true_term (S_select syntax_29_28_29 RES_201_23_201_23))) (=> ?v_68 (not (= RES_201_23_201_23 null))) (= RES_5_ RES_201_23_201_23) (= EC_6_ EC_201_23_201_23) (= type_177_44_1_ RES_201_23_201_23)) (and (not ?v_32) ?v_8 (= RES_5_ RES) (= EC_6_ EC) (= type_177_44_1_ type_177_44))) ?v_8 (= RES_182_9 type_177_44_1_) ?v_70)) (or (not ?v_70) (and ?v_70 (or (not ?v_71) (and ?v_71 (not (=> ?v_70 (= true_term (S_select syntax_29_28_29 RES_182_9)))))))))))))))))))))))))
(check-sat)
(exit)
