(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_Modifiers () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_parser_Token () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_parser_PragmaParser () Int)
(declare-fun T_javafe_parser_Lex () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_StmtPragma () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_javafe_ast_LexicalPragma () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_javafe_ast_TypeDeclElemPragma () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_javafe_ast_ModifierPragmaVec () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_parser_ParseUtil () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_javafe_parser_PunctuationPrefixTree () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun TYPEDECLELEMPRAGMA_12_27_26 () Int)
(declare-fun IDENT_13_25_26 () Int)
(declare-fun BOOLEANLIT_13_38_26 () Int)
(declare-fun noTokens_12_212_27 () Int)
(declare-fun punctuationStrings_12_134_22 () Int)
(declare-fun CHARLIT_13_41_26 () Int)
(declare-fun NULL_12_82_26 () Int)
(declare-fun STRINGLIT_13_44_26 () Int)
(declare-fun SYNCHRONIZED_12_93_26 () Int)
(declare-fun STRICT_12_90_26 () Int)
(declare-fun STMTPRAGMA_12_26_26 () Int)
(declare-fun VOLATILE_12_101_26 () Int)
(declare-fun modifierKeywords_81_28 () Int)
(declare-fun ABSTRACT_12_52_26 () Int)
(declare-fun FINAL_12_68_26 () Int)
(declare-fun punctuationCodes_12_164_19 () Int)
(declare-fun LONGLIT_13_40_26 () Int)
(declare-fun seqModifierPragma_74_32 () Int)
(declare-fun PRIVATE_12_84_26 () Int)
(declare-fun DOUBLELIT_13_43_26 () Int)
(declare-fun STATIC_12_89_26 () Int)
(declare-fun PUBLIC_12_86_26 () Int)
(declare-fun MODIFIERPRAGMA_12_25_26 () Int)
(declare-fun ACCESS_MODIFIERS_22_33_26 () Int)
(declare-fun FIRST_KEYWORD_12_51_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_12_28_26 () Int)
(declare-fun NONE_22_18_26 () Int)
(declare-fun TRANSIENT_12_97_26 () Int)
(declare-fun INTLIT_13_39_26 () Int)
(declare-fun NULL_7_60_26 () Int)
(declare-fun LAST_KEYWORD_12_103_26 () Int)
(declare-fun FLOATLIT_13_42_26 () Int)
(declare-fun PROTECTED_12_85_26 () Int)
(declare-fun keywordStrings_12_181_30 () Int)
(declare-fun LEXICALPRAGMA_12_24_26 () Int)
(declare-fun NATIVE_12_80_26 () Int)
(declare-fun otherCodes_12_202_27 () Int)
(declare-fun otherStrings_12_193_30 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_javafe_ast_Modifiers T_java_lang_Object) true_term) (= T_javafe_ast_Modifiers (asChild T_javafe_ast_Modifiers T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_parser_Token T_java_lang_Object) true_term) (= T_javafe_parser_Token (asChild T_javafe_parser_Token T_java_lang_Object)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_parser_PragmaParser T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_Lex T_javafe_parser_Token) true_term) (= T_javafe_parser_Lex (asChild T_javafe_parser_Lex T_javafe_parser_Token)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_StmtPragma T_javafe_ast_Stmt) true_term) (= T_javafe_ast_StmtPragma (asChild T_javafe_ast_StmtPragma T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_LexicalPragma (asChild T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDeclElemPragma (asChild T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_ModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_ModifierPragmaVec (asChild T_javafe_ast_ModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_parser_ParseUtil T_java_lang_Object) true_term) (= T_javafe_parser_ParseUtil (asChild T_javafe_parser_ParseUtil T_java_lang_Object)) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_javafe_parser_PunctuationPrefixTree T_java_lang_Object) true_term) (= T_javafe_parser_PunctuationPrefixTree (asChild T_javafe_parser_PunctuationPrefixTree T_java_lang_Object)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_Modifiers (+ DIST_ZERO_1 10)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 11)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 12)) (= T_javafe_parser_Token (+ DIST_ZERO_1 13)) (= T_java_util_Hashtable (+ DIST_ZERO_1 14)) (= T_java_lang_Integer (+ DIST_ZERO_1 15)) (= T_java_lang_Long (+ DIST_ZERO_1 16)) (= T_java_util_Dictionary (+ DIST_ZERO_1 17)) (= T_javafe_parser_PragmaParser (+ DIST_ZERO_1 18)) (= T_javafe_parser_Lex (+ DIST_ZERO_1 19)) (= T_java_util_Map (+ DIST_ZERO_1 20)) (= T_java_lang_Number (+ DIST_ZERO_1 21)) (= T_javafe_util_Location (+ DIST_ZERO_1 22)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 23)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 24)) (= T_javafe_ast_StmtPragma (+ DIST_ZERO_1 25)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 26)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 27)) (= T_javafe_ast_LexicalPragma (+ DIST_ZERO_1 28)) (= T_java_io_Serializable (+ DIST_ZERO_1 29)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 30)) (= T_java_lang_Object (+ DIST_ZERO_1 31)) (= T_javafe_ast_TypeDeclElemPragma (+ DIST_ZERO_1 32)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 33)) (= T_java_lang_Comparable (+ DIST_ZERO_1 34)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 35)) (= T_java_lang_Double (+ DIST_ZERO_1 36)) (= T_javafe_ast_ModifierPragmaVec (+ DIST_ZERO_1 37)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 38)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 39)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 40)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 41)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 42)) (= T_java_lang_Float (+ DIST_ZERO_1 43)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 44)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 45)) (= T_java_lang_String (+ DIST_ZERO_1 46)) (= T_javafe_parser_ParseUtil (+ DIST_ZERO_1 47)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 48)) (= T_javafe_parser_PunctuationPrefixTree (+ DIST_ZERO_1 49))) (= true_term (is TYPEDECLELEMPRAGMA_12_27_26 T_int)) (= TYPEDECLELEMPRAGMA_12_27_26 117) (= true_term (is IDENT_13_25_26 T_int)) (= IDENT_13_25_26 93) (= true_term (is BOOLEANLIT_13_38_26 T_int)) (= BOOLEANLIT_13_38_26 104) (= true_term (is noTokens_12_212_27 T_int)) (= true_term (is punctuationStrings_12_134_22 ?v_0)) (not (= punctuationStrings_12_134_22 null)) (= (typeof punctuationStrings_12_134_22) ?v_0) (= (arrayLength punctuationStrings_12_134_22) 48) (= true_term (is CHARLIT_13_41_26 T_int)) (= CHARLIT_13_41_26 107) (= true_term (is NULL_12_82_26 T_int)) (= NULL_12_82_26 163) (= true_term (is STRINGLIT_13_44_26 T_int)) (= STRINGLIT_13_44_26 110) (= true_term (is SYNCHRONIZED_12_93_26 T_int)) (= SYNCHRONIZED_12_93_26 174) (= true_term (is STRICT_12_90_26 T_int)) (= STRICT_12_90_26 171) (= true_term (is STMTPRAGMA_12_26_26 T_int)) (= STMTPRAGMA_12_26_26 116) (= true_term (is VOLATILE_12_101_26 T_int)) (= VOLATILE_12_101_26 182) (= true_term (is modifierKeywords_81_28 ?v_1)) (not (= modifierKeywords_81_28 null)) (= (typeof modifierKeywords_81_28) ?v_1) (= (arrayLength modifierKeywords_81_28) 12) (= true_term (is ABSTRACT_12_52_26 T_int)) (= ABSTRACT_12_52_26 133) (= true_term (is FINAL_12_68_26 T_int)) (= FINAL_12_68_26 149) (= true_term (is punctuationCodes_12_164_19 ?v_1)) (not (= punctuationCodes_12_164_19 null)) (= (typeof punctuationCodes_12_164_19) ?v_1) (= (arrayLength punctuationCodes_12_164_19) 48) (= true_term (is LONGLIT_13_40_26 T_int)) (= LONGLIT_13_40_26 106) (forall ((?s Int)) (=> (not (= ?s null)) (= true_term (is (S_select seqModifierPragma_74_32 ?s) T_javafe_util_StackVector)))) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select seqModifierPragma_74_32 ?s) null)))) (forall ((?s Int)) (=> (not (= ?s null)) (= (typeof (S_select seqModifierPragma_74_32 ?s)) T_javafe_util_StackVector))) (= true_term (is PRIVATE_12_84_26 T_int)) (= PRIVATE_12_84_26 165) (= true_term (is DOUBLELIT_13_43_26 T_int)) (= DOUBLELIT_13_43_26 109) (= true_term (is STATIC_12_89_26 T_int)) (= STATIC_12_89_26 170) (= true_term (is PUBLIC_12_86_26 T_int)) (= PUBLIC_12_86_26 167) (= true_term (is MODIFIERPRAGMA_12_25_26 T_int)) (= MODIFIERPRAGMA_12_25_26 115) (= true_term (is ACCESS_MODIFIERS_22_33_26 T_int)) (= ACCESS_MODIFIERS_22_33_26 7) (= true_term (is FIRST_KEYWORD_12_51_26 T_int)) (= FIRST_KEYWORD_12_51_26 133) (= true_term (is TYPEMODIFIERPRAGMA_12_28_26 T_int)) (= TYPEMODIFIERPRAGMA_12_28_26 118) (= true_term (is NONE_22_18_26 T_int)) (= NONE_22_18_26 0) (= true_term (is TRANSIENT_12_97_26 T_int)) (= TRANSIENT_12_97_26 178) (= true_term (is INTLIT_13_39_26 T_int)) (= INTLIT_13_39_26 105) (= true_term (is NULL_7_60_26 T_int)) (= NULL_7_60_26 0) (= true_term (is LAST_KEYWORD_12_103_26 T_int)) (= LAST_KEYWORD_12_103_26 183) (= true_term (is FLOATLIT_13_42_26 T_int)) (= FLOATLIT_13_42_26 108) (= true_term (is PROTECTED_12_85_26 T_int)) (= PROTECTED_12_85_26 166) (= true_term (is keywordStrings_12_181_30 ?v_0)) (not (= keywordStrings_12_181_30 null)) (= (typeof keywordStrings_12_181_30) ?v_0) (= (arrayLength keywordStrings_12_181_30) 51) (= true_term (is LEXICALPRAGMA_12_24_26 T_int)) (= LEXICALPRAGMA_12_24_26 114) (= true_term (is NATIVE_12_80_26 T_int)) (= NATIVE_12_80_26 161) (= true_term (is otherCodes_12_202_27 ?v_1)) (not (= otherCodes_12_202_27 null)) (= (typeof otherCodes_12_202_27) ?v_1) (= (arrayLength otherCodes_12_202_27) 15) (= true_term (is otherStrings_12_193_30 ?v_0)) (not (= otherStrings_12_193_30 null)) (= (typeof otherStrings_12_193_30) ?v_0) (= (arrayLength otherStrings_12_193_30) 15))))
(declare-fun locCloseBrace_pre_80_54_13 () Int)
(declare-fun locCloseBrace_80_54_13 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_12_27_26 () Int)
(declare-fun IDENT_pre_13_25_26 () Int)
(declare-fun BOOLEANLIT_pre_13_38_26 () Int)
(declare-fun noTokens_pre_12_212_27 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun m_in_pre_8_212_46 () Int)
(declare-fun m_in_8_212_46 () Int)
(declare-fun punctuationStrings_pre_12_134_22 () Int)
(declare-fun CHARLIT_pre_13_41_26 () Int)
(declare-fun tokenType_pre_68_90_8 () Int)
(declare-fun tokenType_68_90_8 () Int)
(declare-fun NULL_pre_12_82_26 () Int)
(declare-fun STRINGLIT_pre_13_44_26 () Int)
(declare-fun SYNCHRONIZED_pre_12_93_26 () Int)
(declare-fun STRICT_pre_12_90_26 () Int)
(declare-fun STMTPRAGMA_pre_12_26_26 () Int)
(declare-fun ttype_pre_9_52_15 () Int)
(declare-fun ttype_9_52_15 () Int)
(declare-fun elementType_pre_5_43_27 () Int)
(declare-fun elementType_5_43_27 () Int)
(declare-fun count_pre_21_67_33 () Int)
(declare-fun count_21_67_33 () Int)
(declare-fun VOLATILE_pre_12_101_26 () Int)
(declare-fun endingLoc_pre_9_72_15 () Int)
(declare-fun endingLoc_9_72_15 () Int)
(declare-fun modifierKeywords_pre_81_28 () Int)
(declare-fun ABSTRACT_pre_12_52_26 () Int)
(declare-fun FINAL_pre_12_68_26 () Int)
(declare-fun punctuationCodes_pre_12_164_19 () Int)
(declare-fun LONGLIT_pre_13_40_26 () Int)
(declare-fun startingLoc_pre_9_65_15 () Int)
(declare-fun startingLoc_9_65_15 () Int)
(declare-fun seqModifierPragma_pre_74_32 () Int)
(declare-fun PRIVATE_pre_12_84_26 () Int)
(declare-fun elementCount_pre_5_79_33 () Int)
(declare-fun elementCount_5_79_33 () Int)
(declare-fun DOUBLELIT_pre_13_43_26 () Int)
(declare-fun STATIC_pre_12_89_26 () Int)
(declare-fun PUBLIC_pre_12_86_26 () Int)
(declare-fun MODIFIERPRAGMA_pre_12_25_26 () Int)
(declare-fun ACCESS_MODIFIERS_pre_22_33_26 () Int)
(declare-fun FIRST_KEYWORD_pre_12_51_26 () Int)
(declare-fun inst_pre_11_29_44 () Int)
(declare-fun inst_11_29_44 () Int)
(declare-fun vectorCount_pre_5_97_33 () Int)
(declare-fun vectorCount_5_97_33 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_12_28_26 () Int)
(declare-fun NONE_pre_22_18_26 () Int)
(declare-fun TRANSIENT_pre_12_97_26 () Int)
(declare-fun INTLIT_pre_13_39_26 () Int)
(declare-fun code_pre_8_1294_15 () Int)
(declare-fun code_8_1294_15 () Int)
(declare-fun modifierPragmas_pre_134_29 () Int)
(declare-fun modifierPragmas_134_29 () Int)
(declare-fun auxVal_pre_9_127_18 () Int)
(declare-fun auxVal_9_127_18 () Int)
(declare-fun NULL_pre_7_60_26 () Int)
(declare-fun LAST_KEYWORD_pre_12_103_26 () Int)
(declare-fun elements_pre_21_61_43 () Int)
(declare-fun elements_21_61_43 () Int)
(declare-fun FLOATLIT_pre_13_42_26 () Int)
(declare-fun PROTECTED_pre_12_85_26 () Int)
(declare-fun keywordStrings_pre_12_181_30 () Int)
(declare-fun LEXICALPRAGMA_pre_12_24_26 () Int)
(declare-fun NATIVE_pre_12_80_26 () Int)
(declare-fun identifierVal_pre_9_80_22 () Int)
(declare-fun identifierVal_9_80_22 () Int)
(declare-fun loc_pre_80_45_13 () Int)
(declare-fun loc_80_45_13 () Int)
(declare-fun otherCodes_pre_12_202_27 () Int)
(declare-fun otherStrings_pre_12_193_30 () Int)
(declare-fun elements_pre_5_72_21 () Int)
(declare-fun elements_5_72_21 () Int)
(declare-fun locId_pre_80_48_13 () Int)
(declare-fun locId_80_48_13 () Int)
(declare-fun currentStackBottom_pre_5_87_33 () Int)
(declare-fun currentStackBottom_5_87_33 () Int)
(declare-fun locOpenBrace_pre_80_51_13 () Int)
(declare-fun locOpenBrace_80_51_13 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun objectToBeConstructed () Int)
(declare-fun after_24_23_24_23 () Int)
(declare-fun RES_24_23_24_23 () Int)
(declare-fun EC_24_23_24_23 () Int)
(declare-fun ecReturn () Int)
(declare-fun seqModifierPragma_74_32_1_ () Int)
(declare-fun modifierPragmas_134_29_1_ () Int)
(declare-fun after_74_52_74_52 () Int)
(declare-fun RES_74_52_74_52 () Int)
(declare-fun EC_74_52_74_52 () Int)
(declare-fun seqModifierPragma_74_32_2_ () Int)
(declare-fun tmp0_seqModifierPragma_25_9 () Int)
(declare-fun elementType_25_27 () Int)
(declare-fun tmp1_seqModifierPragma_26_9 () Int)
(declare-fun owner_26_27 () Int)
(assert (let ((?v_1 (array T_java_lang_String)) (?v_0 (array T_int)) (?v_5 (not (= true_term (isAllocated objectToBeConstructed alloc)))) (?v_6 (< alloc after_24_23_24_23)) (?v_7 (not (= RES_24_23_24_23 null))) (?v_8 (not (= true_term (isAllocated RES_24_23_24_23 alloc)))) (?v_9 (= true_term (is RES_24_23_24_23 T_java_lang_Object))) (?v_10 (= true_term (isAllocated RES_24_23_24_23 after_24_23_24_23))) (?v_11 (= EC_24_23_24_23 ecReturn)) (?v_12 (= (S_select owner_4_35_28 RES_24_23_24_23) null)) (?v_13 (= (PO_LT (typeof RES_24_23_24_23) T_javafe_parser_ParseUtil) true_term)) (?v_14 (= objectToBeConstructed RES_24_23_24_23)) (?v_15 (= seqModifierPragma_74_32_1_ (S_store seqModifierPragma_74_32 RES_24_23_24_23 null))) (?v_16 (= modifierPragmas_134_29_1_ (S_store modifierPragmas_134_29 RES_24_23_24_23 null))) (?v_17 (< after_24_23_24_23 after_74_52_74_52)) (?v_18 (not (= RES_74_52_74_52 null))) (?v_19 (not (= true_term (isAllocated RES_74_52_74_52 after_24_23_24_23)))) (?v_20 (= true_term (is RES_74_52_74_52 T_javafe_util_StackVector))) (?v_21 (= true_term (isAllocated RES_74_52_74_52 after_74_52_74_52))) (?v_2 (= EC_74_52_74_52 ecReturn)) (?v_22 (= (S_select owner_4_35_28 RES_74_52_74_52) null))) (let ((?v_23 (=> ?v_2 (= (S_select elementCount_5_79_33 RES_74_52_74_52) 0))) (?v_24 (=> ?v_2 (= (S_select vectorCount_5_97_33 RES_74_52_74_52) 1))) (?v_25 (= (typeof RES_74_52_74_52) T_javafe_util_StackVector)) (?v_26 (= seqModifierPragma_74_32_2_ (S_store seqModifierPragma_74_32_1_ RES_24_23_24_23 RES_74_52_74_52))) (?v_4 (S_select seqModifierPragma_74_32_2_ RES_24_23_24_23))) (let ((?v_27 (= tmp0_seqModifierPragma_25_9 ?v_4)) (?v_3 (not (= tmp0_seqModifierPragma_25_9 null))) (?v_28 (= elementType_25_27 (S_store elementType_5_43_27 ?v_4 T_javafe_ast_ModifierPragma))) (?v_29 (= tmp1_seqModifierPragma_26_9 ?v_4)) (?v_30 (not (= tmp1_seqModifierPragma_26_9 null))) (?v_31 (= ecReturn ecReturn)) (?v_32 (= (S_select owner_26_27 RES_24_23_24_23) null))) (not (=> true (=> (and (= locCloseBrace_pre_80_54_13 locCloseBrace_80_54_13) (= locCloseBrace_80_54_13 (asField locCloseBrace_80_54_13 T_int)) (= TYPEDECLELEMPRAGMA_pre_12_27_26 TYPEDECLELEMPRAGMA_12_27_26) (= true_term (is TYPEDECLELEMPRAGMA_12_27_26 T_int)) (= IDENT_pre_13_25_26 IDENT_13_25_26) (= true_term (is IDENT_13_25_26 T_int)) (= BOOLEANLIT_pre_13_38_26 BOOLEANLIT_13_38_26) (= true_term (is BOOLEANLIT_13_38_26 T_int)) (= noTokens_pre_12_212_27 noTokens_12_212_27) (= true_term (is noTokens_12_212_27 T_int)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= m_in_pre_8_212_46 m_in_8_212_46) (= m_in_8_212_46 (asField m_in_8_212_46 T_javafe_util_CorrelatedReader)) (< (fClosedTime m_in_8_212_46) alloc) (= punctuationStrings_pre_12_134_22 punctuationStrings_12_134_22) (= true_term (is punctuationStrings_12_134_22 ?v_1)) (= true_term (isAllocated punctuationStrings_12_134_22 alloc)) (= CHARLIT_pre_13_41_26 CHARLIT_13_41_26) (= true_term (is CHARLIT_13_41_26 T_int)) (= tokenType_pre_68_90_8 tokenType_68_90_8) (= tokenType_68_90_8 (asField tokenType_68_90_8 T_int)) (= NULL_pre_12_82_26 NULL_12_82_26) (= true_term (is NULL_12_82_26 T_int)) (= STRINGLIT_pre_13_44_26 STRINGLIT_13_44_26) (= true_term (is STRINGLIT_13_44_26 T_int)) (= SYNCHRONIZED_pre_12_93_26 SYNCHRONIZED_12_93_26) (= true_term (is SYNCHRONIZED_12_93_26 T_int)) (= STRICT_pre_12_90_26 STRICT_12_90_26) (= true_term (is STRICT_12_90_26 T_int)) (= STMTPRAGMA_pre_12_26_26 STMTPRAGMA_12_26_26) (= true_term (is STMTPRAGMA_12_26_26 T_int)) (= ttype_pre_9_52_15 ttype_9_52_15) (= ttype_9_52_15 (asField ttype_9_52_15 T_int)) (= elementType_pre_5_43_27 elementType_5_43_27) (= elementType_5_43_27 (asField elementType_5_43_27 T__TYPE)) (= count_pre_21_67_33 count_21_67_33) (= count_21_67_33 (asField count_21_67_33 T_int)) (= VOLATILE_pre_12_101_26 VOLATILE_12_101_26) (= true_term (is VOLATILE_12_101_26 T_int)) (= endingLoc_pre_9_72_15 endingLoc_9_72_15) (= endingLoc_9_72_15 (asField endingLoc_9_72_15 T_int)) (= modifierKeywords_pre_81_28 modifierKeywords_81_28) (= true_term (is modifierKeywords_81_28 ?v_0)) (= true_term (isAllocated modifierKeywords_81_28 alloc)) (= ABSTRACT_pre_12_52_26 ABSTRACT_12_52_26) (= true_term (is ABSTRACT_12_52_26 T_int)) (= FINAL_pre_12_68_26 FINAL_12_68_26) (= true_term (is FINAL_12_68_26 T_int)) (= punctuationCodes_pre_12_164_19 punctuationCodes_12_164_19) (= true_term (is punctuationCodes_12_164_19 ?v_0)) (= true_term (isAllocated punctuationCodes_12_164_19 alloc)) (= LONGLIT_pre_13_40_26 LONGLIT_13_40_26) (= true_term (is LONGLIT_13_40_26 T_int)) (= startingLoc_pre_9_65_15 startingLoc_9_65_15) (= startingLoc_9_65_15 (asField startingLoc_9_65_15 T_int)) (= seqModifierPragma_pre_74_32 seqModifierPragma_74_32) (= seqModifierPragma_74_32 (asField seqModifierPragma_74_32 T_javafe_util_StackVector)) (< (fClosedTime seqModifierPragma_74_32) alloc) (= PRIVATE_pre_12_84_26 PRIVATE_12_84_26) (= true_term (is PRIVATE_12_84_26 T_int)) (= elementCount_pre_5_79_33 elementCount_5_79_33) (= elementCount_5_79_33 (asField elementCount_5_79_33 T_int)) (= DOUBLELIT_pre_13_43_26 DOUBLELIT_13_43_26) (= true_term (is DOUBLELIT_13_43_26 T_int)) (= STATIC_pre_12_89_26 STATIC_12_89_26) (= true_term (is STATIC_12_89_26 T_int)) (= PUBLIC_pre_12_86_26 PUBLIC_12_86_26) (= true_term (is PUBLIC_12_86_26 T_int)) (= MODIFIERPRAGMA_pre_12_25_26 MODIFIERPRAGMA_12_25_26) (= true_term (is MODIFIERPRAGMA_12_25_26 T_int)) (= ACCESS_MODIFIERS_pre_22_33_26 ACCESS_MODIFIERS_22_33_26) (= true_term (is ACCESS_MODIFIERS_22_33_26 T_int)) (= FIRST_KEYWORD_pre_12_51_26 FIRST_KEYWORD_12_51_26) (= true_term (is FIRST_KEYWORD_12_51_26 T_int)) (= inst_pre_11_29_44 inst_11_29_44) (= true_term (is inst_11_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_11_29_44 alloc)) (not (= inst_11_29_44 null)) (= vectorCount_pre_5_97_33 vectorCount_5_97_33) (= vectorCount_5_97_33 (asField vectorCount_5_97_33 T_int)) (= TYPEMODIFIERPRAGMA_pre_12_28_26 TYPEMODIFIERPRAGMA_12_28_26) (= true_term (is TYPEMODIFIERPRAGMA_12_28_26 T_int)) (= NONE_pre_22_18_26 NONE_22_18_26) (= true_term (is NONE_22_18_26 T_int)) (= TRANSIENT_pre_12_97_26 TRANSIENT_12_97_26) (= true_term (is TRANSIENT_12_97_26 T_int)) (= INTLIT_pre_13_39_26 INTLIT_13_39_26) (= true_term (is INTLIT_13_39_26 T_int)) (= code_pre_8_1294_15 code_8_1294_15) (= code_8_1294_15 (asField code_8_1294_15 T_int)) (= modifierPragmas_pre_134_29 modifierPragmas_134_29) (= modifierPragmas_134_29 (asField modifierPragmas_134_29 T_javafe_ast_ModifierPragmaVec)) (< (fClosedTime modifierPragmas_134_29) alloc) (= auxVal_pre_9_127_18 auxVal_9_127_18) (= auxVal_9_127_18 (asField auxVal_9_127_18 T_java_lang_Object)) (< (fClosedTime auxVal_9_127_18) alloc) (= NULL_pre_7_60_26 NULL_7_60_26) (= true_term (is NULL_7_60_26 T_int)) (= LAST_KEYWORD_pre_12_103_26 LAST_KEYWORD_12_103_26) (= true_term (is LAST_KEYWORD_12_103_26 T_int)) (= elements_pre_21_61_43 elements_21_61_43) (= elements_21_61_43 (asField elements_21_61_43 (array T_javafe_ast_ModifierPragma))) (< (fClosedTime elements_21_61_43) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elements_21_61_43 ?s) null)))) (= FLOATLIT_pre_13_42_26 FLOATLIT_13_42_26) (= true_term (is FLOATLIT_13_42_26 T_int)) (= PROTECTED_pre_12_85_26 PROTECTED_12_85_26) (= true_term (is PROTECTED_12_85_26 T_int)) (= keywordStrings_pre_12_181_30 keywordStrings_12_181_30) (= true_term (is keywordStrings_12_181_30 ?v_1)) (= true_term (isAllocated keywordStrings_12_181_30 alloc)) (= LEXICALPRAGMA_pre_12_24_26 LEXICALPRAGMA_12_24_26) (= true_term (is LEXICALPRAGMA_12_24_26 T_int)) (= NATIVE_pre_12_80_26 NATIVE_12_80_26) (= true_term (is NATIVE_12_80_26 T_int)) (= identifierVal_pre_9_80_22 identifierVal_9_80_22) (= identifierVal_9_80_22 (asField identifierVal_9_80_22 T_javafe_ast_Identifier)) (< (fClosedTime identifierVal_9_80_22) alloc) (= loc_pre_80_45_13 loc_80_45_13) (= loc_80_45_13 (asField loc_80_45_13 T_int)) (= otherCodes_pre_12_202_27 otherCodes_12_202_27) (= true_term (is otherCodes_12_202_27 ?v_0)) (= true_term (isAllocated otherCodes_12_202_27 alloc)) (= otherStrings_pre_12_193_30 otherStrings_12_193_30) (= true_term (is otherStrings_12_193_30 ?v_1)) (= true_term (isAllocated otherStrings_12_193_30 alloc)) (= elements_pre_5_72_21 elements_5_72_21) (= elements_5_72_21 (asField elements_5_72_21 (array T_java_lang_Object))) (< (fClosedTime elements_5_72_21) alloc) (= locId_pre_80_48_13 locId_80_48_13) (= locId_80_48_13 (asField locId_80_48_13 T_int)) (= currentStackBottom_pre_5_87_33 currentStackBottom_5_87_33) (= currentStackBottom_5_87_33 (asField currentStackBottom_5_87_33 T_int)) (= locOpenBrace_pre_80_51_13 locOpenBrace_80_51_13) (= locOpenBrace_80_51_13 (asField locOpenBrace_80_51_13 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_util_StackVector)) (not (= ?brokenObj null))) (= (S_select owner_4_35_28 (S_select elements_5_72_21 ?brokenObj)) ?brokenObj))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_1_ null))) (<= 0 (S_select count_21_67_33 ?brokenObj_1_)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_2_ null))) (<= (S_select count_21_67_33 ?brokenObj_2_) (arrayLength (S_select elements_21_61_43 ?brokenObj_2_))))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_3_ null))) (forall ((?i_21_62_31 Int)) (=> (and (<= 0 ?i_21_62_31) (< ?i_21_62_31 (S_select count_21_67_33 ?brokenObj_3_))) (not (= (S_select (S_select elems (S_select elements_21_61_43 ?brokenObj_3_)) ?i_21_62_31) null)))))) (forall ((?brokenObj_4_ Int)) (let ((?v_33 (S_select currentStackBottom_5_87_33 ?brokenObj_4_))) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_util_StackVector)) (not (= ?brokenObj_4_ null))) (and (<= 0 ?v_33) (<= ?v_33 (S_select elementCount_5_79_33 ?brokenObj_4_)))))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_parser_ParseUtil)) (not (= ?brokenObj_5_ null)) (not (= ?brokenObj_5_ objectToBeConstructed))) (= (S_select owner_4_35_28 (S_select seqModifierPragma_74_32 ?brokenObj_5_)) ?brokenObj_5_))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_util_StackVector)) (not (= ?brokenObj_6_ null))) (not (= (S_select elements_5_72_21 ?brokenObj_6_) null)))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_util_StackVector)) (not (= ?brokenObj_7_ null))) (> (arrayLength (S_select elements_5_72_21 ?brokenObj_7_)) 0))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_util_StackVector)) (not (= ?brokenObj_8_ null))) (>= (S_select vectorCount_5_97_33 ?brokenObj_8_) 1))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_util_StackVector)) (not (= ?brokenObj_9_ null))) (forall ((?i_5_76_31 Int)) (let ((?v_34 (S_select (S_select elems (S_select elements_5_72_21 ?brokenObj_9_)) ?i_5_76_31))) (=> (and (<= 0 ?i_5_76_31) (< ?i_5_76_31 (S_select elementCount_5_79_33 ?brokenObj_9_))) (or (= ?v_34 null) (= (PO_LT (typeof ?v_34) (S_select elementType_5_43_27 ?brokenObj_9_)) true_term))))))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_10_ null))) (= (typeof (S_select elements_21_61_43 ?brokenObj_10_)) (array T_javafe_ast_ModifierPragma)))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_parser_ParseUtil)) (not (= ?brokenObj_11_ null)) (not (= ?brokenObj_11_ objectToBeConstructed))) (= (S_select elementType_5_43_27 (S_select seqModifierPragma_74_32 ?brokenObj_11_)) T_javafe_ast_ModifierPragma))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_ast_ModifierPragmaVec)) (not (= ?brokenObj_12_ null))) (= (S_select owner_4_35_28 (S_select elements_21_61_43 ?brokenObj_12_)) ?brokenObj_12_))) (forall ((?brokenObj_13_ Int)) (let ((?v_35 (S_select elementCount_5_79_33 ?brokenObj_13_))) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_util_StackVector)) (not (= ?brokenObj_13_ null))) (and (<= 0 ?v_35) (<= ?v_35 (arrayLength (S_select elements_5_72_21 ?brokenObj_13_))))))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_util_StackVector)) (not (= ?brokenObj_14_ null))) (= (typeof (S_select elements_5_72_21 ?brokenObj_14_)) (array T_java_lang_Object)))) (forall ((?brokenObj_15_ Int)) (let ((?v_36 (S_select currentStackBottom_5_87_33 ?brokenObj_15_))) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_util_StackVector)) (not (= ?brokenObj_15_ null))) (or (= ?v_36 0) (= (S_select (S_select elems (S_select elements_5_72_21 ?brokenObj_15_)) (- ?v_36 1)) null))))) (or (and ?v_5 ?v_6 ?v_7 ?v_8 ?v_9 ?v_10 ?v_11 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_2 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 (or (not ?v_3) (and ?v_3 ?v_28 ?v_29 (not ?v_30)))) (and ?v_5 ?v_6 ?v_7 ?v_8 ?v_9 ?v_10 ?v_11 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_2 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_3 ?v_28 ?v_29 ?v_30 (= owner_26_27 (S_store owner_4_35_28 ?v_4 RES_24_23_24_23)) (or (not ?v_31) (and ?v_31 (or (not ?v_32) (and ?v_32 (or (not (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_util_StackVector)) (= true_term (isAllocated ?brokenObj after_74_52_74_52)) (not (= ?brokenObj null)) (not (= ?brokenObj RES_24_23_24_23))) (= (S_select owner_26_27 (S_select elements_5_72_21 ?brokenObj)) ?brokenObj)))) (not (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_parser_ParseUtil)) (= true_term (isAllocated ?brokenObj_5_ after_74_52_74_52)) (not (= ?brokenObj_5_ null))) (= (S_select owner_26_27 (S_select seqModifierPragma_74_32_2_ ?brokenObj_5_)) ?brokenObj_5_)))) (not (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_util_StackVector)) (= true_term (isAllocated ?brokenObj_9_ after_74_52_74_52)) (not (= ?brokenObj_9_ null)) (not (= ?brokenObj_9_ RES_24_23_24_23))) (forall ((?i_5_76_31 Int)) (let ((?v_37 (S_select (S_select elems (S_select elements_5_72_21 ?brokenObj_9_)) ?i_5_76_31))) (=> (and (<= 0 ?i_5_76_31) (< ?i_5_76_31 (S_select elementCount_5_79_33 ?brokenObj_9_))) (or (= ?v_37 null) (= (PO_LT (typeof ?v_37) (S_select elementType_25_27 ?brokenObj_9_)) true_term)))))))) (not (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_parser_ParseUtil)) (= true_term (isAllocated ?brokenObj_11_ after_74_52_74_52)) (not (= ?brokenObj_11_ null))) (= (S_select elementType_25_27 (S_select seqModifierPragma_74_32_2_ ?brokenObj_11_)) T_javafe_ast_ModifierPragma)))) (not (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_ast_ModifierPragmaVec)) (= true_term (isAllocated ?brokenObj_12_ after_74_52_74_52)) (not (= ?brokenObj_12_ null)) (not (= ?brokenObj_12_ RES_24_23_24_23))) (= (S_select owner_26_27 (S_select elements_21_61_43 ?brokenObj_12_)) ?brokenObj_12_))))))))))))))))))))
(check-sat)
(exit)
