(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_lang_System () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun BITXOR_5_22_26 () Int)
(declare-fun ELSE_65_26 () Int)
(declare-fun C_COMMENT_47_26 () Int)
(declare-fun LBRACE_35_26 () Int)
(declare-fun ASGBITXOR_5_51_26 () Int)
(declare-fun LAST_TAG_4_47_26 () Int)
(declare-fun punctuationCodes_164_19 () Int)
(declare-fun NATIVE_80_26 () Int)
(declare-fun BREAK_54_26 () Int)
(declare-fun THROW_95_26 () Int)
(declare-fun FINALLY_69_26 () Int)
(declare-fun INTLIT_4_39_26 () Int)
(declare-fun ASGADD_5_44_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_28_26 () Int)
(declare-fun DEC_5_59_26 () Int)
(declare-fun DIV_5_35_26 () Int)
(declare-fun MAX_LONG_PLUS_ONE_21_26 () Int)
(declare-fun LE_5_28_26 () Int)
(declare-fun IMPLEMENTS_74_26 () Int)
(declare-fun LSQBRACKET_39_26 () Int)
(declare-fun CLASS_59_26 () Int)
(declare-fun BITOR_5_21_26 () Int)
(declare-fun STATIC_89_26 () Int)
(declare-fun VOID_100_26 () Int)
(declare-fun DOUBLE_64_26 () Int)
(declare-fun ASGBITOR_5_50_26 () Int)
(declare-fun BOOLEANLIT_4_38_26 () Int)
(declare-fun ASGREM_5_43_26 () Int)
(declare-fun LONG_79_26 () Int)
(declare-fun INC_5_58_26 () Int)
(declare-fun THIS_94_26 () Int)
(declare-fun SUB_5_34_26 () Int)
(declare-fun SEMICOLON_34_26 () Int)
(declare-fun BOOLEAN_53_26 () Int)
(declare-fun GT_5_27_26 () Int)
(declare-fun PRIVATE_84_26 () Int)
(declare-fun keywordStrings_181_30 () Int)
(declare-fun TYPEDECLELEMPRAGMA_27_26 () Int)
(declare-fun IDENT_4_25_26 () Int)
(declare-fun MAX_INT_PLUS_ONE_20_26 () Int)
(declare-fun IF_73_26 () Int)
(declare-fun CHAR_58_26 () Int)
(declare-fun STRINGLIT_4_44_26 () Int)
(declare-fun ASGBITAND_5_49_26 () Int)
(declare-fun SHORT_88_26 () Int)
(declare-fun TRY_99_26 () Int)
(declare-fun FIELD_45_26 () Int)
(declare-fun ASGDIV_5_42_26 () Int)
(declare-fun DO_63_26 () Int)
(declare-fun BITNOT_5_57_26 () Int)
(declare-fun ADD_5_33_26 () Int)
(declare-fun INTERFACE_78_26 () Int)
(declare-fun GE_5_26_26 () Int)
(declare-fun SYNCHRONIZED_93_26 () Int)
(declare-fun ABSTRACT_52_26 () Int)
(declare-fun FINAL_68_26 () Int)
(declare-fun AND_5_20_26 () Int)
(declare-fun DOUBLELIT_4_43_26 () Int)
(declare-fun PACKAGE_83_26 () Int)
(declare-fun ASGURSHIFT_5_48_26 () Int)
(declare-fun GOTO_72_26 () Int)
(declare-fun STMTPRAGMA_26_26 () Int)
(declare-fun CATCH_57_26 () Int)
(declare-fun EOF_17_26 () Int)
(declare-fun RPAREN_38_26 () Int)
(declare-fun ASGMUL_5_41_26 () Int)
(declare-fun RETURN_87_26 () Int)
(declare-fun TRUE_98_26 () Int)
(declare-fun NOT_5_56_26 () Int)
(declare-fun URSHIFT_5_32_26 () Int)
(declare-fun COLON_43_26 () Int)
(declare-fun DEFAULT_62_26 () Int)
(declare-fun EQ_5_25_26 () Int)
(declare-fun INT_77_26 () Int)
(declare-fun FIRST_KEYWORD_51_26 () Int)
(declare-fun SWITCH_92_26 () Int)
(declare-fun OR_5_19_26 () Int)
(declare-fun FLOATLIT_4_42_26 () Int)
(declare-fun ASGRSHIFT_5_47_26 () Int)
(declare-fun FALSE_67_26 () Int)
(declare-fun ASSIGN_5_40_26 () Int)
(declare-fun FOR_71_26 () Int)
(declare-fun NULL_82_26 () Int)
(declare-fun LAST_KEYWORD_103_26 () Int)
(declare-fun LPAREN_37_26 () Int)
(declare-fun RSHIFT_5_31_26 () Int)
(declare-fun COMMA_33_26 () Int)
(declare-fun MODIFIERPRAGMA_25_26 () Int)
(declare-fun CASE_56_26 () Int)
(declare-fun TRANSIENT_97_26 () Int)
(declare-fun NE_5_24_26 () Int)
(declare-fun PUBLIC_86_26 () Int)
(declare-fun CONTINUE_61_26 () Int)
(declare-fun QUESTIONMARK_42_26 () Int)
(declare-fun CHARLIT_4_41_26 () Int)
(declare-fun INSTANCEOF_76_26 () Int)
(declare-fun ASGLSHIFT_5_46_26 () Int)
(declare-fun SUPER_91_26 () Int)
(declare-fun STAR_5_37_26 () Int)
(declare-fun WHILE_102_26 () Int)
(declare-fun EOL_COMMENT_48_26 () Int)
(declare-fun EXTENDS_66_26 () Int)
(declare-fun LSHIFT_5_30_26 () Int)
(declare-fun BITAND_5_23_26 () Int)
(declare-fun RBRACE_36_26 () Int)
(declare-fun FLOAT_70_26 () Int)
(declare-fun otherCodes_202_27 () Int)
(declare-fun NEW_81_26 () Int)
(declare-fun BYTE_55_26 () Int)
(declare-fun THROWS_96_26 () Int)
(declare-fun otherStrings_193_30 () Int)
(declare-fun UNKNOWN_KEYWORD_30_26 () Int)
(declare-fun out_16_83_49 () Int)
(declare-fun PROTECTED_85_26 () Int)
(declare-fun LEXICALPRAGMA_24_26 () Int)
(declare-fun LONGLIT_4_40_26 () Int)
(declare-fun noTokens_212_27 () Int)
(declare-fun ASGSUB_5_45_26 () Int)
(declare-fun RSQBRACKET_40_26 () Int)
(declare-fun CONST_60_26 () Int)
(declare-fun punctuationStrings_134_22 () Int)
(declare-fun MOD_5_36_26 () Int)
(declare-fun IMPORT_75_26 () Int)
(declare-fun STRICT_90_26 () Int)
(declare-fun LT_5_29_26 () Int)
(declare-fun VOLATILE_101_26 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_lang_System (+ DIST_ZERO_1 10)) (= T_java_util_Properties (+ DIST_ZERO_1 11)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 12)) (= T_java_io_PrintStream (+ DIST_ZERO_1 13)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 14)) (= T_java_lang_Object (+ DIST_ZERO_1 15)) (= T_java_util_Dictionary (+ DIST_ZERO_1 16)) (= T_javafe_util_Assert (+ DIST_ZERO_1 17)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 18)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 19)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 20)) (= T_java_lang_String (+ DIST_ZERO_1 21)) (= T_java_io_Serializable (+ DIST_ZERO_1 22)) (= T_java_util_Hashtable (+ DIST_ZERO_1 23)) (= T_java_lang_Comparable (+ DIST_ZERO_1 24)) (= T_java_util_Map (+ DIST_ZERO_1 25)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 26)) (= T_java_io_OutputStream (+ DIST_ZERO_1 27)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 28))) (= true_term (is BITXOR_5_22_26 T_int)) (= BITXOR_5_22_26 57) (= true_term (is ELSE_65_26 T_int)) (= ELSE_65_26 146) (= true_term (is C_COMMENT_47_26 T_int)) (= C_COMMENT_47_26 131) (= true_term (is LBRACE_35_26 T_int)) (= LBRACE_35_26 122) (= true_term (is ASGBITXOR_5_51_26 T_int)) (= ASGBITXOR_5_51_26 84) (= true_term (is LAST_TAG_4_47_26 T_int)) (= LAST_TAG_4_47_26 111) (= true_term (is punctuationCodes_164_19 ?v_0)) (not (= punctuationCodes_164_19 null)) (= (typeof punctuationCodes_164_19) ?v_0) (= (arrayLength punctuationCodes_164_19) 48) (= true_term (is NATIVE_80_26 T_int)) (= NATIVE_80_26 161) (= true_term (is BREAK_54_26 T_int)) (= BREAK_54_26 135) (= true_term (is THROW_95_26 T_int)) (= THROW_95_26 176) (= true_term (is FINALLY_69_26 T_int)) (= FINALLY_69_26 150) (= true_term (is INTLIT_4_39_26 T_int)) (= INTLIT_4_39_26 105) (= true_term (is ASGADD_5_44_26 T_int)) (= ASGADD_5_44_26 77) (= true_term (is TYPEMODIFIERPRAGMA_28_26 T_int)) (= TYPEMODIFIERPRAGMA_28_26 118) (= true_term (is DEC_5_59_26 T_int)) (= DEC_5_59_26 90) (= true_term (is DIV_5_35_26 T_int)) (= DIV_5_35_26 70) (= true_term (is MAX_LONG_PLUS_ONE_21_26 T_int)) (= MAX_LONG_PLUS_ONE_21_26 113) (= true_term (is LE_5_28_26 T_int)) (= LE_5_28_26 63) (= true_term (is IMPLEMENTS_74_26 T_int)) (= IMPLEMENTS_74_26 155) (= true_term (is LSQBRACKET_39_26 T_int)) (= LSQBRACKET_39_26 126) (= true_term (is CLASS_59_26 T_int)) (= CLASS_59_26 140) (= true_term (is BITOR_5_21_26 T_int)) (= BITOR_5_21_26 56) (= true_term (is STATIC_89_26 T_int)) (= STATIC_89_26 170) (= true_term (is VOID_100_26 T_int)) (= VOID_100_26 181) (= true_term (is DOUBLE_64_26 T_int)) (= DOUBLE_64_26 145) (= true_term (is ASGBITOR_5_50_26 T_int)) (= ASGBITOR_5_50_26 83) (= true_term (is BOOLEANLIT_4_38_26 T_int)) (= BOOLEANLIT_4_38_26 104) (= true_term (is ASGREM_5_43_26 T_int)) (= ASGREM_5_43_26 76) (= true_term (is LONG_79_26 T_int)) (= LONG_79_26 160) (= true_term (is INC_5_58_26 T_int)) (= INC_5_58_26 89) (= true_term (is THIS_94_26 T_int)) (= THIS_94_26 175) (= true_term (is SUB_5_34_26 T_int)) (= SUB_5_34_26 69) (= true_term (is SEMICOLON_34_26 T_int)) (= SEMICOLON_34_26 121) (= true_term (is BOOLEAN_53_26 T_int)) (= BOOLEAN_53_26 134) (= true_term (is GT_5_27_26 T_int)) (= GT_5_27_26 62) (= true_term (is PRIVATE_84_26 T_int)) (= PRIVATE_84_26 165) (= true_term (is keywordStrings_181_30 ?v_1)) (not (= keywordStrings_181_30 null)) (= (typeof keywordStrings_181_30) ?v_1) (= (arrayLength keywordStrings_181_30) 51) (= true_term (is TYPEDECLELEMPRAGMA_27_26 T_int)) (= TYPEDECLELEMPRAGMA_27_26 117) (= true_term (is IDENT_4_25_26 T_int)) (= IDENT_4_25_26 93) (= true_term (is MAX_INT_PLUS_ONE_20_26 T_int)) (= MAX_INT_PLUS_ONE_20_26 112) (= true_term (is IF_73_26 T_int)) (= IF_73_26 154) (= true_term (is CHAR_58_26 T_int)) (= CHAR_58_26 139) (= true_term (is STRINGLIT_4_44_26 T_int)) (= STRINGLIT_4_44_26 110) (= true_term (is ASGBITAND_5_49_26 T_int)) (= ASGBITAND_5_49_26 82) (= true_term (is SHORT_88_26 T_int)) (= SHORT_88_26 169) (= true_term (is TRY_99_26 T_int)) (= TRY_99_26 180) (= true_term (is FIELD_45_26 T_int)) (= FIELD_45_26 130) (= true_term (is ASGDIV_5_42_26 T_int)) (= ASGDIV_5_42_26 75) (= true_term (is DO_63_26 T_int)) (= DO_63_26 144) (= true_term (is BITNOT_5_57_26 T_int)) (= BITNOT_5_57_26 88) (= true_term (is ADD_5_33_26 T_int)) (= ADD_5_33_26 68) (= true_term (is INTERFACE_78_26 T_int)) (= INTERFACE_78_26 159) (= true_term (is GE_5_26_26 T_int)) (= GE_5_26_26 61) (= true_term (is SYNCHRONIZED_93_26 T_int)) (= SYNCHRONIZED_93_26 174) (= true_term (is ABSTRACT_52_26 T_int)) (= ABSTRACT_52_26 133) (= true_term (is FINAL_68_26 T_int)) (= FINAL_68_26 149) (= true_term (is AND_5_20_26 T_int)) (= AND_5_20_26 55) (= true_term (is DOUBLELIT_4_43_26 T_int)) (= DOUBLELIT_4_43_26 109) (= true_term (is PACKAGE_83_26 T_int)) (= PACKAGE_83_26 164) (= true_term (is ASGURSHIFT_5_48_26 T_int)) (= ASGURSHIFT_5_48_26 81) (= true_term (is GOTO_72_26 T_int)) (= GOTO_72_26 153) (= true_term (is STMTPRAGMA_26_26 T_int)) (= STMTPRAGMA_26_26 116) (= true_term (is CATCH_57_26 T_int)) (= CATCH_57_26 138) (= true_term (is EOF_17_26 T_int)) (= EOF_17_26 111) (= true_term (is RPAREN_38_26 T_int)) (= RPAREN_38_26 125) (= true_term (is ASGMUL_5_41_26 T_int)) (= ASGMUL_5_41_26 74) (= true_term (is RETURN_87_26 T_int)) (= RETURN_87_26 168) (= true_term (is TRUE_98_26 T_int)) (= TRUE_98_26 179) (= true_term (is NOT_5_56_26 T_int)) (= NOT_5_56_26 87) (= true_term (is URSHIFT_5_32_26 T_int)) (= URSHIFT_5_32_26 67) (= true_term (is COLON_43_26 T_int)) (= COLON_43_26 129) (= true_term (is DEFAULT_62_26 T_int)) (= DEFAULT_62_26 143) (= true_term (is EQ_5_25_26 T_int)) (= EQ_5_25_26 60) (= true_term (is INT_77_26 T_int)) (= INT_77_26 158) (= true_term (is FIRST_KEYWORD_51_26 T_int)) (= FIRST_KEYWORD_51_26 133) (= true_term (is SWITCH_92_26 T_int)) (= SWITCH_92_26 173) (= true_term (is OR_5_19_26 T_int)) (= OR_5_19_26 54) (= true_term (is FLOATLIT_4_42_26 T_int)) (= FLOATLIT_4_42_26 108) (= true_term (is ASGRSHIFT_5_47_26 T_int)) (= ASGRSHIFT_5_47_26 80) (= true_term (is FALSE_67_26 T_int)) (= FALSE_67_26 148) (= true_term (is ASSIGN_5_40_26 T_int)) (= ASSIGN_5_40_26 73) (= true_term (is FOR_71_26 T_int)) (= FOR_71_26 152) (= true_term (is NULL_82_26 T_int)) (= NULL_82_26 163) (= true_term (is LAST_KEYWORD_103_26 T_int)) (= LAST_KEYWORD_103_26 183) (= true_term (is LPAREN_37_26 T_int)) (= LPAREN_37_26 124) (= true_term (is RSHIFT_5_31_26 T_int)) (= RSHIFT_5_31_26 66) (= true_term (is COMMA_33_26 T_int)) (= COMMA_33_26 120) (= true_term (is MODIFIERPRAGMA_25_26 T_int)) (= MODIFIERPRAGMA_25_26 115) (= true_term (is CASE_56_26 T_int)) (= CASE_56_26 137) (= true_term (is TRANSIENT_97_26 T_int)) (= TRANSIENT_97_26 178) (= true_term (is NE_5_24_26 T_int)) (= NE_5_24_26 59) (= true_term (is PUBLIC_86_26 T_int)) (= PUBLIC_86_26 167) (= true_term (is CONTINUE_61_26 T_int)) (= CONTINUE_61_26 142) (= true_term (is QUESTIONMARK_42_26 T_int)) (= QUESTIONMARK_42_26 128) (= true_term (is CHARLIT_4_41_26 T_int)) (= CHARLIT_4_41_26 107) (= true_term (is INSTANCEOF_76_26 T_int)) (= INSTANCEOF_76_26 157) (= true_term (is ASGLSHIFT_5_46_26 T_int)) (= ASGLSHIFT_5_46_26 79) (= true_term (is SUPER_91_26 T_int)) (= SUPER_91_26 172) (= true_term (is STAR_5_37_26 T_int)) (= STAR_5_37_26 72) (= true_term (is WHILE_102_26 T_int)) (= WHILE_102_26 183) (= true_term (is EOL_COMMENT_48_26 T_int)) (= EOL_COMMENT_48_26 132) (= true_term (is EXTENDS_66_26 T_int)) (= EXTENDS_66_26 147) (= true_term (is LSHIFT_5_30_26 T_int)) (= LSHIFT_5_30_26 65) (= true_term (is BITAND_5_23_26 T_int)) (= BITAND_5_23_26 58) (= true_term (is RBRACE_36_26 T_int)) (= RBRACE_36_26 123) (= true_term (is FLOAT_70_26 T_int)) (= FLOAT_70_26 151) (= true_term (is otherCodes_202_27 ?v_0)) (not (= otherCodes_202_27 null)) (= (typeof otherCodes_202_27) ?v_0) (= (arrayLength otherCodes_202_27) 15) (= true_term (is NEW_81_26 T_int)) (= NEW_81_26 162) (= true_term (is BYTE_55_26 T_int)) (= BYTE_55_26 136) (= true_term (is THROWS_96_26 T_int)) (= THROWS_96_26 177) (= true_term (is otherStrings_193_30 ?v_1)) (not (= otherStrings_193_30 null)) (= (typeof otherStrings_193_30) ?v_1) (= (arrayLength otherStrings_193_30) 15) (= true_term (is UNKNOWN_KEYWORD_30_26 T_int)) (= UNKNOWN_KEYWORD_30_26 119) (= true_term (is out_16_83_49 T_java_io_PrintStream)) (= true_term (is PROTECTED_85_26 T_int)) (= PROTECTED_85_26 166) (= true_term (is LEXICALPRAGMA_24_26 T_int)) (= LEXICALPRAGMA_24_26 114) (= true_term (is LONGLIT_4_40_26 T_int)) (= LONGLIT_4_40_26 106) (= true_term (is noTokens_212_27 T_int)) (= true_term (is ASGSUB_5_45_26 T_int)) (= ASGSUB_5_45_26 78) (= true_term (is RSQBRACKET_40_26 T_int)) (= RSQBRACKET_40_26 127) (= true_term (is CONST_60_26 T_int)) (= CONST_60_26 141) (= true_term (is punctuationStrings_134_22 ?v_1)) (not (= punctuationStrings_134_22 null)) (= (typeof punctuationStrings_134_22) ?v_1) (= (arrayLength punctuationStrings_134_22) 48) (= true_term (is MOD_5_36_26 T_int)) (= MOD_5_36_26 71) (= true_term (is IMPORT_75_26 T_int)) (= IMPORT_75_26 156) (= true_term (is STRICT_90_26 T_int)) (= STRICT_90_26 171) (= true_term (is LT_5_29_26 T_int)) (= LT_5_29_26 64) (= true_term (is VOLATILE_101_26 T_int)) (= VOLATILE_101_26 182))))
(declare-fun BITXOR_pre_5_22_26 () Int)
(declare-fun ELSE_pre_65_26 () Int)
(declare-fun C_COMMENT_pre_47_26 () Int)
(declare-fun LBRACE_pre_35_26 () Int)
(declare-fun ASGBITXOR_pre_5_51_26 () Int)
(declare-fun LAST_TAG_pre_4_47_26 () Int)
(declare-fun punctuationCodes_pre_164_19 () Int)
(declare-fun NATIVE_pre_80_26 () Int)
(declare-fun BREAK_pre_54_26 () Int)
(declare-fun THROW_pre_95_26 () Int)
(declare-fun FINALLY_pre_69_26 () Int)
(declare-fun INTLIT_pre_4_39_26 () Int)
(declare-fun ASGADD_pre_5_44_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_28_26 () Int)
(declare-fun DEC_pre_5_59_26 () Int)
(declare-fun DIV_pre_5_35_26 () Int)
(declare-fun MAX_LONG_PLUS_ONE_pre_21_26 () Int)
(declare-fun LE_pre_5_28_26 () Int)
(declare-fun IMPLEMENTS_pre_74_26 () Int)
(declare-fun LSQBRACKET_pre_39_26 () Int)
(declare-fun CLASS_pre_59_26 () Int)
(declare-fun BITOR_pre_5_21_26 () Int)
(declare-fun STATIC_pre_89_26 () Int)
(declare-fun VOID_pre_100_26 () Int)
(declare-fun DOUBLE_pre_64_26 () Int)
(declare-fun ASGBITOR_pre_5_50_26 () Int)
(declare-fun BOOLEANLIT_pre_4_38_26 () Int)
(declare-fun ASGREM_pre_5_43_26 () Int)
(declare-fun LONG_pre_79_26 () Int)
(declare-fun INC_pre_5_58_26 () Int)
(declare-fun THIS_pre_94_26 () Int)
(declare-fun SUB_pre_5_34_26 () Int)
(declare-fun SEMICOLON_pre_34_26 () Int)
(declare-fun BOOLEAN_pre_53_26 () Int)
(declare-fun GT_pre_5_27_26 () Int)
(declare-fun PRIVATE_pre_84_26 () Int)
(declare-fun keywordStrings_pre_181_30 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_27_26 () Int)
(declare-fun IDENT_pre_4_25_26 () Int)
(declare-fun MAX_INT_PLUS_ONE_pre_20_26 () Int)
(declare-fun IF_pre_73_26 () Int)
(declare-fun CHAR_pre_58_26 () Int)
(declare-fun STRINGLIT_pre_4_44_26 () Int)
(declare-fun ASGBITAND_pre_5_49_26 () Int)
(declare-fun SHORT_pre_88_26 () Int)
(declare-fun TRY_pre_99_26 () Int)
(declare-fun FIELD_pre_45_26 () Int)
(declare-fun ASGDIV_pre_5_42_26 () Int)
(declare-fun DO_pre_63_26 () Int)
(declare-fun BITNOT_pre_5_57_26 () Int)
(declare-fun ADD_pre_5_33_26 () Int)
(declare-fun owner_pre_7_35_28 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun INTERFACE_pre_78_26 () Int)
(declare-fun GE_pre_5_26_26 () Int)
(declare-fun SYNCHRONIZED_pre_93_26 () Int)
(declare-fun ABSTRACT_pre_52_26 () Int)
(declare-fun FINAL_pre_68_26 () Int)
(declare-fun AND_pre_5_20_26 () Int)
(declare-fun DOUBLELIT_pre_4_43_26 () Int)
(declare-fun PACKAGE_pre_83_26 () Int)
(declare-fun ASGURSHIFT_pre_5_48_26 () Int)
(declare-fun GOTO_pre_72_26 () Int)
(declare-fun STMTPRAGMA_pre_26_26 () Int)
(declare-fun CATCH_pre_57_26 () Int)
(declare-fun EOF_pre_17_26 () Int)
(declare-fun RPAREN_pre_38_26 () Int)
(declare-fun ASGMUL_pre_5_41_26 () Int)
(declare-fun RETURN_pre_87_26 () Int)
(declare-fun TRUE_pre_98_26 () Int)
(declare-fun NOT_pre_5_56_26 () Int)
(declare-fun URSHIFT_pre_5_32_26 () Int)
(declare-fun COLON_pre_43_26 () Int)
(declare-fun DEFAULT_pre_62_26 () Int)
(declare-fun EQ_pre_5_25_26 () Int)
(declare-fun INT_pre_77_26 () Int)
(declare-fun FIRST_KEYWORD_pre_51_26 () Int)
(declare-fun SWITCH_pre_92_26 () Int)
(declare-fun OR_pre_5_19_26 () Int)
(declare-fun FLOATLIT_pre_4_42_26 () Int)
(declare-fun ASGRSHIFT_pre_5_47_26 () Int)
(declare-fun FALSE_pre_67_26 () Int)
(declare-fun ASSIGN_pre_5_40_26 () Int)
(declare-fun FOR_pre_71_26 () Int)
(declare-fun NULL_pre_82_26 () Int)
(declare-fun LAST_KEYWORD_pre_103_26 () Int)
(declare-fun LPAREN_pre_37_26 () Int)
(declare-fun RSHIFT_pre_5_31_26 () Int)
(declare-fun COMMA_pre_33_26 () Int)
(declare-fun MODIFIERPRAGMA_pre_25_26 () Int)
(declare-fun CASE_pre_56_26 () Int)
(declare-fun TRANSIENT_pre_97_26 () Int)
(declare-fun NE_pre_5_24_26 () Int)
(declare-fun PUBLIC_pre_86_26 () Int)
(declare-fun CONTINUE_pre_61_26 () Int)
(declare-fun QUESTIONMARK_pre_42_26 () Int)
(declare-fun CHARLIT_pre_4_41_26 () Int)
(declare-fun INSTANCEOF_pre_76_26 () Int)
(declare-fun ASGLSHIFT_pre_5_46_26 () Int)
(declare-fun SUPER_pre_91_26 () Int)
(declare-fun STAR_pre_5_37_26 () Int)
(declare-fun WHILE_pre_102_26 () Int)
(declare-fun EOL_COMMENT_pre_48_26 () Int)
(declare-fun EXTENDS_pre_66_26 () Int)
(declare-fun LSHIFT_pre_5_30_26 () Int)
(declare-fun BITAND_pre_5_23_26 () Int)
(declare-fun RBRACE_pre_36_26 () Int)
(declare-fun FLOAT_pre_70_26 () Int)
(declare-fun otherCodes_pre_202_27 () Int)
(declare-fun NEW_pre_81_26 () Int)
(declare-fun BYTE_pre_55_26 () Int)
(declare-fun THROWS_pre_96_26 () Int)
(declare-fun otherStrings_pre_193_30 () Int)
(declare-fun UNKNOWN_KEYWORD_pre_30_26 () Int)
(declare-fun out_pre_16_83_49 () Int)
(declare-fun PROTECTED_pre_85_26 () Int)
(declare-fun LEXICALPRAGMA_pre_24_26 () Int)
(declare-fun LONGLIT_pre_4_40_26 () Int)
(declare-fun noTokens_pre_212_27 () Int)
(declare-fun ASGSUB_pre_5_45_26 () Int)
(declare-fun RSQBRACKET_pre_40_26 () Int)
(declare-fun CONST_pre_60_26 () Int)
(declare-fun punctuationStrings_pre_134_22 () Int)
(declare-fun MOD_pre_5_36_26 () Int)
(declare-fun IMPORT_pre_75_26 () Int)
(declare-fun STRICT_pre_90_26 () Int)
(declare-fun LT_pre_5_29_26 () Int)
(declare-fun VOLATILE_pre_101_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun index_231_38 () Int)
(declare-fun tmp0_cand_232_24 () Int)
(declare-fun tmp0_cand_232_35 () Int)
(declare-fun EC_232_11_232_11 () Int)
(declare-fun ecReturn () Int)
(declare-fun index_235_4 () Int)
(declare-fun index_238_4 () Int)
(declare-fun index_241_4 () Int)
(declare-fun RES () Int)
(declare-fun RES_1_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun RES_3_ () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String)) (?v_8 (not (= keywordStrings_181_30 null))) (?v_2 (arrayLength keywordStrings_181_30)) (?v_19 (not (= otherStrings_193_30 null))) (?v_4 (arrayLength otherStrings_193_30)) (?v_14 (not (= punctuationStrings_134_22 null))) (?v_3 (arrayLength punctuationStrings_134_22)) (?v_6 (<= 0 index_231_38)) (?v_5 (S_select owner_7_35_28 punctuationCodes_164_19))) (let ((?v_11 (not ?v_6)) (?v_9 (= true_term true_term))) (let ((?v_24 (or (and ?v_6 (= tmp0_cand_232_24 (integralLT index_231_38 noTokens_212_27)) (= tmp0_cand_232_35 tmp0_cand_232_24)) (and ?v_11 ?v_9 (= tmp0_cand_232_35 false_term)))) (?v_7 (= true_term tmp0_cand_232_35)) (?v_25 (= EC_232_11_232_11 ecReturn)) (?v_10 (not ?v_8)) (?v_12 (< index_231_38 ?v_2))) (let ((?v_13 (not ?v_12)) (?v_26 (= index_235_4 (- index_231_38 ?v_2))) (?v_15 (not ?v_14)) (?v_17 (< index_235_4 ?v_3)) (?v_16 (<= 0 index_235_4))) (let ((?v_18 (not ?v_17)) (?v_27 (= index_238_4 (- index_235_4 ?v_3))) (?v_20 (not ?v_19)) (?v_22 (< index_238_4 ?v_4)) (?v_21 (<= 0 index_238_4))) (let ((?v_23 (not ?v_22)) (?v_28 (= index_241_4 (- index_238_4 ?v_4))) (?v_29 (= true_term false_term)) (?v_30 (= ecReturn ecReturn))) (not (=> true (=> (and (= BITXOR_pre_5_22_26 BITXOR_5_22_26) (= true_term (is BITXOR_5_22_26 T_int)) (= ELSE_pre_65_26 ELSE_65_26) (= true_term (is ELSE_65_26 T_int)) (= C_COMMENT_pre_47_26 C_COMMENT_47_26) (= true_term (is C_COMMENT_47_26 T_int)) (= LBRACE_pre_35_26 LBRACE_35_26) (= true_term (is LBRACE_35_26 T_int)) (= ASGBITXOR_pre_5_51_26 ASGBITXOR_5_51_26) (= true_term (is ASGBITXOR_5_51_26 T_int)) (= LAST_TAG_pre_4_47_26 LAST_TAG_4_47_26) (= true_term (is LAST_TAG_4_47_26 T_int)) (= punctuationCodes_pre_164_19 punctuationCodes_164_19) (= true_term (is punctuationCodes_164_19 ?v_0)) (= true_term (isAllocated punctuationCodes_164_19 alloc)) (= NATIVE_pre_80_26 NATIVE_80_26) (= true_term (is NATIVE_80_26 T_int)) (= BREAK_pre_54_26 BREAK_54_26) (= true_term (is BREAK_54_26 T_int)) (= THROW_pre_95_26 THROW_95_26) (= true_term (is THROW_95_26 T_int)) (= FINALLY_pre_69_26 FINALLY_69_26) (= true_term (is FINALLY_69_26 T_int)) (= INTLIT_pre_4_39_26 INTLIT_4_39_26) (= true_term (is INTLIT_4_39_26 T_int)) (= ASGADD_pre_5_44_26 ASGADD_5_44_26) (= true_term (is ASGADD_5_44_26 T_int)) (= TYPEMODIFIERPRAGMA_pre_28_26 TYPEMODIFIERPRAGMA_28_26) (= true_term (is TYPEMODIFIERPRAGMA_28_26 T_int)) (= DEC_pre_5_59_26 DEC_5_59_26) (= true_term (is DEC_5_59_26 T_int)) (= DIV_pre_5_35_26 DIV_5_35_26) (= true_term (is DIV_5_35_26 T_int)) (= MAX_LONG_PLUS_ONE_pre_21_26 MAX_LONG_PLUS_ONE_21_26) (= true_term (is MAX_LONG_PLUS_ONE_21_26 T_int)) (= LE_pre_5_28_26 LE_5_28_26) (= true_term (is LE_5_28_26 T_int)) (= IMPLEMENTS_pre_74_26 IMPLEMENTS_74_26) (= true_term (is IMPLEMENTS_74_26 T_int)) (= LSQBRACKET_pre_39_26 LSQBRACKET_39_26) (= true_term (is LSQBRACKET_39_26 T_int)) (= CLASS_pre_59_26 CLASS_59_26) (= true_term (is CLASS_59_26 T_int)) (= BITOR_pre_5_21_26 BITOR_5_21_26) (= true_term (is BITOR_5_21_26 T_int)) (= STATIC_pre_89_26 STATIC_89_26) (= true_term (is STATIC_89_26 T_int)) (= VOID_pre_100_26 VOID_100_26) (= true_term (is VOID_100_26 T_int)) (= DOUBLE_pre_64_26 DOUBLE_64_26) (= true_term (is DOUBLE_64_26 T_int)) (= ASGBITOR_pre_5_50_26 ASGBITOR_5_50_26) (= true_term (is ASGBITOR_5_50_26 T_int)) (= BOOLEANLIT_pre_4_38_26 BOOLEANLIT_4_38_26) (= true_term (is BOOLEANLIT_4_38_26 T_int)) (= ASGREM_pre_5_43_26 ASGREM_5_43_26) (= true_term (is ASGREM_5_43_26 T_int)) (= LONG_pre_79_26 LONG_79_26) (= true_term (is LONG_79_26 T_int)) (= INC_pre_5_58_26 INC_5_58_26) (= true_term (is INC_5_58_26 T_int)) (= THIS_pre_94_26 THIS_94_26) (= true_term (is THIS_94_26 T_int)) (= SUB_pre_5_34_26 SUB_5_34_26) (= true_term (is SUB_5_34_26 T_int)) (= SEMICOLON_pre_34_26 SEMICOLON_34_26) (= true_term (is SEMICOLON_34_26 T_int)) (= BOOLEAN_pre_53_26 BOOLEAN_53_26) (= true_term (is BOOLEAN_53_26 T_int)) (= GT_pre_5_27_26 GT_5_27_26) (= true_term (is GT_5_27_26 T_int)) (= PRIVATE_pre_84_26 PRIVATE_84_26) (= true_term (is PRIVATE_84_26 T_int)) (= keywordStrings_pre_181_30 keywordStrings_181_30) (= true_term (is keywordStrings_181_30 ?v_1)) (= true_term (isAllocated keywordStrings_181_30 alloc)) (= TYPEDECLELEMPRAGMA_pre_27_26 TYPEDECLELEMPRAGMA_27_26) (= true_term (is TYPEDECLELEMPRAGMA_27_26 T_int)) (= IDENT_pre_4_25_26 IDENT_4_25_26) (= true_term (is IDENT_4_25_26 T_int)) (= MAX_INT_PLUS_ONE_pre_20_26 MAX_INT_PLUS_ONE_20_26) (= true_term (is MAX_INT_PLUS_ONE_20_26 T_int)) (= IF_pre_73_26 IF_73_26) (= true_term (is IF_73_26 T_int)) (= CHAR_pre_58_26 CHAR_58_26) (= true_term (is CHAR_58_26 T_int)) (= STRINGLIT_pre_4_44_26 STRINGLIT_4_44_26) (= true_term (is STRINGLIT_4_44_26 T_int)) (= ASGBITAND_pre_5_49_26 ASGBITAND_5_49_26) (= true_term (is ASGBITAND_5_49_26 T_int)) (= SHORT_pre_88_26 SHORT_88_26) (= true_term (is SHORT_88_26 T_int)) (= TRY_pre_99_26 TRY_99_26) (= true_term (is TRY_99_26 T_int)) (= FIELD_pre_45_26 FIELD_45_26) (= true_term (is FIELD_45_26 T_int)) (= ASGDIV_pre_5_42_26 ASGDIV_5_42_26) (= true_term (is ASGDIV_5_42_26 T_int)) (= DO_pre_63_26 DO_63_26) (= true_term (is DO_63_26 T_int)) (= BITNOT_pre_5_57_26 BITNOT_5_57_26) (= true_term (is BITNOT_5_57_26 T_int)) (= ADD_pre_5_33_26 ADD_5_33_26) (= true_term (is ADD_5_33_26 T_int)) (= owner_pre_7_35_28 owner_7_35_28) (= owner_7_35_28 (asField owner_7_35_28 T_java_lang_Object)) (< (fClosedTime owner_7_35_28) alloc) (= INTERFACE_pre_78_26 INTERFACE_78_26) (= true_term (is INTERFACE_78_26 T_int)) (= GE_pre_5_26_26 GE_5_26_26) (= true_term (is GE_5_26_26 T_int)) (= SYNCHRONIZED_pre_93_26 SYNCHRONIZED_93_26) (= true_term (is SYNCHRONIZED_93_26 T_int)) (= ABSTRACT_pre_52_26 ABSTRACT_52_26) (= true_term (is ABSTRACT_52_26 T_int)) (= FINAL_pre_68_26 FINAL_68_26) (= true_term (is FINAL_68_26 T_int)) (= AND_pre_5_20_26 AND_5_20_26) (= true_term (is AND_5_20_26 T_int)) (= DOUBLELIT_pre_4_43_26 DOUBLELIT_4_43_26) (= true_term (is DOUBLELIT_4_43_26 T_int)) (= PACKAGE_pre_83_26 PACKAGE_83_26) (= true_term (is PACKAGE_83_26 T_int)) (= ASGURSHIFT_pre_5_48_26 ASGURSHIFT_5_48_26) (= true_term (is ASGURSHIFT_5_48_26 T_int)) (= GOTO_pre_72_26 GOTO_72_26) (= true_term (is GOTO_72_26 T_int)) (= STMTPRAGMA_pre_26_26 STMTPRAGMA_26_26) (= true_term (is STMTPRAGMA_26_26 T_int)) (= CATCH_pre_57_26 CATCH_57_26) (= true_term (is CATCH_57_26 T_int)) (= EOF_pre_17_26 EOF_17_26) (= true_term (is EOF_17_26 T_int)) (= RPAREN_pre_38_26 RPAREN_38_26) (= true_term (is RPAREN_38_26 T_int)) (= ASGMUL_pre_5_41_26 ASGMUL_5_41_26) (= true_term (is ASGMUL_5_41_26 T_int)) (= RETURN_pre_87_26 RETURN_87_26) (= true_term (is RETURN_87_26 T_int)) (= TRUE_pre_98_26 TRUE_98_26) (= true_term (is TRUE_98_26 T_int)) (= NOT_pre_5_56_26 NOT_5_56_26) (= true_term (is NOT_5_56_26 T_int)) (= URSHIFT_pre_5_32_26 URSHIFT_5_32_26) (= true_term (is URSHIFT_5_32_26 T_int)) (= COLON_pre_43_26 COLON_43_26) (= true_term (is COLON_43_26 T_int)) (= DEFAULT_pre_62_26 DEFAULT_62_26) (= true_term (is DEFAULT_62_26 T_int)) (= EQ_pre_5_25_26 EQ_5_25_26) (= true_term (is EQ_5_25_26 T_int)) (= INT_pre_77_26 INT_77_26) (= true_term (is INT_77_26 T_int)) (= FIRST_KEYWORD_pre_51_26 FIRST_KEYWORD_51_26) (= true_term (is FIRST_KEYWORD_51_26 T_int)) (= SWITCH_pre_92_26 SWITCH_92_26) (= true_term (is SWITCH_92_26 T_int)) (= OR_pre_5_19_26 OR_5_19_26) (= true_term (is OR_5_19_26 T_int)) (= FLOATLIT_pre_4_42_26 FLOATLIT_4_42_26) (= true_term (is FLOATLIT_4_42_26 T_int)) (= ASGRSHIFT_pre_5_47_26 ASGRSHIFT_5_47_26) (= true_term (is ASGRSHIFT_5_47_26 T_int)) (= FALSE_pre_67_26 FALSE_67_26) (= true_term (is FALSE_67_26 T_int)) (= ASSIGN_pre_5_40_26 ASSIGN_5_40_26) (= true_term (is ASSIGN_5_40_26 T_int)) (= FOR_pre_71_26 FOR_71_26) (= true_term (is FOR_71_26 T_int)) (= NULL_pre_82_26 NULL_82_26) (= true_term (is NULL_82_26 T_int)) (= LAST_KEYWORD_pre_103_26 LAST_KEYWORD_103_26) (= true_term (is LAST_KEYWORD_103_26 T_int)) (= LPAREN_pre_37_26 LPAREN_37_26) (= true_term (is LPAREN_37_26 T_int)) (= RSHIFT_pre_5_31_26 RSHIFT_5_31_26) (= true_term (is RSHIFT_5_31_26 T_int)) (= COMMA_pre_33_26 COMMA_33_26) (= true_term (is COMMA_33_26 T_int)) (= MODIFIERPRAGMA_pre_25_26 MODIFIERPRAGMA_25_26) (= true_term (is MODIFIERPRAGMA_25_26 T_int)) (= CASE_pre_56_26 CASE_56_26) (= true_term (is CASE_56_26 T_int)) (= TRANSIENT_pre_97_26 TRANSIENT_97_26) (= true_term (is TRANSIENT_97_26 T_int)) (= NE_pre_5_24_26 NE_5_24_26) (= true_term (is NE_5_24_26 T_int)) (= PUBLIC_pre_86_26 PUBLIC_86_26) (= true_term (is PUBLIC_86_26 T_int)) (= CONTINUE_pre_61_26 CONTINUE_61_26) (= true_term (is CONTINUE_61_26 T_int)) (= QUESTIONMARK_pre_42_26 QUESTIONMARK_42_26) (= true_term (is QUESTIONMARK_42_26 T_int)) (= CHARLIT_pre_4_41_26 CHARLIT_4_41_26) (= true_term (is CHARLIT_4_41_26 T_int)) (= INSTANCEOF_pre_76_26 INSTANCEOF_76_26) (= true_term (is INSTANCEOF_76_26 T_int)) (= ASGLSHIFT_pre_5_46_26 ASGLSHIFT_5_46_26) (= true_term (is ASGLSHIFT_5_46_26 T_int)) (= SUPER_pre_91_26 SUPER_91_26) (= true_term (is SUPER_91_26 T_int)) (= STAR_pre_5_37_26 STAR_5_37_26) (= true_term (is STAR_5_37_26 T_int)) (= WHILE_pre_102_26 WHILE_102_26) (= true_term (is WHILE_102_26 T_int)) (= EOL_COMMENT_pre_48_26 EOL_COMMENT_48_26) (= true_term (is EOL_COMMENT_48_26 T_int)) (= EXTENDS_pre_66_26 EXTENDS_66_26) (= true_term (is EXTENDS_66_26 T_int)) (= LSHIFT_pre_5_30_26 LSHIFT_5_30_26) (= true_term (is LSHIFT_5_30_26 T_int)) (= BITAND_pre_5_23_26 BITAND_5_23_26) (= true_term (is BITAND_5_23_26 T_int)) (= RBRACE_pre_36_26 RBRACE_36_26) (= true_term (is RBRACE_36_26 T_int)) (= FLOAT_pre_70_26 FLOAT_70_26) (= true_term (is FLOAT_70_26 T_int)) (= otherCodes_pre_202_27 otherCodes_202_27) (= true_term (is otherCodes_202_27 ?v_0)) (= true_term (isAllocated otherCodes_202_27 alloc)) (= NEW_pre_81_26 NEW_81_26) (= true_term (is NEW_81_26 T_int)) (= BYTE_pre_55_26 BYTE_55_26) (= true_term (is BYTE_55_26 T_int)) (= THROWS_pre_96_26 THROWS_96_26) (= true_term (is THROWS_96_26 T_int)) (= otherStrings_pre_193_30 otherStrings_193_30) (= true_term (is otherStrings_193_30 ?v_1)) (= true_term (isAllocated otherStrings_193_30 alloc)) (= UNKNOWN_KEYWORD_pre_30_26 UNKNOWN_KEYWORD_30_26) (= true_term (is UNKNOWN_KEYWORD_30_26 T_int)) (= out_pre_16_83_49 out_16_83_49) (= true_term (is out_16_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_16_83_49 alloc)) (not (= out_16_83_49 null)) (= PROTECTED_pre_85_26 PROTECTED_85_26) (= true_term (is PROTECTED_85_26 T_int)) (= LEXICALPRAGMA_pre_24_26 LEXICALPRAGMA_24_26) (= true_term (is LEXICALPRAGMA_24_26 T_int)) (= LONGLIT_pre_4_40_26 LONGLIT_4_40_26) (= true_term (is LONGLIT_4_40_26 T_int)) (= noTokens_pre_212_27 noTokens_212_27) (= true_term (is noTokens_212_27 T_int)) (= ASGSUB_pre_5_45_26 ASGSUB_5_45_26) (= true_term (is ASGSUB_5_45_26 T_int)) (= RSQBRACKET_pre_40_26 RSQBRACKET_40_26) (= true_term (is RSQBRACKET_40_26 T_int)) (= CONST_pre_60_26 CONST_60_26) (= true_term (is CONST_60_26 T_int)) (= punctuationStrings_pre_134_22 punctuationStrings_134_22) (= true_term (is punctuationStrings_134_22 ?v_1)) (= true_term (isAllocated punctuationStrings_134_22 alloc)) (= MOD_pre_5_36_26 MOD_5_36_26) (= true_term (is MOD_5_36_26 T_int)) (= IMPORT_pre_75_26 IMPORT_75_26) (= true_term (is IMPORT_75_26 T_int)) (= STRICT_pre_90_26 STRICT_90_26) (= true_term (is STRICT_90_26 T_int)) (= LT_pre_5_29_26 LT_5_29_26) (= true_term (is LT_5_29_26 T_int)) (= VOLATILE_pre_101_26 VOLATILE_101_26) (= true_term (is VOLATILE_101_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is index_231_38 T_int)) ?v_6 (< index_231_38 noTokens_212_27) (= (arrayLength punctuationCodes_164_19) ?v_3) (= (arrayLength otherCodes_202_27) ?v_4) (= ?v_2 (- (+ 1 LAST_KEYWORD_103_26) FIRST_KEYWORD_51_26)) (= true_term (nonnullelements punctuationStrings_134_22 elems)) (= noTokens_212_27 (+ (+ ?v_2 ?v_3) ?v_4)) (forall ((?i_147_29 Int)) (=> (and (<= 0 ?i_147_29) (<= ?i_147_29 (arrayLength punctuationCodes_164_19))) (not (= (S_select (S_select elems punctuationCodes_164_19) ?i_147_29) NULL_82_26)))) (forall ((?i_149_29 Int)) (let ((?v_31 (S_select (S_select elems punctuationCodes_164_19) ?i_149_29))) (=> (and (<= 0 ?i_149_29) (<= ?i_149_29 (arrayLength punctuationCodes_164_19))) (and (not (= ?v_31 IDENT_4_25_26)) (not (= ?v_31 BOOLEANLIT_4_38_26)) (not (= ?v_31 INTLIT_4_39_26)) (not (= ?v_31 LONGLIT_4_40_26)) (not (= ?v_31 FLOATLIT_4_42_26)) (not (= ?v_31 DOUBLELIT_4_43_26)) (not (= ?v_31 STRINGLIT_4_44_26)) (not (= ?v_31 CHARLIT_4_41_26)) (not (= ?v_31 LEXICALPRAGMA_24_26)) (not (= ?v_31 MODIFIERPRAGMA_25_26)) (not (= ?v_31 STMTPRAGMA_26_26)) (not (= ?v_31 TYPEDECLELEMPRAGMA_27_26)) (not (= ?v_31 TYPEMODIFIERPRAGMA_28_26)))))) (= true_term (nonnullelements keywordStrings_181_30 elems)) (= true_term (nonnullelements otherStrings_193_30 elems)) (= true_term (is ?v_5 T_javafe_parser_TagConstants)) (not (= ?v_5 null)) (or (and ?v_24 (or (not ?v_7) (and ?v_7 ?v_25 (or ?v_10 (and ?v_8 (or (and ?v_12 ?v_9 (or ?v_10 (and ?v_8 (or ?v_11 (and ?v_6 ?v_13))))) (and ?v_13 ?v_9 (or ?v_10 (and ?v_8 ?v_26 (or ?v_15 (and ?v_14 (or (and ?v_17 ?v_9 (or ?v_15 (and ?v_14 (or (not ?v_16) (and ?v_16 ?v_18))))) (and ?v_18 ?v_9 (or ?v_15 (and ?v_14 ?v_27 (or ?v_20 (and ?v_19 (or (and ?v_22 ?v_9 (or ?v_20 (and ?v_19 (or (not ?v_21) (and ?v_21 ?v_23))))) (and ?v_23 ?v_9 (or ?v_20 (and ?v_19 ?v_28 (not ?v_29)))))))))))))))))))))) (and (or (and ?v_24 ?v_7 ?v_25 ?v_8 ?v_13 ?v_9 ?v_8 ?v_26 ?v_14 ?v_18 ?v_9 ?v_14 ?v_27 ?v_19 ?v_23 ?v_9 ?v_19 ?v_28 ?v_29) (and ?v_24 ?v_7 ?v_25 ?v_8 (or (and ?v_12 ?v_9 ?v_8 ?v_6 ?v_12 (= RES (S_select (S_select elems keywordStrings_181_30) index_231_38)) ?v_9 (= RES_1_ RES)) (and ?v_13 ?v_9 ?v_8 ?v_26 ?v_14 (or (and ?v_17 ?v_9 ?v_14 ?v_16 ?v_17 (= RES_2_ (S_select (S_select elems punctuationStrings_134_22) index_235_4)) ?v_9 (= RES_1_ RES_2_)) (and ?v_18 ?v_9 ?v_14 ?v_27 ?v_19 ?v_22 ?v_9 ?v_19 ?v_21 ?v_22 (= RES_3_ (S_select (S_select elems otherStrings_193_30) index_238_4)) ?v_9 (= RES_1_ RES_3_))))))) (or (not ?v_30) (and ?v_30 (not (=> ?v_30 (not (= RES_1_ null))))))))))))))))))))
(check-sat)
(exit)
