(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_parser_TokenQueue () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_parser_Token () Int)
(declare-fun T_java_lang_IndexOutOfBoundsException () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_StmtPragma () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_ast_TypeDeclElemPragma () Int)
(declare-fun T_javafe_ast_LexicalPragma () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun INTLIT_17_39_26 () Int)
(declare-fun STRINGLIT_17_44_26 () Int)
(declare-fun MODIFIERPRAGMA_16_25_26 () Int)
(declare-fun FIRST_KEYWORD_16_51_26 () Int)
(declare-fun FLOATLIT_17_42_26 () Int)
(declare-fun IDENT_17_25_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_16_28_26 () Int)
(declare-fun LAST_KEYWORD_16_103_26 () Int)
(declare-fun LONGLIT_17_40_26 () Int)
(declare-fun NULL_16_82_26 () Int)
(declare-fun STMTPRAGMA_16_26_26 () Int)
(declare-fun keywordStrings_16_181_30 () Int)
(declare-fun BOOLEANLIT_17_38_26 () Int)
(declare-fun DOUBLELIT_17_43_26 () Int)
(declare-fun otherCodes_16_202_27 () Int)
(declare-fun LEXICALPRAGMA_16_24_26 () Int)
(declare-fun punctuationStrings_16_134_22 () Int)
(declare-fun otherStrings_16_193_30 () Int)
(declare-fun noTokens_16_212_27 () Int)
(declare-fun CHARLIT_17_41_26 () Int)
(declare-fun punctuationCodes_16_164_19 () Int)
(declare-fun TYPEDECLELEMPRAGMA_16_27_26 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_javafe_parser_TokenQueue T_java_lang_Object) true_term) (= T_javafe_parser_TokenQueue (asChild T_javafe_parser_TokenQueue T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_parser_Token T_java_lang_Object) true_term) (= T_javafe_parser_Token (asChild T_javafe_parser_Token T_java_lang_Object)) (= (PO_LT T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException) true_term) (= T_java_lang_IndexOutOfBoundsException (asChild T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_StmtPragma T_javafe_ast_Stmt) true_term) (= T_javafe_ast_StmtPragma (asChild T_javafe_ast_StmtPragma T_javafe_ast_Stmt)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDeclElemPragma (asChild T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_LexicalPragma (asChild T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_parser_TokenQueue (+ DIST_ZERO_1 10)) (= T_java_lang_Throwable (+ DIST_ZERO_1 11)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 12)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 13)) (= T_javafe_util_Assert (+ DIST_ZERO_1 14)) (= T_java_lang_String (+ DIST_ZERO_1 15)) (= T_javafe_parser_Token (+ DIST_ZERO_1 16)) (= T_java_lang_IndexOutOfBoundsException (+ DIST_ZERO_1 17)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 18)) (= T_java_lang_Float (+ DIST_ZERO_1 19)) (= T_java_io_Serializable (+ DIST_ZERO_1 20)) (= T_java_lang_Integer (+ DIST_ZERO_1 21)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 22)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 23)) (= T_javafe_ast_StmtPragma (+ DIST_ZERO_1 24)) (= T_java_lang_Comparable (+ DIST_ZERO_1 25)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 26)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 27)) (= T_javafe_ast_TypeDeclElemPragma (+ DIST_ZERO_1 28)) (= T_java_lang_Object (+ DIST_ZERO_1 29)) (= T_javafe_ast_LexicalPragma (+ DIST_ZERO_1 30)) (= T_java_lang_Long (+ DIST_ZERO_1 31)) (= T_java_lang_Exception (+ DIST_ZERO_1 32)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 33)) (= T_java_lang_Double (+ DIST_ZERO_1 34)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 35)) (= T_java_lang_Number (+ DIST_ZERO_1 36)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 37)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 38)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 39)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 40)) (= T_javafe_util_Location (+ DIST_ZERO_1 41))) (= true_term (is INTLIT_17_39_26 T_int)) (= INTLIT_17_39_26 105) (= true_term (is STRINGLIT_17_44_26 T_int)) (= STRINGLIT_17_44_26 110) (= true_term (is MODIFIERPRAGMA_16_25_26 T_int)) (= MODIFIERPRAGMA_16_25_26 115) (= true_term (is FIRST_KEYWORD_16_51_26 T_int)) (= FIRST_KEYWORD_16_51_26 133) (= true_term (is FLOATLIT_17_42_26 T_int)) (= FLOATLIT_17_42_26 108) (= true_term (is IDENT_17_25_26 T_int)) (= IDENT_17_25_26 93) (= true_term (is TYPEMODIFIERPRAGMA_16_28_26 T_int)) (= TYPEMODIFIERPRAGMA_16_28_26 118) (= true_term (is LAST_KEYWORD_16_103_26 T_int)) (= LAST_KEYWORD_16_103_26 183) (= true_term (is LONGLIT_17_40_26 T_int)) (= LONGLIT_17_40_26 106) (= true_term (is NULL_16_82_26 T_int)) (= NULL_16_82_26 163) (= true_term (is STMTPRAGMA_16_26_26 T_int)) (= STMTPRAGMA_16_26_26 116) (= true_term (is keywordStrings_16_181_30 ?v_0)) (not (= keywordStrings_16_181_30 null)) (= (typeof keywordStrings_16_181_30) ?v_0) (= (arrayLength keywordStrings_16_181_30) 51) (= true_term (is BOOLEANLIT_17_38_26 T_int)) (= BOOLEANLIT_17_38_26 104) (= true_term (is DOUBLELIT_17_43_26 T_int)) (= DOUBLELIT_17_43_26 109) (= true_term (is otherCodes_16_202_27 ?v_1)) (not (= otherCodes_16_202_27 null)) (= (typeof otherCodes_16_202_27) ?v_1) (= (arrayLength otherCodes_16_202_27) 15) (= true_term (is LEXICALPRAGMA_16_24_26 T_int)) (= LEXICALPRAGMA_16_24_26 114) (= true_term (is punctuationStrings_16_134_22 ?v_0)) (not (= punctuationStrings_16_134_22 null)) (= (typeof punctuationStrings_16_134_22) ?v_0) (= (arrayLength punctuationStrings_16_134_22) 48) (= true_term (is otherStrings_16_193_30 ?v_0)) (not (= otherStrings_16_193_30 null)) (= (typeof otherStrings_16_193_30) ?v_0) (= (arrayLength otherStrings_16_193_30) 15) (= true_term (is noTokens_16_212_27 T_int)) (= true_term (is CHARLIT_17_41_26 T_int)) (= CHARLIT_17_41_26 107) (= true_term (is punctuationCodes_16_164_19 ?v_1)) (not (= punctuationCodes_16_164_19 null)) (= (typeof punctuationCodes_16_164_19) ?v_1) (= (arrayLength punctuationCodes_16_164_19) 48) (= true_term (is TYPEDECLELEMPRAGMA_16_27_26 T_int)) (= TYPEDECLELEMPRAGMA_16_27_26 117))))
(declare-fun ecReturn () Int)
(declare-fun L_32_4 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun INTLIT_pre_17_39_26 () Int)
(declare-fun STRINGLIT_pre_17_44_26 () Int)
(declare-fun MODIFIERPRAGMA_pre_16_25_26 () Int)
(declare-fun FIRST_KEYWORD_pre_16_51_26 () Int)
(declare-fun FLOATLIT_pre_17_42_26 () Int)
(declare-fun IDENT_pre_17_25_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_16_28_26 () Int)
(declare-fun LAST_KEYWORD_pre_16_103_26 () Int)
(declare-fun tokenType_pre_21_90_8 () Int)
(declare-fun tokenType_21_90_8 () Int)
(declare-fun notempty_pre_40_17 () Int)
(declare-fun notempty_40_17 () Int)
(declare-fun LONGLIT_pre_17_40_26 () Int)
(declare-fun NULL_pre_16_82_26 () Int)
(declare-fun STMTPRAGMA_pre_16_26_26 () Int)
(declare-fun keywordStrings_pre_16_181_30 () Int)
(declare-fun toks_pre_20_18 () Int)
(declare-fun toks_20_18 () Int)
(declare-fun end_pre_26_14 () Int)
(declare-fun end_26_14 () Int)
(declare-fun BOOLEANLIT_pre_17_38_26 () Int)
(declare-fun DOUBLELIT_pre_17_43_26 () Int)
(declare-fun otherCodes_pre_16_202_27 () Int)
(declare-fun LEXICALPRAGMA_pre_16_24_26 () Int)
(declare-fun punctuationStrings_pre_16_134_22 () Int)
(declare-fun otherStrings_pre_16_193_30 () Int)
(declare-fun noTokens_pre_16_212_27 () Int)
(declare-fun ttype_pre_5_52_15 () Int)
(declare-fun ttype_5_52_15 () Int)
(declare-fun CHARLIT_pre_17_41_26 () Int)
(declare-fun identifierVal_pre_5_80_22 () Int)
(declare-fun identifierVal_5_80_22 () Int)
(declare-fun start_pre_23_14 () Int)
(declare-fun start_23_14 () Int)
(declare-fun auxVal_pre_5_127_18 () Int)
(declare-fun auxVal_5_127_18 () Int)
(declare-fun punctuationCodes_pre_16_164_19 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_16_27_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun objectToBeConstructed () Int)
(declare-fun after_30_22_30_22 () Int)
(declare-fun RES_30_22_30_22 () Int)
(declare-fun EC_30_22_30_22 () Int)
(declare-fun toks_20_18_1_ () Int)
(declare-fun start_23_14_1_ () Int)
(declare-fun end_26_14_1_ () Int)
(declare-fun notempty_40_17_1_ () Int)
(declare-fun notempty_40_17_2_ () Int)
(declare-fun tmp0_new_Token___31_11 () Int)
(declare-fun alloc_1_ () Int)
(declare-fun toks_31_4 () Int)
(declare-fun elems_loopold () Int)
(declare-fun i_loopold_32_12 () Int)
(declare-fun EC_loopold () Int)
(declare-fun alloc_loopold () Int)
(declare-fun tmp1_toks_32_4_0_33_6 () Int)
(declare-fun after_33_16_32_4_0_33_16 () Int)
(declare-fun RES_32_4_0_33_16_33_16 () Int)
(declare-fun EC_32_4_0_33_16_33_16 () Int)
(declare-fun elems_32_4_0 () Int)
(declare-fun i_32_4_0_32_36 () Int)
(declare-fun RES () Int)
(declare-fun elems_1_ () Int)
(declare-fun alloc_2_ () Int)
(declare-fun RES_1_ () Int)
(declare-fun elems_2_ () Int)
(declare-fun EC () Int)
(declare-fun alloc_3_ () Int)
(declare-fun end_34_12 () Int)
(declare-fun start_34_4 () Int)
(declare-fun end_26_14_2_ () Int)
(declare-fun start_23_14_2_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun elems_3_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun alloc_4_ () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int)) (?v_3 (array T_javafe_parser_Token)) (?v_22 (not (= true_term (isAllocated objectToBeConstructed alloc)))) (?v_23 (< alloc after_30_22_30_22)) (?v_24 (not (= RES_30_22_30_22 null))) (?v_25 (not (= true_term (isAllocated RES_30_22_30_22 alloc)))) (?v_26 (= true_term (is RES_30_22_30_22 T_java_lang_Object))) (?v_27 (= true_term (isAllocated RES_30_22_30_22 after_30_22_30_22))) (?v_28 (= EC_30_22_30_22 ecReturn)) (?v_29 (= (S_select owner_4_35_28 RES_30_22_30_22) null)) (?v_30 (= (PO_LT (typeof RES_30_22_30_22) T_javafe_parser_TokenQueue) true_term)) (?v_31 (= objectToBeConstructed RES_30_22_30_22)) (?v_32 (= toks_20_18_1_ (S_store toks_20_18 RES_30_22_30_22 null))) (?v_33 (= start_23_14_1_ (S_store start_23_14 RES_30_22_30_22 0))) (?v_34 (= end_26_14_1_ (S_store end_26_14 RES_30_22_30_22 0))) (?v_35 (= notempty_40_17_1_ (S_store notempty_40_17 RES_30_22_30_22 false_term))) (?v_36 (= notempty_40_17_2_ (S_store notempty_40_17_1_ RES_30_22_30_22 false_term))) (?v_2 (<= 0 4))) (let ((?v_37 (= true_term (arrayFresh tmp0_new_Token___31_11 after_30_22_30_22 alloc_1_ elems (arrayShapeOne 4) ?v_3 null))) (?v_38 (forall ((?o Int)) (=> (and (not (= true_term (isAllocated ?o after_30_22_30_22))) (= true_term (isAllocated ?o alloc_1_))) (= true_term (isNewArray ?o))))) (?v_39 (forall ((?o_1_ Int)) (=> (and (not (= true_term (isAllocated ?o_1_ after_30_22_30_22))) (= true_term (isAllocated ?o_1_ alloc_1_))) (= (S_select owner_4_35_28 tmp0_new_Token___31_11) null)))) (?v_40 (= toks_31_4 (S_store toks_20_18_1_ RES_30_22_30_22 tmp0_new_Token___31_11))) (?v_41 (= elems elems_loopold)) (?v_42 (= 0 i_loopold_32_12)) (?v_43 (= EC_30_22_30_22 EC_loopold)) (?v_44 (= alloc_1_ alloc_loopold)) (?v_9 (= true_term true_term)) (?v_5 (S_select toks_31_4 RES_30_22_30_22))) (let ((?v_4 (not (= ?v_5 null)))) (let ((?v_21 (not ?v_4)) (?v_47 (arrayLength ?v_5))) (let ((?v_10 (< 0 ?v_47)) (?v_11 (= tmp1_toks_32_4_0_33_6 ?v_5)) (?v_12 (< alloc_1_ after_33_16_32_4_0_33_16)) (?v_13 (not (= RES_32_4_0_33_16_33_16 null))) (?v_14 (not (= true_term (isAllocated RES_32_4_0_33_16_33_16 alloc_1_)))) (?v_15 (= true_term (is RES_32_4_0_33_16_33_16 T_javafe_parser_Token))) (?v_16 (= true_term (isAllocated RES_32_4_0_33_16_33_16 after_33_16_32_4_0_33_16))) (?v_17 (= EC_32_4_0_33_16_33_16 ecReturn)) (?v_18 (= (S_select owner_4_35_28 RES_32_4_0_33_16_33_16) null)) (?v_19 (= (typeof RES_32_4_0_33_16_33_16) T_javafe_parser_Token)) (?v_6 (not (= tmp1_toks_32_4_0_33_6 null))) (?v_7 (<= 0 0)) (?v_8 (< 0 (arrayLength tmp1_toks_32_4_0_33_6))) (?v_20 (= true_term (is RES_32_4_0_33_16_33_16 (elemtype (typeof tmp1_toks_32_4_0_33_6))))) (?v_45 (= elems_32_4_0 (S_store elems tmp1_toks_32_4_0_33_6 (S_store (S_select elems tmp1_toks_32_4_0_33_6) 0 RES_32_4_0_33_16_33_16)))) (?v_46 (= i_32_4_0_32_36 (+ 0 1)))) (let ((?v_48 (or (and ?v_9 ?v_4 (not ?v_10) (= RES RES_30_22_30_22) (= elems_1_ elems) (= alloc_2_ alloc_1_)) (and ?v_9 ?v_4 ?v_10 ?v_11 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_6 ?v_7 ?v_8 ?v_20 ?v_45 ?v_46 ?v_9 ?v_4 (not (< i_32_4_0_32_36 ?v_47)) (= RES RES_32_4_0_33_16_33_16) (= elems_1_ elems_32_4_0) (= alloc_2_ after_33_16_32_4_0_33_16)))) (?v_49 (= L_32_4 L_32_4)) (?v_50 (= EC_1_ ecReturn))) (let ((?v_51 (=> ?v_50 (not (= true_term (S_select notempty_40_17_2_ RES_30_22_30_22)))))) (not (=> (distinct ecReturn L_32_4) (=> (and (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= INTLIT_pre_17_39_26 INTLIT_17_39_26) (= true_term (is INTLIT_17_39_26 T_int)) (= STRINGLIT_pre_17_44_26 STRINGLIT_17_44_26) (= true_term (is STRINGLIT_17_44_26 T_int)) (= MODIFIERPRAGMA_pre_16_25_26 MODIFIERPRAGMA_16_25_26) (= true_term (is MODIFIERPRAGMA_16_25_26 T_int)) (= FIRST_KEYWORD_pre_16_51_26 FIRST_KEYWORD_16_51_26) (= true_term (is FIRST_KEYWORD_16_51_26 T_int)) (= FLOATLIT_pre_17_42_26 FLOATLIT_17_42_26) (= true_term (is FLOATLIT_17_42_26 T_int)) (= IDENT_pre_17_25_26 IDENT_17_25_26) (= true_term (is IDENT_17_25_26 T_int)) (= TYPEMODIFIERPRAGMA_pre_16_28_26 TYPEMODIFIERPRAGMA_16_28_26) (= true_term (is TYPEMODIFIERPRAGMA_16_28_26 T_int)) (= LAST_KEYWORD_pre_16_103_26 LAST_KEYWORD_16_103_26) (= true_term (is LAST_KEYWORD_16_103_26 T_int)) (= tokenType_pre_21_90_8 tokenType_21_90_8) (= tokenType_21_90_8 (asField tokenType_21_90_8 T_int)) (= notempty_pre_40_17 notempty_40_17) (= notempty_40_17 (asField notempty_40_17 T_boolean)) (= LONGLIT_pre_17_40_26 LONGLIT_17_40_26) (= true_term (is LONGLIT_17_40_26 T_int)) (= NULL_pre_16_82_26 NULL_16_82_26) (= true_term (is NULL_16_82_26 T_int)) (= STMTPRAGMA_pre_16_26_26 STMTPRAGMA_16_26_26) (= true_term (is STMTPRAGMA_16_26_26 T_int)) (= keywordStrings_pre_16_181_30 keywordStrings_16_181_30) (= true_term (is keywordStrings_16_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_16_181_30 alloc)) (= toks_pre_20_18 toks_20_18) (= toks_20_18 (asField toks_20_18 ?v_3)) (< (fClosedTime toks_20_18) alloc) (= end_pre_26_14 end_26_14) (= end_26_14 (asField end_26_14 T_int)) (= BOOLEANLIT_pre_17_38_26 BOOLEANLIT_17_38_26) (= true_term (is BOOLEANLIT_17_38_26 T_int)) (= DOUBLELIT_pre_17_43_26 DOUBLELIT_17_43_26) (= true_term (is DOUBLELIT_17_43_26 T_int)) (= otherCodes_pre_16_202_27 otherCodes_16_202_27) (= true_term (is otherCodes_16_202_27 ?v_1)) (= true_term (isAllocated otherCodes_16_202_27 alloc)) (= LEXICALPRAGMA_pre_16_24_26 LEXICALPRAGMA_16_24_26) (= true_term (is LEXICALPRAGMA_16_24_26 T_int)) (= punctuationStrings_pre_16_134_22 punctuationStrings_16_134_22) (= true_term (is punctuationStrings_16_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_16_134_22 alloc)) (= otherStrings_pre_16_193_30 otherStrings_16_193_30) (= true_term (is otherStrings_16_193_30 ?v_0)) (= true_term (isAllocated otherStrings_16_193_30 alloc)) (= noTokens_pre_16_212_27 noTokens_16_212_27) (= true_term (is noTokens_16_212_27 T_int)) (= ttype_pre_5_52_15 ttype_5_52_15) (= ttype_5_52_15 (asField ttype_5_52_15 T_int)) (= CHARLIT_pre_17_41_26 CHARLIT_17_41_26) (= true_term (is CHARLIT_17_41_26 T_int)) (= identifierVal_pre_5_80_22 identifierVal_5_80_22) (= identifierVal_5_80_22 (asField identifierVal_5_80_22 T_javafe_ast_Identifier)) (< (fClosedTime identifierVal_5_80_22) alloc) (= start_pre_23_14 start_23_14) (= start_23_14 (asField start_23_14 T_int)) (= auxVal_pre_5_127_18 auxVal_5_127_18) (= auxVal_5_127_18 (asField auxVal_5_127_18 T_java_lang_Object)) (< (fClosedTime auxVal_5_127_18) alloc) (= punctuationCodes_pre_16_164_19 punctuationCodes_16_164_19) (= true_term (is punctuationCodes_16_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_16_164_19 alloc)) (= TYPEDECLELEMPRAGMA_pre_16_27_26 TYPEDECLELEMPRAGMA_16_27_26) (= true_term (is TYPEDECLELEMPRAGMA_16_27_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (forall ((?brokenObj Int)) (let ((?v_52 (S_select start_23_14 ?brokenObj))) (=> (and (= true_term (is ?brokenObj T_javafe_parser_TokenQueue)) (not (= ?brokenObj null)) (not (= ?brokenObj objectToBeConstructed))) (and (<= 0 ?v_52) (< ?v_52 (arrayLength (S_select toks_20_18 ?brokenObj))))))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_parser_TokenQueue)) (not (= ?brokenObj_1_ null)) (not (= ?brokenObj_1_ objectToBeConstructed))) (= true_term (nonnullelements (S_select toks_20_18 ?brokenObj_1_) elems)))) (forall ((?brokenObj_2_ Int)) (let ((?v_53 (S_select end_26_14 ?brokenObj_2_))) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_parser_TokenQueue)) (not (= ?brokenObj_2_ null)) (not (= ?brokenObj_2_ objectToBeConstructed))) (and (<= 0 ?v_53) (< ?v_53 (arrayLength (S_select toks_20_18 ?brokenObj_2_))))))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_parser_TokenQueue)) (not (= ?brokenObj_3_ null)) (not (= ?brokenObj_3_ objectToBeConstructed))) (= (= true_term (S_select notempty_40_17 ?brokenObj_3_)) (not (= (S_select end_26_14 ?brokenObj_3_) (S_select start_23_14 ?brokenObj_3_)))))) (or (and ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_32 ?v_33 ?v_34 ?v_35 ?v_36 (or (not ?v_2) (and ?v_2 ?v_37 ?v_38 ?v_39 ?v_40 ?v_41 ?v_42 ?v_43 ?v_44 (or (and ?v_9 (or ?v_21 (and ?v_4 ?v_10 ?v_11 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 (or (not ?v_6) (and ?v_6 (or (not ?v_7) (and ?v_7 (or (not ?v_8) (and ?v_8 (not ?v_20)))))))))) (and ?v_9 ?v_4 ?v_10 ?v_11 ?v_12 ?v_13 ?v_14 ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_6 ?v_7 ?v_8 ?v_20 ?v_45 ?v_46 ?v_9 ?v_21))))) (and (or (and ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_32 ?v_33 ?v_34 ?v_35 ?v_36 ?v_2 ?v_37 ?v_38 ?v_39 ?v_40 ?v_41 ?v_42 ?v_43 ?v_44 ?v_48 ?v_49 (= RES_1_ RES) (= elems_2_ elems_1_) (= EC L_32_4) (= alloc_3_ alloc_2_) (= end_34_12 (S_store end_26_14_1_ RES_30_22_30_22 0)) (= start_34_4 (S_store start_23_14_1_ RES_30_22_30_22 (S_select end_34_12 RES_30_22_30_22))) (= end_26_14_2_ end_34_12) (= start_23_14_2_ start_34_4) (= RES_2_ RES_1_) (= elems_3_ elems_2_) ?v_50 (= alloc_4_ alloc_3_)) (and ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_31 ?v_32 ?v_33 ?v_34 ?v_35 ?v_36 ?v_2 ?v_37 ?v_38 ?v_39 ?v_40 ?v_41 ?v_42 ?v_43 ?v_44 ?v_48 (not ?v_49) (= end_26_14_2_ end_26_14_1_) (= start_23_14_2_ start_23_14_1_) (= RES_2_ RES) (= elems_3_ elems_1_) (= EC_1_ L_32_4) (= alloc_4_ alloc_2_))) (or (not ?v_50) (and ?v_50 (or (not ?v_29) (and ?v_29 (or (not ?v_51) (and ?v_51 (or (not (forall ((?brokenObj Int)) (let ((?v_54 (S_select start_23_14_2_ ?brokenObj))) (=> (and (= true_term (is ?brokenObj T_javafe_parser_TokenQueue)) (= true_term (isAllocated ?brokenObj alloc_4_)) (not (= ?brokenObj null))) (and (<= 0 ?v_54) (< ?v_54 (arrayLength (S_select toks_31_4 ?brokenObj)))))))) (not (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_parser_TokenQueue)) (= true_term (isAllocated ?brokenObj_1_ alloc_4_)) (not (= ?brokenObj_1_ null))) (= true_term (nonnullelements (S_select toks_31_4 ?brokenObj_1_) elems_3_))))) (not (forall ((?brokenObj_2_ Int)) (let ((?v_55 (S_select end_26_14_2_ ?brokenObj_2_))) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_parser_TokenQueue)) (= true_term (isAllocated ?brokenObj_2_ alloc_4_)) (not (= ?brokenObj_2_ null))) (and (<= 0 ?v_55) (< ?v_55 (arrayLength (S_select toks_31_4 ?brokenObj_2_)))))))) (not (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_parser_TokenQueue)) (= true_term (isAllocated ?brokenObj_3_ alloc_4_)) (not (= ?brokenObj_3_ null))) (= (= true_term (S_select notempty_40_17_2_ ?brokenObj_3_)) (not (= (S_select end_26_14_2_ ?brokenObj_3_) (S_select start_23_14_2_ ?brokenObj_3_)))))))))))))))))))))))))))))
(check-sat)
(exit)
