(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_javafe_reader_MethodSignature () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun DOUBLETYPE_17_32_26 () Int)
(declare-fun SHORTTYPE_17_36_26 () Int)
(declare-fun INTTYPE_17_28_26 () Int)
(declare-fun NULL_5_60_26 () Int)
(declare-fun voidType_125_28 () Int)
(declare-fun LONGTYPE_17_29_26 () Int)
(declare-fun VOIDTYPE_17_33_26 () Int)
(declare-fun CHARTYPE_17_30_26 () Int)
(declare-fun NULLTYPE_17_34_26 () Int)
(declare-fun FLOATTYPE_17_31_26 () Int)
(declare-fun BOOLEANTYPE_17_27_26 () Int)
(declare-fun BYTETYPE_17_35_26 () Int)
(assert (and (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_reader_MethodSignature T_java_lang_Object) true_term) (= T_javafe_reader_MethodSignature (asChild T_javafe_reader_MethodSignature T_java_lang_Object)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 10)) (= T_java_util_AbstractList (+ DIST_ZERO_1 11)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 12)) (= T_java_util_Collection (+ DIST_ZERO_1 13)) (= T_javafe_ast_Type (+ DIST_ZERO_1 14)) (= T_java_util_Vector (+ DIST_ZERO_1 15)) (= T_java_lang_Comparable (+ DIST_ZERO_1 16)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 17)) (= T_javafe_util_Location (+ DIST_ZERO_1 18)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 19)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 20)) (= T_java_util_List (+ DIST_ZERO_1 21)) (= T_java_lang_Object (+ DIST_ZERO_1 22)) (= T_java_lang_String (+ DIST_ZERO_1 23)) (= T_java_io_Serializable (+ DIST_ZERO_1 24)) (= T_javafe_reader_MethodSignature (+ DIST_ZERO_1 25)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 26)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 27))) (= true_term (is DOUBLETYPE_17_32_26 T_int)) (= DOUBLETYPE_17_32_26 99) (= true_term (is SHORTTYPE_17_36_26 T_int)) (= SHORTTYPE_17_36_26 103) (= true_term (is INTTYPE_17_28_26 T_int)) (= INTTYPE_17_28_26 95) (= true_term (is NULL_5_60_26 T_int)) (= NULL_5_60_26 0) (= true_term (is voidType_125_28 T_javafe_ast_PrimitiveType)) (= true_term (is LONGTYPE_17_29_26 T_int)) (= LONGTYPE_17_29_26 96) (= true_term (is VOIDTYPE_17_33_26 T_int)) (= VOIDTYPE_17_33_26 100) (= true_term (is CHARTYPE_17_30_26 T_int)) (= CHARTYPE_17_30_26 97) (= true_term (is NULLTYPE_17_34_26 T_int)) (= NULLTYPE_17_34_26 101) (= true_term (is FLOATTYPE_17_31_26 T_int)) (= FLOATTYPE_17_31_26 98) (= true_term (is BOOLEANTYPE_17_27_26 T_int)) (= BOOLEANTYPE_17_27_26 94) (= true_term (is BYTETYPE_17_35_26 T_int)) (= BYTETYPE_17_35_26 102)))
(declare-fun DOUBLETYPE_pre_17_32_26 () Int)
(declare-fun SHORTTYPE_pre_17_36_26 () Int)
(declare-fun INTTYPE_pre_17_28_26 () Int)
(declare-fun NULL_pre_5_60_26 () Int)
(declare-fun elementType_pre_8_65_27 () Int)
(declare-fun elementType_8_65_27 () Int)
(declare-fun return__pre_117_15 () Int)
(declare-fun return__117_15 () Int)
(declare-fun voidType_pre_125_28 () Int)
(declare-fun elementData_pre_6_79_35 () Int)
(declare-fun elementData_6_79_35 () Int)
(declare-fun LONGTYPE_pre_17_29_26 () Int)
(declare-fun syntax_pre_21_28_29 () Int)
(declare-fun syntax_21_28_29 () Int)
(declare-fun VOIDTYPE_pre_17_33_26 () Int)
(declare-fun tag_pre_20_30_13 () Int)
(declare-fun tag_20_30_13 () Int)
(declare-fun loc_pre_20_35_13 () Int)
(declare-fun loc_20_35_13 () Int)
(declare-fun CHARTYPE_pre_17_30_26 () Int)
(declare-fun parameters_pre_109_34 () Int)
(declare-fun parameters_109_34 () Int)
(declare-fun elementCount_pre_6_90_35 () Int)
(declare-fun elementCount_6_90_35 () Int)
(declare-fun NULLTYPE_pre_17_34_26 () Int)
(declare-fun FLOATTYPE_pre_17_31_26 () Int)
(declare-fun BOOLEANTYPE_pre_17_27_26 () Int)
(declare-fun containsNull_pre_8_70_29 () Int)
(declare-fun containsNull_8_70_29 () Int)
(declare-fun BYTETYPE_pre_17_35_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun parameter_72_28 () Int)
(declare-fun tmp0_parameters_74_4 () Int)
(declare-fun elementCount_74_15_6_642_17 () Int)
(declare-fun after_74_15_74_15_6_642_17 () Int)
(declare-fun EC_74_15_74_15 () Int)
(declare-fun ecReturn () Int)
(assert (let ((?v_2 (not (= parameter_72_28 null))) (?v_3 (= tmp0_parameters_74_4 (S_select parameters_109_34 this))) (?v_0 (not (= tmp0_parameters_74_4 null))) (?v_1 (= (PO_LT (typeof parameter_72_28) (S_select elementType_8_65_27 tmp0_parameters_74_4)) true_term)) (?v_4 (= EC_74_15_74_15 ecReturn))) (not (=> true (=> (and (= DOUBLETYPE_pre_17_32_26 DOUBLETYPE_17_32_26) (= true_term (is DOUBLETYPE_17_32_26 T_int)) (= SHORTTYPE_pre_17_36_26 SHORTTYPE_17_36_26) (= true_term (is SHORTTYPE_17_36_26 T_int)) (= INTTYPE_pre_17_28_26 INTTYPE_17_28_26) (= true_term (is INTTYPE_17_28_26 T_int)) (= NULL_pre_5_60_26 NULL_5_60_26) (= true_term (is NULL_5_60_26 T_int)) (= elementType_pre_8_65_27 elementType_8_65_27) (= elementType_8_65_27 (asField elementType_8_65_27 T__TYPE)) (= return__pre_117_15 return__117_15) (= return__117_15 (asField return__117_15 T_javafe_ast_Type)) (< (fClosedTime return__117_15) alloc) (= voidType_pre_125_28 voidType_125_28) (= true_term (is voidType_125_28 T_javafe_ast_Type)) (= true_term (isAllocated voidType_125_28 alloc)) (= elementData_pre_6_79_35 elementData_6_79_35) (= elementData_6_79_35 (asField elementData_6_79_35 (array T_java_lang_Object))) (< (fClosedTime elementData_6_79_35) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elementData_6_79_35 ?s) null)))) (= LONGTYPE_pre_17_29_26 LONGTYPE_17_29_26) (= true_term (is LONGTYPE_17_29_26 T_int)) (= syntax_pre_21_28_29 syntax_21_28_29) (= syntax_21_28_29 (asField syntax_21_28_29 T_boolean)) (= VOIDTYPE_pre_17_33_26 VOIDTYPE_17_33_26) (= true_term (is VOIDTYPE_17_33_26 T_int)) (= tag_pre_20_30_13 tag_20_30_13) (= tag_20_30_13 (asField tag_20_30_13 T_int)) (= loc_pre_20_35_13 loc_20_35_13) (= loc_20_35_13 (asField loc_20_35_13 T_int)) (= CHARTYPE_pre_17_30_26 CHARTYPE_17_30_26) (= true_term (is CHARTYPE_17_30_26 T_int)) (= parameters_pre_109_34 parameters_109_34) (= parameters_109_34 (asField parameters_109_34 T_java_util_Vector)) (< (fClosedTime parameters_109_34) alloc) (= elementCount_pre_6_90_35 elementCount_6_90_35) (= elementCount_6_90_35 (asField elementCount_6_90_35 T_int)) (= NULLTYPE_pre_17_34_26 NULLTYPE_17_34_26) (= true_term (is NULLTYPE_17_34_26 T_int)) (= FLOATTYPE_pre_17_31_26 FLOATTYPE_17_31_26) (= true_term (is FLOATTYPE_17_31_26 T_int)) (= BOOLEANTYPE_pre_17_27_26 BOOLEANTYPE_17_27_26) (= true_term (is BOOLEANTYPE_17_27_26 T_int)) (= containsNull_pre_8_70_29 containsNull_8_70_29) (= containsNull_8_70_29 (asField containsNull_8_70_29 T_boolean)) (= BYTETYPE_pre_17_35_26 BYTETYPE_17_35_26) (= true_term (is BYTETYPE_17_35_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_reader_MethodSignature)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is parameter_72_28 T_javafe_ast_Type)) (= true_term (isAllocated parameter_72_28 alloc)) ?v_2 (= true_term (S_select syntax_21_28_29 parameter_72_28)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_reader_MethodSignature)) (not (= ?brokenObj null))) (not (= (S_select parameters_109_34 ?brokenObj) null)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_reader_MethodSignature)) (not (= ?brokenObj_1_ null))) (= (S_select elementType_8_65_27 (S_select parameters_109_34 ?brokenObj_1_)) T_javafe_ast_Type))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_java_util_Vector)) (not (= ?brokenObj_2_ null))) (forall ((?i_6_73_31 Int)) (=> (and (<= 0 ?i_6_73_31) (< ?i_6_73_31 (S_select elementCount_6_90_35 ?brokenObj_2_)) (not (= true_term (S_select containsNull_8_70_29 ?brokenObj_2_)))) (not (= (S_select (S_select elems (S_select elementData_6_79_35 ?brokenObj_2_)) ?i_6_73_31) null)))))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_java_util_Vector)) (not (= ?brokenObj_3_ null))) (= (typeof (S_select elementData_6_79_35 ?brokenObj_3_)) (array T_java_lang_Object)))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_reader_MethodSignature)) (not (= ?brokenObj_4_ null))) (not (= (S_select return__117_15 ?brokenObj_4_) null)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_java_util_Vector)) (not (= ?brokenObj_5_ null))) (forall ((?v_6_76_34 Int)) (let ((?v_5 (= ?v_6_76_34 null))) (=> (and (= true_term (is ?v_6_76_34 T_java_util_Vector)) (= true_term (isAllocated ?v_6_76_34 alloc)) (not ?v_5)) (or ?v_5 (= ?v_6_76_34 ?brokenObj_5_) (not (= (S_select elementData_6_79_35 ?v_6_76_34) (S_select elementData_6_79_35 ?brokenObj_5_))))))))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_java_util_Vector)) (not (= ?brokenObj_6_ null))) (forall ((?i_6_70_31 Int)) (let ((?v_6 (S_select (S_select elems (S_select elementData_6_79_35 ?brokenObj_6_)) ?i_6_70_31))) (=> (and (<= 0 ?i_6_70_31) (< ?i_6_70_31 (S_select elementCount_6_90_35 ?brokenObj_6_))) (or (= (PO_LT (typeof ?v_6) (S_select elementType_8_65_27 ?brokenObj_6_)) true_term) (= ?v_6 null))))))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_reader_MethodSignature)) (not (= ?brokenObj_7_ null))) (not (= true_term (S_select containsNull_8_70_29 (S_select parameters_109_34 ?brokenObj_7_)))))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_reader_MethodSignature)) (not (= ?brokenObj_8_ null))) (= true_term (S_select syntax_21_28_29 (S_select return__117_15 ?brokenObj_8_))))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_java_util_Vector)) (not (= ?brokenObj_9_ null))) (<= 0 (S_select elementCount_6_90_35 ?brokenObj_9_)))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_java_util_Vector)) (not (= ?brokenObj_10_ null))) (<= (S_select elementCount_6_90_35 ?brokenObj_10_) (arrayLength (S_select elementData_6_79_35 ?brokenObj_10_))))) (or (and ?v_3 (or (not ?v_0) (and ?v_0 (or (not ?v_1) (and ?v_1 (not (or (= true_term (S_select containsNull_8_70_29 tmp0_parameters_74_4)) ?v_2))))))) (and ?v_3 ?v_0 ?v_1 (= elementCount_74_15_6_642_17 (S_store elementCount_6_90_35 tmp0_parameters_74_4 after_74_15_74_15_6_642_17)) (= elementCount_74_15_6_642_17 (asField elementCount_74_15_6_642_17 T_int)) ?v_4 (=> ?v_4 (= (S_select elementCount_74_15_6_642_17 tmp0_parameters_74_4) (+ (S_select elementCount_6_90_35 tmp0_parameters_74_4) 1))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_java_util_Vector)) (not (= ?brokenObj_11_ null)) (forall ((?i_6_73_31 Int)) (=> (and (<= 0 ?i_6_73_31) (< ?i_6_73_31 (S_select elementCount_6_90_35 ?brokenObj_11_)) (not (= true_term (S_select containsNull_8_70_29 ?brokenObj_11_)))) (not (= (S_select (S_select elems (S_select elementData_6_79_35 ?brokenObj_11_)) ?i_6_73_31) null))))) (forall ((?i_6_73_31 Int)) (=> (and (<= 0 ?i_6_73_31) (< ?i_6_73_31 (S_select elementCount_74_15_6_642_17 ?brokenObj_11_)) (not (= true_term (S_select containsNull_8_70_29 ?brokenObj_11_)))) (not (= (S_select (S_select elems (S_select elementData_6_79_35 ?brokenObj_11_)) ?i_6_73_31) null)))))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_java_util_Vector)) (not (= ?brokenObj_12_ null)) (forall ((?i_6_70_31 Int)) (let ((?v_7 (S_select (S_select elems (S_select elementData_6_79_35 ?brokenObj_12_)) ?i_6_70_31))) (=> (and (<= 0 ?i_6_70_31) (< ?i_6_70_31 (S_select elementCount_6_90_35 ?brokenObj_12_))) (or (= (PO_LT (typeof ?v_7) (S_select elementType_8_65_27 ?brokenObj_12_)) true_term) (= ?v_7 null)))))) (forall ((?i_6_70_31 Int)) (let ((?v_8 (S_select (S_select elems (S_select elementData_6_79_35 ?brokenObj_12_)) ?i_6_70_31))) (=> (and (<= 0 ?i_6_70_31) (< ?i_6_70_31 (S_select elementCount_74_15_6_642_17 ?brokenObj_12_))) (or (= (PO_LT (typeof ?v_8) (S_select elementType_8_65_27 ?brokenObj_12_)) true_term) (= ?v_8 null))))))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_java_util_Vector)) (not (= ?brokenObj_13_ null)) (<= 0 (S_select elementCount_6_90_35 ?brokenObj_13_))) (<= 0 (S_select elementCount_74_15_6_642_17 ?brokenObj_13_)))) (forall ((?brokenObj_14_ Int)) (let ((?v_9 (arrayLength (S_select elementData_6_79_35 ?brokenObj_14_)))) (=> (and (= true_term (is ?brokenObj_14_ T_java_util_Vector)) (not (= ?brokenObj_14_ null)) (<= (S_select elementCount_6_90_35 ?brokenObj_14_) ?v_9)) (<= (S_select elementCount_74_15_6_642_17 ?brokenObj_14_) ?v_9)))) (not (= ecReturn ecReturn)))))))))))
(check-sat)
(exit)
