(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_javafe_filespace_Query () Int)
(declare-fun T_javafe_reader_CachedReader () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_filespace_ClassPath () Int)
(declare-fun T_javafe_reader_StandardTypeReader () Int)
(declare-fun T_javafe_reader_TypeReader () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_javafe_parser_ParseUtil () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_javafe_filespace_StringUtil () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_parser_ParseExpr () Int)
(declare-fun T_javafe_parser_ParseType () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_filespace_SlowQuery () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_parser_Parse () Int)
(declare-fun T_javafe_parser_ParseStmt () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_javafe_reader_BinReader () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_reader_SrcReader () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_javafe_parser_PragmaParser () Int)
(declare-fun T_javafe_parser_Token () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_parser_PunctuationPrefixTree () Int)
(declare-fun T_javafe_parser_Lex () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun err_25_97_50 () Int)
(declare-fun out_25_83_49 () Int)
(assert (and (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_javafe_filespace_Query T_java_lang_Object) true_term) (= T_javafe_filespace_Query (asChild T_javafe_filespace_Query T_java_lang_Object)) (= (PO_LT T_javafe_reader_CachedReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_CachedReader (asChild T_javafe_reader_CachedReader T_javafe_reader_Reader)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_ClassPath T_java_lang_Object) true_term) (= T_javafe_filespace_ClassPath (asChild T_javafe_filespace_ClassPath T_java_lang_Object)) (= (PO_LT T_javafe_reader_StandardTypeReader T_javafe_reader_TypeReader) true_term) (= T_javafe_reader_StandardTypeReader (asChild T_javafe_reader_StandardTypeReader T_javafe_reader_TypeReader)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_ParseUtil T_java_lang_Object) true_term) (= T_javafe_parser_ParseUtil (asChild T_javafe_parser_ParseUtil T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_javafe_filespace_StringUtil T_java_lang_Object) true_term) (= T_javafe_filespace_StringUtil (asChild T_javafe_filespace_StringUtil T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_StringUtil) true_term) (= ?t T_javafe_filespace_StringUtil))) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_parser_ParseExpr T_javafe_parser_ParseType) true_term) (= T_javafe_parser_ParseExpr (asChild T_javafe_parser_ParseExpr T_javafe_parser_ParseType)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_filespace_SlowQuery T_javafe_filespace_Query) true_term) (= T_javafe_filespace_SlowQuery (asChild T_javafe_filespace_SlowQuery T_javafe_filespace_Query)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_reader_TypeReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_TypeReader (asChild T_javafe_reader_TypeReader T_javafe_reader_Reader)) (= (PO_LT T_javafe_parser_Parse T_javafe_parser_ParseStmt) true_term) (= T_javafe_parser_Parse (asChild T_javafe_parser_Parse T_javafe_parser_ParseStmt)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_reader_BinReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_BinReader (asChild T_javafe_reader_BinReader T_javafe_reader_Reader)) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_parser_ParseType T_javafe_parser_ParseUtil) true_term) (= T_javafe_parser_ParseType (asChild T_javafe_parser_ParseType T_javafe_parser_ParseUtil)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_reader_SrcReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_SrcReader (asChild T_javafe_reader_SrcReader T_javafe_reader_Reader)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_parser_PragmaParser T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_Token T_java_lang_Object) true_term) (= T_javafe_parser_Token (asChild T_javafe_parser_Token T_java_lang_Object)) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr) true_term) (= T_javafe_parser_ParseStmt (asChild T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr)) (= (PO_LT T_javafe_parser_PunctuationPrefixTree T_java_lang_Object) true_term) (= T_javafe_parser_PunctuationPrefixTree (asChild T_javafe_parser_PunctuationPrefixTree T_java_lang_Object)) (= (PO_LT T_javafe_parser_Lex T_javafe_parser_Token) true_term) (= T_javafe_parser_Lex (asChild T_javafe_parser_Lex T_javafe_parser_Token)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 10)) (= T_javafe_filespace_Query (+ DIST_ZERO_1 11)) (= T_javafe_reader_CachedReader (+ DIST_ZERO_1 12)) (= T_java_util_Map (+ DIST_ZERO_1 13)) (= T_java_io_Serializable (+ DIST_ZERO_1 14)) (= T_javafe_filespace_ClassPath (+ DIST_ZERO_1 15)) (= T_javafe_reader_StandardTypeReader (+ DIST_ZERO_1 16)) (= T_javafe_util_Location (+ DIST_ZERO_1 17)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 18)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 19)) (= T_javafe_parser_ParseUtil (+ DIST_ZERO_1 20)) (= T_java_lang_Throwable (+ DIST_ZERO_1 21)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 22)) (= T_javafe_filespace_StringUtil (+ DIST_ZERO_1 23)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 24)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 25)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 26)) (= T_java_lang_System (+ DIST_ZERO_1 27)) (= T_javafe_parser_ParseExpr (+ DIST_ZERO_1 28)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 29)) (= T_javafe_filespace_SlowQuery (+ DIST_ZERO_1 30)) (= T_javafe_util_Assert (+ DIST_ZERO_1 31)) (= T_java_io_OutputStream (+ DIST_ZERO_1 32)) (= T_java_lang_Exception (+ DIST_ZERO_1 33)) (= T_javafe_reader_TypeReader (+ DIST_ZERO_1 34)) (= T_javafe_parser_Parse (+ DIST_ZERO_1 35)) (= T_java_io_IOException (+ DIST_ZERO_1 36)) (= T_javafe_reader_BinReader (+ DIST_ZERO_1 37)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 38)) (= T_java_util_Hashtable (+ DIST_ZERO_1 39)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 40)) (= T_javafe_parser_ParseType (+ DIST_ZERO_1 41)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 42)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 43)) (= T_java_util_Properties (+ DIST_ZERO_1 44)) (= T_java_lang_String (+ DIST_ZERO_1 45)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 46)) (= T_java_util_Dictionary (+ DIST_ZERO_1 47)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 48)) (= T_javafe_reader_SrcReader (+ DIST_ZERO_1 49)) (= T_java_io_PrintStream (+ DIST_ZERO_1 50)) (= T_javafe_parser_PragmaParser (+ DIST_ZERO_1 51)) (= T_java_lang_Object (+ DIST_ZERO_1 52)) (= T_javafe_parser_Token (+ DIST_ZERO_1 53)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 54)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 55)) (= T_java_lang_Comparable (+ DIST_ZERO_1 56)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 57)) (= T_javafe_parser_ParseStmt (+ DIST_ZERO_1 58)) (= T_javafe_parser_PunctuationPrefixTree (+ DIST_ZERO_1 59)) (= T_javafe_parser_Lex (+ DIST_ZERO_1 60))) (= true_term (is err_25_97_50 T_java_io_PrintStream)) (= true_term (is out_25_83_49 T_java_io_PrintStream))))
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun S_121_6 () Int)
(declare-fun S_120_20 () Int)
(declare-fun err_pre_25_97_50 () Int)
(declare-fun out_pre_25_83_49 () Int)
(declare-fun value_pre_12_91_31 () Int)
(declare-fun value_12_91_31 () Int)
(declare-fun javaFileSpace_pre_38_17 () Int)
(declare-fun javaFileSpace_38_17 () Int)
(declare-fun inst_pre_30_29_44 () Int)
(declare-fun inst_30_29_44 () Int)
(declare-fun count_pre_12_99_33 () Int)
(declare-fun count_12_99_33 () Int)
(declare-fun binaryReader_pre_50_18 () Int)
(declare-fun binaryReader_50_18 () Int)
(declare-fun sourceReader_pre_44_18 () Int)
(declare-fun sourceReader_44_18 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun path_116_50 () Int)
(declare-fun after_118_12_118_12 () Int)
(declare-fun RES_118_12_118_12 () Int)
(declare-fun EC_118_12_118_12 () Int)
(declare-fun XRES_118_12_118_12 () Int)
(declare-fun owner_6_35_28 () Int)
(declare-fun EC_118_12 () Int)
(declare-fun e_119_30 () Int)
(declare-fun tmp0_120_20 () Int)
(declare-fun RES_121_25_121_25 () Int)
(declare-fun EC_121_25_121_25 () Int)
(declare-fun msg_120_14_120_14_19_198_36 () Int)
(declare-fun EC_120_14_120_14 () Int)
(declare-fun RES_118_12 () Int)
(declare-fun RES_120_14_120_14 () Int)
(declare-fun EC_118_12_1_ () Int)
(assert (let ((?v_0 (not (= path_116_50 null))) (?v_4 (< alloc after_118_12_118_12)) (?v_5 (not (= RES_118_12_118_12 null))) (?v_6 (not (= true_term (isAllocated RES_118_12_118_12 alloc)))) (?v_7 (= true_term (is RES_118_12_118_12 T_javafe_filespace_SlowQuery))) (?v_8 (= true_term (isAllocated RES_118_12_118_12 after_118_12_118_12))) (?v_1 (= EC_118_12_118_12 ecThrow)) (?v_14 (= XRES_118_12_118_12 null)) (?v_2 (typeof XRES_118_12_118_12))) (let ((?v_9 (=> ?v_1 (and (not ?v_14) (= (PO_LT ?v_2 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_118_12_118_12 after_118_12_118_12))))) (?v_3 (= EC_118_12_118_12 ecReturn)) (?v_13 (= (PO_LT ?v_2 T_java_io_IOException) true_term))) (let ((?v_10 (or ?v_3 (and ?v_1 ?v_13))) (?v_11 (=> ?v_3 (= (S_select owner_6_35_28 RES_118_12_118_12) null))) (?v_12 (= true_term true_term))) (let ((?v_15 (or (and ?v_0 ?v_4 ?v_5 ?v_6 ?v_7 ?v_8 ?v_9 ?v_10 ?v_11 ?v_12 ?v_1 (= EC_118_12 EC_118_12_118_12)) (and ?v_0 ?v_4 ?v_5 ?v_6 ?v_7 ?v_8 ?v_9 ?v_10 ?v_11 ?v_3 (= (typeof RES_118_12_118_12) T_javafe_filespace_SlowQuery) ?v_12 (= EC_118_12 ecReturn)))) (?v_28 (not (= EC_118_12 ecThrow)))) (let ((?v_16 (not ?v_28)) (?v_17 (or ?v_13 ?v_14)) (?v_18 (= e_119_30 XRES_118_12_118_12)) (?v_19 (= tmp0_120_20 (stringCat S_120_20 S_121_6))) (?v_20 (not (= e_119_30 null))) (?v_22 (= true_term (is RES_121_25_121_25 T_java_lang_String))) (?v_23 (= true_term (isAllocated RES_121_25_121_25 after_118_12_118_12))) (?v_24 (= EC_121_25_121_25 ecReturn)) (?v_25 (= msg_120_14_120_14_19_198_36 (stringCat tmp0_120_20 RES_121_25_121_25))) (?v_21 (= EC_120_14_120_14 ecReturn))) (let ((?v_26 (not ?v_21)) (?v_27 (= true_term false_term)) (?v_29 (= EC_118_12_1_ ecReturn))) (not (=> (and (distinct ecReturn ecThrow) (not (= S_121_6 null)) (= (typeof S_121_6) T_java_lang_String) (not (= S_120_20 null)) (= (typeof S_120_20) T_java_lang_String)) (=> (and (= err_pre_25_97_50 err_25_97_50) (= true_term (is err_25_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_25_97_50 alloc)) (not (= err_25_97_50 null)) (= out_pre_25_83_49 out_25_83_49) (= true_term (is out_25_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_25_83_49 alloc)) (not (= out_25_83_49 null)) (= value_pre_12_91_31 value_12_91_31) (= value_12_91_31 (asField value_12_91_31 (array T_char))) (< (fClosedTime value_12_91_31) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select value_12_91_31 ?s) null)))) (= javaFileSpace_pre_38_17 javaFileSpace_38_17) (= javaFileSpace_38_17 (asField javaFileSpace_38_17 T_javafe_filespace_Query)) (< (fClosedTime javaFileSpace_38_17) alloc) (= inst_pre_30_29_44 inst_30_29_44) (= true_term (is inst_30_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_30_29_44 alloc)) (not (= inst_30_29_44 null)) (= count_pre_12_99_33 count_12_99_33) (= count_12_99_33 (asField count_12_99_33 T_int)) (= binaryReader_pre_50_18 binaryReader_50_18) (= binaryReader_50_18 (asField binaryReader_50_18 T_javafe_reader_Reader)) (< (fClosedTime binaryReader_50_18) alloc) (= sourceReader_pre_44_18 sourceReader_44_18) (= sourceReader_44_18 (asField sourceReader_44_18 T_javafe_reader_Reader)) (< (fClosedTime sourceReader_44_18) alloc) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is path_116_50 T_java_lang_String)) (= true_term (isAllocated path_116_50 alloc)) ?v_0 (or (not ?v_0) (and ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 (not ?v_20)) (and ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_22 ?v_23 ?v_24 ?v_25 ?v_21 ?v_26 (not ?v_27)) (and (or (and ?v_15 ?v_16 ?v_17 ?v_18 ?v_19 ?v_20 ?v_22 ?v_23 ?v_24 ?v_25 ?v_21 ?v_26 ?v_27 (= RES_118_12 RES_120_14_120_14) ?v_29) (and ?v_15 (or ?v_28 (and ?v_16 (not ?v_17))) (= RES_118_12 RES_118_12_118_12) (= EC_118_12_1_ EC_118_12))) (or (not ?v_29) (and ?v_29 (not (=> ?v_29 (not (= RES_118_12 null))))))))))))))))))))
(check-sat)
(exit)
