(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_ImportDeclVec () Int)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_tc_CheckCompilationUnit () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_util_Info () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_Modifiers () Int)
(declare-fun T_javafe_filespace_Extension () Int)
(declare-fun T_javafe_ast_TypeDeclVec () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_tc_EnvForCU () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_SingleTypeImportDecl () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun NULL_56_82_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_56_28_26 () Int)
(declare-fun STRINGLIT_57_44_26 () Int)
(declare-fun IDENT_57_25_26 () Int)
(declare-fun otherCodes_56_202_27 () Int)
(declare-fun LAST_KEYWORD_56_103_26 () Int)
(declare-fun punctuationStrings_56_134_22 () Int)
(declare-fun punctuationCodes_56_164_19 () Int)
(declare-fun whereDecoration_35_597_41 () Int)
(declare-fun noTokens_56_212_27 () Int)
(declare-fun LEXICALPRAGMA_56_24_26 () Int)
(declare-fun LONGLIT_57_40_26 () Int)
(declare-fun sigDecoration_33_104_38 () Int)
(declare-fun TYPEDECLELEMPRAGMA_56_27_26 () Int)
(declare-fun NULL_15_60_26 () Int)
(declare-fun DOUBLELIT_57_43_26 () Int)
(declare-fun FIRST_KEYWORD_56_51_26 () Int)
(declare-fun INTLIT_57_39_26 () Int)
(declare-fun STMTPRAGMA_56_26_26 () Int)
(declare-fun keywordStrings_56_181_30 () Int)
(declare-fun FLOATLIT_57_42_26 () Int)
(declare-fun BOOLEANLIT_57_38_26 () Int)
(declare-fun otherStrings_56_193_30 () Int)
(declare-fun MODIFIERPRAGMA_56_25_26 () Int)
(declare-fun CHARLIT_57_41_26 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ImportDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_ImportDeclVec (asChild T_javafe_ast_ImportDeclVec T_java_lang_Object)) (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_tc_CheckCompilationUnit T_java_lang_Object) true_term) (= T_javafe_tc_CheckCompilationUnit (asChild T_javafe_tc_CheckCompilationUnit T_java_lang_Object)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_util_Info T_java_lang_Object) true_term) (= T_javafe_util_Info (asChild T_javafe_util_Info T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Modifiers T_java_lang_Object) true_term) (= T_javafe_ast_Modifiers (asChild T_javafe_ast_Modifiers T_java_lang_Object)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_Extension T_java_lang_Object) true_term) (= T_javafe_filespace_Extension (asChild T_javafe_filespace_Extension T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclVec (asChild T_javafe_ast_TypeDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_tc_EnvForCU T_javafe_tc_Env) true_term) (= T_javafe_tc_EnvForCU (asChild T_javafe_tc_EnvForCU T_javafe_tc_Env)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_SingleTypeImportDecl (asChild T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 10)) (= T_javafe_ast_Type (+ DIST_ZERO_1 11)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 12)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 13)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 14)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 15)) (= T_java_io_Serializable (+ DIST_ZERO_1 16)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 17)) (= T_javafe_ast_Name (+ DIST_ZERO_1 18)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 19)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 20)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 21)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 22)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 23)) (= T_javafe_ast_ImportDeclVec (+ DIST_ZERO_1 24)) (= T_java_lang_Boolean (+ DIST_ZERO_1 25)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 26)) (= T_javafe_tc_CheckCompilationUnit (+ DIST_ZERO_1 27)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 28)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 29)) (= T_java_util_Hashtable (+ DIST_ZERO_1 30)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 31)) (= T_javafe_util_Info (+ DIST_ZERO_1 32)) (= T_java_lang_Comparable (+ DIST_ZERO_1 33)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 34)) (= T_javafe_ast_Modifiers (+ DIST_ZERO_1 35)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 36)) (= T_javafe_filespace_Extension (+ DIST_ZERO_1 37)) (= T_javafe_ast_TypeDeclVec (+ DIST_ZERO_1 38)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 39)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 40)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 41)) (= T_java_lang_String (+ DIST_ZERO_1 42)) (= T_javafe_tc_Env (+ DIST_ZERO_1 43)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 44)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 45)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 46)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 47)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 48)) (= T_java_util_Map (+ DIST_ZERO_1 49)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 50)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 51)) (= T_javafe_tc_EnvForCU (+ DIST_ZERO_1 52)) (= T_javafe_util_Location (+ DIST_ZERO_1 53)) (= T_java_lang_Object (+ DIST_ZERO_1 54)) (= T_javafe_ast_SingleTypeImportDecl (+ DIST_ZERO_1 55)) (= T_java_util_Dictionary (+ DIST_ZERO_1 56))) (= true_term (is NULL_56_82_26 T_int)) (= NULL_56_82_26 163) (= true_term (is TYPEMODIFIERPRAGMA_56_28_26 T_int)) (= TYPEMODIFIERPRAGMA_56_28_26 118) (= true_term (is STRINGLIT_57_44_26 T_int)) (= STRINGLIT_57_44_26 110) (= true_term (is IDENT_57_25_26 T_int)) (= IDENT_57_25_26 93) (= true_term (is otherCodes_56_202_27 ?v_0)) (not (= otherCodes_56_202_27 null)) (= (typeof otherCodes_56_202_27) ?v_0) (= (arrayLength otherCodes_56_202_27) 15) (= true_term (is LAST_KEYWORD_56_103_26 T_int)) (= LAST_KEYWORD_56_103_26 183) (= true_term (is punctuationStrings_56_134_22 ?v_1)) (not (= punctuationStrings_56_134_22 null)) (= (typeof punctuationStrings_56_134_22) ?v_1) (= (arrayLength punctuationStrings_56_134_22) 48) (= true_term (is punctuationCodes_56_164_19 ?v_0)) (not (= punctuationCodes_56_164_19 null)) (= (typeof punctuationCodes_56_164_19) ?v_0) (= (arrayLength punctuationCodes_56_164_19) 48) (= true_term (is whereDecoration_35_597_41 T_javafe_ast_ASTDecoration)) (not (= whereDecoration_35_597_41 null)) (= (typeof whereDecoration_35_597_41) T_javafe_ast_ASTDecoration) (= true_term (is noTokens_56_212_27 T_int)) (= true_term (is LEXICALPRAGMA_56_24_26 T_int)) (= LEXICALPRAGMA_56_24_26 114) (= true_term (is LONGLIT_57_40_26 T_int)) (= LONGLIT_57_40_26 106) (= true_term (is sigDecoration_33_104_38 T_javafe_ast_ASTDecoration)) (not (= sigDecoration_33_104_38 null)) (= (typeof sigDecoration_33_104_38) T_javafe_ast_ASTDecoration) (= true_term (is TYPEDECLELEMPRAGMA_56_27_26 T_int)) (= TYPEDECLELEMPRAGMA_56_27_26 117) (= true_term (is NULL_15_60_26 T_int)) (= NULL_15_60_26 0) (= true_term (is DOUBLELIT_57_43_26 T_int)) (= DOUBLELIT_57_43_26 109) (= true_term (is FIRST_KEYWORD_56_51_26 T_int)) (= FIRST_KEYWORD_56_51_26 133) (= true_term (is INTLIT_57_39_26 T_int)) (= INTLIT_57_39_26 105) (= true_term (is STMTPRAGMA_56_26_26 T_int)) (= STMTPRAGMA_56_26_26 116) (= true_term (is keywordStrings_56_181_30 ?v_1)) (not (= keywordStrings_56_181_30 null)) (= (typeof keywordStrings_56_181_30) ?v_1) (= (arrayLength keywordStrings_56_181_30) 51) (= true_term (is FLOATLIT_57_42_26 T_int)) (= FLOATLIT_57_42_26 108) (= true_term (is BOOLEANLIT_57_38_26 T_int)) (= BOOLEANLIT_57_38_26 104) (= true_term (is otherStrings_56_193_30 ?v_1)) (not (= otherStrings_56_193_30 null)) (= (typeof otherStrings_56_193_30) ?v_1) (= (arrayLength otherStrings_56_193_30) 15) (= true_term (is MODIFIERPRAGMA_56_25_26 T_int)) (= MODIFIERPRAGMA_56_25_26 115) (= true_term (is CHARLIT_57_41_26 T_int)) (= CHARLIT_57_41_26 107))))
(declare-fun C_126_5 () Int)
(declare-fun C_102_5 () Int)
(declare-fun ecReturn () Int)
(declare-fun C_88_1 () Int)
(declare-fun L_126_5 () Int)
(declare-fun L_102_5 () Int)
(declare-fun L_88_1 () Int)
(declare-fun S_118_9 () Int)
(declare-fun S_57_35 () Int)
(declare-fun S_117_9 () Int)
(declare-fun S_143_10 () Int)
(declare-fun S_56_10 () Int)
(declare-fun S_142_5 () Int)
(declare-fun S_116_9 () Int)
(declare-fun S_115_3 () Int)
(declare-fun NULL_pre_56_82_26 () Int)
(declare-fun name_pre_20_18_28 () Int)
(declare-fun name_20_18_28 () Int)
(declare-fun loc_pre_18_18_13 () Int)
(declare-fun loc_18_18_13 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_56_28_26 () Int)
(declare-fun locId_pre_86_38_13 () Int)
(declare-fun locId_86_38_13 () Int)
(declare-fun locId_pre_88_43_13 () Int)
(declare-fun locId_88_43_13 () Int)
(declare-fun pkgName_pre_6_21_14 () Int)
(declare-fun pkgName_6_21_14 () Int)
(declare-fun STRINGLIT_pre_57_44_26 () Int)
(declare-fun IDENT_pre_57_25_26 () Int)
(declare-fun imports_pre_6_25_37 () Int)
(declare-fun imports_6_25_37 () Int)
(declare-fun elements_pre_83_61_39 () Int)
(declare-fun elements_83_61_39 () Int)
(declare-fun count_pre_17_67_33 () Int)
(declare-fun count_17_67_33 () Int)
(declare-fun otherCodes_pre_56_202_27 () Int)
(declare-fun LAST_KEYWORD_pre_56_103_26 () Int)
(declare-fun locType_pre_87_21_13 () Int)
(declare-fun locType_87_21_13 () Int)
(declare-fun punctuationStrings_pre_56_134_22 () Int)
(declare-fun punctuationCodes_pre_56_164_19 () Int)
(declare-fun loc_pre_26_45_13 () Int)
(declare-fun loc_26_45_13 () Int)
(declare-fun whereDecoration_pre_35_597_41 () Int)
(declare-fun noTokens_pre_56_212_27 () Int)
(declare-fun LEXICALPRAGMA_pre_56_24_26 () Int)
(declare-fun syntax_pre_21_28_29 () Int)
(declare-fun syntax_21_28_29 () Int)
(declare-fun locOpenBrace_pre_97_22_13 () Int)
(declare-fun locOpenBrace_97_22_13 () Int)
(declare-fun LONGLIT_pre_57_40_26 () Int)
(declare-fun tokenType_pre_23_90_8 () Int)
(declare-fun tokenType_23_90_8 () Int)
(declare-fun sigDecoration_pre_33_104_38 () Int)
(declare-fun locId_pre_26_48_13 () Int)
(declare-fun locId_26_48_13 () Int)
(declare-fun locOpenBrace_pre_26_51_13 () Int)
(declare-fun locOpenBrace_26_51_13 () Int)
(declare-fun elements_pre_82_61_38 () Int)
(declare-fun elements_82_61_38 () Int)
(declare-fun locCloseBrace_pre_26_54_13 () Int)
(declare-fun locCloseBrace_26_54_13 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_56_27_26 () Int)
(declare-fun locCloseBrace_pre_97_25_13 () Int)
(declare-fun locCloseBrace_97_25_13 () Int)
(declare-fun NULL_pre_15_60_26 () Int)
(declare-fun DOUBLELIT_pre_57_43_26 () Int)
(declare-fun typeName_pre_19_15_32 () Int)
(declare-fun typeName_19_15_32 () Int)
(declare-fun FIRST_KEYWORD_pre_56_51_26 () Int)
(declare-fun count_pre_25_67_33 () Int)
(declare-fun count_25_67_33 () Int)
(declare-fun length_pre_22_50_25 () Int)
(declare-fun length_22_50_25 () Int)
(declare-fun loc_pre_6_30_13 () Int)
(declare-fun loc_6_30_13 () Int)
(declare-fun elems_pre_6_27_35 () Int)
(declare-fun elems_6_27_35 () Int)
(declare-fun INTLIT_pre_57_39_26 () Int)
(declare-fun STMTPRAGMA_pre_56_26_26 () Int)
(declare-fun returnType_pre_87_18_28 () Int)
(declare-fun returnType_87_18_28 () Int)
(declare-fun keywordStrings_pre_56_181_30 () Int)
(declare-fun elements_pre_17_61_39 () Int)
(declare-fun elements_17_61_39 () Int)
(declare-fun FLOATLIT_pre_57_42_26 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun count_pre_83_67_33 () Int)
(declare-fun count_83_67_33 () Int)
(declare-fun typeEnv_pre_35_323_32 () Int)
(declare-fun typeEnv_35_323_32 () Int)
(declare-fun checkedField_pre_30_33 () Int)
(declare-fun checkedField_30_33 () Int)
(declare-fun locOpenBrace_pre_88_36_13 () Int)
(declare-fun locOpenBrace_88_36_13 () Int)
(declare-fun BOOLEANLIT_pre_57_38_26 () Int)
(declare-fun inst_pre_36_29_44 () Int)
(declare-fun inst_36_29_44 () Int)
(declare-fun elements_pre_25_61_37 () Int)
(declare-fun elements_25_61_37 () Int)
(declare-fun body_pre_88_34_19 () Int)
(declare-fun body_88_34_19 () Int)
(declare-fun modifiers_pre_26_28_13 () Int)
(declare-fun modifiers_26_28_13 () Int)
(declare-fun count_pre_82_67_33 () Int)
(declare-fun count_82_67_33 () Int)
(declare-fun id_pre_26_32_34 () Int)
(declare-fun id_26_32_34 () Int)
(declare-fun otherStrings_pre_56_193_30 () Int)
(declare-fun MODIFIERPRAGMA_pre_56_25_26 () Int)
(declare-fun decorationType_pre_5_48_27 () Int)
(declare-fun decorationType_5_48_27 () Int)
(declare-fun type_pre_86_35_28 () Int)
(declare-fun type_86_35_28 () Int)
(declare-fun loc_pre_88_40_13 () Int)
(declare-fun loc_88_40_13 () Int)
(declare-fun CHARLIT_pre_57_41_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun cu_48_60 () Int)
(declare-fun RES_52_18_52_18 () Int)
(declare-fun EC_52_18_52_18 () Int)
(declare-fun after_54_22_54_22 () Int)
(declare-fun RES_54_22_54_22 () Int)
(declare-fun EC_54_22_54_22 () Int)
(declare-fun EC_54_14_54_14 () Int)
(declare-fun loc_57_14_57_14_15_98_40 () Int)
(declare-fun RES_57_14_57_14 () Int)
(declare-fun EC_57_14_57_14 () Int)
(declare-fun msg_56_6_56_6_16_69_34 () Int)
(declare-fun EC_56_6_56_6 () Int)
(declare-fun EC_61_1_61_1 () Int)
(declare-fun EC_67_1_67_1 () Int)
(declare-fun imports_76_1 () Int)
(declare-fun elems_77_1 () Int)
(declare-fun EC_loopold () Int)
(declare-fun i_loopold_88_10 () Int)
(declare-fun RES_88_1_0_88_29_88_29 () Int)
(declare-fun EC_88_1_0_88_29_88_29 () Int)
(declare-fun RES_88_1_0_90_32_90_32 () Int)
(declare-fun EC_88_1_0_90_32_90_32 () Int)
(declare-fun N1_88_1_0_96_5 () Int)
(declare-fun RES_88_1_0_97_40_97_40 () Int)
(declare-fun EC_88_1_0_97_40_97_40 () Int)
(declare-fun i_97_24_88_1_0_97_24_22_62_48 () Int)
(declare-fun RES_88_1_0_97_24_97_24 () Int)
(declare-fun EC_88_1_0_97_24_97_24 () Int)
(declare-fun j_88_1_0_102_10 () Int)
(declare-fun EC_loopold_88_1_0 () Int)
(declare-fun j_loopold_88_1_0_102_14 () Int)
(declare-fun RES_88_1_0_102_5_0_102_35_102_35 () Int)
(declare-fun EC_88_1_0_102_5_0_102_35_102_35 () Int)
(declare-fun RES_88_1_0_102_5_0_104_29_104_29 () Int)
(declare-fun EC_88_1_0_102_5_0_104_29_104_29 () Int)
(declare-fun N2_88_1_0_102_5_0_110_2 () Int)
(declare-fun RES_88_1_0_102_5_0_111_37_111_37 () Int)
(declare-fun EC_88_1_0_102_5_0_111_37_111_37 () Int)
(declare-fun i_111_21_88_1_0_102_5_0_111_21_22_62_48 () Int)
(declare-fun RES_88_1_0_102_5_0_111_21_111_21 () Int)
(declare-fun EC_88_1_0_102_5_0_111_21_111_21 () Int)
(declare-fun RES_88_1_0_102_5_0_113_21_113_21 () Int)
(declare-fun EC_88_1_0_102_5_0_113_21_113_21 () Int)
(declare-fun tmp9_cand_88_1_0_102_5_0_113_6 () Int)
(declare-fun RES () Int)
(declare-fun EC () Int)
(declare-fun tmp9_cand_113_13 () Int)
(declare-fun RES_88_1_0_102_5_0_114_24_114_24 () Int)
(declare-fun EC_88_1_0_102_5_0_114_24_114_24 () Int)
(declare-fun RES_88_1_0_102_5_0_115_34_115_34 () Int)
(declare-fun EC_88_1_0_102_5_0_115_34_115_34 () Int)
(declare-fun tmp13_88_1_0_102_5_0_115_3 () Int)
(declare-fun RES_88_1_0_102_5_0_116_22_116_22 () Int)
(declare-fun EC_88_1_0_102_5_0_116_22_116_22 () Int)
(declare-fun msg_114_15_88_1_0_102_5_0_114_15_24_220_45 () Int)
(declare-fun EC_88_1_0_102_5_0_114_15_114_15 () Int)
(declare-fun RES_1_ () Int)
(declare-fun RES_88_1_0_102_5_0_114_15_114_15 () Int)
(declare-fun EC_1_ () Int)
(declare-fun RES_104_21 () Int)
(declare-fun EC_104_21 () Int)
(declare-fun j_88_1_0_102_5_0_102_43 () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun RES_3_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun RES_88_1_0_102_5_1_102_35_102_35 () Int)
(declare-fun EC_88_1_0_102_5_1_102_35_102_35 () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun j_loopold_88_1_0_126_14 () Int)
(declare-fun EC_loopold_88_1_0_1_ () Int)
(declare-fun RES_88_1_0_126_5_0_126_27_126_27 () Int)
(declare-fun EC_88_1_0_126_5_0_126_27_126_27 () Int)
(declare-fun RES_88_1_0_126_5_0_127_18_127_18 () Int)
(declare-fun EC_88_1_0_126_5_0_127_18_127_18 () Int)
(declare-fun RES_88_1_0_126_5_0_135_13_135_13 () Int)
(declare-fun EC_88_1_0_126_5_0_135_13_135_13 () Int)
(declare-fun RES_88_1_0_126_5_0_136_17_136_17 () Int)
(declare-fun EC_88_1_0_126_5_0_136_17_136_17 () Int)
(declare-fun len_136_7_88_1_0_126_5_0_136_7_22_171_36 () Int)
(declare-fun RES_88_1_0_126_5_0_136_7_136_7 () Int)
(declare-fun EC_88_1_0_126_5_0_136_7_136_7 () Int)
(declare-fun RES_88_1_0_126_5_0_132_13_132_13 () Int)
(declare-fun EC_88_1_0_126_5_0_132_13_132_13 () Int)
(declare-fun RES_5_ () Int)
(declare-fun EC_5_ () Int)
(declare-fun other_136_27_88_1_0_126_5_0_136_27_22_42_42 () Int)
(declare-fun RES_88_1_0_126_5_0_136_27_136_27 () Int)
(declare-fun EC_88_1_0_126_5_0_136_27_136_27 () Int)
(declare-fun RES_6_ () Int)
(declare-fun tmp17_cand_135_22 () Int)
(declare-fun EC_6_ () Int)
(declare-fun RES_88_1_0_126_5_0_140_27_140_27 () Int)
(declare-fun EC_88_1_0_126_5_0_140_27_140_27 () Int)
(declare-fun RES_88_1_0_126_5_0_141_6_141_6 () Int)
(declare-fun EC_88_1_0_126_5_0_141_6_141_6 () Int)
(declare-fun tmp22_88_1_0_126_5_0_141_3 () Int)
(declare-fun RES_88_1_0_126_5_0_144_29_144_29 () Int)
(declare-fun EC_88_1_0_126_5_0_144_29_144_29 () Int)
(declare-fun loc_144_14_88_1_0_126_5_0_144_14_15_152_36 () Int)
(declare-fun RES_88_1_0_126_5_0_144_14_144_14 () Int)
(declare-fun EC_88_1_0_126_5_0_144_14_144_14 () Int)
(declare-fun msg_140_18_88_1_0_126_5_0_140_18_24_220_45 () Int)
(declare-fun EC_88_1_0_126_5_0_140_18_140_18 () Int)
(declare-fun RES_127_12 () Int)
(declare-fun RES_88_1_0_126_5_0_140_18_140_18 () Int)
(declare-fun EC_127_12 () Int)
(declare-fun RES_127_12_1_ () Int)
(declare-fun EC_127_12_1_ () Int)
(declare-fun RES_7_ () Int)
(declare-fun EC_7_ () Int)
(declare-fun j_88_1_0_126_5_0_126_35 () Int)
(declare-fun RES_8_ () Int)
(declare-fun EC_8_ () Int)
(declare-fun RES_9_ () Int)
(declare-fun EC_9_ () Int)
(declare-fun RES_88_1_0_126_5_1_126_27_126_27 () Int)
(declare-fun EC_88_1_0_126_5_1_126_27_126_27 () Int)
(declare-fun RES_10_ () Int)
(declare-fun EC_10_ () Int)
(declare-fun RES_90_24 () Int)
(declare-fun EC_90_24 () Int)
(declare-fun RES_90_24_1_ () Int)
(declare-fun EC_90_24_1_ () Int)
(declare-fun i_88_1_0_88_37 () Int)
(declare-fun RES_11_ () Int)
(declare-fun EC_11_ () Int)
(declare-fun EC_12_ () Int)
(declare-fun RES_88_1_1_88_29_88_29 () Int)
(declare-fun EC_88_1_1_88_29_88_29 () Int)
(declare-fun EC_13_ () Int)
(declare-fun EC_52_5 () Int)
(declare-fun EC_52_5_1_ () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String)) (?v_4 (arrayLength punctuationStrings_56_134_22)) (?v_3 (arrayLength keywordStrings_56_181_30)) (?v_5 (arrayLength otherStrings_56_193_30)) (?v_7 (not (= cu_48_60 null))) (?v_2 (S_select owner_4_35_28 punctuationCodes_56_164_19)) (?v_9 (S_select decorationType_5_48_27 checkedField_30_33)) (?v_6 (not (= checkedField_30_33 null)))) (let ((?v_10 (not ?v_6)) (?v_11 (not ?v_7)) (?v_174 (= true_term (is RES_52_18_52_18 T_java_lang_Object))) (?v_175 (= true_term (isAllocated RES_52_18_52_18 alloc))) (?v_8 (= EC_52_18_52_18 ecReturn))) (let ((?v_176 (=> ?v_8 (= (PO_LT (typeof RES_52_18_52_18) ?v_9) true_term))) (?v_203 (not (= RES_52_18_52_18 null)))) (let ((?v_177 (not ?v_203)) (?v_17 (= true_term true_term)) (?v_178 (< alloc after_54_22_54_22)) (?v_179 (not (= RES_54_22_54_22 null))) (?v_180 (not (= true_term (isAllocated RES_54_22_54_22 alloc)))) (?v_181 (= true_term (is RES_54_22_54_22 T_java_lang_Boolean))) (?v_182 (= true_term (isAllocated RES_54_22_54_22 after_54_22_54_22))) (?v_183 (= EC_54_22_54_22 ecReturn)) (?v_184 (= (S_select owner_4_35_28 RES_54_22_54_22) null)) (?v_12 (typeof RES_54_22_54_22))) (let ((?v_185 (= ?v_12 T_java_lang_Boolean)) (?v_13 (= (PO_LT ?v_12 ?v_9) true_term)) (?v_186 (= EC_54_14_54_14 ecReturn)) (?v_14 (= loc_57_14_57_14_15_98_40 (S_select loc_6_30_13 cu_48_60))) (?v_15 (not (= loc_57_14_57_14_15_98_40 NULL_15_60_26))) (?v_187 (= true_term (is RES_57_14_57_14 T_java_lang_String))) (?v_188 (= true_term (isAllocated RES_57_14_57_14 after_54_22_54_22))) (?v_16 (= EC_57_14_57_14 ecReturn))) (let ((?v_189 (=> ?v_16 (not (= RES_57_14_57_14 null)))) (?v_190 (= msg_56_6_56_6_16_69_34 (stringCat (stringCat S_56_10 RES_57_14_57_14) S_57_35))) (?v_191 (= EC_56_6_56_6 ecReturn)) (?v_192 (= EC_61_1_61_1 ecReturn)) (?v_193 (= EC_67_1_67_1 ecReturn)) (?v_194 (= imports_76_1 (S_select imports_6_25_37 cu_48_60))) (?v_195 (= elems_77_1 (S_select elems_6_27_35 cu_48_60))) (?v_196 (= EC_67_1_67_1 EC_loopold)) (?v_197 (= 0 i_loopold_88_10)) (?v_18 (not (= imports_76_1 null)))) (let ((?v_20 (not ?v_18)) (?v_150 (= true_term (is RES_88_1_0_88_29_88_29 T_int))) (?v_19 (= EC_88_1_0_88_29_88_29 ecReturn)) (?v_21 (S_select count_17_67_33 imports_76_1))) (let ((?v_151 (=> ?v_19 (= RES_88_1_0_88_29_88_29 ?v_21))) (?v_152 (< 0 RES_88_1_0_88_29_88_29)) (?v_48 (<= 0 0)) (?v_153 (= true_term (is RES_88_1_0_90_32_90_32 T_javafe_ast_ImportDecl))) (?v_154 (= true_term (isAllocated RES_88_1_0_90_32_90_32 after_54_22_54_22))) (?v_22 (= EC_88_1_0_90_32_90_32 ecReturn)) (?v_23 (not (= RES_88_1_0_90_32_90_32 null)))) (let ((?v_155 (=> ?v_22 ?v_23)) (?v_24 (= true_term (is RES_88_1_0_90_32_90_32 T_javafe_ast_SingleTypeImportDecl))) (?v_26 (cast RES_88_1_0_90_32_90_32 T_javafe_ast_SingleTypeImportDecl))) (let ((?v_25 (not (= ?v_26 null))) (?v_156 (= N1_88_1_0_96_5 (S_select name_20_18_28 (S_select typeName_19_15_32 ?v_26)))) (?v_27 (not (= N1_88_1_0_96_5 null)))) (let ((?v_29 (not ?v_27)) (?v_157 (= true_term (is RES_88_1_0_97_40_97_40 T_int))) (?v_28 (= EC_88_1_0_97_40_97_40 ecReturn)) (?v_30 (S_select length_22_50_25 N1_88_1_0_96_5))) (let ((?v_158 (=> ?v_28 (= RES_88_1_0_97_40_97_40 ?v_30))) (?v_31 (= i_97_24_88_1_0_97_24_22_62_48 (- RES_88_1_0_97_40_97_40 1))) (?v_159 (= true_term (is RES_88_1_0_97_24_97_24 T_javafe_ast_Identifier))) (?v_160 (= true_term (isAllocated RES_88_1_0_97_24_97_24 after_54_22_54_22))) (?v_32 (= EC_88_1_0_97_24_97_24 ecReturn))) (let ((?v_161 (=> ?v_32 (not (= RES_88_1_0_97_24_97_24 null)))) (?v_149 (+ 0 1))) (let ((?v_78 (= j_88_1_0_102_10 ?v_149)) (?v_79 (= EC_88_1_0_97_24_97_24 EC_loopold_88_1_0)) (?v_80 (= j_88_1_0_102_10 j_loopold_88_1_0_102_14)) (?v_53 (= true_term (is RES_88_1_0_102_5_0_102_35_102_35 T_int))) (?v_33 (= EC_88_1_0_102_5_0_102_35_102_35 ecReturn))) (let ((?v_54 (=> ?v_33 (= RES_88_1_0_102_5_0_102_35_102_35 ?v_21))) (?v_55 (< j_88_1_0_102_10 RES_88_1_0_102_5_0_102_35_102_35)) (?v_56 (= true_term (is RES_88_1_0_102_5_0_104_29_104_29 T_javafe_ast_ImportDecl))) (?v_57 (= true_term (isAllocated RES_88_1_0_102_5_0_104_29_104_29 after_54_22_54_22))) (?v_34 (= EC_88_1_0_102_5_0_104_29_104_29 ecReturn)) (?v_35 (not (= RES_88_1_0_102_5_0_104_29_104_29 null)))) (let ((?v_58 (=> ?v_34 ?v_35)) (?v_36 (= true_term (is RES_88_1_0_102_5_0_104_29_104_29 T_javafe_ast_SingleTypeImportDecl))) (?v_38 (cast RES_88_1_0_102_5_0_104_29_104_29 T_javafe_ast_SingleTypeImportDecl))) (let ((?v_37 (not (= ?v_38 null))) (?v_59 (= N2_88_1_0_102_5_0_110_2 (S_select name_20_18_28 (S_select typeName_19_15_32 ?v_38)))) (?v_47 (= N2_88_1_0_102_5_0_110_2 null))) (let ((?v_39 (not ?v_47))) (let ((?v_41 (not ?v_39)) (?v_60 (= true_term (is RES_88_1_0_102_5_0_111_37_111_37 T_int))) (?v_40 (= EC_88_1_0_102_5_0_111_37_111_37 ecReturn)) (?v_42 (S_select length_22_50_25 N2_88_1_0_102_5_0_110_2))) (let ((?v_61 (=> ?v_40 (= RES_88_1_0_102_5_0_111_37_111_37 ?v_42))) (?v_43 (= i_111_21_88_1_0_102_5_0_111_21_22_62_48 (- RES_88_1_0_102_5_0_111_37_111_37 1))) (?v_62 (= true_term (is RES_88_1_0_102_5_0_111_21_111_21 T_javafe_ast_Identifier))) (?v_63 (= true_term (isAllocated RES_88_1_0_102_5_0_111_21_111_21 after_54_22_54_22))) (?v_44 (= EC_88_1_0_102_5_0_111_21_111_21 ecReturn))) (let ((?v_64 (=> ?v_44 (not (= RES_88_1_0_102_5_0_111_21_111_21 null)))) (?v_45 (= RES_88_1_0_97_24_97_24 RES_88_1_0_102_5_0_111_21_111_21)) (?v_46 (= EC_88_1_0_102_5_0_113_21_113_21 ecReturn))) (let ((?v_65 (or (and ?v_45 ?v_27 (= true_term (is RES_88_1_0_102_5_0_113_21_113_21 T_boolean)) ?v_46 (=> (and ?v_46 ?v_47) (not (= true_term RES_88_1_0_102_5_0_113_21_113_21))) (= tmp9_cand_88_1_0_102_5_0_113_6 (boolNot RES_88_1_0_102_5_0_113_21_113_21)) (= RES RES_88_1_0_102_5_0_113_21_113_21) (= EC EC_88_1_0_102_5_0_113_21_113_21) (= tmp9_cand_113_13 tmp9_cand_88_1_0_102_5_0_113_6)) (and (not ?v_45) ?v_17 (= RES RES_88_1_0_102_5_0_111_21_111_21) (= EC EC_88_1_0_102_5_0_111_21_111_21) (= tmp9_cand_113_13 false_term)))) (?v_66 (= true_term tmp9_cand_113_13)) (?v_111 (not (and ?v_48 (< 0 ?v_30)))) (?v_67 (= true_term (is RES_88_1_0_102_5_0_114_24_114_24 T_int))) (?v_49 (= EC_88_1_0_102_5_0_114_24_114_24 ecReturn)) (?v_52 (not (= RES_88_1_0_102_5_0_114_24_114_24 NULL_15_60_26)))) (let ((?v_68 (=> ?v_49 ?v_52)) (?v_69 (= true_term (is RES_88_1_0_102_5_0_115_34_115_34 T_java_lang_String))) (?v_70 (= true_term (isAllocated RES_88_1_0_102_5_0_115_34_115_34 after_54_22_54_22))) (?v_50 (= EC_88_1_0_102_5_0_115_34_115_34 ecReturn))) (let ((?v_71 (=> ?v_50 (not (= RES_88_1_0_102_5_0_115_34_115_34 null)))) (?v_72 (= tmp13_88_1_0_102_5_0_115_3 (stringCat (stringCat S_115_3 RES_88_1_0_102_5_0_115_34_115_34) S_116_9))) (?v_73 (= true_term (is RES_88_1_0_102_5_0_116_22_116_22 T_java_lang_String))) (?v_74 (= true_term (isAllocated RES_88_1_0_102_5_0_116_22_116_22 after_54_22_54_22))) (?v_51 (= EC_88_1_0_102_5_0_116_22_116_22 ecReturn))) (let ((?v_75 (=> ?v_51 (not (= RES_88_1_0_102_5_0_116_22_116_22 null)))) (?v_76 (= msg_114_15_88_1_0_102_5_0_114_15_24_220_45 (stringCat (stringCat (stringCat (stringCat tmp13_88_1_0_102_5_0_115_3 RES_88_1_0_102_5_0_116_22_116_22) S_117_9) RES_88_1_0_97_24_97_24) S_118_9))) (?v_77 (= EC_88_1_0_102_5_0_114_15_114_15 ecReturn)) (?v_81 (not (and ?v_36 ?v_35))) (?v_82 (= C_102_5 C_102_5))) (let ((?v_83 (or (and ?v_18 ?v_56 ?v_57 ?v_34 ?v_58 ?v_36 ?v_35 ?v_17 ?v_36 ?v_37 ?v_59 ?v_39 ?v_60 ?v_40 ?v_61 ?v_39 ?v_43 ?v_62 ?v_63 ?v_44 ?v_64 ?v_65 (or (and ?v_66 ?v_17 ?v_27 ?v_67 ?v_49 ?v_68 ?v_27 ?v_69 ?v_70 ?v_50 ?v_71 ?v_72 ?v_39 ?v_73 ?v_74 ?v_51 ?v_75 ?v_76 ?v_52 ?v_77 (not ?v_77) (= RES_1_ RES_88_1_0_102_5_0_114_15_114_15) (= EC_1_ EC_88_1_0_102_5_0_114_15_114_15)) (and (not ?v_66) ?v_17 (= RES_1_ RES) (= EC_1_ EC))) (= RES_104_21 RES_1_) (= EC_104_21 EC_1_)) (and ?v_18 ?v_56 ?v_57 ?v_34 ?v_58 ?v_81 ?v_17 ?v_17 ?v_82 (= RES_104_21 RES_88_1_0_102_5_0_104_29_104_29) (= EC_104_21 C_102_5)))) (?v_84 (= j_88_1_0_102_5_0_102_43 (+ j_88_1_0_102_10 1))) (?v_85 (= EC_88_1_0_102_5_1_102_35_102_35 ecReturn)) (?v_86 (= EC_3_ L_102_5))) (let ((?v_162 (or (and ?v_17 (or (and ?v_18 ?v_53 ?v_33 ?v_54 (not ?v_55) (= RES_2_ RES_88_1_0_102_5_0_102_35_102_35) (= EC_2_ L_102_5)) (and ?v_18 ?v_53 ?v_33 ?v_54 ?v_55 ?v_18 ?v_56 ?v_57 ?v_34 ?v_58 ?v_81 ?v_17 ?v_17 (not ?v_82) (= RES_2_ RES_88_1_0_102_5_0_104_29_104_29) (= EC_2_ C_102_5))) (= RES_3_ RES_2_) (= EC_3_ EC_2_)) (and ?v_17 ?v_18 ?v_53 ?v_33 ?v_54 ?v_55 ?v_83 ?v_84 ?v_17 ?v_18 (= true_term (is RES_88_1_0_102_5_1_102_35_102_35 T_int)) ?v_85 (=> ?v_85 (= RES_88_1_0_102_5_1_102_35_102_35 ?v_21)) (not (< j_88_1_0_102_5_0_102_43 RES_88_1_0_102_5_1_102_35_102_35)) (= RES_3_ RES_88_1_0_102_5_1_102_35_102_35) ?v_86))) (?v_163 (= RES_4_ RES_3_)) (?v_164 (= EC_4_ EC_3_)) (?v_165 (= 0 j_loopold_88_1_0_126_14)) (?v_166 (= EC_4_ EC_loopold_88_1_0_1_)) (?v_87 (not (= elems_77_1 null)))) (let ((?v_89 (not ?v_87)) (?v_118 (= true_term (is RES_88_1_0_126_5_0_126_27_126_27 T_int))) (?v_88 (= EC_88_1_0_126_5_0_126_27_126_27 ecReturn)) (?v_90 (S_select count_25_67_33 elems_77_1))) (let ((?v_119 (=> ?v_88 (= RES_88_1_0_126_5_0_126_27_126_27 ?v_90))) (?v_120 (< 0 RES_88_1_0_126_5_0_126_27_126_27)) (?v_114 (not (and ?v_48 (< 0 ?v_90)))) (?v_121 (= true_term (is RES_88_1_0_126_5_0_127_18_127_18 T_javafe_ast_TypeDecl))) (?v_122 (= true_term (isAllocated RES_88_1_0_126_5_0_127_18_127_18 after_54_22_54_22))) (?v_91 (= EC_88_1_0_126_5_0_127_18_127_18 ecReturn)) (?v_92 (not (= RES_88_1_0_126_5_0_127_18_127_18 null)))) (let ((?v_123 (=> ?v_91 ?v_92)) (?v_141 (not (= RES_88_1_0_97_24_97_24 (S_select id_26_32_34 RES_88_1_0_126_5_0_127_18_127_18))))) (let ((?v_124 (not ?v_141)) (?v_109 (S_select pkgName_6_21_14 cu_48_60))) (let ((?v_93 (= ?v_109 null))) (let ((?v_100 (not ?v_93)) (?v_101 (= true_term (is RES_88_1_0_126_5_0_135_13_135_13 T_int))) (?v_94 (= EC_88_1_0_126_5_0_135_13_135_13 ecReturn))) (let ((?v_102 (=> ?v_94 (= RES_88_1_0_126_5_0_135_13_135_13 ?v_30))) (?v_103 (> RES_88_1_0_126_5_0_135_13_135_13 1)) (?v_104 (= true_term (is RES_88_1_0_126_5_0_136_17_136_17 T_int))) (?v_95 (= EC_88_1_0_126_5_0_136_17_136_17 ecReturn))) (let ((?v_105 (=> ?v_95 (= RES_88_1_0_126_5_0_136_17_136_17 ?v_30))) (?v_96 (= len_136_7_88_1_0_126_5_0_136_7_22_171_36 (- RES_88_1_0_126_5_0_136_17_136_17 1))) (?v_106 (= true_term (is RES_88_1_0_126_5_0_136_7_136_7 T_javafe_ast_Name))) (?v_107 (= true_term (isAllocated RES_88_1_0_126_5_0_136_7_136_7 after_54_22_54_22))) (?v_97 (= EC_88_1_0_126_5_0_136_7_136_7 ecReturn)) (?v_98 (not (= RES_88_1_0_126_5_0_136_7_136_7 null)))) (let ((?v_108 (=> ?v_97 ?v_98)) (?v_142 (= true_term (is RES_88_1_0_126_5_0_132_13_132_13 T_int))) (?v_99 (= EC_88_1_0_126_5_0_132_13_132_13 ecReturn))) (let ((?v_143 (=> ?v_99 (= RES_88_1_0_126_5_0_132_13_132_13 ?v_30))) (?v_144 (= RES_88_1_0_126_5_0_132_13_132_13 1)) (?v_110 (= EC_88_1_0_126_5_0_136_27_136_27 ecReturn))) (let ((?v_145 (or (and ?v_103 ?v_27 ?v_104 ?v_95 ?v_105 ?v_27 ?v_96 ?v_106 ?v_107 ?v_97 ?v_108 ?v_7 ?v_98 (= other_136_27_88_1_0_126_5_0_136_27_22_42_42 ?v_109) (= true_term (is RES_88_1_0_126_5_0_136_27_136_27 T_boolean)) ?v_110 (=> (and ?v_110 (= other_136_27_88_1_0_126_5_0_136_27_22_42_42 null)) (not (= true_term RES_88_1_0_126_5_0_136_27_136_27))) (= RES_6_ RES_88_1_0_126_5_0_136_27_136_27) (= tmp17_cand_135_22 RES_88_1_0_126_5_0_136_27_136_27) (= EC_6_ EC_88_1_0_126_5_0_136_27_136_27)) (and (not ?v_103) ?v_17 (= RES_6_ RES_88_1_0_126_5_0_135_13_135_13) (= tmp17_cand_135_22 false_term) (= EC_6_ EC_88_1_0_126_5_0_135_13_135_13)))) (?v_146 (= true_term tmp17_cand_135_22))) (let ((?v_125 (or (and ?v_93 ?v_17 ?v_27 ?v_142 ?v_99 ?v_143 (not ?v_144) ?v_17 (= RES_5_ RES_88_1_0_126_5_0_132_13_132_13) (= EC_5_ EC_88_1_0_126_5_0_132_13_132_13)) (and ?v_100 ?v_17 ?v_27 ?v_101 ?v_94 ?v_102 ?v_145 (not ?v_146) ?v_17 (= RES_5_ RES_6_) (= EC_5_ EC_6_)))) (?v_126 (= true_term (is RES_88_1_0_126_5_0_140_27_140_27 T_int))) (?v_112 (= EC_88_1_0_126_5_0_140_27_140_27 ecReturn)) (?v_117 (not (= RES_88_1_0_126_5_0_140_27_140_27 NULL_15_60_26)))) (let ((?v_127 (=> ?v_112 ?v_117)) (?v_128 (= true_term (is RES_88_1_0_126_5_0_141_6_141_6 T_java_lang_String))) (?v_129 (= true_term (isAllocated RES_88_1_0_126_5_0_141_6_141_6 after_54_22_54_22))) (?v_113 (= EC_88_1_0_126_5_0_141_6_141_6 ecReturn))) (let ((?v_130 (=> ?v_113 (not (= RES_88_1_0_126_5_0_141_6_141_6 null)))) (?v_131 (= tmp22_88_1_0_126_5_0_141_3 (stringCat (stringCat (stringCat RES_88_1_0_126_5_0_141_6_141_6 S_142_5) RES_88_1_0_97_24_97_24) S_143_10))) (?v_132 (= true_term (is RES_88_1_0_126_5_0_144_29_144_29 T_javafe_ast_TypeDecl))) (?v_133 (= true_term (isAllocated RES_88_1_0_126_5_0_144_29_144_29 after_54_22_54_22))) (?v_115 (= EC_88_1_0_126_5_0_144_29_144_29 ecReturn)) (?v_116 (not (= RES_88_1_0_126_5_0_144_29_144_29 null)))) (let ((?v_134 (=> ?v_115 ?v_116)) (?v_135 (= loc_144_14_88_1_0_126_5_0_144_14_15_152_36 (S_select loc_26_45_13 RES_88_1_0_126_5_0_144_29_144_29))) (?v_136 (= true_term (is RES_88_1_0_126_5_0_144_14_144_14 T_java_lang_String))) (?v_137 (= true_term (isAllocated RES_88_1_0_126_5_0_144_14_144_14 after_54_22_54_22))) (?v_138 (= EC_88_1_0_126_5_0_144_14_144_14 ecReturn)) (?v_139 (= msg_140_18_88_1_0_126_5_0_140_18_24_220_45 (stringCat tmp22_88_1_0_126_5_0_141_3 RES_88_1_0_126_5_0_144_14_144_14))) (?v_140 (= EC_88_1_0_126_5_0_140_18_140_18 ecReturn)) (?v_148 (= EC_127_12_1_ C_126_5)) (?v_147 (= EC_7_ C_126_5))) (let ((?v_167 (or (and ?v_141 ?v_17 ?v_17 (= RES_127_12_1_ RES_88_1_0_126_5_0_127_18_127_18) ?v_148) (and ?v_124 ?v_17 ?v_7 (or (and ?v_93 ?v_17 ?v_27 ?v_142 ?v_99 ?v_143 ?v_144 ?v_17 ?v_17 (= RES_7_ RES_88_1_0_126_5_0_132_13_132_13) ?v_147) (and ?v_100 ?v_17 ?v_27 ?v_101 ?v_94 ?v_102 ?v_145 ?v_146 ?v_17 ?v_17 (= RES_7_ RES_6_) ?v_147)) (= RES_127_12_1_ RES_7_) (= EC_127_12_1_ EC_7_))))) (let ((?v_168 (or (and ?v_87 ?v_121 ?v_122 ?v_91 ?v_123 ?v_92 ?v_124 ?v_17 ?v_7 ?v_125 ?v_27 ?v_126 ?v_112 ?v_127 ?v_27 ?v_128 ?v_129 ?v_113 ?v_130 ?v_131 ?v_87 ?v_132 ?v_133 ?v_115 ?v_134 ?v_116 ?v_135 ?v_136 ?v_137 ?v_138 ?v_139 ?v_117 ?v_140 (not ?v_140) (= RES_127_12 RES_88_1_0_126_5_0_140_18_140_18) (= EC_127_12 EC_88_1_0_126_5_0_140_18_140_18)) (and ?v_87 ?v_121 ?v_122 ?v_91 ?v_123 ?v_92 ?v_167 ?v_148 (= RES_127_12 RES_127_12_1_) (= EC_127_12 EC_127_12_1_)))) (?v_169 (= j_88_1_0_126_5_0_126_35 ?v_149)) (?v_170 (= EC_88_1_0_126_5_1_126_27_126_27 ecReturn)) (?v_171 (= EC_9_ L_126_5))) (let ((?v_172 (or (and ?v_17 (or (and ?v_87 ?v_118 ?v_88 ?v_119 (not ?v_120) (= RES_8_ RES_88_1_0_126_5_0_126_27_126_27) (= EC_8_ L_126_5)) (and ?v_87 ?v_118 ?v_88 ?v_119 ?v_120 ?v_87 ?v_121 ?v_122 ?v_91 ?v_123 ?v_92 ?v_167 (not ?v_148) (= RES_8_ RES_127_12_1_) (= EC_8_ EC_127_12_1_))) (= RES_9_ RES_8_) (= EC_9_ EC_8_)) (and ?v_17 ?v_87 ?v_118 ?v_88 ?v_119 ?v_120 ?v_168 ?v_169 ?v_17 ?v_87 (= true_term (is RES_88_1_0_126_5_1_126_27_126_27 T_int)) ?v_170 (=> ?v_170 (= RES_88_1_0_126_5_1_126_27_126_27 ?v_90)) (not (< j_88_1_0_126_5_0_126_35 RES_88_1_0_126_5_1_126_27_126_27)) (= RES_9_ RES_88_1_0_126_5_1_126_27_126_27) ?v_171))) (?v_173 (= EC_90_24_1_ C_88_1))) (let ((?v_198 (or (and (not (and ?v_24 ?v_23)) ?v_17 ?v_17 (= RES_90_24_1_ RES_88_1_0_90_32_90_32) ?v_173) (and ?v_24 ?v_23 ?v_17 ?v_24 ?v_25 ?v_156 ?v_27 ?v_157 ?v_28 ?v_158 ?v_27 ?v_31 ?v_159 ?v_160 ?v_32 ?v_161 (or (and ?v_78 ?v_79 ?v_80 ?v_162 (not ?v_86) (= RES_90_24_1_ RES_3_) (= EC_90_24_1_ EC_3_)) (and ?v_78 ?v_79 ?v_80 ?v_162 ?v_86 ?v_163 ?v_164 ?v_165 ?v_166 ?v_172 (not ?v_171) (= RES_90_24_1_ RES_9_) (= EC_90_24_1_ EC_9_))))))) (let ((?v_199 (or (and ?v_18 ?v_153 ?v_154 ?v_22 ?v_155 ?v_24 ?v_23 ?v_17 ?v_24 ?v_25 ?v_156 ?v_27 ?v_157 ?v_28 ?v_158 ?v_27 ?v_31 ?v_159 ?v_160 ?v_32 ?v_161 ?v_78 ?v_79 ?v_80 ?v_162 ?v_86 ?v_163 ?v_164 ?v_165 ?v_166 ?v_172 ?v_171 (= RES_10_ RES_9_) (= EC_10_ EC_9_) (= RES_90_24 RES_10_) (= EC_90_24 EC_10_)) (and ?v_18 ?v_153 ?v_154 ?v_22 ?v_155 ?v_198 ?v_173 (= RES_90_24 RES_90_24_1_) (= EC_90_24 EC_90_24_1_)))) (?v_200 (= i_88_1_0_88_37 ?v_149)) (?v_201 (= EC_88_1_1_88_29_88_29 ecReturn)) (?v_202 (= EC_12_ L_88_1))) (let ((?v_204 (or (and ?v_17 (or (and ?v_18 ?v_150 ?v_19 ?v_151 (not ?v_152) (= RES_11_ RES_88_1_0_88_29_88_29) (= EC_11_ L_88_1)) (and ?v_18 ?v_150 ?v_19 ?v_151 ?v_152 ?v_18 ?v_153 ?v_154 ?v_22 ?v_155 ?v_198 (not ?v_173) (= RES_11_ RES_90_24_1_) (= EC_11_ EC_90_24_1_))) (= EC_12_ EC_11_)) (and ?v_17 ?v_18 ?v_150 ?v_19 ?v_151 ?v_152 ?v_199 ?v_200 ?v_17 ?v_18 (= true_term (is RES_88_1_1_88_29_88_29 T_int)) ?v_201 (=> ?v_201 (= RES_88_1_1_88_29_88_29 ?v_21)) (not (< i_88_1_0_88_37 RES_88_1_1_88_29_88_29)) ?v_202))) (?v_205 (= EC_52_5 ecReturn))) (not (=> (and (distinct C_126_5 C_102_5 ecReturn C_88_1 L_126_5 L_102_5 L_88_1) (not (= S_118_9 null)) (= (typeof S_118_9) T_java_lang_String) (not (= S_57_35 null)) (= (typeof S_57_35) T_java_lang_String) (not (= S_117_9 null)) (= (typeof S_117_9) T_java_lang_String) (not (= S_143_10 null)) (= (typeof S_143_10) T_java_lang_String) (not (= S_56_10 null)) (= (typeof S_56_10) T_java_lang_String) (not (= S_142_5 null)) (= (typeof S_142_5) T_java_lang_String) (not (= S_116_9 null)) (= (typeof S_116_9) T_java_lang_String) (not (= S_115_3 null)) (= (typeof S_115_3) T_java_lang_String)) (=> (and (= NULL_pre_56_82_26 NULL_56_82_26) (= true_term (is NULL_56_82_26 T_int)) (= name_pre_20_18_28 name_20_18_28) (= name_20_18_28 (asField name_20_18_28 T_javafe_ast_Name)) (< (fClosedTime name_20_18_28) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select name_20_18_28 ?s) null)))) (= loc_pre_18_18_13 loc_18_18_13) (= loc_18_18_13 (asField loc_18_18_13 T_int)) (= TYPEMODIFIERPRAGMA_pre_56_28_26 TYPEMODIFIERPRAGMA_56_28_26) (= true_term (is TYPEMODIFIERPRAGMA_56_28_26 T_int)) (= locId_pre_86_38_13 locId_86_38_13) (= locId_86_38_13 (asField locId_86_38_13 T_int)) (= locId_pre_88_43_13 locId_88_43_13) (= locId_88_43_13 (asField locId_88_43_13 T_int)) (= pkgName_pre_6_21_14 pkgName_6_21_14) (= pkgName_6_21_14 (asField pkgName_6_21_14 T_javafe_ast_Name)) (< (fClosedTime pkgName_6_21_14) alloc) (= STRINGLIT_pre_57_44_26 STRINGLIT_57_44_26) (= true_term (is STRINGLIT_57_44_26 T_int)) (= IDENT_pre_57_25_26 IDENT_57_25_26) (= true_term (is IDENT_57_25_26 T_int)) (= imports_pre_6_25_37 imports_6_25_37) (= imports_6_25_37 (asField imports_6_25_37 T_javafe_ast_ImportDeclVec)) (< (fClosedTime imports_6_25_37) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select imports_6_25_37 ?s_1_) null)))) (= elements_pre_83_61_39 elements_83_61_39) (= elements_83_61_39 (asField elements_83_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_83_61_39) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elements_83_61_39 ?s_2_) null)))) (= count_pre_17_67_33 count_17_67_33) (= count_17_67_33 (asField count_17_67_33 T_int)) (= otherCodes_pre_56_202_27 otherCodes_56_202_27) (= true_term (is otherCodes_56_202_27 ?v_0)) (= true_term (isAllocated otherCodes_56_202_27 alloc)) (= LAST_KEYWORD_pre_56_103_26 LAST_KEYWORD_56_103_26) (= true_term (is LAST_KEYWORD_56_103_26 T_int)) (= locType_pre_87_21_13 locType_87_21_13) (= locType_87_21_13 (asField locType_87_21_13 T_int)) (= punctuationStrings_pre_56_134_22 punctuationStrings_56_134_22) (= true_term (is punctuationStrings_56_134_22 ?v_1)) (= true_term (isAllocated punctuationStrings_56_134_22 alloc)) (= punctuationCodes_pre_56_164_19 punctuationCodes_56_164_19) (= true_term (is punctuationCodes_56_164_19 ?v_0)) (= true_term (isAllocated punctuationCodes_56_164_19 alloc)) (= loc_pre_26_45_13 loc_26_45_13) (= loc_26_45_13 (asField loc_26_45_13 T_int)) (= whereDecoration_pre_35_597_41 whereDecoration_35_597_41) (= true_term (is whereDecoration_35_597_41 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated whereDecoration_35_597_41 alloc)) (= noTokens_pre_56_212_27 noTokens_56_212_27) (= true_term (is noTokens_56_212_27 T_int)) (= LEXICALPRAGMA_pre_56_24_26 LEXICALPRAGMA_56_24_26) (= true_term (is LEXICALPRAGMA_56_24_26 T_int)) (= syntax_pre_21_28_29 syntax_21_28_29) (= syntax_21_28_29 (asField syntax_21_28_29 T_boolean)) (= locOpenBrace_pre_97_22_13 locOpenBrace_97_22_13) (= locOpenBrace_97_22_13 (asField locOpenBrace_97_22_13 T_int)) (= LONGLIT_pre_57_40_26 LONGLIT_57_40_26) (= true_term (is LONGLIT_57_40_26 T_int)) (= tokenType_pre_23_90_8 tokenType_23_90_8) (= tokenType_23_90_8 (asField tokenType_23_90_8 T_int)) (= sigDecoration_pre_33_104_38 sigDecoration_33_104_38) (= true_term (is sigDecoration_33_104_38 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated sigDecoration_33_104_38 alloc)) (= locId_pre_26_48_13 locId_26_48_13) (= locId_26_48_13 (asField locId_26_48_13 T_int)) (= locOpenBrace_pre_26_51_13 locOpenBrace_26_51_13) (= locOpenBrace_26_51_13 (asField locOpenBrace_26_51_13 T_int)) (= elements_pre_82_61_38 elements_82_61_38) (= elements_82_61_38 (asField elements_82_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_82_61_38) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elements_82_61_38 ?s_3_) null)))) (= locCloseBrace_pre_26_54_13 locCloseBrace_26_54_13) (= locCloseBrace_26_54_13 (asField locCloseBrace_26_54_13 T_int)) (= TYPEDECLELEMPRAGMA_pre_56_27_26 TYPEDECLELEMPRAGMA_56_27_26) (= true_term (is TYPEDECLELEMPRAGMA_56_27_26 T_int)) (= locCloseBrace_pre_97_25_13 locCloseBrace_97_25_13) (= locCloseBrace_97_25_13 (asField locCloseBrace_97_25_13 T_int)) (= NULL_pre_15_60_26 NULL_15_60_26) (= true_term (is NULL_15_60_26 T_int)) (= DOUBLELIT_pre_57_43_26 DOUBLELIT_57_43_26) (= true_term (is DOUBLELIT_57_43_26 T_int)) (= typeName_pre_19_15_32 typeName_19_15_32) (= typeName_19_15_32 (asField typeName_19_15_32 T_javafe_ast_TypeName)) (< (fClosedTime typeName_19_15_32) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select typeName_19_15_32 ?s_4_) null)))) (= FIRST_KEYWORD_pre_56_51_26 FIRST_KEYWORD_56_51_26) (= true_term (is FIRST_KEYWORD_56_51_26 T_int)) (= count_pre_25_67_33 count_25_67_33) (= count_25_67_33 (asField count_25_67_33 T_int)) (= length_pre_22_50_25 length_22_50_25) (= length_22_50_25 (asField length_22_50_25 T_int)) (= loc_pre_6_30_13 loc_6_30_13) (= loc_6_30_13 (asField loc_6_30_13 T_int)) (= elems_pre_6_27_35 elems_6_27_35) (= elems_6_27_35 (asField elems_6_27_35 T_javafe_ast_TypeDeclVec)) (< (fClosedTime elems_6_27_35) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select elems_6_27_35 ?s_5_) null)))) (= INTLIT_pre_57_39_26 INTLIT_57_39_26) (= true_term (is INTLIT_57_39_26 T_int)) (= STMTPRAGMA_pre_56_26_26 STMTPRAGMA_56_26_26) (= true_term (is STMTPRAGMA_56_26_26 T_int)) (= returnType_pre_87_18_28 returnType_87_18_28) (= returnType_87_18_28 (asField returnType_87_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_87_18_28) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select returnType_87_18_28 ?s_6_) null)))) (= keywordStrings_pre_56_181_30 keywordStrings_56_181_30) (= true_term (is keywordStrings_56_181_30 ?v_1)) (= true_term (isAllocated keywordStrings_56_181_30 alloc)) (= elements_pre_17_61_39 elements_17_61_39) (= elements_17_61_39 (asField elements_17_61_39 (array T_javafe_ast_ImportDecl))) (< (fClosedTime elements_17_61_39) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select elements_17_61_39 ?s_7_) null)))) (= FLOATLIT_pre_57_42_26 FLOATLIT_57_42_26) (= true_term (is FLOATLIT_57_42_26 T_int)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= count_pre_83_67_33 count_83_67_33) (= count_83_67_33 (asField count_83_67_33 T_int)) (= typeEnv_pre_35_323_32 typeEnv_35_323_32) (= true_term (is typeEnv_35_323_32 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated typeEnv_35_323_32 alloc)) (= checkedField_pre_30_33 checkedField_30_33) (= true_term (is checkedField_30_33 T_javafe_ast_ASTDecoration)) (= true_term (isAllocated checkedField_30_33 alloc)) (= locOpenBrace_pre_88_36_13 locOpenBrace_88_36_13) (= locOpenBrace_88_36_13 (asField locOpenBrace_88_36_13 T_int)) (= BOOLEANLIT_pre_57_38_26 BOOLEANLIT_57_38_26) (= true_term (is BOOLEANLIT_57_38_26 T_int)) (= inst_pre_36_29_44 inst_36_29_44) (= true_term (is inst_36_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_36_29_44 alloc)) (not (= inst_36_29_44 null)) (= elements_pre_25_61_37 elements_25_61_37) (= elements_25_61_37 (asField elements_25_61_37 (array T_javafe_ast_TypeDecl))) (< (fClosedTime elements_25_61_37) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select elements_25_61_37 ?s_8_) null)))) (= body_pre_88_34_19 body_88_34_19) (= body_88_34_19 (asField body_88_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_88_34_19) alloc) (= modifiers_pre_26_28_13 modifiers_26_28_13) (= modifiers_26_28_13 (asField modifiers_26_28_13 T_int)) (= count_pre_82_67_33 count_82_67_33) (= count_82_67_33 (asField count_82_67_33 T_int)) (= id_pre_26_32_34 id_26_32_34) (= id_26_32_34 (asField id_26_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_26_32_34) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select id_26_32_34 ?s_9_) null)))) (= otherStrings_pre_56_193_30 otherStrings_56_193_30) (= true_term (is otherStrings_56_193_30 ?v_1)) (= true_term (isAllocated otherStrings_56_193_30 alloc)) (= MODIFIERPRAGMA_pre_56_25_26 MODIFIERPRAGMA_56_25_26) (= true_term (is MODIFIERPRAGMA_56_25_26 T_int)) (= decorationType_pre_5_48_27 decorationType_5_48_27) (= decorationType_5_48_27 (asField decorationType_5_48_27 T__TYPE)) (= type_pre_86_35_28 type_86_35_28) (= type_86_35_28 (asField type_86_35_28 T_javafe_ast_Type)) (< (fClosedTime type_86_35_28) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select type_86_35_28 ?s_10_) null)))) (= loc_pre_88_40_13 loc_88_40_13) (= loc_88_40_13 (asField loc_88_40_13 T_int)) (= CHARLIT_pre_57_41_26 CHARLIT_57_41_26) (= true_term (is CHARLIT_57_41_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is cu_48_60 T_javafe_ast_CompilationUnit)) (= true_term (isAllocated cu_48_60 alloc)) ?v_7 (forall ((?i_56_147_29 Int)) (=> (and (<= 0 ?i_56_147_29) (<= ?i_56_147_29 (arrayLength punctuationCodes_56_164_19))) (not (= (S_select (S_select elems punctuationCodes_56_164_19) ?i_56_147_29) NULL_56_82_26)))) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj null))) (= (typeof (S_select elements_25_61_37 ?brokenObj)) (array T_javafe_ast_TypeDecl)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_1_ null))) (= (S_select owner_4_35_28 (S_select elements_17_61_39 ?brokenObj_1_)) ?brokenObj_1_))) (= true_term (is ?v_2 T_javafe_parser_TagConstants)) (not (= ?v_2 null)) (= (arrayLength punctuationCodes_56_164_19) ?v_4) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_2_ null))) (forall ((?i_17_62_31 Int)) (=> (and (<= 0 ?i_17_62_31) (< ?i_17_62_31 (S_select count_17_67_33 ?brokenObj_2_))) (not (= (S_select (S_select elems (S_select elements_17_61_39 ?brokenObj_2_)) ?i_17_62_31) null)))))) (= ?v_9 T_java_lang_Boolean) (= ?v_3 (- (+ 1 LAST_KEYWORD_56_103_26) FIRST_KEYWORD_56_51_26)) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_CompilationUnit)) (not (= ?brokenObj_3_ null))) (not (= (S_select loc_6_30_13 ?brokenObj_3_) NULL_15_60_26)))) (forall ((?brokenObj_4_ Int)) (let ((?v_206 (S_select tokenType_23_90_8 ?brokenObj_4_))) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_Identifier)) (not (= ?brokenObj_4_ null))) (and (not (= ?v_206 BOOLEANLIT_57_38_26)) (not (= ?v_206 INTLIT_57_39_26)) (not (= ?v_206 LONGLIT_57_40_26)) (not (= ?v_206 FLOATLIT_57_42_26)) (not (= ?v_206 DOUBLELIT_57_43_26)) (not (= ?v_206 STRINGLIT_57_44_26)) (not (= ?v_206 CHARLIT_57_41_26)) (not (= ?v_206 LEXICALPRAGMA_56_24_26)) (not (= ?v_206 MODIFIERPRAGMA_56_25_26)) (not (= ?v_206 STMTPRAGMA_56_26_26)) (not (= ?v_206 TYPEDECLELEMPRAGMA_56_27_26)) (not (= ?v_206 TYPEMODIFIERPRAGMA_56_28_26)))))) (= true_term (nonnullelements otherStrings_56_193_30 elems)) ?v_6 (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_5_ null))) (<= 0 (S_select count_25_67_33 ?brokenObj_5_)))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_6_ null))) (<= (S_select count_17_67_33 ?brokenObj_6_) (arrayLength (S_select elements_17_61_39 ?brokenObj_6_))))) (= (arrayLength otherCodes_56_202_27) ?v_5) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_7_ null))) (= (typeof (S_select elements_17_61_39 ?brokenObj_7_)) (array T_javafe_ast_ImportDecl)))) (forall ((?i_56_149_29 Int)) (let ((?v_207 (S_select (S_select elems punctuationCodes_56_164_19) ?i_56_149_29))) (=> (and (<= 0 ?i_56_149_29) (<= ?i_56_149_29 (arrayLength punctuationCodes_56_164_19))) (and (not (= ?v_207 IDENT_57_25_26)) (not (= ?v_207 BOOLEANLIT_57_38_26)) (not (= ?v_207 INTLIT_57_39_26)) (not (= ?v_207 LONGLIT_57_40_26)) (not (= ?v_207 FLOATLIT_57_42_26)) (not (= ?v_207 DOUBLELIT_57_43_26)) (not (= ?v_207 STRINGLIT_57_44_26)) (not (= ?v_207 CHARLIT_57_41_26)) (not (= ?v_207 LEXICALPRAGMA_56_24_26)) (not (= ?v_207 MODIFIERPRAGMA_56_25_26)) (not (= ?v_207 STMTPRAGMA_56_26_26)) (not (= ?v_207 TYPEDECLELEMPRAGMA_56_27_26)) (not (= ?v_207 TYPEMODIFIERPRAGMA_56_28_26)))))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_8_ null))) (= (S_select owner_4_35_28 (S_select elements_25_61_37 ?brokenObj_8_)) ?brokenObj_8_))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_ast_ImportDecl)) (not (= ?brokenObj_9_ null))) (not (= (S_select loc_18_18_13 ?brokenObj_9_) NULL_15_60_26)))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_ast_Name)) (not (= ?brokenObj_10_ null))) (>= (S_select length_22_50_25 ?brokenObj_10_) 1))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_11_ null))) (forall ((?i_25_62_31 Int)) (=> (and (<= 0 ?i_25_62_31) (< ?i_25_62_31 (S_select count_25_67_33 ?brokenObj_11_))) (not (= (S_select (S_select elems (S_select elements_25_61_37 ?brokenObj_11_)) ?i_25_62_31) null)))))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_12_ null))) (not (= (S_select loc_26_45_13 ?brokenObj_12_) NULL_15_60_26)))) (= true_term (nonnullelements punctuationStrings_56_134_22 elems)) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_13_ null))) (<= 0 (S_select count_17_67_33 ?brokenObj_13_)))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_14_ null))) (<= (S_select count_25_67_33 ?brokenObj_14_) (arrayLength (S_select elements_25_61_37 ?brokenObj_14_))))) (= true_term (nonnullelements keywordStrings_56_181_30 elems)) (= noTokens_56_212_27 (+ (+ ?v_3 ?v_4) ?v_5)) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_15_ null))) (not (= (S_select locCloseBrace_26_54_13 ?brokenObj_15_) NULL_15_60_26)))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_16_ null))) (not (= (S_select locId_26_48_13 ?brokenObj_16_) NULL_15_60_26)))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_17_ null))) (not (= (S_select locOpenBrace_26_51_13 ?brokenObj_17_) NULL_15_60_26)))) (or ?v_10 (and ?v_6 (or ?v_11 (and ?v_7 ?v_174 ?v_175 ?v_8 ?v_176 ?v_177 ?v_17 ?v_178 ?v_179 ?v_180 ?v_181 ?v_182 ?v_183 ?v_184 ?v_185 (or ?v_10 (and ?v_6 (or ?v_11 (and ?v_7 (not ?v_13)) (and ?v_7 ?v_13 ?v_186 (or ?v_11 (and ?v_7 (or (and ?v_14 (not ?v_15)) (and ?v_14 ?v_15 ?v_187 ?v_188 ?v_16 ?v_189 ?v_190 ?v_191 (or ?v_11 (and ?v_7 ?v_192 (or ?v_11 (and ?v_7 ?v_193 (or ?v_11 (and ?v_7 ?v_194 (or ?v_11 (and ?v_7 ?v_195 ?v_196 ?v_197 (or (and ?v_17 (or ?v_20 (and ?v_18 ?v_150 ?v_19 ?v_151 ?v_152 (or ?v_20 (and ?v_18 (or (not (and ?v_48 (< 0 ?v_21))) (and ?v_153 ?v_154 ?v_22 ?v_155 ?v_24 ?v_23 ?v_17 (or (not ?v_24) (and ?v_24 (or (not ?v_25) (and ?v_25 ?v_156 (or ?v_29 (and ?v_27 ?v_157 ?v_28 ?v_158 (or ?v_29 (and ?v_27 (or (and ?v_31 (not (and (<= 0 i_97_24_88_1_0_97_24_22_62_48) (< i_97_24_88_1_0_97_24_22_62_48 ?v_30)))) (and ?v_31 ?v_159 ?v_160 ?v_32 ?v_161 (or (and ?v_78 ?v_79 ?v_80 (or (and ?v_17 (or ?v_20 (and ?v_18 ?v_53 ?v_33 ?v_54 ?v_55 (or ?v_20 (and ?v_18 (or (not (and (<= 0 j_88_1_0_102_10) (< j_88_1_0_102_10 ?v_21))) (and ?v_56 ?v_57 ?v_34 ?v_58 ?v_36 ?v_35 ?v_17 (or (not ?v_36) (and ?v_36 (or (not ?v_37) (and ?v_37 ?v_59 (or ?v_41 (and ?v_39 ?v_60 ?v_40 ?v_61 (or ?v_41 (and ?v_39 (or (and ?v_43 (not (and (<= 0 i_111_21_88_1_0_102_5_0_111_21_22_62_48) (< i_111_21_88_1_0_102_5_0_111_21_22_62_48 ?v_42)))) (and ?v_43 ?v_62 ?v_63 ?v_44 ?v_64 (or (and ?v_45 ?v_29) (and ?v_65 ?v_66 ?v_17 (or ?v_29 (and ?v_27 (or ?v_111 (and ?v_67 ?v_49 ?v_68 (or ?v_29 (and ?v_27 ?v_69 ?v_70 ?v_50 ?v_71 ?v_72 (or ?v_41 (and ?v_39 ?v_73 ?v_74 ?v_51 ?v_75 ?v_76 (not ?v_52)))))))))))))))))))))))))))) (and ?v_17 ?v_18 ?v_53 ?v_33 ?v_54 ?v_55 ?v_83 ?v_84 ?v_17 ?v_20))) (and ?v_78 ?v_79 ?v_80 ?v_162 ?v_86 ?v_163 ?v_164 ?v_165 ?v_166 (or (and ?v_17 (or ?v_89 (and ?v_87 ?v_118 ?v_88 ?v_119 ?v_120 (or ?v_89 (and ?v_87 (or ?v_114 (and ?v_121 ?v_122 ?v_91 ?v_123 (or (not ?v_92) (and ?v_92 ?v_124 ?v_17 (or ?v_11 (and ?v_7 (or (and ?v_93 ?v_17 ?v_29) (and ?v_100 ?v_17 (or ?v_29 (and ?v_27 ?v_101 ?v_94 ?v_102 ?v_103 (or ?v_29 (and ?v_27 ?v_104 ?v_95 ?v_105 (or ?v_29 (and ?v_27 (or (and ?v_96 (not (and (< 0 len_136_7_88_1_0_126_5_0_136_7_22_171_36) (<= len_136_7_88_1_0_126_5_0_136_7_22_171_36 ?v_30)))) (and ?v_96 ?v_106 ?v_107 ?v_97 ?v_108 (or ?v_11 (and ?v_7 (not ?v_98)))))))))))) (and ?v_125 (or ?v_29 (and ?v_27 (or ?v_111 (and ?v_126 ?v_112 ?v_127 (or ?v_29 (and ?v_27 ?v_128 ?v_129 ?v_113 ?v_130 ?v_131 (or ?v_89 (and ?v_87 (or ?v_114 (and ?v_132 ?v_133 ?v_115 ?v_134 (or (not ?v_116) (and ?v_116 ?v_135 ?v_136 ?v_137 ?v_138 ?v_139 (not ?v_117)))))))))))))))))))))))))) (and ?v_17 ?v_87 ?v_118 ?v_88 ?v_119 ?v_120 ?v_168 ?v_169 ?v_17 ?v_89))))))))))))))))))))) (and ?v_17 ?v_18 ?v_150 ?v_19 ?v_151 ?v_152 ?v_199 ?v_200 ?v_17 ?v_20))))))))))))))))))))) (and (or (and ?v_6 ?v_7 ?v_174 ?v_175 ?v_8 ?v_176 ?v_177 ?v_17 ?v_178 ?v_179 ?v_180 ?v_181 ?v_182 ?v_183 ?v_184 ?v_185 ?v_6 ?v_7 ?v_13 ?v_186 ?v_7 ?v_14 ?v_15 ?v_187 ?v_188 ?v_16 ?v_189 ?v_190 ?v_191 ?v_7 ?v_192 ?v_7 ?v_193 ?v_7 ?v_194 ?v_7 ?v_195 ?v_196 ?v_197 ?v_204 ?v_202 (= EC_13_ EC_12_) ?v_205) (and ?v_6 ?v_7 ?v_174 ?v_175 ?v_8 ?v_176 (or (and ?v_203 ?v_17 ?v_17 (= EC_52_5_1_ ecReturn)) (and ?v_177 ?v_17 ?v_178 ?v_179 ?v_180 ?v_181 ?v_182 ?v_183 ?v_184 ?v_185 ?v_6 ?v_7 ?v_13 ?v_186 ?v_7 ?v_14 ?v_15 ?v_187 ?v_188 ?v_16 ?v_189 ?v_190 ?v_191 ?v_7 ?v_192 ?v_7 ?v_193 ?v_7 ?v_194 ?v_7 ?v_195 ?v_196 ?v_197 ?v_204 (not ?v_202) (= EC_52_5_1_ EC_12_))) (= EC_52_5 EC_52_5_1_))) (not ?v_205)))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
