(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_OnDemandImportDecl () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_reader_TypeReader () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_SingleTypeImportDecl () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_tc_OutsideEnv () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_tc_EnvForCU () Int)
(declare-fun T_javafe_tc_Types () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_ast_ImportDeclVec () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_lang_ClassCastException () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_ast_TypeDeclVec () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun out_34_83_49 () Int)
(declare-fun BOOLEANLIT_65_38_26 () Int)
(declare-fun keywordStrings_64_181_30 () Int)
(declare-fun punctuationStrings_64_134_22 () Int)
(declare-fun CHARLIT_65_41_26 () Int)
(declare-fun STMTPRAGMA_64_26_26 () Int)
(declare-fun otherCodes_64_202_27 () Int)
(declare-fun STRINGLIT_65_44_26 () Int)
(declare-fun otherStrings_64_193_30 () Int)
(declare-fun IDENT_65_25_26 () Int)
(declare-fun noTokens_64_212_27 () Int)
(declare-fun LAST_KEYWORD_64_103_26 () Int)
(declare-fun NULL_64_82_26 () Int)
(declare-fun LONGLIT_65_40_26 () Int)
(declare-fun MODIFIERPRAGMA_64_25_26 () Int)
(declare-fun DOUBLELIT_65_43_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_64_28_26 () Int)
(declare-fun punctuationCodes_64_164_19 () Int)
(declare-fun NULL_30_60_26 () Int)
(declare-fun INTLIT_65_39_26 () Int)
(declare-fun LEXICALPRAGMA_64_24_26 () Int)
(declare-fun FLOATLIT_65_42_26 () Int)
(declare-fun FIRST_KEYWORD_64_51_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_64_27_26 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_OnDemandImportDecl (asChild T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_reader_TypeReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_TypeReader (asChild T_javafe_reader_TypeReader T_javafe_reader_Reader)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_SingleTypeImportDecl (asChild T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_javafe_tc_OutsideEnv T_java_lang_Object) true_term) (= T_javafe_tc_OutsideEnv (asChild T_javafe_tc_OutsideEnv T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_tc_OutsideEnv) true_term) (= ?t T_javafe_tc_OutsideEnv))) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_tc_EnvForCU T_javafe_tc_Env) true_term) (= T_javafe_tc_EnvForCU (asChild T_javafe_tc_EnvForCU T_javafe_tc_Env)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_tc_Types T_java_lang_Object) true_term) (= T_javafe_tc_Types (asChild T_javafe_tc_Types T_java_lang_Object)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_ast_ImportDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_ImportDeclVec (asChild T_javafe_ast_ImportDeclVec T_java_lang_Object)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_ClassCastException T_java_lang_RuntimeException) true_term) (= T_java_lang_ClassCastException (asChild T_java_lang_ClassCastException T_java_lang_RuntimeException)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclVec (asChild T_javafe_ast_TypeDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_OnDemandImportDecl (+ DIST_ZERO_1 10)) (= T_java_util_Map (+ DIST_ZERO_1 11)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 12)) (= T_java_io_PrintStream (+ DIST_ZERO_1 13)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 14)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 15)) (= T_java_lang_String (+ DIST_ZERO_1 16)) (= T_javafe_reader_TypeReader (+ DIST_ZERO_1 17)) (= T_java_util_Dictionary (+ DIST_ZERO_1 18)) (= T_java_lang_Throwable (+ DIST_ZERO_1 19)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 20)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 21)) (= T_java_io_OutputStream (+ DIST_ZERO_1 22)) (= T_java_lang_Exception (+ DIST_ZERO_1 23)) (= T_java_lang_System (+ DIST_ZERO_1 24)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 25)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 26)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 27)) (= T_javafe_ast_SingleTypeImportDecl (+ DIST_ZERO_1 28)) (= T_javafe_tc_Env (+ DIST_ZERO_1 29)) (= T_java_lang_Comparable (+ DIST_ZERO_1 30)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 31)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 32)) (= T_javafe_tc_OutsideEnv (+ DIST_ZERO_1 33)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 34)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 35)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 36)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 37)) (= T_java_io_Serializable (+ DIST_ZERO_1 38)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 39)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 40)) (= T_javafe_tc_EnvForCU (+ DIST_ZERO_1 41)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 42)) (= T_javafe_tc_Types (+ DIST_ZERO_1 43)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 44)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 45)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 46)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 47)) (= T_javafe_ast_Name (+ DIST_ZERO_1 48)) (= T_javafe_ast_Type (+ DIST_ZERO_1 49)) (= T_java_util_Properties (+ DIST_ZERO_1 50)) (= T_java_lang_Object (+ DIST_ZERO_1 51)) (= T_javafe_ast_ImportDeclVec (+ DIST_ZERO_1 52)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 53)) (= T_java_util_Hashtable (+ DIST_ZERO_1 54)) (= T_java_lang_ClassCastException (+ DIST_ZERO_1 55)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 56)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 57)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 58)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 59)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 60)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 61)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 62)) (= T_javafe_ast_TypeDeclVec (+ DIST_ZERO_1 63)) (= T_javafe_util_Location (+ DIST_ZERO_1 64))) (= true_term (is out_34_83_49 T_java_io_PrintStream)) (= true_term (is BOOLEANLIT_65_38_26 T_int)) (= BOOLEANLIT_65_38_26 104) (= true_term (is keywordStrings_64_181_30 ?v_0)) (not (= keywordStrings_64_181_30 null)) (= (typeof keywordStrings_64_181_30) ?v_0) (= (arrayLength keywordStrings_64_181_30) 51) (= true_term (is punctuationStrings_64_134_22 ?v_0)) (not (= punctuationStrings_64_134_22 null)) (= (typeof punctuationStrings_64_134_22) ?v_0) (= (arrayLength punctuationStrings_64_134_22) 48) (= true_term (is CHARLIT_65_41_26 T_int)) (= CHARLIT_65_41_26 107) (= true_term (is STMTPRAGMA_64_26_26 T_int)) (= STMTPRAGMA_64_26_26 116) (= true_term (is otherCodes_64_202_27 ?v_1)) (not (= otherCodes_64_202_27 null)) (= (typeof otherCodes_64_202_27) ?v_1) (= (arrayLength otherCodes_64_202_27) 15) (= true_term (is STRINGLIT_65_44_26 T_int)) (= STRINGLIT_65_44_26 110) (= true_term (is otherStrings_64_193_30 ?v_0)) (not (= otherStrings_64_193_30 null)) (= (typeof otherStrings_64_193_30) ?v_0) (= (arrayLength otherStrings_64_193_30) 15) (= true_term (is IDENT_65_25_26 T_int)) (= IDENT_65_25_26 93) (= true_term (is noTokens_64_212_27 T_int)) (= true_term (is LAST_KEYWORD_64_103_26 T_int)) (= LAST_KEYWORD_64_103_26 183) (= true_term (is NULL_64_82_26 T_int)) (= NULL_64_82_26 163) (= true_term (is LONGLIT_65_40_26 T_int)) (= LONGLIT_65_40_26 106) (= true_term (is MODIFIERPRAGMA_64_25_26 T_int)) (= MODIFIERPRAGMA_64_25_26 115) (= true_term (is DOUBLELIT_65_43_26 T_int)) (= DOUBLELIT_65_43_26 109) (= true_term (is TYPEMODIFIERPRAGMA_64_28_26 T_int)) (= TYPEMODIFIERPRAGMA_64_28_26 118) (= true_term (is punctuationCodes_64_164_19 ?v_1)) (not (= punctuationCodes_64_164_19 null)) (= (typeof punctuationCodes_64_164_19) ?v_1) (= (arrayLength punctuationCodes_64_164_19) 48) (= true_term (is NULL_30_60_26 T_int)) (= NULL_30_60_26 0) (= true_term (is INTLIT_65_39_26 T_int)) (= INTLIT_65_39_26 105) (= true_term (is LEXICALPRAGMA_64_24_26 T_int)) (= LEXICALPRAGMA_64_24_26 114) (= true_term (is FLOATLIT_65_42_26 T_int)) (= FLOATLIT_65_42_26 108) (= true_term (is FIRST_KEYWORD_64_51_26 T_int)) (= FIRST_KEYWORD_64_51_26 133) (= true_term (is TYPEDECLELEMPRAGMA_64_27_26 T_int)) (= TYPEDECLELEMPRAGMA_64_27_26 117))))
(declare-fun C_187_5 () Int)
(declare-fun C_152_1 () Int)
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun L_141_1 () Int)
(declare-fun C_141_1 () Int)
(declare-fun L_187_5 () Int)
(declare-fun L_152_1 () Int)
(declare-fun S_199_27 () Int)
(declare-fun S_198_9 () Int)
(declare-fun S_199_71 () Int)
(declare-fun out_pre_34_83_49 () Int)
(declare-fun locId_pre_15_48_13 () Int)
(declare-fun locId_15_48_13 () Int)
(declare-fun type_pre_39_35_28 () Int)
(declare-fun type_39_35_28 () Int)
(declare-fun locOpenBrace_pre_15_51_13 () Int)
(declare-fun locOpenBrace_15_51_13 () Int)
(declare-fun locCloseBrace_pre_15_54_13 () Int)
(declare-fun locCloseBrace_15_54_13 () Int)
(declare-fun loc_pre_15_45_13 () Int)
(declare-fun loc_15_45_13 () Int)
(declare-fun count_pre_86_67_33 () Int)
(declare-fun count_86_67_33 () Int)
(declare-fun syntax_pre_19_28_29 () Int)
(declare-fun syntax_19_28_29 () Int)
(declare-fun BOOLEANLIT_pre_65_38_26 () Int)
(declare-fun keywordStrings_pre_64_181_30 () Int)
(declare-fun locId_pre_39_38_13 () Int)
(declare-fun locId_39_38_13 () Int)
(declare-fun elements_pre_85_61_38 () Int)
(declare-fun elements_85_61_38 () Int)
(declare-fun elems_pre_6_27_35 () Int)
(declare-fun elems_6_27_35 () Int)
(declare-fun punctuationStrings_pre_64_134_22 () Int)
(declare-fun CHARLIT_pre_65_41_26 () Int)
(declare-fun typeName_pre_24_15_32 () Int)
(declare-fun typeName_24_15_32 () Int)
(declare-fun id_pre_39_32_34 () Int)
(declare-fun id_39_32_34 () Int)
(declare-fun loc_pre_6_30_13 () Int)
(declare-fun loc_6_30_13 () Int)
(declare-fun name_pre_25_18_28 () Int)
(declare-fun name_25_18_28 () Int)
(declare-fun STMTPRAGMA_pre_64_26_26 () Int)
(declare-fun returnType_pre_88_18_28 () Int)
(declare-fun returnType_88_18_28 () Int)
(declare-fun locOpenBrace_pre_89_36_13 () Int)
(declare-fun locOpenBrace_89_36_13 () Int)
(declare-fun otherCodes_pre_64_202_27 () Int)
(declare-fun elements_pre_20_61_39 () Int)
(declare-fun elements_20_61_39 () Int)
(declare-fun STRINGLIT_pre_65_44_26 () Int)
(declare-fun otherStrings_pre_64_193_30 () Int)
(declare-fun IDENT_pre_65_25_26 () Int)
(declare-fun noTokens_pre_64_212_27 () Int)
(declare-fun lenId_pre_27_914_30 () Int)
(declare-fun lenId_27_914_30 () Int)
(declare-fun count_pre_14_67_33 () Int)
(declare-fun count_14_67_33 () Int)
(declare-fun length_pre_26_50_25 () Int)
(declare-fun length_26_50_25 () Int)
(declare-fun LAST_KEYWORD_pre_64_103_26 () Int)
(declare-fun body_pre_89_34_19 () Int)
(declare-fun body_89_34_19 () Int)
(declare-fun NULL_pre_64_82_26 () Int)
(declare-fun elements_pre_86_61_39 () Int)
(declare-fun elements_86_61_39 () Int)
(declare-fun loc_pre_89_40_13 () Int)
(declare-fun loc_89_40_13 () Int)
(declare-fun LONGLIT_pre_65_40_26 () Int)
(declare-fun MODIFIERPRAGMA_pre_64_25_26 () Int)
(declare-fun locId_pre_89_43_13 () Int)
(declare-fun locId_89_43_13 () Int)
(declare-fun DOUBLELIT_pre_65_43_26 () Int)
(declare-fun loc_pre_62_35_13 () Int)
(declare-fun loc_62_35_13 () Int)
(declare-fun tokenType_pre_17_90_8 () Int)
(declare-fun tokenType_17_90_8 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_64_28_26 () Int)
(declare-fun lengthFieldDecl_pre_27_917_40 () Int)
(declare-fun lengthFieldDecl_27_917_40 () Int)
(declare-fun punctuationCodes_pre_64_164_19 () Int)
(declare-fun owner_pre_5_35_28 () Int)
(declare-fun owner_5_35_28 () Int)
(declare-fun CU_pre_25_44 () Int)
(declare-fun CU_25_44 () Int)
(declare-fun NULL_pre_30_60_26 () Int)
(declare-fun count_pre_85_67_33 () Int)
(declare-fun count_85_67_33 () Int)
(declare-fun locType_pre_88_21_13 () Int)
(declare-fun locType_88_21_13 () Int)
(declare-fun INTLIT_pre_65_39_26 () Int)
(declare-fun imports_pre_6_25_37 () Int)
(declare-fun imports_6_25_37 () Int)
(declare-fun LEXICALPRAGMA_pre_64_24_26 () Int)
(declare-fun loc_pre_23_18_13 () Int)
(declare-fun loc_23_18_13 () Int)
(declare-fun pkgName_pre_6_21_14 () Int)
(declare-fun pkgName_6_21_14 () Int)
(declare-fun elements_pre_14_61_37 () Int)
(declare-fun elements_14_61_37 () Int)
(declare-fun locOpenBrace_pre_96_22_13 () Int)
(declare-fun locOpenBrace_96_22_13 () Int)
(declare-fun count_pre_20_67_33 () Int)
(declare-fun count_20_67_33 () Int)
(declare-fun FLOATLIT_pre_65_42_26 () Int)
(declare-fun FIRST_KEYWORD_pre_64_51_26 () Int)
(declare-fun id_pre_15_32_34 () Int)
(declare-fun id_15_32_34 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_64_27_26 () Int)
(declare-fun locCloseBrace_pre_96_25_13 () Int)
(declare-fun locCloseBrace_96_25_13 () Int)
(declare-fun pkgName_pre_29_15_28 () Int)
(declare-fun pkgName_29_15_28 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun id_137_51 () Int)
(declare-fun loc_137_59 () Int)
(declare-fun RES () Int)
(declare-fun RES_loopold () Int)
(declare-fun EC () Int)
(declare-fun EC_loopold () Int)
(declare-fun i_loopold_141_10 () Int)
(declare-fun this_141_30_141_1_0_141_30 () Int)
(declare-fun RES_141_1_0_141_30_141_30 () Int)
(declare-fun EC_141_1_0_141_30_141_30 () Int)
(declare-fun tmp1_elems_141_1_0_142_18 () Int)
(declare-fun RES_141_1_0_142_27_142_27 () Int)
(declare-fun EC_141_1_0_142_27_142_27 () Int)
(declare-fun XRES () Int)
(declare-fun XRES_141_1_0_141_30_141_30 () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun RES_141_1_0_144_17_144_17 () Int)
(declare-fun EC_141_1_0_144_17_144_17 () Int)
(declare-fun XRES_141_1_0_144_17_144_17 () Int)
(declare-fun XRES_1_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun XRES_142_18 () Int)
(declare-fun XRES_141_1_0_142_27_142_27 () Int)
(declare-fun RES_142_18 () Int)
(declare-fun EC_142_18 () Int)
(declare-fun i_141_1_0_141_38 () Int)
(declare-fun this_141_30_141_1_1_141_30 () Int)
(declare-fun RES_141_1_1_141_30_141_30 () Int)
(declare-fun EC_141_1_1_141_30_141_30 () Int)
(declare-fun XRES_141_1_1_141_30_141_30 () Int)
(declare-fun XRES_2_ () Int)
(declare-fun RES_3_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun i_loopold_152_9 () Int)
(declare-fun RES_loopold_1_ () Int)
(declare-fun EC_loopold_1_ () Int)
(declare-fun this_152_31_152_1_0_152_31 () Int)
(declare-fun RES_152_1_0_152_31_152_31 () Int)
(declare-fun EC_152_1_0_152_31_152_31 () Int)
(declare-fun tmp4_imports_152_1_0_155_29 () Int)
(declare-fun RES_152_1_0_156_13_156_13 () Int)
(declare-fun EC_152_1_0_156_13_156_13 () Int)
(declare-fun imp_152_1_0_154_2 () Int)
(declare-fun RES_152_1_0_157_15_157_15 () Int)
(declare-fun EC_152_1_0_157_15_157_15 () Int)
(declare-fun len_158_19_152_1_0_158_19_26_88_43 () Int)
(declare-fun RES_152_1_0_158_19_158_19 () Int)
(declare-fun EC_152_1_0_158_19_158_19 () Int)
(declare-fun i_159_21_152_1_0_159_21_26_62_48 () Int)
(declare-fun RES_152_1_0_159_21_159_21 () Int)
(declare-fun EC_152_1_0_159_21_159_21 () Int)
(declare-fun RES_152_1_0_162_48_162_48 () Int)
(declare-fun EC_152_1_0_162_48_162_48 () Int)
(declare-fun XRES_3_ () Int)
(declare-fun XRES_152_1_0_152_31_152_31 () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun RES_152_1_0_162_18_162_18 () Int)
(declare-fun EC_152_1_0_162_18_162_18 () Int)
(declare-fun XRES_152_1_0_162_18_162_18 () Int)
(declare-fun XRES_4_ () Int)
(declare-fun RES_5_ () Int)
(declare-fun EC_5_ () Int)
(declare-fun XRES_5_ () Int)
(declare-fun RES_6_ () Int)
(declare-fun EC_6_ () Int)
(declare-fun XRES_152_1_0_159_21_159_21 () Int)
(declare-fun XRES_155_29 () Int)
(declare-fun RES_155_29 () Int)
(declare-fun EC_155_29 () Int)
(declare-fun e_152_1_0_165_33 () Int)
(declare-fun XRES_155_29_1_ () Int)
(declare-fun RES_155_29_1_ () Int)
(declare-fun EC_155_29_1_ () Int)
(declare-fun i_152_1_0_152_39 () Int)
(declare-fun this_152_31_152_1_1_152_31 () Int)
(declare-fun RES_152_1_1_152_31_152_31 () Int)
(declare-fun EC_152_1_1_152_31_152_31 () Int)
(declare-fun XRES_152_1_1_152_31_152_31 () Int)
(declare-fun XRES_6_ () Int)
(declare-fun RES_7_ () Int)
(declare-fun EC_7_ () Int)
(declare-fun tmp9_new_String___173_18 () Int)
(declare-fun alloc_1_ () Int)
(declare-fun this_175_17_175_17 () Int)
(declare-fun RES_175_17_175_17 () Int)
(declare-fun EC_175_17_175_17 () Int)
(declare-fun P_173_14 () Int)
(declare-fun XRES_7_ () Int)
(declare-fun XRES_175_17_175_17 () Int)
(declare-fun RES_8_ () Int)
(declare-fun EC_8_ () Int)
(declare-fun RES_176_48_176_48 () Int)
(declare-fun EC_176_48_176_48 () Int)
(declare-fun RES_176_17_176_17 () Int)
(declare-fun EC_176_17_176_17 () Int)
(declare-fun RES_185_41_185_41 () Int)
(declare-fun EC_185_41_185_41 () Int)
(declare-fun RES_186_10_186_10 () Int)
(declare-fun EC_186_10_186_10 () Int)
(declare-fun RES_185_28_185_28 () Int)
(declare-fun EC_185_28_185_28 () Int)
(declare-fun i_loopold_187_13 () Int)
(declare-fun r_loopold_185_13 () Int)
(declare-fun RES_loopold_2_ () Int)
(declare-fun EC_loopold_2_ () Int)
(declare-fun this_187_35_187_5_0_187_35 () Int)
(declare-fun RES_187_5_0_187_35_187_35 () Int)
(declare-fun EC_187_5_0_187_35_187_35 () Int)
(declare-fun tmp13_imports_187_5_0_190_28 () Int)
(declare-fun RES_187_5_0_190_39_190_39 () Int)
(declare-fun EC_187_5_0_190_39_190_39 () Int)
(declare-fun imp_187_5_0_189_6 () Int)
(declare-fun this_192_20_187_5_0_192_20 () Int)
(declare-fun RES_187_5_0_192_20_192_20 () Int)
(declare-fun EC_187_5_0_192_20_192_20 () Int)
(declare-fun RES_187_5_0_193_11_193_11 () Int)
(declare-fun EC_187_5_0_193_11_193_11 () Int)
(declare-fun RES_187_5_0_191_19_191_19 () Int)
(declare-fun EC_187_5_0_191_19_191_19 () Int)
(declare-fun tmp15_cand_187_5_0_195_7 () Int)
(declare-fun tmp15_cand_195_17 () Int)
(declare-fun RES_187_5_0_199_14_199_14 () Int)
(declare-fun EC_187_5_0_199_14_199_14 () Int)
(declare-fun tmp17_187_5_0_198_9 () Int)
(declare-fun RES_187_5_0_199_51_199_51 () Int)
(declare-fun EC_187_5_0_199_51_199_51 () Int)
(declare-fun tmp18_187_5_0_198_9 () Int)
(declare-fun RES_187_5_0_199_84_199_84 () Int)
(declare-fun EC_187_5_0_199_84_199_84 () Int)
(declare-fun msg_197_13_187_5_0_197_13_31_220_45 () Int)
(declare-fun EC_141_6 () Int)
(declare-fun RES_9_ () Int)
(declare-fun EC_9_ () Int)
(declare-fun XRES_187_5_0_191_19_191_19 () Int)
(declare-fun r_185_13 () Int)
(declare-fun EC_10_ () Int)
(declare-fun EC_187_5_0_197_13_197_13 () Int)
(declare-fun XRES_8_ () Int)
(declare-fun XRES_187_5_0_197_13_197_13 () Int)
(declare-fun r_185_13_1_ () Int)
(declare-fun RES_10_ () Int)
(declare-fun RES_187_5_0_197_13_197_13 () Int)
(declare-fun EC_11_ () Int)
(declare-fun XRES_9_ () Int)
(declare-fun r_185_13_2_ () Int)
(declare-fun RES_11_ () Int)
(declare-fun EC_12_ () Int)
(declare-fun r_190_28 () Int)
(declare-fun RES_190_28 () Int)
(declare-fun EC_190_28 () Int)
(declare-fun e_187_5_0_203_30 () Int)
(declare-fun r_190_28_1_ () Int)
(declare-fun RES_190_28_1_ () Int)
(declare-fun EC_190_28_1_ () Int)
(declare-fun i_187_5_0_187_43 () Int)
(declare-fun this_187_35_187_5_1_187_35 () Int)
(declare-fun RES_187_5_1_187_35_187_35 () Int)
(declare-fun EC_187_5_1_187_35_187_35 () Int)
(declare-fun EC_185_41 () Int)
(declare-fun r_185_13_3_ () Int)
(declare-fun EC_13_ () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int)) (?v_3 (arrayLength keywordStrings_64_181_30)) (?v_2 (arrayLength punctuationStrings_64_134_22)) (?v_4 (arrayLength otherStrings_64_193_30)) (?v_5 (S_select owner_5_35_28 punctuationCodes_64_164_19)) (?v_12 (= RES RES_loopold)) (?v_13 (= EC EC_loopold)) (?v_14 (= 0 i_loopold_141_10)) (?v_10 (= true_term true_term)) (?v_31 (S_select CU_25_44 this))) (let ((?v_7 (S_select elems_6_27_35 ?v_31))) (let ((?v_15 (= this_141_30_141_1_0_141_30 ?v_7)) (?v_16 (= true_term (is RES_141_1_0_141_30_141_30 T_int))) (?v_6 (= EC_141_1_0_141_30_141_30 ecReturn))) (let ((?v_17 (=> ?v_6 (= RES_141_1_0_141_30_141_30 (S_select count_14_67_33 this_141_30_141_1_0_141_30)))) (?v_18 (< 0 RES_141_1_0_141_30_141_30)) (?v_19 (= tmp1_elems_141_1_0_142_18 ?v_7)) (?v_34 (<= 0 0)) (?v_20 (= true_term (is RES_141_1_0_142_27_142_27 T_javafe_ast_TypeDecl))) (?v_21 (= true_term (isAllocated RES_141_1_0_142_27_142_27 alloc))) (?v_8 (= EC_141_1_0_142_27_142_27 ecReturn)) (?v_9 (not (= RES_141_1_0_142_27_142_27 null)))) (let ((?v_22 (=> ?v_8 ?v_9)) (?v_11 (not ?v_9)) (?v_23 (= id_137_51 (S_select id_15_32_34 RES_141_1_0_142_27_142_27))) (?v_25 (= true_term (is RES_141_1_0_144_17_144_17 T_javafe_tc_TypeSig))) (?v_26 (= true_term (isAllocated RES_141_1_0_144_17_144_17 alloc))) (?v_24 (= EC_141_1_0_144_17_144_17 ecReturn))) (let ((?v_27 (=> ?v_24 (not (= RES_141_1_0_144_17_144_17 null)))) (?v_28 (= ecReturn C_141_1)) (?v_86 (+ 0 1)) (?v_29 (= EC_141_1_1_141_30_141_30 ecReturn)) (?v_30 (= EC_2_ L_141_1))) (let ((?v_121 (or (and ?v_10 (or (and ?v_15 ?v_16 ?v_6 ?v_17 (not ?v_18) (= XRES XRES_141_1_0_141_30_141_30) (= RES_1_ RES_141_1_0_141_30_141_30) (= EC_1_ L_141_1)) (and ?v_15 ?v_16 ?v_6 ?v_17 ?v_18 ?v_19 ?v_20 ?v_21 ?v_8 ?v_22 ?v_9 ?v_23 ?v_10 ?v_9 ?v_25 ?v_26 ?v_24 ?v_27 ?v_10 (not ?v_28) (= XRES XRES_141_1_0_144_17_144_17) (= RES_1_ RES_141_1_0_144_17_144_17) (= EC_1_ ecReturn))) (= XRES_1_ XRES) (= RES_2_ RES_1_) (= EC_2_ EC_1_)) (and ?v_10 ?v_15 ?v_16 ?v_6 ?v_17 ?v_18 (or (and ?v_19 ?v_20 ?v_21 ?v_8 ?v_22 ?v_9 (not ?v_23) ?v_10 (= XRES_142_18 XRES_141_1_0_142_27_142_27) (= RES_142_18 RES_141_1_0_142_27_142_27) (= EC_142_18 EC_141_1_0_142_27_142_27)) (and ?v_19 ?v_20 ?v_21 ?v_8 ?v_22 ?v_9 ?v_23 ?v_10 ?v_9 ?v_25 ?v_26 ?v_24 ?v_27 ?v_10 ?v_28 (= XRES_142_18 XRES_141_1_0_144_17_144_17) (= RES_142_18 RES_141_1_0_144_17_144_17) (= EC_142_18 ecReturn))) (= i_141_1_0_141_38 ?v_86) ?v_10 (= this_141_30_141_1_1_141_30 ?v_7) (= true_term (is RES_141_1_1_141_30_141_30 T_int)) ?v_29 (=> ?v_29 (= RES_141_1_1_141_30_141_30 (S_select count_14_67_33 this_141_30_141_1_1_141_30))) (not (< i_141_1_0_141_38 RES_141_1_1_141_30_141_30)) (= XRES_1_ XRES_141_1_1_141_30_141_30) (= RES_2_ RES_141_1_1_141_30_141_30) ?v_30))) (?v_122 (= XRES_2_ XRES_1_)) (?v_123 (= RES_3_ RES_2_)) (?v_124 (= EC_3_ EC_2_)) (?v_51 (= 0 i_loopold_152_9)) (?v_52 (= RES_3_ RES_loopold_1_)) (?v_53 (= EC_3_ EC_loopold_1_)) (?v_33 (S_select imports_6_25_37 ?v_31))) (let ((?v_54 (= this_152_31_152_1_0_152_31 ?v_33)) (?v_55 (= true_term (is RES_152_1_0_152_31_152_31 T_int))) (?v_32 (= EC_152_1_0_152_31_152_31 ecReturn))) (let ((?v_56 (=> ?v_32 (= RES_152_1_0_152_31_152_31 (S_select count_20_67_33 this_152_31_152_1_0_152_31)))) (?v_57 (< 0 RES_152_1_0_152_31_152_31)) (?v_58 (= tmp4_imports_152_1_0_155_29 ?v_33)) (?v_59 (= true_term (is RES_152_1_0_156_13_156_13 T_javafe_ast_ImportDecl))) (?v_60 (= true_term (isAllocated RES_152_1_0_156_13_156_13 alloc))) (?v_35 (= EC_152_1_0_156_13_156_13 ecReturn))) (let ((?v_61 (=> ?v_35 (not (= RES_152_1_0_156_13_156_13 null)))) (?v_62 (= true_term (is RES_152_1_0_156_13_156_13 T_javafe_ast_SingleTypeImportDecl))) (?v_37 (cast RES_152_1_0_156_13_156_13 T_javafe_ast_SingleTypeImportDecl))) (let ((?v_36 (not (= ?v_37 null))) (?v_63 (= imp_152_1_0_154_2 (S_select name_25_18_28 (S_select typeName_24_15_32 ?v_37)))) (?v_38 (not (= imp_152_1_0_154_2 null)))) (let ((?v_40 (not ?v_38)) (?v_64 (= true_term (is RES_152_1_0_157_15_157_15 T_int))) (?v_39 (= EC_152_1_0_157_15_157_15 ecReturn)) (?v_41 (S_select length_26_50_25 imp_152_1_0_154_2))) (let ((?v_65 (=> ?v_39 (= RES_152_1_0_157_15_157_15 ?v_41))) (?v_44 (- RES_152_1_0_157_15_157_15 1))) (let ((?v_42 (= len_158_19_152_1_0_158_19_26_88_43 ?v_44)) (?v_66 (= true_term (is RES_152_1_0_158_19_158_19 ?v_0))) (?v_67 (= true_term (isAllocated RES_152_1_0_158_19_158_19 alloc))) (?v_43 (= EC_152_1_0_158_19_158_19 ecReturn)) (?v_50 (= true_term (nonnullelements RES_152_1_0_158_19_158_19 elems)))) (let ((?v_68 (=> ?v_43 ?v_50)) (?v_69 (=> ?v_43 (= (arrayLength RES_152_1_0_158_19_158_19) len_158_19_152_1_0_158_19_26_88_43))) (?v_45 (= i_159_21_152_1_0_159_21_26_62_48 ?v_44)) (?v_70 (= true_term (is RES_152_1_0_159_21_159_21 T_javafe_ast_Identifier))) (?v_71 (= true_term (isAllocated RES_152_1_0_159_21_159_21 alloc))) (?v_46 (= EC_152_1_0_159_21_159_21 ecReturn)) (?v_47 (not (= RES_152_1_0_159_21_159_21 null)))) (let ((?v_72 (=> ?v_46 ?v_47)) (?v_73 (= id_137_51 RES_152_1_0_159_21_159_21)) (?v_74 (= true_term (is RES_152_1_0_162_48_162_48 T_java_lang_String))) (?v_75 (= true_term (isAllocated RES_152_1_0_162_48_162_48 alloc))) (?v_48 (= EC_152_1_0_162_48_162_48 ecReturn)) (?v_49 (not (= RES_152_1_0_162_48_162_48 null)))) (let ((?v_76 (=> ?v_48 ?v_49)) (?v_78 (= true_term (is RES_152_1_0_162_18_162_18 T_javafe_tc_TypeSig))) (?v_79 (= true_term (isAllocated RES_152_1_0_162_18_162_18 alloc))) (?v_80 (= EC_152_1_0_162_18_162_18 ecReturn)) (?v_81 (not (= RES_152_1_0_162_18_162_18 null))) (?v_77 (not (= ecReturn ecThrow)))) (let ((?v_82 (not ?v_77)) (?v_83 (or (= (PO_LT (typeof XRES_152_1_0_162_18_162_18) T_java_lang_ClassCastException) true_term) (= XRES_152_1_0_162_18_162_18 null)))) (let ((?v_84 (or ?v_77 (and ?v_82 (not ?v_83)))) (?v_85 (= ecReturn C_152_1)) (?v_87 (= EC_152_1_1_152_31_152_31 ecReturn)) (?v_88 (= EC_5_ L_152_1))) (let ((?v_125 (or (and ?v_10 (or (and ?v_54 ?v_55 ?v_32 ?v_56 (not ?v_57) (= XRES_3_ XRES_152_1_0_152_31_152_31) (= RES_4_ RES_152_1_0_152_31_152_31) (= EC_4_ L_152_1)) (and ?v_54 ?v_55 ?v_32 ?v_56 ?v_57 ?v_58 ?v_59 ?v_60 ?v_35 ?v_61 ?v_62 ?v_36 ?v_63 ?v_38 ?v_64 ?v_39 ?v_65 ?v_38 ?v_42 ?v_66 ?v_67 ?v_43 ?v_68 ?v_69 ?v_38 ?v_45 ?v_70 ?v_71 ?v_46 ?v_72 ?v_73 ?v_10 ?v_47 ?v_74 ?v_75 ?v_48 ?v_76 ?v_49 ?v_50 ?v_78 ?v_79 ?v_80 ?v_81 ?v_10 ?v_10 ?v_84 (not ?v_85) (= XRES_3_ XRES_152_1_0_162_18_162_18) (= RES_4_ RES_152_1_0_162_18_162_18) (= EC_4_ ecReturn))) (= XRES_4_ XRES_3_) (= RES_5_ RES_4_) (= EC_5_ EC_4_)) (and ?v_10 ?v_54 ?v_55 ?v_32 ?v_56 ?v_57 (or (and (or (and ?v_58 ?v_59 ?v_60 ?v_35 ?v_61 ?v_62 ?v_36 ?v_63 ?v_38 ?v_64 ?v_39 ?v_65 ?v_38 ?v_42 ?v_66 ?v_67 ?v_43 ?v_68 ?v_69 ?v_38 ?v_45 ?v_70 ?v_71 ?v_46 ?v_72 (or (and ?v_73 ?v_10 ?v_47 ?v_74 ?v_75 ?v_48 ?v_76 ?v_49 ?v_50 ?v_78 ?v_79 ?v_80 (not ?v_81) ?v_10 (= XRES_5_ XRES_152_1_0_162_18_162_18) (= RES_6_ RES_152_1_0_162_18_162_18) (= EC_6_ EC_152_1_0_162_18_162_18)) (and (not ?v_73) ?v_10 (= XRES_5_ XRES_152_1_0_159_21_159_21) (= RES_6_ RES_152_1_0_159_21_159_21) (= EC_6_ EC_152_1_0_159_21_159_21))) (= XRES_155_29 XRES_5_) (= RES_155_29 RES_6_) (= EC_155_29 EC_6_)) (and ?v_58 ?v_59 ?v_60 ?v_35 ?v_61 ?v_62 ?v_36 ?v_63 ?v_38 ?v_64 ?v_39 ?v_65 ?v_38 ?v_42 ?v_66 ?v_67 ?v_43 ?v_68 ?v_69 ?v_38 ?v_45 ?v_70 ?v_71 ?v_46 ?v_72 ?v_73 ?v_10 ?v_47 ?v_74 ?v_75 ?v_48 ?v_76 ?v_49 ?v_50 ?v_78 ?v_79 ?v_80 ?v_81 ?v_10 ?v_10 ?v_82 ?v_83 (= e_152_1_0_165_33 XRES_152_1_0_162_18_162_18) (= XRES_155_29 XRES_152_1_0_162_18_162_18) (= RES_155_29 RES_152_1_0_162_18_162_18) (= EC_155_29 ecReturn))) (= XRES_155_29_1_ XRES_155_29) (= RES_155_29_1_ RES_155_29) (= EC_155_29_1_ EC_155_29)) (and ?v_58 ?v_59 ?v_60 ?v_35 ?v_61 ?v_62 ?v_36 ?v_63 ?v_38 ?v_64 ?v_39 ?v_65 ?v_38 ?v_42 ?v_66 ?v_67 ?v_43 ?v_68 ?v_69 ?v_38 ?v_45 ?v_70 ?v_71 ?v_46 ?v_72 ?v_73 ?v_10 ?v_47 ?v_74 ?v_75 ?v_48 ?v_76 ?v_49 ?v_50 ?v_78 ?v_79 ?v_80 ?v_81 ?v_10 ?v_10 ?v_84 ?v_85 (= XRES_155_29_1_ XRES_152_1_0_162_18_162_18) (= RES_155_29_1_ RES_152_1_0_162_18_162_18) (= EC_155_29_1_ ecReturn))) (= i_152_1_0_152_39 ?v_86) ?v_10 (= this_152_31_152_1_1_152_31 ?v_33) (= true_term (is RES_152_1_1_152_31_152_31 T_int)) ?v_87 (=> ?v_87 (= RES_152_1_1_152_31_152_31 (S_select count_20_67_33 this_152_31_152_1_1_152_31))) (not (< i_152_1_0_152_39 RES_152_1_1_152_31_152_31)) (= XRES_4_ XRES_152_1_1_152_31_152_31) (= RES_5_ RES_152_1_1_152_31_152_31) ?v_88))) (?v_126 (= XRES_6_ XRES_4_)) (?v_127 (= RES_7_ RES_5_)) (?v_128 (= EC_7_ EC_5_)) (?v_95 (= true_term (arrayFresh tmp9_new_String___173_18 alloc alloc_1_ elems (arrayShapeOne 0) ?v_0 null))) (?v_96 (forall ((?o Int)) (=> (and (not (= true_term (isAllocated ?o alloc))) (= true_term (isAllocated ?o alloc_1_))) (= true_term (isNewArray ?o))))) (?v_97 (forall ((?o_1_ Int)) (=> (and (not (= true_term (isAllocated ?o_1_ alloc))) (= true_term (isAllocated ?o_1_ alloc_1_))) (= (S_select owner_5_35_28 tmp9_new_String___173_18) null)))) (?v_90 (S_select pkgName_6_21_14 ?v_31))) (let ((?v_89 (not (= ?v_90 null)))) (let ((?v_92 (not ?v_89)) (?v_91 (= EC_175_17_175_17 ecReturn))) (let ((?v_98 (or (and ?v_89 ?v_10 ?v_89 (= this_175_17_175_17 ?v_90) (= true_term (is RES_175_17_175_17 ?v_0)) (= true_term (isAllocated RES_175_17_175_17 alloc_1_)) ?v_91 (=> ?v_91 (= true_term (nonnullelements RES_175_17_175_17 elems))) (=> ?v_91 (= (arrayLength RES_175_17_175_17) (S_select length_26_50_25 this_175_17_175_17))) (= P_173_14 RES_175_17_175_17) (= XRES_7_ XRES_175_17_175_17) (= RES_8_ RES_175_17_175_17) (= EC_8_ EC_175_17_175_17)) (and ?v_92 ?v_10 (= P_173_14 tmp9_new_String___173_18) (= XRES_7_ XRES_6_) (= RES_8_ RES_7_) (= EC_8_ EC_7_)))) (?v_99 (= true_term (is RES_176_48_176_48 T_java_lang_String))) (?v_100 (= true_term (isAllocated RES_176_48_176_48 alloc_1_))) (?v_93 (= EC_176_48_176_48 ecReturn)) (?v_94 (not (= RES_176_48_176_48 null)))) (let ((?v_101 (=> ?v_93 ?v_94)) (?v_102 (= true_term (nonnullelements P_173_14 elems))) (?v_129 (= true_term (is RES_176_17_176_17 T_javafe_tc_TypeSig))) (?v_130 (= true_term (isAllocated RES_176_17_176_17 alloc_1_))) (?v_131 (= EC_176_17_176_17 ecReturn)) (?v_132 (not (= RES_176_17_176_17 null)))) (let ((?v_133 (not ?v_132)) (?v_134 (= true_term (is RES_185_41_185_41 ?v_0))) (?v_135 (= true_term (isAllocated RES_185_41_185_41 alloc_1_))) (?v_103 (= EC_185_41_185_41 ecReturn)) (?v_105 (= true_term (nonnullelements RES_185_41_185_41 elems)))) (let ((?v_136 (=> ?v_103 ?v_105)) (?v_137 (= true_term (is RES_186_10_186_10 T_java_lang_String))) (?v_138 (= true_term (isAllocated RES_186_10_186_10 alloc_1_))) (?v_104 (= EC_186_10_186_10 ecReturn)) (?v_106 (not (= RES_186_10_186_10 null)))) (let ((?v_139 (=> ?v_104 ?v_106)) (?v_140 (= true_term (is RES_185_28_185_28 T_javafe_tc_TypeSig))) (?v_141 (= true_term (isAllocated RES_185_28_185_28 alloc_1_))) (?v_142 (= EC_185_28_185_28 ecReturn)) (?v_143 (= 0 i_loopold_187_13)) (?v_144 (= RES_185_28_185_28 r_loopold_185_13)) (?v_145 (= RES_185_28_185_28 RES_loopold_2_)) (?v_146 (= EC_185_28_185_28 EC_loopold_2_)) (?v_147 (= this_187_35_187_5_0_187_35 ?v_33)) (?v_148 (= true_term (is RES_187_5_0_187_35_187_35 T_int))) (?v_107 (= EC_187_5_0_187_35_187_35 ecReturn))) (let ((?v_149 (=> ?v_107 (= RES_187_5_0_187_35_187_35 (S_select count_20_67_33 this_187_35_187_5_0_187_35)))) (?v_150 (< 0 RES_187_5_0_187_35_187_35)) (?v_151 (= tmp13_imports_187_5_0_190_28 ?v_33)) (?v_152 (= true_term (is RES_187_5_0_190_39_190_39 T_javafe_ast_ImportDecl))) (?v_153 (= true_term (isAllocated RES_187_5_0_190_39_190_39 alloc_1_))) (?v_108 (= EC_187_5_0_190_39_190_39 ecReturn))) (let ((?v_154 (=> ?v_108 (not (= RES_187_5_0_190_39_190_39 null)))) (?v_155 (= true_term (is RES_187_5_0_190_39_190_39 T_javafe_ast_OnDemandImportDecl))) (?v_156 (= imp_187_5_0_189_6 (cast RES_187_5_0_190_39_190_39 T_javafe_ast_OnDemandImportDecl))) (?v_109 (not (= imp_187_5_0_189_6 null))) (?v_157 (= this_192_20_187_5_0_192_20 (S_select pkgName_29_15_28 imp_187_5_0_189_6))) (?v_158 (= true_term (is RES_187_5_0_192_20_192_20 ?v_0))) (?v_159 (= true_term (isAllocated RES_187_5_0_192_20_192_20 alloc_1_))) (?v_110 (= EC_187_5_0_192_20_192_20 ecReturn)) (?v_113 (= true_term (nonnullelements RES_187_5_0_192_20_192_20 elems)))) (let ((?v_160 (=> ?v_110 ?v_113)) (?v_161 (=> ?v_110 (= (arrayLength RES_187_5_0_192_20_192_20) (S_select length_26_50_25 this_192_20_187_5_0_192_20)))) (?v_162 (= true_term (is RES_187_5_0_193_11_193_11 T_java_lang_String))) (?v_163 (= true_term (isAllocated RES_187_5_0_193_11_193_11 alloc_1_))) (?v_111 (= EC_187_5_0_193_11_193_11 ecReturn)) (?v_112 (not (= RES_187_5_0_193_11_193_11 null)))) (let ((?v_164 (=> ?v_111 ?v_112)) (?v_165 (= true_term (is RES_187_5_0_191_19_191_19 T_javafe_tc_TypeSig))) (?v_166 (= true_term (isAllocated RES_187_5_0_191_19_191_19 alloc_1_))) (?v_167 (= EC_187_5_0_191_19_191_19 ecReturn)) (?v_118 (not (= RES_187_5_0_191_19_191_19 null))) (?v_114 (not (= RES_185_28_185_28 null)))) (let ((?v_116 (not ?v_114))) (let ((?v_168 (or (and ?v_114 (= tmp15_cand_187_5_0_195_7 (refNE RES_185_28_185_28 RES_187_5_0_191_19_191_19)) (= tmp15_cand_195_17 tmp15_cand_187_5_0_195_7)) (and ?v_116 ?v_10 (= tmp15_cand_195_17 false_term)))) (?v_169 (= true_term tmp15_cand_195_17)) (?v_120 (not (= loc_137_59 NULL_30_60_26))) (?v_171 (= true_term (is RES_187_5_0_199_14_199_14 T_java_lang_String))) (?v_172 (= true_term (isAllocated RES_187_5_0_199_14_199_14 alloc_1_))) (?v_115 (= EC_187_5_0_199_14_199_14 ecReturn))) (let ((?v_173 (=> ?v_115 (not (= RES_187_5_0_199_14_199_14 null)))) (?v_174 (= tmp17_187_5_0_198_9 (stringCat (stringCat S_198_9 RES_187_5_0_199_14_199_14) S_199_27))) (?v_175 (= true_term (is RES_187_5_0_199_51_199_51 T_java_lang_String))) (?v_176 (= true_term (isAllocated RES_187_5_0_199_51_199_51 alloc_1_))) (?v_117 (= EC_187_5_0_199_51_199_51 ecReturn))) (let ((?v_177 (=> ?v_117 (not (= RES_187_5_0_199_51_199_51 null)))) (?v_178 (= tmp18_187_5_0_198_9 (stringCat (stringCat tmp17_187_5_0_198_9 RES_187_5_0_199_51_199_51) S_199_71))) (?v_184 (not ?v_118)) (?v_179 (= true_term (is RES_187_5_0_199_84_199_84 T_java_lang_String))) (?v_180 (= true_term (isAllocated RES_187_5_0_199_84_199_84 alloc_1_))) (?v_119 (= EC_187_5_0_199_84_199_84 ecReturn))) (let ((?v_181 (=> ?v_119 (not (= RES_187_5_0_199_84_199_84 null)))) (?v_182 (= msg_197_13_187_5_0_197_13_31_220_45 (stringCat tmp18_187_5_0_198_9 RES_187_5_0_199_84_199_84))) (?v_170 (not ?v_120)) (?v_194 (= EC_141_6 ecReturn)) (?v_185 (or (= (PO_LT (typeof XRES_187_5_0_191_19_191_19) T_java_lang_ClassCastException) true_term) (= XRES_187_5_0_191_19_191_19 null)))) (let ((?v_186 (or ?v_77 (and ?v_82 (not ?v_185)))) (?v_187 (= ecReturn C_187_5)) (?v_183 (= EC_187_5_0_197_13_197_13 ecReturn)) (?v_188 (= EC_187_5_1_187_35_187_35 ecReturn)) (?v_189 (= EC_10_ L_187_5))) (let ((?v_190 (or (and ?v_10 (or (and ?v_147 ?v_148 ?v_107 ?v_149 (not ?v_150) (= RES_9_ RES_187_5_0_187_35_187_35) (= EC_9_ L_187_5)) (and ?v_147 ?v_148 ?v_107 ?v_149 ?v_150 ?v_151 ?v_152 ?v_153 ?v_108 ?v_154 ?v_155 ?v_156 ?v_109 ?v_157 ?v_158 ?v_159 ?v_110 ?v_160 ?v_161 ?v_162 ?v_163 ?v_111 ?v_164 ?v_112 ?v_113 ?v_165 ?v_166 ?v_167 ?v_118 ?v_10 ?v_168 ?v_169 ?v_10 ?v_170 ?v_10 ?v_10 ?v_186 (not ?v_187) (= RES_9_ RES_185_28_185_28) (= EC_9_ ecReturn))) (= r_185_13 RES_185_28_185_28) (= EC_10_ EC_9_)) (and ?v_10 ?v_147 ?v_148 ?v_107 ?v_149 ?v_150 (or (and (or (and ?v_151 ?v_152 ?v_153 ?v_108 ?v_154 ?v_155 ?v_156 ?v_109 ?v_157 ?v_158 ?v_159 ?v_110 ?v_160 ?v_161 ?v_162 ?v_163 ?v_111 ?v_164 ?v_112 ?v_113 ?v_165 ?v_166 ?v_167 (or (and ?v_118 ?v_10 ?v_168 (or (and ?v_169 ?v_10 ?v_120 ?v_10 ?v_171 ?v_172 ?v_115 ?v_173 ?v_174 ?v_114 ?v_175 ?v_176 ?v_117 ?v_177 ?v_178 ?v_118 ?v_179 ?v_180 ?v_119 ?v_181 ?v_182 ?v_120 ?v_183 (not ?v_183) (= XRES_8_ XRES_187_5_0_197_13_197_13) (= r_185_13_1_ RES_185_28_185_28) (= RES_10_ RES_187_5_0_197_13_197_13) (= EC_11_ EC_187_5_0_197_13_197_13)) (and (not ?v_169) ?v_10 (= XRES_8_ XRES_187_5_0_191_19_191_19) (= r_185_13_1_ RES_187_5_0_191_19_191_19) (= RES_10_ RES_187_5_0_191_19_191_19) (= EC_11_ EC_187_5_0_191_19_191_19))) (= XRES_9_ XRES_8_) (= r_185_13_2_ r_185_13_1_) (= RES_11_ RES_10_) (= EC_12_ EC_11_)) (and ?v_184 ?v_10 (= XRES_9_ XRES_187_5_0_191_19_191_19) (= r_185_13_2_ RES_185_28_185_28) (= RES_11_ RES_187_5_0_191_19_191_19) (= EC_12_ EC_187_5_0_191_19_191_19))) (= r_190_28 r_185_13_2_) (= RES_190_28 RES_11_) (= EC_190_28 EC_12_)) (and ?v_151 ?v_152 ?v_153 ?v_108 ?v_154 ?v_155 ?v_156 ?v_109 ?v_157 ?v_158 ?v_159 ?v_110 ?v_160 ?v_161 ?v_162 ?v_163 ?v_111 ?v_164 ?v_112 ?v_113 ?v_165 ?v_166 ?v_167 ?v_118 ?v_10 ?v_168 ?v_169 ?v_10 ?v_170 ?v_10 ?v_10 ?v_82 ?v_185 (= e_187_5_0_203_30 XRES_187_5_0_191_19_191_19) (= r_190_28 RES_185_28_185_28) (= RES_190_28 RES_185_28_185_28) (= EC_190_28 ecReturn))) (= r_190_28_1_ r_190_28) (= RES_190_28_1_ RES_190_28) (= EC_190_28_1_ EC_190_28)) (and ?v_151 ?v_152 ?v_153 ?v_108 ?v_154 ?v_155 ?v_156 ?v_109 ?v_157 ?v_158 ?v_159 ?v_110 ?v_160 ?v_161 ?v_162 ?v_163 ?v_111 ?v_164 ?v_112 ?v_113 ?v_165 ?v_166 ?v_167 ?v_118 ?v_10 ?v_168 ?v_169 ?v_10 ?v_170 ?v_10 ?v_10 ?v_186 ?v_187 (= r_190_28_1_ RES_185_28_185_28) (= RES_190_28_1_ RES_185_28_185_28) (= EC_190_28_1_ ecReturn))) (= i_187_5_0_187_43 ?v_86) ?v_10 (= this_187_35_187_5_1_187_35 ?v_33) (= true_term (is RES_187_5_1_187_35_187_35 T_int)) ?v_188 (=> ?v_188 (= RES_187_5_1_187_35_187_35 (S_select count_20_67_33 this_187_35_187_5_1_187_35))) (not (< i_187_5_0_187_43 RES_187_5_1_187_35_187_35)) (= r_185_13 r_190_28_1_) ?v_189))) (?v_191 (= r_185_13_3_ r_185_13)) (?v_192 (= EC_13_ EC_10_)) (?v_193 (not (= r_185_13_3_ null)))) (not (=> (and (distinct C_187_5 C_152_1 ecReturn ecThrow L_141_1 C_141_1 L_187_5 L_152_1) (not (= S_199_27 null)) (= (typeof S_199_27) T_java_lang_String) (not (= S_198_9 null)) (= (typeof S_198_9) T_java_lang_String) (not (= S_199_71 null)) (= (typeof S_199_71) T_java_lang_String)) (=> (and (= out_pre_34_83_49 out_34_83_49) (= true_term (is out_34_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_34_83_49 alloc)) (not (= out_34_83_49 null)) (= locId_pre_15_48_13 locId_15_48_13) (= locId_15_48_13 (asField locId_15_48_13 T_int)) (= type_pre_39_35_28 type_39_35_28) (= type_39_35_28 (asField type_39_35_28 T_javafe_ast_Type)) (< (fClosedTime type_39_35_28) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select type_39_35_28 ?s) null)))) (= locOpenBrace_pre_15_51_13 locOpenBrace_15_51_13) (= locOpenBrace_15_51_13 (asField locOpenBrace_15_51_13 T_int)) (= locCloseBrace_pre_15_54_13 locCloseBrace_15_54_13) (= locCloseBrace_15_54_13 (asField locCloseBrace_15_54_13 T_int)) (= loc_pre_15_45_13 loc_15_45_13) (= loc_15_45_13 (asField loc_15_45_13 T_int)) (= count_pre_86_67_33 count_86_67_33) (= count_86_67_33 (asField count_86_67_33 T_int)) (= syntax_pre_19_28_29 syntax_19_28_29) (= syntax_19_28_29 (asField syntax_19_28_29 T_boolean)) (= BOOLEANLIT_pre_65_38_26 BOOLEANLIT_65_38_26) (= true_term (is BOOLEANLIT_65_38_26 T_int)) (= keywordStrings_pre_64_181_30 keywordStrings_64_181_30) (= true_term (is keywordStrings_64_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_64_181_30 alloc)) (= locId_pre_39_38_13 locId_39_38_13) (= locId_39_38_13 (asField locId_39_38_13 T_int)) (= elements_pre_85_61_38 elements_85_61_38) (= elements_85_61_38 (asField elements_85_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_85_61_38) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_85_61_38 ?s_1_) null)))) (= elems_pre_6_27_35 elems_6_27_35) (= elems_6_27_35 (asField elems_6_27_35 T_javafe_ast_TypeDeclVec)) (< (fClosedTime elems_6_27_35) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elems_6_27_35 ?s_2_) null)))) (= punctuationStrings_pre_64_134_22 punctuationStrings_64_134_22) (= true_term (is punctuationStrings_64_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_64_134_22 alloc)) (= CHARLIT_pre_65_41_26 CHARLIT_65_41_26) (= true_term (is CHARLIT_65_41_26 T_int)) (= typeName_pre_24_15_32 typeName_24_15_32) (= typeName_24_15_32 (asField typeName_24_15_32 T_javafe_ast_TypeName)) (< (fClosedTime typeName_24_15_32) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select typeName_24_15_32 ?s_3_) null)))) (= id_pre_39_32_34 id_39_32_34) (= id_39_32_34 (asField id_39_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_39_32_34) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select id_39_32_34 ?s_4_) null)))) (= loc_pre_6_30_13 loc_6_30_13) (= loc_6_30_13 (asField loc_6_30_13 T_int)) (= name_pre_25_18_28 name_25_18_28) (= name_25_18_28 (asField name_25_18_28 T_javafe_ast_Name)) (< (fClosedTime name_25_18_28) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select name_25_18_28 ?s_5_) null)))) (= STMTPRAGMA_pre_64_26_26 STMTPRAGMA_64_26_26) (= true_term (is STMTPRAGMA_64_26_26 T_int)) (= returnType_pre_88_18_28 returnType_88_18_28) (= returnType_88_18_28 (asField returnType_88_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_88_18_28) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select returnType_88_18_28 ?s_6_) null)))) (= locOpenBrace_pre_89_36_13 locOpenBrace_89_36_13) (= locOpenBrace_89_36_13 (asField locOpenBrace_89_36_13 T_int)) (= otherCodes_pre_64_202_27 otherCodes_64_202_27) (= true_term (is otherCodes_64_202_27 ?v_1)) (= true_term (isAllocated otherCodes_64_202_27 alloc)) (= elements_pre_20_61_39 elements_20_61_39) (= elements_20_61_39 (asField elements_20_61_39 (array T_javafe_ast_ImportDecl))) (< (fClosedTime elements_20_61_39) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select elements_20_61_39 ?s_7_) null)))) (= STRINGLIT_pre_65_44_26 STRINGLIT_65_44_26) (= true_term (is STRINGLIT_65_44_26 T_int)) (= otherStrings_pre_64_193_30 otherStrings_64_193_30) (= true_term (is otherStrings_64_193_30 ?v_0)) (= true_term (isAllocated otherStrings_64_193_30 alloc)) (= IDENT_pre_65_25_26 IDENT_65_25_26) (= true_term (is IDENT_65_25_26 T_int)) (= noTokens_pre_64_212_27 noTokens_64_212_27) (= true_term (is noTokens_64_212_27 T_int)) (= lenId_pre_27_914_30 lenId_27_914_30) (= true_term (is lenId_27_914_30 T_javafe_ast_Identifier)) (= true_term (isAllocated lenId_27_914_30 alloc)) (= count_pre_14_67_33 count_14_67_33) (= count_14_67_33 (asField count_14_67_33 T_int)) (= length_pre_26_50_25 length_26_50_25) (= length_26_50_25 (asField length_26_50_25 T_int)) (= LAST_KEYWORD_pre_64_103_26 LAST_KEYWORD_64_103_26) (= true_term (is LAST_KEYWORD_64_103_26 T_int)) (= body_pre_89_34_19 body_89_34_19) (= body_89_34_19 (asField body_89_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_89_34_19) alloc) (= NULL_pre_64_82_26 NULL_64_82_26) (= true_term (is NULL_64_82_26 T_int)) (= elements_pre_86_61_39 elements_86_61_39) (= elements_86_61_39 (asField elements_86_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_86_61_39) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select elements_86_61_39 ?s_8_) null)))) (= loc_pre_89_40_13 loc_89_40_13) (= loc_89_40_13 (asField loc_89_40_13 T_int)) (= LONGLIT_pre_65_40_26 LONGLIT_65_40_26) (= true_term (is LONGLIT_65_40_26 T_int)) (= MODIFIERPRAGMA_pre_64_25_26 MODIFIERPRAGMA_64_25_26) (= true_term (is MODIFIERPRAGMA_64_25_26 T_int)) (= locId_pre_89_43_13 locId_89_43_13) (= locId_89_43_13 (asField locId_89_43_13 T_int)) (= DOUBLELIT_pre_65_43_26 DOUBLELIT_65_43_26) (= true_term (is DOUBLELIT_65_43_26 T_int)) (= loc_pre_62_35_13 loc_62_35_13) (= loc_62_35_13 (asField loc_62_35_13 T_int)) (= tokenType_pre_17_90_8 tokenType_17_90_8) (= tokenType_17_90_8 (asField tokenType_17_90_8 T_int)) (= TYPEMODIFIERPRAGMA_pre_64_28_26 TYPEMODIFIERPRAGMA_64_28_26) (= true_term (is TYPEMODIFIERPRAGMA_64_28_26 T_int)) (= lengthFieldDecl_pre_27_917_40 lengthFieldDecl_27_917_40) (= true_term (is lengthFieldDecl_27_917_40 T_javafe_ast_FieldDecl)) (= true_term (isAllocated lengthFieldDecl_27_917_40 alloc)) (not (= lengthFieldDecl_27_917_40 null)) (= punctuationCodes_pre_64_164_19 punctuationCodes_64_164_19) (= true_term (is punctuationCodes_64_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_64_164_19 alloc)) (= owner_pre_5_35_28 owner_5_35_28) (= owner_5_35_28 (asField owner_5_35_28 T_java_lang_Object)) (< (fClosedTime owner_5_35_28) alloc) (= CU_pre_25_44 CU_25_44) (= CU_25_44 (asField CU_25_44 T_javafe_ast_CompilationUnit)) (< (fClosedTime CU_25_44) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select CU_25_44 ?s_9_) null)))) (= NULL_pre_30_60_26 NULL_30_60_26) (= true_term (is NULL_30_60_26 T_int)) (= count_pre_85_67_33 count_85_67_33) (= count_85_67_33 (asField count_85_67_33 T_int)) (= locType_pre_88_21_13 locType_88_21_13) (= locType_88_21_13 (asField locType_88_21_13 T_int)) (= INTLIT_pre_65_39_26 INTLIT_65_39_26) (= true_term (is INTLIT_65_39_26 T_int)) (= imports_pre_6_25_37 imports_6_25_37) (= imports_6_25_37 (asField imports_6_25_37 T_javafe_ast_ImportDeclVec)) (< (fClosedTime imports_6_25_37) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select imports_6_25_37 ?s_10_) null)))) (= LEXICALPRAGMA_pre_64_24_26 LEXICALPRAGMA_64_24_26) (= true_term (is LEXICALPRAGMA_64_24_26 T_int)) (= loc_pre_23_18_13 loc_23_18_13) (= loc_23_18_13 (asField loc_23_18_13 T_int)) (= pkgName_pre_6_21_14 pkgName_6_21_14) (= pkgName_6_21_14 (asField pkgName_6_21_14 T_javafe_ast_Name)) (< (fClosedTime pkgName_6_21_14) alloc) (= elements_pre_14_61_37 elements_14_61_37) (= elements_14_61_37 (asField elements_14_61_37 (array T_javafe_ast_TypeDecl))) (< (fClosedTime elements_14_61_37) alloc) (forall ((?s_11_ Int)) (=> (not (= ?s_11_ null)) (not (= (S_select elements_14_61_37 ?s_11_) null)))) (= locOpenBrace_pre_96_22_13 locOpenBrace_96_22_13) (= locOpenBrace_96_22_13 (asField locOpenBrace_96_22_13 T_int)) (= count_pre_20_67_33 count_20_67_33) (= count_20_67_33 (asField count_20_67_33 T_int)) (= FLOATLIT_pre_65_42_26 FLOATLIT_65_42_26) (= true_term (is FLOATLIT_65_42_26 T_int)) (= FIRST_KEYWORD_pre_64_51_26 FIRST_KEYWORD_64_51_26) (= true_term (is FIRST_KEYWORD_64_51_26 T_int)) (= id_pre_15_32_34 id_15_32_34) (= id_15_32_34 (asField id_15_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_15_32_34) alloc) (forall ((?s_12_ Int)) (=> (not (= ?s_12_ null)) (not (= (S_select id_15_32_34 ?s_12_) null)))) (= TYPEDECLELEMPRAGMA_pre_64_27_26 TYPEDECLELEMPRAGMA_64_27_26) (= true_term (is TYPEDECLELEMPRAGMA_64_27_26 T_int)) (= locCloseBrace_pre_96_25_13 locCloseBrace_96_25_13) (= locCloseBrace_96_25_13 (asField locCloseBrace_96_25_13 T_int)) (= pkgName_pre_29_15_28 pkgName_29_15_28) (= pkgName_29_15_28 (asField pkgName_29_15_28 T_javafe_ast_Name)) (< (fClosedTime pkgName_29_15_28) alloc) (forall ((?s_13_ Int)) (=> (not (= ?s_13_ null)) (not (= (S_select pkgName_29_15_28 ?s_13_) null)))) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_tc_EnvForCU)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is id_137_51 T_javafe_ast_Identifier)) (= true_term (isAllocated id_137_51 alloc)) (not (= id_137_51 null)) (= true_term (is loc_137_59 T_int)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_MethodDecl)) (not (= ?brokenObj null))) (not (= (S_select locType_88_21_13 ?brokenObj) NULL_30_60_26)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_1_ null))) (= (S_select owner_5_35_28 (S_select elements_14_61_37 ?brokenObj_1_)) ?brokenObj_1_))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_Name)) (not (= ?brokenObj_2_ null))) (>= (S_select length_26_50_25 ?brokenObj_2_) 1))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_3_ null))) (= (typeof (S_select elements_85_61_38 ?brokenObj_3_)) (array T_javafe_ast_FieldDecl)))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_4_ null))) (forall ((?i_20_62_31 Int)) (=> (and (<= 0 ?i_20_62_31) (< ?i_20_62_31 (S_select count_20_67_33 ?brokenObj_4_))) (not (= (S_select (S_select elems (S_select elements_20_61_39 ?brokenObj_4_)) ?i_20_62_31) null)))))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_ast_ImportDecl)) (not (= ?brokenObj_5_ null))) (not (= (S_select loc_23_18_13 ?brokenObj_5_) NULL_30_60_26)))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_6_ null))) (not (= (S_select locOpenBrace_96_22_13 ?brokenObj_6_) NULL_30_60_26)))) (forall ((?brokenObj_7_ Int)) (let ((?v_195 (S_select tokenType_17_90_8 ?brokenObj_7_))) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_ast_Identifier)) (not (= ?brokenObj_7_ null))) (and (not (= ?v_195 BOOLEANLIT_65_38_26)) (not (= ?v_195 INTLIT_65_39_26)) (not (= ?v_195 LONGLIT_65_40_26)) (not (= ?v_195 FLOATLIT_65_42_26)) (not (= ?v_195 DOUBLELIT_65_43_26)) (not (= ?v_195 STRINGLIT_65_44_26)) (not (= ?v_195 CHARLIT_65_41_26)) (not (= ?v_195 LEXICALPRAGMA_64_24_26)) (not (= ?v_195 MODIFIERPRAGMA_64_25_26)) (not (= ?v_195 STMTPRAGMA_64_26_26)) (not (= ?v_195 TYPEDECLELEMPRAGMA_64_27_26)) (not (= ?v_195 TYPEMODIFIERPRAGMA_64_28_26)))))) (= noTokens_64_212_27 (+ (+ ?v_3 ?v_2) ?v_4)) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_8_ null))) (<= (S_select count_14_67_33 ?brokenObj_8_) (arrayLength (S_select elements_14_61_37 ?brokenObj_8_))))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_9_ null))) (not (= (S_select locCloseBrace_96_25_13 ?brokenObj_9_) NULL_30_60_26)))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_10_ null))) (forall ((?i_86_62_31 Int)) (=> (and (<= 0 ?i_86_62_31) (< ?i_86_62_31 (S_select count_86_67_33 ?brokenObj_10_))) (not (= (S_select (S_select elems (S_select elements_86_61_39 ?brokenObj_10_)) ?i_86_62_31) null)))))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_11_ null))) (= (typeof (S_select elements_20_61_39 ?brokenObj_11_)) (array T_javafe_ast_ImportDecl)))) (= (arrayLength punctuationCodes_64_164_19) ?v_2) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_12_ null))) (<= 0 (S_select count_85_67_33 ?brokenObj_12_)))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_13_ null))) (not (= (S_select locId_15_48_13 ?brokenObj_13_) NULL_30_60_26)))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_14_ null))) (not (= (S_select locOpenBrace_15_51_13 ?brokenObj_14_) NULL_30_60_26)))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_15_ null))) (not (= (S_select locCloseBrace_15_54_13 ?brokenObj_15_) NULL_30_60_26)))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_16_ null))) (not (= (S_select loc_15_45_13 ?brokenObj_16_) NULL_30_60_26)))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_17_ null))) (= (typeof (S_select elements_86_61_39 ?brokenObj_17_)) (array T_javafe_ast_MethodDecl)))) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_18_ null))) (not (= (S_select locId_39_38_13 ?brokenObj_18_) NULL_30_60_26)))) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_19_ null))) (= (S_select owner_5_35_28 (S_select elements_85_61_38 ?brokenObj_19_)) ?brokenObj_19_))) (= ?v_3 (- (+ 1 LAST_KEYWORD_64_103_26) FIRST_KEYWORD_64_51_26)) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_20_ null))) (<= 0 (S_select count_20_67_33 ?brokenObj_20_)))) (= true_term (nonnullelements otherStrings_64_193_30 elems)) (forall ((?brokenObj_21_ Int)) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_21_ null))) (not (= true_term (S_select syntax_19_28_29 ?brokenObj_21_))))) (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_22_ null)) (not (= (S_select body_89_34_19 ?brokenObj_22_) null))) (not (= (S_select locOpenBrace_89_36_13 ?brokenObj_22_) NULL_30_60_26)))) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_ast_CompilationUnit)) (not (= ?brokenObj_23_ null))) (not (= (S_select loc_6_30_13 ?brokenObj_23_) NULL_30_60_26)))) (= (arrayLength otherCodes_64_202_27) ?v_4) (forall ((?brokenObj_24_ Int)) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_24_ null))) (<= (S_select count_85_67_33 ?brokenObj_24_) (arrayLength (S_select elements_85_61_38 ?brokenObj_24_))))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_25_ null))) (= (S_select owner_5_35_28 (S_select elements_20_61_39 ?brokenObj_25_)) ?brokenObj_25_))) (forall ((?i_64_149_29 Int)) (let ((?v_196 (S_select (S_select elems punctuationCodes_64_164_19) ?i_64_149_29))) (=> (and (<= 0 ?i_64_149_29) (<= ?i_64_149_29 (arrayLength punctuationCodes_64_164_19))) (and (not (= ?v_196 IDENT_65_25_26)) (not (= ?v_196 BOOLEANLIT_65_38_26)) (not (= ?v_196 INTLIT_65_39_26)) (not (= ?v_196 LONGLIT_65_40_26)) (not (= ?v_196 FLOATLIT_65_42_26)) (not (= ?v_196 DOUBLELIT_65_43_26)) (not (= ?v_196 STRINGLIT_65_44_26)) (not (= ?v_196 CHARLIT_65_41_26)) (not (= ?v_196 LEXICALPRAGMA_64_24_26)) (not (= ?v_196 MODIFIERPRAGMA_64_25_26)) (not (= ?v_196 STMTPRAGMA_64_26_26)) (not (= ?v_196 TYPEDECLELEMPRAGMA_64_27_26)) (not (= ?v_196 TYPEMODIFIERPRAGMA_64_28_26)))))) (forall ((?brokenObj_26_ Int)) (=> (and (= true_term (is ?brokenObj_26_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_26_ null))) (<= 0 (S_select count_86_67_33 ?brokenObj_26_)))) (forall ((?brokenObj_27_ Int)) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_27_ null))) (forall ((?i_14_62_31 Int)) (=> (and (<= 0 ?i_14_62_31) (< ?i_14_62_31 (S_select count_14_67_33 ?brokenObj_27_))) (not (= (S_select (S_select elems (S_select elements_14_61_37 ?brokenObj_27_)) ?i_14_62_31) null)))))) (forall ((?i_64_147_29 Int)) (=> (and (<= 0 ?i_64_147_29) (<= ?i_64_147_29 (arrayLength punctuationCodes_64_164_19))) (not (= (S_select (S_select elems punctuationCodes_64_164_19) ?i_64_147_29) NULL_64_82_26)))) (forall ((?brokenObj_28_ Int)) (=> (and (= true_term (is ?brokenObj_28_ T_javafe_ast_ImportDeclVec)) (not (= ?brokenObj_28_ null))) (<= (S_select count_20_67_33 ?brokenObj_28_) (arrayLength (S_select elements_20_61_39 ?brokenObj_28_))))) (forall ((?brokenObj_29_ Int)) (=> (and (= true_term (is ?brokenObj_29_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_29_ null))) (= (S_select owner_5_35_28 (S_select elements_86_61_39 ?brokenObj_29_)) ?brokenObj_29_))) (forall ((?brokenObj_30_ Int)) (=> (and (= true_term (is ?brokenObj_30_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_30_ null))) (= true_term (S_select syntax_19_28_29 (S_select type_39_35_28 ?brokenObj_30_))))) (forall ((?brokenObj_31_ Int)) (=> (and (= true_term (is ?brokenObj_31_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_31_ null))) (not (= (S_select loc_89_40_13 ?brokenObj_31_) NULL_30_60_26)))) (forall ((?brokenObj_32_ Int)) (=> (and (= true_term (is ?brokenObj_32_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_32_ null))) (= (typeof (S_select elements_14_61_37 ?brokenObj_32_)) (array T_javafe_ast_TypeDecl)))) (= true_term (nonnullelements keywordStrings_64_181_30 elems)) (= true_term (is ?v_5 T_javafe_parser_TagConstants)) (not (= ?v_5 null)) (= true_term (nonnullelements punctuationStrings_64_134_22 elems)) (forall ((?brokenObj_33_ Int)) (=> (and (= true_term (is ?brokenObj_33_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_33_ null))) (not (= (S_select locId_89_43_13 ?brokenObj_33_) NULL_30_60_26)))) (forall ((?brokenObj_34_ Int)) (=> (and (= true_term (is ?brokenObj_34_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_34_ null))) (<= (S_select count_86_67_33 ?brokenObj_34_) (arrayLength (S_select elements_86_61_39 ?brokenObj_34_))))) (forall ((?brokenObj_35_ Int)) (=> (and (= true_term (is ?brokenObj_35_ T_javafe_ast_PrimitiveType)) (not (= ?brokenObj_35_ null)) (= true_term (S_select syntax_19_28_29 ?brokenObj_35_))) (not (= (S_select loc_62_35_13 ?brokenObj_35_) NULL_30_60_26)))) (forall ((?brokenObj_36_ Int)) (=> (and (= true_term (is ?brokenObj_36_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_36_ null))) (<= 0 (S_select count_14_67_33 ?brokenObj_36_)))) (forall ((?brokenObj_37_ Int)) (=> (and (= true_term (is ?brokenObj_37_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_37_ null))) (forall ((?i_85_62_31 Int)) (=> (and (<= 0 ?i_85_62_31) (< ?i_85_62_31 (S_select count_85_67_33 ?brokenObj_37_))) (not (= (S_select (S_select elems (S_select elements_85_61_38 ?brokenObj_37_)) ?i_85_62_31) null)))))) (forall ((?brokenObj_38_ Int)) (=> (and (= true_term (is ?brokenObj_38_ T_javafe_ast_TypeName)) (not (= ?brokenObj_38_ null))) (= true_term (S_select syntax_19_28_29 ?brokenObj_38_)))) (forall ((?brokenObj_39_ Int)) (=> (and (= true_term (is ?brokenObj_39_ T_javafe_ast_MethodDecl)) (not (= ?brokenObj_39_ null))) (= true_term (S_select syntax_19_28_29 (S_select returnType_88_18_28 ?brokenObj_39_))))) (or (and ?v_12 ?v_13 ?v_14 ?v_10 ?v_15 ?v_16 ?v_6 ?v_17 ?v_18 ?v_19 (or (not (and ?v_34 (< 0 (S_select count_14_67_33 tmp1_elems_141_1_0_142_18)))) (and ?v_20 ?v_21 ?v_8 ?v_22 (or ?v_11 (and ?v_9 ?v_23 ?v_10 ?v_11))))) (and ?v_12 ?v_13 ?v_14 ?v_121 ?v_30 ?v_122 ?v_123 ?v_124 (or (and ?v_51 ?v_52 ?v_53 ?v_10 ?v_54 ?v_55 ?v_32 ?v_56 ?v_57 ?v_58 (or (not (and ?v_34 (< 0 (S_select count_20_67_33 tmp4_imports_152_1_0_155_29)))) (and ?v_59 ?v_60 ?v_35 ?v_61 ?v_62 (or (not ?v_36) (and ?v_36 ?v_63 (or ?v_40 (and ?v_38 ?v_64 ?v_39 ?v_65 (or ?v_40 (and ?v_38 (or (and ?v_42 (not (and (<= 0 len_158_19_152_1_0_158_19_26_88_43) (<= len_158_19_152_1_0_158_19_26_88_43 ?v_41)))) (and ?v_42 ?v_66 ?v_67 ?v_43 ?v_68 ?v_69 (or ?v_40 (and ?v_38 (or (and ?v_45 (not (and (<= 0 i_159_21_152_1_0_159_21_26_62_48) (< i_159_21_152_1_0_159_21_26_62_48 ?v_41)))) (and ?v_45 ?v_70 ?v_71 ?v_46 ?v_72 ?v_73 ?v_10 (or (not ?v_47) (and ?v_47 ?v_74 ?v_75 ?v_48 ?v_76 (or (not ?v_49) (and ?v_49 (not ?v_50)))))))))))))))))))) (and ?v_51 ?v_52 ?v_53 ?v_125 ?v_88 ?v_126 ?v_127 ?v_128 (or (not ?v_34) (and ?v_34 ?v_95 ?v_96 ?v_97 (or (and ?v_89 ?v_10 ?v_92) (and ?v_98 ?v_99 ?v_100 ?v_93 ?v_101 (or (not ?v_94) (and ?v_94 (not ?v_102)))))) (and ?v_34 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_93 ?v_101 ?v_94 ?v_102 ?v_129 ?v_130 ?v_131 ?v_133 ?v_10 ?v_134 ?v_135 ?v_103 ?v_136 ?v_137 ?v_138 ?v_104 ?v_139 (or (not (and ?v_105 ?v_106)) (and ?v_140 ?v_141 ?v_142 ?v_143 ?v_144 ?v_145 ?v_146 ?v_10 ?v_147 ?v_148 ?v_107 ?v_149 ?v_150 ?v_151 (or (not (and ?v_34 (< 0 (S_select count_20_67_33 tmp13_imports_187_5_0_190_28)))) (and ?v_152 ?v_153 ?v_108 ?v_154 ?v_155 ?v_156 (or (not ?v_109) (and ?v_109 ?v_157 ?v_158 ?v_159 ?v_110 ?v_160 ?v_161 ?v_162 ?v_163 ?v_111 ?v_164 (or (not ?v_112) (and ?v_112 (not ?v_113)) (and ?v_112 ?v_113 ?v_165 ?v_166 ?v_167 ?v_118 ?v_10 ?v_168 ?v_169 ?v_10 ?v_120 ?v_10 ?v_171 ?v_172 ?v_115 ?v_173 ?v_174 (or ?v_116 (and ?v_114 ?v_175 ?v_176 ?v_117 ?v_177 ?v_178 (or ?v_184 (and ?v_118 ?v_179 ?v_180 ?v_119 ?v_181 ?v_182 ?v_170))))))))))))))))) (and (or (and ?v_12 ?v_13 ?v_14 ?v_121 (not ?v_30) (= EC_141_6 EC_2_)) (and ?v_12 ?v_13 ?v_14 ?v_121 ?v_30 ?v_122 ?v_123 ?v_124 (or (and ?v_51 ?v_52 ?v_53 ?v_125 (not ?v_88) (= EC_141_6 EC_5_)) (and ?v_51 ?v_52 ?v_53 ?v_125 ?v_88 ?v_126 ?v_127 ?v_128 (or (and ?v_34 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_93 ?v_101 ?v_94 ?v_102 ?v_129 ?v_130 ?v_131 ?v_132 ?v_10 ?v_10 ?v_194) (and ?v_34 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_93 ?v_101 ?v_94 ?v_102 ?v_129 ?v_130 ?v_131 ?v_133 ?v_10 (or (and ?v_134 ?v_135 ?v_103 ?v_136 ?v_137 ?v_138 ?v_104 ?v_139 ?v_140 ?v_141 ?v_142 (or (and ?v_143 ?v_144 ?v_145 ?v_146 ?v_190 (not ?v_189) (= EC_185_41 EC_10_)) (and ?v_143 ?v_144 ?v_145 ?v_146 ?v_190 ?v_189 ?v_191 ?v_192 ?v_193 ?v_10 ?v_10 (= EC_185_41 ecReturn))) (= EC_141_6 EC_185_41)) (and ?v_134 ?v_135 ?v_103 ?v_136 ?v_137 ?v_138 ?v_104 ?v_139 ?v_140 ?v_141 ?v_142 ?v_143 ?v_144 ?v_145 ?v_146 ?v_190 ?v_189 ?v_191 ?v_192 (not ?v_193) ?v_10 ?v_10 ?v_194)))))))) (not ?v_194)))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
