(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_io_PrintStream () Int)
(declare-fun T_java_io_FilterOutputStream () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_filespace_Query () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_reader_TypeReader () Int)
(declare-fun T_javafe_reader_Reader () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_javafe_ast_TypeDeclVec () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_genericfile_NormalGenericFile () Int)
(declare-fun T_java_io_File () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_filespace_StringUtil () Int)
(declare-fun T_javafe_tc_Listener () Int)
(declare-fun T_javafe_tc_OutsideEnv () Int)
(declare-fun T_java_io_OutputStream () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_ast_PrettyPrint () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_reader_StandardTypeReader () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun PARSED_11_772_28 () Int)
(declare-fun STMTPRAGMA_73_26_26 () Int)
(declare-fun CHARLIT_74_41_26 () Int)
(declare-fun otherCodes_73_202_27 () Int)
(declare-fun otherStrings_73_193_30 () Int)
(declare-fun IDENT_74_25_26 () Int)
(declare-fun out_32_83_49 () Int)
(declare-fun noTokens_73_212_27 () Int)
(declare-fun MODIFIERPRAGMA_73_25_26 () Int)
(declare-fun punctuationCodes_73_164_19 () Int)
(declare-fun LONGLIT_74_40_26 () Int)
(declare-fun punctuationStrings_73_134_22 () Int)
(declare-fun err_32_97_50 () Int)
(declare-fun LEXICALPRAGMA_73_24_26 () Int)
(declare-fun INTLIT_74_39_26 () Int)
(declare-fun NULL_30_60_26 () Int)
(declare-fun keywordStrings_73_181_30 () Int)
(declare-fun FIRST_KEYWORD_73_51_26 () Int)
(declare-fun BOOLEANLIT_74_38_26 () Int)
(declare-fun THE_UNNAMED_PACKAGE_11_484_31 () Int)
(declare-fun PREPPED_11_775_28 () Int)
(declare-fun STRINGLIT_74_44_26 () Int)
(declare-fun NULL_73_82_26 () Int)
(declare-fun LAST_KEYWORD_73_103_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_73_28_26 () Int)
(declare-fun DOUBLELIT_74_43_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_73_27_26 () Int)
(declare-fun FLOATLIT_74_42_26 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_io_PrintStream T_java_io_FilterOutputStream) true_term) (= T_java_io_PrintStream (asChild T_java_io_PrintStream T_java_io_FilterOutputStream)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_filespace_Query T_java_lang_Object) true_term) (= T_javafe_filespace_Query (asChild T_javafe_filespace_Query T_java_lang_Object)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_reader_TypeReader T_javafe_reader_Reader) true_term) (= T_javafe_reader_TypeReader (asChild T_javafe_reader_TypeReader T_javafe_reader_Reader)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclVec (asChild T_javafe_ast_TypeDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_reader_Reader T_java_lang_Object) true_term) (= T_javafe_reader_Reader (asChild T_javafe_reader_Reader T_java_lang_Object)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_genericfile_NormalGenericFile T_java_io_File) true_term) (= T_javafe_genericfile_NormalGenericFile (asChild T_javafe_genericfile_NormalGenericFile T_java_io_File)) (= (PO_LT T_javafe_genericfile_NormalGenericFile T_javafe_genericfile_GenericFile) true_term) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_filespace_StringUtil T_java_lang_Object) true_term) (= T_javafe_filespace_StringUtil (asChild T_javafe_filespace_StringUtil T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_filespace_StringUtil) true_term) (= ?t T_javafe_filespace_StringUtil))) (= (PO_LT T_javafe_tc_Listener T_java_lang_Object) true_term) (= (PO_LT T_javafe_tc_OutsideEnv T_java_lang_Object) true_term) (= T_javafe_tc_OutsideEnv (asChild T_javafe_tc_OutsideEnv T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_tc_OutsideEnv) true_term) (= ?t T_javafe_tc_OutsideEnv))) (= (PO_LT T_java_io_OutputStream T_java_lang_Object) true_term) (= T_java_io_OutputStream (asChild T_java_io_OutputStream T_java_lang_Object)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_PrettyPrint T_java_lang_Object) true_term) (= T_javafe_ast_PrettyPrint (asChild T_javafe_ast_PrettyPrint T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_io_FilterOutputStream T_java_io_OutputStream) true_term) (= T_java_io_FilterOutputStream (asChild T_java_io_FilterOutputStream T_java_io_OutputStream)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_reader_StandardTypeReader T_javafe_reader_TypeReader) true_term) (= T_javafe_reader_StandardTypeReader (asChild T_javafe_reader_StandardTypeReader T_javafe_reader_TypeReader)) (= (PO_LT T_java_io_File T_java_lang_Object) true_term) (= T_java_io_File (asChild T_java_io_File T_java_lang_Object)) (= (PO_LT T_java_io_File T_java_io_Serializable) true_term) (= (PO_LT T_java_io_File T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_lang_String (+ DIST_ZERO_1 10)) (= T_java_io_PrintStream (+ DIST_ZERO_1 11)) (= T_javafe_util_Assert (+ DIST_ZERO_1 12)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 13)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 14)) (= T_javafe_ast_Type (+ DIST_ZERO_1 15)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 16)) (= T_java_lang_Comparable (+ DIST_ZERO_1 17)) (= T_javafe_filespace_Query (+ DIST_ZERO_1 18)) (= T_javafe_tc_Env (+ DIST_ZERO_1 19)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 20)) (= T_javafe_reader_TypeReader (+ DIST_ZERO_1 21)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 22)) (= T_javafe_ast_TypeDeclVec (+ DIST_ZERO_1 23)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 24)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 25)) (= T_java_lang_Object (+ DIST_ZERO_1 26)) (= T_java_util_Dictionary (+ DIST_ZERO_1 27)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 28)) (= T_java_util_Hashtable (+ DIST_ZERO_1 29)) (= T_javafe_reader_Reader (+ DIST_ZERO_1 30)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 31)) (= T_java_io_Serializable (+ DIST_ZERO_1 32)) (= T_javafe_genericfile_NormalGenericFile (+ DIST_ZERO_1 33)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 34)) (= T_java_util_Map (+ DIST_ZERO_1 35)) (= T_javafe_filespace_StringUtil (+ DIST_ZERO_1 36)) (= T_javafe_tc_Listener (+ DIST_ZERO_1 37)) (= T_javafe_tc_OutsideEnv (+ DIST_ZERO_1 38)) (= T_java_io_OutputStream (+ DIST_ZERO_1 39)) (= T_java_lang_System (+ DIST_ZERO_1 40)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 41)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 42)) (= T_java_util_Properties (+ DIST_ZERO_1 43)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 44)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 45)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 46)) (= T_javafe_util_Location (+ DIST_ZERO_1 47)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 48)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 49)) (= T_javafe_ast_PrettyPrint (+ DIST_ZERO_1 50)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 51)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 52)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 53)) (= T_java_io_FilterOutputStream (+ DIST_ZERO_1 54)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 55)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 56)) (= T_javafe_reader_StandardTypeReader (+ DIST_ZERO_1 57)) (= T_java_io_File (+ DIST_ZERO_1 58)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 59)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 60)) (= T_javafe_ast_Name (+ DIST_ZERO_1 61))) (= true_term (is PARSED_11_772_28 T_int)) (= PARSED_11_772_28 2) (= true_term (is STMTPRAGMA_73_26_26 T_int)) (= STMTPRAGMA_73_26_26 116) (= true_term (is CHARLIT_74_41_26 T_int)) (= CHARLIT_74_41_26 107) (= true_term (is otherCodes_73_202_27 ?v_0)) (not (= otherCodes_73_202_27 null)) (= (typeof otherCodes_73_202_27) ?v_0) (= (arrayLength otherCodes_73_202_27) 15) (= true_term (is otherStrings_73_193_30 ?v_1)) (not (= otherStrings_73_193_30 null)) (= (typeof otherStrings_73_193_30) ?v_1) (= (arrayLength otherStrings_73_193_30) 15) (= true_term (is IDENT_74_25_26 T_int)) (= IDENT_74_25_26 93) (= true_term (is out_32_83_49 T_java_io_PrintStream)) (= true_term (is noTokens_73_212_27 T_int)) (= true_term (is MODIFIERPRAGMA_73_25_26 T_int)) (= MODIFIERPRAGMA_73_25_26 115) (= true_term (is punctuationCodes_73_164_19 ?v_0)) (not (= punctuationCodes_73_164_19 null)) (= (typeof punctuationCodes_73_164_19) ?v_0) (= (arrayLength punctuationCodes_73_164_19) 48) (= true_term (is LONGLIT_74_40_26 T_int)) (= LONGLIT_74_40_26 106) (= true_term (is punctuationStrings_73_134_22 ?v_1)) (not (= punctuationStrings_73_134_22 null)) (= (typeof punctuationStrings_73_134_22) ?v_1) (= (arrayLength punctuationStrings_73_134_22) 48) (= true_term (is err_32_97_50 T_java_io_PrintStream)) (= true_term (is LEXICALPRAGMA_73_24_26 T_int)) (= LEXICALPRAGMA_73_24_26 114) (= true_term (is INTLIT_74_39_26 T_int)) (= INTLIT_74_39_26 105) (= true_term (is NULL_30_60_26 T_int)) (= NULL_30_60_26 0) (= true_term (is keywordStrings_73_181_30 ?v_1)) (not (= keywordStrings_73_181_30 null)) (= (typeof keywordStrings_73_181_30) ?v_1) (= (arrayLength keywordStrings_73_181_30) 51) (= true_term (is FIRST_KEYWORD_73_51_26 T_int)) (= FIRST_KEYWORD_73_51_26 133) (= true_term (is BOOLEANLIT_74_38_26 T_int)) (= BOOLEANLIT_74_38_26 104) (= true_term (is THE_UNNAMED_PACKAGE_11_484_31 T_java_lang_String)) (not (= THE_UNNAMED_PACKAGE_11_484_31 null)) (= true_term (is PREPPED_11_775_28 T_int)) (= PREPPED_11_775_28 5) (= true_term (is STRINGLIT_74_44_26 T_int)) (= STRINGLIT_74_44_26 110) (= true_term (is NULL_73_82_26 T_int)) (= NULL_73_82_26 163) (= true_term (is LAST_KEYWORD_73_103_26 T_int)) (= LAST_KEYWORD_73_103_26 183) (= true_term (is TYPEMODIFIERPRAGMA_73_28_26 T_int)) (= TYPEMODIFIERPRAGMA_73_28_26 118) (= true_term (is DOUBLELIT_74_43_26 T_int)) (= DOUBLELIT_74_43_26 109) (= true_term (is TYPEDECLELEMPRAGMA_73_27_26 T_int)) (= TYPEDECLELEMPRAGMA_73_27_26 117) (= true_term (is FLOATLIT_74_42_26 T_int)) (= FLOATLIT_74_42_26 108))))
(declare-fun ecReturn () Int)
(declare-fun L_370_1 () Int)
(declare-fun methods_pre_11_883_26 () Int)
(declare-fun methods_11_883_26 () Int)
(declare-fun state_pre_11_787_15 () Int)
(declare-fun state_11_787_15 () Int)
(declare-fun PARSED_pre_11_772_28 () Int)
(declare-fun pkgName_pre_20_21_14 () Int)
(declare-fun pkgName_20_21_14 () Int)
(declare-fun locId_pre_65_43_13 () Int)
(declare-fun locId_65_43_13 () Int)
(declare-fun count_pre_25_67_33 () Int)
(declare-fun count_25_67_33 () Int)
(declare-fun STMTPRAGMA_pre_73_26_26 () Int)
(declare-fun syntax_pre_12_28_29 () Int)
(declare-fun syntax_12_28_29 () Int)
(declare-fun locOpenBrace_pre_26_51_13 () Int)
(declare-fun locOpenBrace_26_51_13 () Int)
(declare-fun loc_pre_26_45_13 () Int)
(declare-fun loc_26_45_13 () Int)
(declare-fun CHARLIT_pre_74_41_26 () Int)
(declare-fun count_pre_60_67_33 () Int)
(declare-fun count_60_67_33 () Int)
(declare-fun otherCodes_pre_73_202_27 () Int)
(declare-fun otherStrings_pre_73_193_30 () Int)
(declare-fun locOpenBrace_pre_98_22_13 () Int)
(declare-fun locOpenBrace_98_22_13 () Int)
(declare-fun listener_pre_200_28 () Int)
(declare-fun listener_200_28 () Int)
(declare-fun IDENT_pre_74_25_26 () Int)
(declare-fun out_pre_32_83_49 () Int)
(declare-fun noTokens_pre_73_212_27 () Int)
(declare-fun elems_pre_20_27_35 () Int)
(declare-fun elems_20_27_35 () Int)
(declare-fun reader_pre_179_29 () Int)
(declare-fun reader_179_29 () Int)
(declare-fun enclosingEnv_pre_11_52_36 () Int)
(declare-fun enclosingEnv_11_52_36 () Int)
(declare-fun returnType_pre_64_18_28 () Int)
(declare-fun returnType_64_18_28 () Int)
(declare-fun MODIFIERPRAGMA_pre_73_25_26 () Int)
(declare-fun punctuationCodes_pre_73_164_19 () Int)
(declare-fun LONGLIT_pre_74_40_26 () Int)
(declare-fun punctuationStrings_pre_73_134_22 () Int)
(declare-fun simpleName_pre_11_37_38 () Int)
(declare-fun simpleName_11_37_38 () Int)
(declare-fun id_pre_26_32_34 () Int)
(declare-fun id_26_32_34 () Int)
(declare-fun err_pre_32_97_50 () Int)
(declare-fun LEXICALPRAGMA_pre_73_24_26 () Int)
(declare-fun locOpenBrace_pre_65_36_13 () Int)
(declare-fun locOpenBrace_65_36_13 () Int)
(declare-fun INTLIT_pre_74_39_26 () Int)
(declare-fun NULL_pre_30_60_26 () Int)
(declare-fun length_pre_24_50_25 () Int)
(declare-fun length_24_50_25 () Int)
(declare-fun locId_pre_63_38_13 () Int)
(declare-fun locId_63_38_13 () Int)
(declare-fun body_pre_65_34_19 () Int)
(declare-fun body_65_34_19 () Int)
(declare-fun keywordStrings_pre_73_181_30 () Int)
(declare-fun filesRead_pre_194_23 () Int)
(declare-fun filesRead_194_23 () Int)
(declare-fun loc_pre_65_40_13 () Int)
(declare-fun loc_65_40_13 () Int)
(declare-fun enclosingType_pre_11_32_39 () Int)
(declare-fun enclosingType_11_32_39 () Int)
(declare-fun locType_pre_64_21_13 () Int)
(declare-fun locType_64_21_13 () Int)
(declare-fun FIRST_KEYWORD_pre_73_51_26 () Int)
(declare-fun BOOLEANLIT_pre_74_38_26 () Int)
(declare-fun THE_UNNAMED_PACKAGE_pre_11_484_31 () Int)
(declare-fun PREPPED_pre_11_775_28 () Int)
(declare-fun elements_pre_59_61_38 () Int)
(declare-fun elements_59_61_38 () Int)
(declare-fun locId_pre_26_48_13 () Int)
(declare-fun locId_26_48_13 () Int)
(declare-fun myTypeDecl_pre_11_63_40 () Int)
(declare-fun myTypeDecl_11_63_40 () Int)
(declare-fun locCloseBrace_pre_26_54_13 () Int)
(declare-fun locCloseBrace_26_54_13 () Int)
(declare-fun STRINGLIT_pre_74_44_26 () Int)
(declare-fun locCloseBrace_pre_98_25_13 () Int)
(declare-fun locCloseBrace_98_25_13 () Int)
(declare-fun eagerRead_pre_191_26 () Int)
(declare-fun eagerRead_191_26 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun NULL_pre_73_82_26 () Int)
(declare-fun packageName_pre_11_27_40 () Int)
(declare-fun packageName_11_27_40 () Int)
(declare-fun fields_pre_11_875_27 () Int)
(declare-fun fields_11_875_27 () Int)
(declare-fun loc_pre_20_30_13 () Int)
(declare-fun loc_20_30_13 () Int)
(declare-fun elements_pre_25_61_37 () Int)
(declare-fun elements_25_61_37 () Int)
(declare-fun LAST_KEYWORD_pre_73_103_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_73_28_26 () Int)
(declare-fun inst_pre_38_29_44 () Int)
(declare-fun inst_38_29_44 () Int)
(declare-fun elements_pre_60_61_39 () Int)
(declare-fun elements_60_61_39 () Int)
(declare-fun DOUBLELIT_pre_74_43_26 () Int)
(declare-fun member_pre_11_44_39 () Int)
(declare-fun member_11_44_39 () Int)
(declare-fun count_pre_59_67_33 () Int)
(declare-fun count_59_67_33 () Int)
(declare-fun CU_pre_11_71_30 () Int)
(declare-fun CU_11_71_30 () Int)
(declare-fun type_pre_63_35_28 () Int)
(declare-fun type_63_35_28 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_73_27_26 () Int)
(declare-fun tokenType_pre_28_90_8 () Int)
(declare-fun tokenType_28_90_8 () Int)
(declare-fun avoidSpec_pre_185_26 () Int)
(declare-fun avoidSpec_185_26 () Int)
(declare-fun FLOATLIT_pre_74_42_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun cu_361_48 () Int)
(declare-fun tmp0_new_String___363_14 () Int)
(declare-fun alloc_1_ () Int)
(declare-fun this_365_20_365_20 () Int)
(declare-fun RES_365_20_365_20 () Int)
(declare-fun EC_365_20_365_20 () Int)
(declare-fun RES () Int)
(declare-fun EC () Int)
(declare-fun P_363_10 () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun elems_369_1 () Int)
(declare-fun RES_370_28_370_28 () Int)
(declare-fun EC_370_28_370_28 () Int)
(declare-fun i_loopold_370_10 () Int)
(declare-fun EC_loopold () Int)
(declare-fun RES_370_1_0_371_27_371_27 () Int)
(declare-fun EC_370_1_0_371_27_371_27 () Int)
(declare-fun this_372_24_370_1_0_372_24 () Int)
(declare-fun RES_370_1_0_372_24_372_24 () Int)
(declare-fun EC_370_1_0_372_24_372_24 () Int)
(declare-fun RES_370_1_0_374_27_374_27 () Int)
(declare-fun EC_370_1_0_374_27_374_27 () Int)
(declare-fun EC_370_1_0_375_9_375_9 () Int)
(declare-fun i_370_1_0_370_44 () Int)
(declare-fun EC_2_ () Int)
(declare-fun EC_363_24 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String)) (?v_3 (arrayLength otherStrings_73_193_30)) (?v_5 (arrayLength punctuationStrings_73_134_22)) (?v_2 (arrayLength keywordStrings_73_181_30)) (?v_7 (not (= cu_361_48 null))) (?v_4 (S_select owner_4_35_28 punctuationCodes_73_164_19)) (?v_6 (<= 0 0))) (let ((?v_26 (= true_term (arrayFresh tmp0_new_String___363_14 alloc alloc_1_ elems (arrayShapeOne 0) ?v_1 null))) (?v_27 (forall ((?o Int)) (=> (and (not (= true_term (isAllocated ?o alloc))) (= true_term (isAllocated ?o alloc_1_))) (= true_term (isNewArray ?o))))) (?v_28 (forall ((?o_1_ Int)) (=> (and (not (= true_term (isAllocated ?o_1_ alloc))) (= true_term (isAllocated ?o_1_ alloc_1_))) (= (S_select owner_4_35_28 tmp0_new_String___363_14) null)))) (?v_8 (not ?v_7)) (?v_11 (S_select pkgName_20_21_14 cu_361_48))) (let ((?v_9 (not (= ?v_11 null))) (?v_10 (= true_term true_term))) (let ((?v_13 (not ?v_9)) (?v_12 (= EC_365_20_365_20 ecReturn))) (let ((?v_29 (or (and ?v_9 ?v_10 ?v_7 ?v_9 (= this_365_20_365_20 ?v_11) (= true_term (is RES_365_20_365_20 ?v_1)) (= true_term (isAllocated RES_365_20_365_20 alloc_1_)) ?v_12 (=> ?v_12 (= true_term (nonnullelements RES_365_20_365_20 elems))) (=> ?v_12 (= (arrayLength RES_365_20_365_20) (S_select length_24_50_25 this_365_20_365_20))) (= RES RES_365_20_365_20) (= EC EC_365_20_365_20) (= P_363_10 RES_365_20_365_20)) (and ?v_13 ?v_10 (= RES RES_1_) (= EC EC_1_) (= P_363_10 tmp0_new_String___363_14)))) (?v_30 (= elems_369_1 (S_select elems_20_27_35 cu_361_48))) (?v_14 (not (= elems_369_1 null)))) (let ((?v_16 (not ?v_14)) (?v_31 (= true_term (is RES_370_28_370_28 T_int))) (?v_15 (= EC_370_28_370_28 ecReturn)) (?v_17 (S_select count_25_67_33 elems_369_1))) (let ((?v_32 (=> ?v_15 (= RES_370_28_370_28 ?v_17))) (?v_33 (= 0 i_loopold_370_10)) (?v_34 (= EC_370_28_370_28 EC_loopold)) (?v_35 (< 0 RES_370_28_370_28)) (?v_36 (= true_term (is RES_370_1_0_371_27_371_27 T_javafe_ast_TypeDecl))) (?v_37 (= true_term (isAllocated RES_370_1_0_371_27_371_27 alloc_1_))) (?v_18 (= EC_370_1_0_371_27_371_27 ecReturn)) (?v_19 (not (= RES_370_1_0_371_27_371_27 null)))) (let ((?v_38 (=> ?v_18 ?v_19)) (?v_25 (not ?v_19)) (?v_39 (= this_372_24_370_1_0_372_24 (S_select id_26_32_34 RES_370_1_0_371_27_371_27))) (?v_40 (= true_term (is RES_370_1_0_372_24_372_24 T_java_lang_String))) (?v_41 (= true_term (isAllocated RES_370_1_0_372_24_372_24 alloc_1_))) (?v_20 (= EC_370_1_0_372_24_372_24 ecReturn)) (?v_21 (not (= RES_370_1_0_372_24_372_24 null)))) (let ((?v_42 (=> ?v_20 ?v_21)) (?v_22 (= true_term (nonnullelements P_363_10 elems))) (?v_43 (= true_term (is RES_370_1_0_374_27_374_27 T_javafe_tc_TypeSig))) (?v_44 (= true_term (isAllocated RES_370_1_0_374_27_374_27 alloc_1_))) (?v_23 (= EC_370_1_0_374_27_374_27 ecReturn)) (?v_24 (not (= RES_370_1_0_374_27_374_27 null)))) (let ((?v_45 (=> ?v_23 ?v_24)) (?v_46 (= EC_370_1_0_375_9_375_9 ecReturn))) (let ((?v_47 (or (and ?v_10 (not ?v_35)) (and ?v_10 ?v_35 ?v_14 ?v_36 ?v_37 ?v_18 ?v_38 ?v_19 ?v_39 ?v_40 ?v_41 ?v_20 ?v_42 ?v_21 ?v_22 ?v_43 ?v_44 ?v_23 ?v_45 ?v_24 ?v_19 ?v_7 ?v_46 (=> ?v_46 (not (= (S_select myTypeDecl_11_63_40 RES_370_1_0_374_27_374_27) null))) (= i_370_1_0_370_44 (+ 0 1)) ?v_10 (not (< i_370_1_0_370_44 RES_370_28_370_28))))) (?v_48 (= L_370_1 L_370_1)) (?v_49 (= EC_363_24 ecReturn))) (not (=> (distinct ecReturn L_370_1) (=> (and (= methods_pre_11_883_26 methods_11_883_26) (= methods_11_883_26 (asField methods_11_883_26 T_javafe_tc_MethodDeclVec)) (< (fClosedTime methods_11_883_26) alloc) (= state_pre_11_787_15 state_11_787_15) (= state_11_787_15 (asField state_11_787_15 T_int)) (= PARSED_pre_11_772_28 PARSED_11_772_28) (= true_term (is PARSED_11_772_28 T_int)) (= pkgName_pre_20_21_14 pkgName_20_21_14) (= pkgName_20_21_14 (asField pkgName_20_21_14 T_javafe_ast_Name)) (< (fClosedTime pkgName_20_21_14) alloc) (= locId_pre_65_43_13 locId_65_43_13) (= locId_65_43_13 (asField locId_65_43_13 T_int)) (= count_pre_25_67_33 count_25_67_33) (= count_25_67_33 (asField count_25_67_33 T_int)) (= STMTPRAGMA_pre_73_26_26 STMTPRAGMA_73_26_26) (= true_term (is STMTPRAGMA_73_26_26 T_int)) (= syntax_pre_12_28_29 syntax_12_28_29) (= syntax_12_28_29 (asField syntax_12_28_29 T_boolean)) (= locOpenBrace_pre_26_51_13 locOpenBrace_26_51_13) (= locOpenBrace_26_51_13 (asField locOpenBrace_26_51_13 T_int)) (= loc_pre_26_45_13 loc_26_45_13) (= loc_26_45_13 (asField loc_26_45_13 T_int)) (= CHARLIT_pre_74_41_26 CHARLIT_74_41_26) (= true_term (is CHARLIT_74_41_26 T_int)) (= count_pre_60_67_33 count_60_67_33) (= count_60_67_33 (asField count_60_67_33 T_int)) (= otherCodes_pre_73_202_27 otherCodes_73_202_27) (= true_term (is otherCodes_73_202_27 ?v_0)) (= true_term (isAllocated otherCodes_73_202_27 alloc)) (= otherStrings_pre_73_193_30 otherStrings_73_193_30) (= true_term (is otherStrings_73_193_30 ?v_1)) (= true_term (isAllocated otherStrings_73_193_30 alloc)) (= locOpenBrace_pre_98_22_13 locOpenBrace_98_22_13) (= locOpenBrace_98_22_13 (asField locOpenBrace_98_22_13 T_int)) (= listener_pre_200_28 listener_200_28) (= true_term (is listener_200_28 T_javafe_tc_Listener)) (= true_term (isAllocated listener_200_28 alloc)) (= IDENT_pre_74_25_26 IDENT_74_25_26) (= true_term (is IDENT_74_25_26 T_int)) (= out_pre_32_83_49 out_32_83_49) (= true_term (is out_32_83_49 T_java_io_PrintStream)) (= true_term (isAllocated out_32_83_49 alloc)) (not (= out_32_83_49 null)) (= noTokens_pre_73_212_27 noTokens_73_212_27) (= true_term (is noTokens_73_212_27 T_int)) (= elems_pre_20_27_35 elems_20_27_35) (= elems_20_27_35 (asField elems_20_27_35 T_javafe_ast_TypeDeclVec)) (< (fClosedTime elems_20_27_35) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elems_20_27_35 ?s) null)))) (= reader_pre_179_29 reader_179_29) (= true_term (is reader_179_29 T_javafe_reader_TypeReader)) (= true_term (isAllocated reader_179_29 alloc)) (= enclosingEnv_pre_11_52_36 enclosingEnv_11_52_36) (= enclosingEnv_11_52_36 (asField enclosingEnv_11_52_36 T_javafe_tc_Env)) (< (fClosedTime enclosingEnv_11_52_36) alloc) (= returnType_pre_64_18_28 returnType_64_18_28) (= returnType_64_18_28 (asField returnType_64_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_64_18_28) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select returnType_64_18_28 ?s_1_) null)))) (= MODIFIERPRAGMA_pre_73_25_26 MODIFIERPRAGMA_73_25_26) (= true_term (is MODIFIERPRAGMA_73_25_26 T_int)) (= punctuationCodes_pre_73_164_19 punctuationCodes_73_164_19) (= true_term (is punctuationCodes_73_164_19 ?v_0)) (= true_term (isAllocated punctuationCodes_73_164_19 alloc)) (= LONGLIT_pre_74_40_26 LONGLIT_74_40_26) (= true_term (is LONGLIT_74_40_26 T_int)) (= punctuationStrings_pre_73_134_22 punctuationStrings_73_134_22) (= true_term (is punctuationStrings_73_134_22 ?v_1)) (= true_term (isAllocated punctuationStrings_73_134_22 alloc)) (= simpleName_pre_11_37_38 simpleName_11_37_38) (= simpleName_11_37_38 (asField simpleName_11_37_38 T_java_lang_String)) (< (fClosedTime simpleName_11_37_38) alloc) (= id_pre_26_32_34 id_26_32_34) (= id_26_32_34 (asField id_26_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_26_32_34) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select id_26_32_34 ?s_2_) null)))) (= err_pre_32_97_50 err_32_97_50) (= true_term (is err_32_97_50 T_java_io_PrintStream)) (= true_term (isAllocated err_32_97_50 alloc)) (not (= err_32_97_50 null)) (= LEXICALPRAGMA_pre_73_24_26 LEXICALPRAGMA_73_24_26) (= true_term (is LEXICALPRAGMA_73_24_26 T_int)) (= locOpenBrace_pre_65_36_13 locOpenBrace_65_36_13) (= locOpenBrace_65_36_13 (asField locOpenBrace_65_36_13 T_int)) (= INTLIT_pre_74_39_26 INTLIT_74_39_26) (= true_term (is INTLIT_74_39_26 T_int)) (= NULL_pre_30_60_26 NULL_30_60_26) (= true_term (is NULL_30_60_26 T_int)) (= length_pre_24_50_25 length_24_50_25) (= length_24_50_25 (asField length_24_50_25 T_int)) (= locId_pre_63_38_13 locId_63_38_13) (= locId_63_38_13 (asField locId_63_38_13 T_int)) (= body_pre_65_34_19 body_65_34_19) (= body_65_34_19 (asField body_65_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_65_34_19) alloc) (= keywordStrings_pre_73_181_30 keywordStrings_73_181_30) (= true_term (is keywordStrings_73_181_30 ?v_1)) (= true_term (isAllocated keywordStrings_73_181_30 alloc)) (= filesRead_pre_194_23 filesRead_194_23) (= true_term (is filesRead_194_23 T_int)) (= loc_pre_65_40_13 loc_65_40_13) (= loc_65_40_13 (asField loc_65_40_13 T_int)) (= enclosingType_pre_11_32_39 enclosingType_11_32_39) (= enclosingType_11_32_39 (asField enclosingType_11_32_39 T_javafe_tc_TypeSig)) (< (fClosedTime enclosingType_11_32_39) alloc) (= locType_pre_64_21_13 locType_64_21_13) (= locType_64_21_13 (asField locType_64_21_13 T_int)) (= FIRST_KEYWORD_pre_73_51_26 FIRST_KEYWORD_73_51_26) (= true_term (is FIRST_KEYWORD_73_51_26 T_int)) (= BOOLEANLIT_pre_74_38_26 BOOLEANLIT_74_38_26) (= true_term (is BOOLEANLIT_74_38_26 T_int)) (= THE_UNNAMED_PACKAGE_pre_11_484_31 THE_UNNAMED_PACKAGE_11_484_31) (= true_term (is THE_UNNAMED_PACKAGE_11_484_31 T_java_lang_String)) (= true_term (isAllocated THE_UNNAMED_PACKAGE_11_484_31 alloc)) (= PREPPED_pre_11_775_28 PREPPED_11_775_28) (= true_term (is PREPPED_11_775_28 T_int)) (= elements_pre_59_61_38 elements_59_61_38) (= elements_59_61_38 (asField elements_59_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_59_61_38) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elements_59_61_38 ?s_3_) null)))) (= locId_pre_26_48_13 locId_26_48_13) (= locId_26_48_13 (asField locId_26_48_13 T_int)) (= myTypeDecl_pre_11_63_40 myTypeDecl_11_63_40) (= myTypeDecl_11_63_40 (asField myTypeDecl_11_63_40 T_javafe_ast_TypeDecl)) (< (fClosedTime myTypeDecl_11_63_40) alloc) (= locCloseBrace_pre_26_54_13 locCloseBrace_26_54_13) (= locCloseBrace_26_54_13 (asField locCloseBrace_26_54_13 T_int)) (= STRINGLIT_pre_74_44_26 STRINGLIT_74_44_26) (= true_term (is STRINGLIT_74_44_26 T_int)) (= locCloseBrace_pre_98_25_13 locCloseBrace_98_25_13) (= locCloseBrace_98_25_13 (asField locCloseBrace_98_25_13 T_int)) (= eagerRead_pre_191_26 eagerRead_191_26) (= true_term (is eagerRead_191_26 T_boolean)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= NULL_pre_73_82_26 NULL_73_82_26) (= true_term (is NULL_73_82_26 T_int)) (= packageName_pre_11_27_40 packageName_11_27_40) (= packageName_11_27_40 (asField packageName_11_27_40 ?v_1)) (< (fClosedTime packageName_11_27_40) alloc) (= fields_pre_11_875_27 fields_11_875_27) (= fields_11_875_27 (asField fields_11_875_27 T_javafe_tc_FieldDeclVec)) (< (fClosedTime fields_11_875_27) alloc) (= loc_pre_20_30_13 loc_20_30_13) (= loc_20_30_13 (asField loc_20_30_13 T_int)) (= elements_pre_25_61_37 elements_25_61_37) (= elements_25_61_37 (asField elements_25_61_37 (array T_javafe_ast_TypeDecl))) (< (fClosedTime elements_25_61_37) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select elements_25_61_37 ?s_4_) null)))) (= LAST_KEYWORD_pre_73_103_26 LAST_KEYWORD_73_103_26) (= true_term (is LAST_KEYWORD_73_103_26 T_int)) (= TYPEMODIFIERPRAGMA_pre_73_28_26 TYPEMODIFIERPRAGMA_73_28_26) (= true_term (is TYPEMODIFIERPRAGMA_73_28_26 T_int)) (= inst_pre_38_29_44 inst_38_29_44) (= true_term (is inst_38_29_44 T_javafe_ast_PrettyPrint)) (= true_term (isAllocated inst_38_29_44 alloc)) (not (= inst_38_29_44 null)) (= elements_pre_60_61_39 elements_60_61_39) (= elements_60_61_39 (asField elements_60_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_60_61_39) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select elements_60_61_39 ?s_5_) null)))) (= DOUBLELIT_pre_74_43_26 DOUBLELIT_74_43_26) (= true_term (is DOUBLELIT_74_43_26 T_int)) (= member_pre_11_44_39 member_11_44_39) (= member_11_44_39 (asField member_11_44_39 T_boolean)) (= count_pre_59_67_33 count_59_67_33) (= count_59_67_33 (asField count_59_67_33 T_int)) (= CU_pre_11_71_30 CU_11_71_30) (= CU_11_71_30 (asField CU_11_71_30 T_javafe_ast_CompilationUnit)) (< (fClosedTime CU_11_71_30) alloc) (= type_pre_63_35_28 type_63_35_28) (= type_63_35_28 (asField type_63_35_28 T_javafe_ast_Type)) (< (fClosedTime type_63_35_28) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select type_63_35_28 ?s_6_) null)))) (= TYPEDECLELEMPRAGMA_pre_73_27_26 TYPEDECLELEMPRAGMA_73_27_26) (= true_term (is TYPEDECLELEMPRAGMA_73_27_26 T_int)) (= tokenType_pre_28_90_8 tokenType_28_90_8) (= tokenType_28_90_8 (asField tokenType_28_90_8 T_int)) (= avoidSpec_pre_185_26 avoidSpec_185_26) (= true_term (is avoidSpec_185_26 T_boolean)) (= FLOATLIT_pre_74_42_26 FLOATLIT_74_42_26) (= true_term (is FLOATLIT_74_42_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is cu_361_48 T_javafe_ast_CompilationUnit)) (= true_term (isAllocated cu_361_48 alloc)) ?v_7 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj null))) (= (typeof (S_select elements_59_61_38 ?brokenObj)) (array T_javafe_ast_FieldDecl)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_1_ null)) (>= (S_select state_11_787_15 ?brokenObj_1_) PARSED_11_772_28)) (not (= (S_select myTypeDecl_11_63_40 ?brokenObj_1_) null)))) (= true_term (nonnullelements punctuationStrings_73_134_22 elems)) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_2_ null))) (<= 0 (S_select count_25_67_33 ?brokenObj_2_)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_3_ null)) (= (S_select simpleName_11_37_38 ?brokenObj_3_) null)) (not (= true_term (S_select member_11_44_39 ?brokenObj_3_))))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_4_ null))) (= (typeof (S_select elements_60_61_39 ?brokenObj_4_)) (array T_javafe_ast_MethodDecl)))) (= noTokens_73_212_27 (+ (+ ?v_2 ?v_5) ?v_3)) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_5_ null))) (<= 0 (S_select count_59_67_33 ?brokenObj_5_)))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_6_ null))) (= (S_select owner_4_35_28 (S_select elements_25_61_37 ?brokenObj_6_)) ?brokenObj_6_))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_7_ null)) (< (S_select state_11_787_15 ?brokenObj_7_) PARSED_11_772_28)) (= (S_select myTypeDecl_11_63_40 ?brokenObj_7_) null))) (forall ((?i_73_147_29 Int)) (=> (and (<= 0 ?i_73_147_29) (<= ?i_73_147_29 (arrayLength punctuationCodes_73_164_19))) (not (= (S_select (S_select elems punctuationCodes_73_164_19) ?i_73_147_29) NULL_73_82_26)))) (= ?v_2 (- (+ 1 LAST_KEYWORD_73_103_26) FIRST_KEYWORD_73_51_26)) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_8_ null)) (>= (S_select state_11_787_15 ?brokenObj_8_) PREPPED_11_775_28)) (not (= (S_select methods_11_883_26 ?brokenObj_8_) null)))) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_9_ null))) (<= 0 (S_select count_60_67_33 ?brokenObj_9_)))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_10_ null))) (= (S_select owner_4_35_28 (S_select elements_59_61_38 ?brokenObj_10_)) ?brokenObj_10_))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_11_ null))) (<= (S_select count_25_67_33 ?brokenObj_11_) (arrayLength (S_select elements_25_61_37 ?brokenObj_11_))))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_12_ null)) (not (= true_term (S_select member_11_44_39 ?brokenObj_12_)))) (not (= (S_select enclosingEnv_11_52_36 ?brokenObj_12_) null)))) (= true_term (nonnullelements otherStrings_73_193_30 elems)) (forall ((?i_73_149_29 Int)) (let ((?v_50 (S_select (S_select elems punctuationCodes_73_164_19) ?i_73_149_29))) (=> (and (<= 0 ?i_73_149_29) (<= ?i_73_149_29 (arrayLength punctuationCodes_73_164_19))) (and (not (= ?v_50 IDENT_74_25_26)) (not (= ?v_50 BOOLEANLIT_74_38_26)) (not (= ?v_50 INTLIT_74_39_26)) (not (= ?v_50 LONGLIT_74_40_26)) (not (= ?v_50 FLOATLIT_74_42_26)) (not (= ?v_50 DOUBLELIT_74_43_26)) (not (= ?v_50 STRINGLIT_74_44_26)) (not (= ?v_50 CHARLIT_74_41_26)) (not (= ?v_50 LEXICALPRAGMA_73_24_26)) (not (= ?v_50 MODIFIERPRAGMA_73_25_26)) (not (= ?v_50 STMTPRAGMA_73_26_26)) (not (= ?v_50 TYPEDECLELEMPRAGMA_73_27_26)) (not (= ?v_50 TYPEMODIFIERPRAGMA_73_28_26)))))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_13_ null))) (= (S_select owner_4_35_28 (S_select elements_60_61_39 ?brokenObj_13_)) ?brokenObj_13_))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_14_ null))) (= (= (S_select myTypeDecl_11_63_40 ?brokenObj_14_) null) (= (S_select CU_11_71_30 ?brokenObj_14_) null)))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_15_ null))) (<= (S_select count_59_67_33 ?brokenObj_15_) (arrayLength (S_select elements_59_61_38 ?brokenObj_15_))))) (= (arrayLength otherCodes_73_202_27) ?v_3) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_ast_Name)) (not (= ?brokenObj_16_ null))) (>= (S_select length_24_50_25 ?brokenObj_16_) 1))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_17_ null))) (<= (S_select count_60_67_33 ?brokenObj_17_) (arrayLength (S_select elements_60_61_39 ?brokenObj_17_))))) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_18_ null)) (not (= (S_select enclosingType_11_32_39 ?brokenObj_18_) null))) (not (= (S_select myTypeDecl_11_63_40 ?brokenObj_18_) null)))) (= true_term (nonnullelements keywordStrings_73_181_30 elems)) (= true_term (is ?v_4 T_javafe_parser_TagConstants)) (not (= ?v_4 null)) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_19_ null))) (forall ((?i_25_62_31 Int)) (=> (and (<= 0 ?i_25_62_31) (< ?i_25_62_31 (S_select count_25_67_33 ?brokenObj_19_))) (not (= (S_select (S_select elems (S_select elements_25_61_37 ?brokenObj_19_)) ?i_25_62_31) null)))))) (= (arrayLength punctuationCodes_73_164_19) ?v_5) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_20_ null)) (>= (S_select state_11_787_15 ?brokenObj_20_) PREPPED_11_775_28)) (not (= (S_select fields_11_875_27 ?brokenObj_20_) null)))) (forall ((?brokenObj_21_ Int)) (let ((?v_51 (S_select tokenType_28_90_8 ?brokenObj_21_))) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_ast_Identifier)) (not (= ?brokenObj_21_ null))) (and (not (= ?v_51 BOOLEANLIT_74_38_26)) (not (= ?v_51 INTLIT_74_39_26)) (not (= ?v_51 LONGLIT_74_40_26)) (not (= ?v_51 FLOATLIT_74_42_26)) (not (= ?v_51 DOUBLELIT_74_43_26)) (not (= ?v_51 STRINGLIT_74_44_26)) (not (= ?v_51 CHARLIT_74_41_26)) (not (= ?v_51 LEXICALPRAGMA_73_24_26)) (not (= ?v_51 MODIFIERPRAGMA_73_25_26)) (not (= ?v_51 STMTPRAGMA_73_26_26)) (not (= ?v_51 TYPEDECLELEMPRAGMA_73_27_26)) (not (= ?v_51 TYPEMODIFIERPRAGMA_73_28_26)))))) (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_22_ null))) (forall ((?i_59_62_31 Int)) (=> (and (<= 0 ?i_59_62_31) (< ?i_59_62_31 (S_select count_59_67_33 ?brokenObj_22_))) (not (= (S_select (S_select elems (S_select elements_59_61_38 ?brokenObj_22_)) ?i_59_62_31) null)))))) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_23_ null)) (= (S_select enclosingType_11_32_39 ?brokenObj_23_) null)) (= true_term (S_select member_11_44_39 ?brokenObj_23_)))) (forall ((?brokenObj_24_ Int)) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_ast_TypeDeclVec)) (not (= ?brokenObj_24_ null))) (= (typeof (S_select elements_25_61_37 ?brokenObj_24_)) (array T_javafe_ast_TypeDecl)))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_25_ null))) (forall ((?i_60_62_31 Int)) (=> (and (<= 0 ?i_60_62_31) (< ?i_60_62_31 (S_select count_60_67_33 ?brokenObj_25_))) (not (= (S_select (S_select elems (S_select elements_60_61_39 ?brokenObj_25_)) ?i_60_62_31) null)))))) (or (not ?v_6) (and ?v_6 ?v_26 ?v_27 ?v_28 (or ?v_8 (and ?v_7 (or (and ?v_9 ?v_10 (or ?v_8 (and ?v_7 ?v_13))) (and ?v_29 (or ?v_8 (and ?v_7 ?v_30 (or ?v_16 (and ?v_14 ?v_31 ?v_15 ?v_32 ?v_33 ?v_34 ?v_10 ?v_35 (or ?v_16 (and ?v_14 (or (not (and ?v_6 (< 0 ?v_17))) (and ?v_36 ?v_37 ?v_18 ?v_38 (or ?v_25 (and ?v_19 ?v_39 ?v_40 ?v_41 ?v_20 ?v_42 (or (not ?v_21) (and ?v_21 (not ?v_22)) (and ?v_21 ?v_22 ?v_43 ?v_44 ?v_23 ?v_45 (or (not ?v_24) (and ?v_24 (or ?v_25 (and ?v_19 ?v_8))))))))))))))))))))) (and (or (and ?v_6 ?v_26 ?v_27 ?v_28 ?v_7 ?v_29 ?v_7 ?v_30 ?v_14 ?v_31 ?v_15 ?v_32 ?v_33 ?v_34 ?v_47 ?v_48 (= EC_2_ L_370_1) ?v_49) (and ?v_6 ?v_26 ?v_27 ?v_28 ?v_7 ?v_29 ?v_7 ?v_30 ?v_14 ?v_31 ?v_15 ?v_32 ?v_33 ?v_34 ?v_47 (not ?v_48) (= EC_363_24 L_370_1))) (not ?v_49))))))))))))))))))))
(check-sat)
(exit)
