(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_VarDeclStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_CatchClause () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_ast_SynchronizeStmt () Int)
(declare-fun T_javafe_ast_LocalVarDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_tc_TypeSigVec () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_util_Info () Int)
(declare-fun T_javafe_ast_ClassDecl () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_BreakStmt () Int)
(declare-fun T_javafe_ast_BranchStmt () Int)
(declare-fun T_javafe_ast_InterfaceDecl () Int)
(declare-fun T_javafe_ast_SwitchLabel () Int)
(declare-fun T_javafe_ast_ExprVec () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_javafe_ast_NewArrayExpr () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_OnDemandImportDecl () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_TryFinallyStmt () Int)
(declare-fun T_javafe_ast_ParenExpr () Int)
(declare-fun T_javafe_ast_ClassLiteral () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_javafe_ast_SwitchStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_ast_ConstructorInvocation () Int)
(declare-fun T_javafe_ast_InitBlock () Int)
(declare-fun T_javafe_ast_FormalParaDeclVec () Int)
(declare-fun T_javafe_tc_TagConstants () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_DoStmt () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_tc_Types () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_ast_ThrowStmt () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_FieldAccess () Int)
(declare-fun T_javafe_ast_SkipStmt () Int)
(declare-fun T_javafe_tc_FlowInsensitiveChecks () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_TypeObjectDesignator () Int)
(declare-fun T_javafe_ast_ObjectDesignator () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_IfStmt () Int)
(declare-fun T_javafe_ast_NewInstanceExpr () Int)
(declare-fun T_javafe_ast_CompoundName () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_StmtVec () Int)
(declare-fun T_javafe_ast_BinaryExpr () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_ast_ModifierPragmaVec () Int)
(declare-fun T_javafe_ast_FormalParaDecl () Int)
(declare-fun T_javafe_ast_CastExpr () Int)
(declare-fun T_javafe_ast_MethodInvocation () Int)
(declare-fun T_javafe_ast_Modifiers () Int)
(declare-fun T_javafe_tc_EnvForTypeSig () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_tc_PrepTypeDeclaration () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_ast_WhileStmt () Int)
(declare-fun T_javafe_ast_LiteralExpr () Int)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_javafe_ast_ReturnStmt () Int)
(declare-fun T_javafe_util_Set () Int)
(declare-fun T_javafe_ast_VariableAccess () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_javafe_ast_SingleTypeImportDecl () Int)
(declare-fun T_javafe_ast_LabelStmt () Int)
(declare-fun T_javafe_ast_ArrayInit () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_javafe_ast_SimpleName () Int)
(declare-fun T_javafe_ast_ForStmt () Int)
(declare-fun T_javafe_ast_TryCatchStmt () Int)
(declare-fun T_javafe_ast_ArrayRefExpr () Int)
(declare-fun T_javafe_ast_InstanceOfExpr () Int)
(declare-fun T_javafe_ast_ClassDeclStmt () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_javafe_ast_AmbiguousVariableAccess () Int)
(declare-fun T_javafe_ast_EvalStmt () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_ast_ExprObjectDesignator () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_ContinueStmt () Int)
(declare-fun T_javafe_ast_AmbiguousMethodInvocation () Int)
(declare-fun T_javafe_ast_UnaryExpr () Int)
(declare-fun T_javafe_ast_ArrayType () Int)
(declare-fun T_javafe_tc_TypeCheck () Int)
(declare-fun T_java_util_Enumeration () Int)
(declare-fun T_javafe_ast_ThisExpr () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_java_lang_StringBuffer () Int)
(declare-fun T_javafe_ast_ConstructorDecl () Int)
(declare-fun T_javafe_ast_CondExpr () Int)
(declare-fun T_javafe_ast_IdentifierVec () Int)
(declare-fun T_javafe_ast_SuperObjectDesignator () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun COMPOUNDNAME_34_67_7 () Int)
(declare-fun PARSED_8_772_28 () Int)
(declare-fun SWITCHSTMT_34_26_7 () Int)
(declare-fun STMTPRAGMA_31_26_26 () Int)
(declare-fun map_8_301_35 () Int)
(declare-fun CASTEXPR_34_53_7 () Int)
(declare-fun OR_33_19_26 () Int)
(declare-fun ASGRSHIFT_33_47_26 () Int)
(declare-fun FLOATTYPE_32_31_26 () Int)
(declare-fun FORSTMT_34_39_7 () Int)
(declare-fun FIRST_KEYWORD_31_51_26 () Int)
(declare-fun RSHIFT_33_31_26 () Int)
(declare-fun SIMPLENAME_34_66_7 () Int)
(declare-fun BLOCKSTMT_34_25_7 () Int)
(declare-fun MODIFIERPRAGMA_31_25_26 () Int)
(declare-fun NULLLIT_32_45_26 () Int)
(declare-fun INSTANCEOFEXPR_34_52_7 () Int)
(declare-fun ASGLSHIFT_33_46_26 () Int)
(declare-fun CHARTYPE_32_30_26 () Int)
(declare-fun IFSTMT_34_38_7 () Int)
(declare-fun LSHIFT_33_30_26 () Int)
(declare-fun ARRAYTYPE_34_65_7 () Int)
(declare-fun FORMALPARADECL_34_24_7 () Int)
(declare-fun POSTFIXDEC_33_63_26 () Int)
(declare-fun STRINGLIT_32_44_26 () Int)
(declare-fun CONDEXPR_34_51_7 () Int)
(declare-fun NULL_31_82_26 () Int)
(declare-fun LAST_KEYWORD_31_103_26 () Int)
(declare-fun LEXICALPRAGMA_31_24_26 () Int)
(declare-fun ASGSUB_33_45_26 () Int)
(declare-fun LONGTYPE_32_29_26 () Int)
(declare-fun LABELSTMT_34_37_7 () Int)
(declare-fun LT_33_29_26 () Int)
(declare-fun TYPENAME_34_64_7 () Int)
(declare-fun FIELDDECL_34_23_7 () Int)
(declare-fun POSTFIXINC_33_62_26 () Int)
(declare-fun DOUBLELIT_32_43_26 () Int)
(declare-fun NEWARRAYEXPR_34_50_7 () Int)
(declare-fun ASGADD_33_44_26 () Int)
(declare-fun INTTYPE_32_28_26 () Int)
(declare-fun CONTINUESTMT_34_36_7 () Int)
(declare-fun LE_33_28_26 () Int)
(declare-fun LOCALVARDECL_34_22_7 () Int)
(declare-fun otherStrings_31_193_30 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_34_63_7 () Int)
(declare-fun NULL_62_60_26 () Int)
(declare-fun DEC_33_59_26 () Int)
(declare-fun noTokens_31_212_27 () Int)
(declare-fun FLOATLIT_32_42_26 () Int)
(declare-fun NEWINSTANCEEXPR_34_49_7 () Int)
(declare-fun ASGREM_33_43_26 () Int)
(declare-fun BOOLEANTYPE_32_27_26 () Int)
(declare-fun BREAKSTMT_34_35_7 () Int)
(declare-fun GT_33_27_26 () Int)
(declare-fun INITBLOCK_34_21_7 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_34_62_7 () Int)
(declare-fun INC_33_58_26 () Int)
(declare-fun CHARLIT_32_41_26 () Int)
(declare-fun ARRAYREFEXPR_34_48_7 () Int)
(declare-fun punctuationCodes_31_164_19 () Int)
(declare-fun ASGDIV_33_42_26 () Int)
(declare-fun IDENT_32_25_26 () Int)
(declare-fun THROWSTMT_34_34_7 () Int)
(declare-fun GE_33_26_26 () Int)
(declare-fun TYPESIG_30_6_28 () Int)
(declare-fun METHODDECL_34_20_7 () Int)
(declare-fun EXPROBJECTDESIGNATOR_34_61_7 () Int)
(declare-fun BITNOT_33_57_26 () Int)
(declare-fun LONGLIT_32_40_26 () Int)
(declare-fun THISEXPR_34_47_7 () Int)
(declare-fun ASGMUL_33_41_26 () Int)
(declare-fun RETURNSTMT_34_33_7 () Int)
(declare-fun keywordStrings_31_181_30 () Int)
(declare-fun EQ_33_25_26 () Int)
(declare-fun CONSTRUCTORDECL_34_19_7 () Int)
(declare-fun CLASSLITERAL_34_60_7 () Int)
(declare-fun NOT_33_56_26 () Int)
(declare-fun INTLIT_32_39_26 () Int)
(declare-fun ARRAYINIT_34_46_7 () Int)
(declare-fun ASSIGN_33_40_26 () Int)
(declare-fun EVALSTMT_34_32_7 () Int)
(declare-fun NE_33_24_26 () Int)
(declare-fun INTERFACEDECL_34_18_7 () Int)
(declare-fun METHODINVOCATION_34_59_7 () Int)
(declare-fun UNARYSUB_33_55_26 () Int)
(declare-fun BOOLEANLIT_32_38_26 () Int)
(declare-fun CATCHCLAUSE_34_45_7 () Int)
(declare-fun STAR_33_37_26 () Int)
(declare-fun SYNCHRONIZESTMT_34_31_7 () Int)
(declare-fun BITAND_33_23_26 () Int)
(declare-fun CLASSDECL_34_17_7 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_34_58_7 () Int)
(declare-fun UNARYADD_33_54_26 () Int)
(declare-fun SHORTTYPE_32_36_26 () Int)
(declare-fun CONSTRUCTORINVOCATION_34_44_7 () Int)
(declare-fun MOD_33_36_26 () Int)
(declare-fun DOSTMT_34_30_7 () Int)
(declare-fun BITXOR_33_22_26 () Int)
(declare-fun ONDEMANDIMPORTDECL_34_16_7 () Int)
(declare-fun FIELDACCESS_34_57_7 () Int)
(declare-fun ASGBITXOR_33_51_26 () Int)
(declare-fun BYTETYPE_32_35_26 () Int)
(declare-fun TRYCATCHSTMT_34_43_7 () Int)
(declare-fun CHECKED_8_776_28 () Int)
(declare-fun DIV_33_35_26 () Int)
(declare-fun WHILESTMT_34_29_7 () Int)
(declare-fun otherCodes_31_202_27 () Int)
(declare-fun BITOR_33_21_26 () Int)
(declare-fun SINGLETYPEIMPORTDECL_34_15_7 () Int)
(declare-fun VARIABLEACCESS_34_56_7 () Int)
(declare-fun PREPPED_8_775_28 () Int)
(declare-fun TYPEMODIFIERPRAGMA_31_28_26 () Int)
(declare-fun ASGBITOR_33_50_26 () Int)
(declare-fun NULLTYPE_32_34_26 () Int)
(declare-fun TRYFINALLYSTMT_34_42_7 () Int)
(declare-fun SUB_33_34_26 () Int)
(declare-fun CLASSDECLSTMT_34_28_7 () Int)
(declare-fun punctuationStrings_31_134_22 () Int)
(declare-fun COMPILATIONUNIT_34_14_7 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_34_55_7 () Int)
(declare-fun ASGBITAND_33_49_26 () Int)
(declare-fun VOIDTYPE_32_33_26 () Int)
(declare-fun SWITCHLABEL_34_41_7 () Int)
(declare-fun TYPEDECLELEMPRAGMA_31_27_26 () Int)
(declare-fun ADD_33_33_26 () Int)
(declare-fun VARDECLSTMT_34_27_7 () Int)
(declare-fun PARENEXPR_34_54_7 () Int)
(declare-fun AND_33_20_26 () Int)
(declare-fun ASGURSHIFT_33_48_26 () Int)
(declare-fun DOUBLETYPE_32_32_26 () Int)
(declare-fun SKIPSTMT_34_40_7 () Int)
(declare-fun URSHIFT_33_32_26 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_VarDeclStmt (asChild T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_CatchClause T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CatchClause (asChild T_javafe_ast_CatchClause T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SynchronizeStmt (asChild T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_LocalVarDecl (asChild T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_tc_TypeSigVec T_java_lang_Object) true_term) (= T_javafe_tc_TypeSigVec (asChild T_javafe_tc_TypeSigVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_util_Info T_java_lang_Object) true_term) (= T_javafe_util_Info (asChild T_javafe_util_Info T_java_lang_Object)) (= (PO_LT T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_ClassDecl (asChild T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_BreakStmt (asChild T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_InterfaceDecl (asChild T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_SwitchLabel T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SwitchLabel (asChild T_javafe_ast_SwitchLabel T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ExprVec T_java_lang_Object) true_term) (= T_javafe_ast_ExprVec (asChild T_javafe_ast_ExprVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_NewArrayExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewArrayExpr (asChild T_javafe_ast_NewArrayExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_OnDemandImportDecl (asChild T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryFinallyStmt (asChild T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ParenExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ParenExpr (asChild T_javafe_ast_ParenExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ClassLiteral T_javafe_ast_Expr) true_term) (= T_javafe_ast_ClassLiteral (asChild T_javafe_ast_ClassLiteral T_javafe_ast_Expr)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_SwitchStmt (asChild T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ConstructorInvocation (asChild T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_InitBlock (asChild T_javafe_ast_InitBlock T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_FormalParaDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_FormalParaDeclVec (asChild T_javafe_ast_FormalParaDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_tc_TagConstants T_javafe_parser_TagConstants) true_term) (= T_javafe_tc_TagConstants (asChild T_javafe_tc_TagConstants T_javafe_parser_TagConstants)) (= (PO_LT T_javafe_ast_DoStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_DoStmt (asChild T_javafe_ast_DoStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_tc_Types T_java_lang_Object) true_term) (= T_javafe_tc_Types (asChild T_javafe_tc_Types T_java_lang_Object)) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_ast_ThrowStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ThrowStmt (asChild T_javafe_ast_ThrowStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_FieldAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_FieldAccess (asChild T_javafe_ast_FieldAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_SkipStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SkipStmt (asChild T_javafe_ast_SkipStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_tc_FlowInsensitiveChecks T_java_lang_Object) true_term) (= T_javafe_tc_FlowInsensitiveChecks (asChild T_javafe_tc_FlowInsensitiveChecks T_java_lang_Object)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_TypeObjectDesignator (asChild T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_IfStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_IfStmt (asChild T_javafe_ast_IfStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewInstanceExpr (asChild T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_CompoundName T_javafe_ast_Name) true_term) (= T_javafe_ast_CompoundName (asChild T_javafe_ast_CompoundName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_StmtVec T_java_lang_Object) true_term) (= T_javafe_ast_StmtVec (asChild T_javafe_ast_StmtVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_BinaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_BinaryExpr (asChild T_javafe_ast_BinaryExpr T_javafe_ast_Expr)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_ModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_ModifierPragmaVec (asChild T_javafe_ast_ModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ObjectDesignator (asChild T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FormalParaDecl (asChild T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_CastExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CastExpr (asChild T_javafe_ast_CastExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_MethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_MethodInvocation (asChild T_javafe_ast_MethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Modifiers T_java_lang_Object) true_term) (= T_javafe_ast_Modifiers (asChild T_javafe_ast_Modifiers T_java_lang_Object)) (= (PO_LT T_javafe_tc_EnvForTypeSig T_javafe_tc_Env) true_term) (= T_javafe_tc_EnvForTypeSig (asChild T_javafe_tc_EnvForTypeSig T_javafe_tc_Env)) (= (PO_LT T_javafe_tc_PrepTypeDeclaration T_java_lang_Object) true_term) (= T_javafe_tc_PrepTypeDeclaration (asChild T_javafe_tc_PrepTypeDeclaration T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_WhileStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_WhileStmt (asChild T_javafe_ast_WhileStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_LiteralExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_LiteralExpr (asChild T_javafe_ast_LiteralExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_ReturnStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ReturnStmt (asChild T_javafe_ast_ReturnStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_util_Set T_java_lang_Object) true_term) (= T_javafe_util_Set (asChild T_javafe_util_Set T_java_lang_Object)) (= (PO_LT T_javafe_util_Set T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_VariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_VariableAccess (asChild T_javafe_ast_VariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_BranchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_BranchStmt (asChild T_javafe_ast_BranchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_SingleTypeImportDecl (asChild T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_LabelStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_LabelStmt (asChild T_javafe_ast_LabelStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ArrayInit T_javafe_ast_VarInit) true_term) (= T_javafe_ast_ArrayInit (asChild T_javafe_ast_ArrayInit T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_SimpleName T_javafe_ast_Name) true_term) (= T_javafe_ast_SimpleName (asChild T_javafe_ast_SimpleName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_ForStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ForStmt (asChild T_javafe_ast_ForStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryCatchStmt (asChild T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ArrayRefExpr (asChild T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_InstanceOfExpr (asChild T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr)) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ClassDeclStmt (asChild T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousVariableAccess (asChild T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_EvalStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_EvalStmt (asChild T_javafe_ast_EvalStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_ExprObjectDesignator (asChild T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_ContinueStmt (asChild T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousMethodInvocation (asChild T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_UnaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_UnaryExpr (asChild T_javafe_ast_UnaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ArrayType T_javafe_ast_Type) true_term) (= T_javafe_ast_ArrayType (asChild T_javafe_ast_ArrayType T_javafe_ast_Type)) (= (PO_LT T_javafe_tc_TypeCheck T_java_lang_Object) true_term) (= T_javafe_tc_TypeCheck (asChild T_javafe_tc_TypeCheck T_java_lang_Object)) (= (PO_LT T_java_util_Enumeration T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ThisExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ThisExpr (asChild T_javafe_ast_ThisExpr T_javafe_ast_Expr)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_java_lang_StringBuffer T_java_lang_Object) true_term) (= T_java_lang_StringBuffer (asChild T_java_lang_StringBuffer T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_StringBuffer) true_term) (= ?t T_java_lang_StringBuffer))) (= (PO_LT T_java_lang_StringBuffer T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_ConstructorDecl (asChild T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_CondExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CondExpr (asChild T_javafe_ast_CondExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_IdentifierVec T_java_lang_Object) true_term) (= T_javafe_ast_IdentifierVec (asChild T_javafe_ast_IdentifierVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_SuperObjectDesignator (asChild T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_VarDeclStmt (+ DIST_ZERO_1 10)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 11)) (= T_javafe_ast_CatchClause (+ DIST_ZERO_1 12)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 13)) (= T_javafe_ast_SynchronizeStmt (+ DIST_ZERO_1 14)) (= T_javafe_ast_LocalVarDecl (+ DIST_ZERO_1 15)) (= T_javafe_tc_TypeSigVec (+ DIST_ZERO_1 16)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 17)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 18)) (= T_javafe_util_Info (+ DIST_ZERO_1 19)) (= T_javafe_ast_ClassDecl (+ DIST_ZERO_1 20)) (= T_java_lang_Double (+ DIST_ZERO_1 21)) (= T_javafe_ast_BreakStmt (+ DIST_ZERO_1 22)) (= T_javafe_ast_InterfaceDecl (+ DIST_ZERO_1 23)) (= T_javafe_ast_SwitchLabel (+ DIST_ZERO_1 24)) (= T_javafe_ast_ExprVec (+ DIST_ZERO_1 25)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 26)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 27)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 28)) (= T_javafe_ast_NewArrayExpr (+ DIST_ZERO_1 29)) (= T_javafe_ast_OnDemandImportDecl (+ DIST_ZERO_1 30)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 31)) (= T_javafe_ast_Type (+ DIST_ZERO_1 32)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 33)) (= T_javafe_ast_TryFinallyStmt (+ DIST_ZERO_1 34)) (= T_javafe_ast_ParenExpr (+ DIST_ZERO_1 35)) (= T_javafe_ast_ClassLiteral (+ DIST_ZERO_1 36)) (= T_java_util_Map (+ DIST_ZERO_1 37)) (= T_javafe_ast_SwitchStmt (+ DIST_ZERO_1 38)) (= T_javafe_ast_ConstructorInvocation (+ DIST_ZERO_1 39)) (= T_javafe_ast_InitBlock (+ DIST_ZERO_1 40)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 41)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 42)) (= T_javafe_ast_FormalParaDeclVec (+ DIST_ZERO_1 43)) (= T_javafe_tc_TagConstants (+ DIST_ZERO_1 44)) (= T_javafe_ast_DoStmt (+ DIST_ZERO_1 45)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 46)) (= T_javafe_tc_Types (+ DIST_ZERO_1 47)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 48)) (= T_javafe_util_Assert (+ DIST_ZERO_1 49)) (= T_javafe_ast_ThrowStmt (+ DIST_ZERO_1 50)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 51)) (= T_javafe_ast_FieldAccess (+ DIST_ZERO_1 52)) (= T_javafe_ast_SkipStmt (+ DIST_ZERO_1 53)) (= T_javafe_tc_FlowInsensitiveChecks (+ DIST_ZERO_1 54)) (= T_javafe_util_Location (+ DIST_ZERO_1 55)) (= T_javafe_ast_TypeObjectDesignator (+ DIST_ZERO_1 56)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 57)) (= T_javafe_ast_IfStmt (+ DIST_ZERO_1 58)) (= T_javafe_ast_NewInstanceExpr (+ DIST_ZERO_1 59)) (= T_javafe_ast_CompoundName (+ DIST_ZERO_1 60)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 61)) (= T_javafe_ast_StmtVec (+ DIST_ZERO_1 62)) (= T_javafe_ast_BinaryExpr (+ DIST_ZERO_1 63)) (= T_java_util_Dictionary (+ DIST_ZERO_1 64)) (= T_javafe_ast_ModifierPragmaVec (+ DIST_ZERO_1 65)) (= T_javafe_ast_ObjectDesignator (+ DIST_ZERO_1 66)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 67)) (= T_javafe_ast_FormalParaDecl (+ DIST_ZERO_1 68)) (= T_javafe_ast_CastExpr (+ DIST_ZERO_1 69)) (= T_javafe_ast_MethodInvocation (+ DIST_ZERO_1 70)) (= T_javafe_ast_Name (+ DIST_ZERO_1 71)) (= T_javafe_ast_Modifiers (+ DIST_ZERO_1 72)) (= T_javafe_tc_EnvForTypeSig (+ DIST_ZERO_1 73)) (= T_javafe_tc_PrepTypeDeclaration (+ DIST_ZERO_1 74)) (= T_java_lang_String (+ DIST_ZERO_1 75)) (= T_javafe_ast_WhileStmt (+ DIST_ZERO_1 76)) (= T_javafe_ast_LiteralExpr (+ DIST_ZERO_1 77)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 78)) (= T_java_lang_Boolean (+ DIST_ZERO_1 79)) (= T_javafe_ast_ReturnStmt (+ DIST_ZERO_1 80)) (= T_javafe_util_Set (+ DIST_ZERO_1 81)) (= T_javafe_ast_VariableAccess (+ DIST_ZERO_1 82)) (= T_javafe_ast_BranchStmt (+ DIST_ZERO_1 83)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 84)) (= T_java_lang_Float (+ DIST_ZERO_1 85)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 86)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 87)) (= T_javafe_ast_SingleTypeImportDecl (+ DIST_ZERO_1 88)) (= T_javafe_tc_Env (+ DIST_ZERO_1 89)) (= T_javafe_ast_LabelStmt (+ DIST_ZERO_1 90)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 91)) (= T_javafe_ast_ArrayInit (+ DIST_ZERO_1 92)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 93)) (= T_java_lang_Long (+ DIST_ZERO_1 94)) (= T_javafe_ast_SimpleName (+ DIST_ZERO_1 95)) (= T_javafe_ast_ForStmt (+ DIST_ZERO_1 96)) (= T_javafe_ast_TryCatchStmt (+ DIST_ZERO_1 97)) (= T_javafe_ast_ArrayRefExpr (+ DIST_ZERO_1 98)) (= T_javafe_ast_InstanceOfExpr (+ DIST_ZERO_1 99)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 100)) (= T_java_lang_Object (+ DIST_ZERO_1 101)) (= T_javafe_ast_ClassDeclStmt (+ DIST_ZERO_1 102)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 103)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 104)) (= T_java_lang_Integer (+ DIST_ZERO_1 105)) (= T_java_lang_Comparable (+ DIST_ZERO_1 106)) (= T_javafe_ast_AmbiguousVariableAccess (+ DIST_ZERO_1 107)) (= T_javafe_ast_EvalStmt (+ DIST_ZERO_1 108)) (= T_java_util_Hashtable (+ DIST_ZERO_1 109)) (= T_javafe_ast_ExprObjectDesignator (+ DIST_ZERO_1 110)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 111)) (= T_javafe_ast_ContinueStmt (+ DIST_ZERO_1 112)) (= T_javafe_ast_AmbiguousMethodInvocation (+ DIST_ZERO_1 113)) (= T_javafe_ast_UnaryExpr (+ DIST_ZERO_1 114)) (= T_javafe_ast_ArrayType (+ DIST_ZERO_1 115)) (= T_javafe_tc_TypeCheck (+ DIST_ZERO_1 116)) (= T_java_util_Enumeration (+ DIST_ZERO_1 117)) (= T_javafe_ast_ThisExpr (+ DIST_ZERO_1 118)) (= T_java_lang_Number (+ DIST_ZERO_1 119)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 120)) (= T_java_lang_StringBuffer (+ DIST_ZERO_1 121)) (= T_javafe_ast_ConstructorDecl (+ DIST_ZERO_1 122)) (= T_javafe_ast_CondExpr (+ DIST_ZERO_1 123)) (= T_javafe_ast_IdentifierVec (+ DIST_ZERO_1 124)) (= T_javafe_ast_SuperObjectDesignator (+ DIST_ZERO_1 125)) (= T_java_io_Serializable (+ DIST_ZERO_1 126)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 127))) (= true_term (is COMPOUNDNAME_34_67_7 T_int)) (= COMPOUNDNAME_34_67_7 53) (= true_term (is PARSED_8_772_28 T_int)) (= PARSED_8_772_28 2) (= true_term (is SWITCHSTMT_34_26_7 T_int)) (= SWITCHSTMT_34_26_7 12) (= true_term (is STMTPRAGMA_31_26_26 T_int)) (= STMTPRAGMA_31_26_26 116) (= true_term (is map_8_301_35 T_java_util_Hashtable)) (not (= map_8_301_35 null)) (= (typeof map_8_301_35) T_java_util_Hashtable) (= true_term (is CASTEXPR_34_53_7 T_int)) (= CASTEXPR_34_53_7 39) (= true_term (is OR_33_19_26 T_int)) (= OR_33_19_26 54) (= true_term (is ASGRSHIFT_33_47_26 T_int)) (= ASGRSHIFT_33_47_26 80) (= true_term (is FLOATTYPE_32_31_26 T_int)) (= FLOATTYPE_32_31_26 98) (= true_term (is FORSTMT_34_39_7 T_int)) (= FORSTMT_34_39_7 25) (= true_term (is FIRST_KEYWORD_31_51_26 T_int)) (= FIRST_KEYWORD_31_51_26 133) (= true_term (is RSHIFT_33_31_26 T_int)) (= RSHIFT_33_31_26 66) (= true_term (is SIMPLENAME_34_66_7 T_int)) (= SIMPLENAME_34_66_7 52) (= true_term (is BLOCKSTMT_34_25_7 T_int)) (= BLOCKSTMT_34_25_7 11) (= true_term (is MODIFIERPRAGMA_31_25_26 T_int)) (= MODIFIERPRAGMA_31_25_26 115) (= true_term (is NULLLIT_32_45_26 T_int)) (= NULLLIT_32_45_26 111) (= true_term (is INSTANCEOFEXPR_34_52_7 T_int)) (= INSTANCEOFEXPR_34_52_7 38) (= true_term (is ASGLSHIFT_33_46_26 T_int)) (= ASGLSHIFT_33_46_26 79) (= true_term (is CHARTYPE_32_30_26 T_int)) (= CHARTYPE_32_30_26 97) (= true_term (is IFSTMT_34_38_7 T_int)) (= IFSTMT_34_38_7 24) (= true_term (is LSHIFT_33_30_26 T_int)) (= LSHIFT_33_30_26 65) (= true_term (is ARRAYTYPE_34_65_7 T_int)) (= ARRAYTYPE_34_65_7 51) (= true_term (is FORMALPARADECL_34_24_7 T_int)) (= FORMALPARADECL_34_24_7 10) (= true_term (is POSTFIXDEC_33_63_26 T_int)) (= POSTFIXDEC_33_63_26 92) (= true_term (is STRINGLIT_32_44_26 T_int)) (= STRINGLIT_32_44_26 110) (= true_term (is CONDEXPR_34_51_7 T_int)) (= CONDEXPR_34_51_7 37) (= true_term (is NULL_31_82_26 T_int)) (= NULL_31_82_26 163) (= true_term (is LAST_KEYWORD_31_103_26 T_int)) (= LAST_KEYWORD_31_103_26 183) (= true_term (is LEXICALPRAGMA_31_24_26 T_int)) (= LEXICALPRAGMA_31_24_26 114) (= true_term (is ASGSUB_33_45_26 T_int)) (= ASGSUB_33_45_26 78) (= true_term (is LONGTYPE_32_29_26 T_int)) (= LONGTYPE_32_29_26 96) (= true_term (is LABELSTMT_34_37_7 T_int)) (= LABELSTMT_34_37_7 23) (= true_term (is LT_33_29_26 T_int)) (= LT_33_29_26 64) (= true_term (is TYPENAME_34_64_7 T_int)) (= TYPENAME_34_64_7 50) (= true_term (is FIELDDECL_34_23_7 T_int)) (= FIELDDECL_34_23_7 9) (= true_term (is POSTFIXINC_33_62_26 T_int)) (= POSTFIXINC_33_62_26 91) (= true_term (is DOUBLELIT_32_43_26 T_int)) (= DOUBLELIT_32_43_26 109) (= true_term (is NEWARRAYEXPR_34_50_7 T_int)) (= NEWARRAYEXPR_34_50_7 36) (= true_term (is ASGADD_33_44_26 T_int)) (= ASGADD_33_44_26 77) (= true_term (is INTTYPE_32_28_26 T_int)) (= INTTYPE_32_28_26 95) (= true_term (is CONTINUESTMT_34_36_7 T_int)) (= CONTINUESTMT_34_36_7 22) (= true_term (is LE_33_28_26 T_int)) (= LE_33_28_26 63) (= true_term (is LOCALVARDECL_34_22_7 T_int)) (= LOCALVARDECL_34_22_7 8) (= true_term (is otherStrings_31_193_30 ?v_0)) (not (= otherStrings_31_193_30 null)) (= (typeof otherStrings_31_193_30) ?v_0) (= (arrayLength otherStrings_31_193_30) 15) (= true_term (is SUPEROBJECTDESIGNATOR_34_63_7 T_int)) (= SUPEROBJECTDESIGNATOR_34_63_7 49) (= true_term (is NULL_62_60_26 T_int)) (= NULL_62_60_26 0) (= true_term (is DEC_33_59_26 T_int)) (= DEC_33_59_26 90) (= true_term (is noTokens_31_212_27 T_int)) (= true_term (is FLOATLIT_32_42_26 T_int)) (= FLOATLIT_32_42_26 108) (= true_term (is NEWINSTANCEEXPR_34_49_7 T_int)) (= NEWINSTANCEEXPR_34_49_7 35) (= true_term (is ASGREM_33_43_26 T_int)) (= ASGREM_33_43_26 76) (= true_term (is BOOLEANTYPE_32_27_26 T_int)) (= BOOLEANTYPE_32_27_26 94) (= true_term (is BREAKSTMT_34_35_7 T_int)) (= BREAKSTMT_34_35_7 21) (= true_term (is GT_33_27_26 T_int)) (= GT_33_27_26 62) (= true_term (is INITBLOCK_34_21_7 T_int)) (= INITBLOCK_34_21_7 7) (= true_term (is TYPEOBJECTDESIGNATOR_34_62_7 T_int)) (= TYPEOBJECTDESIGNATOR_34_62_7 48) (= true_term (is INC_33_58_26 T_int)) (= INC_33_58_26 89) (= true_term (is CHARLIT_32_41_26 T_int)) (= CHARLIT_32_41_26 107) (= true_term (is ARRAYREFEXPR_34_48_7 T_int)) (= ARRAYREFEXPR_34_48_7 34) (= true_term (is punctuationCodes_31_164_19 ?v_1)) (not (= punctuationCodes_31_164_19 null)) (= (typeof punctuationCodes_31_164_19) ?v_1) (= (arrayLength punctuationCodes_31_164_19) 48) (= true_term (is ASGDIV_33_42_26 T_int)) (= ASGDIV_33_42_26 75) (= true_term (is IDENT_32_25_26 T_int)) (= IDENT_32_25_26 93) (= true_term (is THROWSTMT_34_34_7 T_int)) (= THROWSTMT_34_34_7 20) (= true_term (is GE_33_26_26 T_int)) (= GE_33_26_26 61) (= true_term (is TYPESIG_30_6_28 T_int)) (= TYPESIG_30_6_28 184) (= true_term (is METHODDECL_34_20_7 T_int)) (= METHODDECL_34_20_7 6) (= true_term (is EXPROBJECTDESIGNATOR_34_61_7 T_int)) (= EXPROBJECTDESIGNATOR_34_61_7 47) (= true_term (is BITNOT_33_57_26 T_int)) (= BITNOT_33_57_26 88) (= true_term (is LONGLIT_32_40_26 T_int)) (= LONGLIT_32_40_26 106) (= true_term (is THISEXPR_34_47_7 T_int)) (= THISEXPR_34_47_7 33) (= true_term (is ASGMUL_33_41_26 T_int)) (= ASGMUL_33_41_26 74) (= true_term (is RETURNSTMT_34_33_7 T_int)) (= RETURNSTMT_34_33_7 19) (= true_term (is keywordStrings_31_181_30 ?v_0)) (not (= keywordStrings_31_181_30 null)) (= (typeof keywordStrings_31_181_30) ?v_0) (= (arrayLength keywordStrings_31_181_30) 51) (= true_term (is EQ_33_25_26 T_int)) (= EQ_33_25_26 60) (= true_term (is CONSTRUCTORDECL_34_19_7 T_int)) (= CONSTRUCTORDECL_34_19_7 5) (= true_term (is CLASSLITERAL_34_60_7 T_int)) (= CLASSLITERAL_34_60_7 46) (= true_term (is NOT_33_56_26 T_int)) (= NOT_33_56_26 87) (= true_term (is INTLIT_32_39_26 T_int)) (= INTLIT_32_39_26 105) (= true_term (is ARRAYINIT_34_46_7 T_int)) (= ARRAYINIT_34_46_7 32) (= true_term (is ASSIGN_33_40_26 T_int)) (= ASSIGN_33_40_26 73) (= true_term (is EVALSTMT_34_32_7 T_int)) (= EVALSTMT_34_32_7 18) (= true_term (is NE_33_24_26 T_int)) (= NE_33_24_26 59) (= true_term (is INTERFACEDECL_34_18_7 T_int)) (= INTERFACEDECL_34_18_7 4) (= true_term (is METHODINVOCATION_34_59_7 T_int)) (= METHODINVOCATION_34_59_7 45) (= true_term (is UNARYSUB_33_55_26 T_int)) (= UNARYSUB_33_55_26 86) (= true_term (is BOOLEANLIT_32_38_26 T_int)) (= BOOLEANLIT_32_38_26 104) (= true_term (is CATCHCLAUSE_34_45_7 T_int)) (= CATCHCLAUSE_34_45_7 31) (= true_term (is STAR_33_37_26 T_int)) (= STAR_33_37_26 72) (= true_term (is SYNCHRONIZESTMT_34_31_7 T_int)) (= SYNCHRONIZESTMT_34_31_7 17) (= true_term (is BITAND_33_23_26 T_int)) (= BITAND_33_23_26 58) (= true_term (is CLASSDECL_34_17_7 T_int)) (= CLASSDECL_34_17_7 3) (= true_term (is AMBIGUOUSMETHODINVOCATION_34_58_7 T_int)) (= AMBIGUOUSMETHODINVOCATION_34_58_7 44) (= true_term (is UNARYADD_33_54_26 T_int)) (= UNARYADD_33_54_26 85) (= true_term (is SHORTTYPE_32_36_26 T_int)) (= SHORTTYPE_32_36_26 103) (= true_term (is CONSTRUCTORINVOCATION_34_44_7 T_int)) (= CONSTRUCTORINVOCATION_34_44_7 30) (= true_term (is MOD_33_36_26 T_int)) (= MOD_33_36_26 71) (= true_term (is DOSTMT_34_30_7 T_int)) (= DOSTMT_34_30_7 16) (= true_term (is BITXOR_33_22_26 T_int)) (= BITXOR_33_22_26 57) (= true_term (is ONDEMANDIMPORTDECL_34_16_7 T_int)) (= ONDEMANDIMPORTDECL_34_16_7 2) (= true_term (is FIELDACCESS_34_57_7 T_int)) (= FIELDACCESS_34_57_7 43) (= true_term (is ASGBITXOR_33_51_26 T_int)) (= ASGBITXOR_33_51_26 84) (= true_term (is BYTETYPE_32_35_26 T_int)) (= BYTETYPE_32_35_26 102) (= true_term (is TRYCATCHSTMT_34_43_7 T_int)) (= TRYCATCHSTMT_34_43_7 29) (= true_term (is CHECKED_8_776_28 T_int)) (= CHECKED_8_776_28 6) (= true_term (is DIV_33_35_26 T_int)) (= DIV_33_35_26 70) (= true_term (is WHILESTMT_34_29_7 T_int)) (= WHILESTMT_34_29_7 15) (= true_term (is otherCodes_31_202_27 ?v_1)) (not (= otherCodes_31_202_27 null)) (= (typeof otherCodes_31_202_27) ?v_1) (= (arrayLength otherCodes_31_202_27) 15) (= true_term (is BITOR_33_21_26 T_int)) (= BITOR_33_21_26 56) (= true_term (is SINGLETYPEIMPORTDECL_34_15_7 T_int)) (= SINGLETYPEIMPORTDECL_34_15_7 1) (= true_term (is VARIABLEACCESS_34_56_7 T_int)) (= VARIABLEACCESS_34_56_7 42) (= true_term (is PREPPED_8_775_28 T_int)) (= PREPPED_8_775_28 5) (= true_term (is TYPEMODIFIERPRAGMA_31_28_26 T_int)) (= TYPEMODIFIERPRAGMA_31_28_26 118) (= true_term (is ASGBITOR_33_50_26 T_int)) (= ASGBITOR_33_50_26 83) (= true_term (is NULLTYPE_32_34_26 T_int)) (= NULLTYPE_32_34_26 101) (= true_term (is TRYFINALLYSTMT_34_42_7 T_int)) (= TRYFINALLYSTMT_34_42_7 28) (= true_term (is SUB_33_34_26 T_int)) (= SUB_33_34_26 69) (= true_term (is CLASSDECLSTMT_34_28_7 T_int)) (= CLASSDECLSTMT_34_28_7 14) (= true_term (is punctuationStrings_31_134_22 ?v_0)) (not (= punctuationStrings_31_134_22 null)) (= (typeof punctuationStrings_31_134_22) ?v_0) (= (arrayLength punctuationStrings_31_134_22) 48) (= true_term (is COMPILATIONUNIT_34_14_7 T_int)) (= COMPILATIONUNIT_34_14_7 0) (= true_term (is AMBIGUOUSVARIABLEACCESS_34_55_7 T_int)) (= AMBIGUOUSVARIABLEACCESS_34_55_7 41) (= true_term (is ASGBITAND_33_49_26 T_int)) (= ASGBITAND_33_49_26 82) (= true_term (is VOIDTYPE_32_33_26 T_int)) (= VOIDTYPE_32_33_26 100) (= true_term (is SWITCHLABEL_34_41_7 T_int)) (= SWITCHLABEL_34_41_7 27) (= true_term (is TYPEDECLELEMPRAGMA_31_27_26 T_int)) (= TYPEDECLELEMPRAGMA_31_27_26 117) (= true_term (is ADD_33_33_26 T_int)) (= ADD_33_33_26 68) (= true_term (is VARDECLSTMT_34_27_7 T_int)) (= VARDECLSTMT_34_27_7 13) (= true_term (is PARENEXPR_34_54_7 T_int)) (= PARENEXPR_34_54_7 40) (= true_term (is AND_33_20_26 T_int)) (= AND_33_20_26 55) (= true_term (is ASGURSHIFT_33_48_26 T_int)) (= ASGURSHIFT_33_48_26 81) (= true_term (is DOUBLETYPE_32_32_26 T_int)) (= DOUBLETYPE_32_32_26 99) (= true_term (is SKIPSTMT_34_40_7 T_int)) (= SKIPSTMT_34_40_7 26) (= true_term (is URSHIFT_33_32_26 T_int)) (= URSHIFT_33_32_26 67))))
(declare-fun ecReturn () Int)
(declare-fun L_425_5 () Int)
(declare-fun COMPOUNDNAME_pre_34_67_7 () Int)
(declare-fun CU_pre_8_71_30 () Int)
(declare-fun CU_8_71_30 () Int)
(declare-fun PARSED_pre_8_772_28 () Int)
(declare-fun SWITCHSTMT_pre_34_26_7 () Int)
(declare-fun STMTPRAGMA_pre_31_26_26 () Int)
(declare-fun loc_pre_116_18_13 () Int)
(declare-fun loc_116_18_13 () Int)
(declare-fun map_pre_8_301_35 () Int)
(declare-fun CASTEXPR_pre_34_53_7 () Int)
(declare-fun locQuestion_pre_143_22_13 () Int)
(declare-fun locQuestion_143_22_13 () Int)
(declare-fun OR_pre_33_19_26 () Int)
(declare-fun loc_pre_83_50_13 () Int)
(declare-fun loc_83_50_13 () Int)
(declare-fun ASGRSHIFT_pre_33_47_26 () Int)
(declare-fun FLOATTYPE_pre_32_31_26 () Int)
(declare-fun FORSTMT_pre_34_39_7 () Int)
(declare-fun count_pre_24_67_33 () Int)
(declare-fun count_24_67_33 () Int)
(declare-fun tag_pre_86_30_13 () Int)
(declare-fun tag_86_30_13 () Int)
(declare-fun count_pre_64_67_33 () Int)
(declare-fun count_64_67_33 () Int)
(declare-fun locOpenParen_pre_150_28_13 () Int)
(declare-fun locOpenParen_150_28_13 () Int)
(declare-fun FIRST_KEYWORD_pre_31_51_26 () Int)
(declare-fun RSHIFT_pre_33_31_26 () Int)
(declare-fun type_pre_151_20_28 () Int)
(declare-fun type_151_20_28 () Int)
(declare-fun SIMPLENAME_pre_34_66_7 () Int)
(declare-fun BLOCKSTMT_pre_34_25_7 () Int)
(declare-fun locCloseBrace_pre_17_54_13 () Int)
(declare-fun locCloseBrace_17_54_13 () Int)
(declare-fun MODIFIERPRAGMA_pre_31_25_26 () Int)
(declare-fun elements_pre_59_72_21 () Int)
(declare-fun elements_59_72_21 () Int)
(declare-fun NULLLIT_pre_32_45_26 () Int)
(declare-fun INSTANCEOFEXPR_pre_34_52_7 () Int)
(declare-fun locSuper_pre_154_20_13 () Int)
(declare-fun locSuper_154_20_13 () Int)
(declare-fun loc_pre_124_20_13 () Int)
(declare-fun loc_124_20_13 () Int)
(declare-fun ASGLSHIFT_pre_33_46_26 () Int)
(declare-fun elements_pre_56_61_38 () Int)
(declare-fun elements_56_61_38 () Int)
(declare-fun CHARTYPE_pre_32_30_26 () Int)
(declare-fun locDot_pre_141_29_13 () Int)
(declare-fun locDot_141_29_13 () Int)
(declare-fun IFSTMT_pre_34_38_7 () Int)
(declare-fun count_pre_159_67_33 () Int)
(declare-fun count_159_67_33 () Int)
(declare-fun LSHIFT_pre_33_30_26 () Int)
(declare-fun ARRAYTYPE_pre_34_65_7 () Int)
(declare-fun FORMALPARADECL_pre_34_24_7 () Int)
(declare-fun elements_pre_65_61_33 () Int)
(declare-fun elements_65_61_33 () Int)
(declare-fun POSTFIXDEC_pre_33_63_26 () Int)
(declare-fun keyType_pre_81_16_25 () Int)
(declare-fun keyType_81_16_25 () Int)
(declare-fun inst_pre_174_26 () Int)
(declare-fun inst_174_26 () Int)
(declare-fun locOpenBrace_pre_22_36_13 () Int)
(declare-fun locOpenBrace_22_36_13 () Int)
(declare-fun locCloseParen_pre_145_24_13 () Int)
(declare-fun locCloseParen_145_24_13 () Int)
(declare-fun STRINGLIT_pre_32_44_26 () Int)
(declare-fun CONDEXPR_pre_34_51_7 () Int)
(declare-fun inst_pre_6_25_52 () Int)
(declare-fun inst_6_25_52 () Int)
(declare-fun enclosingEnv_pre_8_52_36 () Int)
(declare-fun enclosingEnv_8_52_36 () Int)
(declare-fun locCloseBrace_pre_70_24_13 () Int)
(declare-fun locCloseBrace_70_24_13 () Int)
(declare-fun NULL_pre_31_82_26 () Int)
(declare-fun LAST_KEYWORD_pre_31_103_26 () Int)
(declare-fun LEXICALPRAGMA_pre_31_24_26 () Int)
(declare-fun ASGSUB_pre_33_45_26 () Int)
(declare-fun LONGTYPE_pre_32_29_26 () Int)
(declare-fun LABELSTMT_pre_34_37_7 () Int)
(declare-fun locOpenParen_pre_141_52_13 () Int)
(declare-fun locOpenParen_141_52_13 () Int)
(declare-fun loc_pre_20_18_13 () Int)
(declare-fun loc_20_18_13 () Int)
(declare-fun body_pre_22_34_19 () Int)
(declare-fun body_22_34_19 () Int)
(declare-fun init_pre_142_35_19 () Int)
(declare-fun init_142_35_19 () Int)
(declare-fun methods_pre_8_883_26 () Int)
(declare-fun methods_8_883_26 () Int)
(declare-fun LT_pre_33_29_26 () Int)
(declare-fun TYPENAME_pre_34_64_7 () Int)
(declare-fun FIELDDECL_pre_34_23_7 () Int)
(declare-fun loc_pre_136_22_13 () Int)
(declare-fun loc_136_22_13 () Int)
(declare-fun POSTFIXINC_pre_33_62_26 () Int)
(declare-fun DOUBLELIT_pre_32_43_26 () Int)
(declare-fun NEWARRAYEXPR_pre_34_50_7 () Int)
(declare-fun locCloseBracket_pre_140_23_13 () Int)
(declare-fun locCloseBracket_140_23_13 () Int)
(declare-fun constructorSeq_pre_6_171_38 () Int)
(declare-fun constructorSeq_6_171_38 () Int)
(declare-fun enclosingInstance_pre_138_37_14 () Int)
(declare-fun enclosingInstance_138_37_14 () Int)
(declare-fun ASGADD_pre_33_44_26 () Int)
(declare-fun value_pre_83_45_16 () Int)
(declare-fun value_83_45_16 () Int)
(declare-fun INTTYPE_pre_32_28_26 () Int)
(declare-fun CONTINUESTMT_pre_34_36_7 () Int)
(declare-fun locGuardOpenParen_pre_123_23_13 () Int)
(declare-fun locGuardOpenParen_123_23_13 () Int)
(declare-fun locType_pre_35_21_13 () Int)
(declare-fun locType_35_21_13 () Int)
(declare-fun count_pre_56_67_33 () Int)
(declare-fun count_56_67_33 () Int)
(declare-fun elementCount_pre_59_79_33 () Int)
(declare-fun elementCount_59_79_33 () Int)
(declare-fun LE_pre_33_28_26 () Int)
(declare-fun locId_pre_150_25_13 () Int)
(declare-fun locId_150_25_13 () Int)
(declare-fun elementType_pre_59_43_27 () Int)
(declare-fun elementType_59_43_27 () Int)
(declare-fun LOCALVARDECL_pre_34_22_7 () Int)
(declare-fun otherStrings_pre_31_193_30 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_pre_34_63_7 () Int)
(declare-fun NULL_pre_62_60_26 () Int)
(declare-fun moreElements_pre_42_58_29 () Int)
(declare-fun moreElements_42_58_29 () Int)
(declare-fun DEC_pre_33_59_26 () Int)
(declare-fun count_pre_65_67_33 () Int)
(declare-fun count_65_67_33 () Int)
(declare-fun locOpenBrace_pre_17_51_13 () Int)
(declare-fun locOpenBrace_17_51_13 () Int)
(declare-fun noTokens_pre_31_212_27 () Int)
(declare-fun FLOATLIT_pre_32_42_26 () Int)
(declare-fun NEWINSTANCEEXPR_pre_34_49_7 () Int)
(declare-fun locOpenBracket_pre_155_21_13 () Int)
(declare-fun locOpenBracket_155_21_13 () Int)
(declare-fun locId_pre_131_20_13 () Int)
(declare-fun locId_131_20_13 () Int)
(declare-fun elements_pre_157_61_39 () Int)
(declare-fun elements_157_61_39 () Int)
(declare-fun locCloseParen_pre_146_21_13 () Int)
(declare-fun locCloseParen_146_21_13 () Int)
(declare-fun ASGREM_pre_33_43_26 () Int)
(declare-fun BOOLEANTYPE_pre_32_27_26 () Int)
(declare-fun op_pre_85_26_13 () Int)
(declare-fun op_85_26_13 () Int)
(declare-fun BREAKSTMT_pre_34_35_7 () Int)
(declare-fun loc_pre_156_20_13 () Int)
(declare-fun loc_156_20_13 () Int)
(declare-fun locCloseBrace_pre_108_25_13 () Int)
(declare-fun locCloseBrace_108_25_13 () Int)
(declare-fun id_pre_17_32_34 () Int)
(declare-fun id_17_32_34 () Int)
(declare-fun syntax_pre_9_28_29 () Int)
(declare-fun syntax_9_28_29 () Int)
(declare-fun locOpenParen_pre_125_23_13 () Int)
(declare-fun locOpenParen_125_23_13 () Int)
(declare-fun locOp_pre_84_43_13 () Int)
(declare-fun locOp_84_43_13 () Int)
(declare-fun GT_pre_33_27_26 () Int)
(declare-fun INITBLOCK_pre_34_21_7 () Int)
(declare-fun myTypeDecl_pre_8_63_40 () Int)
(declare-fun myTypeDecl_8_63_40 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_pre_34_62_7 () Int)
(declare-fun fieldSeq_pre_6_162_38 () Int)
(declare-fun fieldSeq_6_162_38 () Int)
(declare-fun INC_pre_33_58_26 () Int)
(declare-fun elements_pre_69_61_33 () Int)
(declare-fun elements_69_61_33 () Int)
(declare-fun args_pre_22_30_41 () Int)
(declare-fun args_22_30_41 () Int)
(declare-fun CHARLIT_pre_32_41_26 () Int)
(declare-fun ARRAYREFEXPR_pre_34_48_7 () Int)
(declare-fun punctuationCodes_pre_31_164_19 () Int)
(declare-fun enclosingInstance_pre_141_25_14 () Int)
(declare-fun enclosingInstance_141_25_14 () Int)
(declare-fun loc_pre_139_22_13 () Int)
(declare-fun loc_139_22_13 () Int)
(declare-fun ASGDIV_pre_33_42_26 () Int)
(declare-fun locOpenParen_pre_145_21_13 () Int)
(declare-fun locOpenParen_145_21_13 () Int)
(declare-fun IDENT_pre_32_25_26 () Int)
(declare-fun THROWSTMT_pre_34_34_7 () Int)
(declare-fun locOpenBrace_pre_70_21_13 () Int)
(declare-fun locOpenBrace_70_21_13 () Int)
(declare-fun loc_pre_141_49_13 () Int)
(declare-fun loc_141_49_13 () Int)
(declare-fun loc_pre_127_18_13 () Int)
(declare-fun loc_127_18_13 () Int)
(declare-fun GE_pre_33_26_26 () Int)
(declare-fun locFirstSemi_pre_133_36_13 () Int)
(declare-fun locFirstSemi_133_36_13 () Int)
(declare-fun TYPESIG_pre_30_6_28 () Int)
(declare-fun METHODDECL_pre_34_20_7 () Int)
(declare-fun EXPROBJECTDESIGNATOR_pre_34_61_7 () Int)
(declare-fun loc_pre_144_21_13 () Int)
(declare-fun loc_144_21_13 () Int)
(declare-fun BITNOT_pre_33_57_26 () Int)
(declare-fun LONGLIT_pre_32_40_26 () Int)
(declare-fun THISEXPR_pre_34_47_7 () Int)
(declare-fun member_pre_8_44_39 () Int)
(declare-fun member_8_44_39 () Int)
(declare-fun ASGMUL_pre_33_41_26 () Int)
(declare-fun RETURNSTMT_pre_34_33_7 () Int)
(declare-fun count_pre_157_67_33 () Int)
(declare-fun count_157_67_33 () Int)
(declare-fun keywordStrings_pre_31_181_30 () Int)
(declare-fun locId_pre_22_43_13 () Int)
(declare-fun locId_22_43_13 () Int)
(declare-fun locOpenBracket_pre_140_20_13 () Int)
(declare-fun locOpenBracket_140_20_13 () Int)
(declare-fun loc_pre_135_29_13 () Int)
(declare-fun loc_135_29_13 () Int)
(declare-fun EQ_pre_33_25_26 () Int)
(declare-fun locOpenParen_pre_138_48_13 () Int)
(declare-fun locOpenParen_138_48_13 () Int)
(declare-fun CONSTRUCTORDECL_pre_34_19_7 () Int)
(declare-fun CLASSLITERAL_pre_34_60_7 () Int)
(declare-fun loc_pre_128_18_13 () Int)
(declare-fun loc_128_18_13 () Int)
(declare-fun locId_pre_148_24_13 () Int)
(declare-fun locId_148_24_13 () Int)
(declare-fun fields_pre_8_875_27 () Int)
(declare-fun fields_8_875_27 () Int)
(declare-fun elements_pre_57_61_39 () Int)
(declare-fun elements_57_61_39 () Int)
(declare-fun NOT_pre_33_56_26 () Int)
(declare-fun INTLIT_pre_32_39_26 () Int)
(declare-fun ARRAYINIT_pre_34_46_7 () Int)
(declare-fun locId_pre_17_48_13 () Int)
(declare-fun locId_17_48_13 () Int)
(declare-fun count_pre_69_67_33 () Int)
(declare-fun count_69_67_33 () Int)
(declare-fun state_pre_8_787_15 () Int)
(declare-fun state_8_787_15 () Int)
(declare-fun id_pre_150_20_34 () Int)
(declare-fun id_150_20_34 () Int)
(declare-fun ASSIGN_pre_33_40_26 () Int)
(declare-fun loc_pre_147_22_13 () Int)
(declare-fun loc_147_22_13 () Int)
(declare-fun loc_pre_103_29_13 () Int)
(declare-fun loc_103_29_13 () Int)
(declare-fun ids_pre_158_19_37 () Int)
(declare-fun ids_158_19_37 () Int)
(declare-fun EVALSTMT_pre_34_32_7 () Int)
(declare-fun type_pre_142_24_28 () Int)
(declare-fun type_142_24_28 () Int)
(declare-fun loc_pre_120_18_13 () Int)
(declare-fun loc_120_18_13 () Int)
(declare-fun loc_pre_142_49_13 () Int)
(declare-fun loc_142_49_13 () Int)
(declare-fun locOpenBrace_pre_108_22_13 () Int)
(declare-fun locOpenBrace_108_22_13 () Int)
(declare-fun NE_pre_33_24_26 () Int)
(declare-fun INTERFACEDECL_pre_34_18_7 () Int)
(declare-fun METHODINVOCATION_pre_34_59_7 () Int)
(declare-fun UNARYSUB_pre_33_55_26 () Int)
(declare-fun returnType_pre_35_18_28 () Int)
(declare-fun returnType_35_18_28 () Int)
(declare-fun BOOLEANLIT_pre_32_38_26 () Int)
(declare-fun CATCHCLAUSE_pre_34_45_7 () Int)
(declare-fun returnsNull_pre_42_79_29 () Int)
(declare-fun returnsNull_42_79_29 () Int)
(declare-fun STAR_pre_33_37_26 () Int)
(declare-fun SYNCHRONIZESTMT_pre_34_31_7 () Int)
(declare-fun type_pre_145_18_28 () Int)
(declare-fun type_145_18_28 () Int)
(declare-fun superClass_pre_40_15_18 () Int)
(declare-fun superClass_40_15_18 () Int)
(declare-fun parent_pre_61_18_18 () Int)
(declare-fun parent_61_18_18 () Int)
(declare-fun BITAND_pre_33_23_26 () Int)
(declare-fun loc_pre_137_23_13 () Int)
(declare-fun loc_137_23_13 () Int)
(declare-fun decl_pre_150_34_20 () Int)
(declare-fun decl_150_34_20 () Int)
(declare-fun elemType_pre_155_18_28 () Int)
(declare-fun elemType_155_18_28 () Int)
(declare-fun CLASSDECL_pre_34_17_7 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_pre_34_58_7 () Int)
(declare-fun currentStackBottom_pre_59_87_33 () Int)
(declare-fun currentStackBottom_59_87_33 () Int)
(declare-fun locOpenParen_pre_146_18_13 () Int)
(declare-fun locOpenParen_146_18_13 () Int)
(declare-fun type_pre_144_18_28 () Int)
(declare-fun type_144_18_28 () Int)
(declare-fun loc_pre_123_20_13 () Int)
(declare-fun loc_123_20_13 () Int)
(declare-fun UNARYADD_pre_33_54_26 () Int)
(declare-fun loc_pre_125_20_13 () Int)
(declare-fun loc_125_20_13 () Int)
(declare-fun count_pre_57_67_33 () Int)
(declare-fun count_57_67_33 () Int)
(declare-fun SHORTTYPE_pre_32_36_26 () Int)
(declare-fun CONSTRUCTORINVOCATION_pre_34_44_7 () Int)
(declare-fun loc_pre_133_33_13 () Int)
(declare-fun loc_133_33_13 () Int)
(declare-fun simpleName_pre_8_37_38 () Int)
(declare-fun simpleName_8_37_38 () Int)
(declare-fun MOD_pre_33_36_26 () Int)
(declare-fun locId_pre_28_38_13 () Int)
(declare-fun locId_28_38_13 () Int)
(declare-fun locOpenBrackets_pre_142_65_29 () Int)
(declare-fun locOpenBrackets_142_65_29 () Int)
(declare-fun DOSTMT_pre_34_30_7 () Int)
(declare-fun loc_pre_22_40_13 () Int)
(declare-fun loc_22_40_13 () Int)
(declare-fun BITXOR_pre_33_22_26 () Int)
(declare-fun length_pre_101_50_25 () Int)
(declare-fun length_101_50_25 () Int)
(declare-fun ONDEMANDIMPORTDECL_pre_34_16_7 () Int)
(declare-fun FIELDACCESS_pre_34_57_7 () Int)
(declare-fun locKeyword_pre_138_45_13 () Int)
(declare-fun locKeyword_138_45_13 () Int)
(declare-fun locDot_pre_151_23_13 () Int)
(declare-fun locDot_151_23_13 () Int)
(declare-fun ASGBITXOR_pre_33_51_26 () Int)
(declare-fun locIds_pre_158_25_29 () Int)
(declare-fun locIds_158_25_29 () Int)
(declare-fun BYTETYPE_pre_32_35_26 () Int)
(declare-fun TRYCATCHSTMT_pre_34_43_7 () Int)
(declare-fun CHECKED_pre_8_776_28 () Int)
(declare-fun locOpenParen_pre_149_30_13 () Int)
(declare-fun locOpenParen_149_30_13 () Int)
(declare-fun loc_pre_17_45_13 () Int)
(declare-fun loc_17_45_13 () Int)
(declare-fun DIV_pre_33_35_26 () Int)
(declare-fun parent_pre_22_21_18 () Int)
(declare-fun parent_22_21_18 () Int)
(declare-fun WHILESTMT_pre_34_29_7 () Int)
(declare-fun elementType_pre_81_26_25 () Int)
(declare-fun elementType_81_26_25 () Int)
(declare-fun locColon_pre_143_25_13 () Int)
(declare-fun locColon_143_25_13 () Int)
(declare-fun superCall_pre_138_24_17 () Int)
(declare-fun superCall_138_24_17 () Int)
(declare-fun hasParent_pre_18_149_30 () Int)
(declare-fun hasParent_18_149_30 () Int)
(declare-fun tokenType_pre_37_90_8 () Int)
(declare-fun tokenType_37_90_8 () Int)
(declare-fun otherCodes_pre_31_202_27 () Int)
(declare-fun dims_pre_142_45_31 () Int)
(declare-fun dims_142_45_31 () Int)
(declare-fun BITOR_pre_33_21_26 () Int)
(declare-fun SINGLETYPEIMPORTDECL_pre_34_15_7 () Int)
(declare-fun VARIABLEACCESS_pre_34_56_7 () Int)
(declare-fun PREPPED_pre_8_775_28 () Int)
(declare-fun locDot_pre_72_21_13 () Int)
(declare-fun locDot_72_21_13 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_31_28_26 () Int)
(declare-fun methodSeq_pre_6_167_38 () Int)
(declare-fun methodSeq_6_167_38 () Int)
(declare-fun ASGBITOR_pre_33_50_26 () Int)
(declare-fun loc_pre_86_35_13 () Int)
(declare-fun loc_86_35_13 () Int)
(declare-fun enclosingType_pre_8_32_39 () Int)
(declare-fun enclosingType_8_32_39 () Int)
(declare-fun elementType_pre_42_74_27 () Int)
(declare-fun elementType_42_74_27 () Int)
(declare-fun NULLTYPE_pre_32_34_26 () Int)
(declare-fun TRYFINALLYSTMT_pre_34_42_7 () Int)
(declare-fun SUB_pre_33_34_26 () Int)
(declare-fun CLASSDECLSTMT_pre_34_28_7 () Int)
(declare-fun owner_pre_4_35_28 () Int)
(declare-fun owner_4_35_28 () Int)
(declare-fun op_pre_84_35_13 () Int)
(declare-fun op_84_35_13 () Int)
(declare-fun punctuationStrings_pre_31_134_22 () Int)
(declare-fun elementType_pre_41_22_27 () Int)
(declare-fun elementType_41_22_27 () Int)
(declare-fun parent_pre_17_59_18 () Int)
(declare-fun parent_17_59_18 () Int)
(declare-fun COMPILATIONUNIT_pre_34_14_7 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_pre_34_55_7 () Int)
(declare-fun loc_pre_132_22_13 () Int)
(declare-fun loc_132_22_13 () Int)
(declare-fun ASGBITAND_pre_33_49_26 () Int)
(declare-fun loc_pre_134_16_13 () Int)
(declare-fun loc_134_16_13 () Int)
(declare-fun id_pre_35_15_34 () Int)
(declare-fun id_35_15_34 () Int)
(declare-fun elements_pre_24_61_43 () Int)
(declare-fun elements_24_61_43 () Int)
(declare-fun locDots_pre_158_31_29 () Int)
(declare-fun locDots_158_31_29 () Int)
(declare-fun parent_pre_118_22_18 () Int)
(declare-fun parent_118_22_18 () Int)
(declare-fun VOIDTYPE_pre_32_33_26 () Int)
(declare-fun SWITCHLABEL_pre_34_41_7 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_31_27_26 () Int)
(declare-fun elements_pre_64_61_36 () Int)
(declare-fun elements_64_61_36 () Int)
(declare-fun ADD_pre_33_33_26 () Int)
(declare-fun type_pre_28_35_28 () Int)
(declare-fun type_28_35_28 () Int)
(declare-fun VARDECLSTMT_pre_34_27_7 () Int)
(declare-fun tag_pre_83_32_13 () Int)
(declare-fun tag_83_32_13 () Int)
(declare-fun PARENEXPR_pre_34_54_7 () Int)
(declare-fun loc_pre_78_30_13 () Int)
(declare-fun loc_78_30_13 () Int)
(declare-fun AND_pre_33_20_26 () Int)
(declare-fun locDot_pre_138_41_13 () Int)
(declare-fun locDot_138_41_13 () Int)
(declare-fun ASGURSHIFT_pre_33_48_26 () Int)
(declare-fun locOp_pre_85_32_13 () Int)
(declare-fun locOp_85_32_13 () Int)
(declare-fun DOUBLETYPE_pre_32_32_26 () Int)
(declare-fun SKIPSTMT_pre_34_40_7 () Int)
(declare-fun locFinally_pre_136_25_13 () Int)
(declare-fun locFinally_136_25_13 () Int)
(declare-fun elements_pre_159_61_43 () Int)
(declare-fun elements_159_61_43 () Int)
(declare-fun ht_pre_41_33_36 () Int)
(declare-fun ht_41_33_36 () Int)
(declare-fun URSHIFT_pre_33_32_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun cd_416_41 () Int)
(declare-fun md_416_56 () Int)
(declare-fun b_417_12_417_12_38_20_40 () Int)
(declare-fun EC_417_12_417_12 () Int)
(declare-fun after_418_18_418_18 () Int)
(declare-fun RES_418_18_418_18 () Int)
(declare-fun EC_418_18_418_18 () Int)
(declare-fun RES_421_19_421_19 () Int)
(declare-fun EC_421_19_421_19 () Int)
(declare-fun state_422_9_8_824_17 () Int)
(declare-fun after_422_9_422_9_8_824_17 () Int)
(declare-fun EC_422_9_422_9 () Int)
(declare-fun RES_423_46_423_46 () Int)
(declare-fun EC_423_46_423_46 () Int)
(declare-fun RES_424_34_424_34 () Int)
(declare-fun EC_424_34_424_34 () Int)
(declare-fun moreElements_loopold_42_58_29 () Int)
(declare-fun EC_loopold () Int)
(declare-fun RES_425_5_0_425_17_425_17 () Int)
(declare-fun EC_425_5_0_425_17_425_17 () Int)
(declare-fun moreElements_425_5_0_426_41_42_89_17 () Int)
(declare-fun after_426_41_425_5_0_426_41_42_89_17 () Int)
(declare-fun RES_425_5_0_426_41_426_41 () Int)
(declare-fun EC_425_5_0_426_41_426_41 () Int)
(declare-fun smd_425_5_0_426_7 () Int)
(declare-fun d_428_23_425_5_0_428_23_245_33 () Int)
(declare-fun RES_425_5_0_428_23_428_23 () Int)
(declare-fun EC_425_5_0_428_23_428_23 () Int)
(declare-fun RES_425_5_0_428_10_428_10 () Int)
(declare-fun EC_425_5_0_428_10_428_10 () Int)
(declare-fun tmp1_cand_428_3 () Int)
(declare-fun RES () Int)
(declare-fun EC () Int)
(declare-fun RES_425_5_0_429_9_429_9 () Int)
(declare-fun EC_425_5_0_429_9_429_9 () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun RES_425_5_1_425_17_425_17 () Int)
(declare-fun EC_425_5_1_425_17_425_17 () Int)
(declare-fun EC_417_24 () Int)
(declare-fun EC_2_ () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int)) (?v_7 (not (= cd_416_41 null))) (?v_3 (not (= md_416_56 null))) (?v_2 (S_select parent_22_21_18 md_416_56))) (let ((?v_4 (is ?v_2 T_javafe_ast_ClassDecl)) (?v_11 (not ?v_3))) (let ((?v_5 (= b_417_12_417_12_38_20_40 (boolAnd ?v_4 (refNE ?v_2 null)))) (?v_6 (= true_term b_417_12_417_12_38_20_40)) (?v_53 (= EC_417_12_417_12 ecReturn)) (?v_54 (< alloc after_418_18_418_18)) (?v_39 (not (= RES_418_18_418_18 null))) (?v_55 (not (= true_term (isAllocated RES_418_18_418_18 alloc)))) (?v_56 (= true_term (is RES_418_18_418_18 T_javafe_util_Set))) (?v_57 (= true_term (isAllocated RES_418_18_418_18 after_418_18_418_18))) (?v_58 (= EC_418_18_418_18 ecReturn)) (?v_59 (= (S_select owner_4_35_28 RES_418_18_418_18) null)) (?v_60 (= (typeof RES_418_18_418_18) T_javafe_util_Set)) (?v_40 (S_select elementType_41_22_27 RES_418_18_418_18))) (let ((?v_61 (= ?v_40 T_javafe_ast_MethodDecl)) (?v_62 (= true_term (is RES_421_19_421_19 T_javafe_tc_TypeSig))) (?v_63 (= true_term (isAllocated RES_421_19_421_19 after_418_18_418_18))) (?v_8 (= EC_421_19_421_19 ecReturn)) (?v_9 (not (= RES_421_19_421_19 null)))) (let ((?v_64 (=> ?v_8 ?v_9)) (?v_32 (not ?v_9)) (?v_65 (= state_422_9_8_824_17 (S_store state_8_787_15 RES_421_19_421_19 after_422_9_422_9_8_824_17))) (?v_66 (= state_422_9_8_824_17 (asField state_422_9_8_824_17 T_int))) (?v_10 (= EC_422_9_422_9 ecReturn))) (let ((?v_67 (=> ?v_10 (>= (S_select state_422_9_8_824_17 RES_421_19_421_19) PREPPED_8_775_28))) (?v_68 (forall ((?brokenObj_39_ Int)) (let ((?v_89 (= (S_select myTypeDecl_8_63_40 ?brokenObj_39_) null))) (=> (and (= true_term (is ?brokenObj_39_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_39_ null)) (=> (< (S_select state_8_787_15 ?brokenObj_39_) PARSED_8_772_28) ?v_89) (< (S_select state_422_9_8_824_17 ?brokenObj_39_) PARSED_8_772_28)) ?v_89)))) (?v_69 (forall ((?brokenObj_40_ Int)) (let ((?v_90 (not (= (S_select methods_8_883_26 ?brokenObj_40_) null)))) (=> (and (= true_term (is ?brokenObj_40_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_40_ null)) (=> (>= (S_select state_8_787_15 ?brokenObj_40_) PREPPED_8_775_28) ?v_90) (>= (S_select state_422_9_8_824_17 ?brokenObj_40_) PREPPED_8_775_28)) ?v_90)))) (?v_70 (forall ((?brokenObj_41_ Int)) (let ((?v_91 (not (= (S_select fields_8_875_27 ?brokenObj_41_) null)))) (=> (and (= true_term (is ?brokenObj_41_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_41_ null)) (=> (>= (S_select state_8_787_15 ?brokenObj_41_) PREPPED_8_775_28) ?v_91) (>= (S_select state_422_9_8_824_17 ?brokenObj_41_) PREPPED_8_775_28)) ?v_91)))) (?v_71 (forall ((?brokenObj_42_ Int)) (let ((?v_92 (not (= (S_select myTypeDecl_8_63_40 ?brokenObj_42_) null)))) (=> (and (= true_term (is ?brokenObj_42_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_42_ null)) (=> (>= (S_select state_8_787_15 ?brokenObj_42_) PARSED_8_772_28) ?v_92) (>= (S_select state_422_9_8_824_17 ?brokenObj_42_) PARSED_8_772_28)) ?v_92)))) (?v_72 (= true_term (is RES_423_46_423_46 T_javafe_util_Set))) (?v_73 (= true_term (isAllocated RES_423_46_423_46 after_418_18_418_18))) (?v_12 (= EC_423_46_423_46 ecReturn)) (?v_13 (not (= RES_423_46_423_46 null)))) (let ((?v_74 (=> ?v_12 ?v_13)) (?v_15 (S_select elementType_41_22_27 RES_423_46_423_46))) (let ((?v_75 (=> ?v_12 (= ?v_15 T_javafe_ast_MethodDecl))) (?v_76 (= true_term (is RES_424_34_424_34 T_java_util_Enumeration))) (?v_77 (= true_term (isAllocated RES_424_34_424_34 after_418_18_418_18))) (?v_14 (= EC_424_34_424_34 ecReturn)) (?v_16 (not (= RES_424_34_424_34 null)))) (let ((?v_78 (=> ?v_14 ?v_16)) (?v_23 (not (= true_term (S_select returnsNull_42_79_29 RES_424_34_424_34))))) (let ((?v_79 (=> ?v_14 ?v_23)) (?v_22 (S_select elementType_42_74_27 RES_424_34_424_34))) (let ((?v_80 (=> ?v_14 (= ?v_22 ?v_15))) (?v_81 (= moreElements_42_58_29 moreElements_loopold_42_58_29)) (?v_82 (= EC_424_34_424_34 EC_loopold)) (?v_38 (= true_term true_term)) (?v_19 (not ?v_16)) (?v_41 (= true_term (is RES_425_5_0_425_17_425_17 T_boolean))) (?v_17 (= EC_425_5_0_425_17_425_17 ecReturn)) (?v_18 (= true_term RES_425_5_0_425_17_425_17)) (?v_20 (= true_term (S_select moreElements_42_58_29 RES_424_34_424_34)))) (let ((?v_42 (=> ?v_17 (= ?v_18 ?v_20))) (?v_43 (= moreElements_425_5_0_426_41_42_89_17 (S_store moreElements_42_58_29 RES_424_34_424_34 after_426_41_425_5_0_426_41_42_89_17))) (?v_44 (= moreElements_425_5_0_426_41_42_89_17 (asField moreElements_425_5_0_426_41_42_89_17 T_boolean))) (?v_45 (= true_term (is RES_425_5_0_426_41_426_41 T_java_lang_Object))) (?v_46 (= true_term (isAllocated RES_425_5_0_426_41_426_41 after_418_18_418_18))) (?v_21 (= EC_425_5_0_426_41_426_41 ecReturn)) (?v_24 (= RES_425_5_0_426_41_426_41 null))) (let ((?v_47 (=> ?v_21 (or (= (PO_LT (typeof RES_425_5_0_426_41_426_41) ?v_22) true_term) ?v_24))) (?v_48 (=> (and ?v_21 ?v_23) (not ?v_24))) (?v_25 (= true_term (is RES_425_5_0_426_41_426_41 T_javafe_ast_MethodDecl))) (?v_49 (= smd_425_5_0_426_7 (cast RES_425_5_0_426_41_426_41 T_javafe_ast_MethodDecl))) (?v_26 (not (= smd_425_5_0_426_7 null)))) (let ((?v_28 (not ?v_26)) (?v_27 (S_select parent_22_21_18 smd_425_5_0_426_7))) (let ((?v_33 (= true_term (is ?v_27 T_javafe_ast_InterfaceDecl))) (?v_34 (not (= ?v_27 null))) (?v_29 (= d_428_23_425_5_0_428_23_245_33 ?v_27)) (?v_30 (not (= d_428_23_425_5_0_428_23_245_33 null))) (?v_35 (= true_term (is RES_425_5_0_428_23_428_23 T_javafe_tc_TypeSig))) (?v_36 (= true_term (isAllocated RES_425_5_0_428_23_428_23 after_418_18_418_18))) (?v_31 (= EC_425_5_0_428_23_428_23 ecReturn))) (let ((?v_37 (=> ?v_31 (not (= RES_425_5_0_428_23_428_23 null))))) (let ((?v_50 (or (and ?v_33 ?v_34 ?v_26 ?v_29 ?v_30 ?v_35 ?v_36 ?v_31 ?v_37 ?v_9 (= true_term (is RES_425_5_0_428_10_428_10 T_boolean)) (= EC_425_5_0_428_10_428_10 ecReturn) (= tmp1_cand_428_3 RES_425_5_0_428_10_428_10) (= RES RES_425_5_0_428_10_428_10) (= EC EC_425_5_0_428_10_428_10)) (and (not (and ?v_33 ?v_34)) ?v_38 (= tmp1_cand_428_3 false_term) (= RES RES_425_5_0_426_41_426_41) (= EC EC_425_5_0_426_41_426_41)))) (?v_51 (= true_term tmp1_cand_428_3)) (?v_52 (= (PO_LT (typeof smd_425_5_0_426_7) ?v_40) true_term))) (let ((?v_83 (or (and ?v_51 ?v_38 ?v_39 ?v_26 ?v_52 (= true_term (is RES_425_5_0_429_9_429_9 T_boolean)) (= EC_425_5_0_429_9_429_9 ecReturn) (= RES_1_ RES_425_5_0_429_9_429_9) (= EC_1_ EC_425_5_0_429_9_429_9)) (and (not ?v_51) ?v_38 (= RES_1_ RES) (= EC_1_ EC)))) (?v_84 (= EC_425_5_1_425_17_425_17 ecReturn)) (?v_85 (= true_term RES_425_5_1_425_17_425_17))) (let ((?v_86 (or (and ?v_38 ?v_16 ?v_41 ?v_17 ?v_42 (not ?v_18)) (and ?v_38 ?v_16 ?v_41 ?v_17 ?v_42 ?v_18 ?v_16 ?v_20 ?v_43 ?v_44 ?v_45 ?v_46 ?v_21 ?v_47 ?v_48 ?v_25 ?v_49 ?v_26 ?v_50 ?v_83 ?v_38 ?v_16 (= true_term (is RES_425_5_1_425_17_425_17 T_boolean)) ?v_84 (=> ?v_84 (= ?v_85 (= true_term (S_select moreElements_425_5_0_426_41_42_89_17 RES_424_34_424_34)))) (not ?v_85)))) (?v_87 (= L_425_5 L_425_5)) (?v_88 (= EC_417_24 ecReturn))) (not (=> (distinct ecReturn L_425_5) (=> (and (= COMPOUNDNAME_pre_34_67_7 COMPOUNDNAME_34_67_7) (= true_term (is COMPOUNDNAME_34_67_7 T_int)) (= CU_pre_8_71_30 CU_8_71_30) (= CU_8_71_30 (asField CU_8_71_30 T_javafe_ast_CompilationUnit)) (< (fClosedTime CU_8_71_30) alloc) (= PARSED_pre_8_772_28 PARSED_8_772_28) (= true_term (is PARSED_8_772_28 T_int)) (= SWITCHSTMT_pre_34_26_7 SWITCHSTMT_34_26_7) (= true_term (is SWITCHSTMT_34_26_7 T_int)) (= STMTPRAGMA_pre_31_26_26 STMTPRAGMA_31_26_26) (= true_term (is STMTPRAGMA_31_26_26 T_int)) (= loc_pre_116_18_13 loc_116_18_13) (= loc_116_18_13 (asField loc_116_18_13 T_int)) (= map_pre_8_301_35 map_8_301_35) (= true_term (is map_8_301_35 T_java_util_Hashtable)) (= true_term (isAllocated map_8_301_35 alloc)) (= CASTEXPR_pre_34_53_7 CASTEXPR_34_53_7) (= true_term (is CASTEXPR_34_53_7 T_int)) (= locQuestion_pre_143_22_13 locQuestion_143_22_13) (= locQuestion_143_22_13 (asField locQuestion_143_22_13 T_int)) (= OR_pre_33_19_26 OR_33_19_26) (= true_term (is OR_33_19_26 T_int)) (= loc_pre_83_50_13 loc_83_50_13) (= loc_83_50_13 (asField loc_83_50_13 T_int)) (= ASGRSHIFT_pre_33_47_26 ASGRSHIFT_33_47_26) (= true_term (is ASGRSHIFT_33_47_26 T_int)) (= FLOATTYPE_pre_32_31_26 FLOATTYPE_32_31_26) (= true_term (is FLOATTYPE_32_31_26 T_int)) (= FORSTMT_pre_34_39_7 FORSTMT_34_39_7) (= true_term (is FORSTMT_34_39_7 T_int)) (= count_pre_24_67_33 count_24_67_33) (= count_24_67_33 (asField count_24_67_33 T_int)) (= tag_pre_86_30_13 tag_86_30_13) (= tag_86_30_13 (asField tag_86_30_13 T_int)) (= count_pre_64_67_33 count_64_67_33) (= count_64_67_33 (asField count_64_67_33 T_int)) (= locOpenParen_pre_150_28_13 locOpenParen_150_28_13) (= locOpenParen_150_28_13 (asField locOpenParen_150_28_13 T_int)) (= FIRST_KEYWORD_pre_31_51_26 FIRST_KEYWORD_31_51_26) (= true_term (is FIRST_KEYWORD_31_51_26 T_int)) (= RSHIFT_pre_33_31_26 RSHIFT_33_31_26) (= true_term (is RSHIFT_33_31_26 T_int)) (= type_pre_151_20_28 type_151_20_28) (= type_151_20_28 (asField type_151_20_28 T_javafe_ast_Type)) (< (fClosedTime type_151_20_28) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select type_151_20_28 ?s) null)))) (= SIMPLENAME_pre_34_66_7 SIMPLENAME_34_66_7) (= true_term (is SIMPLENAME_34_66_7 T_int)) (= BLOCKSTMT_pre_34_25_7 BLOCKSTMT_34_25_7) (= true_term (is BLOCKSTMT_34_25_7 T_int)) (= locCloseBrace_pre_17_54_13 locCloseBrace_17_54_13) (= locCloseBrace_17_54_13 (asField locCloseBrace_17_54_13 T_int)) (= MODIFIERPRAGMA_pre_31_25_26 MODIFIERPRAGMA_31_25_26) (= true_term (is MODIFIERPRAGMA_31_25_26 T_int)) (= elements_pre_59_72_21 elements_59_72_21) (= elements_59_72_21 (asField elements_59_72_21 (array T_java_lang_Object))) (< (fClosedTime elements_59_72_21) alloc) (= NULLLIT_pre_32_45_26 NULLLIT_32_45_26) (= true_term (is NULLLIT_32_45_26 T_int)) (= INSTANCEOFEXPR_pre_34_52_7 INSTANCEOFEXPR_34_52_7) (= true_term (is INSTANCEOFEXPR_34_52_7 T_int)) (= locSuper_pre_154_20_13 locSuper_154_20_13) (= locSuper_154_20_13 (asField locSuper_154_20_13 T_int)) (= loc_pre_124_20_13 loc_124_20_13) (= loc_124_20_13 (asField loc_124_20_13 T_int)) (= ASGLSHIFT_pre_33_46_26 ASGLSHIFT_33_46_26) (= true_term (is ASGLSHIFT_33_46_26 T_int)) (= elements_pre_56_61_38 elements_56_61_38) (= elements_56_61_38 (asField elements_56_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_56_61_38) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select elements_56_61_38 ?s_1_) null)))) (= CHARTYPE_pre_32_30_26 CHARTYPE_32_30_26) (= true_term (is CHARTYPE_32_30_26 T_int)) (= locDot_pre_141_29_13 locDot_141_29_13) (= locDot_141_29_13 (asField locDot_141_29_13 T_int)) (= IFSTMT_pre_34_38_7 IFSTMT_34_38_7) (= true_term (is IFSTMT_34_38_7 T_int)) (= count_pre_159_67_33 count_159_67_33) (= count_159_67_33 (asField count_159_67_33 T_int)) (= LSHIFT_pre_33_30_26 LSHIFT_33_30_26) (= true_term (is LSHIFT_33_30_26 T_int)) (= ARRAYTYPE_pre_34_65_7 ARRAYTYPE_34_65_7) (= true_term (is ARRAYTYPE_34_65_7 T_int)) (= FORMALPARADECL_pre_34_24_7 FORMALPARADECL_34_24_7) (= true_term (is FORMALPARADECL_34_24_7 T_int)) (= elements_pre_65_61_33 elements_65_61_33) (= elements_65_61_33 (asField elements_65_61_33 (array T_javafe_ast_Stmt))) (< (fClosedTime elements_65_61_33) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elements_65_61_33 ?s_2_) null)))) (= POSTFIXDEC_pre_33_63_26 POSTFIXDEC_33_63_26) (= true_term (is POSTFIXDEC_33_63_26 T_int)) (= keyType_pre_81_16_25 keyType_81_16_25) (= keyType_81_16_25 (asField keyType_81_16_25 T__TYPE)) (= inst_pre_174_26 inst_174_26) (= true_term (is inst_174_26 T_javafe_tc_TypeCheck)) (= true_term (isAllocated inst_174_26 alloc)) (= locOpenBrace_pre_22_36_13 locOpenBrace_22_36_13) (= locOpenBrace_22_36_13 (asField locOpenBrace_22_36_13 T_int)) (= locCloseParen_pre_145_24_13 locCloseParen_145_24_13) (= locCloseParen_145_24_13 (asField locCloseParen_145_24_13 T_int)) (= STRINGLIT_pre_32_44_26 STRINGLIT_32_44_26) (= true_term (is STRINGLIT_32_44_26 T_int)) (= CONDEXPR_pre_34_51_7 CONDEXPR_34_51_7) (= true_term (is CONDEXPR_34_51_7 T_int)) (= inst_pre_6_25_52 inst_6_25_52) (= true_term (is inst_6_25_52 T_javafe_tc_PrepTypeDeclaration)) (= true_term (isAllocated inst_6_25_52 alloc)) (not (= inst_6_25_52 null)) (= enclosingEnv_pre_8_52_36 enclosingEnv_8_52_36) (= enclosingEnv_8_52_36 (asField enclosingEnv_8_52_36 T_javafe_tc_Env)) (< (fClosedTime enclosingEnv_8_52_36) alloc) (= locCloseBrace_pre_70_24_13 locCloseBrace_70_24_13) (= locCloseBrace_70_24_13 (asField locCloseBrace_70_24_13 T_int)) (= NULL_pre_31_82_26 NULL_31_82_26) (= true_term (is NULL_31_82_26 T_int)) (= LAST_KEYWORD_pre_31_103_26 LAST_KEYWORD_31_103_26) (= true_term (is LAST_KEYWORD_31_103_26 T_int)) (= LEXICALPRAGMA_pre_31_24_26 LEXICALPRAGMA_31_24_26) (= true_term (is LEXICALPRAGMA_31_24_26 T_int)) (= ASGSUB_pre_33_45_26 ASGSUB_33_45_26) (= true_term (is ASGSUB_33_45_26 T_int)) (= LONGTYPE_pre_32_29_26 LONGTYPE_32_29_26) (= true_term (is LONGTYPE_32_29_26 T_int)) (= LABELSTMT_pre_34_37_7 LABELSTMT_34_37_7) (= true_term (is LABELSTMT_34_37_7 T_int)) (= locOpenParen_pre_141_52_13 locOpenParen_141_52_13) (= locOpenParen_141_52_13 (asField locOpenParen_141_52_13 T_int)) (= loc_pre_20_18_13 loc_20_18_13) (= loc_20_18_13 (asField loc_20_18_13 T_int)) (= body_pre_22_34_19 body_22_34_19) (= body_22_34_19 (asField body_22_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_22_34_19) alloc) (= init_pre_142_35_19 init_142_35_19) (= init_142_35_19 (asField init_142_35_19 T_javafe_ast_ArrayInit)) (< (fClosedTime init_142_35_19) alloc) (= methods_pre_8_883_26 methods_8_883_26) (= methods_8_883_26 (asField methods_8_883_26 T_javafe_tc_MethodDeclVec)) (< (fClosedTime methods_8_883_26) alloc) (= LT_pre_33_29_26 LT_33_29_26) (= true_term (is LT_33_29_26 T_int)) (= TYPENAME_pre_34_64_7 TYPENAME_34_64_7) (= true_term (is TYPENAME_34_64_7 T_int)) (= FIELDDECL_pre_34_23_7 FIELDDECL_34_23_7) (= true_term (is FIELDDECL_34_23_7 T_int)) (= loc_pre_136_22_13 loc_136_22_13) (= loc_136_22_13 (asField loc_136_22_13 T_int)) (= POSTFIXINC_pre_33_62_26 POSTFIXINC_33_62_26) (= true_term (is POSTFIXINC_33_62_26 T_int)) (= DOUBLELIT_pre_32_43_26 DOUBLELIT_32_43_26) (= true_term (is DOUBLELIT_32_43_26 T_int)) (= NEWARRAYEXPR_pre_34_50_7 NEWARRAYEXPR_34_50_7) (= true_term (is NEWARRAYEXPR_34_50_7 T_int)) (= locCloseBracket_pre_140_23_13 locCloseBracket_140_23_13) (= locCloseBracket_140_23_13 (asField locCloseBracket_140_23_13 T_int)) (= constructorSeq_pre_6_171_38 constructorSeq_6_171_38) (= constructorSeq_6_171_38 (asField constructorSeq_6_171_38 T_javafe_util_StackVector)) (< (fClosedTime constructorSeq_6_171_38) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select constructorSeq_6_171_38 ?s_3_) null)))) (= enclosingInstance_pre_138_37_14 enclosingInstance_138_37_14) (= enclosingInstance_138_37_14 (asField enclosingInstance_138_37_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_138_37_14) alloc) (= ASGADD_pre_33_44_26 ASGADD_33_44_26) (= true_term (is ASGADD_33_44_26 T_int)) (= value_pre_83_45_16 value_83_45_16) (= value_83_45_16 (asField value_83_45_16 T_java_lang_Object)) (< (fClosedTime value_83_45_16) alloc) (= INTTYPE_pre_32_28_26 INTTYPE_32_28_26) (= true_term (is INTTYPE_32_28_26 T_int)) (= CONTINUESTMT_pre_34_36_7 CONTINUESTMT_34_36_7) (= true_term (is CONTINUESTMT_34_36_7 T_int)) (= locGuardOpenParen_pre_123_23_13 locGuardOpenParen_123_23_13) (= locGuardOpenParen_123_23_13 (asField locGuardOpenParen_123_23_13 T_int)) (= locType_pre_35_21_13 locType_35_21_13) (= locType_35_21_13 (asField locType_35_21_13 T_int)) (= count_pre_56_67_33 count_56_67_33) (= count_56_67_33 (asField count_56_67_33 T_int)) (= elementCount_pre_59_79_33 elementCount_59_79_33) (= elementCount_59_79_33 (asField elementCount_59_79_33 T_int)) (= LE_pre_33_28_26 LE_33_28_26) (= true_term (is LE_33_28_26 T_int)) (= locId_pre_150_25_13 locId_150_25_13) (= locId_150_25_13 (asField locId_150_25_13 T_int)) (= elementType_pre_59_43_27 elementType_59_43_27) (= elementType_59_43_27 (asField elementType_59_43_27 T__TYPE)) (= LOCALVARDECL_pre_34_22_7 LOCALVARDECL_34_22_7) (= true_term (is LOCALVARDECL_34_22_7 T_int)) (= otherStrings_pre_31_193_30 otherStrings_31_193_30) (= true_term (is otherStrings_31_193_30 ?v_0)) (= true_term (isAllocated otherStrings_31_193_30 alloc)) (= SUPEROBJECTDESIGNATOR_pre_34_63_7 SUPEROBJECTDESIGNATOR_34_63_7) (= true_term (is SUPEROBJECTDESIGNATOR_34_63_7 T_int)) (= NULL_pre_62_60_26 NULL_62_60_26) (= true_term (is NULL_62_60_26 T_int)) (= moreElements_pre_42_58_29 moreElements_42_58_29) (= moreElements_42_58_29 (asField moreElements_42_58_29 T_boolean)) (= DEC_pre_33_59_26 DEC_33_59_26) (= true_term (is DEC_33_59_26 T_int)) (= count_pre_65_67_33 count_65_67_33) (= count_65_67_33 (asField count_65_67_33 T_int)) (= locOpenBrace_pre_17_51_13 locOpenBrace_17_51_13) (= locOpenBrace_17_51_13 (asField locOpenBrace_17_51_13 T_int)) (= noTokens_pre_31_212_27 noTokens_31_212_27) (= true_term (is noTokens_31_212_27 T_int)) (= FLOATLIT_pre_32_42_26 FLOATLIT_32_42_26) (= true_term (is FLOATLIT_32_42_26 T_int)) (= NEWINSTANCEEXPR_pre_34_49_7 NEWINSTANCEEXPR_34_49_7) (= true_term (is NEWINSTANCEEXPR_34_49_7 T_int)) (= locOpenBracket_pre_155_21_13 locOpenBracket_155_21_13) (= locOpenBracket_155_21_13 (asField locOpenBracket_155_21_13 T_int)) (= locId_pre_131_20_13 locId_131_20_13) (= locId_131_20_13 (asField locId_131_20_13 T_int)) (= elements_pre_157_61_39 elements_157_61_39) (= elements_157_61_39 (asField elements_157_61_39 (array T_javafe_ast_Identifier))) (< (fClosedTime elements_157_61_39) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select elements_157_61_39 ?s_4_) null)))) (= locCloseParen_pre_146_21_13 locCloseParen_146_21_13) (= locCloseParen_146_21_13 (asField locCloseParen_146_21_13 T_int)) (= ASGREM_pre_33_43_26 ASGREM_33_43_26) (= true_term (is ASGREM_33_43_26 T_int)) (= BOOLEANTYPE_pre_32_27_26 BOOLEANTYPE_32_27_26) (= true_term (is BOOLEANTYPE_32_27_26 T_int)) (= op_pre_85_26_13 op_85_26_13) (= op_85_26_13 (asField op_85_26_13 T_int)) (= BREAKSTMT_pre_34_35_7 BREAKSTMT_34_35_7) (= true_term (is BREAKSTMT_34_35_7 T_int)) (= loc_pre_156_20_13 loc_156_20_13) (= loc_156_20_13 (asField loc_156_20_13 T_int)) (= locCloseBrace_pre_108_25_13 locCloseBrace_108_25_13) (= locCloseBrace_108_25_13 (asField locCloseBrace_108_25_13 T_int)) (= id_pre_17_32_34 id_17_32_34) (= id_17_32_34 (asField id_17_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_17_32_34) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select id_17_32_34 ?s_5_) null)))) (= syntax_pre_9_28_29 syntax_9_28_29) (= syntax_9_28_29 (asField syntax_9_28_29 T_boolean)) (= locOpenParen_pre_125_23_13 locOpenParen_125_23_13) (= locOpenParen_125_23_13 (asField locOpenParen_125_23_13 T_int)) (= locOp_pre_84_43_13 locOp_84_43_13) (= locOp_84_43_13 (asField locOp_84_43_13 T_int)) (= GT_pre_33_27_26 GT_33_27_26) (= true_term (is GT_33_27_26 T_int)) (= INITBLOCK_pre_34_21_7 INITBLOCK_34_21_7) (= true_term (is INITBLOCK_34_21_7 T_int)) (= myTypeDecl_pre_8_63_40 myTypeDecl_8_63_40) (= myTypeDecl_8_63_40 (asField myTypeDecl_8_63_40 T_javafe_ast_TypeDecl)) (< (fClosedTime myTypeDecl_8_63_40) alloc) (= TYPEOBJECTDESIGNATOR_pre_34_62_7 TYPEOBJECTDESIGNATOR_34_62_7) (= true_term (is TYPEOBJECTDESIGNATOR_34_62_7 T_int)) (= fieldSeq_pre_6_162_38 fieldSeq_6_162_38) (= fieldSeq_6_162_38 (asField fieldSeq_6_162_38 T_javafe_util_StackVector)) (< (fClosedTime fieldSeq_6_162_38) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select fieldSeq_6_162_38 ?s_6_) null)))) (= INC_pre_33_58_26 INC_33_58_26) (= true_term (is INC_33_58_26 T_int)) (= elements_pre_69_61_33 elements_69_61_33) (= elements_69_61_33 (asField elements_69_61_33 (array T_javafe_ast_Expr))) (< (fClosedTime elements_69_61_33) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select elements_69_61_33 ?s_7_) null)))) (= args_pre_22_30_41 args_22_30_41) (= args_22_30_41 (asField args_22_30_41 T_javafe_ast_FormalParaDeclVec)) (< (fClosedTime args_22_30_41) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select args_22_30_41 ?s_8_) null)))) (= CHARLIT_pre_32_41_26 CHARLIT_32_41_26) (= true_term (is CHARLIT_32_41_26 T_int)) (= ARRAYREFEXPR_pre_34_48_7 ARRAYREFEXPR_34_48_7) (= true_term (is ARRAYREFEXPR_34_48_7 T_int)) (= punctuationCodes_pre_31_164_19 punctuationCodes_31_164_19) (= true_term (is punctuationCodes_31_164_19 ?v_1)) (= true_term (isAllocated punctuationCodes_31_164_19 alloc)) (= enclosingInstance_pre_141_25_14 enclosingInstance_141_25_14) (= enclosingInstance_141_25_14 (asField enclosingInstance_141_25_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_141_25_14) alloc) (= loc_pre_139_22_13 loc_139_22_13) (= loc_139_22_13 (asField loc_139_22_13 T_int)) (= ASGDIV_pre_33_42_26 ASGDIV_33_42_26) (= true_term (is ASGDIV_33_42_26 T_int)) (= locOpenParen_pre_145_21_13 locOpenParen_145_21_13) (= locOpenParen_145_21_13 (asField locOpenParen_145_21_13 T_int)) (= IDENT_pre_32_25_26 IDENT_32_25_26) (= true_term (is IDENT_32_25_26 T_int)) (= THROWSTMT_pre_34_34_7 THROWSTMT_34_34_7) (= true_term (is THROWSTMT_34_34_7 T_int)) (= locOpenBrace_pre_70_21_13 locOpenBrace_70_21_13) (= locOpenBrace_70_21_13 (asField locOpenBrace_70_21_13 T_int)) (= loc_pre_141_49_13 loc_141_49_13) (= loc_141_49_13 (asField loc_141_49_13 T_int)) (= loc_pre_127_18_13 loc_127_18_13) (= loc_127_18_13 (asField loc_127_18_13 T_int)) (= GE_pre_33_26_26 GE_33_26_26) (= true_term (is GE_33_26_26 T_int)) (= locFirstSemi_pre_133_36_13 locFirstSemi_133_36_13) (= locFirstSemi_133_36_13 (asField locFirstSemi_133_36_13 T_int)) (= TYPESIG_pre_30_6_28 TYPESIG_30_6_28) (= true_term (is TYPESIG_30_6_28 T_int)) (= METHODDECL_pre_34_20_7 METHODDECL_34_20_7) (= true_term (is METHODDECL_34_20_7 T_int)) (= EXPROBJECTDESIGNATOR_pre_34_61_7 EXPROBJECTDESIGNATOR_34_61_7) (= true_term (is EXPROBJECTDESIGNATOR_34_61_7 T_int)) (= loc_pre_144_21_13 loc_144_21_13) (= loc_144_21_13 (asField loc_144_21_13 T_int)) (= BITNOT_pre_33_57_26 BITNOT_33_57_26) (= true_term (is BITNOT_33_57_26 T_int)) (= LONGLIT_pre_32_40_26 LONGLIT_32_40_26) (= true_term (is LONGLIT_32_40_26 T_int)) (= THISEXPR_pre_34_47_7 THISEXPR_34_47_7) (= true_term (is THISEXPR_34_47_7 T_int)) (= member_pre_8_44_39 member_8_44_39) (= member_8_44_39 (asField member_8_44_39 T_boolean)) (= ASGMUL_pre_33_41_26 ASGMUL_33_41_26) (= true_term (is ASGMUL_33_41_26 T_int)) (= RETURNSTMT_pre_34_33_7 RETURNSTMT_34_33_7) (= true_term (is RETURNSTMT_34_33_7 T_int)) (= count_pre_157_67_33 count_157_67_33) (= count_157_67_33 (asField count_157_67_33 T_int)) (= keywordStrings_pre_31_181_30 keywordStrings_31_181_30) (= true_term (is keywordStrings_31_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_31_181_30 alloc)) (= locId_pre_22_43_13 locId_22_43_13) (= locId_22_43_13 (asField locId_22_43_13 T_int)) (= locOpenBracket_pre_140_20_13 locOpenBracket_140_20_13) (= locOpenBracket_140_20_13 (asField locOpenBracket_140_20_13 T_int)) (= loc_pre_135_29_13 loc_135_29_13) (= loc_135_29_13 (asField loc_135_29_13 T_int)) (= EQ_pre_33_25_26 EQ_33_25_26) (= true_term (is EQ_33_25_26 T_int)) (= locOpenParen_pre_138_48_13 locOpenParen_138_48_13) (= locOpenParen_138_48_13 (asField locOpenParen_138_48_13 T_int)) (= CONSTRUCTORDECL_pre_34_19_7 CONSTRUCTORDECL_34_19_7) (= true_term (is CONSTRUCTORDECL_34_19_7 T_int)) (= CLASSLITERAL_pre_34_60_7 CLASSLITERAL_34_60_7) (= true_term (is CLASSLITERAL_34_60_7 T_int)) (= loc_pre_128_18_13 loc_128_18_13) (= loc_128_18_13 (asField loc_128_18_13 T_int)) (= locId_pre_148_24_13 locId_148_24_13) (= locId_148_24_13 (asField locId_148_24_13 T_int)) (= fields_pre_8_875_27 fields_8_875_27) (= fields_8_875_27 (asField fields_8_875_27 T_javafe_tc_FieldDeclVec)) (< (fClosedTime fields_8_875_27) alloc) (= elements_pre_57_61_39 elements_57_61_39) (= elements_57_61_39 (asField elements_57_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_57_61_39) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select elements_57_61_39 ?s_9_) null)))) (= NOT_pre_33_56_26 NOT_33_56_26) (= true_term (is NOT_33_56_26 T_int)) (= INTLIT_pre_32_39_26 INTLIT_32_39_26) (= true_term (is INTLIT_32_39_26 T_int)) (= ARRAYINIT_pre_34_46_7 ARRAYINIT_34_46_7) (= true_term (is ARRAYINIT_34_46_7 T_int)) (= locId_pre_17_48_13 locId_17_48_13) (= locId_17_48_13 (asField locId_17_48_13 T_int)) (= count_pre_69_67_33 count_69_67_33) (= count_69_67_33 (asField count_69_67_33 T_int)) (= state_pre_8_787_15 state_8_787_15) (= state_8_787_15 (asField state_8_787_15 T_int)) (= id_pre_150_20_34 id_150_20_34) (= id_150_20_34 (asField id_150_20_34 T_javafe_ast_Identifier)) (< (fClosedTime id_150_20_34) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select id_150_20_34 ?s_10_) null)))) (= ASSIGN_pre_33_40_26 ASSIGN_33_40_26) (= true_term (is ASSIGN_33_40_26 T_int)) (= loc_pre_147_22_13 loc_147_22_13) (= loc_147_22_13 (asField loc_147_22_13 T_int)) (= loc_pre_103_29_13 loc_103_29_13) (= loc_103_29_13 (asField loc_103_29_13 T_int)) (= ids_pre_158_19_37 ids_158_19_37) (= ids_158_19_37 (asField ids_158_19_37 T_javafe_ast_IdentifierVec)) (< (fClosedTime ids_158_19_37) alloc) (forall ((?s_11_ Int)) (=> (not (= ?s_11_ null)) (not (= (S_select ids_158_19_37 ?s_11_) null)))) (= EVALSTMT_pre_34_32_7 EVALSTMT_34_32_7) (= true_term (is EVALSTMT_34_32_7 T_int)) (= type_pre_142_24_28 type_142_24_28) (= type_142_24_28 (asField type_142_24_28 T_javafe_ast_Type)) (< (fClosedTime type_142_24_28) alloc) (forall ((?s_12_ Int)) (=> (not (= ?s_12_ null)) (not (= (S_select type_142_24_28 ?s_12_) null)))) (= loc_pre_120_18_13 loc_120_18_13) (= loc_120_18_13 (asField loc_120_18_13 T_int)) (= loc_pre_142_49_13 loc_142_49_13) (= loc_142_49_13 (asField loc_142_49_13 T_int)) (= locOpenBrace_pre_108_22_13 locOpenBrace_108_22_13) (= locOpenBrace_108_22_13 (asField locOpenBrace_108_22_13 T_int)) (= NE_pre_33_24_26 NE_33_24_26) (= true_term (is NE_33_24_26 T_int)) (= INTERFACEDECL_pre_34_18_7 INTERFACEDECL_34_18_7) (= true_term (is INTERFACEDECL_34_18_7 T_int)) (= METHODINVOCATION_pre_34_59_7 METHODINVOCATION_34_59_7) (= true_term (is METHODINVOCATION_34_59_7 T_int)) (= UNARYSUB_pre_33_55_26 UNARYSUB_33_55_26) (= true_term (is UNARYSUB_33_55_26 T_int)) (= returnType_pre_35_18_28 returnType_35_18_28) (= returnType_35_18_28 (asField returnType_35_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_35_18_28) alloc) (forall ((?s_13_ Int)) (=> (not (= ?s_13_ null)) (not (= (S_select returnType_35_18_28 ?s_13_) null)))) (= BOOLEANLIT_pre_32_38_26 BOOLEANLIT_32_38_26) (= true_term (is BOOLEANLIT_32_38_26 T_int)) (= CATCHCLAUSE_pre_34_45_7 CATCHCLAUSE_34_45_7) (= true_term (is CATCHCLAUSE_34_45_7 T_int)) (= returnsNull_pre_42_79_29 returnsNull_42_79_29) (= returnsNull_42_79_29 (asField returnsNull_42_79_29 T_boolean)) (= STAR_pre_33_37_26 STAR_33_37_26) (= true_term (is STAR_33_37_26 T_int)) (= SYNCHRONIZESTMT_pre_34_31_7 SYNCHRONIZESTMT_34_31_7) (= true_term (is SYNCHRONIZESTMT_34_31_7 T_int)) (= type_pre_145_18_28 type_145_18_28) (= type_145_18_28 (asField type_145_18_28 T_javafe_ast_Type)) (< (fClosedTime type_145_18_28) alloc) (forall ((?s_14_ Int)) (=> (not (= ?s_14_ null)) (not (= (S_select type_145_18_28 ?s_14_) null)))) (= superClass_pre_40_15_18 superClass_40_15_18) (= superClass_40_15_18 (asField superClass_40_15_18 T_javafe_ast_TypeName)) (< (fClosedTime superClass_40_15_18) alloc) (= parent_pre_61_18_18 parent_61_18_18) (= parent_61_18_18 (asField parent_61_18_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_61_18_18) alloc) (= BITAND_pre_33_23_26 BITAND_33_23_26) (= true_term (is BITAND_33_23_26 T_int)) (= loc_pre_137_23_13 loc_137_23_13) (= loc_137_23_13 (asField loc_137_23_13 T_int)) (= decl_pre_150_34_20 decl_150_34_20) (= decl_150_34_20 (asField decl_150_34_20 T_javafe_ast_MethodDecl)) (< (fClosedTime decl_150_34_20) alloc) (= elemType_pre_155_18_28 elemType_155_18_28) (= elemType_155_18_28 (asField elemType_155_18_28 T_javafe_ast_Type)) (< (fClosedTime elemType_155_18_28) alloc) (forall ((?s_15_ Int)) (=> (not (= ?s_15_ null)) (not (= (S_select elemType_155_18_28 ?s_15_) null)))) (= CLASSDECL_pre_34_17_7 CLASSDECL_34_17_7) (= true_term (is CLASSDECL_34_17_7 T_int)) (= AMBIGUOUSMETHODINVOCATION_pre_34_58_7 AMBIGUOUSMETHODINVOCATION_34_58_7) (= true_term (is AMBIGUOUSMETHODINVOCATION_34_58_7 T_int)) (= currentStackBottom_pre_59_87_33 currentStackBottom_59_87_33) (= currentStackBottom_59_87_33 (asField currentStackBottom_59_87_33 T_int)) (= locOpenParen_pre_146_18_13 locOpenParen_146_18_13) (= locOpenParen_146_18_13 (asField locOpenParen_146_18_13 T_int)) (= type_pre_144_18_28 type_144_18_28) (= type_144_18_28 (asField type_144_18_28 T_javafe_ast_Type)) (< (fClosedTime type_144_18_28) alloc) (forall ((?s_16_ Int)) (=> (not (= ?s_16_ null)) (not (= (S_select type_144_18_28 ?s_16_) null)))) (= loc_pre_123_20_13 loc_123_20_13) (= loc_123_20_13 (asField loc_123_20_13 T_int)) (= UNARYADD_pre_33_54_26 UNARYADD_33_54_26) (= true_term (is UNARYADD_33_54_26 T_int)) (= loc_pre_125_20_13 loc_125_20_13) (= loc_125_20_13 (asField loc_125_20_13 T_int)) (= count_pre_57_67_33 count_57_67_33) (= count_57_67_33 (asField count_57_67_33 T_int)) (= SHORTTYPE_pre_32_36_26 SHORTTYPE_32_36_26) (= true_term (is SHORTTYPE_32_36_26 T_int)) (= CONSTRUCTORINVOCATION_pre_34_44_7 CONSTRUCTORINVOCATION_34_44_7) (= true_term (is CONSTRUCTORINVOCATION_34_44_7 T_int)) (= loc_pre_133_33_13 loc_133_33_13) (= loc_133_33_13 (asField loc_133_33_13 T_int)) (= simpleName_pre_8_37_38 simpleName_8_37_38) (= simpleName_8_37_38 (asField simpleName_8_37_38 T_java_lang_String)) (< (fClosedTime simpleName_8_37_38) alloc) (= MOD_pre_33_36_26 MOD_33_36_26) (= true_term (is MOD_33_36_26 T_int)) (= locId_pre_28_38_13 locId_28_38_13) (= locId_28_38_13 (asField locId_28_38_13 T_int)) (= locOpenBrackets_pre_142_65_29 locOpenBrackets_142_65_29) (= locOpenBrackets_142_65_29 (asField locOpenBrackets_142_65_29 ?v_1)) (< (fClosedTime locOpenBrackets_142_65_29) alloc) (forall ((?s_17_ Int)) (=> (not (= ?s_17_ null)) (not (= (S_select locOpenBrackets_142_65_29 ?s_17_) null)))) (= DOSTMT_pre_34_30_7 DOSTMT_34_30_7) (= true_term (is DOSTMT_34_30_7 T_int)) (= loc_pre_22_40_13 loc_22_40_13) (= loc_22_40_13 (asField loc_22_40_13 T_int)) (= BITXOR_pre_33_22_26 BITXOR_33_22_26) (= true_term (is BITXOR_33_22_26 T_int)) (= length_pre_101_50_25 length_101_50_25) (= length_101_50_25 (asField length_101_50_25 T_int)) (= ONDEMANDIMPORTDECL_pre_34_16_7 ONDEMANDIMPORTDECL_34_16_7) (= true_term (is ONDEMANDIMPORTDECL_34_16_7 T_int)) (= FIELDACCESS_pre_34_57_7 FIELDACCESS_34_57_7) (= true_term (is FIELDACCESS_34_57_7 T_int)) (= locKeyword_pre_138_45_13 locKeyword_138_45_13) (= locKeyword_138_45_13 (asField locKeyword_138_45_13 T_int)) (= locDot_pre_151_23_13 locDot_151_23_13) (= locDot_151_23_13 (asField locDot_151_23_13 T_int)) (= ASGBITXOR_pre_33_51_26 ASGBITXOR_33_51_26) (= true_term (is ASGBITXOR_33_51_26 T_int)) (= locIds_pre_158_25_29 locIds_158_25_29) (= locIds_158_25_29 (asField locIds_158_25_29 ?v_1)) (< (fClosedTime locIds_158_25_29) alloc) (forall ((?s_18_ Int)) (=> (not (= ?s_18_ null)) (not (= (S_select locIds_158_25_29 ?s_18_) null)))) (= BYTETYPE_pre_32_35_26 BYTETYPE_32_35_26) (= true_term (is BYTETYPE_32_35_26 T_int)) (= TRYCATCHSTMT_pre_34_43_7 TRYCATCHSTMT_34_43_7) (= true_term (is TRYCATCHSTMT_34_43_7 T_int)) (= CHECKED_pre_8_776_28 CHECKED_8_776_28) (= true_term (is CHECKED_8_776_28 T_int)) (= locOpenParen_pre_149_30_13 locOpenParen_149_30_13) (= locOpenParen_149_30_13 (asField locOpenParen_149_30_13 T_int)) (= loc_pre_17_45_13 loc_17_45_13) (= loc_17_45_13 (asField loc_17_45_13 T_int)) (= DIV_pre_33_35_26 DIV_33_35_26) (= true_term (is DIV_33_35_26 T_int)) (= parent_pre_22_21_18 parent_22_21_18) (= parent_22_21_18 (asField parent_22_21_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_22_21_18) alloc) (= WHILESTMT_pre_34_29_7 WHILESTMT_34_29_7) (= true_term (is WHILESTMT_34_29_7 T_int)) (= elementType_pre_81_26_25 elementType_81_26_25) (= elementType_81_26_25 (asField elementType_81_26_25 T__TYPE)) (= locColon_pre_143_25_13 locColon_143_25_13) (= locColon_143_25_13 (asField locColon_143_25_13 T_int)) (= superCall_pre_138_24_17 superCall_138_24_17) (= superCall_138_24_17 (asField superCall_138_24_17 T_boolean)) (= hasParent_pre_18_149_30 hasParent_18_149_30) (= hasParent_18_149_30 (asField hasParent_18_149_30 T_boolean)) (= tokenType_pre_37_90_8 tokenType_37_90_8) (= tokenType_37_90_8 (asField tokenType_37_90_8 T_int)) (= otherCodes_pre_31_202_27 otherCodes_31_202_27) (= true_term (is otherCodes_31_202_27 ?v_1)) (= true_term (isAllocated otherCodes_31_202_27 alloc)) (= dims_pre_142_45_31 dims_142_45_31) (= dims_142_45_31 (asField dims_142_45_31 T_javafe_ast_ExprVec)) (< (fClosedTime dims_142_45_31) alloc) (forall ((?s_19_ Int)) (=> (not (= ?s_19_ null)) (not (= (S_select dims_142_45_31 ?s_19_) null)))) (= BITOR_pre_33_21_26 BITOR_33_21_26) (= true_term (is BITOR_33_21_26 T_int)) (= SINGLETYPEIMPORTDECL_pre_34_15_7 SINGLETYPEIMPORTDECL_34_15_7) (= true_term (is SINGLETYPEIMPORTDECL_34_15_7 T_int)) (= VARIABLEACCESS_pre_34_56_7 VARIABLEACCESS_34_56_7) (= true_term (is VARIABLEACCESS_34_56_7 T_int)) (= PREPPED_pre_8_775_28 PREPPED_8_775_28) (= true_term (is PREPPED_8_775_28 T_int)) (= locDot_pre_72_21_13 locDot_72_21_13) (= locDot_72_21_13 (asField locDot_72_21_13 T_int)) (= TYPEMODIFIERPRAGMA_pre_31_28_26 TYPEMODIFIERPRAGMA_31_28_26) (= true_term (is TYPEMODIFIERPRAGMA_31_28_26 T_int)) (= methodSeq_pre_6_167_38 methodSeq_6_167_38) (= methodSeq_6_167_38 (asField methodSeq_6_167_38 T_javafe_util_StackVector)) (< (fClosedTime methodSeq_6_167_38) alloc) (forall ((?s_20_ Int)) (=> (not (= ?s_20_ null)) (not (= (S_select methodSeq_6_167_38 ?s_20_) null)))) (= ASGBITOR_pre_33_50_26 ASGBITOR_33_50_26) (= true_term (is ASGBITOR_33_50_26 T_int)) (= loc_pre_86_35_13 loc_86_35_13) (= loc_86_35_13 (asField loc_86_35_13 T_int)) (= enclosingType_pre_8_32_39 enclosingType_8_32_39) (= enclosingType_8_32_39 (asField enclosingType_8_32_39 T_javafe_tc_TypeSig)) (< (fClosedTime enclosingType_8_32_39) alloc) (= elementType_pre_42_74_27 elementType_42_74_27) (= elementType_42_74_27 (asField elementType_42_74_27 T__TYPE)) (= NULLTYPE_pre_32_34_26 NULLTYPE_32_34_26) (= true_term (is NULLTYPE_32_34_26 T_int)) (= TRYFINALLYSTMT_pre_34_42_7 TRYFINALLYSTMT_34_42_7) (= true_term (is TRYFINALLYSTMT_34_42_7 T_int)) (= SUB_pre_33_34_26 SUB_33_34_26) (= true_term (is SUB_33_34_26 T_int)) (= CLASSDECLSTMT_pre_34_28_7 CLASSDECLSTMT_34_28_7) (= true_term (is CLASSDECLSTMT_34_28_7 T_int)) (= owner_pre_4_35_28 owner_4_35_28) (= owner_4_35_28 (asField owner_4_35_28 T_java_lang_Object)) (< (fClosedTime owner_4_35_28) alloc) (= op_pre_84_35_13 op_84_35_13) (= op_84_35_13 (asField op_84_35_13 T_int)) (= punctuationStrings_pre_31_134_22 punctuationStrings_31_134_22) (= true_term (is punctuationStrings_31_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_31_134_22 alloc)) (= elementType_pre_41_22_27 elementType_41_22_27) (= elementType_41_22_27 (asField elementType_41_22_27 T__TYPE)) (= parent_pre_17_59_18 parent_17_59_18) (= parent_17_59_18 (asField parent_17_59_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_17_59_18) alloc) (= COMPILATIONUNIT_pre_34_14_7 COMPILATIONUNIT_34_14_7) (= true_term (is COMPILATIONUNIT_34_14_7 T_int)) (= AMBIGUOUSVARIABLEACCESS_pre_34_55_7 AMBIGUOUSVARIABLEACCESS_34_55_7) (= true_term (is AMBIGUOUSVARIABLEACCESS_34_55_7 T_int)) (= loc_pre_132_22_13 loc_132_22_13) (= loc_132_22_13 (asField loc_132_22_13 T_int)) (= ASGBITAND_pre_33_49_26 ASGBITAND_33_49_26) (= true_term (is ASGBITAND_33_49_26 T_int)) (= loc_pre_134_16_13 loc_134_16_13) (= loc_134_16_13 (asField loc_134_16_13 T_int)) (= id_pre_35_15_34 id_35_15_34) (= id_35_15_34 (asField id_35_15_34 T_javafe_ast_Identifier)) (< (fClosedTime id_35_15_34) alloc) (forall ((?s_21_ Int)) (=> (not (= ?s_21_ null)) (not (= (S_select id_35_15_34 ?s_21_) null)))) (= elements_pre_24_61_43 elements_24_61_43) (= elements_24_61_43 (asField elements_24_61_43 (array T_javafe_ast_FormalParaDecl))) (< (fClosedTime elements_24_61_43) alloc) (forall ((?s_22_ Int)) (=> (not (= ?s_22_ null)) (not (= (S_select elements_24_61_43 ?s_22_) null)))) (= locDots_pre_158_31_29 locDots_158_31_29) (= locDots_158_31_29 (asField locDots_158_31_29 ?v_1)) (< (fClosedTime locDots_158_31_29) alloc) (forall ((?s_23_ Int)) (=> (not (= ?s_23_ null)) (not (= (S_select locDots_158_31_29 ?s_23_) null)))) (= parent_pre_118_22_18 parent_118_22_18) (= parent_118_22_18 (asField parent_118_22_18 T_javafe_ast_TypeDecl)) (< (fClosedTime parent_118_22_18) alloc) (= VOIDTYPE_pre_32_33_26 VOIDTYPE_32_33_26) (= true_term (is VOIDTYPE_32_33_26 T_int)) (= SWITCHLABEL_pre_34_41_7 SWITCHLABEL_34_41_7) (= true_term (is SWITCHLABEL_34_41_7 T_int)) (= TYPEDECLELEMPRAGMA_pre_31_27_26 TYPEDECLELEMPRAGMA_31_27_26) (= true_term (is TYPEDECLELEMPRAGMA_31_27_26 T_int)) (= elements_pre_64_61_36 elements_64_61_36) (= elements_64_61_36 (asField elements_64_61_36 (array T_javafe_tc_TypeSig))) (< (fClosedTime elements_64_61_36) alloc) (forall ((?s_24_ Int)) (=> (not (= ?s_24_ null)) (not (= (S_select elements_64_61_36 ?s_24_) null)))) (= ADD_pre_33_33_26 ADD_33_33_26) (= true_term (is ADD_33_33_26 T_int)) (= type_pre_28_35_28 type_28_35_28) (= type_28_35_28 (asField type_28_35_28 T_javafe_ast_Type)) (< (fClosedTime type_28_35_28) alloc) (forall ((?s_25_ Int)) (=> (not (= ?s_25_ null)) (not (= (S_select type_28_35_28 ?s_25_) null)))) (= VARDECLSTMT_pre_34_27_7 VARDECLSTMT_34_27_7) (= true_term (is VARDECLSTMT_34_27_7 T_int)) (= tag_pre_83_32_13 tag_83_32_13) (= tag_83_32_13 (asField tag_83_32_13 T_int)) (= PARENEXPR_pre_34_54_7 PARENEXPR_34_54_7) (= true_term (is PARENEXPR_34_54_7 T_int)) (= loc_pre_78_30_13 loc_78_30_13) (= loc_78_30_13 (asField loc_78_30_13 T_int)) (= AND_pre_33_20_26 AND_33_20_26) (= true_term (is AND_33_20_26 T_int)) (= locDot_pre_138_41_13 locDot_138_41_13) (= locDot_138_41_13 (asField locDot_138_41_13 T_int)) (= ASGURSHIFT_pre_33_48_26 ASGURSHIFT_33_48_26) (= true_term (is ASGURSHIFT_33_48_26 T_int)) (= locOp_pre_85_32_13 locOp_85_32_13) (= locOp_85_32_13 (asField locOp_85_32_13 T_int)) (= DOUBLETYPE_pre_32_32_26 DOUBLETYPE_32_32_26) (= true_term (is DOUBLETYPE_32_32_26 T_int)) (= SKIPSTMT_pre_34_40_7 SKIPSTMT_34_40_7) (= true_term (is SKIPSTMT_34_40_7 T_int)) (= locFinally_pre_136_25_13 locFinally_136_25_13) (= locFinally_136_25_13 (asField locFinally_136_25_13 T_int)) (= elements_pre_159_61_43 elements_159_61_43) (= elements_159_61_43 (asField elements_159_61_43 (array T_javafe_ast_ModifierPragma))) (< (fClosedTime elements_159_61_43) alloc) (forall ((?s_26_ Int)) (=> (not (= ?s_26_ null)) (not (= (S_select elements_159_61_43 ?s_26_) null)))) (= ht_pre_41_33_36 ht_41_33_36) (= ht_41_33_36 (asField ht_41_33_36 T_java_util_Hashtable)) (< (fClosedTime ht_41_33_36) alloc) (forall ((?s_27_ Int)) (=> (not (= ?s_27_ null)) (not (= (S_select ht_41_33_36 ?s_27_) null)))) (= URSHIFT_pre_33_32_26 URSHIFT_33_32_26) (= true_term (is URSHIFT_33_32_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_tc_TypeCheck)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is cd_416_41 T_javafe_ast_ClassDecl)) (= true_term (isAllocated cd_416_41 alloc)) (= true_term (is md_416_56 T_javafe_ast_MethodDecl)) (= true_term (isAllocated md_416_56 alloc)) ?v_7 ?v_3 (= true_term ?v_4) (not (= ?v_2 null)) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_tc_TypeSig)) (not (= ?brokenObj null)) (< (S_select state_8_787_15 ?brokenObj) PARSED_8_772_28)) (= (S_select myTypeDecl_8_63_40 ?brokenObj) null))) (forall ((?brokenObj_1_ Int)) (let ((?v_93 (S_select currentStackBottom_59_87_33 ?brokenObj_1_))) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_util_StackVector)) (not (= ?brokenObj_1_ null))) (or (= ?v_93 0) (= (S_select (S_select elems (S_select elements_59_72_21 ?brokenObj_1_)) (- ?v_93 1)) null))))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_util_Set)) (not (= ?brokenObj_2_ null))) (= (S_select owner_4_35_28 (S_select ht_41_33_36 ?brokenObj_2_)) ?brokenObj_2_))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_3_ null))) (forall ((?i_56_62_31 Int)) (=> (and (<= 0 ?i_56_62_31) (< ?i_56_62_31 (S_select count_56_67_33 ?brokenObj_3_))) (not (= (S_select (S_select elems (S_select elements_56_61_38 ?brokenObj_3_)) ?i_56_62_31) null)))))) (forall ((?brokenObj_4_ Int)) (let ((?v_94 (S_select currentStackBottom_59_87_33 ?brokenObj_4_))) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_util_StackVector)) (not (= ?brokenObj_4_ null))) (and (<= 0 ?v_94) (<= ?v_94 (S_select elementCount_59_79_33 ?brokenObj_4_)))))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_tc_PrepTypeDeclaration)) (not (= ?brokenObj_5_ null))) (= (S_select owner_4_35_28 (S_select methodSeq_6_167_38 ?brokenObj_5_)) ?brokenObj_5_))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_tc_PrepTypeDeclaration)) (not (= ?brokenObj_6_ null))) (= (S_select elementType_59_43_27 (S_select fieldSeq_6_162_38 ?brokenObj_6_)) T_javafe_ast_FieldDecl))) (= (S_select keyType_81_16_25 map_8_301_35) T_java_lang_String) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_7_ null)) (>= (S_select state_8_787_15 ?brokenObj_7_) PREPPED_8_775_28)) (not (= (S_select methods_8_883_26 ?brokenObj_7_) null)))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_8_ null))) (forall ((?i_57_62_31 Int)) (=> (and (<= 0 ?i_57_62_31) (< ?i_57_62_31 (S_select count_57_67_33 ?brokenObj_8_))) (not (= (S_select (S_select elems (S_select elements_57_61_39 ?brokenObj_8_)) ?i_57_62_31) null)))))) (= (S_select elementType_81_26_25 map_8_301_35) T_javafe_tc_TypeSig) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_util_StackVector)) (not (= ?brokenObj_9_ null))) (> (arrayLength (S_select elements_59_72_21 ?brokenObj_9_)) 0))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_10_ null))) (= (typeof (S_select elements_56_61_38 ?brokenObj_10_)) (array T_javafe_ast_FieldDecl)))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_11_ null)) (= (S_select enclosingType_8_32_39 ?brokenObj_11_) null)) (= true_term (S_select member_8_44_39 ?brokenObj_11_)))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_12_ null)) (= true_term (S_select hasParent_18_149_30 ?brokenObj_12_))) (not (= (S_select parent_17_59_18 ?brokenObj_12_) null)))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_13_ null))) (= (= (S_select myTypeDecl_8_63_40 ?brokenObj_13_) null) (= (S_select CU_8_71_30 ?brokenObj_13_) null)))) (forall ((?brokenObj_14_ Int)) (let ((?v_95 (S_select elementCount_59_79_33 ?brokenObj_14_))) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_util_StackVector)) (not (= ?brokenObj_14_ null))) (and (<= 0 ?v_95) (<= ?v_95 (arrayLength (S_select elements_59_72_21 ?brokenObj_14_))))))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_15_ null))) (= (typeof (S_select elements_57_61_39 ?brokenObj_15_)) (array T_javafe_ast_MethodDecl)))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_util_StackVector)) (not (= ?brokenObj_16_ null))) (= (typeof (S_select elements_59_72_21 ?brokenObj_16_)) (array T_java_lang_Object)))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_17_ null))) (<= 0 (S_select count_56_67_33 ?brokenObj_17_)))) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_tc_PrepTypeDeclaration)) (not (= ?brokenObj_18_ null))) (= (S_select owner_4_35_28 (S_select fieldSeq_6_162_38 ?brokenObj_18_)) ?brokenObj_18_))) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_util_Set)) (not (= ?brokenObj_19_ null))) (= (S_select keyType_81_16_25 (S_select ht_41_33_36 ?brokenObj_19_)) (S_select elementType_41_22_27 ?brokenObj_19_)))) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_20_ null)) (= (S_select simpleName_8_37_38 ?brokenObj_20_) null)) (not (= true_term (S_select member_8_44_39 ?brokenObj_20_))))) (forall ((?brokenObj_21_ Int)) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_21_ null))) (<= 0 (S_select count_57_67_33 ?brokenObj_21_)))) (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_tc_PrepTypeDeclaration)) (not (= ?brokenObj_22_ null))) (= (S_select elementType_59_43_27 (S_select constructorSeq_6_171_38 ?brokenObj_22_)) T_javafe_ast_ConstructorDecl))) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_util_StackVector)) (not (= ?brokenObj_23_ null))) (forall ((?i_59_76_31 Int)) (let ((?v_96 (S_select (S_select elems (S_select elements_59_72_21 ?brokenObj_23_)) ?i_59_76_31))) (=> (and (<= 0 ?i_59_76_31) (< ?i_59_76_31 (S_select elementCount_59_79_33 ?brokenObj_23_))) (or (= ?v_96 null) (= (PO_LT (typeof ?v_96) (S_select elementType_59_43_27 ?brokenObj_23_)) true_term))))))) (forall ((?brokenObj_24_ Int)) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_24_ null)) (>= (S_select state_8_787_15 ?brokenObj_24_) PREPPED_8_775_28)) (not (= (S_select fields_8_875_27 ?brokenObj_24_) null)))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_25_ null))) (= (S_select owner_4_35_28 (S_select elements_56_61_38 ?brokenObj_25_)) ?brokenObj_25_))) (forall ((?brokenObj_26_ Int)) (=> (and (= true_term (is ?brokenObj_26_ T_javafe_ast_FieldDecl)) (not (= ?brokenObj_26_ null)) (= true_term (S_select hasParent_18_149_30 ?brokenObj_26_))) (not (= (S_select parent_61_18_18 ?brokenObj_26_) null)))) (forall ((?brokenObj_27_ Int)) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_27_ null))) (= (S_select owner_4_35_28 (S_select elements_57_61_39 ?brokenObj_27_)) ?brokenObj_27_))) (forall ((?brokenObj_28_ Int)) (=> (and (= true_term (is ?brokenObj_28_ T_javafe_util_StackVector)) (not (= ?brokenObj_28_ null))) (= (S_select owner_4_35_28 (S_select elements_59_72_21 ?brokenObj_28_)) ?brokenObj_28_))) (forall ((?brokenObj_29_ Int)) (=> (and (= true_term (is ?brokenObj_29_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_29_ null))) (<= (S_select count_56_67_33 ?brokenObj_29_) (arrayLength (S_select elements_56_61_38 ?brokenObj_29_))))) (forall ((?brokenObj_30_ Int)) (=> (and (= true_term (is ?brokenObj_30_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_30_ null)) (= true_term (S_select hasParent_18_149_30 ?brokenObj_30_))) (not (= (S_select parent_22_21_18 ?brokenObj_30_) null)))) (forall ((?brokenObj_31_ Int)) (=> (and (= true_term (is ?brokenObj_31_ T_javafe_util_Set)) (not (= ?brokenObj_31_ null))) (= (S_select elementType_81_26_25 (S_select ht_41_33_36 ?brokenObj_31_)) (S_select elementType_41_22_27 ?brokenObj_31_)))) (forall ((?brokenObj_32_ Int)) (=> (and (= true_term (is ?brokenObj_32_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_32_ null)) (not (= true_term (S_select member_8_44_39 ?brokenObj_32_)))) (not (= (S_select enclosingEnv_8_52_36 ?brokenObj_32_) null)))) (forall ((?brokenObj_33_ Int)) (=> (and (= true_term (is ?brokenObj_33_ T_javafe_tc_PrepTypeDeclaration)) (not (= ?brokenObj_33_ null))) (= (S_select elementType_59_43_27 (S_select methodSeq_6_167_38 ?brokenObj_33_)) T_javafe_ast_MethodDecl))) (forall ((?brokenObj_34_ Int)) (=> (and (= true_term (is ?brokenObj_34_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_34_ null))) (<= (S_select count_57_67_33 ?brokenObj_34_) (arrayLength (S_select elements_57_61_39 ?brokenObj_34_))))) (forall ((?brokenObj_35_ Int)) (=> (and (= true_term (is ?brokenObj_35_ T_javafe_tc_PrepTypeDeclaration)) (not (= ?brokenObj_35_ null))) (= (S_select owner_4_35_28 (S_select constructorSeq_6_171_38 ?brokenObj_35_)) ?brokenObj_35_))) (forall ((?brokenObj_36_ Int)) (=> (and (= true_term (is ?brokenObj_36_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_36_ null)) (>= (S_select state_8_787_15 ?brokenObj_36_) PARSED_8_772_28)) (not (= (S_select myTypeDecl_8_63_40 ?brokenObj_36_) null)))) (forall ((?brokenObj_37_ Int)) (=> (and (= true_term (is ?brokenObj_37_ T_javafe_util_StackVector)) (not (= ?brokenObj_37_ null))) (not (= (S_select elements_59_72_21 ?brokenObj_37_) null)))) (forall ((?brokenObj_38_ Int)) (=> (and (= true_term (is ?brokenObj_38_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_38_ null)) (not (= (S_select enclosingType_8_32_39 ?brokenObj_38_) null))) (not (= (S_select myTypeDecl_8_63_40 ?brokenObj_38_) null)))) (or ?v_11 (and ?v_3 (or (and ?v_5 (not ?v_6)) (and ?v_5 ?v_6 ?v_53 ?v_54 ?v_39 ?v_55 ?v_56 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 (or (not ?v_7) (and ?v_7 ?v_62 ?v_63 ?v_8 ?v_64 (or ?v_32 (and ?v_9 ?v_65 ?v_66 ?v_10 ?v_67 ?v_68 ?v_69 ?v_70 ?v_71 (or ?v_11 (and ?v_3 ?v_72 ?v_73 ?v_12 ?v_74 ?v_75 (or (not ?v_13) (and ?v_13 ?v_76 ?v_77 ?v_14 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 (or (and ?v_38 (or ?v_19 (and ?v_16 ?v_41 ?v_17 ?v_42 ?v_18 (or ?v_19 (and ?v_16 (or (not ?v_20) (and ?v_20 ?v_43 ?v_44 ?v_45 ?v_46 ?v_21 ?v_47 ?v_48 (or (not ?v_25) (and ?v_25 ?v_49 (or ?v_28 (and ?v_26 (or (and ?v_33 ?v_34 (or ?v_28 (and ?v_26 (or (and ?v_29 (not ?v_30)) (and ?v_29 ?v_30 ?v_35 ?v_36 ?v_31 ?v_37 ?v_32))))) (and ?v_50 ?v_51 ?v_38 (or (not ?v_39) (and ?v_39 (or ?v_28 (and ?v_26 (not ?v_52)))))))))))))))))) (and ?v_38 ?v_16 ?v_41 ?v_17 ?v_42 ?v_18 ?v_16 ?v_20 ?v_43 ?v_44 ?v_45 ?v_46 ?v_21 ?v_47 ?v_48 ?v_25 ?v_49 ?v_26 ?v_50 ?v_83 ?v_38 ?v_19))))))))))))) (and ?v_3 ?v_5 ?v_6 ?v_53 ?v_54 ?v_39 ?v_55 ?v_56 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_7 ?v_62 ?v_63 ?v_8 ?v_64 ?v_9 ?v_65 ?v_66 ?v_10 ?v_67 ?v_68 ?v_69 ?v_70 ?v_71 ?v_3 ?v_72 ?v_73 ?v_12 ?v_74 ?v_75 ?v_13 ?v_76 ?v_77 ?v_14 ?v_78 ?v_79 ?v_80 (or (and ?v_81 ?v_82 ?v_86 (not ?v_87) (= EC_417_24 L_425_5)) (and ?v_81 ?v_82 ?v_86 ?v_87 (= EC_2_ L_425_5) ?v_38 ?v_88)) (not ?v_88))))))))))))))))))))))))))))
(check-sat)
(exit)
