(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_java_lang_IndexOutOfBoundsException () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_javafe_util_LocationManagerCorrelatedReader () Int)
(declare-fun T_javafe_util_BufferedCorrelatedReader () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_javafe_util_FileCorrelatedReader () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_util_SubCorrelatedReader () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_util_Properties () Int)
(declare-fun T_java_lang_System () Int)
(declare-fun T_javafe_util_ErrorSet () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun NLOA_DEFAULT_SIZE_15_70_27 () Int)
(declare-fun STARTFREELOC_18_38 () Int)
(declare-fun MAXFILESIZE_15_45_19 () Int)
(declare-fun pos30000000 () Int)
(declare-fun NULL_13_60_26 () Int)
(assert (and (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException) true_term) (= T_java_lang_IndexOutOfBoundsException (asChild T_java_lang_IndexOutOfBoundsException T_java_lang_RuntimeException)) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader) true_term) (= T_javafe_util_LocationManagerCorrelatedReader (asChild T_javafe_util_LocationManagerCorrelatedReader T_javafe_util_BufferedCorrelatedReader)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader) true_term) (= T_javafe_util_FileCorrelatedReader (asChild T_javafe_util_FileCorrelatedReader T_javafe_util_LocationManagerCorrelatedReader)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_util_SubCorrelatedReader T_javafe_util_BufferedCorrelatedReader) true_term) (= T_javafe_util_SubCorrelatedReader (asChild T_javafe_util_SubCorrelatedReader T_javafe_util_BufferedCorrelatedReader)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_Properties T_java_util_Hashtable) true_term) (= T_java_util_Properties (asChild T_java_util_Properties T_java_util_Hashtable)) (= (PO_LT T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader) true_term) (= T_javafe_util_BufferedCorrelatedReader (asChild T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader)) (= (PO_LT T_java_lang_System T_java_lang_Object) true_term) (= T_java_lang_System (asChild T_java_lang_System T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_System) true_term) (= ?t T_java_lang_System))) (= (PO_LT T_javafe_util_ErrorSet T_java_lang_Object) true_term) (= T_javafe_util_ErrorSet (asChild T_javafe_util_ErrorSet T_java_lang_Object)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_Serializable (+ DIST_ZERO_1 10)) (= T_java_util_AbstractList (+ DIST_ZERO_1 11)) (= T_java_util_Hashtable (+ DIST_ZERO_1 12)) (= T_java_lang_Object (+ DIST_ZERO_1 13)) (= T_java_util_Dictionary (+ DIST_ZERO_1 14)) (= T_java_lang_Throwable (+ DIST_ZERO_1 15)) (= T_java_lang_IndexOutOfBoundsException (+ DIST_ZERO_1 16)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 17)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 18)) (= T_java_util_Vector (+ DIST_ZERO_1 19)) (= T_javafe_util_Assert (+ DIST_ZERO_1 20)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 21)) (= T_javafe_util_LocationManagerCorrelatedReader (+ DIST_ZERO_1 22)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 23)) (= T_javafe_util_FileCorrelatedReader (+ DIST_ZERO_1 24)) (= T_java_lang_Exception (+ DIST_ZERO_1 25)) (= T_java_util_List (+ DIST_ZERO_1 26)) (= T_java_lang_String (+ DIST_ZERO_1 27)) (= T_javafe_util_SubCorrelatedReader (+ DIST_ZERO_1 28)) (= T_java_util_Collection (+ DIST_ZERO_1 29)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 30)) (= T_java_io_IOException (+ DIST_ZERO_1 31)) (= T_java_util_Map (+ DIST_ZERO_1 32)) (= T_java_util_Properties (+ DIST_ZERO_1 33)) (= T_javafe_util_BufferedCorrelatedReader (+ DIST_ZERO_1 34)) (= T_java_lang_System (+ DIST_ZERO_1 35)) (= T_javafe_util_ErrorSet (+ DIST_ZERO_1 36)) (= T_javafe_util_Location (+ DIST_ZERO_1 37)) (= T_java_io_InputStream (+ DIST_ZERO_1 38)) (= T_java_lang_Comparable (+ DIST_ZERO_1 39)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 40))) (= true_term (is NLOA_DEFAULT_SIZE_15_70_27 T_int)) (= NLOA_DEFAULT_SIZE_15_70_27 200) (= true_term (is STARTFREELOC_18_38 T_int)) (= STARTFREELOC_18_38 1000000) (= true_term (is MAXFILESIZE_15_45_19 T_int)) (= MAXFILESIZE_15_45_19 pos30000000) (= true_term (is NULL_13_60_26 T_int)) (= NULL_13_60_26 0)))
(declare-fun freeLoc_pre_15_35_21 () Int)
(declare-fun freeLoc_15_35_21 () Int)
(declare-fun NLOA_DEFAULT_SIZE_pre_15_70_27 () Int)
(declare-fun markLineNo_pre_15_453_14 () Int)
(declare-fun markLineNo_15_453_14 () Int)
(declare-fun maxLoc_pre_33_16 () Int)
(declare-fun maxLoc_33_16 () Int)
(declare-fun buf_pre_42_36 () Int)
(declare-fun buf_42_36 () Int)
(declare-fun STARTFREELOC_pre_18_38 () Int)
(declare-fun isWholeFile_pre_15_410_37 () Int)
(declare-fun isWholeFile_15_410_37 () Int)
(declare-fun markNdx_pre_213_16 () Int)
(declare-fun markNdx_213_16 () Int)
(declare-fun MAXFILESIZE_pre_15_45_19 () Int)
(declare-fun NLOA_pre_15_65_51 () Int)
(declare-fun NLOA_15_65_51 () Int)
(declare-fun minLoc_pre_32_16 () Int)
(declare-fun minLoc_32_16 () Int)
(declare-fun endBufNdx_pre_60_16 () Int)
(declare-fun endBufNdx_60_16 () Int)
(declare-fun lastCharNdx_pre_82_16 () Int)
(declare-fun lastCharNdx_82_16 () Int)
(declare-fun curLineNo_pre_15_439_16 () Int)
(declare-fun curLineNo_15_439_16 () Int)
(declare-fun beforeBufLoc_pre_52_16 () Int)
(declare-fun beforeBufLoc_52_16 () Int)
(declare-fun stream_pre_14_55_22 () Int)
(declare-fun stream_14_55_22 () Int)
(declare-fun oddSlashLoc_pre_91_16 () Int)
(declare-fun oddSlashLoc_91_16 () Int)
(declare-fun curNdx_pre_69_16 () Int)
(declare-fun curNdx_69_16 () Int)
(declare-fun NULL_pre_13_60_26 () Int)
(declare-fun marked_pre_4_92_41 () Int)
(declare-fun marked_4_92_41 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun minLoc_103_33 () Int)
(declare-fun beforeBufLoc_103_45 () Int)
(declare-fun maxLoc_103_63 () Int)
(declare-fun objectToBeConstructed () Int)
(declare-fun after_103_71_103_71 () Int)
(declare-fun RES_103_71_103_71 () Int)
(declare-fun EC_103_71_103_71 () Int)
(declare-fun ecReturn () Int)
(declare-fun owner_5_35_28 () Int)
(declare-fun minLoc_32_16_1_ () Int)
(declare-fun maxLoc_33_16_1_ () Int)
(declare-fun buf_42_36_1_ () Int)
(declare-fun beforeBufLoc_52_16_1_ () Int)
(declare-fun endBufNdx_60_16_1_ () Int)
(declare-fun curNdx_69_16_1_ () Int)
(declare-fun lastCharNdx_82_16_1_ () Int)
(declare-fun oddSlashLoc_91_16_1_ () Int)
(declare-fun markNdx_213_16_1_ () Int)
(declare-fun curNdx_69_16_2_ () Int)
(declare-fun lastCharNdx_82_16_2_ () Int)
(declare-fun oddSlashLoc_91_16_2_ () Int)
(declare-fun minLoc_104_6 () Int)
(declare-fun beforeBufLoc_105_6 () Int)
(declare-fun maxLoc_106_6 () Int)
(assert (let ((?v_0 (= EC_103_71_103_71 ecReturn)) (?v_2 (= (S_select owner_5_35_28 RES_103_71_103_71) null)) (?v_5 (not (= true_term (S_select marked_4_92_41 RES_103_71_103_71)))) (?v_3 (S_select curNdx_69_16_2_ RES_103_71_103_71)) (?v_1 (= ecReturn ecReturn))) (let ((?v_4 (=> ?v_1 (= ?v_3 0))) (?v_6 (=> ?v_1 ?v_5)) (?v_7 (=> ?v_1 (= (S_select buf_42_36_1_ RES_103_71_103_71) null)))) (not (=> (and true (< 1000000 pos30000000)) (=> (and (= freeLoc_pre_15_35_21 freeLoc_15_35_21) (= true_term (is freeLoc_15_35_21 T_int)) (= NLOA_DEFAULT_SIZE_pre_15_70_27 NLOA_DEFAULT_SIZE_15_70_27) (= true_term (is NLOA_DEFAULT_SIZE_15_70_27 T_int)) (= markLineNo_pre_15_453_14 markLineNo_15_453_14) (= markLineNo_15_453_14 (asField markLineNo_15_453_14 T_int)) (= maxLoc_pre_33_16 maxLoc_33_16) (= maxLoc_33_16 (asField maxLoc_33_16 T_int)) (= buf_pre_42_36 buf_42_36) (= buf_42_36 (asField buf_42_36 (array T_byte))) (< (fClosedTime buf_42_36) alloc) (= STARTFREELOC_pre_18_38 STARTFREELOC_18_38) (= true_term (is STARTFREELOC_18_38 T_int)) (= isWholeFile_pre_15_410_37 isWholeFile_15_410_37) (= isWholeFile_15_410_37 (asField isWholeFile_15_410_37 T_boolean)) (= markNdx_pre_213_16 markNdx_213_16) (= markNdx_213_16 (asField markNdx_213_16 T_int)) (= MAXFILESIZE_pre_15_45_19 MAXFILESIZE_15_45_19) (= true_term (is MAXFILESIZE_15_45_19 T_int)) (= NLOA_pre_15_65_51 NLOA_15_65_51) (= NLOA_15_65_51 (asField NLOA_15_65_51 (array T_int))) (< (fClosedTime NLOA_15_65_51) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select NLOA_15_65_51 ?s) null)))) (= minLoc_pre_32_16 minLoc_32_16) (= minLoc_32_16 (asField minLoc_32_16 T_int)) (= endBufNdx_pre_60_16 endBufNdx_60_16) (= endBufNdx_60_16 (asField endBufNdx_60_16 T_int)) (= lastCharNdx_pre_82_16 lastCharNdx_82_16) (= lastCharNdx_82_16 (asField lastCharNdx_82_16 T_int)) (= curLineNo_pre_15_439_16 curLineNo_15_439_16) (= curLineNo_15_439_16 (asField curLineNo_15_439_16 T_int)) (= beforeBufLoc_pre_52_16 beforeBufLoc_52_16) (= beforeBufLoc_52_16 (asField beforeBufLoc_52_16 T_int)) (= stream_pre_14_55_22 stream_14_55_22) (= stream_14_55_22 (asField stream_14_55_22 T_java_io_InputStream)) (< (fClosedTime stream_14_55_22) alloc) (= oddSlashLoc_pre_91_16 oddSlashLoc_91_16) (= oddSlashLoc_91_16 (asField oddSlashLoc_91_16 T_int)) (= curNdx_pre_69_16 curNdx_69_16) (= curNdx_69_16 (asField curNdx_69_16 T_int)) (= NULL_pre_13_60_26 NULL_13_60_26) (= true_term (is NULL_13_60_26 T_int)) (= marked_pre_4_92_41 marked_4_92_41) (= marked_4_92_41 (asField marked_4_92_41 T_boolean)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is minLoc_103_33 T_int)) (= true_term (is beforeBufLoc_103_45 T_int)) (= true_term (is maxLoc_103_63 T_int)) (<= STARTFREELOC_18_38 minLoc_103_33) (<= minLoc_103_33 maxLoc_103_63) (<= (- minLoc_103_33 1) beforeBufLoc_103_45) (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj null)) (not (= ?brokenObj objectToBeConstructed))) (<= (S_select minLoc_32_16 ?brokenObj) (S_select maxLoc_33_16 ?brokenObj)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_1_ null)) (not (= ?brokenObj_1_ objectToBeConstructed))) (<= (- (S_select minLoc_32_16 ?brokenObj_1_) 1) (S_select beforeBufLoc_52_16 ?brokenObj_1_)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_2_ null)) (not (= ?brokenObj_2_ objectToBeConstructed))) (<= (S_select curNdx_69_16 ?brokenObj_2_) (S_select endBufNdx_60_16 ?brokenObj_2_)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_3_ null)) (not (= ?brokenObj_3_ objectToBeConstructed))) (<= 0 (S_select lastCharNdx_82_16 ?brokenObj_3_)))) (forall ((?brokenObj_4_ Int)) (let ((?v_8 (S_select markNdx_213_16 ?brokenObj_4_))) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_4_ null)) (not (= ?brokenObj_4_ objectToBeConstructed)) (= true_term (S_select marked_4_92_41 ?brokenObj_4_))) (and (<= 0 ?v_8) (<= ?v_8 (S_select curNdx_69_16 ?brokenObj_4_)))))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_5_ null)) (not (= ?brokenObj_5_ objectToBeConstructed))) (<= 0 (S_select curNdx_69_16 ?brokenObj_5_)))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_6_ null)) (not (= ?brokenObj_6_ objectToBeConstructed))) (<= (S_select lastCharNdx_82_16 ?brokenObj_6_) (S_select curNdx_69_16 ?brokenObj_6_)))) (forall ((?brokenObj_7_ Int)) (let ((?v_9 (S_select buf_42_36 ?brokenObj_7_))) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_7_ null)) (not (= ?brokenObj_7_ objectToBeConstructed)) (not (= ?v_9 null))) (<= (S_select endBufNdx_60_16 ?brokenObj_7_) (arrayLength ?v_9))))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_8_ null)) (not (= ?brokenObj_8_ objectToBeConstructed))) (<= STARTFREELOC_18_38 (S_select minLoc_32_16 ?brokenObj_8_)))) (not (= true_term (isAllocated objectToBeConstructed alloc))) (< alloc after_103_71_103_71) (not (= RES_103_71_103_71 null)) (not (= true_term (isAllocated RES_103_71_103_71 alloc))) (= true_term (is RES_103_71_103_71 T_javafe_util_CorrelatedReader)) (= true_term (isAllocated RES_103_71_103_71 after_103_71_103_71)) ?v_0 ?v_2 (=> ?v_0 ?v_5) (= (PO_LT (typeof RES_103_71_103_71) T_javafe_util_BufferedCorrelatedReader) true_term) (= objectToBeConstructed RES_103_71_103_71) (= minLoc_32_16_1_ (S_store minLoc_32_16 RES_103_71_103_71 0)) (= maxLoc_33_16_1_ (S_store maxLoc_33_16 RES_103_71_103_71 0)) (= buf_42_36_1_ (S_store buf_42_36 RES_103_71_103_71 null)) (= beforeBufLoc_52_16_1_ (S_store beforeBufLoc_52_16 RES_103_71_103_71 0)) (= endBufNdx_60_16_1_ (S_store endBufNdx_60_16 RES_103_71_103_71 0)) (= curNdx_69_16_1_ (S_store curNdx_69_16 RES_103_71_103_71 0)) (= lastCharNdx_82_16_1_ (S_store lastCharNdx_82_16 RES_103_71_103_71 0)) (= oddSlashLoc_91_16_1_ (S_store oddSlashLoc_91_16 RES_103_71_103_71 0)) (= markNdx_213_16_1_ (S_store markNdx_213_16 RES_103_71_103_71 0)) (= curNdx_69_16_2_ (S_store curNdx_69_16_1_ RES_103_71_103_71 0)) (= lastCharNdx_82_16_2_ (S_store lastCharNdx_82_16_1_ RES_103_71_103_71 ?v_3)) (= oddSlashLoc_91_16_2_ (S_store oddSlashLoc_91_16_1_ RES_103_71_103_71 NULL_13_60_26)) (= minLoc_104_6 (S_store minLoc_32_16_1_ RES_103_71_103_71 minLoc_103_33)) (= beforeBufLoc_105_6 (S_store beforeBufLoc_52_16_1_ RES_103_71_103_71 beforeBufLoc_103_45)) (= maxLoc_106_6 (S_store maxLoc_33_16_1_ RES_103_71_103_71 maxLoc_103_63)) (or (not ?v_1) (and ?v_1 (or (not ?v_2) (and ?v_2 (or (not ?v_4) (and ?v_4 (or (not ?v_6) (and ?v_6 (or (not ?v_7) (and ?v_7 (or (not (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj after_103_71_103_71)) (not (= ?brokenObj null))) (<= (S_select minLoc_104_6 ?brokenObj) (S_select maxLoc_106_6 ?brokenObj))))) (not (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_1_ after_103_71_103_71)) (not (= ?brokenObj_1_ null))) (<= (- (S_select minLoc_104_6 ?brokenObj_1_) 1) (S_select beforeBufLoc_105_6 ?brokenObj_1_))))) (not (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_2_ after_103_71_103_71)) (not (= ?brokenObj_2_ null))) (<= (S_select curNdx_69_16_2_ ?brokenObj_2_) (S_select endBufNdx_60_16_1_ ?brokenObj_2_))))) (not (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_3_ after_103_71_103_71)) (not (= ?brokenObj_3_ null))) (<= 0 (S_select lastCharNdx_82_16_2_ ?brokenObj_3_))))) (not (forall ((?brokenObj_4_ Int)) (let ((?v_10 (S_select markNdx_213_16_1_ ?brokenObj_4_))) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_4_ after_103_71_103_71)) (not (= ?brokenObj_4_ null)) (= true_term (S_select marked_4_92_41 ?brokenObj_4_))) (and (<= 0 ?v_10) (<= ?v_10 (S_select curNdx_69_16_2_ ?brokenObj_4_))))))) (not (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_5_ after_103_71_103_71)) (not (= ?brokenObj_5_ null))) (<= 0 (S_select curNdx_69_16_2_ ?brokenObj_5_))))) (not (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_6_ after_103_71_103_71)) (not (= ?brokenObj_6_ null))) (<= (S_select lastCharNdx_82_16_2_ ?brokenObj_6_) (S_select curNdx_69_16_2_ ?brokenObj_6_))))) (not (forall ((?brokenObj_7_ Int)) (let ((?v_11 (S_select buf_42_36_1_ ?brokenObj_7_))) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_7_ after_103_71_103_71)) (not (= ?brokenObj_7_ null)) (not (= ?v_11 null))) (<= (S_select endBufNdx_60_16_1_ ?brokenObj_7_) (arrayLength ?v_11)))))) (not (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_8_ after_103_71_103_71)) (not (= ?brokenObj_8_ null))) (<= STARTFREELOC_18_38 (S_select minLoc_104_6 ?brokenObj_8_))))))))))))))))))))))))
(check-sat)
(exit)
