(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_util_BufferedCorrelatedReader () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_java_lang_Character () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_IllegalArgumentException () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_javafe_util_SubCorrelatedReader () Int)
(declare-fun T_java_lang_NumberFormatException () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun NULL_23_60_26 () Int)
(declare-fun STARTFREELOC_4_18_38 () Int)
(assert (and (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader) true_term) (= T_javafe_util_BufferedCorrelatedReader (asChild T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader)) (= (PO_LT T_java_lang_Character T_java_lang_Object) true_term) (= T_java_lang_Character (asChild T_java_lang_Character T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Character) true_term) (= ?t T_java_lang_Character))) (= (PO_LT T_java_lang_Character T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Character T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_IllegalArgumentException T_java_lang_RuntimeException) true_term) (= T_java_lang_IllegalArgumentException (asChild T_java_lang_IllegalArgumentException T_java_lang_RuntimeException)) (= (PO_LT T_javafe_util_SubCorrelatedReader T_javafe_util_BufferedCorrelatedReader) true_term) (= T_javafe_util_SubCorrelatedReader (asChild T_javafe_util_SubCorrelatedReader T_javafe_util_BufferedCorrelatedReader)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException) true_term) (= T_java_lang_NumberFormatException (asChild T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_IOException (+ DIST_ZERO_1 10)) (= T_javafe_util_BufferedCorrelatedReader (+ DIST_ZERO_1 11)) (= T_java_lang_Character (+ DIST_ZERO_1 12)) (= T_java_lang_Number (+ DIST_ZERO_1 13)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 14)) (= T_java_lang_String (+ DIST_ZERO_1 15)) (= T_java_lang_IllegalArgumentException (+ DIST_ZERO_1 16)) (= T_javafe_util_SubCorrelatedReader (+ DIST_ZERO_1 17)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 18)) (= T_java_lang_NumberFormatException (+ DIST_ZERO_1 19)) (= T_java_io_Serializable (+ DIST_ZERO_1 20)) (= T_java_lang_Exception (+ DIST_ZERO_1 21)) (= T_javafe_util_Assert (+ DIST_ZERO_1 22)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 23)) (= T_java_lang_Integer (+ DIST_ZERO_1 24)) (= T_java_lang_Object (+ DIST_ZERO_1 25)) (= T_java_lang_Throwable (+ DIST_ZERO_1 26)) (= T_javafe_util_Location (+ DIST_ZERO_1 27)) (= T_java_lang_Comparable (+ DIST_ZERO_1 28))) (= true_term (is NULL_23_60_26 T_int)) (= NULL_23_60_26 0) (= true_term (is STARTFREELOC_4_18_38 T_int)) (= STARTFREELOC_4_18_38 1000000)))
(declare-fun maxLoc_pre_4_33_16 () Int)
(declare-fun maxLoc_4_33_16 () Int)
(declare-fun endBufNdx_pre_4_60_16 () Int)
(declare-fun endBufNdx_4_60_16 () Int)
(declare-fun oddSlashLoc_pre_4_91_16 () Int)
(declare-fun oddSlashLoc_4_91_16 () Int)
(declare-fun markNdx_pre_4_213_16 () Int)
(declare-fun markNdx_4_213_16 () Int)
(declare-fun buf_pre_4_42_36 () Int)
(declare-fun buf_4_42_36 () Int)
(declare-fun beforeBufLoc_pre_4_52_16 () Int)
(declare-fun beforeBufLoc_4_52_16 () Int)
(declare-fun NULL_pre_23_60_26 () Int)
(declare-fun STARTFREELOC_pre_4_18_38 () Int)
(declare-fun minLoc_pre_4_32_16 () Int)
(declare-fun minLoc_4_32_16 () Int)
(declare-fun curNdx_pre_4_69_16 () Int)
(declare-fun curNdx_4_69_16 () Int)
(declare-fun lastCharNdx_pre_4_82_16 () Int)
(declare-fun lastCharNdx_4_82_16 () Int)
(declare-fun file_pre_26_38 () Int)
(declare-fun file_26_38 () Int)
(declare-fun marked_pre_5_92_41 () Int)
(declare-fun marked_5_92_41 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun file_43_57 () Int)
(declare-fun buf_44_31 () Int)
(declare-fun beforeBufLoc_45_14 () Int)
(declare-fun objectToBeConstructed () Int)
(declare-fun tmp0_48_18 () Int)
(declare-fun maxLoc_48_1_48_1_4_103_63 () Int)
(declare-fun after_48_1_48_1 () Int)
(declare-fun RES_48_1_48_1 () Int)
(declare-fun EC_48_1_48_1 () Int)
(declare-fun ecReturn () Int)
(declare-fun owner_6_35_28 () Int)
(declare-fun file_26_38_1_ () Int)
(declare-fun file_zero () Int)
(declare-fun file_50_6 () Int)
(declare-fun buf_51_6 () Int)
(declare-fun endBufNdx_52_6 () Int)
(assert (let ((?v_0 (array T_byte)) (?v_4 (not (= true_term (isAllocated objectToBeConstructed alloc)))) (?v_1 (+ beforeBufLoc_45_14 1))) (let ((?v_5 (= tmp0_48_18 ?v_1)) (?v_9 (arrayLength buf_44_31))) (let ((?v_6 (= maxLoc_48_1_48_1_4_103_63 (+ ?v_1 ?v_9))) (?v_2 (<= STARTFREELOC_4_18_38 tmp0_48_18)) (?v_3 (<= tmp0_48_18 maxLoc_48_1_48_1_4_103_63)) (?v_7 (<= (- tmp0_48_18 1) beforeBufLoc_45_14)) (?v_8 (= EC_48_1_48_1 ecReturn)) (?v_11 (= (S_select owner_6_35_28 RES_48_1_48_1) null)) (?v_10 (= ecReturn ecReturn))) (let ((?v_12 (=> ?v_10 (not (= (S_select file_50_6 RES_48_1_48_1) null))))) (not (=> true (=> (and (= maxLoc_pre_4_33_16 maxLoc_4_33_16) (= maxLoc_4_33_16 (asField maxLoc_4_33_16 T_int)) (= endBufNdx_pre_4_60_16 endBufNdx_4_60_16) (= endBufNdx_4_60_16 (asField endBufNdx_4_60_16 T_int)) (= oddSlashLoc_pre_4_91_16 oddSlashLoc_4_91_16) (= oddSlashLoc_4_91_16 (asField oddSlashLoc_4_91_16 T_int)) (= markNdx_pre_4_213_16 markNdx_4_213_16) (= markNdx_4_213_16 (asField markNdx_4_213_16 T_int)) (= buf_pre_4_42_36 buf_4_42_36) (= buf_4_42_36 (asField buf_4_42_36 ?v_0)) (< (fClosedTime buf_4_42_36) alloc) (= beforeBufLoc_pre_4_52_16 beforeBufLoc_4_52_16) (= beforeBufLoc_4_52_16 (asField beforeBufLoc_4_52_16 T_int)) (= NULL_pre_23_60_26 NULL_23_60_26) (= true_term (is NULL_23_60_26 T_int)) (= STARTFREELOC_pre_4_18_38 STARTFREELOC_4_18_38) (= true_term (is STARTFREELOC_4_18_38 T_int)) (= minLoc_pre_4_32_16 minLoc_4_32_16) (= minLoc_4_32_16 (asField minLoc_4_32_16 T_int)) (= curNdx_pre_4_69_16 curNdx_4_69_16) (= curNdx_4_69_16 (asField curNdx_4_69_16 T_int)) (= lastCharNdx_pre_4_82_16 lastCharNdx_4_82_16) (= lastCharNdx_4_82_16 (asField lastCharNdx_4_82_16 T_int)) (= file_pre_26_38 file_26_38) (= file_26_38 (asField file_26_38 T_javafe_genericfile_GenericFile)) (< (fClosedTime file_26_38) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select file_26_38 ?s) null)))) (= marked_pre_5_92_41 marked_5_92_41) (= marked_5_92_41 (asField marked_5_92_41 T_boolean)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is file_43_57 T_javafe_genericfile_GenericFile)) (= true_term (isAllocated file_43_57 alloc)) (not (= file_43_57 null)) (= true_term (is buf_44_31 ?v_0)) (= true_term (isAllocated buf_44_31 alloc)) (not (= buf_44_31 null)) (= true_term (is beforeBufLoc_45_14 T_int)) (<= (- STARTFREELOC_4_18_38 1) beforeBufLoc_45_14) (forall ((?brokenObj Int)) (let ((?v_13 (S_select buf_4_42_36 ?brokenObj))) (=> (and (= true_term (is ?brokenObj T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj null)) (not (= ?v_13 null))) (<= (S_select endBufNdx_4_60_16 ?brokenObj) (arrayLength ?v_13))))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_1_ null))) (<= 0 (S_select curNdx_4_69_16 ?brokenObj_1_)))) (forall ((?brokenObj_2_ Int)) (let ((?v_14 (S_select markNdx_4_213_16 ?brokenObj_2_))) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_2_ null)) (= true_term (S_select marked_5_92_41 ?brokenObj_2_))) (and (<= 0 ?v_14) (<= ?v_14 (S_select curNdx_4_69_16 ?brokenObj_2_)))))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_3_ null))) (<= 0 (S_select lastCharNdx_4_82_16 ?brokenObj_3_)))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_4_ null))) (<= (- (S_select minLoc_4_32_16 ?brokenObj_4_) 1) (S_select beforeBufLoc_4_52_16 ?brokenObj_4_)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_5_ null))) (<= STARTFREELOC_4_18_38 (S_select minLoc_4_32_16 ?brokenObj_5_)))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_6_ null))) (<= (S_select minLoc_4_32_16 ?brokenObj_6_) (S_select maxLoc_4_33_16 ?brokenObj_6_)))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_7_ null))) (<= (S_select curNdx_4_69_16 ?brokenObj_7_) (S_select endBufNdx_4_60_16 ?brokenObj_7_)))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_8_ null))) (<= (S_select lastCharNdx_4_82_16 ?brokenObj_8_) (S_select curNdx_4_69_16 ?brokenObj_8_)))) (or (and ?v_4 ?v_5 ?v_6 (or (not ?v_2) (and ?v_2 (or (not ?v_3) (and ?v_3 (not ?v_7)))))) (and ?v_4 ?v_5 ?v_6 ?v_2 ?v_3 ?v_7 (< alloc after_48_1_48_1) (not (= RES_48_1_48_1 null)) (not (= true_term (isAllocated RES_48_1_48_1 alloc))) (= true_term (is RES_48_1_48_1 T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated RES_48_1_48_1 after_48_1_48_1)) ?v_8 ?v_11 (=> ?v_8 (= (S_select curNdx_4_69_16 RES_48_1_48_1) 0)) (=> ?v_8 (not (= true_term (S_select marked_5_92_41 RES_48_1_48_1)))) (=> ?v_8 (= (S_select buf_4_42_36 RES_48_1_48_1) null)) (= (PO_LT (typeof RES_48_1_48_1) T_javafe_util_SubCorrelatedReader) true_term) (= objectToBeConstructed RES_48_1_48_1) (= file_26_38_1_ (S_store file_26_38 RES_48_1_48_1 file_zero)) (= file_50_6 (S_store file_26_38_1_ RES_48_1_48_1 file_43_57)) (= buf_51_6 (S_store buf_4_42_36 RES_48_1_48_1 buf_44_31)) (= endBufNdx_52_6 (S_store endBufNdx_4_60_16 RES_48_1_48_1 ?v_9)) (or (not ?v_10) (and ?v_10 (or (not ?v_11) (and ?v_11 (or (not ?v_12) (and ?v_12 (or (not (forall ((?brokenObj Int)) (let ((?v_15 (S_select buf_51_6 ?brokenObj))) (=> (and (= true_term (is ?brokenObj T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj after_48_1_48_1)) (not (= ?brokenObj null)) (not (= ?v_15 null))) (<= (S_select endBufNdx_52_6 ?brokenObj) (arrayLength ?v_15)))))) (not (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_7_ after_48_1_48_1)) (not (= ?brokenObj_7_ null))) (<= (S_select curNdx_4_69_16 ?brokenObj_7_) (S_select endBufNdx_52_6 ?brokenObj_7_))))))))))))))))))))))))
(check-sat)
(exit)
