(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_javafe_util_BufferedCorrelatedReader () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_java_lang_Character () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_IllegalArgumentException () Int)
(declare-fun T_java_lang_RuntimeException () Int)
(declare-fun T_javafe_util_SubCorrelatedReader () Int)
(declare-fun T_java_lang_NumberFormatException () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_util_Assert () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun NULL_23_60_26 () Int)
(declare-fun STARTFREELOC_4_18_38 () Int)
(assert (and (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader) true_term) (= T_javafe_util_BufferedCorrelatedReader (asChild T_javafe_util_BufferedCorrelatedReader T_javafe_util_CorrelatedReader)) (= (PO_LT T_java_lang_Character T_java_lang_Object) true_term) (= T_java_lang_Character (asChild T_java_lang_Character T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Character) true_term) (= ?t T_java_lang_Character))) (= (PO_LT T_java_lang_Character T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Character T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_IllegalArgumentException T_java_lang_RuntimeException) true_term) (= T_java_lang_IllegalArgumentException (asChild T_java_lang_IllegalArgumentException T_java_lang_RuntimeException)) (= (PO_LT T_javafe_util_SubCorrelatedReader T_javafe_util_BufferedCorrelatedReader) true_term) (= T_javafe_util_SubCorrelatedReader (asChild T_javafe_util_SubCorrelatedReader T_javafe_util_BufferedCorrelatedReader)) (= (PO_LT T_java_lang_RuntimeException T_java_lang_Exception) true_term) (= T_java_lang_RuntimeException (asChild T_java_lang_RuntimeException T_java_lang_Exception)) (= (PO_LT T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException) true_term) (= T_java_lang_NumberFormatException (asChild T_java_lang_NumberFormatException T_java_lang_IllegalArgumentException)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_util_Assert T_java_lang_Object) true_term) (= T_javafe_util_Assert (asChild T_javafe_util_Assert T_java_lang_Object)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_io_IOException (+ DIST_ZERO_1 10)) (= T_javafe_util_BufferedCorrelatedReader (+ DIST_ZERO_1 11)) (= T_java_lang_Character (+ DIST_ZERO_1 12)) (= T_java_lang_Number (+ DIST_ZERO_1 13)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 14)) (= T_java_lang_String (+ DIST_ZERO_1 15)) (= T_java_lang_IllegalArgumentException (+ DIST_ZERO_1 16)) (= T_javafe_util_SubCorrelatedReader (+ DIST_ZERO_1 17)) (= T_java_lang_RuntimeException (+ DIST_ZERO_1 18)) (= T_java_lang_NumberFormatException (+ DIST_ZERO_1 19)) (= T_java_io_Serializable (+ DIST_ZERO_1 20)) (= T_java_lang_Exception (+ DIST_ZERO_1 21)) (= T_javafe_util_Assert (+ DIST_ZERO_1 22)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 23)) (= T_java_lang_Integer (+ DIST_ZERO_1 24)) (= T_java_lang_Object (+ DIST_ZERO_1 25)) (= T_java_lang_Throwable (+ DIST_ZERO_1 26)) (= T_javafe_util_Location (+ DIST_ZERO_1 27)) (= T_java_lang_Comparable (+ DIST_ZERO_1 28))) (= true_term (is NULL_23_60_26 T_int)) (= NULL_23_60_26 0) (= true_term (is STARTFREELOC_4_18_38 T_int)) (= STARTFREELOC_4_18_38 1000000)))
(declare-fun L_92_1 () Int)
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun C_92_1 () Int)
(declare-fun L_88_1 () Int)
(declare-fun maxLoc_pre_4_33_16 () Int)
(declare-fun maxLoc_4_33_16 () Int)
(declare-fun endBufNdx_pre_4_60_16 () Int)
(declare-fun endBufNdx_4_60_16 () Int)
(declare-fun oddSlashLoc_pre_4_91_16 () Int)
(declare-fun oddSlashLoc_4_91_16 () Int)
(declare-fun markNdx_pre_4_213_16 () Int)
(declare-fun markNdx_4_213_16 () Int)
(declare-fun buf_pre_4_42_36 () Int)
(declare-fun buf_4_42_36 () Int)
(declare-fun beforeBufLoc_pre_4_52_16 () Int)
(declare-fun beforeBufLoc_4_52_16 () Int)
(declare-fun NULL_pre_23_60_26 () Int)
(declare-fun STARTFREELOC_pre_4_18_38 () Int)
(declare-fun minLoc_pre_4_32_16 () Int)
(declare-fun minLoc_4_32_16 () Int)
(declare-fun curNdx_pre_4_69_16 () Int)
(declare-fun curNdx_4_69_16 () Int)
(declare-fun lastCharNdx_pre_4_82_16 () Int)
(declare-fun lastCharNdx_4_82_16 () Int)
(declare-fun file_pre_26_38 () Int)
(declare-fun file_26_38 () Int)
(declare-fun marked_pre_5_92_41 () Int)
(declare-fun marked_5_92_41 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun EC_66_13_66_13 () Int)
(declare-fun RES () Int)
(declare-fun RES_66_13_66_13 () Int)
(declare-fun EC () Int)
(declare-fun XRES () Int)
(declare-fun XRES_66_13_66_13 () Int)
(declare-fun RES_1_ () Int)
(declare-fun EC_1_ () Int)
(declare-fun XRES_1_ () Int)
(declare-fun RES_71_11_71_11 () Int)
(declare-fun EC_71_11_71_11 () Int)
(declare-fun XRES_71_11_71_11 () Int)
(declare-fun RES_2_ () Int)
(declare-fun EC_2_ () Int)
(declare-fun XRES_2_ () Int)
(declare-fun lastCharNdx_80_4 () Int)
(declare-fun tmp0_buf_82_12 () Int)
(declare-fun tmp1_old_curNdx_82_16 () Int)
(declare-fun curNdx_82_16 () Int)
(declare-fun c_82_4 () Int)
(declare-fun tmp3_84_19 () Int)
(declare-fun RES_84_36_84_36 () Int)
(declare-fun EC_84_36_84_36 () Int)
(declare-fun tmp2_cand_84_8 () Int)
(declare-fun RES_3_ () Int)
(declare-fun EC_3_ () Int)
(declare-fun tmp2_cand_84_16 () Int)
(declare-fun XRES_3_ () Int)
(declare-fun XRES_84_36_84_36 () Int)
(declare-fun RES_86_10_86_10 () Int)
(declare-fun EC_86_10_86_10 () Int)
(declare-fun XRES_86_10_86_10 () Int)
(declare-fun EC_loopold () Int)
(declare-fun curNdx_loopold_4_69_16 () Int)
(declare-fun RES_88_1_0_88_8_88_8 () Int)
(declare-fun EC_88_1_0_88_8_88_8 () Int)
(declare-fun XRES_88_1_0_88_8_88_8 () Int)
(declare-fun tmp4_old_curNdx_88_1_0_89_3 () Int)
(declare-fun curNdx_88_1_0_89_3 () Int)
(declare-fun EC_88_8 () Int)
(declare-fun RES_4_ () Int)
(declare-fun EC_4_ () Int)
(declare-fun curNdx_4_69_16_1_ () Int)
(declare-fun XRES_4_ () Int)
(declare-fun RES_88_1_1_88_8_88_8 () Int)
(declare-fun EC_88_1_1_88_8_88_8 () Int)
(declare-fun XRES_88_1_1_88_8_88_8 () Int)
(declare-fun EC_88_8_1_ () Int)
(declare-fun RES_5_ () Int)
(declare-fun EC_5_ () Int)
(declare-fun curNdx_4_69_16_2_ () Int)
(declare-fun XRES_5_ () Int)
(declare-fun tmp5_new_char___91_12 () Int)
(declare-fun alloc_1_ () Int)
(declare-fun owner_6_35_28 () Int)
(declare-fun elems_loopold () Int)
(declare-fun i_loopold_92_10 () Int)
(declare-fun EC_loopold_1_ () Int)
(declare-fun alloc_loopold () Int)
(declare-fun XRES_loopold () Int)
(declare-fun RES_92_1_0_93_16_93_16 () Int)
(declare-fun EC_92_1_0_93_16_93_16 () Int)
(declare-fun XRES_92_1_0_93_16_93_16 () Int)
(declare-fun elems_92_1_0 () Int)
(declare-fun tmp8_92_1_0_94_24 () Int)
(declare-fun RES_92_1_0_94_17_94_17 () Int)
(declare-fun EC_92_1_0_94_17_94_17 () Int)
(declare-fun after_95_11_92_1_0_95_11 () Int)
(declare-fun RES_92_1_0_95_11_95_11 () Int)
(declare-fun EC_92_1_0_95_11_95_11 () Int)
(declare-fun RES_6_ () Int)
(declare-fun EC_6_ () Int)
(declare-fun alloc_2_ () Int)
(declare-fun XRES_6_ () Int)
(declare-fun RES_93_3 () Int)
(declare-fun EC_93_3 () Int)
(declare-fun alloc_93_3 () Int)
(declare-fun XRES_93_3 () Int)
(declare-fun RES_7_ () Int)
(declare-fun EC_7_ () Int)
(declare-fun alloc_3_ () Int)
(declare-fun XRES_7_ () Int)
(declare-fun RES_93_3_1_ () Int)
(declare-fun EC_93_3_1_ () Int)
(declare-fun alloc_93_3_1_ () Int)
(declare-fun XRES_93_3_1_ () Int)
(declare-fun XRES_92_1_0_94_17_94_17 () Int)
(declare-fun i_92_1_0_92_20 () Int)
(declare-fun RES_8_ () Int)
(declare-fun EC_8_ () Int)
(declare-fun alloc_4_ () Int)
(declare-fun XRES_8_ () Int)
(declare-fun RES_9_ () Int)
(declare-fun EC_9_ () Int)
(declare-fun lastCharNdx_4_82_16_1_ () Int)
(declare-fun lastCharNdx_74_1 () Int)
(declare-fun RES_10_ () Int)
(declare-fun EC_10_ () Int)
(declare-fun curNdx_4_69_16_3_ () Int)
(declare-fun alloc_5_ () Int)
(declare-fun lastCharNdx_4_82_16_2_ () Int)
(declare-fun XRES_9_ () Int)
(declare-fun EC_11_ () Int)
(declare-fun curNdx_4_69_16_4_ () Int)
(declare-fun alloc_6_ () Int)
(declare-fun XRES_10_ () Int)
(declare-fun RES_11_ () Int)
(declare-fun EC_12_ () Int)
(declare-fun curNdx_4_69_16_5_ () Int)
(declare-fun alloc_7_ () Int)
(declare-fun XRES_11_ () Int)
(declare-fun after_98_23_98_23 () Int)
(declare-fun RES_98_23_98_23 () Int)
(declare-fun EC_98_23_98_23 () Int)
(declare-fun RES_98_13_98_13 () Int)
(declare-fun EC_98_13_98_13 () Int)
(declare-fun XRES_98_13_98_13 () Int)
(declare-fun EC_13_ () Int)
(declare-fun curNdx_4_69_16_6_ () Int)
(declare-fun c_82_8 () Int)
(declare-fun alloc_8_ () Int)
(declare-fun XRES_12_ () Int)
(declare-fun RES_101_15_101_15 () Int)
(declare-fun EC_101_15_101_15 () Int)
(declare-fun oddSlashLoc_101_1 () Int)
(declare-fun XRES_101_15_101_15 () Int)
(declare-fun EC_14_ () Int)
(declare-fun curNdx_4_69_16_7_ () Int)
(declare-fun c_82_8_1_ () Int)
(declare-fun alloc_9_ () Int)
(declare-fun XRES_13_ () Int)
(assert (let ((?v_17 (S_select buf_4_42_36 this))) (let ((?v_1 (= ?v_17 null)) (?v_2 (= true_term true_term)) (?v_0 (= EC_66_13_66_13 ecReturn))) (let ((?v_3 (not ?v_1))) (let ((?v_101 (or (and ?v_1 ?v_2 ?v_0 (not ?v_0) (= RES RES_66_13_66_13) (= EC EC_66_13_66_13) (= XRES XRES_66_13_66_13)) (and ?v_3 ?v_2 (= RES RES_1_) (= EC EC_1_) (= XRES XRES_1_)))) (?v_5 (S_select curNdx_4_69_16 this)) (?v_9 (S_select endBufNdx_4_60_16 this))) (let ((?v_4 (= ?v_5 ?v_9)) (?v_30 (not ?v_3))) (let ((?v_16 (not ?v_4)) (?v_7 (S_select lastCharNdx_4_82_16 this))) (let ((?v_6 (<= ?v_7 ?v_5)) (?v_8 (<= 0 ?v_7)) (?v_10 (<= ?v_5 ?v_9)) (?v_11 (<= 0 ?v_5)) (?v_102 (= true_term (is RES_71_11_71_11 T_boolean))) (?v_12 (= EC_71_11_71_11 ecThrow)) (?v_13 (typeof XRES_71_11_71_11))) (let ((?v_103 (=> ?v_12 (and (not (= XRES_71_11_71_11 null)) (= (PO_LT ?v_13 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_71_11_71_11 alloc))))) (?v_14 (= EC_71_11_71_11 ecReturn))) (let ((?v_104 (or ?v_14 (and ?v_12 (= (PO_LT ?v_13 T_java_io_IOException) true_term)))) (?v_15 (= true_term RES_71_11_71_11))) (let ((?v_105 (=> (and ?v_14 ?v_15) (< ?v_5 ?v_9)))) (let ((?v_108 (or (and ?v_4 ?v_2 ?v_3 ?v_4 ?v_6 ?v_8 ?v_10 ?v_11 ?v_102 ?v_103 ?v_104 ?v_105 ?v_14 ?v_15 ?v_2 (= RES_2_ RES_71_11_71_11) (= EC_2_ EC_71_11_71_11) (= XRES_2_ XRES_71_11_71_11)) (and ?v_16 ?v_2 (= RES_2_ RES) (= EC_2_ EC) (= XRES_2_ XRES)))) (?v_106 (S_store lastCharNdx_4_82_16 this ?v_5))) (let ((?v_109 (= lastCharNdx_80_4 ?v_106)) (?v_110 (= tmp0_buf_82_12 ?v_17)) (?v_111 (= tmp1_old_curNdx_82_16 ?v_5)) (?v_112 (= curNdx_82_16 (S_store curNdx_4_69_16 this (+ tmp1_old_curNdx_82_16 1)))) (?v_18 (not (= tmp0_buf_82_12 null))) (?v_19 (<= 0 tmp1_old_curNdx_82_16)) (?v_20 (< tmp1_old_curNdx_82_16 (arrayLength tmp0_buf_82_12))) (?v_113 (= c_82_4 (S_select (S_select elems tmp0_buf_82_12) tmp1_old_curNdx_82_16))) (?v_26 (= c_82_4 92)) (?v_27 (= tmp3_84_19 (+ (S_select oddSlashLoc_4_91_16 this) 1))) (?v_24 (S_select curNdx_82_16 this)) (?v_22 (S_select lastCharNdx_80_4 this))) (let ((?v_21 (<= ?v_22 ?v_24))) (let ((?v_31 (not ?v_21)) (?v_23 (<= 0 ?v_22))) (let ((?v_41 (not ?v_23)) (?v_25 (<= ?v_24 ?v_9)) (?v_28 (<= 0 ?v_24))) (let ((?v_32 (and ?v_21 (or ?v_41 (and ?v_23 (or (not ?v_25) (and ?v_25 (not ?v_28))))))) (?v_29 (= EC_84_36_84_36 ecReturn))) (let ((?v_114 (or (and ?v_26 ?v_27 ?v_21 ?v_23 ?v_25 ?v_28 (= true_term (is RES_84_36_84_36 T_int)) ?v_29 (=> ?v_29 (not (= RES_84_36_84_36 NULL_23_60_26))) (= tmp2_cand_84_8 (integralNE tmp3_84_19 RES_84_36_84_36)) (= RES_3_ RES_84_36_84_36) (= EC_3_ EC_84_36_84_36) (= tmp2_cand_84_16 tmp2_cand_84_8) (= XRES_3_ XRES_84_36_84_36)) (and (not ?v_26) ?v_2 (= RES_3_ RES_2_) (= EC_3_ EC_2_) (= tmp2_cand_84_16 false_term) (= XRES_3_ XRES_2_)))) (?v_115 (= true_term tmp2_cand_84_16)) (?v_116 (= true_term (is RES_86_10_86_10 T_int))) (?v_33 (= EC_86_10_86_10 ecThrow)) (?v_34 (typeof XRES_86_10_86_10))) (let ((?v_117 (=> ?v_33 (and (not (= XRES_86_10_86_10 null)) (= (PO_LT ?v_34 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_86_10_86_10 alloc))))) (?v_35 (= EC_86_10_86_10 ecReturn))) (let ((?v_118 (or ?v_35 (and ?v_33 (= (PO_LT ?v_34 T_java_io_IOException) true_term)))) (?v_39 (< ?v_24 ?v_9))) (let ((?v_119 (=> (and ?v_35 (<= 0 RES_86_10_86_10)) ?v_39)) (?v_100 (= RES_86_10_86_10 117)) (?v_44 (= EC_86_10_86_10 EC_loopold)) (?v_45 (= curNdx_82_16 curNdx_loopold_4_69_16)) (?v_46 (= true_term (is RES_88_1_0_88_8_88_8 T_int))) (?v_36 (= EC_88_1_0_88_8_88_8 ecThrow)) (?v_37 (typeof XRES_88_1_0_88_8_88_8))) (let ((?v_47 (=> ?v_36 (and (not (= XRES_88_1_0_88_8_88_8 null)) (= (PO_LT ?v_37 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_88_1_0_88_8_88_8 alloc))))) (?v_38 (= EC_88_1_0_88_8_88_8 ecReturn))) (let ((?v_48 (or ?v_38 (and ?v_36 (= (PO_LT ?v_37 T_java_io_IOException) true_term)))) (?v_49 (=> (and ?v_38 (<= 0 RES_88_1_0_88_8_88_8)) ?v_39)) (?v_50 (= RES_88_1_0_88_8_88_8 117)) (?v_51 (= tmp4_old_curNdx_88_1_0_89_3 ?v_24)) (?v_52 (= curNdx_88_1_0_89_3 (S_store curNdx_82_16 this (+ tmp4_old_curNdx_88_1_0_89_3 1)))) (?v_42 (S_select curNdx_88_1_0_89_3 this))) (let ((?v_40 (<= ?v_22 ?v_42)) (?v_43 (<= ?v_42 ?v_9)) (?v_53 (<= 0 ?v_42)) (?v_57 (= true_term (is RES_88_1_1_88_8_88_8 T_int))) (?v_54 (= EC_88_1_1_88_8_88_8 ecThrow)) (?v_55 (typeof XRES_88_1_1_88_8_88_8))) (let ((?v_58 (=> ?v_54 (and (not (= XRES_88_1_1_88_8_88_8 null)) (= (PO_LT ?v_55 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_88_1_1_88_8_88_8 alloc))))) (?v_56 (= EC_88_1_1_88_8_88_8 ecReturn))) (let ((?v_59 (or ?v_56 (and ?v_54 (= (PO_LT ?v_55 T_java_io_IOException) true_term)))) (?v_60 (=> (and ?v_56 (<= 0 RES_88_1_1_88_8_88_8)) (< ?v_42 ?v_9)))) (let ((?v_120 (or (and ?v_2 (or (and ?v_3 ?v_21 ?v_23 ?v_25 ?v_28 ?v_46 ?v_47 ?v_48 ?v_49 ?v_2 ?v_36 (= EC_88_8 EC_88_1_0_88_8_88_8)) (and ?v_3 ?v_21 ?v_23 ?v_25 ?v_28 ?v_46 ?v_47 ?v_48 ?v_49 ?v_38 (not ?v_50) (= EC_88_8 L_88_1))) (= RES_4_ RES_88_1_0_88_8_88_8) (= EC_4_ EC_88_8) (= curNdx_4_69_16_1_ curNdx_82_16) (= XRES_4_ XRES_88_1_0_88_8_88_8)) (and ?v_2 ?v_3 ?v_21 ?v_23 ?v_25 ?v_28 ?v_46 ?v_47 ?v_48 ?v_49 ?v_38 ?v_50 ?v_51 ?v_52 ?v_2 (or (and ?v_3 ?v_40 ?v_23 ?v_43 ?v_53 ?v_57 ?v_58 ?v_59 ?v_60 ?v_2 ?v_54 (= EC_88_8_1_ EC_88_1_1_88_8_88_8)) (and ?v_3 ?v_40 ?v_23 ?v_43 ?v_53 ?v_57 ?v_58 ?v_59 ?v_60 ?v_56 (not (= RES_88_1_1_88_8_88_8 117)) (= EC_88_8_1_ L_88_1))) (= RES_4_ RES_88_1_1_88_8_88_8) (= EC_4_ EC_88_8_1_) (= curNdx_4_69_16_1_ curNdx_88_1_0_89_3) (= XRES_4_ XRES_88_1_1_88_8_88_8)))) (?v_121 (= EC_4_ L_88_1)) (?v_122 (= RES_5_ RES_4_)) (?v_123 (= EC_5_ EC_4_)) (?v_124 (= curNdx_4_69_16_2_ curNdx_4_69_16_1_)) (?v_125 (= XRES_5_ XRES_4_)) (?v_61 (<= 0 4)) (?v_126 (= true_term (arrayFresh tmp5_new_char___91_12 alloc alloc_1_ elems (arrayShapeOne 4) (array T_char) 0))) (?v_127 (forall ((?o Int)) (=> (and (not (= true_term (isAllocated ?o alloc))) (= true_term (isAllocated ?o alloc_1_))) (= true_term (isNewArray ?o))))) (?v_128 (forall ((?o_1_ Int)) (=> (and (not (= true_term (isAllocated ?o_1_ alloc))) (= true_term (isAllocated ?o_1_ alloc_1_))) (= (S_select owner_6_35_28 tmp5_new_char___91_12) null)))) (?v_76 (= elems elems_loopold)) (?v_77 (= 0 i_loopold_92_10)) (?v_78 (= EC_5_ EC_loopold_1_)) (?v_79 (= alloc_1_ alloc_loopold)) (?v_80 (= XRES_5_ XRES_loopold)) (?v_81 (< 0 4)) (?v_63 (S_select curNdx_4_69_16_2_ this))) (let ((?v_62 (<= ?v_22 ?v_63)) (?v_64 (<= ?v_63 ?v_9)) (?v_65 (<= 0 ?v_63)) (?v_82 (= true_term (is RES_92_1_0_93_16_93_16 T_int))) (?v_66 (= EC_92_1_0_93_16_93_16 ecThrow)) (?v_67 (typeof XRES_92_1_0_93_16_93_16))) (let ((?v_83 (=> ?v_66 (and (not (= XRES_92_1_0_93_16_93_16 null)) (= (PO_LT ?v_67 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_92_1_0_93_16_93_16 alloc_1_))))) (?v_68 (= EC_92_1_0_93_16_93_16 ecReturn))) (let ((?v_84 (or ?v_68 (and ?v_66 (= (PO_LT ?v_67 T_java_io_IOException) true_term)))) (?v_69 (not (= tmp5_new_char___91_12 null)))) (let ((?v_72 (not ?v_69)) (?v_70 (<= 0 0))) (let ((?v_73 (not ?v_70)) (?v_71 (< 0 (arrayLength tmp5_new_char___91_12)))) (let ((?v_74 (not ?v_71)) (?v_85 (= elems_92_1_0 (S_store elems tmp5_new_char___91_12 (S_store (S_select elems tmp5_new_char___91_12) 0 (cast RES_92_1_0_93_16_93_16 T_char))))) (?v_86 (= tmp8_92_1_0_94_24 (S_select (S_select elems_92_1_0 tmp5_new_char___91_12) 0))) (?v_87 (= true_term (is RES_92_1_0_94_17_94_17 T_int))) (?v_88 (= EC_92_1_0_94_17_94_17 ecReturn)) (?v_107 (- 0 1))) (let ((?v_89 (= RES_92_1_0_94_17_94_17 ?v_107)) (?v_90 (< alloc_1_ after_95_11_92_1_0_95_11)) (?v_75 (not (= RES_92_1_0_95_11_95_11 null))) (?v_91 (not (= true_term (isAllocated RES_92_1_0_95_11_95_11 alloc_1_)))) (?v_92 (= true_term (is RES_92_1_0_95_11_95_11 T_java_io_IOException))) (?v_93 (= true_term (isAllocated RES_92_1_0_95_11_95_11 after_95_11_92_1_0_95_11))) (?v_94 (= EC_92_1_0_95_11_95_11 ecReturn)) (?v_95 (= (S_select owner_6_35_28 RES_92_1_0_95_11_95_11) null)) (?v_96 (= (typeof RES_92_1_0_95_11_95_11) T_java_io_IOException))) (let ((?v_97 (or (and ?v_3 ?v_62 ?v_23 ?v_64 ?v_65 ?v_82 ?v_83 ?v_84 ?v_2 ?v_66 (= RES_93_3 RES_92_1_0_93_16_93_16) (= EC_93_3 EC_92_1_0_93_16_93_16) (= alloc_93_3 alloc_1_) (= XRES_93_3 XRES_92_1_0_93_16_93_16)) (and ?v_3 ?v_62 ?v_23 ?v_64 ?v_65 ?v_82 ?v_83 ?v_84 ?v_68 ?v_69 ?v_70 ?v_71 ?v_85 ?v_69 ?v_70 ?v_71 ?v_86 ?v_87 ?v_88 ?v_89 ?v_2 ?v_90 ?v_75 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_75 ?v_2 (= RES_93_3 RES_92_1_0_95_11_95_11) (= EC_93_3 ecThrow) (= alloc_93_3 after_95_11_92_1_0_95_11) (= XRES_93_3 RES_92_1_0_95_11_95_11)))) (?v_98 (= EC_93_3 C_92_1)) (?v_99 (= EC_7_ L_92_1))) (let ((?v_129 (or (and ?v_2 (or (and (not ?v_81) (= RES_6_ RES_5_) (= EC_6_ L_92_1) (= alloc_2_ alloc_1_) (= XRES_6_ XRES_5_)) (and ?v_81 ?v_97 (not ?v_98) (= RES_6_ RES_93_3) (= EC_6_ EC_93_3) (= alloc_2_ alloc_93_3) (= XRES_6_ XRES_93_3))) (= RES_7_ RES_6_) (= EC_7_ EC_6_) (= alloc_3_ alloc_2_) (= XRES_7_ XRES_6_)) (and ?v_2 ?v_81 (or (and ?v_3 ?v_62 ?v_23 ?v_64 ?v_65 ?v_82 ?v_83 ?v_84 ?v_68 ?v_69 ?v_70 ?v_71 ?v_85 ?v_69 ?v_70 ?v_71 ?v_86 ?v_87 ?v_88 (not ?v_89) ?v_2 (= RES_93_3_1_ RES_92_1_0_94_17_94_17) (= EC_93_3_1_ EC_92_1_0_94_17_94_17) (= alloc_93_3_1_ alloc_1_) (= XRES_93_3_1_ XRES_92_1_0_94_17_94_17)) (and ?v_97 ?v_98 (= RES_93_3_1_ RES_93_3) (= EC_93_3_1_ EC_93_3) (= alloc_93_3_1_ alloc_93_3) (= XRES_93_3_1_ XRES_93_3))) (= i_92_1_0_92_20 (+ 0 1)) ?v_2 (not (< i_92_1_0_92_20 4)) (= RES_7_ RES_93_3_1_) ?v_99 (= alloc_3_ alloc_93_3_1_) (= XRES_7_ XRES_93_3_1_)))) (?v_130 (= RES_8_ RES_7_)) (?v_131 (= EC_8_ EC_7_)) (?v_132 (= alloc_4_ alloc_3_)) (?v_133 (= XRES_8_ XRES_7_)) (?v_149 (not ?v_100)) (?v_136 (= curNdx_4_69_16_5_ curNdx_4_69_16_2_)) (?v_137 (< alloc_4_ after_98_23_98_23)) (?v_138 (not (= RES_98_23_98_23 null))) (?v_139 (not (= true_term (isAllocated RES_98_23_98_23 alloc_4_)))) (?v_140 (= true_term (is RES_98_23_98_23 T_java_lang_String))) (?v_141 (= true_term (isAllocated RES_98_23_98_23 after_98_23_98_23))) (?v_142 (= EC_98_23_98_23 ecReturn)) (?v_143 (= (S_select owner_6_35_28 RES_98_23_98_23) null)) (?v_144 (= (typeof RES_98_23_98_23) T_java_lang_String)) (?v_145 (= true_term (is RES_98_13_98_13 T_int))) (?v_134 (= EC_98_13_98_13 ecThrow)) (?v_135 (typeof XRES_98_13_98_13))) (let ((?v_146 (=> ?v_134 (and (not (= XRES_98_13_98_13 null)) (= (PO_LT ?v_135 T_java_lang_Throwable) true_term) (= true_term (isAllocated XRES_98_13_98_13 after_98_23_98_23))))) (?v_148 (= EC_98_13_98_13 ecReturn))) (let ((?v_147 (or ?v_148 (and ?v_134 (= (PO_LT ?v_135 T_java_lang_NumberFormatException) true_term)))) (?v_151 (= lastCharNdx_4_82_16_2_ lastCharNdx_80_4)) (?v_150 (= EC_101_15_101_15 ecReturn)) (?v_152 (= EC_10_ ecReturn))) (not (=> (distinct L_92_1 ecReturn ecThrow C_92_1 L_88_1) (=> (and (= maxLoc_pre_4_33_16 maxLoc_4_33_16) (= maxLoc_4_33_16 (asField maxLoc_4_33_16 T_int)) (= endBufNdx_pre_4_60_16 endBufNdx_4_60_16) (= endBufNdx_4_60_16 (asField endBufNdx_4_60_16 T_int)) (= oddSlashLoc_pre_4_91_16 oddSlashLoc_4_91_16) (= oddSlashLoc_4_91_16 (asField oddSlashLoc_4_91_16 T_int)) (= markNdx_pre_4_213_16 markNdx_4_213_16) (= markNdx_4_213_16 (asField markNdx_4_213_16 T_int)) (= buf_pre_4_42_36 buf_4_42_36) (= buf_4_42_36 (asField buf_4_42_36 (array T_byte))) (< (fClosedTime buf_4_42_36) alloc) (= beforeBufLoc_pre_4_52_16 beforeBufLoc_4_52_16) (= beforeBufLoc_4_52_16 (asField beforeBufLoc_4_52_16 T_int)) (= NULL_pre_23_60_26 NULL_23_60_26) (= true_term (is NULL_23_60_26 T_int)) (= STARTFREELOC_pre_4_18_38 STARTFREELOC_4_18_38) (= true_term (is STARTFREELOC_4_18_38 T_int)) (= minLoc_pre_4_32_16 minLoc_4_32_16) (= minLoc_4_32_16 (asField minLoc_4_32_16 T_int)) (= curNdx_pre_4_69_16 curNdx_4_69_16) (= curNdx_4_69_16 (asField curNdx_4_69_16 T_int)) (= lastCharNdx_pre_4_82_16 lastCharNdx_4_82_16) (= lastCharNdx_4_82_16 (asField lastCharNdx_4_82_16 T_int)) (= file_pre_26_38 file_26_38) (= file_26_38 (asField file_26_38 T_javafe_genericfile_GenericFile)) (< (fClosedTime file_26_38) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select file_26_38 ?s) null)))) (= marked_pre_5_92_41 marked_5_92_41) (= marked_5_92_41 (asField marked_5_92_41 T_boolean)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_util_SubCorrelatedReader)) (= true_term (isAllocated this alloc)) (not (= this null)) (forall ((?brokenObj Int)) (let ((?v_153 (S_select markNdx_4_213_16 ?brokenObj))) (=> (and (= true_term (is ?brokenObj T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj null)) (= true_term (S_select marked_5_92_41 ?brokenObj))) (and (<= 0 ?v_153) (<= ?v_153 (S_select curNdx_4_69_16 ?brokenObj)))))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_1_ null))) (<= (S_select lastCharNdx_4_82_16 ?brokenObj_1_) (S_select curNdx_4_69_16 ?brokenObj_1_)))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_2_ null))) (<= 0 (S_select lastCharNdx_4_82_16 ?brokenObj_2_)))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_3_ null))) (<= (S_select curNdx_4_69_16 ?brokenObj_3_) (S_select endBufNdx_4_60_16 ?brokenObj_3_)))) (forall ((?brokenObj_4_ Int)) (let ((?v_154 (S_select buf_4_42_36 ?brokenObj_4_))) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_4_ null)) (not (= ?v_154 null))) (<= (S_select endBufNdx_4_60_16 ?brokenObj_4_) (arrayLength ?v_154))))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_util_BufferedCorrelatedReader)) (not (= ?brokenObj_5_ null))) (<= 0 (S_select curNdx_4_69_16 ?brokenObj_5_)))) (or (and ?v_101 (or (and ?v_4 ?v_2 (or ?v_30 (and ?v_3 (or ?v_16 (and ?v_4 (or (not (forall ((?brokenObj_6_ Int)) (let ((?v_155 (S_select markNdx_4_213_16 ?brokenObj_6_))) (=> (and (= ?brokenObj_6_ this) (= true_term (S_select marked_5_92_41 ?brokenObj_6_))) (and (<= 0 ?v_155) (<= ?v_155 (S_select curNdx_4_69_16 ?brokenObj_6_))))))) (not ?v_6) (and ?v_6 (or (not ?v_8) (and ?v_8 (or (not ?v_10) (and ?v_10 (not ?v_11)))))))))))) (and ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 (or (not ?v_18) (and ?v_18 (or (not ?v_19) (and ?v_19 (or (not ?v_20) (and ?v_20 ?v_113 (or (and ?v_26 ?v_27 (or (not (forall ((?brokenObj_7_ Int)) (let ((?v_156 (S_select markNdx_4_213_16 ?brokenObj_7_))) (=> (and (= ?brokenObj_7_ this) (= true_term (S_select marked_5_92_41 ?brokenObj_7_))) (and (<= 0 ?v_156) (<= ?v_156 (S_select curNdx_82_16 ?brokenObj_7_))))))) ?v_31 ?v_32)) (and ?v_114 ?v_115 ?v_2 (or ?v_30 (and ?v_3 (or (not (forall ((?brokenObj_8_ Int)) (let ((?v_157 (S_select markNdx_4_213_16 ?brokenObj_8_))) (=> (and (= ?brokenObj_8_ this) (= true_term (S_select marked_5_92_41 ?brokenObj_8_))) (and (<= 0 ?v_157) (<= ?v_157 (S_select curNdx_82_16 ?brokenObj_8_))))))) ?v_31 ?v_32)) (and ?v_3 ?v_21 ?v_23 ?v_25 ?v_28 ?v_116 ?v_117 ?v_118 ?v_119 ?v_35 (or (and ?v_100 ?v_2 (or (and ?v_44 ?v_45 (or (and ?v_2 (or ?v_30 (and ?v_3 (or (not (forall ((?brokenObj_9_ Int)) (let ((?v_158 (S_select markNdx_4_213_16 ?brokenObj_9_))) (=> (and (= ?brokenObj_9_ this) (= true_term (S_select marked_5_92_41 ?brokenObj_9_))) (and (<= 0 ?v_158) (<= ?v_158 (S_select curNdx_82_16 ?brokenObj_9_))))))) ?v_31 ?v_32)))) (and ?v_2 ?v_3 ?v_21 ?v_23 ?v_25 ?v_28 ?v_46 ?v_47 ?v_48 ?v_49 ?v_38 ?v_50 ?v_51 ?v_52 ?v_2 (or ?v_30 (and ?v_3 (or (not (forall ((?brokenObj_9_ Int)) (let ((?v_159 (S_select markNdx_4_213_16 ?brokenObj_9_))) (=> (and (= ?brokenObj_9_ this) (= true_term (S_select marked_5_92_41 ?brokenObj_9_))) (and (<= 0 ?v_159) (<= ?v_159 (S_select curNdx_88_1_0_89_3 ?brokenObj_9_))))))) (not ?v_40) (and ?v_40 (or ?v_41 (and ?v_23 (or (not ?v_43) (and ?v_43 (not ?v_53)))))))))))) (and ?v_44 ?v_45 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 (or (not ?v_61) (and ?v_61 ?v_126 ?v_127 ?v_128 (or (and ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_2 ?v_81 (or ?v_30 (and ?v_3 (or (not (forall ((?brokenObj_10_ Int)) (let ((?v_160 (S_select markNdx_4_213_16 ?brokenObj_10_))) (=> (and (= ?brokenObj_10_ this) (= true_term (S_select marked_5_92_41 ?brokenObj_10_))) (and (<= 0 ?v_160) (<= ?v_160 (S_select curNdx_4_69_16_2_ ?brokenObj_10_))))))) (not ?v_62) (and ?v_62 (or ?v_41 (and ?v_23 (or (not ?v_64) (and ?v_64 (not ?v_65)))))))) (and ?v_3 ?v_62 ?v_23 ?v_64 ?v_65 ?v_82 ?v_83 ?v_84 ?v_68 (or ?v_72 (and ?v_69 (or ?v_73 (and ?v_70 (or ?v_74 (and ?v_71 ?v_85 (or ?v_72 (and ?v_69 (or ?v_73 (and ?v_70 (or ?v_74 (and ?v_71 ?v_86 ?v_87 ?v_88 ?v_89 ?v_2 ?v_90 ?v_75 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 (not ?v_75)))))))))))))))) (and ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_129 ?v_99 ?v_130 ?v_131 ?v_132 ?v_133 ?v_72))))))) (and ?v_149 ?v_2 (or (not (forall ((?brokenObj_11_ Int)) (let ((?v_161 (S_select markNdx_4_213_16 ?brokenObj_11_))) (=> (and (= ?brokenObj_11_ this) (= true_term (S_select marked_5_92_41 ?brokenObj_11_))) (and (<= 0 ?v_161) (<= ?v_161 (S_select curNdx_82_16 ?brokenObj_11_))))))) ?v_31 ?v_32)))))))))))))))) (and ?v_101 (or (and ?v_4 ?v_2 (or (and ?v_3 ?v_4 ?v_6 ?v_8 ?v_10 ?v_11 ?v_102 ?v_103 ?v_104 ?v_105 ?v_2 ?v_12 (= RES_9_ RES_71_11_71_11) (= EC_9_ EC_71_11_71_11) (= lastCharNdx_4_82_16_1_ lastCharNdx_4_82_16)) (and ?v_3 ?v_4 ?v_6 ?v_8 ?v_10 ?v_11 ?v_102 ?v_103 ?v_104 ?v_105 ?v_14 (not ?v_15) ?v_2 (= lastCharNdx_74_1 ?v_106) (= RES_10_ ?v_107) ?v_2 (= RES_9_ RES_10_) (= EC_9_ ecReturn) (= lastCharNdx_4_82_16_1_ lastCharNdx_74_1))) (= EC_10_ EC_9_) (= curNdx_4_69_16_3_ curNdx_4_69_16) (= alloc_5_ alloc) (= lastCharNdx_4_82_16_2_ lastCharNdx_4_82_16_1_) (= XRES_9_ XRES_71_11_71_11)) (and ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_18 ?v_19 ?v_20 ?v_113 ?v_114 (or (and ?v_115 ?v_2 (or (and ?v_3 ?v_21 ?v_23 ?v_25 ?v_28 ?v_116 ?v_117 ?v_118 ?v_119 ?v_2 ?v_33 (= EC_11_ EC_86_10_86_10) (= curNdx_4_69_16_4_ curNdx_82_16) (= alloc_6_ alloc) (= XRES_10_ XRES_86_10_86_10)) (and ?v_3 ?v_21 ?v_23 ?v_25 ?v_28 ?v_116 ?v_117 ?v_118 ?v_119 ?v_35 ?v_100 ?v_2 (or (and ?v_44 ?v_45 ?v_120 (not ?v_121) (= RES_11_ RES_4_) (= EC_12_ EC_4_) (= curNdx_4_69_16_5_ curNdx_4_69_16_1_) (= alloc_7_ alloc) (= XRES_11_ XRES_4_)) (and ?v_44 ?v_45 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_61 ?v_126 ?v_127 ?v_128 (or (and ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_129 (not ?v_99) (= RES_11_ RES_7_) (= EC_12_ EC_7_) ?v_136 (= alloc_7_ alloc_3_) (= XRES_11_ XRES_7_)) (and ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_129 ?v_99 ?v_130 ?v_131 ?v_132 ?v_133 ?v_69 ?v_137 ?v_138 ?v_139 ?v_140 ?v_141 ?v_142 ?v_143 ?v_144 ?v_145 ?v_146 ?v_147 ?v_2 ?v_134 (= RES_11_ RES_98_13_98_13) (= EC_12_ EC_98_13_98_13) ?v_136 (= alloc_7_ after_98_23_98_23) (= XRES_11_ XRES_98_13_98_13))))) (= EC_11_ EC_12_) (= curNdx_4_69_16_4_ curNdx_4_69_16_5_) (= alloc_6_ alloc_7_) (= XRES_10_ XRES_11_))) (= EC_10_ EC_11_) (= curNdx_4_69_16_3_ curNdx_4_69_16_4_) (= alloc_5_ alloc_6_) ?v_151 (= XRES_9_ XRES_10_)) (and (or (and ?v_115 ?v_2 ?v_3 ?v_21 ?v_23 ?v_25 ?v_28 ?v_116 ?v_117 ?v_118 ?v_119 ?v_35 (or (and ?v_100 ?v_2 ?v_44 ?v_45 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_61 ?v_126 ?v_127 ?v_128 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_129 ?v_99 ?v_130 ?v_131 ?v_132 ?v_133 ?v_69 ?v_137 ?v_138 ?v_139 ?v_140 ?v_141 ?v_142 ?v_143 ?v_144 ?v_145 ?v_146 ?v_147 ?v_148 (= EC_13_ EC_98_13_98_13) (= curNdx_4_69_16_6_ curNdx_4_69_16_2_) (= c_82_8 RES_98_13_98_13) (= alloc_8_ after_98_23_98_23) (= XRES_12_ XRES_98_13_98_13)) (and ?v_149 ?v_2 ?v_21 ?v_23 ?v_25 ?v_28 (= true_term (is RES_101_15_101_15 T_int)) ?v_150 (=> ?v_150 (not (= RES_101_15_101_15 NULL_23_60_26))) (= oddSlashLoc_101_1 (S_store oddSlashLoc_4_91_16 this RES_101_15_101_15)) (= EC_13_ EC_101_15_101_15) (= curNdx_4_69_16_6_ curNdx_82_16) (= c_82_8 c_82_4) (= alloc_8_ alloc) (= XRES_12_ XRES_101_15_101_15))) (= EC_14_ EC_13_) (= curNdx_4_69_16_7_ curNdx_4_69_16_6_) (= c_82_8_1_ c_82_8) (= alloc_9_ alloc_8_) (= XRES_13_ XRES_12_)) (and (not ?v_115) ?v_2 (= EC_14_ EC_3_) (= curNdx_4_69_16_7_ curNdx_82_16) (= c_82_8_1_ c_82_4) (= alloc_9_ alloc) (= XRES_13_ XRES_3_))) ?v_2 ?v_152 (= curNdx_4_69_16_3_ curNdx_4_69_16_7_) (= alloc_5_ alloc_9_) ?v_151 (= XRES_9_ XRES_13_))))) (or (not (or ?v_152 (and (= EC_10_ ecThrow) (= (PO_LT (typeof XRES_9_) T_java_io_IOException) true_term)))) (not (forall ((?brokenObj Int)) (let ((?v_162 (S_select markNdx_4_213_16 ?brokenObj))) (=> (and (= true_term (is ?brokenObj T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj alloc_5_)) (not (= ?brokenObj null)) (= true_term (S_select marked_5_92_41 ?brokenObj))) (and (<= 0 ?v_162) (<= ?v_162 (S_select curNdx_4_69_16_3_ ?brokenObj))))))) (not (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_1_ alloc_5_)) (not (= ?brokenObj_1_ null))) (<= (S_select lastCharNdx_4_82_16_2_ ?brokenObj_1_) (S_select curNdx_4_69_16_3_ ?brokenObj_1_))))) (not (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_2_ alloc_5_)) (not (= ?brokenObj_2_ null))) (<= 0 (S_select lastCharNdx_4_82_16_2_ ?brokenObj_2_))))) (not (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_3_ alloc_5_)) (not (= ?brokenObj_3_ null))) (<= (S_select curNdx_4_69_16_3_ ?brokenObj_3_) (S_select endBufNdx_4_60_16 ?brokenObj_3_))))) (not (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_util_BufferedCorrelatedReader)) (= true_term (isAllocated ?brokenObj_5_ alloc_5_)) (not (= ?brokenObj_5_ null))) (<= 0 (S_select curNdx_4_69_16_3_ ?brokenObj_5_)))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
