(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source |These benchmarks are translations from the TPTP Library (Thousands of
Problems for Theorem Provers), see http://www.cs.miami.edu/~tptp/

The TPTP is maintained by Geoff Sutcliffe, and he contributed this
selection of benchmarks to SMT-LIB.
|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun summation (Int) Int)
(declare-fun ub (Int Int Int) Bool)
(declare-fun model_max (Int Int Int) Bool)
(declare-fun model_ub (Int Int Int) Bool)
(declare-fun minsol_model_max (Int Int Int) Bool)
(declare-fun minsol_model_ub (Int Int Int) Bool)
(declare-fun max (Int Int) Int)
(assert (forall ((?X Int) (?Y Int)) (= (<= ?X ?Y) (<= (summation ?X) (summation ?Y)))))
(assert (forall ((?X Int) (?Y Int)) (or (= (max ?X ?Y) ?X) (not (<= ?Y ?X)))))
(assert (forall ((?X Int) (?Y Int)) (or (= (max ?X ?Y) ?Y) (not (<= ?X ?Y)))))
(assert (forall ((?X Int) (?Y Int) (?Z Int)) (= (ub ?X ?Y ?Z) (and (<= ?X ?Z) (<= ?Y ?Z)))))
(assert (forall ((?X Int) (?Y Int) (?N Int)) (= (model_max ?X ?Y ?N) (<= (max ?X ?Y) ?N))))
(assert (forall ((?X Int) (?Y Int) (?N Int)) (= (model_ub ?X ?Y ?N) (exists ((?Z Int)) (and (ub ?X ?Y ?Z) (<= ?Z ?N))))))
(assert (forall ((?X Int) (?Y Int) (?N Int)) (= (minsol_model_max ?X ?Y ?N) (and (model_max ?X ?Y ?N) (forall ((?Z Int)) (=> (model_max ?X ?Y ?Z) (<= ?N ?Z)))))))
(assert (forall ((?X Int) (?Y Int) (?N Int)) (= (minsol_model_ub ?X ?Y ?N) (and (model_ub ?X ?Y ?N) (forall ((?Z Int)) (=> (model_ub ?X ?Y ?Z) (<= ?N ?Z)))))))
(assert (not (forall ((?X Int) (?Y Int) (?Z Int)) (= (minsol_model_ub ?X ?Y ?Z) (minsol_model_max ?X ?Y ?Z)))))
(check-sat)
(exit)
