(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_javafe_ast_CompoundName () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_parser_PunctuationPrefixTree () Int)
(declare-fun T_javafe_ast_VariableAccess () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_InitBlock () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_VarDeclStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_ExprVec () Int)
(declare-fun T_javafe_parser_Token () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_ClassDeclStmt () Int)
(declare-fun T_javafe_ast_NewArrayExpr () Int)
(declare-fun T_javafe_ast_WhileStmt () Int)
(declare-fun T_javafe_ast_ModifierPragmaVec () Int)
(declare-fun T_javafe_ast_ThrowStmt () Int)
(declare-fun T_javafe_ast_TypeDeclElemPragma () Int)
(declare-fun T_javafe_ast_StmtVec () Int)
(declare-fun T_javafe_ast_UnaryExpr () Int)
(declare-fun T_javafe_parser_ParseUtil () Int)
(declare-fun T_javafe_ast_LocalVarDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_ParenExpr () Int)
(declare-fun T_javafe_ast_IdentifierVec () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_javafe_util_CorrelatedReader () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_SimpleName () Int)
(declare-fun T_javafe_ast_FormalParaDecl () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_ast_InterfaceDecl () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_javafe_ast_NewInstanceExpr () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_javafe_ast_ExprObjectDesignator () Int)
(declare-fun T_javafe_ast_ObjectDesignator () Int)
(declare-fun T_javafe_ast_ClassDecl () Int)
(declare-fun T_javafe_ast_LexicalPragma () Int)
(declare-fun T_javafe_ast_OnDemandImportDecl () Int)
(declare-fun T_javafe_ast_ReturnStmt () Int)
(declare-fun T_javafe_ast_AmbiguousMethodInvocation () Int)
(declare-fun T_javafe_ast_SkipStmt () Int)
(declare-fun T_javafe_ast_BreakStmt () Int)
(declare-fun T_javafe_ast_BranchStmt () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_Modifiers () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_ast_ConstructorInvocation () Int)
(declare-fun T_javafe_ast_CastExpr () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_javafe_ast_BinaryExpr () Int)
(declare-fun T_javafe_ast_IfStmt () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_ast_ArrayType () Int)
(declare-fun T_javafe_ast_AmbiguousVariableAccess () Int)
(declare-fun T_javafe_ast_ContinueStmt () Int)
(declare-fun T_javafe_ast_TypeModifierPragmaVec () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_SuperObjectDesignator () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_javafe_ast_ArrayRefExpr () Int)
(declare-fun T_javafe_ast_StmtPragma () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_javafe_ast_ArrayInit () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_javafe_ast_ConstructorDecl () Int)
(declare-fun T_javafe_ast_InstanceOfExpr () Int)
(declare-fun T_javafe_util_StackVector () Int)
(declare-fun T_javafe_ast_TryCatchStmt () Int)
(declare-fun T_javafe_ast_SynchronizeStmt () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_javafe_parser_ParseExpr () Int)
(declare-fun T_javafe_parser_ParseType () Int)
(declare-fun T_javafe_ast_LiteralExpr () Int)
(declare-fun T_javafe_ast_CatchClause () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_parser_Lex () Int)
(declare-fun T_javafe_ast_EvalStmt () Int)
(declare-fun T_javafe_ast_ForStmt () Int)
(declare-fun T_javafe_tc_TagConstants () Int)
(declare-fun T_javafe_ast_ClassLiteral () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_ast_TryFinallyStmt () Int)
(declare-fun T_javafe_ast_ThisExpr () Int)
(declare-fun T_javafe_ast_SingleTypeImportDecl () Int)
(declare-fun T_javafe_ast_LabelStmt () Int)
(declare-fun T_javafe_ast_DoStmt () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_SwitchStmt () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_javafe_ast_FieldAccess () Int)
(declare-fun T_javafe_ast_CatchClauseVec () Int)
(declare-fun T_javafe_ast_SwitchLabel () Int)
(declare-fun T_javafe_parser_ParseStmt () Int)
(declare-fun T_javafe_ast_CondExpr () Int)
(declare-fun T_javafe_ast_TypeObjectDesignator () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_javafe_ast_MethodInvocation () Int)
(declare-fun T_javafe_parser_PragmaParser () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun noTokens_14_212_27 () Int)
(declare-fun BOOLEANTYPE_15_27_26 () Int)
(declare-fun IF_14_73_26 () Int)
(declare-fun CHARLIT_15_41_26 () Int)
(declare-fun ASGREM_16_43_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_14_27_26 () Int)
(declare-fun CLASSLITERAL_17_60_7 () Int)
(declare-fun CONSTRUCTORDECL_17_19_7 () Int)
(declare-fun GT_16_27_26 () Int)
(declare-fun INC_16_58_26 () Int)
(declare-fun punctuationCodes_14_164_19 () Int)
(declare-fun FORSTMT_17_39_7 () Int)
(declare-fun WHILESTMT_17_29_7 () Int)
(declare-fun IDENT_15_25_26 () Int)
(declare-fun LONGLIT_15_40_26 () Int)
(declare-fun ASGDIV_16_42_26 () Int)
(declare-fun STMTPRAGMA_14_26_26 () Int)
(declare-fun NEWINSTANCEEXPR_17_49_7 () Int)
(declare-fun CLASS_14_59_26 () Int)
(declare-fun GE_16_26_26 () Int)
(declare-fun METHODINVOCATION_17_59_7 () Int)
(declare-fun seqVarInit_4_1153_46 () Int)
(declare-fun INTERFACEDECL_17_18_7 () Int)
(declare-fun BITNOT_16_57_26 () Int)
(declare-fun INTLIT_15_39_26 () Int)
(declare-fun seqIdentifier_5_33_46 () Int)
(declare-fun ASGMUL_16_41_26 () Int)
(declare-fun IFSTMT_17_38_7 () Int)
(declare-fun CLASSDECLSTMT_17_28_7 () Int)
(declare-fun MODIFIERPRAGMA_14_25_26 () Int)
(declare-fun seqCatchClause_76_46 () Int)
(declare-fun FOR_14_71_26 () Int)
(declare-fun ARRAYREFEXPR_17_48_7 () Int)
(declare-fun EQ_16_25_26 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_17_58_7 () Int)
(declare-fun keywordStrings_14_181_30 () Int)
(declare-fun THROW_14_95_26 () Int)
(declare-fun NOT_16_56_26 () Int)
(declare-fun CLASSDECL_17_17_7 () Int)
(declare-fun BOOLEANLIT_15_38_26 () Int)
(declare-fun ASSIGN_16_40_26 () Int)
(declare-fun LEXICALPRAGMA_14_24_26 () Int)
(declare-fun CATCH_14_57_26 () Int)
(declare-fun NE_16_24_26 () Int)
(declare-fun THISEXPR_17_47_7 () Int)
(declare-fun THIS_14_94_26 () Int)
(declare-fun NULL_14_82_26 () Int)
(declare-fun LABELSTMT_17_37_7 () Int)
(declare-fun VARDECLSTMT_17_27_7 () Int)
(declare-fun UNARYSUB_16_55_26 () Int)
(declare-fun COMPOUNDNAME_17_67_7 () Int)
(declare-fun SHORTTYPE_15_36_26 () Int)
(declare-fun STAR_16_37_26 () Int)
(declare-fun FINALLY_14_69_26 () Int)
(declare-fun FIELDACCESS_17_57_7 () Int)
(declare-fun ONDEMANDIMPORTDECL_17_16_7 () Int)
(declare-fun CASE_14_56_26 () Int)
(declare-fun BITAND_16_23_26 () Int)
(declare-fun TYPESIG_76_6_28 () Int)
(declare-fun SYNCHRONIZED_14_93_26 () Int)
(declare-fun RPAREN_14_38_26 () Int)
(declare-fun UNARYADD_16_54_26 () Int)
(declare-fun CONTINUESTMT_17_36_7 () Int)
(declare-fun SWITCHSTMT_17_26_7 () Int)
(declare-fun BYTETYPE_15_35_26 () Int)
(declare-fun MOD_16_36_26 () Int)
(declare-fun ARRAYINIT_17_46_7 () Int)
(declare-fun SIMPLENAME_17_66_7 () Int)
(declare-fun punctuationStrings_14_134_22 () Int)
(declare-fun BITXOR_16_22_26 () Int)
(declare-fun VARIABLEACCESS_17_56_7 () Int)
(declare-fun SINGLETYPEIMPORTDECL_17_15_7 () Int)
(declare-fun SWITCH_14_92_26 () Int)
(declare-fun LPAREN_14_37_26 () Int)
(declare-fun ASGBITXOR_16_51_26 () Int)
(declare-fun seqModifierPragma_6_74_32 () Int)
(declare-fun NULLTYPE_15_34_26 () Int)
(declare-fun DIV_16_35_26 () Int)
(declare-fun EOF_14_17_26 () Int)
(declare-fun BLOCKSTMT_17_25_7 () Int)
(declare-fun BREAK_14_54_26 () Int)
(declare-fun CATCHCLAUSE_17_45_7 () Int)
(declare-fun otherCodes_14_202_27 () Int)
(declare-fun BITOR_16_21_26 () Int)
(declare-fun ARRAYTYPE_17_65_7 () Int)
(declare-fun BREAKSTMT_17_35_7 () Int)
(declare-fun RBRACE_14_36_26 () Int)
(declare-fun SUPER_14_91_26 () Int)
(declare-fun ASGBITOR_16_50_26 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_17_55_7 () Int)
(declare-fun seqTypeDeclElem_4_1161_46 () Int)
(declare-fun SUB_16_34_26 () Int)
(declare-fun COMPILATIONUNIT_17_14_7 () Int)
(declare-fun NONE_40_18_26 () Int)
(declare-fun FORMALPARADECL_17_24_7 () Int)
(declare-fun LBRACE_14_35_26 () Int)
(declare-fun CONSTRUCTORINVOCATION_17_44_7 () Int)
(declare-fun VOIDTYPE_15_33_26 () Int)
(declare-fun ASGBITAND_16_49_26 () Int)
(declare-fun TYPENAME_17_64_7 () Int)
(declare-fun PARENEXPR_17_54_7 () Int)
(declare-fun THROWSTMT_17_34_7 () Int)
(declare-fun LAST_KEYWORD_14_103_26 () Int)
(declare-fun ADD_16_33_26 () Int)
(declare-fun SEMICOLON_14_34_26 () Int)
(declare-fun DOUBLETYPE_15_32_26 () Int)
(declare-fun AND_16_20_26 () Int)
(declare-fun WHILE_14_102_26 () Int)
(declare-fun ASGURSHIFT_16_48_26 () Int)
(declare-fun ELSE_14_65_26 () Int)
(declare-fun FIELDDECL_17_23_7 () Int)
(declare-fun TRYCATCHSTMT_17_43_7 () Int)
(declare-fun FIRST_KEYWORD_14_51_26 () Int)
(declare-fun URSHIFT_16_32_26 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_17_63_7 () Int)
(declare-fun NULL_12_60_26 () Int)
(declare-fun CASTEXPR_17_53_7 () Int)
(declare-fun RETURNSTMT_17_33_7 () Int)
(declare-fun FLOATTYPE_15_31_26 () Int)
(declare-fun OR_16_19_26 () Int)
(declare-fun NULLLIT_15_45_26 () Int)
(declare-fun ASGRSHIFT_16_47_26 () Int)
(declare-fun seqExpr_4_1145_46 () Int)
(declare-fun LOCALVARDECL_17_22_7 () Int)
(declare-fun RSHIFT_16_31_26 () Int)
(declare-fun seqStmt_70_46 () Int)
(declare-fun INSTANCEOFEXPR_17_52_7 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_17_62_7 () Int)
(declare-fun TRYFINALLYSTMT_17_42_7 () Int)
(declare-fun CHARTYPE_15_30_26 () Int)
(declare-fun STRINGLIT_15_44_26 () Int)
(declare-fun EVALSTMT_17_32_7 () Int)
(declare-fun ASGLSHIFT_16_46_26 () Int)
(declare-fun RETURN_14_87_26 () Int)
(declare-fun COMMA_14_33_26 () Int)
(declare-fun DO_14_63_26 () Int)
(declare-fun LSHIFT_16_30_26 () Int)
(declare-fun INITBLOCK_17_21_7 () Int)
(declare-fun POSTFIXDEC_16_63_26 () Int)
(declare-fun LONGTYPE_15_29_26 () Int)
(declare-fun TRY_14_99_26 () Int)
(declare-fun DOUBLELIT_15_43_26 () Int)
(declare-fun ASGSUB_16_45_26 () Int)
(declare-fun DEFAULT_14_62_26 () Int)
(declare-fun SWITCHLABEL_17_41_7 () Int)
(declare-fun CONDEXPR_17_51_7 () Int)
(declare-fun SYNCHRONIZESTMT_17_31_7 () Int)
(declare-fun FIELD_14_45_26 () Int)
(declare-fun LT_16_29_26 () Int)
(declare-fun EXPROBJECTDESIGNATOR_17_61_7 () Int)
(declare-fun POSTFIXINC_16_62_26 () Int)
(declare-fun METHODDECL_17_20_7 () Int)
(declare-fun INTTYPE_15_28_26 () Int)
(declare-fun FLOATLIT_15_42_26 () Int)
(declare-fun ASGADD_16_44_26 () Int)
(declare-fun CONTINUE_14_61_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_14_28_26 () Int)
(declare-fun COLON_14_43_26 () Int)
(declare-fun LE_16_28_26 () Int)
(declare-fun NEWARRAYEXPR_17_50_7 () Int)
(declare-fun SKIPSTMT_17_40_7 () Int)
(declare-fun DOSTMT_17_30_7 () Int)
(declare-fun DEC_16_59_26 () Int)
(declare-fun otherStrings_14_193_30 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String))) (and (= (PO_LT T_javafe_ast_CompoundName T_javafe_ast_Name) true_term) (= T_javafe_ast_CompoundName (asChild T_javafe_ast_CompoundName T_javafe_ast_Name)) (= (PO_LT T_javafe_parser_PunctuationPrefixTree T_java_lang_Object) true_term) (= T_javafe_parser_PunctuationPrefixTree (asChild T_javafe_parser_PunctuationPrefixTree T_java_lang_Object)) (= (PO_LT T_javafe_ast_VariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_VariableAccess (asChild T_javafe_ast_VariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_InitBlock (asChild T_javafe_ast_InitBlock T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_VarDeclStmt (asChild T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ExprVec T_java_lang_Object) true_term) (= T_javafe_ast_ExprVec (asChild T_javafe_ast_ExprVec T_java_lang_Object)) (= (PO_LT T_javafe_parser_Token T_java_lang_Object) true_term) (= T_javafe_parser_Token (asChild T_javafe_parser_Token T_java_lang_Object)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ClassDeclStmt (asChild T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_NewArrayExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewArrayExpr (asChild T_javafe_ast_NewArrayExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_WhileStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_WhileStmt (asChild T_javafe_ast_WhileStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_ModifierPragmaVec (asChild T_javafe_ast_ModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ThrowStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ThrowStmt (asChild T_javafe_ast_ThrowStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDeclElemPragma (asChild T_javafe_ast_TypeDeclElemPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDeclElemPragma T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_StmtVec T_java_lang_Object) true_term) (= T_javafe_ast_StmtVec (asChild T_javafe_ast_StmtVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_UnaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_UnaryExpr (asChild T_javafe_ast_UnaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_parser_ParseUtil T_java_lang_Object) true_term) (= T_javafe_parser_ParseUtil (asChild T_javafe_parser_ParseUtil T_java_lang_Object)) (= (PO_LT T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_LocalVarDecl (asChild T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ParenExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ParenExpr (asChild T_javafe_ast_ParenExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_IdentifierVec T_java_lang_Object) true_term) (= T_javafe_ast_IdentifierVec (asChild T_javafe_ast_IdentifierVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_util_CorrelatedReader T_java_lang_Object) true_term) (= T_javafe_util_CorrelatedReader (asChild T_javafe_util_CorrelatedReader T_java_lang_Object)) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_SimpleName T_javafe_ast_Name) true_term) (= T_javafe_ast_SimpleName (asChild T_javafe_ast_SimpleName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FormalParaDecl (asChild T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_InterfaceDecl (asChild T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewInstanceExpr (asChild T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_ExprObjectDesignator (asChild T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_ClassDecl (asChild T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_LexicalPragma (asChild T_javafe_ast_LexicalPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_OnDemandImportDecl (asChild T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ReturnStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ReturnStmt (asChild T_javafe_ast_ReturnStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousMethodInvocation (asChild T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_SkipStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SkipStmt (asChild T_javafe_ast_SkipStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_BreakStmt (asChild T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_Modifiers T_java_lang_Object) true_term) (= T_javafe_ast_Modifiers (asChild T_javafe_ast_Modifiers T_java_lang_Object)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ConstructorInvocation (asChild T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_CastExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CastExpr (asChild T_javafe_ast_CastExpr T_javafe_ast_Expr)) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_BinaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_BinaryExpr (asChild T_javafe_ast_BinaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_IfStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_IfStmt (asChild T_javafe_ast_IfStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_ArrayType T_javafe_ast_Type) true_term) (= T_javafe_ast_ArrayType (asChild T_javafe_ast_ArrayType T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousVariableAccess (asChild T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_ContinueStmt (asChild T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeModifierPragmaVec (asChild T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_SuperObjectDesignator (asChild T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ArrayRefExpr (asChild T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_StmtPragma T_javafe_ast_Stmt) true_term) (= T_javafe_ast_StmtPragma (asChild T_javafe_ast_StmtPragma T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_ArrayInit T_javafe_ast_VarInit) true_term) (= T_javafe_ast_ArrayInit (asChild T_javafe_ast_ArrayInit T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_ConstructorDecl (asChild T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_InstanceOfExpr (asChild T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_util_StackVector T_java_lang_Object) true_term) (= T_javafe_util_StackVector (asChild T_javafe_util_StackVector T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_util_StackVector) true_term) (= ?t T_javafe_util_StackVector))) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryCatchStmt (asChild T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SynchronizeStmt (asChild T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_parser_ParseExpr T_javafe_parser_ParseType) true_term) (= T_javafe_parser_ParseExpr (asChild T_javafe_parser_ParseExpr T_javafe_parser_ParseType)) (= (PO_LT T_javafe_ast_LiteralExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_LiteralExpr (asChild T_javafe_ast_LiteralExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_CatchClause T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CatchClause (asChild T_javafe_ast_CatchClause T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_parser_Lex T_javafe_parser_Token) true_term) (= T_javafe_parser_Lex (asChild T_javafe_parser_Lex T_javafe_parser_Token)) (= (PO_LT T_javafe_ast_EvalStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_EvalStmt (asChild T_javafe_ast_EvalStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ForStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ForStmt (asChild T_javafe_ast_ForStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_tc_TagConstants T_javafe_parser_TagConstants) true_term) (= T_javafe_tc_TagConstants (asChild T_javafe_tc_TagConstants T_javafe_parser_TagConstants)) (= (PO_LT T_javafe_ast_ClassLiteral T_javafe_ast_Expr) true_term) (= T_javafe_ast_ClassLiteral (asChild T_javafe_ast_ClassLiteral T_javafe_ast_Expr)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryFinallyStmt (asChild T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ThisExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ThisExpr (asChild T_javafe_ast_ThisExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_SingleTypeImportDecl (asChild T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_LabelStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_LabelStmt (asChild T_javafe_ast_LabelStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_DoStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_DoStmt (asChild T_javafe_ast_DoStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_SwitchStmt (asChild T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_FieldAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_FieldAccess (asChild T_javafe_ast_FieldAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_CatchClauseVec T_java_lang_Object) true_term) (= T_javafe_ast_CatchClauseVec (asChild T_javafe_ast_CatchClauseVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ObjectDesignator (asChild T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_SwitchLabel T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SwitchLabel (asChild T_javafe_ast_SwitchLabel T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_BranchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_BranchStmt (asChild T_javafe_ast_BranchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr) true_term) (= T_javafe_parser_ParseStmt (asChild T_javafe_parser_ParseStmt T_javafe_parser_ParseExpr)) (= (PO_LT T_javafe_ast_CondExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CondExpr (asChild T_javafe_ast_CondExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_parser_ParseType T_javafe_parser_ParseUtil) true_term) (= T_javafe_parser_ParseType (asChild T_javafe_parser_ParseType T_javafe_parser_ParseUtil)) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_TypeObjectDesignator (asChild T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_MethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_MethodInvocation (asChild T_javafe_ast_MethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_parser_PragmaParser T_java_lang_Object) true_term) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_javafe_ast_CompoundName (+ DIST_ZERO_1 10)) (= T_javafe_parser_PunctuationPrefixTree (+ DIST_ZERO_1 11)) (= T_javafe_ast_VariableAccess (+ DIST_ZERO_1 12)) (= T_javafe_ast_InitBlock (+ DIST_ZERO_1 13)) (= T_javafe_ast_VarDeclStmt (+ DIST_ZERO_1 14)) (= T_javafe_ast_ExprVec (+ DIST_ZERO_1 15)) (= T_javafe_parser_Token (+ DIST_ZERO_1 16)) (= T_javafe_ast_Type (+ DIST_ZERO_1 17)) (= T_javafe_ast_ClassDeclStmt (+ DIST_ZERO_1 18)) (= T_javafe_ast_NewArrayExpr (+ DIST_ZERO_1 19)) (= T_javafe_ast_WhileStmt (+ DIST_ZERO_1 20)) (= T_javafe_ast_ModifierPragmaVec (+ DIST_ZERO_1 21)) (= T_javafe_ast_ThrowStmt (+ DIST_ZERO_1 22)) (= T_javafe_ast_TypeDeclElemPragma (+ DIST_ZERO_1 23)) (= T_javafe_ast_StmtVec (+ DIST_ZERO_1 24)) (= T_javafe_ast_UnaryExpr (+ DIST_ZERO_1 25)) (= T_javafe_parser_ParseUtil (+ DIST_ZERO_1 26)) (= T_javafe_ast_LocalVarDecl (+ DIST_ZERO_1 27)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 28)) (= T_javafe_ast_ParenExpr (+ DIST_ZERO_1 29)) (= T_javafe_ast_IdentifierVec (+ DIST_ZERO_1 30)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 31)) (= T_javafe_util_CorrelatedReader (+ DIST_ZERO_1 32)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 33)) (= T_javafe_ast_SimpleName (+ DIST_ZERO_1 34)) (= T_javafe_ast_FormalParaDecl (+ DIST_ZERO_1 35)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 36)) (= T_java_lang_Integer (+ DIST_ZERO_1 37)) (= T_javafe_ast_InterfaceDecl (+ DIST_ZERO_1 38)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 39)) (= T_javafe_ast_NewInstanceExpr (+ DIST_ZERO_1 40)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 41)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 42)) (= T_java_lang_Long (+ DIST_ZERO_1 43)) (= T_javafe_ast_ExprObjectDesignator (+ DIST_ZERO_1 44)) (= T_javafe_ast_ClassDecl (+ DIST_ZERO_1 45)) (= T_javafe_ast_LexicalPragma (+ DIST_ZERO_1 46)) (= T_javafe_ast_OnDemandImportDecl (+ DIST_ZERO_1 47)) (= T_java_lang_Comparable (+ DIST_ZERO_1 48)) (= T_javafe_ast_ReturnStmt (+ DIST_ZERO_1 49)) (= T_javafe_ast_AmbiguousMethodInvocation (+ DIST_ZERO_1 50)) (= T_java_lang_Object (+ DIST_ZERO_1 51)) (= T_javafe_ast_SkipStmt (+ DIST_ZERO_1 52)) (= T_javafe_ast_BreakStmt (+ DIST_ZERO_1 53)) (= T_javafe_tc_Env (+ DIST_ZERO_1 54)) (= T_javafe_ast_Modifiers (+ DIST_ZERO_1 55)) (= T_javafe_util_Location (+ DIST_ZERO_1 56)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 57)) (= T_javafe_ast_ConstructorInvocation (+ DIST_ZERO_1 58)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 59)) (= T_javafe_ast_CastExpr (+ DIST_ZERO_1 60)) (= T_java_lang_Double (+ DIST_ZERO_1 61)) (= T_javafe_ast_BinaryExpr (+ DIST_ZERO_1 62)) (= T_javafe_ast_IfStmt (+ DIST_ZERO_1 63)) (= T_java_util_Map (+ DIST_ZERO_1 64)) (= T_java_lang_Float (+ DIST_ZERO_1 65)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 66)) (= T_javafe_ast_ArrayType (+ DIST_ZERO_1 67)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 68)) (= T_javafe_ast_AmbiguousVariableAccess (+ DIST_ZERO_1 69)) (= T_javafe_ast_ContinueStmt (+ DIST_ZERO_1 70)) (= T_javafe_ast_TypeModifierPragmaVec (+ DIST_ZERO_1 71)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 72)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 73)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 74)) (= T_javafe_ast_SuperObjectDesignator (+ DIST_ZERO_1 75)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 76)) (= T_java_io_Serializable (+ DIST_ZERO_1 77)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 78)) (= T_javafe_ast_ArrayRefExpr (+ DIST_ZERO_1 79)) (= T_javafe_ast_StmtPragma (+ DIST_ZERO_1 80)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 81)) (= T_java_lang_String (+ DIST_ZERO_1 82)) (= T_javafe_ast_ArrayInit (+ DIST_ZERO_1 83)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 84)) (= T_javafe_ast_ConstructorDecl (+ DIST_ZERO_1 85)) (= T_javafe_ast_InstanceOfExpr (+ DIST_ZERO_1 86)) (= T_javafe_util_StackVector (+ DIST_ZERO_1 87)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 88)) (= T_javafe_ast_TryCatchStmt (+ DIST_ZERO_1 89)) (= T_javafe_ast_SynchronizeStmt (+ DIST_ZERO_1 90)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 91)) (= T_javafe_parser_ParseExpr (+ DIST_ZERO_1 92)) (= T_javafe_ast_LiteralExpr (+ DIST_ZERO_1 93)) (= T_javafe_ast_CatchClause (+ DIST_ZERO_1 94)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 95)) (= T_javafe_parser_Lex (+ DIST_ZERO_1 96)) (= T_javafe_ast_EvalStmt (+ DIST_ZERO_1 97)) (= T_javafe_ast_ForStmt (+ DIST_ZERO_1 98)) (= T_javafe_tc_TagConstants (+ DIST_ZERO_1 99)) (= T_javafe_ast_ClassLiteral (+ DIST_ZERO_1 100)) (= T_java_lang_Number (+ DIST_ZERO_1 101)) (= T_java_util_Hashtable (+ DIST_ZERO_1 102)) (= T_javafe_ast_TryFinallyStmt (+ DIST_ZERO_1 103)) (= T_javafe_ast_ThisExpr (+ DIST_ZERO_1 104)) (= T_javafe_ast_SingleTypeImportDecl (+ DIST_ZERO_1 105)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 106)) (= T_javafe_ast_LabelStmt (+ DIST_ZERO_1 107)) (= T_java_util_Dictionary (+ DIST_ZERO_1 108)) (= T_javafe_ast_DoStmt (+ DIST_ZERO_1 109)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 110)) (= T_javafe_ast_SwitchStmt (+ DIST_ZERO_1 111)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 112)) (= T_javafe_ast_FieldAccess (+ DIST_ZERO_1 113)) (= T_javafe_ast_CatchClauseVec (+ DIST_ZERO_1 114)) (= T_javafe_ast_ObjectDesignator (+ DIST_ZERO_1 115)) (= T_javafe_ast_SwitchLabel (+ DIST_ZERO_1 116)) (= T_javafe_ast_BranchStmt (+ DIST_ZERO_1 117)) (= T_javafe_parser_ParseStmt (+ DIST_ZERO_1 118)) (= T_javafe_ast_CondExpr (+ DIST_ZERO_1 119)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 120)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 121)) (= T_javafe_parser_ParseType (+ DIST_ZERO_1 122)) (= T_javafe_ast_Name (+ DIST_ZERO_1 123)) (= T_javafe_ast_TypeObjectDesignator (+ DIST_ZERO_1 124)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 125)) (= T_java_lang_Boolean (+ DIST_ZERO_1 126)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 127)) (= T_javafe_ast_MethodInvocation (+ DIST_ZERO_1 128)) (= T_javafe_parser_PragmaParser (+ DIST_ZERO_1 129)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 130))) (= true_term (is noTokens_14_212_27 T_int)) (= true_term (is BOOLEANTYPE_15_27_26 T_int)) (= BOOLEANTYPE_15_27_26 94) (= true_term (is IF_14_73_26 T_int)) (= IF_14_73_26 154) (= true_term (is CHARLIT_15_41_26 T_int)) (= CHARLIT_15_41_26 107) (= true_term (is ASGREM_16_43_26 T_int)) (= ASGREM_16_43_26 76) (= true_term (is TYPEDECLELEMPRAGMA_14_27_26 T_int)) (= TYPEDECLELEMPRAGMA_14_27_26 117) (= true_term (is CLASSLITERAL_17_60_7 T_int)) (= CLASSLITERAL_17_60_7 46) (= true_term (is CONSTRUCTORDECL_17_19_7 T_int)) (= CONSTRUCTORDECL_17_19_7 5) (= true_term (is GT_16_27_26 T_int)) (= GT_16_27_26 62) (= true_term (is INC_16_58_26 T_int)) (= INC_16_58_26 89) (= true_term (is punctuationCodes_14_164_19 ?v_0)) (not (= punctuationCodes_14_164_19 null)) (= (typeof punctuationCodes_14_164_19) ?v_0) (= (arrayLength punctuationCodes_14_164_19) 48) (= true_term (is FORSTMT_17_39_7 T_int)) (= FORSTMT_17_39_7 25) (= true_term (is WHILESTMT_17_29_7 T_int)) (= WHILESTMT_17_29_7 15) (= true_term (is IDENT_15_25_26 T_int)) (= IDENT_15_25_26 93) (= true_term (is LONGLIT_15_40_26 T_int)) (= LONGLIT_15_40_26 106) (= true_term (is ASGDIV_16_42_26 T_int)) (= ASGDIV_16_42_26 75) (= true_term (is STMTPRAGMA_14_26_26 T_int)) (= STMTPRAGMA_14_26_26 116) (= true_term (is NEWINSTANCEEXPR_17_49_7 T_int)) (= NEWINSTANCEEXPR_17_49_7 35) (= true_term (is CLASS_14_59_26 T_int)) (= CLASS_14_59_26 140) (= true_term (is GE_16_26_26 T_int)) (= GE_16_26_26 61) (= true_term (is METHODINVOCATION_17_59_7 T_int)) (= METHODINVOCATION_17_59_7 45) (forall ((?s Int)) (=> (not (= ?s null)) (= true_term (is (S_select seqVarInit_4_1153_46 ?s) T_javafe_util_StackVector)))) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select seqVarInit_4_1153_46 ?s) null)))) (forall ((?s Int)) (=> (not (= ?s null)) (= (typeof (S_select seqVarInit_4_1153_46 ?s)) T_javafe_util_StackVector))) (= true_term (is INTERFACEDECL_17_18_7 T_int)) (= INTERFACEDECL_17_18_7 4) (= true_term (is BITNOT_16_57_26 T_int)) (= BITNOT_16_57_26 88) (= true_term (is INTLIT_15_39_26 T_int)) (= INTLIT_15_39_26 105) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= true_term (is (S_select seqIdentifier_5_33_46 ?s_1_) T_javafe_util_StackVector)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select seqIdentifier_5_33_46 ?s_1_) null)))) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (= (typeof (S_select seqIdentifier_5_33_46 ?s_1_)) T_javafe_util_StackVector))) (= true_term (is ASGMUL_16_41_26 T_int)) (= ASGMUL_16_41_26 74) (= true_term (is IFSTMT_17_38_7 T_int)) (= IFSTMT_17_38_7 24) (= true_term (is CLASSDECLSTMT_17_28_7 T_int)) (= CLASSDECLSTMT_17_28_7 14) (= true_term (is MODIFIERPRAGMA_14_25_26 T_int)) (= MODIFIERPRAGMA_14_25_26 115) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (= true_term (is (S_select seqCatchClause_76_46 ?s_2_) T_javafe_util_StackVector)))) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select seqCatchClause_76_46 ?s_2_) null)))) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (= (typeof (S_select seqCatchClause_76_46 ?s_2_)) T_javafe_util_StackVector))) (= true_term (is FOR_14_71_26 T_int)) (= FOR_14_71_26 152) (= true_term (is ARRAYREFEXPR_17_48_7 T_int)) (= ARRAYREFEXPR_17_48_7 34) (= true_term (is EQ_16_25_26 T_int)) (= EQ_16_25_26 60) (= true_term (is AMBIGUOUSMETHODINVOCATION_17_58_7 T_int)) (= AMBIGUOUSMETHODINVOCATION_17_58_7 44) (= true_term (is keywordStrings_14_181_30 ?v_1)) (not (= keywordStrings_14_181_30 null)) (= (typeof keywordStrings_14_181_30) ?v_1) (= (arrayLength keywordStrings_14_181_30) 51) (= true_term (is THROW_14_95_26 T_int)) (= THROW_14_95_26 176) (= true_term (is NOT_16_56_26 T_int)) (= NOT_16_56_26 87) (= true_term (is CLASSDECL_17_17_7 T_int)) (= CLASSDECL_17_17_7 3) (= true_term (is BOOLEANLIT_15_38_26 T_int)) (= BOOLEANLIT_15_38_26 104) (= true_term (is ASSIGN_16_40_26 T_int)) (= ASSIGN_16_40_26 73) (= true_term (is LEXICALPRAGMA_14_24_26 T_int)) (= LEXICALPRAGMA_14_24_26 114) (= true_term (is CATCH_14_57_26 T_int)) (= CATCH_14_57_26 138) (= true_term (is NE_16_24_26 T_int)) (= NE_16_24_26 59) (= true_term (is THISEXPR_17_47_7 T_int)) (= THISEXPR_17_47_7 33) (= true_term (is THIS_14_94_26 T_int)) (= THIS_14_94_26 175) (= true_term (is NULL_14_82_26 T_int)) (= NULL_14_82_26 163) (= true_term (is LABELSTMT_17_37_7 T_int)) (= LABELSTMT_17_37_7 23) (= true_term (is VARDECLSTMT_17_27_7 T_int)) (= VARDECLSTMT_17_27_7 13) (= true_term (is UNARYSUB_16_55_26 T_int)) (= UNARYSUB_16_55_26 86) (= true_term (is COMPOUNDNAME_17_67_7 T_int)) (= COMPOUNDNAME_17_67_7 53) (= true_term (is SHORTTYPE_15_36_26 T_int)) (= SHORTTYPE_15_36_26 103) (= true_term (is STAR_16_37_26 T_int)) (= STAR_16_37_26 72) (= true_term (is FINALLY_14_69_26 T_int)) (= FINALLY_14_69_26 150) (= true_term (is FIELDACCESS_17_57_7 T_int)) (= FIELDACCESS_17_57_7 43) (= true_term (is ONDEMANDIMPORTDECL_17_16_7 T_int)) (= ONDEMANDIMPORTDECL_17_16_7 2) (= true_term (is CASE_14_56_26 T_int)) (= CASE_14_56_26 137) (= true_term (is BITAND_16_23_26 T_int)) (= BITAND_16_23_26 58) (= true_term (is TYPESIG_76_6_28 T_int)) (= TYPESIG_76_6_28 184) (= true_term (is SYNCHRONIZED_14_93_26 T_int)) (= SYNCHRONIZED_14_93_26 174) (= true_term (is RPAREN_14_38_26 T_int)) (= RPAREN_14_38_26 125) (= true_term (is UNARYADD_16_54_26 T_int)) (= UNARYADD_16_54_26 85) (= true_term (is CONTINUESTMT_17_36_7 T_int)) (= CONTINUESTMT_17_36_7 22) (= true_term (is SWITCHSTMT_17_26_7 T_int)) (= SWITCHSTMT_17_26_7 12) (= true_term (is BYTETYPE_15_35_26 T_int)) (= BYTETYPE_15_35_26 102) (= true_term (is MOD_16_36_26 T_int)) (= MOD_16_36_26 71) (= true_term (is ARRAYINIT_17_46_7 T_int)) (= ARRAYINIT_17_46_7 32) (= true_term (is SIMPLENAME_17_66_7 T_int)) (= SIMPLENAME_17_66_7 52) (= true_term (is punctuationStrings_14_134_22 ?v_1)) (not (= punctuationStrings_14_134_22 null)) (= (typeof punctuationStrings_14_134_22) ?v_1) (= (arrayLength punctuationStrings_14_134_22) 48) (= true_term (is BITXOR_16_22_26 T_int)) (= BITXOR_16_22_26 57) (= true_term (is VARIABLEACCESS_17_56_7 T_int)) (= VARIABLEACCESS_17_56_7 42) (= true_term (is SINGLETYPEIMPORTDECL_17_15_7 T_int)) (= SINGLETYPEIMPORTDECL_17_15_7 1) (= true_term (is SWITCH_14_92_26 T_int)) (= SWITCH_14_92_26 173) (= true_term (is LPAREN_14_37_26 T_int)) (= LPAREN_14_37_26 124) (= true_term (is ASGBITXOR_16_51_26 T_int)) (= ASGBITXOR_16_51_26 84) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (= true_term (is (S_select seqModifierPragma_6_74_32 ?s_3_) T_javafe_util_StackVector)))) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select seqModifierPragma_6_74_32 ?s_3_) null)))) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (= (typeof (S_select seqModifierPragma_6_74_32 ?s_3_)) T_javafe_util_StackVector))) (= true_term (is NULLTYPE_15_34_26 T_int)) (= NULLTYPE_15_34_26 101) (= true_term (is DIV_16_35_26 T_int)) (= DIV_16_35_26 70) (= true_term (is EOF_14_17_26 T_int)) (= EOF_14_17_26 111) (= true_term (is BLOCKSTMT_17_25_7 T_int)) (= BLOCKSTMT_17_25_7 11) (= true_term (is BREAK_14_54_26 T_int)) (= BREAK_14_54_26 135) (= true_term (is CATCHCLAUSE_17_45_7 T_int)) (= CATCHCLAUSE_17_45_7 31) (= true_term (is otherCodes_14_202_27 ?v_0)) (not (= otherCodes_14_202_27 null)) (= (typeof otherCodes_14_202_27) ?v_0) (= (arrayLength otherCodes_14_202_27) 15) (= true_term (is BITOR_16_21_26 T_int)) (= BITOR_16_21_26 56) (= true_term (is ARRAYTYPE_17_65_7 T_int)) (= ARRAYTYPE_17_65_7 51) (= true_term (is BREAKSTMT_17_35_7 T_int)) (= BREAKSTMT_17_35_7 21) (= true_term (is RBRACE_14_36_26 T_int)) (= RBRACE_14_36_26 123) (= true_term (is SUPER_14_91_26 T_int)) (= SUPER_14_91_26 172) (= true_term (is ASGBITOR_16_50_26 T_int)) (= ASGBITOR_16_50_26 83) (= true_term (is AMBIGUOUSVARIABLEACCESS_17_55_7 T_int)) (= AMBIGUOUSVARIABLEACCESS_17_55_7 41) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (= true_term (is (S_select seqTypeDeclElem_4_1161_46 ?s_4_) T_javafe_util_StackVector)))) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select seqTypeDeclElem_4_1161_46 ?s_4_) null)))) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (= (typeof (S_select seqTypeDeclElem_4_1161_46 ?s_4_)) T_javafe_util_StackVector))) (= true_term (is SUB_16_34_26 T_int)) (= SUB_16_34_26 69) (= true_term (is COMPILATIONUNIT_17_14_7 T_int)) (= COMPILATIONUNIT_17_14_7 0) (= true_term (is NONE_40_18_26 T_int)) (= NONE_40_18_26 0) (= true_term (is FORMALPARADECL_17_24_7 T_int)) (= FORMALPARADECL_17_24_7 10) (= true_term (is LBRACE_14_35_26 T_int)) (= LBRACE_14_35_26 122) (= true_term (is CONSTRUCTORINVOCATION_17_44_7 T_int)) (= CONSTRUCTORINVOCATION_17_44_7 30) (= true_term (is VOIDTYPE_15_33_26 T_int)) (= VOIDTYPE_15_33_26 100) (= true_term (is ASGBITAND_16_49_26 T_int)) (= ASGBITAND_16_49_26 82) (= true_term (is TYPENAME_17_64_7 T_int)) (= TYPENAME_17_64_7 50) (= true_term (is PARENEXPR_17_54_7 T_int)) (= PARENEXPR_17_54_7 40) (= true_term (is THROWSTMT_17_34_7 T_int)) (= THROWSTMT_17_34_7 20) (= true_term (is LAST_KEYWORD_14_103_26 T_int)) (= LAST_KEYWORD_14_103_26 183) (= true_term (is ADD_16_33_26 T_int)) (= ADD_16_33_26 68) (= true_term (is SEMICOLON_14_34_26 T_int)) (= SEMICOLON_14_34_26 121) (= true_term (is DOUBLETYPE_15_32_26 T_int)) (= DOUBLETYPE_15_32_26 99) (= true_term (is AND_16_20_26 T_int)) (= AND_16_20_26 55) (= true_term (is WHILE_14_102_26 T_int)) (= WHILE_14_102_26 183) (= true_term (is ASGURSHIFT_16_48_26 T_int)) (= ASGURSHIFT_16_48_26 81) (= true_term (is ELSE_14_65_26 T_int)) (= ELSE_14_65_26 146) (= true_term (is FIELDDECL_17_23_7 T_int)) (= FIELDDECL_17_23_7 9) (= true_term (is TRYCATCHSTMT_17_43_7 T_int)) (= TRYCATCHSTMT_17_43_7 29) (= true_term (is FIRST_KEYWORD_14_51_26 T_int)) (= FIRST_KEYWORD_14_51_26 133) (= true_term (is URSHIFT_16_32_26 T_int)) (= URSHIFT_16_32_26 67) (= true_term (is SUPEROBJECTDESIGNATOR_17_63_7 T_int)) (= SUPEROBJECTDESIGNATOR_17_63_7 49) (= true_term (is NULL_12_60_26 T_int)) (= NULL_12_60_26 0) (= true_term (is CASTEXPR_17_53_7 T_int)) (= CASTEXPR_17_53_7 39) (= true_term (is RETURNSTMT_17_33_7 T_int)) (= RETURNSTMT_17_33_7 19) (= true_term (is FLOATTYPE_15_31_26 T_int)) (= FLOATTYPE_15_31_26 98) (= true_term (is OR_16_19_26 T_int)) (= OR_16_19_26 54) (= true_term (is NULLLIT_15_45_26 T_int)) (= NULLLIT_15_45_26 111) (= true_term (is ASGRSHIFT_16_47_26 T_int)) (= ASGRSHIFT_16_47_26 80) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (= true_term (is (S_select seqExpr_4_1145_46 ?s_5_) T_javafe_util_StackVector)))) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select seqExpr_4_1145_46 ?s_5_) null)))) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (= (typeof (S_select seqExpr_4_1145_46 ?s_5_)) T_javafe_util_StackVector))) (= true_term (is LOCALVARDECL_17_22_7 T_int)) (= LOCALVARDECL_17_22_7 8) (= true_term (is RSHIFT_16_31_26 T_int)) (= RSHIFT_16_31_26 66) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (= true_term (is (S_select seqStmt_70_46 ?s_6_) T_javafe_util_StackVector)))) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select seqStmt_70_46 ?s_6_) null)))) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (= (typeof (S_select seqStmt_70_46 ?s_6_)) T_javafe_util_StackVector))) (= true_term (is INSTANCEOFEXPR_17_52_7 T_int)) (= INSTANCEOFEXPR_17_52_7 38) (= true_term (is TYPEOBJECTDESIGNATOR_17_62_7 T_int)) (= TYPEOBJECTDESIGNATOR_17_62_7 48) (= true_term (is TRYFINALLYSTMT_17_42_7 T_int)) (= TRYFINALLYSTMT_17_42_7 28) (= true_term (is CHARTYPE_15_30_26 T_int)) (= CHARTYPE_15_30_26 97) (= true_term (is STRINGLIT_15_44_26 T_int)) (= STRINGLIT_15_44_26 110) (= true_term (is EVALSTMT_17_32_7 T_int)) (= EVALSTMT_17_32_7 18) (= true_term (is ASGLSHIFT_16_46_26 T_int)) (= ASGLSHIFT_16_46_26 79) (= true_term (is RETURN_14_87_26 T_int)) (= RETURN_14_87_26 168) (= true_term (is COMMA_14_33_26 T_int)) (= COMMA_14_33_26 120) (= true_term (is DO_14_63_26 T_int)) (= DO_14_63_26 144) (= true_term (is LSHIFT_16_30_26 T_int)) (= LSHIFT_16_30_26 65) (= true_term (is INITBLOCK_17_21_7 T_int)) (= INITBLOCK_17_21_7 7) (= true_term (is POSTFIXDEC_16_63_26 T_int)) (= POSTFIXDEC_16_63_26 92) (= true_term (is LONGTYPE_15_29_26 T_int)) (= LONGTYPE_15_29_26 96) (= true_term (is TRY_14_99_26 T_int)) (= TRY_14_99_26 180) (= true_term (is DOUBLELIT_15_43_26 T_int)) (= DOUBLELIT_15_43_26 109) (= true_term (is ASGSUB_16_45_26 T_int)) (= ASGSUB_16_45_26 78) (= true_term (is DEFAULT_14_62_26 T_int)) (= DEFAULT_14_62_26 143) (= true_term (is SWITCHLABEL_17_41_7 T_int)) (= SWITCHLABEL_17_41_7 27) (= true_term (is CONDEXPR_17_51_7 T_int)) (= CONDEXPR_17_51_7 37) (= true_term (is SYNCHRONIZESTMT_17_31_7 T_int)) (= SYNCHRONIZESTMT_17_31_7 17) (= true_term (is FIELD_14_45_26 T_int)) (= FIELD_14_45_26 130) (= true_term (is LT_16_29_26 T_int)) (= LT_16_29_26 64) (= true_term (is EXPROBJECTDESIGNATOR_17_61_7 T_int)) (= EXPROBJECTDESIGNATOR_17_61_7 47) (= true_term (is POSTFIXINC_16_62_26 T_int)) (= POSTFIXINC_16_62_26 91) (= true_term (is METHODDECL_17_20_7 T_int)) (= METHODDECL_17_20_7 6) (= true_term (is INTTYPE_15_28_26 T_int)) (= INTTYPE_15_28_26 95) (= true_term (is FLOATLIT_15_42_26 T_int)) (= FLOATLIT_15_42_26 108) (= true_term (is ASGADD_16_44_26 T_int)) (= ASGADD_16_44_26 77) (= true_term (is CONTINUE_14_61_26 T_int)) (= CONTINUE_14_61_26 142) (= true_term (is TYPEMODIFIERPRAGMA_14_28_26 T_int)) (= TYPEMODIFIERPRAGMA_14_28_26 118) (= true_term (is COLON_14_43_26 T_int)) (= COLON_14_43_26 129) (= true_term (is LE_16_28_26 T_int)) (= LE_16_28_26 63) (= true_term (is NEWARRAYEXPR_17_50_7 T_int)) (= NEWARRAYEXPR_17_50_7 36) (= true_term (is SKIPSTMT_17_40_7 T_int)) (= SKIPSTMT_17_40_7 26) (= true_term (is DOSTMT_17_30_7 T_int)) (= DOSTMT_17_30_7 16) (= true_term (is DEC_16_59_26 T_int)) (= DEC_16_59_26 90) (= true_term (is otherStrings_14_193_30 ?v_1)) (not (= otherStrings_14_193_30 null)) (= (typeof otherStrings_14_193_30) ?v_1) (= (arrayLength otherStrings_14_193_30) 15))))
(declare-fun noTokens_pre_14_212_27 () Int)
(declare-fun BOOLEANTYPE_pre_15_27_26 () Int)
(declare-fun IF_pre_14_73_26 () Int)
(declare-fun locOpenParen_pre_52_23_13 () Int)
(declare-fun locOpenParen_52_23_13 () Int)
(declare-fun elements_pre_62_61_33 () Int)
(declare-fun elements_62_61_33 () Int)
(declare-fun CHARLIT_pre_15_41_26 () Int)
(declare-fun tag_pre_71_30_13 () Int)
(declare-fun tag_71_30_13 () Int)
(declare-fun ASGREM_pre_16_43_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_14_27_26 () Int)
(declare-fun CLASSLITERAL_pre_17_60_7 () Int)
(declare-fun locGuardOpenParen_pre_49_23_13 () Int)
(declare-fun locGuardOpenParen_49_23_13 () Int)
(declare-fun CONSTRUCTORDECL_pre_17_19_7 () Int)
(declare-fun GT_pre_16_27_26 () Int)
(declare-fun loc_pre_145_21_13 () Int)
(declare-fun loc_145_21_13 () Int)
(declare-fun superCall_pre_58_24_17 () Int)
(declare-fun superCall_58_24_17 () Int)
(declare-fun ttype_pre_10_52_15 () Int)
(declare-fun ttype_10_52_15 () Int)
(declare-fun INC_pre_16_58_26 () Int)
(declare-fun punctuationCodes_pre_14_164_19 () Int)
(declare-fun locFinally_pre_55_25_13 () Int)
(declare-fun locFinally_55_25_13 () Int)
(declare-fun locDot_pre_135_21_13 () Int)
(declare-fun locDot_135_21_13 () Int)
(declare-fun FORSTMT_pre_17_39_7 () Int)
(declare-fun WHILESTMT_pre_17_29_7 () Int)
(declare-fun loc_pre_63_29_13 () Int)
(declare-fun loc_63_29_13 () Int)
(declare-fun IDENT_pre_15_25_26 () Int)
(declare-fun locOpenBrace_pre_13_51_13 () Int)
(declare-fun locOpenBrace_13_51_13 () Int)
(declare-fun LONGLIT_pre_15_40_26 () Int)
(declare-fun locCloseBrace_pre_69_24_13 () Int)
(declare-fun locCloseBrace_69_24_13 () Int)
(declare-fun ASGDIV_pre_16_42_26 () Int)
(declare-fun STMTPRAGMA_pre_14_26_26 () Int)
(declare-fun locIds_pre_159_25_29 () Int)
(declare-fun locIds_159_25_29 () Int)
(declare-fun locOpenParen_pre_146_21_13 () Int)
(declare-fun locOpenParen_146_21_13 () Int)
(declare-fun NEWINSTANCEEXPR_pre_17_49_7 () Int)
(declare-fun loc_pre_54_23_13 () Int)
(declare-fun loc_54_23_13 () Int)
(declare-fun loc_pre_47_22_13 () Int)
(declare-fun loc_47_22_13 () Int)
(declare-fun CLASS_pre_14_59_26 () Int)
(declare-fun GE_pre_16_26_26 () Int)
(declare-fun METHODINVOCATION_pre_17_59_7 () Int)
(declare-fun type_pre_152_20_28 () Int)
(declare-fun type_152_20_28 () Int)
(declare-fun elements_pre_53_61_40 () Int)
(declare-fun elements_53_61_40 () Int)
(declare-fun seqVarInit_pre_4_1153_46 () Int)
(declare-fun INTERFACEDECL_pre_17_18_7 () Int)
(declare-fun BITNOT_pre_16_57_26 () Int)
(declare-fun elements_pre_57_61_43 () Int)
(declare-fun elements_57_61_43 () Int)
(declare-fun loc_pre_48_20_13 () Int)
(declare-fun loc_48_20_13 () Int)
(declare-fun INTLIT_pre_15_39_26 () Int)
(declare-fun seqIdentifier_pre_5_33_46 () Int)
(declare-fun ASGMUL_pre_16_41_26 () Int)
(declare-fun nameDotLocs_pre_5_65_28 () Int)
(declare-fun nameDotLocs_5_65_28 () Int)
(declare-fun IFSTMT_pre_17_38_7 () Int)
(declare-fun CLASSDECLSTMT_pre_17_28_7 () Int)
(declare-fun MODIFIERPRAGMA_pre_14_25_26 () Int)
(declare-fun count_pre_62_67_33 () Int)
(declare-fun count_62_67_33 () Int)
(declare-fun seqCatchClause_pre_76_46 () Int)
(declare-fun locCloseBrace_pre_29_25_13 () Int)
(declare-fun locCloseBrace_29_25_13 () Int)
(declare-fun FOR_pre_14_71_26 () Int)
(declare-fun ARRAYREFEXPR_pre_17_48_7 () Int)
(declare-fun locId_pre_149_24_13 () Int)
(declare-fun locId_149_24_13 () Int)
(declare-fun elementCount_pre_8_79_33 () Int)
(declare-fun elementCount_8_79_33 () Int)
(declare-fun EQ_pre_16_25_26 () Int)
(declare-fun elements_pre_59_61_33 () Int)
(declare-fun elements_59_61_33 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_pre_17_58_7 () Int)
(declare-fun loc_pre_61_50_13 () Int)
(declare-fun loc_61_50_13 () Int)
(declare-fun keywordStrings_pre_14_181_30 () Int)
(declare-fun THROW_pre_14_95_26 () Int)
(declare-fun loc_pre_148_22_13 () Int)
(declare-fun loc_148_22_13 () Int)
(declare-fun NOT_pre_16_56_26 () Int)
(declare-fun loc_pre_143_49_13 () Int)
(declare-fun loc_143_49_13 () Int)
(declare-fun loc_pre_51_18_13 () Int)
(declare-fun loc_51_18_13 () Int)
(declare-fun locOpenParen_pre_150_30_13 () Int)
(declare-fun locOpenParen_150_30_13 () Int)
(declare-fun type_pre_143_24_28 () Int)
(declare-fun type_143_24_28 () Int)
(declare-fun locDot_pre_58_41_13 () Int)
(declare-fun locDot_58_41_13 () Int)
(declare-fun CLASSDECL_pre_17_17_7 () Int)
(declare-fun auxVal_pre_10_127_18 () Int)
(declare-fun auxVal_10_127_18 () Int)
(declare-fun BOOLEANLIT_pre_15_38_26 () Int)
(declare-fun ASSIGN_pre_16_40_26 () Int)
(declare-fun vectorCount_pre_8_97_33 () Int)
(declare-fun vectorCount_8_97_33 () Int)
(declare-fun LEXICALPRAGMA_pre_14_24_26 () Int)
(declare-fun locDots_pre_159_31_29 () Int)
(declare-fun locDots_159_31_29 () Int)
(declare-fun locOpenBrace_pre_133_36_13 () Int)
(declare-fun locOpenBrace_133_36_13 () Int)
(declare-fun CATCH_pre_14_57_26 () Int)
(declare-fun NE_pre_16_24_26 () Int)
(declare-fun locType_pre_132_21_13 () Int)
(declare-fun locType_132_21_13 () Int)
(declare-fun THISEXPR_pre_17_47_7 () Int)
(declare-fun THIS_pre_14_94_26 () Int)
(declare-fun locOpenParen_pre_151_28_13 () Int)
(declare-fun locOpenParen_151_28_13 () Int)
(declare-fun type_pre_145_18_28 () Int)
(declare-fun type_145_18_28 () Int)
(declare-fun NULL_pre_14_82_26 () Int)
(declare-fun LABELSTMT_pre_17_37_7 () Int)
(declare-fun count_pre_53_67_33 () Int)
(declare-fun count_53_67_33 () Int)
(declare-fun VARDECLSTMT_pre_17_27_7 () Int)
(declare-fun UNARYSUB_pre_16_55_26 () Int)
(declare-fun body_pre_133_34_19 () Int)
(declare-fun body_133_34_19 () Int)
(declare-fun loc_pre_137_18_13 () Int)
(declare-fun loc_137_18_13 () Int)
(declare-fun elemType_pre_156_18_28 () Int)
(declare-fun elemType_156_18_28 () Int)
(declare-fun count_pre_57_67_33 () Int)
(declare-fun count_57_67_33 () Int)
(declare-fun COMPOUNDNAME_pre_17_67_7 () Int)
(declare-fun SHORTTYPE_pre_15_36_26 () Int)
(declare-fun op_pre_75_26_13 () Int)
(declare-fun op_75_26_13 () Int)
(declare-fun locId_pre_13_48_13 () Int)
(declare-fun locId_13_48_13 () Int)
(declare-fun STAR_pre_16_37_26 () Int)
(declare-fun loc_pre_55_22_13 () Int)
(declare-fun loc_55_22_13 () Int)
(declare-fun locOpenBrace_pre_69_21_13 () Int)
(declare-fun locOpenBrace_69_21_13 () Int)
(declare-fun FINALLY_pre_14_69_26 () Int)
(declare-fun FIELDACCESS_pre_17_57_7 () Int)
(declare-fun ONDEMANDIMPORTDECL_pre_17_16_7 () Int)
(declare-fun owner_pre_7_35_28 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun type_pre_146_18_28 () Int)
(declare-fun type_146_18_28 () Int)
(declare-fun CASE_pre_14_56_26 () Int)
(declare-fun loc_pre_52_20_13 () Int)
(declare-fun loc_52_20_13 () Int)
(declare-fun endingLoc_pre_10_72_15 () Int)
(declare-fun endingLoc_10_72_15 () Int)
(declare-fun locOpenBrackets_pre_143_65_29 () Int)
(declare-fun locOpenBrackets_143_65_29 () Int)
(declare-fun BITAND_pre_16_23_26 () Int)
(declare-fun TYPESIG_pre_76_6_28 () Int)
(declare-fun count_pre_59_67_33 () Int)
(declare-fun count_59_67_33 () Int)
(declare-fun SYNCHRONIZED_pre_14_93_26 () Int)
(declare-fun RPAREN_pre_14_38_26 () Int)
(declare-fun loc_pre_49_20_13 () Int)
(declare-fun loc_49_20_13 () Int)
(declare-fun UNARYADD_pre_16_54_26 () Int)
(declare-fun CONTINUESTMT_pre_17_36_7 () Int)
(declare-fun SWITCHSTMT_pre_17_26_7 () Int)
(declare-fun BYTETYPE_pre_15_35_26 () Int)
(declare-fun MOD_pre_16_36_26 () Int)
(declare-fun ARRAYINIT_pre_17_46_7 () Int)
(declare-fun loc_pre_43_18_13 () Int)
(declare-fun loc_43_18_13 () Int)
(declare-fun SIMPLENAME_pre_17_66_7 () Int)
(declare-fun locOpenBrace_pre_29_22_13 () Int)
(declare-fun locOpenBrace_29_22_13 () Int)
(declare-fun punctuationStrings_pre_14_134_22 () Int)
(declare-fun BITXOR_pre_16_22_26 () Int)
(declare-fun VARIABLEACCESS_pre_17_56_7 () Int)
(declare-fun value_pre_61_45_16 () Int)
(declare-fun value_61_45_16 () Int)
(declare-fun SINGLETYPEIMPORTDECL_pre_17_15_7 () Int)
(declare-fun SWITCH_pre_14_92_26 () Int)
(declare-fun LPAREN_pre_14_37_26 () Int)
(declare-fun locCloseBracket_pre_141_23_13 () Int)
(declare-fun locCloseBracket_141_23_13 () Int)
(declare-fun ASGBITXOR_pre_16_51_26 () Int)
(declare-fun length_pre_36_50_25 () Int)
(declare-fun length_36_50_25 () Int)
(declare-fun dims_pre_143_45_31 () Int)
(declare-fun dims_143_45_31 () Int)
(declare-fun seqModifierPragma_pre_6_74_32 () Int)
(declare-fun NULLTYPE_pre_15_34_26 () Int)
(declare-fun DIV_pre_16_35_26 () Int)
(declare-fun EOF_pre_14_17_26 () Int)
(declare-fun BLOCKSTMT_pre_17_25_7 () Int)
(declare-fun BREAK_pre_14_54_26 () Int)
(declare-fun CATCHCLAUSE_pre_17_45_7 () Int)
(declare-fun otherCodes_pre_14_202_27 () Int)
(declare-fun BITOR_pre_16_21_26 () Int)
(declare-fun ARRAYTYPE_pre_17_65_7 () Int)
(declare-fun loc_pre_32_16_13 () Int)
(declare-fun loc_32_16_13 () Int)
(declare-fun BREAKSTMT_pre_17_35_7 () Int)
(declare-fun RBRACE_pre_14_36_26 () Int)
(declare-fun SUPER_pre_14_91_26 () Int)
(declare-fun elements_pre_160_61_47 () Int)
(declare-fun elements_160_61_47 () Int)
(declare-fun code_pre_9_1294_15 () Int)
(declare-fun code_9_1294_15 () Int)
(declare-fun locId_pre_151_25_13 () Int)
(declare-fun locId_151_25_13 () Int)
(declare-fun ASGBITOR_pre_16_50_26 () Int)
(declare-fun enclosingInstance_pre_58_37_14 () Int)
(declare-fun enclosingInstance_58_37_14 () Int)
(declare-fun op_pre_74_35_13 () Int)
(declare-fun op_74_35_13 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_pre_17_55_7 () Int)
(declare-fun seqTypeDeclElem_pre_4_1161_46 () Int)
(declare-fun SUB_pre_16_34_26 () Int)
(declare-fun loc_pre_13_45_13 () Int)
(declare-fun loc_13_45_13 () Int)
(declare-fun locColon_pre_144_25_13 () Int)
(declare-fun locColon_144_25_13 () Int)
(declare-fun COMPILATIONUNIT_pre_17_14_7 () Int)
(declare-fun NONE_pre_40_18_26 () Int)
(declare-fun FORMALPARADECL_pre_17_24_7 () Int)
(declare-fun LBRACE_pre_14_35_26 () Int)
(declare-fun CONSTRUCTORINVOCATION_pre_17_44_7 () Int)
(declare-fun currentStackBottom_pre_8_87_33 () Int)
(declare-fun currentStackBottom_8_87_33 () Int)
(declare-fun VOIDTYPE_pre_15_33_26 () Int)
(declare-fun name_pre_35_20_28 () Int)
(declare-fun name_35_20_28 () Int)
(declare-fun loc_pre_157_20_13 () Int)
(declare-fun loc_157_20_13 () Int)
(declare-fun locId_pre_66_38_13 () Int)
(declare-fun locId_66_38_13 () Int)
(declare-fun ASGBITAND_pre_16_49_26 () Int)
(declare-fun locId_pre_133_43_13 () Int)
(declare-fun locId_133_43_13 () Int)
(declare-fun TYPENAME_pre_17_64_7 () Int)
(declare-fun PARENEXPR_pre_17_54_7 () Int)
(declare-fun locSuper_pre_155_20_13 () Int)
(declare-fun locSuper_155_20_13 () Int)
(declare-fun THROWSTMT_pre_17_34_7 () Int)
(declare-fun LAST_KEYWORD_pre_14_103_26 () Int)
(declare-fun startingLoc_pre_10_65_15 () Int)
(declare-fun startingLoc_10_65_15 () Int)
(declare-fun ADD_pre_16_33_26 () Int)
(declare-fun returnType_pre_132_18_28 () Int)
(declare-fun returnType_132_18_28 () Int)
(declare-fun locFirstSemi_pre_50_36_13 () Int)
(declare-fun locFirstSemi_50_36_13 () Int)
(declare-fun locDot_pre_142_29_13 () Int)
(declare-fun locDot_142_29_13 () Int)
(declare-fun locCloseParen_pre_147_21_13 () Int)
(declare-fun locCloseParen_147_21_13 () Int)
(declare-fun loc_pre_46_18_13 () Int)
(declare-fun loc_46_18_13 () Int)
(declare-fun SEMICOLON_pre_14_34_26 () Int)
(declare-fun DOUBLETYPE_pre_15_32_26 () Int)
(declare-fun AND_pre_16_20_26 () Int)
(declare-fun WHILE_pre_14_102_26 () Int)
(declare-fun count_pre_160_67_33 () Int)
(declare-fun count_160_67_33 () Int)
(declare-fun ASGURSHIFT_pre_16_48_26 () Int)
(declare-fun ELSE_pre_14_65_26 () Int)
(declare-fun FIELDDECL_pre_17_23_7 () Int)
(declare-fun TRYCATCHSTMT_pre_17_43_7 () Int)
(declare-fun syntax_pre_39_28_29 () Int)
(declare-fun syntax_39_28_29 () Int)
(declare-fun FIRST_KEYWORD_pre_14_51_26 () Int)
(declare-fun locOpenParen_pre_142_52_13 () Int)
(declare-fun locOpenParen_142_52_13 () Int)
(declare-fun locOpenBracket_pre_141_20_13 () Int)
(declare-fun locOpenBracket_141_20_13 () Int)
(declare-fun URSHIFT_pre_16_32_26 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_pre_17_63_7 () Int)
(declare-fun NULL_pre_12_60_26 () Int)
(declare-fun CASTEXPR_pre_17_53_7 () Int)
(declare-fun elements_pre_129_61_39 () Int)
(declare-fun elements_129_61_39 () Int)
(declare-fun RETURNSTMT_pre_17_33_7 () Int)
(declare-fun modifierPragmas_pre_6_134_29 () Int)
(declare-fun modifierPragmas_6_134_29 () Int)
(declare-fun FLOATTYPE_pre_15_31_26 () Int)
(declare-fun OR_pre_16_19_26 () Int)
(declare-fun NULLLIT_pre_15_45_26 () Int)
(declare-fun ASGRSHIFT_pre_16_47_26 () Int)
(declare-fun locOpenParen_pre_58_48_13 () Int)
(declare-fun locOpenParen_58_48_13 () Int)
(declare-fun seqExpr_pre_4_1145_46 () Int)
(declare-fun LOCALVARDECL_pre_17_22_7 () Int)
(declare-fun RSHIFT_pre_16_31_26 () Int)
(declare-fun locQuestion_pre_144_22_13 () Int)
(declare-fun locQuestion_144_22_13 () Int)
(declare-fun nameIdLocs_pre_5_62_28 () Int)
(declare-fun nameIdLocs_5_62_28 () Int)
(declare-fun loc_pre_45_18_13 () Int)
(declare-fun loc_45_18_13 () Int)
(declare-fun elements_pre_128_61_38 () Int)
(declare-fun elements_128_61_38 () Int)
(declare-fun seqStmt_pre_70_46 () Int)
(declare-fun INSTANCEOFEXPR_pre_17_52_7 () Int)
(declare-fun loc_pre_71_35_13 () Int)
(declare-fun loc_71_35_13 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_pre_17_62_7 () Int)
(declare-fun TRYFINALLYSTMT_pre_17_42_7 () Int)
(declare-fun CHARTYPE_pre_15_30_26 () Int)
(declare-fun elements_pre_158_61_39 () Int)
(declare-fun elements_158_61_39 () Int)
(declare-fun locDot_pre_152_23_13 () Int)
(declare-fun locDot_152_23_13 () Int)
(declare-fun STRINGLIT_pre_15_44_26 () Int)
(declare-fun EVALSTMT_pre_17_32_7 () Int)
(declare-fun ASGLSHIFT_pre_16_46_26 () Int)
(declare-fun RETURN_pre_14_87_26 () Int)
(declare-fun m_in_pre_9_212_46 () Int)
(declare-fun m_in_9_212_46 () Int)
(declare-fun type_pre_66_35_28 () Int)
(declare-fun type_66_35_28 () Int)
(declare-fun COMMA_pre_14_33_26 () Int)
(declare-fun DO_pre_14_63_26 () Int)
(declare-fun loc_pre_133_40_13 () Int)
(declare-fun loc_133_40_13 () Int)
(declare-fun LSHIFT_pre_16_30_26 () Int)
(declare-fun loc_pre_50_33_13 () Int)
(declare-fun loc_50_33_13 () Int)
(declare-fun INITBLOCK_pre_17_21_7 () Int)
(declare-fun POSTFIXDEC_pre_16_63_26 () Int)
(declare-fun count_pre_129_67_33 () Int)
(declare-fun count_129_67_33 () Int)
(declare-fun init_pre_143_35_19 () Int)
(declare-fun init_143_35_19 () Int)
(declare-fun locCloseBrace_pre_13_54_13 () Int)
(declare-fun locCloseBrace_13_54_13 () Int)
(declare-fun LONGTYPE_pre_15_29_26 () Int)
(declare-fun TRY_pre_14_99_26 () Int)
(declare-fun DOUBLELIT_pre_15_43_26 () Int)
(declare-fun ASGSUB_pre_16_45_26 () Int)
(declare-fun DEFAULT_pre_14_62_26 () Int)
(declare-fun locCloseParen_pre_146_24_13 () Int)
(declare-fun locCloseParen_146_24_13 () Int)
(declare-fun SWITCHLABEL_pre_17_41_7 () Int)
(declare-fun CONDEXPR_pre_17_51_7 () Int)
(declare-fun SYNCHRONIZESTMT_pre_17_31_7 () Int)
(declare-fun FIELD_pre_14_45_26 () Int)
(declare-fun elementType_pre_8_43_27 () Int)
(declare-fun elementType_8_43_27 () Int)
(declare-fun enclosingInstance_pre_142_25_14 () Int)
(declare-fun enclosingInstance_142_25_14 () Int)
(declare-fun LT_pre_16_29_26 () Int)
(declare-fun EXPROBJECTDESIGNATOR_pre_17_61_7 () Int)
(declare-fun loc_pre_142_49_13 () Int)
(declare-fun loc_142_49_13 () Int)
(declare-fun locId_pre_37_20_13 () Int)
(declare-fun locId_37_20_13 () Int)
(declare-fun ids_pre_159_19_37 () Int)
(declare-fun ids_159_19_37 () Int)
(declare-fun tag_pre_61_32_13 () Int)
(declare-fun tag_61_32_13 () Int)
(declare-fun POSTFIXINC_pre_16_62_26 () Int)
(declare-fun count_pre_128_67_33 () Int)
(declare-fun count_128_67_33 () Int)
(declare-fun METHODDECL_pre_17_20_7 () Int)
(declare-fun INTTYPE_pre_15_28_26 () Int)
(declare-fun locOp_pre_75_32_13 () Int)
(declare-fun locOp_75_32_13 () Int)
(declare-fun loc_pre_123_30_13 () Int)
(declare-fun loc_123_30_13 () Int)
(declare-fun FLOATLIT_pre_15_42_26 () Int)
(declare-fun ASGADD_pre_16_44_26 () Int)
(declare-fun CONTINUE_pre_14_61_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_14_28_26 () Int)
(declare-fun count_pre_158_67_33 () Int)
(declare-fun count_158_67_33 () Int)
(declare-fun locOpenParen_pre_147_18_13 () Int)
(declare-fun locOpenParen_147_18_13 () Int)
(declare-fun locKeyword_pre_58_45_13 () Int)
(declare-fun locKeyword_58_45_13 () Int)
(declare-fun COLON_pre_14_43_26 () Int)
(declare-fun locOpenBracket_pre_156_21_13 () Int)
(declare-fun locOpenBracket_156_21_13 () Int)
(declare-fun LE_pre_16_28_26 () Int)
(declare-fun identifierVal_pre_10_80_22 () Int)
(declare-fun identifierVal_10_80_22 () Int)
(declare-fun NEWARRAYEXPR_pre_17_50_7 () Int)
(declare-fun locOp_pre_74_43_13 () Int)
(declare-fun locOp_74_43_13 () Int)
(declare-fun SKIPSTMT_pre_17_40_7 () Int)
(declare-fun DOSTMT_pre_17_30_7 () Int)
(declare-fun tokenType_pre_70_90_8 () Int)
(declare-fun tokenType_70_90_8 () Int)
(declare-fun DEC_pre_16_59_26 () Int)
(declare-fun loc_pre_64_22_13 () Int)
(declare-fun loc_64_22_13 () Int)
(declare-fun otherStrings_pre_14_193_30 () Int)
(declare-fun loc_pre_134_29_13 () Int)
(declare-fun loc_134_29_13 () Int)
(declare-fun elements_pre_8_72_21 () Int)
(declare-fun elements_8_72_21 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun objectToBeConstructed () Int)
(declare-fun after_57_23_57_23 () Int)
(declare-fun RES_57_23_57_23 () Int)
(declare-fun EC_57_23_57_23 () Int)
(declare-fun ecReturn () Int)
(declare-fun seqStmt_70_46_1_ () Int)
(declare-fun seqStmt_zero () Int)
(declare-fun seqCatchClause_76_46_1_ () Int)
(declare-fun seqCatchClause_zero () Int)
(declare-fun after_71_3_71_3 () Int)
(declare-fun RES_71_3_71_3 () Int)
(declare-fun EC_71_3_71_3 () Int)
(declare-fun seqStmt_70_46_2_ () Int)
(declare-fun after_77_3_77_3 () Int)
(declare-fun RES_77_3_77_3 () Int)
(declare-fun EC_77_3_77_3 () Int)
(declare-fun seqCatchClause_76_46_2_ () Int)
(declare-fun tmp0_seqStmt_58_9 () Int)
(declare-fun elementType_58_17 () Int)
(declare-fun tmp1_seqStmt_59_9 () Int)
(declare-fun owner_59_17 () Int)
(declare-fun tmp2_seqCatchClause_61_9 () Int)
(declare-fun elementType_61_24 () Int)
(declare-fun tmp3_seqCatchClause_62_9 () Int)
(declare-fun owner_62_24 () Int)
(assert (let ((?v_0 (array T_int)) (?v_1 (array T_java_lang_String)) (?v_3 (arrayLength keywordStrings_14_181_30)) (?v_2 (arrayLength punctuationStrings_14_134_22)) (?v_4 (arrayLength otherStrings_14_193_30)) (?v_5 (S_select owner_7_35_28 punctuationCodes_14_164_19))) (let ((?v_6 (= true_term (is ?v_5 T_javafe_parser_TagConstants))) (?v_7 (not (= ?v_5 null))) (?v_18 (not (= true_term (isAllocated objectToBeConstructed alloc))))) (let ((?v_8 (not (and ?v_6 ?v_7))) (?v_19 (< alloc after_57_23_57_23)) (?v_20 (not (= RES_57_23_57_23 null))) (?v_21 (not (= true_term (isAllocated RES_57_23_57_23 alloc)))) (?v_22 (= true_term (is RES_57_23_57_23 T_javafe_parser_ParseExpr))) (?v_23 (= true_term (isAllocated RES_57_23_57_23 after_57_23_57_23))) (?v_24 (= EC_57_23_57_23 ecReturn)) (?v_25 (= (S_select owner_7_35_28 RES_57_23_57_23) null)) (?v_26 (= (PO_LT (typeof RES_57_23_57_23) T_javafe_parser_ParseStmt) true_term)) (?v_27 (= objectToBeConstructed RES_57_23_57_23)) (?v_28 (= seqStmt_70_46_1_ (S_store seqStmt_70_46 RES_57_23_57_23 seqStmt_zero))) (?v_29 (= seqCatchClause_76_46_1_ (S_store seqCatchClause_76_46 RES_57_23_57_23 seqCatchClause_zero))) (?v_30 (< after_57_23_57_23 after_71_3_71_3)) (?v_10 (not (= RES_71_3_71_3 null))) (?v_31 (not (= true_term (isAllocated RES_71_3_71_3 after_57_23_57_23)))) (?v_32 (= true_term (is RES_71_3_71_3 T_javafe_util_StackVector))) (?v_33 (= true_term (isAllocated RES_71_3_71_3 after_71_3_71_3))) (?v_9 (= EC_71_3_71_3 ecReturn)) (?v_34 (= (S_select owner_7_35_28 RES_71_3_71_3) null))) (let ((?v_35 (=> ?v_9 (= (S_select elementCount_8_79_33 RES_71_3_71_3) 0))) (?v_36 (=> ?v_9 (= (S_select vectorCount_8_97_33 RES_71_3_71_3) 1))) (?v_37 (= (typeof RES_71_3_71_3) T_javafe_util_StackVector)) (?v_38 (= seqStmt_70_46_2_ (S_store seqStmt_70_46_1_ RES_57_23_57_23 RES_71_3_71_3))) (?v_39 (< after_71_3_71_3 after_77_3_77_3)) (?v_12 (not (= RES_77_3_77_3 null))) (?v_40 (not (= true_term (isAllocated RES_77_3_77_3 after_71_3_71_3)))) (?v_41 (= true_term (is RES_77_3_77_3 T_javafe_util_StackVector))) (?v_42 (= true_term (isAllocated RES_77_3_77_3 after_77_3_77_3))) (?v_11 (= EC_77_3_77_3 ecReturn)) (?v_43 (= (S_select owner_7_35_28 RES_77_3_77_3) null))) (let ((?v_44 (=> ?v_11 (= (S_select elementCount_8_79_33 RES_77_3_77_3) 0))) (?v_45 (=> ?v_11 (= (S_select vectorCount_8_97_33 RES_77_3_77_3) 1))) (?v_46 (= (typeof RES_77_3_77_3) T_javafe_util_StackVector)) (?v_47 (= seqCatchClause_76_46_2_ (S_store seqCatchClause_76_46_1_ RES_57_23_57_23 RES_77_3_77_3))) (?v_14 (S_select seqStmt_70_46_2_ RES_57_23_57_23))) (let ((?v_48 (= tmp0_seqStmt_58_9 ?v_14)) (?v_13 (not (= tmp0_seqStmt_58_9 null))) (?v_49 (= elementType_58_17 (S_store elementType_8_43_27 ?v_14 T_javafe_ast_Stmt))) (?v_50 (= tmp1_seqStmt_59_9 ?v_14)) (?v_15 (not (= tmp1_seqStmt_59_9 null))) (?v_51 (= owner_59_17 (S_store owner_7_35_28 ?v_14 RES_57_23_57_23))) (?v_17 (S_select seqCatchClause_76_46_2_ RES_57_23_57_23))) (let ((?v_52 (= tmp2_seqCatchClause_61_9 ?v_17)) (?v_16 (not (= tmp2_seqCatchClause_61_9 null))) (?v_53 (= elementType_61_24 (S_store elementType_58_17 ?v_17 T_javafe_ast_CatchClause))) (?v_54 (= tmp3_seqCatchClause_62_9 ?v_17)) (?v_55 (not (= tmp3_seqCatchClause_62_9 null))) (?v_56 (= ecReturn ecReturn)) (?v_57 (= (S_select owner_62_24 RES_57_23_57_23) null))) (let ((?v_58 (=> ?v_56 (not (= ?v_14 null)))) (?v_59 (=> ?v_56 (not (= ?v_17 null)))) (?v_60 (S_select owner_62_24 punctuationCodes_14_164_19))) (not (=> true (=> (and (= noTokens_pre_14_212_27 noTokens_14_212_27) (= true_term (is noTokens_14_212_27 T_int)) (= BOOLEANTYPE_pre_15_27_26 BOOLEANTYPE_15_27_26) (= true_term (is BOOLEANTYPE_15_27_26 T_int)) (= IF_pre_14_73_26 IF_14_73_26) (= true_term (is IF_14_73_26 T_int)) (= locOpenParen_pre_52_23_13 locOpenParen_52_23_13) (= locOpenParen_52_23_13 (asField locOpenParen_52_23_13 T_int)) (= elements_pre_62_61_33 elements_62_61_33) (= elements_62_61_33 (asField elements_62_61_33 (array T_javafe_ast_Expr))) (< (fClosedTime elements_62_61_33) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elements_62_61_33 ?s) null)))) (= CHARLIT_pre_15_41_26 CHARLIT_15_41_26) (= true_term (is CHARLIT_15_41_26 T_int)) (= tag_pre_71_30_13 tag_71_30_13) (= tag_71_30_13 (asField tag_71_30_13 T_int)) (= ASGREM_pre_16_43_26 ASGREM_16_43_26) (= true_term (is ASGREM_16_43_26 T_int)) (= TYPEDECLELEMPRAGMA_pre_14_27_26 TYPEDECLELEMPRAGMA_14_27_26) (= true_term (is TYPEDECLELEMPRAGMA_14_27_26 T_int)) (= CLASSLITERAL_pre_17_60_7 CLASSLITERAL_17_60_7) (= true_term (is CLASSLITERAL_17_60_7 T_int)) (= locGuardOpenParen_pre_49_23_13 locGuardOpenParen_49_23_13) (= locGuardOpenParen_49_23_13 (asField locGuardOpenParen_49_23_13 T_int)) (= CONSTRUCTORDECL_pre_17_19_7 CONSTRUCTORDECL_17_19_7) (= true_term (is CONSTRUCTORDECL_17_19_7 T_int)) (= GT_pre_16_27_26 GT_16_27_26) (= true_term (is GT_16_27_26 T_int)) (= loc_pre_145_21_13 loc_145_21_13) (= loc_145_21_13 (asField loc_145_21_13 T_int)) (= superCall_pre_58_24_17 superCall_58_24_17) (= superCall_58_24_17 (asField superCall_58_24_17 T_boolean)) (= ttype_pre_10_52_15 ttype_10_52_15) (= ttype_10_52_15 (asField ttype_10_52_15 T_int)) (= INC_pre_16_58_26 INC_16_58_26) (= true_term (is INC_16_58_26 T_int)) (= punctuationCodes_pre_14_164_19 punctuationCodes_14_164_19) (= true_term (is punctuationCodes_14_164_19 ?v_0)) (= true_term (isAllocated punctuationCodes_14_164_19 alloc)) (= locFinally_pre_55_25_13 locFinally_55_25_13) (= locFinally_55_25_13 (asField locFinally_55_25_13 T_int)) (= locDot_pre_135_21_13 locDot_135_21_13) (= locDot_135_21_13 (asField locDot_135_21_13 T_int)) (= FORSTMT_pre_17_39_7 FORSTMT_17_39_7) (= true_term (is FORSTMT_17_39_7 T_int)) (= WHILESTMT_pre_17_29_7 WHILESTMT_17_29_7) (= true_term (is WHILESTMT_17_29_7 T_int)) (= loc_pre_63_29_13 loc_63_29_13) (= loc_63_29_13 (asField loc_63_29_13 T_int)) (= IDENT_pre_15_25_26 IDENT_15_25_26) (= true_term (is IDENT_15_25_26 T_int)) (= locOpenBrace_pre_13_51_13 locOpenBrace_13_51_13) (= locOpenBrace_13_51_13 (asField locOpenBrace_13_51_13 T_int)) (= LONGLIT_pre_15_40_26 LONGLIT_15_40_26) (= true_term (is LONGLIT_15_40_26 T_int)) (= locCloseBrace_pre_69_24_13 locCloseBrace_69_24_13) (= locCloseBrace_69_24_13 (asField locCloseBrace_69_24_13 T_int)) (= ASGDIV_pre_16_42_26 ASGDIV_16_42_26) (= true_term (is ASGDIV_16_42_26 T_int)) (= STMTPRAGMA_pre_14_26_26 STMTPRAGMA_14_26_26) (= true_term (is STMTPRAGMA_14_26_26 T_int)) (= locIds_pre_159_25_29 locIds_159_25_29) (= locIds_159_25_29 (asField locIds_159_25_29 ?v_0)) (< (fClosedTime locIds_159_25_29) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select locIds_159_25_29 ?s_1_) null)))) (= locOpenParen_pre_146_21_13 locOpenParen_146_21_13) (= locOpenParen_146_21_13 (asField locOpenParen_146_21_13 T_int)) (= NEWINSTANCEEXPR_pre_17_49_7 NEWINSTANCEEXPR_17_49_7) (= true_term (is NEWINSTANCEEXPR_17_49_7 T_int)) (= loc_pre_54_23_13 loc_54_23_13) (= loc_54_23_13 (asField loc_54_23_13 T_int)) (= loc_pre_47_22_13 loc_47_22_13) (= loc_47_22_13 (asField loc_47_22_13 T_int)) (= CLASS_pre_14_59_26 CLASS_14_59_26) (= true_term (is CLASS_14_59_26 T_int)) (= GE_pre_16_26_26 GE_16_26_26) (= true_term (is GE_16_26_26 T_int)) (= METHODINVOCATION_pre_17_59_7 METHODINVOCATION_17_59_7) (= true_term (is METHODINVOCATION_17_59_7 T_int)) (= type_pre_152_20_28 type_152_20_28) (= type_152_20_28 (asField type_152_20_28 T_javafe_ast_Type)) (< (fClosedTime type_152_20_28) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select type_152_20_28 ?s_2_) null)))) (= elements_pre_53_61_40 elements_53_61_40) (= elements_53_61_40 (asField elements_53_61_40 (array T_javafe_ast_CatchClause))) (< (fClosedTime elements_53_61_40) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select elements_53_61_40 ?s_3_) null)))) (= seqVarInit_pre_4_1153_46 seqVarInit_4_1153_46) (= seqVarInit_4_1153_46 (asField seqVarInit_4_1153_46 T_javafe_util_StackVector)) (< (fClosedTime seqVarInit_4_1153_46) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select seqVarInit_4_1153_46 ?s_4_) null)))) (= INTERFACEDECL_pre_17_18_7 INTERFACEDECL_17_18_7) (= true_term (is INTERFACEDECL_17_18_7 T_int)) (= BITNOT_pre_16_57_26 BITNOT_16_57_26) (= true_term (is BITNOT_16_57_26 T_int)) (= elements_pre_57_61_43 elements_57_61_43) (= elements_57_61_43 (asField elements_57_61_43 (array T_javafe_ast_ModifierPragma))) (< (fClosedTime elements_57_61_43) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select elements_57_61_43 ?s_5_) null)))) (= loc_pre_48_20_13 loc_48_20_13) (= loc_48_20_13 (asField loc_48_20_13 T_int)) (= INTLIT_pre_15_39_26 INTLIT_15_39_26) (= true_term (is INTLIT_15_39_26 T_int)) (= seqIdentifier_pre_5_33_46 seqIdentifier_5_33_46) (= seqIdentifier_5_33_46 (asField seqIdentifier_5_33_46 T_javafe_util_StackVector)) (< (fClosedTime seqIdentifier_5_33_46) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select seqIdentifier_5_33_46 ?s_6_) null)))) (= ASGMUL_pre_16_41_26 ASGMUL_16_41_26) (= true_term (is ASGMUL_16_41_26 T_int)) (= nameDotLocs_pre_5_65_28 nameDotLocs_5_65_28) (= nameDotLocs_5_65_28 (asField nameDotLocs_5_65_28 ?v_0)) (< (fClosedTime nameDotLocs_5_65_28) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select nameDotLocs_5_65_28 ?s_7_) null)))) (= IFSTMT_pre_17_38_7 IFSTMT_17_38_7) (= true_term (is IFSTMT_17_38_7 T_int)) (= CLASSDECLSTMT_pre_17_28_7 CLASSDECLSTMT_17_28_7) (= true_term (is CLASSDECLSTMT_17_28_7 T_int)) (= MODIFIERPRAGMA_pre_14_25_26 MODIFIERPRAGMA_14_25_26) (= true_term (is MODIFIERPRAGMA_14_25_26 T_int)) (= count_pre_62_67_33 count_62_67_33) (= count_62_67_33 (asField count_62_67_33 T_int)) (= seqCatchClause_pre_76_46 seqCatchClause_76_46) (= seqCatchClause_76_46 (asField seqCatchClause_76_46 T_javafe_util_StackVector)) (< (fClosedTime seqCatchClause_76_46) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select seqCatchClause_76_46 ?s_8_) null)))) (= locCloseBrace_pre_29_25_13 locCloseBrace_29_25_13) (= locCloseBrace_29_25_13 (asField locCloseBrace_29_25_13 T_int)) (= FOR_pre_14_71_26 FOR_14_71_26) (= true_term (is FOR_14_71_26 T_int)) (= ARRAYREFEXPR_pre_17_48_7 ARRAYREFEXPR_17_48_7) (= true_term (is ARRAYREFEXPR_17_48_7 T_int)) (= locId_pre_149_24_13 locId_149_24_13) (= locId_149_24_13 (asField locId_149_24_13 T_int)) (= elementCount_pre_8_79_33 elementCount_8_79_33) (= elementCount_8_79_33 (asField elementCount_8_79_33 T_int)) (= EQ_pre_16_25_26 EQ_16_25_26) (= true_term (is EQ_16_25_26 T_int)) (= elements_pre_59_61_33 elements_59_61_33) (= elements_59_61_33 (asField elements_59_61_33 (array T_javafe_ast_Stmt))) (< (fClosedTime elements_59_61_33) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select elements_59_61_33 ?s_9_) null)))) (= AMBIGUOUSMETHODINVOCATION_pre_17_58_7 AMBIGUOUSMETHODINVOCATION_17_58_7) (= true_term (is AMBIGUOUSMETHODINVOCATION_17_58_7 T_int)) (= loc_pre_61_50_13 loc_61_50_13) (= loc_61_50_13 (asField loc_61_50_13 T_int)) (= keywordStrings_pre_14_181_30 keywordStrings_14_181_30) (= true_term (is keywordStrings_14_181_30 ?v_1)) (= true_term (isAllocated keywordStrings_14_181_30 alloc)) (= THROW_pre_14_95_26 THROW_14_95_26) (= true_term (is THROW_14_95_26 T_int)) (= loc_pre_148_22_13 loc_148_22_13) (= loc_148_22_13 (asField loc_148_22_13 T_int)) (= NOT_pre_16_56_26 NOT_16_56_26) (= true_term (is NOT_16_56_26 T_int)) (= loc_pre_143_49_13 loc_143_49_13) (= loc_143_49_13 (asField loc_143_49_13 T_int)) (= loc_pre_51_18_13 loc_51_18_13) (= loc_51_18_13 (asField loc_51_18_13 T_int)) (= locOpenParen_pre_150_30_13 locOpenParen_150_30_13) (= locOpenParen_150_30_13 (asField locOpenParen_150_30_13 T_int)) (= type_pre_143_24_28 type_143_24_28) (= type_143_24_28 (asField type_143_24_28 T_javafe_ast_Type)) (< (fClosedTime type_143_24_28) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select type_143_24_28 ?s_10_) null)))) (= locDot_pre_58_41_13 locDot_58_41_13) (= locDot_58_41_13 (asField locDot_58_41_13 T_int)) (= CLASSDECL_pre_17_17_7 CLASSDECL_17_17_7) (= true_term (is CLASSDECL_17_17_7 T_int)) (= auxVal_pre_10_127_18 auxVal_10_127_18) (= auxVal_10_127_18 (asField auxVal_10_127_18 T_java_lang_Object)) (< (fClosedTime auxVal_10_127_18) alloc) (= BOOLEANLIT_pre_15_38_26 BOOLEANLIT_15_38_26) (= true_term (is BOOLEANLIT_15_38_26 T_int)) (= ASSIGN_pre_16_40_26 ASSIGN_16_40_26) (= true_term (is ASSIGN_16_40_26 T_int)) (= vectorCount_pre_8_97_33 vectorCount_8_97_33) (= vectorCount_8_97_33 (asField vectorCount_8_97_33 T_int)) (= LEXICALPRAGMA_pre_14_24_26 LEXICALPRAGMA_14_24_26) (= true_term (is LEXICALPRAGMA_14_24_26 T_int)) (= locDots_pre_159_31_29 locDots_159_31_29) (= locDots_159_31_29 (asField locDots_159_31_29 ?v_0)) (< (fClosedTime locDots_159_31_29) alloc) (forall ((?s_11_ Int)) (=> (not (= ?s_11_ null)) (not (= (S_select locDots_159_31_29 ?s_11_) null)))) (= locOpenBrace_pre_133_36_13 locOpenBrace_133_36_13) (= locOpenBrace_133_36_13 (asField locOpenBrace_133_36_13 T_int)) (= CATCH_pre_14_57_26 CATCH_14_57_26) (= true_term (is CATCH_14_57_26 T_int)) (= NE_pre_16_24_26 NE_16_24_26) (= true_term (is NE_16_24_26 T_int)) (= locType_pre_132_21_13 locType_132_21_13) (= locType_132_21_13 (asField locType_132_21_13 T_int)) (= THISEXPR_pre_17_47_7 THISEXPR_17_47_7) (= true_term (is THISEXPR_17_47_7 T_int)) (= THIS_pre_14_94_26 THIS_14_94_26) (= true_term (is THIS_14_94_26 T_int)) (= locOpenParen_pre_151_28_13 locOpenParen_151_28_13) (= locOpenParen_151_28_13 (asField locOpenParen_151_28_13 T_int)) (= type_pre_145_18_28 type_145_18_28) (= type_145_18_28 (asField type_145_18_28 T_javafe_ast_Type)) (< (fClosedTime type_145_18_28) alloc) (forall ((?s_12_ Int)) (=> (not (= ?s_12_ null)) (not (= (S_select type_145_18_28 ?s_12_) null)))) (= NULL_pre_14_82_26 NULL_14_82_26) (= true_term (is NULL_14_82_26 T_int)) (= LABELSTMT_pre_17_37_7 LABELSTMT_17_37_7) (= true_term (is LABELSTMT_17_37_7 T_int)) (= count_pre_53_67_33 count_53_67_33) (= count_53_67_33 (asField count_53_67_33 T_int)) (= VARDECLSTMT_pre_17_27_7 VARDECLSTMT_17_27_7) (= true_term (is VARDECLSTMT_17_27_7 T_int)) (= UNARYSUB_pre_16_55_26 UNARYSUB_16_55_26) (= true_term (is UNARYSUB_16_55_26 T_int)) (= body_pre_133_34_19 body_133_34_19) (= body_133_34_19 (asField body_133_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_133_34_19) alloc) (= loc_pre_137_18_13 loc_137_18_13) (= loc_137_18_13 (asField loc_137_18_13 T_int)) (= elemType_pre_156_18_28 elemType_156_18_28) (= elemType_156_18_28 (asField elemType_156_18_28 T_javafe_ast_Type)) (< (fClosedTime elemType_156_18_28) alloc) (forall ((?s_13_ Int)) (=> (not (= ?s_13_ null)) (not (= (S_select elemType_156_18_28 ?s_13_) null)))) (= count_pre_57_67_33 count_57_67_33) (= count_57_67_33 (asField count_57_67_33 T_int)) (= COMPOUNDNAME_pre_17_67_7 COMPOUNDNAME_17_67_7) (= true_term (is COMPOUNDNAME_17_67_7 T_int)) (= SHORTTYPE_pre_15_36_26 SHORTTYPE_15_36_26) (= true_term (is SHORTTYPE_15_36_26 T_int)) (= op_pre_75_26_13 op_75_26_13) (= op_75_26_13 (asField op_75_26_13 T_int)) (= locId_pre_13_48_13 locId_13_48_13) (= locId_13_48_13 (asField locId_13_48_13 T_int)) (= STAR_pre_16_37_26 STAR_16_37_26) (= true_term (is STAR_16_37_26 T_int)) (= loc_pre_55_22_13 loc_55_22_13) (= loc_55_22_13 (asField loc_55_22_13 T_int)) (= locOpenBrace_pre_69_21_13 locOpenBrace_69_21_13) (= locOpenBrace_69_21_13 (asField locOpenBrace_69_21_13 T_int)) (= FINALLY_pre_14_69_26 FINALLY_14_69_26) (= true_term (is FINALLY_14_69_26 T_int)) (= FIELDACCESS_pre_17_57_7 FIELDACCESS_17_57_7) (= true_term (is FIELDACCESS_17_57_7 T_int)) (= ONDEMANDIMPORTDECL_pre_17_16_7 ONDEMANDIMPORTDECL_17_16_7) (= true_term (is ONDEMANDIMPORTDECL_17_16_7 T_int)) (= owner_pre_7_35_28 owner_7_35_28) (= owner_7_35_28 (asField owner_7_35_28 T_java_lang_Object)) (< (fClosedTime owner_7_35_28) alloc) (= type_pre_146_18_28 type_146_18_28) (= type_146_18_28 (asField type_146_18_28 T_javafe_ast_Type)) (< (fClosedTime type_146_18_28) alloc) (forall ((?s_14_ Int)) (=> (not (= ?s_14_ null)) (not (= (S_select type_146_18_28 ?s_14_) null)))) (= CASE_pre_14_56_26 CASE_14_56_26) (= true_term (is CASE_14_56_26 T_int)) (= loc_pre_52_20_13 loc_52_20_13) (= loc_52_20_13 (asField loc_52_20_13 T_int)) (= endingLoc_pre_10_72_15 endingLoc_10_72_15) (= endingLoc_10_72_15 (asField endingLoc_10_72_15 T_int)) (= locOpenBrackets_pre_143_65_29 locOpenBrackets_143_65_29) (= locOpenBrackets_143_65_29 (asField locOpenBrackets_143_65_29 ?v_0)) (< (fClosedTime locOpenBrackets_143_65_29) alloc) (forall ((?s_15_ Int)) (=> (not (= ?s_15_ null)) (not (= (S_select locOpenBrackets_143_65_29 ?s_15_) null)))) (= BITAND_pre_16_23_26 BITAND_16_23_26) (= true_term (is BITAND_16_23_26 T_int)) (= TYPESIG_pre_76_6_28 TYPESIG_76_6_28) (= true_term (is TYPESIG_76_6_28 T_int)) (= count_pre_59_67_33 count_59_67_33) (= count_59_67_33 (asField count_59_67_33 T_int)) (= SYNCHRONIZED_pre_14_93_26 SYNCHRONIZED_14_93_26) (= true_term (is SYNCHRONIZED_14_93_26 T_int)) (= RPAREN_pre_14_38_26 RPAREN_14_38_26) (= true_term (is RPAREN_14_38_26 T_int)) (= loc_pre_49_20_13 loc_49_20_13) (= loc_49_20_13 (asField loc_49_20_13 T_int)) (= UNARYADD_pre_16_54_26 UNARYADD_16_54_26) (= true_term (is UNARYADD_16_54_26 T_int)) (= CONTINUESTMT_pre_17_36_7 CONTINUESTMT_17_36_7) (= true_term (is CONTINUESTMT_17_36_7 T_int)) (= SWITCHSTMT_pre_17_26_7 SWITCHSTMT_17_26_7) (= true_term (is SWITCHSTMT_17_26_7 T_int)) (= BYTETYPE_pre_15_35_26 BYTETYPE_15_35_26) (= true_term (is BYTETYPE_15_35_26 T_int)) (= MOD_pre_16_36_26 MOD_16_36_26) (= true_term (is MOD_16_36_26 T_int)) (= ARRAYINIT_pre_17_46_7 ARRAYINIT_17_46_7) (= true_term (is ARRAYINIT_17_46_7 T_int)) (= loc_pre_43_18_13 loc_43_18_13) (= loc_43_18_13 (asField loc_43_18_13 T_int)) (= SIMPLENAME_pre_17_66_7 SIMPLENAME_17_66_7) (= true_term (is SIMPLENAME_17_66_7 T_int)) (= locOpenBrace_pre_29_22_13 locOpenBrace_29_22_13) (= locOpenBrace_29_22_13 (asField locOpenBrace_29_22_13 T_int)) (= punctuationStrings_pre_14_134_22 punctuationStrings_14_134_22) (= true_term (is punctuationStrings_14_134_22 ?v_1)) (= true_term (isAllocated punctuationStrings_14_134_22 alloc)) (= BITXOR_pre_16_22_26 BITXOR_16_22_26) (= true_term (is BITXOR_16_22_26 T_int)) (= VARIABLEACCESS_pre_17_56_7 VARIABLEACCESS_17_56_7) (= true_term (is VARIABLEACCESS_17_56_7 T_int)) (= value_pre_61_45_16 value_61_45_16) (= value_61_45_16 (asField value_61_45_16 T_java_lang_Object)) (< (fClosedTime value_61_45_16) alloc) (= SINGLETYPEIMPORTDECL_pre_17_15_7 SINGLETYPEIMPORTDECL_17_15_7) (= true_term (is SINGLETYPEIMPORTDECL_17_15_7 T_int)) (= SWITCH_pre_14_92_26 SWITCH_14_92_26) (= true_term (is SWITCH_14_92_26 T_int)) (= LPAREN_pre_14_37_26 LPAREN_14_37_26) (= true_term (is LPAREN_14_37_26 T_int)) (= locCloseBracket_pre_141_23_13 locCloseBracket_141_23_13) (= locCloseBracket_141_23_13 (asField locCloseBracket_141_23_13 T_int)) (= ASGBITXOR_pre_16_51_26 ASGBITXOR_16_51_26) (= true_term (is ASGBITXOR_16_51_26 T_int)) (= length_pre_36_50_25 length_36_50_25) (= length_36_50_25 (asField length_36_50_25 T_int)) (= dims_pre_143_45_31 dims_143_45_31) (= dims_143_45_31 (asField dims_143_45_31 T_javafe_ast_ExprVec)) (< (fClosedTime dims_143_45_31) alloc) (forall ((?s_16_ Int)) (=> (not (= ?s_16_ null)) (not (= (S_select dims_143_45_31 ?s_16_) null)))) (= seqModifierPragma_pre_6_74_32 seqModifierPragma_6_74_32) (= seqModifierPragma_6_74_32 (asField seqModifierPragma_6_74_32 T_javafe_util_StackVector)) (< (fClosedTime seqModifierPragma_6_74_32) alloc) (= NULLTYPE_pre_15_34_26 NULLTYPE_15_34_26) (= true_term (is NULLTYPE_15_34_26 T_int)) (= DIV_pre_16_35_26 DIV_16_35_26) (= true_term (is DIV_16_35_26 T_int)) (= EOF_pre_14_17_26 EOF_14_17_26) (= true_term (is EOF_14_17_26 T_int)) (= BLOCKSTMT_pre_17_25_7 BLOCKSTMT_17_25_7) (= true_term (is BLOCKSTMT_17_25_7 T_int)) (= BREAK_pre_14_54_26 BREAK_14_54_26) (= true_term (is BREAK_14_54_26 T_int)) (= CATCHCLAUSE_pre_17_45_7 CATCHCLAUSE_17_45_7) (= true_term (is CATCHCLAUSE_17_45_7 T_int)) (= otherCodes_pre_14_202_27 otherCodes_14_202_27) (= true_term (is otherCodes_14_202_27 ?v_0)) (= true_term (isAllocated otherCodes_14_202_27 alloc)) (= BITOR_pre_16_21_26 BITOR_16_21_26) (= true_term (is BITOR_16_21_26 T_int)) (= ARRAYTYPE_pre_17_65_7 ARRAYTYPE_17_65_7) (= true_term (is ARRAYTYPE_17_65_7 T_int)) (= loc_pre_32_16_13 loc_32_16_13) (= loc_32_16_13 (asField loc_32_16_13 T_int)) (= BREAKSTMT_pre_17_35_7 BREAKSTMT_17_35_7) (= true_term (is BREAKSTMT_17_35_7 T_int)) (= RBRACE_pre_14_36_26 RBRACE_14_36_26) (= true_term (is RBRACE_14_36_26 T_int)) (= SUPER_pre_14_91_26 SUPER_14_91_26) (= true_term (is SUPER_14_91_26 T_int)) (= elements_pre_160_61_47 elements_160_61_47) (= elements_160_61_47 (asField elements_160_61_47 (array T_javafe_ast_TypeModifierPragma))) (< (fClosedTime elements_160_61_47) alloc) (forall ((?s_17_ Int)) (=> (not (= ?s_17_ null)) (not (= (S_select elements_160_61_47 ?s_17_) null)))) (= code_pre_9_1294_15 code_9_1294_15) (= code_9_1294_15 (asField code_9_1294_15 T_int)) (= locId_pre_151_25_13 locId_151_25_13) (= locId_151_25_13 (asField locId_151_25_13 T_int)) (= ASGBITOR_pre_16_50_26 ASGBITOR_16_50_26) (= true_term (is ASGBITOR_16_50_26 T_int)) (= enclosingInstance_pre_58_37_14 enclosingInstance_58_37_14) (= enclosingInstance_58_37_14 (asField enclosingInstance_58_37_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_58_37_14) alloc) (= op_pre_74_35_13 op_74_35_13) (= op_74_35_13 (asField op_74_35_13 T_int)) (= AMBIGUOUSVARIABLEACCESS_pre_17_55_7 AMBIGUOUSVARIABLEACCESS_17_55_7) (= true_term (is AMBIGUOUSVARIABLEACCESS_17_55_7 T_int)) (= seqTypeDeclElem_pre_4_1161_46 seqTypeDeclElem_4_1161_46) (= seqTypeDeclElem_4_1161_46 (asField seqTypeDeclElem_4_1161_46 T_javafe_util_StackVector)) (< (fClosedTime seqTypeDeclElem_4_1161_46) alloc) (forall ((?s_18_ Int)) (=> (not (= ?s_18_ null)) (not (= (S_select seqTypeDeclElem_4_1161_46 ?s_18_) null)))) (= SUB_pre_16_34_26 SUB_16_34_26) (= true_term (is SUB_16_34_26 T_int)) (= loc_pre_13_45_13 loc_13_45_13) (= loc_13_45_13 (asField loc_13_45_13 T_int)) (= locColon_pre_144_25_13 locColon_144_25_13) (= locColon_144_25_13 (asField locColon_144_25_13 T_int)) (= COMPILATIONUNIT_pre_17_14_7 COMPILATIONUNIT_17_14_7) (= true_term (is COMPILATIONUNIT_17_14_7 T_int)) (= NONE_pre_40_18_26 NONE_40_18_26) (= true_term (is NONE_40_18_26 T_int)) (= FORMALPARADECL_pre_17_24_7 FORMALPARADECL_17_24_7) (= true_term (is FORMALPARADECL_17_24_7 T_int)) (= LBRACE_pre_14_35_26 LBRACE_14_35_26) (= true_term (is LBRACE_14_35_26 T_int)) (= CONSTRUCTORINVOCATION_pre_17_44_7 CONSTRUCTORINVOCATION_17_44_7) (= true_term (is CONSTRUCTORINVOCATION_17_44_7 T_int)) (= currentStackBottom_pre_8_87_33 currentStackBottom_8_87_33) (= currentStackBottom_8_87_33 (asField currentStackBottom_8_87_33 T_int)) (= VOIDTYPE_pre_15_33_26 VOIDTYPE_15_33_26) (= true_term (is VOIDTYPE_15_33_26 T_int)) (= name_pre_35_20_28 name_35_20_28) (= name_35_20_28 (asField name_35_20_28 T_javafe_ast_Name)) (< (fClosedTime name_35_20_28) alloc) (forall ((?s_19_ Int)) (=> (not (= ?s_19_ null)) (not (= (S_select name_35_20_28 ?s_19_) null)))) (= loc_pre_157_20_13 loc_157_20_13) (= loc_157_20_13 (asField loc_157_20_13 T_int)) (= locId_pre_66_38_13 locId_66_38_13) (= locId_66_38_13 (asField locId_66_38_13 T_int)) (= ASGBITAND_pre_16_49_26 ASGBITAND_16_49_26) (= true_term (is ASGBITAND_16_49_26 T_int)) (= locId_pre_133_43_13 locId_133_43_13) (= locId_133_43_13 (asField locId_133_43_13 T_int)) (= TYPENAME_pre_17_64_7 TYPENAME_17_64_7) (= true_term (is TYPENAME_17_64_7 T_int)) (= PARENEXPR_pre_17_54_7 PARENEXPR_17_54_7) (= true_term (is PARENEXPR_17_54_7 T_int)) (= locSuper_pre_155_20_13 locSuper_155_20_13) (= locSuper_155_20_13 (asField locSuper_155_20_13 T_int)) (= THROWSTMT_pre_17_34_7 THROWSTMT_17_34_7) (= true_term (is THROWSTMT_17_34_7 T_int)) (= LAST_KEYWORD_pre_14_103_26 LAST_KEYWORD_14_103_26) (= true_term (is LAST_KEYWORD_14_103_26 T_int)) (= startingLoc_pre_10_65_15 startingLoc_10_65_15) (= startingLoc_10_65_15 (asField startingLoc_10_65_15 T_int)) (= ADD_pre_16_33_26 ADD_16_33_26) (= true_term (is ADD_16_33_26 T_int)) (= returnType_pre_132_18_28 returnType_132_18_28) (= returnType_132_18_28 (asField returnType_132_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_132_18_28) alloc) (forall ((?s_20_ Int)) (=> (not (= ?s_20_ null)) (not (= (S_select returnType_132_18_28 ?s_20_) null)))) (= locFirstSemi_pre_50_36_13 locFirstSemi_50_36_13) (= locFirstSemi_50_36_13 (asField locFirstSemi_50_36_13 T_int)) (= locDot_pre_142_29_13 locDot_142_29_13) (= locDot_142_29_13 (asField locDot_142_29_13 T_int)) (= locCloseParen_pre_147_21_13 locCloseParen_147_21_13) (= locCloseParen_147_21_13 (asField locCloseParen_147_21_13 T_int)) (= loc_pre_46_18_13 loc_46_18_13) (= loc_46_18_13 (asField loc_46_18_13 T_int)) (= SEMICOLON_pre_14_34_26 SEMICOLON_14_34_26) (= true_term (is SEMICOLON_14_34_26 T_int)) (= DOUBLETYPE_pre_15_32_26 DOUBLETYPE_15_32_26) (= true_term (is DOUBLETYPE_15_32_26 T_int)) (= AND_pre_16_20_26 AND_16_20_26) (= true_term (is AND_16_20_26 T_int)) (= WHILE_pre_14_102_26 WHILE_14_102_26) (= true_term (is WHILE_14_102_26 T_int)) (= count_pre_160_67_33 count_160_67_33) (= count_160_67_33 (asField count_160_67_33 T_int)) (= ASGURSHIFT_pre_16_48_26 ASGURSHIFT_16_48_26) (= true_term (is ASGURSHIFT_16_48_26 T_int)) (= ELSE_pre_14_65_26 ELSE_14_65_26) (= true_term (is ELSE_14_65_26 T_int)) (= FIELDDECL_pre_17_23_7 FIELDDECL_17_23_7) (= true_term (is FIELDDECL_17_23_7 T_int)) (= TRYCATCHSTMT_pre_17_43_7 TRYCATCHSTMT_17_43_7) (= true_term (is TRYCATCHSTMT_17_43_7 T_int)) (= syntax_pre_39_28_29 syntax_39_28_29) (= syntax_39_28_29 (asField syntax_39_28_29 T_boolean)) (= FIRST_KEYWORD_pre_14_51_26 FIRST_KEYWORD_14_51_26) (= true_term (is FIRST_KEYWORD_14_51_26 T_int)) (= locOpenParen_pre_142_52_13 locOpenParen_142_52_13) (= locOpenParen_142_52_13 (asField locOpenParen_142_52_13 T_int)) (= locOpenBracket_pre_141_20_13 locOpenBracket_141_20_13) (= locOpenBracket_141_20_13 (asField locOpenBracket_141_20_13 T_int)) (= URSHIFT_pre_16_32_26 URSHIFT_16_32_26) (= true_term (is URSHIFT_16_32_26 T_int)) (= SUPEROBJECTDESIGNATOR_pre_17_63_7 SUPEROBJECTDESIGNATOR_17_63_7) (= true_term (is SUPEROBJECTDESIGNATOR_17_63_7 T_int)) (= NULL_pre_12_60_26 NULL_12_60_26) (= true_term (is NULL_12_60_26 T_int)) (= CASTEXPR_pre_17_53_7 CASTEXPR_17_53_7) (= true_term (is CASTEXPR_17_53_7 T_int)) (= elements_pre_129_61_39 elements_129_61_39) (= elements_129_61_39 (asField elements_129_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_129_61_39) alloc) (forall ((?s_21_ Int)) (=> (not (= ?s_21_ null)) (not (= (S_select elements_129_61_39 ?s_21_) null)))) (= RETURNSTMT_pre_17_33_7 RETURNSTMT_17_33_7) (= true_term (is RETURNSTMT_17_33_7 T_int)) (= modifierPragmas_pre_6_134_29 modifierPragmas_6_134_29) (= modifierPragmas_6_134_29 (asField modifierPragmas_6_134_29 T_javafe_ast_ModifierPragmaVec)) (< (fClosedTime modifierPragmas_6_134_29) alloc) (= FLOATTYPE_pre_15_31_26 FLOATTYPE_15_31_26) (= true_term (is FLOATTYPE_15_31_26 T_int)) (= OR_pre_16_19_26 OR_16_19_26) (= true_term (is OR_16_19_26 T_int)) (= NULLLIT_pre_15_45_26 NULLLIT_15_45_26) (= true_term (is NULLLIT_15_45_26 T_int)) (= ASGRSHIFT_pre_16_47_26 ASGRSHIFT_16_47_26) (= true_term (is ASGRSHIFT_16_47_26 T_int)) (= locOpenParen_pre_58_48_13 locOpenParen_58_48_13) (= locOpenParen_58_48_13 (asField locOpenParen_58_48_13 T_int)) (= seqExpr_pre_4_1145_46 seqExpr_4_1145_46) (= seqExpr_4_1145_46 (asField seqExpr_4_1145_46 T_javafe_util_StackVector)) (< (fClosedTime seqExpr_4_1145_46) alloc) (forall ((?s_22_ Int)) (=> (not (= ?s_22_ null)) (not (= (S_select seqExpr_4_1145_46 ?s_22_) null)))) (= LOCALVARDECL_pre_17_22_7 LOCALVARDECL_17_22_7) (= true_term (is LOCALVARDECL_17_22_7 T_int)) (= RSHIFT_pre_16_31_26 RSHIFT_16_31_26) (= true_term (is RSHIFT_16_31_26 T_int)) (= locQuestion_pre_144_22_13 locQuestion_144_22_13) (= locQuestion_144_22_13 (asField locQuestion_144_22_13 T_int)) (= nameIdLocs_pre_5_62_28 nameIdLocs_5_62_28) (= nameIdLocs_5_62_28 (asField nameIdLocs_5_62_28 ?v_0)) (< (fClosedTime nameIdLocs_5_62_28) alloc) (forall ((?s_23_ Int)) (=> (not (= ?s_23_ null)) (not (= (S_select nameIdLocs_5_62_28 ?s_23_) null)))) (= loc_pre_45_18_13 loc_45_18_13) (= loc_45_18_13 (asField loc_45_18_13 T_int)) (= elements_pre_128_61_38 elements_128_61_38) (= elements_128_61_38 (asField elements_128_61_38 (array T_javafe_ast_FieldDecl))) (< (fClosedTime elements_128_61_38) alloc) (forall ((?s_24_ Int)) (=> (not (= ?s_24_ null)) (not (= (S_select elements_128_61_38 ?s_24_) null)))) (= seqStmt_pre_70_46 seqStmt_70_46) (= seqStmt_70_46 (asField seqStmt_70_46 T_javafe_util_StackVector)) (< (fClosedTime seqStmt_70_46) alloc) (forall ((?s_25_ Int)) (=> (not (= ?s_25_ null)) (not (= (S_select seqStmt_70_46 ?s_25_) null)))) (= INSTANCEOFEXPR_pre_17_52_7 INSTANCEOFEXPR_17_52_7) (= true_term (is INSTANCEOFEXPR_17_52_7 T_int)) (= loc_pre_71_35_13 loc_71_35_13) (= loc_71_35_13 (asField loc_71_35_13 T_int)) (= TYPEOBJECTDESIGNATOR_pre_17_62_7 TYPEOBJECTDESIGNATOR_17_62_7) (= true_term (is TYPEOBJECTDESIGNATOR_17_62_7 T_int)) (= TRYFINALLYSTMT_pre_17_42_7 TRYFINALLYSTMT_17_42_7) (= true_term (is TRYFINALLYSTMT_17_42_7 T_int)) (= CHARTYPE_pre_15_30_26 CHARTYPE_15_30_26) (= true_term (is CHARTYPE_15_30_26 T_int)) (= elements_pre_158_61_39 elements_158_61_39) (= elements_158_61_39 (asField elements_158_61_39 (array T_javafe_ast_Identifier))) (< (fClosedTime elements_158_61_39) alloc) (forall ((?s_26_ Int)) (=> (not (= ?s_26_ null)) (not (= (S_select elements_158_61_39 ?s_26_) null)))) (= locDot_pre_152_23_13 locDot_152_23_13) (= locDot_152_23_13 (asField locDot_152_23_13 T_int)) (= STRINGLIT_pre_15_44_26 STRINGLIT_15_44_26) (= true_term (is STRINGLIT_15_44_26 T_int)) (= EVALSTMT_pre_17_32_7 EVALSTMT_17_32_7) (= true_term (is EVALSTMT_17_32_7 T_int)) (= ASGLSHIFT_pre_16_46_26 ASGLSHIFT_16_46_26) (= true_term (is ASGLSHIFT_16_46_26 T_int)) (= RETURN_pre_14_87_26 RETURN_14_87_26) (= true_term (is RETURN_14_87_26 T_int)) (= m_in_pre_9_212_46 m_in_9_212_46) (= m_in_9_212_46 (asField m_in_9_212_46 T_javafe_util_CorrelatedReader)) (< (fClosedTime m_in_9_212_46) alloc) (= type_pre_66_35_28 type_66_35_28) (= type_66_35_28 (asField type_66_35_28 T_javafe_ast_Type)) (< (fClosedTime type_66_35_28) alloc) (forall ((?s_27_ Int)) (=> (not (= ?s_27_ null)) (not (= (S_select type_66_35_28 ?s_27_) null)))) (= COMMA_pre_14_33_26 COMMA_14_33_26) (= true_term (is COMMA_14_33_26 T_int)) (= DO_pre_14_63_26 DO_14_63_26) (= true_term (is DO_14_63_26 T_int)) (= loc_pre_133_40_13 loc_133_40_13) (= loc_133_40_13 (asField loc_133_40_13 T_int)) (= LSHIFT_pre_16_30_26 LSHIFT_16_30_26) (= true_term (is LSHIFT_16_30_26 T_int)) (= loc_pre_50_33_13 loc_50_33_13) (= loc_50_33_13 (asField loc_50_33_13 T_int)) (= INITBLOCK_pre_17_21_7 INITBLOCK_17_21_7) (= true_term (is INITBLOCK_17_21_7 T_int)) (= POSTFIXDEC_pre_16_63_26 POSTFIXDEC_16_63_26) (= true_term (is POSTFIXDEC_16_63_26 T_int)) (= count_pre_129_67_33 count_129_67_33) (= count_129_67_33 (asField count_129_67_33 T_int)) (= init_pre_143_35_19 init_143_35_19) (= init_143_35_19 (asField init_143_35_19 T_javafe_ast_ArrayInit)) (< (fClosedTime init_143_35_19) alloc) (= locCloseBrace_pre_13_54_13 locCloseBrace_13_54_13) (= locCloseBrace_13_54_13 (asField locCloseBrace_13_54_13 T_int)) (= LONGTYPE_pre_15_29_26 LONGTYPE_15_29_26) (= true_term (is LONGTYPE_15_29_26 T_int)) (= TRY_pre_14_99_26 TRY_14_99_26) (= true_term (is TRY_14_99_26 T_int)) (= DOUBLELIT_pre_15_43_26 DOUBLELIT_15_43_26) (= true_term (is DOUBLELIT_15_43_26 T_int)) (= ASGSUB_pre_16_45_26 ASGSUB_16_45_26) (= true_term (is ASGSUB_16_45_26 T_int)) (= DEFAULT_pre_14_62_26 DEFAULT_14_62_26) (= true_term (is DEFAULT_14_62_26 T_int)) (= locCloseParen_pre_146_24_13 locCloseParen_146_24_13) (= locCloseParen_146_24_13 (asField locCloseParen_146_24_13 T_int)) (= SWITCHLABEL_pre_17_41_7 SWITCHLABEL_17_41_7) (= true_term (is SWITCHLABEL_17_41_7 T_int)) (= CONDEXPR_pre_17_51_7 CONDEXPR_17_51_7) (= true_term (is CONDEXPR_17_51_7 T_int)) (= SYNCHRONIZESTMT_pre_17_31_7 SYNCHRONIZESTMT_17_31_7) (= true_term (is SYNCHRONIZESTMT_17_31_7 T_int)) (= FIELD_pre_14_45_26 FIELD_14_45_26) (= true_term (is FIELD_14_45_26 T_int)) (= elementType_pre_8_43_27 elementType_8_43_27) (= elementType_8_43_27 (asField elementType_8_43_27 T__TYPE)) (= enclosingInstance_pre_142_25_14 enclosingInstance_142_25_14) (= enclosingInstance_142_25_14 (asField enclosingInstance_142_25_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_142_25_14) alloc) (= LT_pre_16_29_26 LT_16_29_26) (= true_term (is LT_16_29_26 T_int)) (= EXPROBJECTDESIGNATOR_pre_17_61_7 EXPROBJECTDESIGNATOR_17_61_7) (= true_term (is EXPROBJECTDESIGNATOR_17_61_7 T_int)) (= loc_pre_142_49_13 loc_142_49_13) (= loc_142_49_13 (asField loc_142_49_13 T_int)) (= locId_pre_37_20_13 locId_37_20_13) (= locId_37_20_13 (asField locId_37_20_13 T_int)) (= ids_pre_159_19_37 ids_159_19_37) (= ids_159_19_37 (asField ids_159_19_37 T_javafe_ast_IdentifierVec)) (< (fClosedTime ids_159_19_37) alloc) (forall ((?s_28_ Int)) (=> (not (= ?s_28_ null)) (not (= (S_select ids_159_19_37 ?s_28_) null)))) (= tag_pre_61_32_13 tag_61_32_13) (= tag_61_32_13 (asField tag_61_32_13 T_int)) (= POSTFIXINC_pre_16_62_26 POSTFIXINC_16_62_26) (= true_term (is POSTFIXINC_16_62_26 T_int)) (= count_pre_128_67_33 count_128_67_33) (= count_128_67_33 (asField count_128_67_33 T_int)) (= METHODDECL_pre_17_20_7 METHODDECL_17_20_7) (= true_term (is METHODDECL_17_20_7 T_int)) (= INTTYPE_pre_15_28_26 INTTYPE_15_28_26) (= true_term (is INTTYPE_15_28_26 T_int)) (= locOp_pre_75_32_13 locOp_75_32_13) (= locOp_75_32_13 (asField locOp_75_32_13 T_int)) (= loc_pre_123_30_13 loc_123_30_13) (= loc_123_30_13 (asField loc_123_30_13 T_int)) (= FLOATLIT_pre_15_42_26 FLOATLIT_15_42_26) (= true_term (is FLOATLIT_15_42_26 T_int)) (= ASGADD_pre_16_44_26 ASGADD_16_44_26) (= true_term (is ASGADD_16_44_26 T_int)) (= CONTINUE_pre_14_61_26 CONTINUE_14_61_26) (= true_term (is CONTINUE_14_61_26 T_int)) (= TYPEMODIFIERPRAGMA_pre_14_28_26 TYPEMODIFIERPRAGMA_14_28_26) (= true_term (is TYPEMODIFIERPRAGMA_14_28_26 T_int)) (= count_pre_158_67_33 count_158_67_33) (= count_158_67_33 (asField count_158_67_33 T_int)) (= locOpenParen_pre_147_18_13 locOpenParen_147_18_13) (= locOpenParen_147_18_13 (asField locOpenParen_147_18_13 T_int)) (= locKeyword_pre_58_45_13 locKeyword_58_45_13) (= locKeyword_58_45_13 (asField locKeyword_58_45_13 T_int)) (= COLON_pre_14_43_26 COLON_14_43_26) (= true_term (is COLON_14_43_26 T_int)) (= locOpenBracket_pre_156_21_13 locOpenBracket_156_21_13) (= locOpenBracket_156_21_13 (asField locOpenBracket_156_21_13 T_int)) (= LE_pre_16_28_26 LE_16_28_26) (= true_term (is LE_16_28_26 T_int)) (= identifierVal_pre_10_80_22 identifierVal_10_80_22) (= identifierVal_10_80_22 (asField identifierVal_10_80_22 T_javafe_ast_Identifier)) (< (fClosedTime identifierVal_10_80_22) alloc) (= NEWARRAYEXPR_pre_17_50_7 NEWARRAYEXPR_17_50_7) (= true_term (is NEWARRAYEXPR_17_50_7 T_int)) (= locOp_pre_74_43_13 locOp_74_43_13) (= locOp_74_43_13 (asField locOp_74_43_13 T_int)) (= SKIPSTMT_pre_17_40_7 SKIPSTMT_17_40_7) (= true_term (is SKIPSTMT_17_40_7 T_int)) (= DOSTMT_pre_17_30_7 DOSTMT_17_30_7) (= true_term (is DOSTMT_17_30_7 T_int)) (= tokenType_pre_70_90_8 tokenType_70_90_8) (= tokenType_70_90_8 (asField tokenType_70_90_8 T_int)) (= DEC_pre_16_59_26 DEC_16_59_26) (= true_term (is DEC_16_59_26 T_int)) (= loc_pre_64_22_13 loc_64_22_13) (= loc_64_22_13 (asField loc_64_22_13 T_int)) (= otherStrings_pre_14_193_30 otherStrings_14_193_30) (= true_term (is otherStrings_14_193_30 ?v_1)) (= true_term (isAllocated otherStrings_14_193_30 alloc)) (= loc_pre_134_29_13 loc_134_29_13) (= loc_134_29_13 (asField loc_134_29_13 T_int)) (= elements_pre_8_72_21 elements_8_72_21) (= elements_8_72_21 (asField elements_8_72_21 (array T_java_lang_Object))) (< (fClosedTime elements_8_72_21) alloc) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_util_StackVector)) (not (= ?brokenObj null))) (forall ((?i_8_76_31 Int)) (let ((?v_61 (S_select (S_select elems (S_select elements_8_72_21 ?brokenObj)) ?i_8_76_31))) (=> (and (<= 0 ?i_8_76_31) (< ?i_8_76_31 (S_select elementCount_8_79_33 ?brokenObj))) (or (= ?v_61 null) (= (PO_LT (typeof ?v_61) (S_select elementType_8_43_27 ?brokenObj)) true_term))))))) (= noTokens_14_212_27 (+ (+ ?v_3 ?v_2) ?v_4)) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_parser_ParseStmt)) (not (= ?brokenObj_1_ null)) (not (= ?brokenObj_1_ objectToBeConstructed))) (= (S_select elementType_8_43_27 (S_select seqCatchClause_76_46 ?brokenObj_1_)) T_javafe_ast_CatchClause))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_2_ null))) (= (S_select owner_7_35_28 (S_select seqTypeDeclElem_4_1161_46 ?brokenObj_2_)) ?brokenObj_2_))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_util_StackVector)) (not (= ?brokenObj_3_ null))) (= (S_select owner_7_35_28 (S_select elements_8_72_21 ?brokenObj_3_)) ?brokenObj_3_))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_util_StackVector)) (not (= ?brokenObj_4_ null))) (>= (S_select vectorCount_8_97_33 ?brokenObj_4_) 1))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_parser_ParseType)) (not (= ?brokenObj_5_ null))) (= (arrayLength (S_select nameDotLocs_5_65_28 ?brokenObj_5_)) (arrayLength (S_select nameIdLocs_5_62_28 ?brokenObj_5_))))) (= (arrayLength punctuationCodes_14_164_19) ?v_2) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_6_ null))) (= (S_select elementType_8_43_27 (S_select seqExpr_4_1145_46 ?brokenObj_6_)) T_javafe_ast_Expr))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_7_ null))) (= (S_select elementType_8_43_27 (S_select seqVarInit_4_1153_46 ?brokenObj_7_)) T_javafe_ast_VarInit))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_parser_ParseType)) (not (= ?brokenObj_8_ null))) (= (S_select elementType_8_43_27 (S_select seqIdentifier_5_33_46 ?brokenObj_8_)) T_javafe_ast_Identifier))) (= ?v_3 (- (+ 1 LAST_KEYWORD_14_103_26) FIRST_KEYWORD_14_51_26)) (= (arrayLength otherCodes_14_202_27) ?v_4) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_parser_ParseStmt)) (not (= ?brokenObj_9_ null)) (not (= ?brokenObj_9_ objectToBeConstructed))) (= (S_select owner_7_35_28 (S_select seqCatchClause_76_46 ?brokenObj_9_)) ?brokenObj_9_))) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_util_StackVector)) (not (= ?brokenObj_10_ null))) (not (= (S_select elements_8_72_21 ?brokenObj_10_) null)))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_parser_ParseType)) (not (= ?brokenObj_11_ null))) (= (S_select owner_7_35_28 (S_select seqIdentifier_5_33_46 ?brokenObj_11_)) ?brokenObj_11_))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_12_ null))) (= (S_select owner_7_35_28 (S_select seqExpr_4_1145_46 ?brokenObj_12_)) ?brokenObj_12_))) (= true_term (nonnullelements otherStrings_14_193_30 elems)) (forall ((?i_14_149_29 Int)) (let ((?v_62 (S_select (S_select elems punctuationCodes_14_164_19) ?i_14_149_29))) (=> (and (<= 0 ?i_14_149_29) (<= ?i_14_149_29 (arrayLength punctuationCodes_14_164_19))) (and (not (= ?v_62 IDENT_15_25_26)) (not (= ?v_62 BOOLEANLIT_15_38_26)) (not (= ?v_62 INTLIT_15_39_26)) (not (= ?v_62 LONGLIT_15_40_26)) (not (= ?v_62 FLOATLIT_15_42_26)) (not (= ?v_62 DOUBLELIT_15_43_26)) (not (= ?v_62 STRINGLIT_15_44_26)) (not (= ?v_62 CHARLIT_15_41_26)) (not (= ?v_62 LEXICALPRAGMA_14_24_26)) (not (= ?v_62 MODIFIERPRAGMA_14_25_26)) (not (= ?v_62 STMTPRAGMA_14_26_26)) (not (= ?v_62 TYPEDECLELEMPRAGMA_14_27_26)) (not (= ?v_62 TYPEMODIFIERPRAGMA_14_28_26)))))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_parser_ParseUtil)) (not (= ?brokenObj_13_ null))) (= (S_select elementType_8_43_27 (S_select seqModifierPragma_6_74_32 ?brokenObj_13_)) T_javafe_ast_ModifierPragma))) (forall ((?brokenObj_14_ Int)) (let ((?v_63 (S_select currentStackBottom_8_87_33 ?brokenObj_14_))) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_util_StackVector)) (not (= ?brokenObj_14_ null))) (or (= ?v_63 0) (= (S_select (S_select elems (S_select elements_8_72_21 ?brokenObj_14_)) (- ?v_63 1)) null))))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_parser_ParseStmt)) (not (= ?brokenObj_15_ null)) (not (= ?brokenObj_15_ objectToBeConstructed))) (= (S_select elementType_8_43_27 (S_select seqStmt_70_46 ?brokenObj_15_)) T_javafe_ast_Stmt))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_parser_ParseType)) (not (= ?brokenObj_16_ null))) (= (S_select owner_7_35_28 (S_select nameDotLocs_5_65_28 ?brokenObj_16_)) ?brokenObj_16_))) (forall ((?brokenObj_17_ Int)) (let ((?v_64 (S_select currentStackBottom_8_87_33 ?brokenObj_17_))) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_util_StackVector)) (not (= ?brokenObj_17_ null))) (and (<= 0 ?v_64) (<= ?v_64 (S_select elementCount_8_79_33 ?brokenObj_17_)))))) (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_18_ null))) (= (S_select owner_7_35_28 (S_select seqVarInit_4_1153_46 ?brokenObj_18_)) ?brokenObj_18_))) (= true_term (nonnullelements punctuationStrings_14_134_22 elems)) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_parser_ParseUtil)) (not (= ?brokenObj_19_ null))) (= (S_select owner_7_35_28 (S_select seqModifierPragma_6_74_32 ?brokenObj_19_)) ?brokenObj_19_))) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_util_StackVector)) (not (= ?brokenObj_20_ null))) (> (arrayLength (S_select elements_8_72_21 ?brokenObj_20_)) 0))) (forall ((?i_14_147_29 Int)) (=> (and (<= 0 ?i_14_147_29) (<= ?i_14_147_29 (arrayLength punctuationCodes_14_164_19))) (not (= (S_select (S_select elems punctuationCodes_14_164_19) ?i_14_147_29) NULL_14_82_26)))) (forall ((?brokenObj_21_ Int)) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_parser_ParseType)) (not (= ?brokenObj_21_ null))) (>= (arrayLength (S_select nameIdLocs_5_62_28 ?brokenObj_21_)) 10))) (= true_term (nonnullelements keywordStrings_14_181_30 elems)) (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_parser_ParseStmt)) (not (= ?brokenObj_22_ null)) (not (= ?brokenObj_22_ objectToBeConstructed))) (= (S_select owner_7_35_28 (S_select seqStmt_70_46 ?brokenObj_22_)) ?brokenObj_22_))) (forall ((?brokenObj_23_ Int)) (let ((?v_65 (S_select elementCount_8_79_33 ?brokenObj_23_))) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_util_StackVector)) (not (= ?brokenObj_23_ null))) (and (<= 0 ?v_65) (<= ?v_65 (arrayLength (S_select elements_8_72_21 ?brokenObj_23_))))))) ?v_6 ?v_7 (forall ((?brokenObj_24_ Int)) (let ((?v_66 (S_select tokenType_70_90_8 ?brokenObj_24_))) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_ast_Identifier)) (not (= ?brokenObj_24_ null))) (and (not (= ?v_66 BOOLEANLIT_15_38_26)) (not (= ?v_66 INTLIT_15_39_26)) (not (= ?v_66 LONGLIT_15_40_26)) (not (= ?v_66 FLOATLIT_15_42_26)) (not (= ?v_66 DOUBLELIT_15_43_26)) (not (= ?v_66 STRINGLIT_15_44_26)) (not (= ?v_66 CHARLIT_15_41_26)) (not (= ?v_66 LEXICALPRAGMA_14_24_26)) (not (= ?v_66 MODIFIERPRAGMA_14_25_26)) (not (= ?v_66 STMTPRAGMA_14_26_26)) (not (= ?v_66 TYPEDECLELEMPRAGMA_14_27_26)) (not (= ?v_66 TYPEMODIFIERPRAGMA_14_28_26)))))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_parser_ParseExpr)) (not (= ?brokenObj_25_ null))) (= (S_select elementType_8_43_27 (S_select seqTypeDeclElem_4_1161_46 ?brokenObj_25_)) T_javafe_ast_TypeDeclElem))) (forall ((?brokenObj_26_ Int)) (=> (and (= true_term (is ?brokenObj_26_ T_javafe_util_StackVector)) (not (= ?brokenObj_26_ null))) (= (typeof (S_select elements_8_72_21 ?brokenObj_26_)) (array T_java_lang_Object)))) (forall ((?brokenObj_27_ Int)) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_parser_ParseType)) (not (= ?brokenObj_27_ null))) (= (S_select owner_7_35_28 (S_select nameIdLocs_5_62_28 ?brokenObj_27_)) ?brokenObj_27_))) (or (and ?v_18 (or ?v_8 (and ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 (or ?v_8 (and ?v_30 ?v_10 ?v_31 ?v_32 ?v_33 ?v_9 ?v_34 ?v_35 ?v_36 ?v_37 (or (not ?v_10) (and ?v_10 ?v_38 (or ?v_8 (and ?v_39 ?v_12 ?v_40 ?v_41 ?v_42 ?v_11 ?v_43 ?v_44 ?v_45 ?v_46 (or (not ?v_12) (and ?v_12 ?v_47 ?v_48 (or (not ?v_13) (and ?v_13 ?v_49 ?v_50 (or (not ?v_15) (and ?v_15 ?v_51 ?v_52 (or (not ?v_16) (and ?v_16 ?v_53 ?v_54 (not ?v_55)))))))))))))))))) (and ?v_18 ?v_19 ?v_20 ?v_21 ?v_22 ?v_23 ?v_24 ?v_25 ?v_26 ?v_27 ?v_28 ?v_29 ?v_30 ?v_10 ?v_31 ?v_32 ?v_33 ?v_9 ?v_34 ?v_35 ?v_36 ?v_37 ?v_10 ?v_38 ?v_39 ?v_12 ?v_40 ?v_41 ?v_42 ?v_11 ?v_43 ?v_44 ?v_45 ?v_46 ?v_12 ?v_47 ?v_48 ?v_13 ?v_49 ?v_50 ?v_15 ?v_51 ?v_52 ?v_16 ?v_53 ?v_54 ?v_55 (= owner_62_24 (S_store owner_59_17 ?v_17 RES_57_23_57_23)) (or (not ?v_56) (and ?v_56 (or (not ?v_57) (and ?v_57 (or (not ?v_58) (and ?v_58 (or (not ?v_59) (and ?v_59 (or (not (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_util_StackVector)) (= true_term (isAllocated ?brokenObj after_77_3_77_3)) (not (= ?brokenObj null)) (not (= ?brokenObj RES_57_23_57_23))) (forall ((?i_8_76_31 Int)) (let ((?v_67 (S_select (S_select elems (S_select elements_8_72_21 ?brokenObj)) ?i_8_76_31))) (=> (and (<= 0 ?i_8_76_31) (< ?i_8_76_31 (S_select elementCount_8_79_33 ?brokenObj))) (or (= ?v_67 null) (= (PO_LT (typeof ?v_67) (S_select elementType_61_24 ?brokenObj)) true_term)))))))) (not (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_parser_ParseStmt)) (= true_term (isAllocated ?brokenObj_1_ after_77_3_77_3)) (not (= ?brokenObj_1_ null))) (= (S_select elementType_61_24 (S_select seqCatchClause_76_46_2_ ?brokenObj_1_)) T_javafe_ast_CatchClause)))) (not (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_parser_ParseExpr)) (= true_term (isAllocated ?brokenObj_2_ after_77_3_77_3)) (not (= ?brokenObj_2_ null))) (= (S_select owner_62_24 (S_select seqTypeDeclElem_4_1161_46 ?brokenObj_2_)) ?brokenObj_2_)))) (not (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_util_StackVector)) (= true_term (isAllocated ?brokenObj_3_ after_77_3_77_3)) (not (= ?brokenObj_3_ null)) (not (= ?brokenObj_3_ RES_57_23_57_23))) (= (S_select owner_62_24 (S_select elements_8_72_21 ?brokenObj_3_)) ?brokenObj_3_)))) (not (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_parser_ParseExpr)) (= true_term (isAllocated ?brokenObj_6_ after_77_3_77_3)) (not (= ?brokenObj_6_ null))) (= (S_select elementType_61_24 (S_select seqExpr_4_1145_46 ?brokenObj_6_)) T_javafe_ast_Expr)))) (not (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_parser_ParseExpr)) (= true_term (isAllocated ?brokenObj_7_ after_77_3_77_3)) (not (= ?brokenObj_7_ null))) (= (S_select elementType_61_24 (S_select seqVarInit_4_1153_46 ?brokenObj_7_)) T_javafe_ast_VarInit)))) (not (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_parser_ParseType)) (= true_term (isAllocated ?brokenObj_8_ after_77_3_77_3)) (not (= ?brokenObj_8_ null))) (= (S_select elementType_61_24 (S_select seqIdentifier_5_33_46 ?brokenObj_8_)) T_javafe_ast_Identifier)))) (not (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_parser_ParseStmt)) (= true_term (isAllocated ?brokenObj_9_ after_77_3_77_3)) (not (= ?brokenObj_9_ null))) (= (S_select owner_62_24 (S_select seqCatchClause_76_46_2_ ?brokenObj_9_)) ?brokenObj_9_)))) (not (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_parser_ParseType)) (= true_term (isAllocated ?brokenObj_11_ after_77_3_77_3)) (not (= ?brokenObj_11_ null))) (= (S_select owner_62_24 (S_select seqIdentifier_5_33_46 ?brokenObj_11_)) ?brokenObj_11_)))) (not (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_parser_ParseExpr)) (= true_term (isAllocated ?brokenObj_12_ after_77_3_77_3)) (not (= ?brokenObj_12_ null))) (= (S_select owner_62_24 (S_select seqExpr_4_1145_46 ?brokenObj_12_)) ?brokenObj_12_)))) (not (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_parser_ParseUtil)) (= true_term (isAllocated ?brokenObj_13_ after_77_3_77_3)) (not (= ?brokenObj_13_ null))) (= (S_select elementType_61_24 (S_select seqModifierPragma_6_74_32 ?brokenObj_13_)) T_javafe_ast_ModifierPragma)))) (not (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_parser_ParseStmt)) (= true_term (isAllocated ?brokenObj_15_ after_77_3_77_3)) (not (= ?brokenObj_15_ null))) (= (S_select elementType_61_24 (S_select seqStmt_70_46_2_ ?brokenObj_15_)) T_javafe_ast_Stmt)))) (not (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_parser_ParseType)) (= true_term (isAllocated ?brokenObj_16_ after_77_3_77_3)) (not (= ?brokenObj_16_ null))) (= (S_select owner_62_24 (S_select nameDotLocs_5_65_28 ?brokenObj_16_)) ?brokenObj_16_)))) (not (forall ((?brokenObj_18_ Int)) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_parser_ParseExpr)) (= true_term (isAllocated ?brokenObj_18_ after_77_3_77_3)) (not (= ?brokenObj_18_ null))) (= (S_select owner_62_24 (S_select seqVarInit_4_1153_46 ?brokenObj_18_)) ?brokenObj_18_)))) (not (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_parser_ParseUtil)) (= true_term (isAllocated ?brokenObj_19_ after_77_3_77_3)) (not (= ?brokenObj_19_ null))) (= (S_select owner_62_24 (S_select seqModifierPragma_6_74_32 ?brokenObj_19_)) ?brokenObj_19_)))) (not (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_parser_ParseStmt)) (= true_term (isAllocated ?brokenObj_22_ after_77_3_77_3)) (not (= ?brokenObj_22_ null))) (= (S_select owner_62_24 (S_select seqStmt_70_46_2_ ?brokenObj_22_)) ?brokenObj_22_)))) (not (and (= true_term (is ?v_60 T_javafe_parser_TagConstants)) (not (= ?v_60 null)))) (not (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_parser_ParseExpr)) (= true_term (isAllocated ?brokenObj_25_ after_77_3_77_3)) (not (= ?brokenObj_25_ null))) (= (S_select elementType_61_24 (S_select seqTypeDeclElem_4_1161_46 ?brokenObj_25_)) T_javafe_ast_TypeDeclElem)))) (not (forall ((?brokenObj_27_ Int)) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_parser_ParseType)) (= true_term (isAllocated ?brokenObj_27_ after_77_3_77_3)) (not (= ?brokenObj_27_ null))) (= (S_select owner_62_24 (S_select nameIdLocs_5_62_28 ?brokenObj_27_)) ?brokenObj_27_)))))))))))))))))))))))))))))
(check-sat)
(exit)
