(set-info :smt-lib-version 2.6)
(set-logic UFLIA)
(set-info :source | Simplify Theorem Prover Benchmark Suite |)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun true_term () Int)
(declare-fun false_term () Int)
(assert (= true_term 1))
(assert (= false_term 0))
(declare-fun S_select (Int Int) Int)
(declare-fun S_store (Int Int Int) Int)
(assert (forall ((?m Int) (?i Int) (?x Int)) (= (S_select (S_store ?m ?i ?x) ?i) ?x)))
(assert (forall ((?m Int) (?i Int) (?j Int) (?x Int)) (=> (not (= ?i ?j)) (= (S_select (S_store ?m ?i ?x) ?j) (S_select ?m ?j)))))
(declare-fun PO_LT (Int Int) Int)
(assert (forall ((?t Int)) (= (PO_LT ?t ?t) true_term)))
(declare-fun T_java_lang_Object () Int)
(assert (= (PO_LT T_java_lang_Object T_java_lang_Object) true_term))
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t2) true_term)) (= (PO_LT ?t0 ?t2) true_term))))
(assert (forall ((?t0 Int) (?t1 Int)) (=> (and (= (PO_LT ?t0 ?t1) true_term) (= (PO_LT ?t1 ?t0) true_term)) (= ?t0 ?t1))))
(declare-fun T_boolean () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_boolean) true_term) (= ?t T_boolean))))
(declare-fun T_char () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_char) true_term) (= ?t T_char))))
(declare-fun T_byte () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_byte) true_term) (= ?t T_byte))))
(declare-fun T_short () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_short) true_term) (= ?t T_short))))
(declare-fun T_int () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_int) true_term) (= ?t T_int))))
(declare-fun T_long () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_long) true_term) (= ?t T_long))))
(declare-fun T_float () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_float) true_term) (= ?t T_float))))
(declare-fun T_double () Int)
(assert (forall ((?t Int)) (=> (= (PO_LT ?t T_double) true_term) (= ?t T_double))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_boolean ?t) true_term) (= ?t T_boolean))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_char ?t) true_term) (= ?t T_char))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_byte ?t) true_term) (= ?t T_byte))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_short ?t) true_term) (= ?t T_short))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_int ?t) true_term) (= ?t T_int))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_long ?t) true_term) (= ?t T_long))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_float ?t) true_term) (= ?t T_float))))
(assert (forall ((?t Int)) (=> (= (PO_LT T_double ?t) true_term) (= ?t T_double))))
(declare-fun asChild (Int Int) Int)
(declare-fun classDown (Int Int) Int)
(assert (forall ((?t0 Int) (?t1 Int) (?t2 Int)) (let ((?v_0 (asChild ?t1 ?t2))) (=> (= (PO_LT ?t0 ?v_0) true_term) (= (classDown ?t2 ?t0) ?v_0)))))
(declare-fun T_java_lang_Cloneable () Int)
(assert (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term))
(declare-fun array (Int) Int)
(assert (forall ((?t Int)) (= (PO_LT (array ?t) T_java_lang_Cloneable) true_term)))
(declare-fun elemtype (Int) Int)
(assert (forall ((?t Int)) (= (elemtype (array ?t)) ?t)))
(assert (forall ((?t0 Int) (?t1 Int)) (let ((?v_0 (elemtype ?t0))) (= (= (PO_LT ?t0 (array ?t1)) true_term) (and (= ?t0 (array ?v_0)) (= (PO_LT ?v_0 ?t1) true_term))))))
(declare-fun is (Int Int) Int)
(declare-fun cast (Int Int) Int)
(assert (forall ((?x Int) (?t Int)) (= (is (cast ?x ?t) ?t) true_term)))
(assert (forall ((?x Int) (?t Int)) (=> (= (is ?x ?t) true_term) (= (cast ?x ?t) ?x))))
(assert true)
(assert (forall ((?x Int)) (= (= (is ?x T_char) true_term) (and (<= 0 ?x) (<= ?x 65535)))))
(assert (forall ((?x Int)) (= (= (is ?x T_byte) true_term) (and (<= (- 128) ?x) (<= ?x 127)))))
(assert (forall ((?x Int)) (= (= (is ?x T_short) true_term) (and (<= (- 32768) ?x) (<= ?x 32767)))))
(declare-fun intFirst () Int)
(declare-fun intLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_int) true_term) (and (<= intFirst ?x) (<= ?x intLast)))))
(declare-fun longFirst () Int)
(declare-fun longLast () Int)
(assert (forall ((?x Int)) (= (= (is ?x T_long) true_term) (and (<= longFirst ?x) (<= ?x longLast)))))
(assert (< longFirst intFirst))
(assert (< intFirst (- 1000000)))
(assert (< 1000000 intLast))
(assert (< intLast longLast))
(declare-fun null () Int)
(declare-fun typeof (Int) Int)
(assert (forall ((?x Int) (?t Int)) (=> (= (PO_LT ?t T_java_lang_Object) true_term) (= (= (is ?x ?t) true_term) (or (= ?x null) (= (PO_LT (typeof ?x) ?t) true_term))))))
(declare-fun asField (Int Int) Int)
(assert (forall ((?f Int) (?t Int) (?x Int)) (= (is (S_select (asField ?f ?t) ?x) ?t) true_term)))
(declare-fun asElems (Int) Int)
(assert (forall ((?e Int) (?a Int) (?i Int)) (= (is (S_select (S_select (asElems ?e) ?a) ?i) (elemtype (typeof ?a))) true_term)))
(declare-fun vAllocTime (Int) Int)
(declare-fun isAllocated (Int Int) Int)
(assert (forall ((?x Int) (?a0 Int)) (= (= (isAllocated ?x ?a0) true_term) (< (vAllocTime ?x) ?a0))))
(declare-fun fClosedTime (Int) Int)
(assert (forall ((?x Int) (?f Int) (?a0 Int)) (=> (and (< (fClosedTime ?f) ?a0) (= (isAllocated ?x ?a0) true_term)) (= (isAllocated (S_select ?f ?x) ?a0) true_term))))
(declare-fun eClosedTime (Int) Int)
(assert (forall ((?a Int) (?e Int) (?i Int) (?a0 Int)) (=> (and (< (eClosedTime ?e) ?a0) (= (isAllocated ?a ?a0) true_term)) (= (isAllocated (S_select (S_select ?e ?a) ?i) ?a0) true_term))))
(declare-fun asLockSet (Int) Int)
(declare-fun max (Int) Int)
(assert (forall ((?S Int)) (let ((?v_0 (asLockSet ?S))) (= (S_select ?v_0 (max ?v_0)) true_term))))
(assert (forall ((?S Int)) (= (S_select (asLockSet ?S) null) true_term)))
(declare-fun lockLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun lockLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (lockLT ?x ?y) true_term) (< ?x ?y))))
(assert (forall ((?S Int) (?mu Int)) (let ((?v_0 (asLockSet ?S))) (=> (= (S_select ?v_0 ?mu) true_term) (= (lockLE ?mu (max ?v_0)) true_term)))))
(assert (forall ((?x Int)) (=> (= (PO_LT (typeof ?x) T_java_lang_Object) true_term) (= (lockLE null ?x) true_term))))
(declare-fun arrayLength (Int) Int)
(assert (forall ((?a Int)) (let ((?v_0 (arrayLength ?a))) (and (<= 0 ?v_0) (= (is ?v_0 T_int) true_term)))))
(declare-fun arrayFresh (Int Int Int Int Int Int Int) Int)
(declare-fun arrayShapeMore (Int Int) Int)
(declare-fun arrayParent (Int) Int)
(declare-fun arrayPosition (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?s Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeMore ?n ?s) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (let ((?v_0 (S_select (S_select ?e ?a) ?i))) (and (= (arrayFresh ?v_0 ?a0 ?b0 ?e ?s (elemtype ?T) ?v) true_term) (= (arrayParent ?v_0) ?a) (= (arrayPosition ?v_0) ?i))))))))
(declare-fun arrayShapeOne (Int) Int)
(assert (forall ((?a Int) (?a0 Int) (?b0 Int) (?e Int) (?n Int) (?T Int) (?v Int)) (= (= (arrayFresh ?a ?a0 ?b0 ?e (arrayShapeOne ?n) ?T ?v) true_term) (and (<= ?a0 (vAllocTime ?a)) (= (isAllocated ?a ?b0) true_term) (not (= ?a null)) (= (typeof ?a) ?T) (= (arrayLength ?a) ?n) (forall ((?i Int)) (= (S_select (S_select ?e ?a) ?i) ?v))))))
(declare-fun arrayType () Int)
(assert (= arrayType (asChild arrayType T_java_lang_Object)))
(assert (forall ((?t Int)) (= (PO_LT (array ?t) arrayType) true_term)))
(declare-fun isNewArray (Int) Int)
(assert (forall ((?s Int)) (=> (= true_term (isNewArray ?s)) (= (PO_LT (typeof ?s) arrayType) true_term))))
(declare-fun boolAnd (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolAnd ?a ?b) true_term) (and (= ?a true_term) (= ?b true_term)))))
(declare-fun boolEq (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolEq ?a ?b) true_term) (= (= ?a true_term) (= ?b true_term)))))
(declare-fun boolImplies (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolImplies ?a ?b) true_term) (=> (= ?a true_term) (= ?b true_term)))))
(declare-fun boolNE (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolNE ?a ?b) true_term) (not (= (= ?a true_term) (= ?b true_term))))))
(declare-fun boolNot (Int) Int)
(assert (forall ((?a Int)) (= (= (boolNot ?a) true_term) (not (= ?a true_term)))))
(declare-fun boolOr (Int Int) Int)
(assert (forall ((?a Int) (?b Int)) (= (= (boolOr ?a ?b) true_term) (or (= ?a true_term) (= ?b true_term)))))
(declare-fun integralEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun stringCat (Int Int) Int)
(declare-fun T_java_lang_String () Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (stringCat ?x ?y))) (and (not (= ?v_0 null)) (= (PO_LT (typeof ?v_0) T_java_lang_String) true_term)))))
(declare-fun integralGE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGE ?x ?y) true_term) (>= ?x ?y))))
(declare-fun integralGT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralGT ?x ?y) true_term) (> ?x ?y))))
(declare-fun integralLE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLE ?x ?y) true_term) (<= ?x ?y))))
(declare-fun integralLT (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralLT ?x ?y) true_term) (< ?x ?y))))
(declare-fun integralNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (integralNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun refEQ (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refEQ ?x ?y) true_term) (= ?x ?y))))
(declare-fun refNE (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (= (= (refNE ?x ?y) true_term) (not (= ?x ?y)))))
(declare-fun nonnullelements (Int Int) Int)
(assert (forall ((?x Int) (?e Int)) (= (= (nonnullelements ?x ?e) true_term) (and (not (= ?x null)) (forall ((?i Int)) (=> (and (<= 0 ?i) (< ?i (arrayLength ?x))) (not (= (S_select (S_select ?e ?x) ?i) null))))))))
(declare-fun classLiteral (Int) Int)
(declare-fun T_java_lang_Class () Int)
(declare-fun alloc () Int)
(assert (forall ((?t Int)) (let ((?v_0 (classLiteral ?t))) (and (not (= ?v_0 null)) (= (is ?v_0 T_java_lang_Class) true_term) (= (isAllocated ?v_0 alloc) true_term)))))
(declare-fun integralAnd (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (or (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralAnd ?x ?y)))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?x) (<= (integralAnd ?x ?y) ?x))))
(assert (forall ((?x Int) (?y Int)) (=> (<= 0 ?y) (<= (integralAnd ?x ?y) ?y))))
(declare-fun integralOr (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (let ((?v_0 (integralOr ?x ?y))) (=> (and (<= 0 ?x) (<= 0 ?y)) (and (<= ?x ?v_0) (<= ?y ?v_0))))))
(declare-fun integralXor (Int Int) Int)
(assert (forall ((?x Int) (?y Int)) (=> (and (<= 0 ?x) (<= 0 ?y)) (<= 0 (integralXor ?x ?y)))))
(declare-fun intShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 31)) (<= 1 (intShiftL 1 ?n)))))
(declare-fun longShiftL (Int Int) Int)
(assert (forall ((?n Int)) (=> (and (<= 0 ?n) (< ?n 63)) (<= 1 (longShiftL 1 ?n)))))
(assert true)
(declare-fun T_java_lang_Boolean () Int)
(declare-fun T_java_io_Serializable () Int)
(declare-fun T_java_lang_Integer () Int)
(declare-fun T_java_lang_Number () Int)
(declare-fun T_java_lang_Comparable () Int)
(declare-fun T_javafe_tc_Env () Int)
(declare-fun T_javafe_ast_ThrowStmt () Int)
(declare-fun T_javafe_ast_Stmt () Int)
(declare-fun T_javafe_ast_CatchClause () Int)
(declare-fun T_javafe_ast_ASTNode () Int)
(declare-fun T_javafe_ast_GeneratedTags () Int)
(declare-fun T_java_io_FilterInputStream () Int)
(declare-fun T_java_io_InputStream () Int)
(declare-fun T_javafe_tc_FieldDeclVec () Int)
(declare-fun T_javafe_ast_VariableAccess () Int)
(declare-fun T_javafe_ast_Expr () Int)
(declare-fun T_javafe_ast_ClassDeclStmt () Int)
(declare-fun T_javafe_ast_ExprObjectDesignator () Int)
(declare-fun T_javafe_ast_ObjectDesignator () Int)
(declare-fun T_javafe_ast_SimpleName () Int)
(declare-fun T_javafe_ast_Name () Int)
(declare-fun T_javafe_ast_TryFinallyStmt () Int)
(declare-fun T_javafe_ast_ImportDecl () Int)
(declare-fun T_javafe_ast_RoutineDecl () Int)
(declare-fun T_javafe_ast_TypeDeclElem () Int)
(declare-fun T_javafe_ast_AmbiguousMethodInvocation () Int)
(declare-fun T_javafe_ast_UnaryExpr () Int)
(declare-fun T_javafe_ast_CastExpr () Int)
(declare-fun T_javafe_tc_MethodDeclVec () Int)
(declare-fun T_java_util_AbstractList () Int)
(declare-fun T_java_util_AbstractCollection () Int)
(declare-fun T_java_util_List () Int)
(declare-fun T_java_io_DataInput () Int)
(declare-fun T_javafe_ast_VarDeclStmt () Int)
(declare-fun T_javafe_ast_OperatorTags () Int)
(declare-fun T_javafe_ast_TypeNameVec () Int)
(declare-fun T_javafe_reader_MethodSignature () Int)
(declare-fun T_javafe_ast_TypeModifierPragmaVec () Int)
(declare-fun T_javafe_ast_CompilationUnit () Int)
(declare-fun T_javafe_ast_ConstructorInvocation () Int)
(declare-fun T_javafe_ast_ForStmt () Int)
(declare-fun T_javafe_ast_BranchStmt () Int)
(declare-fun T_java_lang_Exception () Int)
(declare-fun T_java_lang_Throwable () Int)
(declare-fun T_javafe_ast_AmbiguousVariableAccess () Int)
(declare-fun T_javafe_ast_NewArrayExpr () Int)
(declare-fun T_javafe_ast_BlockStmt () Int)
(declare-fun T_javafe_ast_GenericBlockStmt () Int)
(declare-fun T_java_util_Collection () Int)
(declare-fun T_javafe_ast_SwitchStmt () Int)
(declare-fun T_javafe_ast_ContinueStmt () Int)
(declare-fun T_decsrc_util_ClassFileConstants () Int)
(declare-fun T_java_lang_Long () Int)
(declare-fun T_javafe_ast_LiteralExpr () Int)
(declare-fun T_javafe_tc_TypeSig () Int)
(declare-fun T_javafe_ast_Type () Int)
(declare-fun T_javafe_ast_ThisExpr () Int)
(declare-fun T_javafe_ast_PrimitiveType () Int)
(declare-fun T_javafe_reader_DescriptorParser () Int)
(declare-fun T_javafe_ast_IdentifierVec () Int)
(declare-fun T_javafe_ast_SuperObjectDesignator () Int)
(declare-fun T_javafe_ast_TypeDeclElemVec () Int)
(declare-fun T_javafe_ast_ASTDecoration () Int)
(declare-fun T_javafe_ast_ReturnStmt () Int)
(declare-fun T_javafe_reader_ASTClassFileParser () Int)
(declare-fun T_decsrc_util_ClassFileParser () Int)
(declare-fun T_javafe_ast_ModifierPragma () Int)
(declare-fun T_java_util_Map () Int)
(declare-fun T_java_util_EscjavaKeyValue () Int)
(declare-fun T_java_util_Dictionary () Int)
(declare-fun T_javafe_ast_ArrayType () Int)
(declare-fun T_java_lang_ClassFormatError () Int)
(declare-fun T_java_lang_LinkageError () Int)
(declare-fun T_java_io_DataInputStream () Int)
(declare-fun T_javafe_ast_TypeName () Int)
(declare-fun T_javafe_ast_SwitchLabel () Int)
(declare-fun T_javafe_ast_FieldDecl () Int)
(declare-fun T_javafe_ast_GenericVarDecl () Int)
(declare-fun T_java_lang_Error () Int)
(declare-fun T_javafe_ast_InstanceOfExpr () Int)
(declare-fun T_javafe_ast_LocalVarDecl () Int)
(declare-fun T_javafe_ast_StmtVec () Int)
(declare-fun T_javafe_ast_FormalParaDeclVec () Int)
(declare-fun T_javafe_ast_NewInstanceExpr () Int)
(declare-fun T_javafe_ast_ClassDecl () Int)
(declare-fun T_javafe_ast_TypeDecl () Int)
(declare-fun T_javafe_ast_IfStmt () Int)
(declare-fun T_javafe_ast_TagConstants () Int)
(declare-fun T_javafe_ast_Modifiers () Int)
(declare-fun T_javafe_ast_ClassLiteral () Int)
(declare-fun T_javafe_ast_InitBlock () Int)
(declare-fun T_javafe_ast_InterfaceDecl () Int)
(declare-fun T_javafe_ast_MethodDecl () Int)
(declare-fun T_javafe_ast_OnDemandImportDecl () Int)
(declare-fun T_javafe_ast_BreakStmt () Int)
(declare-fun T_javafe_ast_FormalParaDecl () Int)
(declare-fun T_javafe_ast_BinaryExpr () Int)
(declare-fun T_javafe_ast_ArrayInit () Int)
(declare-fun T_javafe_ast_VarInit () Int)
(declare-fun T_javafe_tc_TagConstants () Int)
(declare-fun T_javafe_parser_TagConstants () Int)
(declare-fun T_java_lang_Character () Int)
(declare-fun T_javafe_ast_FieldAccess () Int)
(declare-fun T_javafe_ast_CompoundName () Int)
(declare-fun T_javafe_ast_TypeObjectDesignator () Int)
(declare-fun T_javafe_ast_ModifierPragmaVec () Int)
(declare-fun T_javafe_ast_EvalStmt () Int)
(declare-fun T_java_util_Vector () Int)
(declare-fun T_java_lang_Double () Int)
(declare-fun T_javafe_ast_ConstructorDecl () Int)
(declare-fun T_javafe_util_Location () Int)
(declare-fun T_javafe_ast_TryCatchStmt () Int)
(declare-fun T_javafe_ast_ParenExpr () Int)
(declare-fun T_javafe_ast_SynchronizeStmt () Int)
(declare-fun T_javafe_ast_MethodInvocation () Int)
(declare-fun T_javafe_ast_TypeModifierPragma () Int)
(declare-fun T_javafe_ast_SkipStmt () Int)
(declare-fun T_java_io_IOException () Int)
(declare-fun T_javafe_ast_CondExpr () Int)
(declare-fun T_java_util_Hashtable () Int)
(declare-fun T_javafe_ast_DoStmt () Int)
(declare-fun T_javafe_ast_ExprVec () Int)
(declare-fun T_javafe_ast_SingleTypeImportDecl () Int)
(declare-fun T_javafe_genericfile_GenericFile () Int)
(declare-fun T_java_lang_Float () Int)
(declare-fun T_javafe_ast_Identifier () Int)
(declare-fun T_javafe_ast_LabelStmt () Int)
(declare-fun T_javafe_ast_ArrayRefExpr () Int)
(declare-fun T_javafe_ast_WhileStmt () Int)
(declare-fun DIST_ZERO_1 () Int)
(declare-fun T__TYPE () Int)
(declare-fun TYPEOBJECTDESIGNATOR_50_62_7 () Int)
(declare-fun INITBLOCK_50_21_7 () Int)
(declare-fun punctuationStrings_75_134_22 () Int)
(declare-fun SHORTTYPE_48_36_26 () Int)
(declare-fun ASGREM_49_43_26 () Int)
(declare-fun ARRAYREFEXPR_50_48_7 () Int)
(declare-fun GT_49_27_26 () Int)
(declare-fun THROWSTMT_50_34_7 () Int)
(declare-fun LAST_KEYWORD_75_103_26 () Int)
(declare-fun INC_49_58_26 () Int)
(declare-fun EXPROBJECTDESIGNATOR_50_61_7 () Int)
(declare-fun METHODDECL_50_20_7 () Int)
(declare-fun BYTETYPE_48_35_26 () Int)
(declare-fun ASGDIV_49_42_26 () Int)
(declare-fun THISEXPR_50_47_7 () Int)
(declare-fun NULL_75_82_26 () Int)
(declare-fun GE_49_26_26 () Int)
(declare-fun RETURNSTMT_50_33_7 () Int)
(declare-fun BITNOT_49_57_26 () Int)
(declare-fun TYPESIG_74_6_28 () Int)
(declare-fun CLASSLITERAL_50_60_7 () Int)
(declare-fun CONSTRUCTORDECL_50_19_7 () Int)
(declare-fun NULLTYPE_48_34_26 () Int)
(declare-fun ASGMUL_49_41_26 () Int)
(declare-fun ARRAYINIT_50_46_7 () Int)
(declare-fun EQ_49_25_26 () Int)
(declare-fun EVALSTMT_50_32_7 () Int)
(declare-fun nullIdentifier_665_36 () Int)
(declare-fun NOT_49_56_26 () Int)
(declare-fun METHODINVOCATION_50_59_7 () Int)
(declare-fun INTERFACEDECL_50_18_7 () Int)
(declare-fun VOIDTYPE_48_33_26 () Int)
(declare-fun ASSIGN_49_40_26 () Int)
(declare-fun otherStrings_75_193_30 () Int)
(declare-fun CATCHCLAUSE_50_45_7 () Int)
(declare-fun NE_49_24_26 () Int)
(declare-fun noTokens_75_212_27 () Int)
(declare-fun SYNCHRONIZESTMT_50_31_7 () Int)
(declare-fun UNARYSUB_49_55_26 () Int)
(declare-fun ACC_SYNCHRONIZED_5__ () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_50_58_7 () Int)
(declare-fun CLASSDECL_50_17_7 () Int)
(declare-fun DOUBLETYPE_48_32_26 () Int)
(declare-fun STAR_49_37_26 () Int)
(declare-fun CONSTRUCTORINVOCATION_50_44_7 () Int)
(declare-fun BITAND_49_23_26 () Int)
(declare-fun punctuationCodes_75_164_19 () Int)
(declare-fun DOSTMT_50_30_7 () Int)
(declare-fun UNARYADD_49_54_26 () Int)
(declare-fun FIELDACCESS_50_57_7 () Int)
(declare-fun ONDEMANDIMPORTDECL_50_16_7 () Int)
(declare-fun FLOATTYPE_48_31_26 () Int)
(declare-fun MOD_49_36_26 () Int)
(declare-fun TRYCATCHSTMT_50_43_7 () Int)
(declare-fun BITXOR_49_22_26 () Int)
(declare-fun WHILESTMT_50_29_7 () Int)
(declare-fun ASGBITXOR_49_51_26 () Int)
(declare-fun NULLLIT_48_45_26 () Int)
(declare-fun VARIABLEACCESS_50_56_7 () Int)
(declare-fun SINGLETYPEIMPORTDECL_50_15_7 () Int)
(declare-fun CHARTYPE_48_30_26 () Int)
(declare-fun DIV_49_35_26 () Int)
(declare-fun TRYFINALLYSTMT_50_42_7 () Int)
(declare-fun ACC_PROTECTED_5__ () Int)
(declare-fun keywordStrings_75_181_30 () Int)
(declare-fun BITOR_49_21_26 () Int)
(declare-fun CLASSDECLSTMT_50_28_7 () Int)
(declare-fun ASGBITOR_49_50_26 () Int)
(declare-fun STRINGLIT_48_44_26 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_50_55_7 () Int)
(declare-fun COMPILATIONUNIT_50_14_7 () Int)
(declare-fun emptyTypeNameVec_659_37 () Int)
(declare-fun LONGTYPE_48_29_26 () Int)
(declare-fun SUB_49_34_26 () Int)
(declare-fun SWITCHLABEL_50_41_7 () Int)
(declare-fun VARDECLSTMT_50_27_7 () Int)
(declare-fun DOUBLELIT_48_43_26 () Int)
(declare-fun ASGBITAND_49_49_26 () Int)
(declare-fun PARENEXPR_50_54_7 () Int)
(declare-fun INTTYPE_48_28_26 () Int)
(declare-fun ADD_49_33_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_75_28_26 () Int)
(declare-fun SKIPSTMT_50_40_7 () Int)
(declare-fun COMPOUNDNAME_50_67_7 () Int)
(declare-fun SWITCHSTMT_50_26_7 () Int)
(declare-fun AND_49_20_26 () Int)
(declare-fun FLOATLIT_48_42_26 () Int)
(declare-fun ASGURSHIFT_49_48_26 () Int)
(declare-fun NULL_20_60_26 () Int)
(declare-fun CASTEXPR_50_53_7 () Int)
(declare-fun BOOLEANTYPE_48_27_26 () Int)
(declare-fun URSHIFT_49_32_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_75_27_26 () Int)
(declare-fun FORSTMT_50_39_7 () Int)
(declare-fun SIMPLENAME_50_66_7 () Int)
(declare-fun BLOCKSTMT_50_25_7 () Int)
(declare-fun OR_49_19_26 () Int)
(declare-fun CHARLIT_48_41_26 () Int)
(declare-fun ASGRSHIFT_49_47_26 () Int)
(declare-fun INSTANCEOFEXPR_50_52_7 () Int)
(declare-fun otherCodes_75_202_27 () Int)
(declare-fun IDENT_48_25_26 () Int)
(declare-fun RSHIFT_49_31_26 () Int)
(declare-fun STMTPRAGMA_75_26_26 () Int)
(declare-fun IFSTMT_50_38_7 () Int)
(declare-fun ARRAYTYPE_50_65_7 () Int)
(declare-fun FORMALPARADECL_50_24_7 () Int)
(declare-fun LONGLIT_48_40_26 () Int)
(declare-fun ASGLSHIFT_49_46_26 () Int)
(declare-fun CONDEXPR_50_51_7 () Int)
(declare-fun MODIFIERPRAGMA_75_25_26 () Int)
(declare-fun LSHIFT_49_30_26 () Int)
(declare-fun LABELSTMT_50_37_7 () Int)
(declare-fun POSTFIXDEC_49_63_26 () Int)
(declare-fun TYPENAME_50_64_7 () Int)
(declare-fun FIELDDECL_50_23_7 () Int)
(declare-fun INTLIT_48_39_26 () Int)
(declare-fun ASGSUB_49_45_26 () Int)
(declare-fun NEWARRAYEXPR_50_50_7 () Int)
(declare-fun LEXICALPRAGMA_75_24_26 () Int)
(declare-fun LT_49_29_26 () Int)
(declare-fun CONTINUESTMT_50_36_7 () Int)
(declare-fun CONSTANT_Class_5__ () Int)
(declare-fun POSTFIXINC_49_62_26 () Int)
(declare-fun ACC_INTERFACE_5__ () Int)
(declare-fun FIRST_KEYWORD_75_51_26 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_50_63_7 () Int)
(declare-fun LOCALVARDECL_50_22_7 () Int)
(declare-fun BOOLEANLIT_48_38_26 () Int)
(declare-fun ASGADD_49_44_26 () Int)
(declare-fun NEWINSTANCEEXPR_50_49_7 () Int)
(declare-fun LE_49_28_26 () Int)
(declare-fun BREAKSTMT_50_35_7 () Int)
(declare-fun DEC_49_59_26 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_1 (array T_int))) (and (= (PO_LT T_java_lang_Boolean T_java_lang_Object) true_term) (= T_java_lang_Boolean (asChild T_java_lang_Boolean T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Boolean) true_term) (= ?t T_java_lang_Boolean))) (= (PO_LT T_java_lang_Boolean T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Integer T_java_lang_Number) true_term) (= T_java_lang_Integer (asChild T_java_lang_Integer T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Integer) true_term) (= ?t T_java_lang_Integer))) (= (PO_LT T_java_lang_Integer T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_tc_Env T_java_lang_Object) true_term) (= T_javafe_tc_Env (asChild T_javafe_tc_Env T_java_lang_Object)) (= (PO_LT T_javafe_ast_ThrowStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ThrowStmt (asChild T_javafe_ast_ThrowStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_CatchClause T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CatchClause (asChild T_javafe_ast_CatchClause T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_GeneratedTags T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Comparable T_java_lang_Object) true_term) (= (PO_LT T_java_io_FilterInputStream T_java_io_InputStream) true_term) (= T_java_io_FilterInputStream (asChild T_java_io_FilterInputStream T_java_io_InputStream)) (= (PO_LT T_javafe_tc_FieldDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_FieldDeclVec (asChild T_javafe_tc_FieldDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_VariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_VariableAccess (asChild T_javafe_ast_VariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ClassDeclStmt (asChild T_javafe_ast_ClassDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_ExprObjectDesignator (asChild T_javafe_ast_ExprObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_SimpleName T_javafe_ast_Name) true_term) (= T_javafe_ast_SimpleName (asChild T_javafe_ast_SimpleName T_javafe_ast_Name)) (= (PO_LT T_java_lang_String T_java_lang_Object) true_term) (= T_java_lang_String (asChild T_java_lang_String T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_String) true_term) (= ?t T_java_lang_String))) (= (PO_LT T_java_lang_String T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_String T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryFinallyStmt (asChild T_javafe_ast_TryFinallyStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ImportDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ImportDecl (asChild T_javafe_ast_ImportDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_RoutineDecl (asChild T_javafe_ast_RoutineDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_RoutineDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousMethodInvocation (asChild T_javafe_ast_AmbiguousMethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_UnaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_UnaryExpr (asChild T_javafe_ast_UnaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_CastExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CastExpr (asChild T_javafe_ast_CastExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_tc_MethodDeclVec T_java_lang_Object) true_term) (= T_javafe_tc_MethodDeclVec (asChild T_javafe_tc_MethodDeclVec T_java_lang_Object)) (= (PO_LT T_java_util_AbstractList T_java_util_AbstractCollection) true_term) (= T_java_util_AbstractList (asChild T_java_util_AbstractList T_java_util_AbstractCollection)) (= (PO_LT T_java_util_AbstractList T_java_util_List) true_term) (= (PO_LT T_java_io_DataInput T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_VarDeclStmt (asChild T_javafe_ast_VarDeclStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_OperatorTags T_java_lang_Object) true_term) (= T_javafe_ast_OperatorTags (asChild T_javafe_ast_OperatorTags T_java_lang_Object)) (= (PO_LT T_javafe_ast_OperatorTags T_javafe_ast_GeneratedTags) true_term) (= (PO_LT T_javafe_ast_TypeNameVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeNameVec (asChild T_javafe_ast_TypeNameVec T_java_lang_Object)) (= (PO_LT T_javafe_reader_MethodSignature T_java_lang_Object) true_term) (= T_javafe_reader_MethodSignature (asChild T_javafe_reader_MethodSignature T_java_lang_Object)) (= (PO_LT T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeModifierPragmaVec (asChild T_javafe_ast_TypeModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_CompilationUnit (asChild T_javafe_ast_CompilationUnit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ConstructorInvocation (asChild T_javafe_ast_ConstructorInvocation T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ForStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ForStmt (asChild T_javafe_ast_ForStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_BranchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_BranchStmt (asChild T_javafe_ast_BranchStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_lang_Exception T_java_lang_Throwable) true_term) (= T_java_lang_Exception (asChild T_java_lang_Exception T_java_lang_Throwable)) (= (PO_LT T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_AmbiguousVariableAccess (asChild T_javafe_ast_AmbiguousVariableAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_NewArrayExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewArrayExpr (asChild T_javafe_ast_NewArrayExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_BlockStmt (asChild T_javafe_ast_BlockStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ObjectDesignator (asChild T_javafe_ast_ObjectDesignator T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_AbstractCollection T_java_lang_Object) true_term) (= T_java_util_AbstractCollection (asChild T_java_util_AbstractCollection T_java_lang_Object)) (= (PO_LT T_java_util_AbstractCollection T_java_util_Collection) true_term) (= (PO_LT T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt) true_term) (= T_javafe_ast_SwitchStmt (asChild T_javafe_ast_SwitchStmt T_javafe_ast_GenericBlockStmt)) (= (PO_LT T_java_io_Serializable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_ContinueStmt (asChild T_javafe_ast_ContinueStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_decsrc_util_ClassFileConstants T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Long T_java_lang_Number) true_term) (= T_java_lang_Long (asChild T_java_lang_Long T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Long) true_term) (= ?t T_java_lang_Long))) (= (PO_LT T_java_lang_Long T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_LiteralExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_LiteralExpr (asChild T_javafe_ast_LiteralExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_tc_TypeSig T_javafe_ast_Type) true_term) (= T_javafe_tc_TypeSig (asChild T_javafe_tc_TypeSig T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_ThisExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ThisExpr (asChild T_javafe_ast_ThisExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_PrimitiveType T_javafe_ast_Type) true_term) (= T_javafe_ast_PrimitiveType (asChild T_javafe_ast_PrimitiveType T_javafe_ast_Type)) (= (PO_LT T_javafe_reader_DescriptorParser T_java_lang_Object) true_term) (= T_javafe_reader_DescriptorParser (asChild T_javafe_reader_DescriptorParser T_java_lang_Object)) (= (PO_LT T_javafe_ast_IdentifierVec T_java_lang_Object) true_term) (= T_javafe_ast_IdentifierVec (asChild T_javafe_ast_IdentifierVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_SuperObjectDesignator (asChild T_javafe_ast_SuperObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_TypeDeclElemVec T_java_lang_Object) true_term) (= T_javafe_ast_TypeDeclElemVec (asChild T_javafe_ast_TypeDeclElemVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTDecoration T_java_lang_Object) true_term) (= T_javafe_ast_ASTDecoration (asChild T_javafe_ast_ASTDecoration T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Object) true_term) (= T_javafe_ast_ASTNode (asChild T_javafe_ast_ASTNode T_java_lang_Object)) (= (PO_LT T_javafe_ast_ASTNode T_java_lang_Cloneable) true_term) (= (PO_LT T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_GenericBlockStmt (asChild T_javafe_ast_GenericBlockStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ReturnStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_ReturnStmt (asChild T_javafe_ast_ReturnStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_reader_ASTClassFileParser T_decsrc_util_ClassFileParser) true_term) (= T_javafe_reader_ASTClassFileParser (asChild T_javafe_reader_ASTClassFileParser T_decsrc_util_ClassFileParser)) (= (PO_LT T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_ModifierPragma (asChild T_javafe_ast_ModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Stmt T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Stmt (asChild T_javafe_ast_Stmt T_javafe_ast_ASTNode)) (= (PO_LT T_java_util_Map T_java_lang_Object) true_term) (= (PO_LT T_java_util_Map T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_java_util_Dictionary T_java_lang_Object) true_term) (= T_java_util_Dictionary (asChild T_java_util_Dictionary T_java_lang_Object)) (= (PO_LT T_java_util_Dictionary T_java_util_EscjavaKeyValue) true_term) (= (PO_LT T_javafe_ast_ArrayType T_javafe_ast_Type) true_term) (= T_javafe_ast_ArrayType (asChild T_javafe_ast_ArrayType T_javafe_ast_Type)) (= (PO_LT T_java_lang_ClassFormatError T_java_lang_LinkageError) true_term) (= T_java_lang_ClassFormatError (asChild T_java_lang_ClassFormatError T_java_lang_LinkageError)) (= (PO_LT T_java_util_List T_java_lang_Object) true_term) (= (PO_LT T_java_util_List T_java_util_Collection) true_term) (= (PO_LT T_java_io_DataInputStream T_java_io_FilterInputStream) true_term) (= T_java_io_DataInputStream (asChild T_java_io_DataInputStream T_java_io_FilterInputStream)) (= (PO_LT T_java_io_DataInputStream T_java_io_DataInput) true_term) (= (PO_LT T_java_lang_Cloneable T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TypeName T_javafe_ast_Type) true_term) (= T_javafe_ast_TypeName (asChild T_javafe_ast_TypeName T_javafe_ast_Type)) (= (PO_LT T_javafe_ast_SwitchLabel T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SwitchLabel (asChild T_javafe_ast_SwitchLabel T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FieldDecl (asChild T_javafe_ast_FieldDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_FieldDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_java_lang_Error T_java_lang_Throwable) true_term) (= T_java_lang_Error (asChild T_java_lang_Error T_java_lang_Throwable)) (= (PO_LT T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_InstanceOfExpr (asChild T_javafe_ast_InstanceOfExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_LocalVarDecl (asChild T_javafe_ast_LocalVarDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_StmtVec T_java_lang_Object) true_term) (= T_javafe_ast_StmtVec (asChild T_javafe_ast_StmtVec T_java_lang_Object)) (= (PO_LT T_java_io_InputStream T_java_lang_Object) true_term) (= T_java_io_InputStream (asChild T_java_io_InputStream T_java_lang_Object)) (= (PO_LT T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_GenericVarDecl (asChild T_javafe_ast_GenericVarDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_FormalParaDeclVec T_java_lang_Object) true_term) (= T_javafe_ast_FormalParaDeclVec (asChild T_javafe_ast_FormalParaDeclVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_NewInstanceExpr (asChild T_javafe_ast_NewInstanceExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_ClassDecl (asChild T_javafe_ast_ClassDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_javafe_ast_IfStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_IfStmt (asChild T_javafe_ast_IfStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_util_Collection T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_TagConstants T_javafe_ast_OperatorTags) true_term) (= T_javafe_ast_TagConstants (asChild T_javafe_ast_TagConstants T_javafe_ast_OperatorTags)) (= (PO_LT T_javafe_ast_Type T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Type (asChild T_javafe_ast_Type T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_Modifiers T_java_lang_Object) true_term) (= T_javafe_ast_Modifiers (asChild T_javafe_ast_Modifiers T_java_lang_Object)) (= (PO_LT T_javafe_ast_ClassLiteral T_javafe_ast_Expr) true_term) (= T_javafe_ast_ClassLiteral (asChild T_javafe_ast_ClassLiteral T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_InitBlock (asChild T_javafe_ast_InitBlock T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_InitBlock T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl) true_term) (= T_javafe_ast_InterfaceDecl (asChild T_javafe_ast_InterfaceDecl T_javafe_ast_TypeDecl)) (= (PO_LT T_java_lang_Number T_java_lang_Object) true_term) (= T_java_lang_Number (asChild T_java_lang_Number T_java_lang_Object)) (= (PO_LT T_java_lang_Number T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_MethodDecl (asChild T_javafe_ast_MethodDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_java_lang_Throwable T_java_lang_Object) true_term) (= T_java_lang_Throwable (asChild T_java_lang_Throwable T_java_lang_Object)) (= (PO_LT T_java_lang_Throwable T_java_io_Serializable) true_term) (= (PO_LT T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_OnDemandImportDecl (asChild T_javafe_ast_OnDemandImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt) true_term) (= T_javafe_ast_BreakStmt (asChild T_javafe_ast_BreakStmt T_javafe_ast_BranchStmt)) (= (PO_LT T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl) true_term) (= T_javafe_ast_FormalParaDecl (asChild T_javafe_ast_FormalParaDecl T_javafe_ast_GenericVarDecl)) (= (PO_LT T_javafe_ast_BinaryExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_BinaryExpr (asChild T_javafe_ast_BinaryExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_ArrayInit T_javafe_ast_VarInit) true_term) (= T_javafe_ast_ArrayInit (asChild T_javafe_ast_ArrayInit T_javafe_ast_VarInit)) (= (PO_LT T_javafe_tc_TagConstants T_javafe_parser_TagConstants) true_term) (= T_javafe_tc_TagConstants (asChild T_javafe_tc_TagConstants T_javafe_parser_TagConstants)) (= (PO_LT T_java_lang_Character T_java_lang_Object) true_term) (= T_java_lang_Character (asChild T_java_lang_Character T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Character) true_term) (= ?t T_java_lang_Character))) (= (PO_LT T_java_lang_Character T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Character T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_FieldAccess T_javafe_ast_Expr) true_term) (= T_javafe_ast_FieldAccess (asChild T_javafe_ast_FieldAccess T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_CompoundName T_javafe_ast_Name) true_term) (= T_javafe_ast_CompoundName (asChild T_javafe_ast_CompoundName T_javafe_ast_Name)) (= (PO_LT T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator) true_term) (= T_javafe_ast_TypeObjectDesignator (asChild T_javafe_ast_TypeObjectDesignator T_javafe_ast_ObjectDesignator)) (= (PO_LT T_javafe_ast_ModifierPragmaVec T_java_lang_Object) true_term) (= T_javafe_ast_ModifierPragmaVec (asChild T_javafe_ast_ModifierPragmaVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_EvalStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_EvalStmt (asChild T_javafe_ast_EvalStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_util_Vector T_java_util_AbstractList) true_term) (= T_java_util_Vector (asChild T_java_util_Vector T_java_util_AbstractList)) (= (PO_LT T_java_util_Vector T_java_util_List) true_term) (= (PO_LT T_java_util_Vector T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Vector T_java_io_Serializable) true_term) (= (PO_LT T_java_lang_Double T_java_lang_Number) true_term) (= T_java_lang_Double (asChild T_java_lang_Double T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Double) true_term) (= ?t T_java_lang_Double))) (= (PO_LT T_java_lang_Double T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl) true_term) (= T_javafe_ast_ConstructorDecl (asChild T_javafe_ast_ConstructorDecl T_javafe_ast_RoutineDecl)) (= (PO_LT T_javafe_util_Location T_java_lang_Object) true_term) (= T_javafe_util_Location (asChild T_javafe_util_Location T_java_lang_Object)) (= (PO_LT T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_TryCatchStmt (asChild T_javafe_ast_TryCatchStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeDecl (asChild T_javafe_ast_TypeDecl T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_TypeDecl T_javafe_ast_TypeDeclElem) true_term) (= (PO_LT T_javafe_ast_Expr T_javafe_ast_VarInit) true_term) (= T_javafe_ast_Expr (asChild T_javafe_ast_Expr T_javafe_ast_VarInit)) (= (PO_LT T_javafe_ast_ParenExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ParenExpr (asChild T_javafe_ast_ParenExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SynchronizeStmt (asChild T_javafe_ast_SynchronizeStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_parser_TagConstants T_javafe_ast_TagConstants) true_term) (= T_javafe_parser_TagConstants (asChild T_javafe_parser_TagConstants T_javafe_ast_TagConstants)) (= (PO_LT T_javafe_ast_MethodInvocation T_javafe_ast_Expr) true_term) (= T_javafe_ast_MethodInvocation (asChild T_javafe_ast_MethodInvocation T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_TypeModifierPragma (asChild T_javafe_ast_TypeModifierPragma T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_SkipStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_SkipStmt (asChild T_javafe_ast_SkipStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_io_IOException T_java_lang_Exception) true_term) (= T_java_io_IOException (asChild T_java_io_IOException T_java_lang_Exception)) (= (PO_LT T_javafe_ast_CondExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_CondExpr (asChild T_javafe_ast_CondExpr T_javafe_ast_Expr)) (= (PO_LT T_java_util_Hashtable T_java_util_Dictionary) true_term) (= T_java_util_Hashtable (asChild T_java_util_Hashtable T_java_util_Dictionary)) (= (PO_LT T_java_util_Hashtable T_java_util_Map) true_term) (= (PO_LT T_java_util_Hashtable T_java_lang_Cloneable) true_term) (= (PO_LT T_java_util_Hashtable T_java_io_Serializable) true_term) (= (PO_LT T_java_util_EscjavaKeyValue T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_VarInit T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_VarInit (asChild T_javafe_ast_VarInit T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_DoStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_DoStmt (asChild T_javafe_ast_DoStmt T_javafe_ast_Stmt)) (= (PO_LT T_javafe_ast_ExprVec T_java_lang_Object) true_term) (= T_javafe_ast_ExprVec (asChild T_javafe_ast_ExprVec T_java_lang_Object)) (= (PO_LT T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl) true_term) (= T_javafe_ast_SingleTypeImportDecl (asChild T_javafe_ast_SingleTypeImportDecl T_javafe_ast_ImportDecl)) (= (PO_LT T_javafe_genericfile_GenericFile T_java_lang_Object) true_term) (= (PO_LT T_java_lang_Float T_java_lang_Number) true_term) (= T_java_lang_Float (asChild T_java_lang_Float T_java_lang_Number)) (forall ((?t Int)) (= (= (PO_LT ?t T_java_lang_Float) true_term) (= ?t T_java_lang_Float))) (= (PO_LT T_java_lang_Float T_java_lang_Comparable) true_term) (= (PO_LT T_javafe_ast_Identifier T_java_lang_Object) true_term) (= T_javafe_ast_Identifier (asChild T_javafe_ast_Identifier T_java_lang_Object)) (forall ((?t Int)) (= (= (PO_LT ?t T_javafe_ast_Identifier) true_term) (= ?t T_javafe_ast_Identifier))) (= (PO_LT T_javafe_ast_LabelStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_LabelStmt (asChild T_javafe_ast_LabelStmt T_javafe_ast_Stmt)) (= (PO_LT T_decsrc_util_ClassFileParser T_java_lang_Object) true_term) (= T_decsrc_util_ClassFileParser (asChild T_decsrc_util_ClassFileParser T_java_lang_Object)) (= (PO_LT T_decsrc_util_ClassFileParser T_decsrc_util_ClassFileConstants) true_term) (= (PO_LT T_javafe_ast_Name T_javafe_ast_ASTNode) true_term) (= T_javafe_ast_Name (asChild T_javafe_ast_Name T_javafe_ast_ASTNode)) (= (PO_LT T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr) true_term) (= T_javafe_ast_ArrayRefExpr (asChild T_javafe_ast_ArrayRefExpr T_javafe_ast_Expr)) (= (PO_LT T_javafe_ast_TypeDeclElem T_java_lang_Object) true_term) (= (PO_LT T_javafe_ast_WhileStmt T_javafe_ast_Stmt) true_term) (= T_javafe_ast_WhileStmt (asChild T_javafe_ast_WhileStmt T_javafe_ast_Stmt)) (= (PO_LT T_java_lang_LinkageError T_java_lang_Error) true_term) (= T_java_lang_LinkageError (asChild T_java_lang_LinkageError T_java_lang_Error)) (and (= arrayType (+ DIST_ZERO_1 0)) (= T_boolean (+ DIST_ZERO_1 1)) (= T_char (+ DIST_ZERO_1 2)) (= T_byte (+ DIST_ZERO_1 3)) (= T_short (+ DIST_ZERO_1 4)) (= T_int (+ DIST_ZERO_1 5)) (= T_long (+ DIST_ZERO_1 6)) (= T_float (+ DIST_ZERO_1 7)) (= T_double (+ DIST_ZERO_1 8)) (= T__TYPE (+ DIST_ZERO_1 9)) (= T_java_lang_Boolean (+ DIST_ZERO_1 10)) (= T_java_lang_Integer (+ DIST_ZERO_1 11)) (= T_javafe_tc_Env (+ DIST_ZERO_1 12)) (= T_javafe_ast_ThrowStmt (+ DIST_ZERO_1 13)) (= T_javafe_ast_CatchClause (+ DIST_ZERO_1 14)) (= T_javafe_ast_GeneratedTags (+ DIST_ZERO_1 15)) (= T_java_lang_Comparable (+ DIST_ZERO_1 16)) (= T_java_io_FilterInputStream (+ DIST_ZERO_1 17)) (= T_javafe_tc_FieldDeclVec (+ DIST_ZERO_1 18)) (= T_javafe_ast_VariableAccess (+ DIST_ZERO_1 19)) (= T_javafe_ast_ClassDeclStmt (+ DIST_ZERO_1 20)) (= T_javafe_ast_ExprObjectDesignator (+ DIST_ZERO_1 21)) (= T_javafe_ast_SimpleName (+ DIST_ZERO_1 22)) (= T_java_lang_String (+ DIST_ZERO_1 23)) (= T_javafe_ast_TryFinallyStmt (+ DIST_ZERO_1 24)) (= T_javafe_ast_ImportDecl (+ DIST_ZERO_1 25)) (= T_javafe_ast_RoutineDecl (+ DIST_ZERO_1 26)) (= T_javafe_ast_AmbiguousMethodInvocation (+ DIST_ZERO_1 27)) (= T_javafe_ast_UnaryExpr (+ DIST_ZERO_1 28)) (= T_javafe_ast_CastExpr (+ DIST_ZERO_1 29)) (= T_javafe_tc_MethodDeclVec (+ DIST_ZERO_1 30)) (= T_java_util_AbstractList (+ DIST_ZERO_1 31)) (= T_java_io_DataInput (+ DIST_ZERO_1 32)) (= T_javafe_ast_VarDeclStmt (+ DIST_ZERO_1 33)) (= T_javafe_ast_OperatorTags (+ DIST_ZERO_1 34)) (= T_javafe_ast_TypeNameVec (+ DIST_ZERO_1 35)) (= T_javafe_reader_MethodSignature (+ DIST_ZERO_1 36)) (= T_javafe_ast_TypeModifierPragmaVec (+ DIST_ZERO_1 37)) (= T_javafe_ast_CompilationUnit (+ DIST_ZERO_1 38)) (= T_javafe_ast_ConstructorInvocation (+ DIST_ZERO_1 39)) (= T_javafe_ast_ForStmt (+ DIST_ZERO_1 40)) (= T_javafe_ast_BranchStmt (+ DIST_ZERO_1 41)) (= T_java_lang_Exception (+ DIST_ZERO_1 42)) (= T_javafe_ast_AmbiguousVariableAccess (+ DIST_ZERO_1 43)) (= T_javafe_ast_NewArrayExpr (+ DIST_ZERO_1 44)) (= T_javafe_ast_BlockStmt (+ DIST_ZERO_1 45)) (= T_javafe_ast_ObjectDesignator (+ DIST_ZERO_1 46)) (= T_java_util_AbstractCollection (+ DIST_ZERO_1 47)) (= T_javafe_ast_SwitchStmt (+ DIST_ZERO_1 48)) (= T_java_io_Serializable (+ DIST_ZERO_1 49)) (= T_javafe_ast_ContinueStmt (+ DIST_ZERO_1 50)) (= T_decsrc_util_ClassFileConstants (+ DIST_ZERO_1 51)) (= T_java_lang_Long (+ DIST_ZERO_1 52)) (= T_javafe_ast_LiteralExpr (+ DIST_ZERO_1 53)) (= T_javafe_tc_TypeSig (+ DIST_ZERO_1 54)) (= T_javafe_ast_ThisExpr (+ DIST_ZERO_1 55)) (= T_javafe_ast_PrimitiveType (+ DIST_ZERO_1 56)) (= T_javafe_reader_DescriptorParser (+ DIST_ZERO_1 57)) (= T_javafe_ast_IdentifierVec (+ DIST_ZERO_1 58)) (= T_javafe_ast_SuperObjectDesignator (+ DIST_ZERO_1 59)) (= T_javafe_ast_TypeDeclElemVec (+ DIST_ZERO_1 60)) (= T_javafe_ast_ASTDecoration (+ DIST_ZERO_1 61)) (= T_javafe_ast_ASTNode (+ DIST_ZERO_1 62)) (= T_javafe_ast_GenericBlockStmt (+ DIST_ZERO_1 63)) (= T_javafe_ast_ReturnStmt (+ DIST_ZERO_1 64)) (= T_javafe_reader_ASTClassFileParser (+ DIST_ZERO_1 65)) (= T_javafe_ast_ModifierPragma (+ DIST_ZERO_1 66)) (= T_javafe_ast_Stmt (+ DIST_ZERO_1 67)) (= T_java_util_Map (+ DIST_ZERO_1 68)) (= T_java_util_Dictionary (+ DIST_ZERO_1 69)) (= T_javafe_ast_ArrayType (+ DIST_ZERO_1 70)) (= T_java_lang_ClassFormatError (+ DIST_ZERO_1 71)) (= T_java_util_List (+ DIST_ZERO_1 72)) (= T_java_io_DataInputStream (+ DIST_ZERO_1 73)) (= T_java_lang_Cloneable (+ DIST_ZERO_1 74)) (= T_javafe_ast_TypeName (+ DIST_ZERO_1 75)) (= T_javafe_ast_SwitchLabel (+ DIST_ZERO_1 76)) (= T_javafe_ast_FieldDecl (+ DIST_ZERO_1 77)) (= T_java_lang_Error (+ DIST_ZERO_1 78)) (= T_javafe_ast_InstanceOfExpr (+ DIST_ZERO_1 79)) (= T_javafe_ast_LocalVarDecl (+ DIST_ZERO_1 80)) (= T_javafe_ast_StmtVec (+ DIST_ZERO_1 81)) (= T_java_io_InputStream (+ DIST_ZERO_1 82)) (= T_javafe_ast_GenericVarDecl (+ DIST_ZERO_1 83)) (= T_javafe_ast_FormalParaDeclVec (+ DIST_ZERO_1 84)) (= T_javafe_ast_NewInstanceExpr (+ DIST_ZERO_1 85)) (= T_javafe_ast_ClassDecl (+ DIST_ZERO_1 86)) (= T_javafe_ast_IfStmt (+ DIST_ZERO_1 87)) (= T_java_util_Collection (+ DIST_ZERO_1 88)) (= T_javafe_ast_TagConstants (+ DIST_ZERO_1 89)) (= T_javafe_ast_Type (+ DIST_ZERO_1 90)) (= T_javafe_ast_Modifiers (+ DIST_ZERO_1 91)) (= T_javafe_ast_ClassLiteral (+ DIST_ZERO_1 92)) (= T_javafe_ast_InitBlock (+ DIST_ZERO_1 93)) (= T_javafe_ast_InterfaceDecl (+ DIST_ZERO_1 94)) (= T_java_lang_Number (+ DIST_ZERO_1 95)) (= T_javafe_ast_MethodDecl (+ DIST_ZERO_1 96)) (= T_java_lang_Throwable (+ DIST_ZERO_1 97)) (= T_javafe_ast_OnDemandImportDecl (+ DIST_ZERO_1 98)) (= T_javafe_ast_BreakStmt (+ DIST_ZERO_1 99)) (= T_javafe_ast_FormalParaDecl (+ DIST_ZERO_1 100)) (= T_javafe_ast_BinaryExpr (+ DIST_ZERO_1 101)) (= T_javafe_ast_ArrayInit (+ DIST_ZERO_1 102)) (= T_javafe_tc_TagConstants (+ DIST_ZERO_1 103)) (= T_java_lang_Character (+ DIST_ZERO_1 104)) (= T_javafe_ast_FieldAccess (+ DIST_ZERO_1 105)) (= T_javafe_ast_CompoundName (+ DIST_ZERO_1 106)) (= T_javafe_ast_TypeObjectDesignator (+ DIST_ZERO_1 107)) (= T_javafe_ast_ModifierPragmaVec (+ DIST_ZERO_1 108)) (= T_javafe_ast_EvalStmt (+ DIST_ZERO_1 109)) (= T_java_util_Vector (+ DIST_ZERO_1 110)) (= T_java_lang_Double (+ DIST_ZERO_1 111)) (= T_javafe_ast_ConstructorDecl (+ DIST_ZERO_1 112)) (= T_javafe_util_Location (+ DIST_ZERO_1 113)) (= T_javafe_ast_TryCatchStmt (+ DIST_ZERO_1 114)) (= T_javafe_ast_TypeDecl (+ DIST_ZERO_1 115)) (= T_javafe_ast_Expr (+ DIST_ZERO_1 116)) (= T_java_lang_Object (+ DIST_ZERO_1 117)) (= T_javafe_ast_ParenExpr (+ DIST_ZERO_1 118)) (= T_javafe_ast_SynchronizeStmt (+ DIST_ZERO_1 119)) (= T_javafe_parser_TagConstants (+ DIST_ZERO_1 120)) (= T_javafe_ast_MethodInvocation (+ DIST_ZERO_1 121)) (= T_javafe_ast_TypeModifierPragma (+ DIST_ZERO_1 122)) (= T_javafe_ast_SkipStmt (+ DIST_ZERO_1 123)) (= T_java_io_IOException (+ DIST_ZERO_1 124)) (= T_javafe_ast_CondExpr (+ DIST_ZERO_1 125)) (= T_java_util_Hashtable (+ DIST_ZERO_1 126)) (= T_java_util_EscjavaKeyValue (+ DIST_ZERO_1 127)) (= T_javafe_ast_VarInit (+ DIST_ZERO_1 128)) (= T_javafe_ast_DoStmt (+ DIST_ZERO_1 129)) (= T_javafe_ast_ExprVec (+ DIST_ZERO_1 130)) (= T_javafe_ast_SingleTypeImportDecl (+ DIST_ZERO_1 131)) (= T_javafe_genericfile_GenericFile (+ DIST_ZERO_1 132)) (= T_java_lang_Float (+ DIST_ZERO_1 133)) (= T_javafe_ast_Identifier (+ DIST_ZERO_1 134)) (= T_javafe_ast_LabelStmt (+ DIST_ZERO_1 135)) (= T_decsrc_util_ClassFileParser (+ DIST_ZERO_1 136)) (= T_javafe_ast_Name (+ DIST_ZERO_1 137)) (= T_javafe_ast_ArrayRefExpr (+ DIST_ZERO_1 138)) (= T_javafe_ast_TypeDeclElem (+ DIST_ZERO_1 139)) (= T_javafe_ast_WhileStmt (+ DIST_ZERO_1 140)) (= T_java_lang_LinkageError (+ DIST_ZERO_1 141))) (= true_term (is TYPEOBJECTDESIGNATOR_50_62_7 T_int)) (= TYPEOBJECTDESIGNATOR_50_62_7 48) (= true_term (is INITBLOCK_50_21_7 T_int)) (= INITBLOCK_50_21_7 7) (= true_term (is punctuationStrings_75_134_22 ?v_0)) (not (= punctuationStrings_75_134_22 null)) (= (typeof punctuationStrings_75_134_22) ?v_0) (= (arrayLength punctuationStrings_75_134_22) 48) (= true_term (is SHORTTYPE_48_36_26 T_int)) (= SHORTTYPE_48_36_26 103) (= true_term (is ASGREM_49_43_26 T_int)) (= ASGREM_49_43_26 76) (= true_term (is ARRAYREFEXPR_50_48_7 T_int)) (= ARRAYREFEXPR_50_48_7 34) (= true_term (is GT_49_27_26 T_int)) (= GT_49_27_26 62) (= true_term (is THROWSTMT_50_34_7 T_int)) (= THROWSTMT_50_34_7 20) (= true_term (is LAST_KEYWORD_75_103_26 T_int)) (= LAST_KEYWORD_75_103_26 183) (= true_term (is INC_49_58_26 T_int)) (= INC_49_58_26 89) (= true_term (is EXPROBJECTDESIGNATOR_50_61_7 T_int)) (= EXPROBJECTDESIGNATOR_50_61_7 47) (= true_term (is METHODDECL_50_20_7 T_int)) (= METHODDECL_50_20_7 6) (= true_term (is BYTETYPE_48_35_26 T_int)) (= BYTETYPE_48_35_26 102) (= true_term (is ASGDIV_49_42_26 T_int)) (= ASGDIV_49_42_26 75) (= true_term (is THISEXPR_50_47_7 T_int)) (= THISEXPR_50_47_7 33) (= true_term (is NULL_75_82_26 T_int)) (= NULL_75_82_26 163) (= true_term (is GE_49_26_26 T_int)) (= GE_49_26_26 61) (= true_term (is RETURNSTMT_50_33_7 T_int)) (= RETURNSTMT_50_33_7 19) (= true_term (is BITNOT_49_57_26 T_int)) (= BITNOT_49_57_26 88) (= true_term (is TYPESIG_74_6_28 T_int)) (= TYPESIG_74_6_28 184) (= true_term (is CLASSLITERAL_50_60_7 T_int)) (= CLASSLITERAL_50_60_7 46) (= true_term (is CONSTRUCTORDECL_50_19_7 T_int)) (= CONSTRUCTORDECL_50_19_7 5) (= true_term (is NULLTYPE_48_34_26 T_int)) (= NULLTYPE_48_34_26 101) (= true_term (is ASGMUL_49_41_26 T_int)) (= ASGMUL_49_41_26 74) (= true_term (is ARRAYINIT_50_46_7 T_int)) (= ARRAYINIT_50_46_7 32) (= true_term (is EQ_49_25_26 T_int)) (= EQ_49_25_26 60) (= true_term (is EVALSTMT_50_32_7 T_int)) (= EVALSTMT_50_32_7 18) (= true_term (is nullIdentifier_665_36 T_javafe_ast_Identifier)) (= true_term (is NOT_49_56_26 T_int)) (= NOT_49_56_26 87) (= true_term (is METHODINVOCATION_50_59_7 T_int)) (= METHODINVOCATION_50_59_7 45) (= true_term (is INTERFACEDECL_50_18_7 T_int)) (= INTERFACEDECL_50_18_7 4) (= true_term (is VOIDTYPE_48_33_26 T_int)) (= VOIDTYPE_48_33_26 100) (= true_term (is ASSIGN_49_40_26 T_int)) (= ASSIGN_49_40_26 73) (= true_term (is otherStrings_75_193_30 ?v_0)) (not (= otherStrings_75_193_30 null)) (= (typeof otherStrings_75_193_30) ?v_0) (= (arrayLength otherStrings_75_193_30) 15) (= true_term (is CATCHCLAUSE_50_45_7 T_int)) (= CATCHCLAUSE_50_45_7 31) (= true_term (is NE_49_24_26 T_int)) (= NE_49_24_26 59) (= true_term (is noTokens_75_212_27 T_int)) (= true_term (is SYNCHRONIZESTMT_50_31_7 T_int)) (= SYNCHRONIZESTMT_50_31_7 17) (= true_term (is UNARYSUB_49_55_26 T_int)) (= UNARYSUB_49_55_26 86) (= true_term (is ACC_SYNCHRONIZED_5__ T_int)) (= ACC_SYNCHRONIZED_5__ 32) (= true_term (is AMBIGUOUSMETHODINVOCATION_50_58_7 T_int)) (= AMBIGUOUSMETHODINVOCATION_50_58_7 44) (= true_term (is CLASSDECL_50_17_7 T_int)) (= CLASSDECL_50_17_7 3) (= true_term (is DOUBLETYPE_48_32_26 T_int)) (= DOUBLETYPE_48_32_26 99) (= true_term (is STAR_49_37_26 T_int)) (= STAR_49_37_26 72) (= true_term (is CONSTRUCTORINVOCATION_50_44_7 T_int)) (= CONSTRUCTORINVOCATION_50_44_7 30) (= true_term (is BITAND_49_23_26 T_int)) (= BITAND_49_23_26 58) (= true_term (is punctuationCodes_75_164_19 ?v_1)) (not (= punctuationCodes_75_164_19 null)) (= (typeof punctuationCodes_75_164_19) ?v_1) (= (arrayLength punctuationCodes_75_164_19) 48) (= true_term (is DOSTMT_50_30_7 T_int)) (= DOSTMT_50_30_7 16) (= true_term (is UNARYADD_49_54_26 T_int)) (= UNARYADD_49_54_26 85) (= true_term (is FIELDACCESS_50_57_7 T_int)) (= FIELDACCESS_50_57_7 43) (= true_term (is ONDEMANDIMPORTDECL_50_16_7 T_int)) (= ONDEMANDIMPORTDECL_50_16_7 2) (= true_term (is FLOATTYPE_48_31_26 T_int)) (= FLOATTYPE_48_31_26 98) (= true_term (is MOD_49_36_26 T_int)) (= MOD_49_36_26 71) (= true_term (is TRYCATCHSTMT_50_43_7 T_int)) (= TRYCATCHSTMT_50_43_7 29) (= true_term (is BITXOR_49_22_26 T_int)) (= BITXOR_49_22_26 57) (= true_term (is WHILESTMT_50_29_7 T_int)) (= WHILESTMT_50_29_7 15) (= true_term (is ASGBITXOR_49_51_26 T_int)) (= ASGBITXOR_49_51_26 84) (= true_term (is NULLLIT_48_45_26 T_int)) (= NULLLIT_48_45_26 111) (= true_term (is VARIABLEACCESS_50_56_7 T_int)) (= VARIABLEACCESS_50_56_7 42) (= true_term (is SINGLETYPEIMPORTDECL_50_15_7 T_int)) (= SINGLETYPEIMPORTDECL_50_15_7 1) (= true_term (is CHARTYPE_48_30_26 T_int)) (= CHARTYPE_48_30_26 97) (= true_term (is DIV_49_35_26 T_int)) (= DIV_49_35_26 70) (= true_term (is TRYFINALLYSTMT_50_42_7 T_int)) (= TRYFINALLYSTMT_50_42_7 28) (= true_term (is ACC_PROTECTED_5__ T_int)) (= ACC_PROTECTED_5__ 4) (= true_term (is keywordStrings_75_181_30 ?v_0)) (not (= keywordStrings_75_181_30 null)) (= (typeof keywordStrings_75_181_30) ?v_0) (= (arrayLength keywordStrings_75_181_30) 51) (= true_term (is BITOR_49_21_26 T_int)) (= BITOR_49_21_26 56) (= true_term (is CLASSDECLSTMT_50_28_7 T_int)) (= CLASSDECLSTMT_50_28_7 14) (= true_term (is ASGBITOR_49_50_26 T_int)) (= ASGBITOR_49_50_26 83) (= true_term (is STRINGLIT_48_44_26 T_int)) (= STRINGLIT_48_44_26 110) (= true_term (is AMBIGUOUSVARIABLEACCESS_50_55_7 T_int)) (= AMBIGUOUSVARIABLEACCESS_50_55_7 41) (= true_term (is COMPILATIONUNIT_50_14_7 T_int)) (= COMPILATIONUNIT_50_14_7 0) (= true_term (is emptyTypeNameVec_659_37 T_javafe_ast_TypeNameVec)) (= true_term (is LONGTYPE_48_29_26 T_int)) (= LONGTYPE_48_29_26 96) (= true_term (is SUB_49_34_26 T_int)) (= SUB_49_34_26 69) (= true_term (is SWITCHLABEL_50_41_7 T_int)) (= SWITCHLABEL_50_41_7 27) (= true_term (is VARDECLSTMT_50_27_7 T_int)) (= VARDECLSTMT_50_27_7 13) (= true_term (is DOUBLELIT_48_43_26 T_int)) (= DOUBLELIT_48_43_26 109) (= true_term (is ASGBITAND_49_49_26 T_int)) (= ASGBITAND_49_49_26 82) (= true_term (is PARENEXPR_50_54_7 T_int)) (= PARENEXPR_50_54_7 40) (= true_term (is INTTYPE_48_28_26 T_int)) (= INTTYPE_48_28_26 95) (= true_term (is ADD_49_33_26 T_int)) (= ADD_49_33_26 68) (= true_term (is TYPEMODIFIERPRAGMA_75_28_26 T_int)) (= TYPEMODIFIERPRAGMA_75_28_26 118) (= true_term (is SKIPSTMT_50_40_7 T_int)) (= SKIPSTMT_50_40_7 26) (= true_term (is COMPOUNDNAME_50_67_7 T_int)) (= COMPOUNDNAME_50_67_7 53) (= true_term (is SWITCHSTMT_50_26_7 T_int)) (= SWITCHSTMT_50_26_7 12) (= true_term (is AND_49_20_26 T_int)) (= AND_49_20_26 55) (= true_term (is FLOATLIT_48_42_26 T_int)) (= FLOATLIT_48_42_26 108) (= true_term (is ASGURSHIFT_49_48_26 T_int)) (= ASGURSHIFT_49_48_26 81) (= true_term (is NULL_20_60_26 T_int)) (= NULL_20_60_26 0) (= true_term (is CASTEXPR_50_53_7 T_int)) (= CASTEXPR_50_53_7 39) (= true_term (is BOOLEANTYPE_48_27_26 T_int)) (= BOOLEANTYPE_48_27_26 94) (= true_term (is URSHIFT_49_32_26 T_int)) (= URSHIFT_49_32_26 67) (= true_term (is TYPEDECLELEMPRAGMA_75_27_26 T_int)) (= TYPEDECLELEMPRAGMA_75_27_26 117) (= true_term (is FORSTMT_50_39_7 T_int)) (= FORSTMT_50_39_7 25) (= true_term (is SIMPLENAME_50_66_7 T_int)) (= SIMPLENAME_50_66_7 52) (= true_term (is BLOCKSTMT_50_25_7 T_int)) (= BLOCKSTMT_50_25_7 11) (= true_term (is OR_49_19_26 T_int)) (= OR_49_19_26 54) (= true_term (is CHARLIT_48_41_26 T_int)) (= CHARLIT_48_41_26 107) (= true_term (is ASGRSHIFT_49_47_26 T_int)) (= ASGRSHIFT_49_47_26 80) (= true_term (is INSTANCEOFEXPR_50_52_7 T_int)) (= INSTANCEOFEXPR_50_52_7 38) (= true_term (is otherCodes_75_202_27 ?v_1)) (not (= otherCodes_75_202_27 null)) (= (typeof otherCodes_75_202_27) ?v_1) (= (arrayLength otherCodes_75_202_27) 15) (= true_term (is IDENT_48_25_26 T_int)) (= IDENT_48_25_26 93) (= true_term (is RSHIFT_49_31_26 T_int)) (= RSHIFT_49_31_26 66) (= true_term (is STMTPRAGMA_75_26_26 T_int)) (= STMTPRAGMA_75_26_26 116) (= true_term (is IFSTMT_50_38_7 T_int)) (= IFSTMT_50_38_7 24) (= true_term (is ARRAYTYPE_50_65_7 T_int)) (= ARRAYTYPE_50_65_7 51) (= true_term (is FORMALPARADECL_50_24_7 T_int)) (= FORMALPARADECL_50_24_7 10) (= true_term (is LONGLIT_48_40_26 T_int)) (= LONGLIT_48_40_26 106) (= true_term (is ASGLSHIFT_49_46_26 T_int)) (= ASGLSHIFT_49_46_26 79) (= true_term (is CONDEXPR_50_51_7 T_int)) (= CONDEXPR_50_51_7 37) (= true_term (is MODIFIERPRAGMA_75_25_26 T_int)) (= MODIFIERPRAGMA_75_25_26 115) (= true_term (is LSHIFT_49_30_26 T_int)) (= LSHIFT_49_30_26 65) (= true_term (is LABELSTMT_50_37_7 T_int)) (= LABELSTMT_50_37_7 23) (= true_term (is POSTFIXDEC_49_63_26 T_int)) (= POSTFIXDEC_49_63_26 92) (= true_term (is TYPENAME_50_64_7 T_int)) (= TYPENAME_50_64_7 50) (= true_term (is FIELDDECL_50_23_7 T_int)) (= FIELDDECL_50_23_7 9) (= true_term (is INTLIT_48_39_26 T_int)) (= INTLIT_48_39_26 105) (= true_term (is ASGSUB_49_45_26 T_int)) (= ASGSUB_49_45_26 78) (= true_term (is NEWARRAYEXPR_50_50_7 T_int)) (= NEWARRAYEXPR_50_50_7 36) (= true_term (is LEXICALPRAGMA_75_24_26 T_int)) (= LEXICALPRAGMA_75_24_26 114) (= true_term (is LT_49_29_26 T_int)) (= LT_49_29_26 64) (= true_term (is CONTINUESTMT_50_36_7 T_int)) (= CONTINUESTMT_50_36_7 22) (= true_term (is CONSTANT_Class_5__ T_int)) (= CONSTANT_Class_5__ 7) (= true_term (is POSTFIXINC_49_62_26 T_int)) (= POSTFIXINC_49_62_26 91) (= true_term (is ACC_INTERFACE_5__ T_int)) (= ACC_INTERFACE_5__ 512) (= true_term (is FIRST_KEYWORD_75_51_26 T_int)) (= FIRST_KEYWORD_75_51_26 133) (= true_term (is SUPEROBJECTDESIGNATOR_50_63_7 T_int)) (= SUPEROBJECTDESIGNATOR_50_63_7 49) (= true_term (is LOCALVARDECL_50_22_7 T_int)) (= LOCALVARDECL_50_22_7 8) (= true_term (is BOOLEANLIT_48_38_26 T_int)) (= BOOLEANLIT_48_38_26 104) (= true_term (is ASGADD_49_44_26 T_int)) (= ASGADD_49_44_26 77) (= true_term (is NEWINSTANCEEXPR_50_49_7 T_int)) (= NEWINSTANCEEXPR_50_49_7 35) (= true_term (is LE_49_28_26 T_int)) (= LE_49_28_26 63) (= true_term (is BREAKSTMT_50_35_7 T_int)) (= BREAKSTMT_50_35_7 21) (= true_term (is DEC_49_59_26 T_int)) (= DEC_49_59_26 90))))
(declare-fun ecReturn () Int)
(declare-fun ecThrow () Int)
(declare-fun L_348_1 () Int)
(declare-fun TYPEOBJECTDESIGNATOR_pre_50_62_7 () Int)
(declare-fun loc_pre_128_20_13 () Int)
(declare-fun loc_128_20_13 () Int)
(declare-fun INITBLOCK_pre_50_21_7 () Int)
(declare-fun locOpenBrace_pre_66_22_13 () Int)
(declare-fun locOpenBrace_66_22_13 () Int)
(declare-fun punctuationStrings_pre_75_134_22 () Int)
(declare-fun elements_pre_60_61_43 () Int)
(declare-fun elements_60_61_43 () Int)
(declare-fun loc_pre_57_50_13 () Int)
(declare-fun loc_57_50_13 () Int)
(declare-fun SHORTTYPE_pre_48_36_26 () Int)
(declare-fun locOpenParen_pre_155_30_13 () Int)
(declare-fun locOpenParen_155_30_13 () Int)
(declare-fun locCloseParen_pre_151_24_13 () Int)
(declare-fun locCloseParen_151_24_13 () Int)
(declare-fun ASGREM_pre_49_43_26 () Int)
(declare-fun type_pre_150_18_28 () Int)
(declare-fun type_150_18_28 () Int)
(declare-fun syntax_pre_44_28_29 () Int)
(declare-fun syntax_44_28_29 () Int)
(declare-fun containsNull_pre_23_70_29 () Int)
(declare-fun containsNull_23_70_29 () Int)
(declare-fun ARRAYREFEXPR_pre_50_48_7 () Int)
(declare-fun loc_pre_16_45_13 () Int)
(declare-fun loc_16_45_13 () Int)
(declare-fun elements_pre_97_61_43 () Int)
(declare-fun elements_97_61_43 () Int)
(declare-fun locColon_pre_149_25_13 () Int)
(declare-fun locColon_149_25_13 () Int)
(declare-fun GT_pre_49_27_26 () Int)
(declare-fun locFinally_pre_140_25_13 () Int)
(declare-fun locFinally_140_25_13 () Int)
(declare-fun locOpenBrace_pre_144_21_13 () Int)
(declare-fun locOpenBrace_144_21_13 () Int)
(declare-fun THROWSTMT_pre_50_34_7 () Int)
(declare-fun loc_pre_138_16_13 () Int)
(declare-fun loc_138_16_13 () Int)
(declare-fun LAST_KEYWORD_pre_75_103_26 () Int)
(declare-fun INC_pre_49_58_26 () Int)
(declare-fun EXPROBJECTDESIGNATOR_pre_50_61_7 () Int)
(declare-fun METHODDECL_pre_50_20_7 () Int)
(declare-fun BYTETYPE_pre_48_35_26 () Int)
(declare-fun ASGDIV_pre_49_42_26 () Int)
(declare-fun owner_pre_7_35_28 () Int)
(declare-fun owner_7_35_28 () Int)
(declare-fun THISEXPR_pre_50_47_7 () Int)
(declare-fun dims_pre_147_45_31 () Int)
(declare-fun dims_147_45_31 () Int)
(declare-fun count_pre_148_67_33 () Int)
(declare-fun count_148_67_33 () Int)
(declare-fun locId_pre_31_43_13 () Int)
(declare-fun locId_31_43_13 () Int)
(declare-fun locOp_pre_72_32_13 () Int)
(declare-fun locOp_72_32_13 () Int)
(declare-fun locCloseParen_pre_152_21_13 () Int)
(declare-fun locCloseParen_152_21_13 () Int)
(declare-fun NULL_pre_75_82_26 () Int)
(declare-fun GE_pre_49_26_26 () Int)
(declare-fun locId_pre_156_25_13 () Int)
(declare-fun locId_156_25_13 () Int)
(declare-fun classLocation_pre_54_15 () Int)
(declare-fun classLocation_54_15 () Int)
(declare-fun RETURNSTMT_pre_50_33_7 () Int)
(declare-fun locGuardOpenParen_pre_126_23_13 () Int)
(declare-fun locGuardOpenParen_126_23_13 () Int)
(declare-fun classPackage_pre_39_16 () Int)
(declare-fun classPackage_39_16 () Int)
(declare-fun super_class_pre_526_21 () Int)
(declare-fun super_class_526_21 () Int)
(declare-fun BITNOT_pre_49_57_26 () Int)
(declare-fun TYPESIG_pre_74_6_28 () Int)
(declare-fun superCall_pre_142_24_17 () Int)
(declare-fun superCall_142_24_17 () Int)
(declare-fun CLASSLITERAL_pre_50_60_7 () Int)
(declare-fun CONSTRUCTORDECL_pre_50_19_7 () Int)
(declare-fun classLocation_pre_42_148_13 () Int)
(declare-fun classLocation_42_148_13 () Int)
(declare-fun locDot_pre_146_29_13 () Int)
(declare-fun locDot_146_29_13 () Int)
(declare-fun NULLTYPE_pre_48_34_26 () Int)
(declare-fun count_pre_60_67_33 () Int)
(declare-fun count_60_67_33 () Int)
(declare-fun locId_pre_135_20_13 () Int)
(declare-fun locId_135_20_13 () Int)
(declare-fun ASGMUL_pre_49_41_26 () Int)
(declare-fun locOpenParen_pre_146_52_13 () Int)
(declare-fun locOpenParen_146_52_13 () Int)
(declare-fun elementType_pre_23_65_27 () Int)
(declare-fun elementType_23_65_27 () Int)
(declare-fun ARRAYINIT_pre_50_46_7 () Int)
(declare-fun elements_pre_92_61_39 () Int)
(declare-fun elements_92_61_39 () Int)
(declare-fun count_pre_97_67_33 () Int)
(declare-fun count_97_67_33 () Int)
(declare-fun EQ_pre_49_25_26 () Int)
(declare-fun EVALSTMT_pre_50_32_7 () Int)
(declare-fun syntheticClass_pre_67_20 () Int)
(declare-fun syntheticClass_67_20 () Int)
(declare-fun nullIdentifier_pre_665_36 () Int)
(declare-fun locKeyword_pre_142_45_13 () Int)
(declare-fun locKeyword_142_45_13 () Int)
(declare-fun NOT_pre_49_56_26 () Int)
(declare-fun parameters_pre_62_109_34 () Int)
(declare-fun parameters_62_109_34 () Int)
(declare-fun METHODINVOCATION_pre_50_59_7 () Int)
(declare-fun INTERFACEDECL_pre_50_18_7 () Int)
(declare-fun VOIDTYPE_pre_48_33_26 () Int)
(declare-fun value_pre_57_45_16 () Int)
(declare-fun value_57_45_16 () Int)
(declare-fun ASSIGN_pre_49_40_26 () Int)
(declare-fun otherStrings_pre_75_193_30 () Int)
(declare-fun CATCHCLAUSE_pre_50_45_7 () Int)
(declare-fun modifiers_pre_31_24_13 () Int)
(declare-fun modifiers_31_24_13 () Int)
(declare-fun ids_pre_163_19_37 () Int)
(declare-fun ids_163_19_37 () Int)
(declare-fun locOpenParen_pre_151_21_13 () Int)
(declare-fun locOpenParen_151_21_13 () Int)
(declare-fun NE_pre_49_24_26 () Int)
(declare-fun noTokens_pre_75_212_27 () Int)
(declare-fun SYNCHRONIZESTMT_pre_50_31_7 () Int)
(declare-fun loc_pre_73_35_13 () Int)
(declare-fun loc_73_35_13 () Int)
(declare-fun locQuestion_pre_149_22_13 () Int)
(declare-fun locQuestion_149_22_13 () Int)
(declare-fun UNARYSUB_pre_49_55_26 () Int)
(declare-fun classIdentifier_pre_566_23 () Int)
(declare-fun classIdentifier_566_23 () Int)
(declare-fun ACC_SYNCHRONIZED_pre_5__ () Int)
(declare-fun returnType_pre_63_18_28 () Int)
(declare-fun returnType_63_18_28 () Int)
(declare-fun locCloseBrace_pre_16_54_13 () Int)
(declare-fun locCloseBrace_16_54_13 () Int)
(declare-fun AMBIGUOUSMETHODINVOCATION_pre_50_58_7 () Int)
(declare-fun CLASSDECL_pre_50_17_7 () Int)
(declare-fun locDot_pre_157_23_13 () Int)
(declare-fun locDot_157_23_13 () Int)
(declare-fun elements_pre_112_61_39 () Int)
(declare-fun elements_112_61_39 () Int)
(declare-fun DOUBLETYPE_pre_48_32_26 () Int)
(declare-fun locFirstSemi_pre_137_36_13 () Int)
(declare-fun locFirstSemi_137_36_13 () Int)
(declare-fun STAR_pre_49_37_26 () Int)
(declare-fun CONSTRUCTORINVOCATION_pre_50_44_7 () Int)
(declare-fun classMembers_pre_542_20 () Int)
(declare-fun classMembers_542_20 () Int)
(declare-fun loc_pre_31_40_13 () Int)
(declare-fun loc_31_40_13 () Int)
(declare-fun loc_pre_127_20_13 () Int)
(declare-fun loc_127_20_13 () Int)
(declare-fun BITAND_pre_49_23_26 () Int)
(declare-fun loc_pre_140_22_13 () Int)
(declare-fun loc_140_22_13 () Int)
(declare-fun count_pre_92_67_33 () Int)
(declare-fun count_92_67_33 () Int)
(declare-fun synthetics_pre_61_35 () Int)
(declare-fun synthetics_61_35 () Int)
(declare-fun punctuationCodes_pre_75_164_19 () Int)
(declare-fun DOSTMT_pre_50_30_7 () Int)
(declare-fun this_class_pre_520_21 () Int)
(declare-fun this_class_520_21 () Int)
(declare-fun UNARYADD_pre_49_54_26 () Int)
(declare-fun locSuper_pre_160_20_13 () Int)
(declare-fun locSuper_160_20_13 () Int)
(declare-fun inputFile_pre_470_32 () Int)
(declare-fun inputFile_470_32 () Int)
(declare-fun constants_pre_491_21 () Int)
(declare-fun constants_491_21 () Int)
(declare-fun FIELDACCESS_pre_50_57_7 () Int)
(declare-fun ONDEMANDIMPORTDECL_pre_50_16_7 () Int)
(declare-fun locId_pre_36_38_13 () Int)
(declare-fun locId_36_38_13 () Int)
(declare-fun FLOATTYPE_pre_48_31_26 () Int)
(declare-fun routines_pre_560_26 () Int)
(declare-fun routines_560_26 () Int)
(declare-fun op_pre_71_35_13 () Int)
(declare-fun op_71_35_13 () Int)
(declare-fun MOD_pre_49_36_26 () Int)
(declare-fun loc_pre_146_49_13 () Int)
(declare-fun loc_146_49_13 () Int)
(declare-fun TRYCATCHSTMT_pre_50_43_7 () Int)
(declare-fun BITXOR_pre_49_22_26 () Int)
(declare-fun elementData_pre_21_79_35 () Int)
(declare-fun elementData_21_79_35 () Int)
(declare-fun elements_pre_64_61_33 () Int)
(declare-fun elements_64_61_33 () Int)
(declare-fun WHILESTMT_pre_50_29_7 () Int)
(declare-fun ASGBITXOR_pre_49_51_26 () Int)
(declare-fun NULLLIT_pre_48_45_26 () Int)
(declare-fun enclosingInstance_pre_146_25_14 () Int)
(declare-fun enclosingInstance_146_25_14 () Int)
(declare-fun locOpenParen_pre_152_18_13 () Int)
(declare-fun locOpenParen_152_18_13 () Int)
(declare-fun VARIABLEACCESS_pre_50_56_7 () Int)
(declare-fun locDot_pre_142_41_13 () Int)
(declare-fun locDot_142_41_13 () Int)
(declare-fun SINGLETYPEIMPORTDECL_pre_50_15_7 () Int)
(declare-fun typeDecl_pre_47_20 () Int)
(declare-fun typeDecl_47_20 () Int)
(declare-fun CHARTYPE_pre_48_30_26 () Int)
(declare-fun init_pre_35_20_17 () Int)
(declare-fun init_35_20_17 () Int)
(declare-fun tokenType_pre_37_90_8 () Int)
(declare-fun tokenType_37_90_8 () Int)
(declare-fun DIV_pre_49_35_26 () Int)
(declare-fun count_pre_112_67_33 () Int)
(declare-fun count_112_67_33 () Int)
(declare-fun loc_pre_141_23_13 () Int)
(declare-fun loc_141_23_13 () Int)
(declare-fun TRYFINALLYSTMT_pre_50_42_7 () Int)
(declare-fun ACC_PROTECTED_pre_5__ () Int)
(declare-fun keywordStrings_pre_75_181_30 () Int)
(declare-fun loc_pre_126_20_13 () Int)
(declare-fun loc_126_20_13 () Int)
(declare-fun this_class_index_pre_514_16 () Int)
(declare-fun this_class_index_514_16 () Int)
(declare-fun BITOR_pre_49_21_26 () Int)
(declare-fun loc_pre_102_30_13 () Int)
(declare-fun loc_102_30_13 () Int)
(declare-fun type_pre_151_18_28 () Int)
(declare-fun type_151_18_28 () Int)
(declare-fun op_pre_72_26_13 () Int)
(declare-fun op_72_26_13 () Int)
(declare-fun CLASSDECLSTMT_pre_50_28_7 () Int)
(declare-fun ASGBITOR_pre_49_50_26 () Int)
(declare-fun STRINGLIT_pre_48_44_26 () Int)
(declare-fun tag_pre_73_30_13 () Int)
(declare-fun tag_73_30_13 () Int)
(declare-fun length_pre_69_50_25 () Int)
(declare-fun length_69_50_25 () Int)
(declare-fun AMBIGUOUSVARIABLEACCESS_pre_50_55_7 () Int)
(declare-fun init_pre_147_35_19 () Int)
(declare-fun init_147_35_19 () Int)
(declare-fun COMPILATIONUNIT_pre_50_14_7 () Int)
(declare-fun emptyTypeNameVec_pre_659_37 () Int)
(declare-fun elements_pre_99_61_47 () Int)
(declare-fun elements_99_61_47 () Int)
(declare-fun LONGTYPE_pre_48_29_26 () Int)
(declare-fun SUB_pre_49_34_26 () Int)
(declare-fun loc_pre_131_18_13 () Int)
(declare-fun loc_131_18_13 () Int)
(declare-fun SWITCHLABEL_pre_50_41_7 () Int)
(declare-fun locOpenBrace_pre_16_51_13 () Int)
(declare-fun locOpenBrace_16_51_13 () Int)
(declare-fun loc_pre_137_33_13 () Int)
(declare-fun loc_137_33_13 () Int)
(declare-fun loc_pre_119_18_13 () Int)
(declare-fun loc_119_18_13 () Int)
(declare-fun VARDECLSTMT_pre_50_27_7 () Int)
(declare-fun modifiers_pre_508_16 () Int)
(declare-fun modifiers_508_16 () Int)
(declare-fun count_pre_64_67_33 () Int)
(declare-fun count_64_67_33 () Int)
(declare-fun loc_pre_153_22_13 () Int)
(declare-fun loc_153_22_13 () Int)
(declare-fun DOUBLELIT_pre_48_43_26 () Int)
(declare-fun ASGBITAND_pre_49_49_26 () Int)
(declare-fun PARENEXPR_pre_50_54_7 () Int)
(declare-fun loc_pre_139_29_13 () Int)
(declare-fun loc_139_29_13 () Int)
(declare-fun locCloseBracket_pre_145_23_13 () Int)
(declare-fun locCloseBracket_145_23_13 () Int)
(declare-fun type_pre_36_35_28 () Int)
(declare-fun type_36_35_28 () Int)
(declare-fun INTTYPE_pre_48_28_26 () Int)
(declare-fun ADD_pre_49_33_26 () Int)
(declare-fun TYPEMODIFIERPRAGMA_pre_75_28_26 () Int)
(declare-fun SKIPSTMT_pre_50_40_7 () Int)
(declare-fun elements_pre_111_61_38 () Int)
(declare-fun elements_111_61_38 () Int)
(declare-fun type_pre_157_20_28 () Int)
(declare-fun type_157_20_28 () Int)
(declare-fun COMPOUNDNAME_pre_50_67_7 () Int)
(declare-fun SWITCHSTMT_pre_50_26_7 () Int)
(declare-fun AND_pre_49_20_26 () Int)
(declare-fun FLOATLIT_pre_48_42_26 () Int)
(declare-fun interfaces_pre_535_23 () Int)
(declare-fun interfaces_535_23 () Int)
(declare-fun locOpenBracket_pre_161_21_13 () Int)
(declare-fun locOpenBracket_161_21_13 () Int)
(declare-fun ASGURSHIFT_pre_49_48_26 () Int)
(declare-fun rawConstants_pre_502_21 () Int)
(declare-fun rawConstants_502_21 () Int)
(declare-fun NULL_pre_20_60_26 () Int)
(declare-fun CASTEXPR_pre_50_53_7 () Int)
(declare-fun BOOLEANTYPE_pre_48_27_26 () Int)
(declare-fun URSHIFT_pre_49_32_26 () Int)
(declare-fun TYPEDECLELEMPRAGMA_pre_75_27_26 () Int)
(declare-fun count_pre_99_67_33 () Int)
(declare-fun count_99_67_33 () Int)
(declare-fun FORSTMT_pre_50_39_7 () Int)
(declare-fun locOpenParen_pre_128_23_13 () Int)
(declare-fun locOpenParen_128_23_13 () Int)
(declare-fun loc_pre_114_29_13 () Int)
(declare-fun loc_114_29_13 () Int)
(declare-fun id_pre_16_32_34 () Int)
(declare-fun id_16_32_34 () Int)
(declare-fun SIMPLENAME_pre_50_66_7 () Int)
(declare-fun BLOCKSTMT_pre_50_25_7 () Int)
(declare-fun OR_pre_49_19_26 () Int)
(declare-fun CHARLIT_pre_48_41_26 () Int)
(declare-fun ASGRSHIFT_pre_49_47_26 () Int)
(declare-fun locId_pre_154_24_13 () Int)
(declare-fun locId_154_24_13 () Int)
(declare-fun enclosingInstance_pre_142_37_14 () Int)
(declare-fun enclosingInstance_142_37_14 () Int)
(declare-fun INSTANCEOFEXPR_pre_50_52_7 () Int)
(declare-fun loc_pre_162_20_13 () Int)
(declare-fun loc_162_20_13 () Int)
(declare-fun loc_pre_130_18_13 () Int)
(declare-fun loc_130_18_13 () Int)
(declare-fun otherCodes_pre_75_202_27 () Int)
(declare-fun IDENT_pre_48_25_26 () Int)
(declare-fun RSHIFT_pre_49_31_26 () Int)
(declare-fun STMTPRAGMA_pre_75_26_26 () Int)
(declare-fun IFSTMT_pre_50_38_7 () Int)
(declare-fun locId_pre_16_48_13 () Int)
(declare-fun locId_16_48_13 () Int)
(declare-fun locIds_pre_163_25_29 () Int)
(declare-fun locIds_163_25_29 () Int)
(declare-fun locOpenBrace_pre_31_36_13 () Int)
(declare-fun locOpenBrace_31_36_13 () Int)
(declare-fun ARRAYTYPE_pre_50_65_7 () Int)
(declare-fun locDot_pre_115_21_13 () Int)
(declare-fun locDot_115_21_13 () Int)
(declare-fun elements_pre_34_61_37 () Int)
(declare-fun elements_34_61_37 () Int)
(declare-fun locCloseBrace_pre_66_25_13 () Int)
(declare-fun locCloseBrace_66_25_13 () Int)
(declare-fun count_pre_111_67_33 () Int)
(declare-fun count_111_67_33 () Int)
(declare-fun FORMALPARADECL_pre_50_24_7 () Int)
(declare-fun loc_pre_123_18_13 () Int)
(declare-fun loc_123_18_13 () Int)
(declare-fun LONGLIT_pre_48_40_26 () Int)
(declare-fun ASGLSHIFT_pre_49_46_26 () Int)
(declare-fun loc_pre_150_21_13 () Int)
(declare-fun loc_150_21_13 () Int)
(declare-fun locOp_pre_71_43_13 () Int)
(declare-fun locOp_71_43_13 () Int)
(declare-fun CONDEXPR_pre_50_51_7 () Int)
(declare-fun loc_pre_133_18_13 () Int)
(declare-fun loc_133_18_13 () Int)
(declare-fun body_pre_31_34_19 () Int)
(declare-fun body_31_34_19 () Int)
(declare-fun elements_pre_33_61_41 () Int)
(declare-fun elements_33_61_41 () Int)
(declare-fun MODIFIERPRAGMA_pre_75_25_26 () Int)
(declare-fun LSHIFT_pre_49_30_26 () Int)
(declare-fun locCloseBrace_pre_144_24_13 () Int)
(declare-fun locCloseBrace_144_24_13 () Int)
(declare-fun LABELSTMT_pre_50_37_7 () Int)
(declare-fun name_pre_43_18_28 () Int)
(declare-fun name_43_18_28 () Int)
(declare-fun return__pre_62_117_15 () Int)
(declare-fun return__62_117_15 () Int)
(declare-fun locOpenBracket_pre_145_20_13 () Int)
(declare-fun locOpenBracket_145_20_13 () Int)
(declare-fun POSTFIXDEC_pre_49_63_26 () Int)
(declare-fun loc_pre_136_22_13 () Int)
(declare-fun loc_136_22_13 () Int)
(declare-fun elementCount_pre_21_90_35 () Int)
(declare-fun elementCount_21_90_35 () Int)
(declare-fun raises_pre_31_32_35 () Int)
(declare-fun raises_31_32_35 () Int)
(declare-fun TYPENAME_pre_50_64_7 () Int)
(declare-fun FIELDDECL_pre_50_23_7 () Int)
(declare-fun fields_pre_551_24 () Int)
(declare-fun fields_551_24 () Int)
(declare-fun loc_pre_143_22_13 () Int)
(declare-fun loc_143_22_13 () Int)
(declare-fun INTLIT_pre_48_39_26 () Int)
(declare-fun ASGSUB_pre_49_45_26 () Int)
(declare-fun loc_pre_147_49_13 () Int)
(declare-fun loc_147_49_13 () Int)
(declare-fun NEWARRAYEXPR_pre_50_50_7 () Int)
(declare-fun locOpenParen_pre_156_28_13 () Int)
(declare-fun locOpenParen_156_28_13 () Int)
(declare-fun type_pre_147_24_28 () Int)
(declare-fun type_147_24_28 () Int)
(declare-fun LEXICALPRAGMA_pre_75_24_26 () Int)
(declare-fun LT_pre_49_29_26 () Int)
(declare-fun CONTINUESTMT_pre_50_36_7 () Int)
(declare-fun CONSTANT_Class_pre_5__ () Int)
(declare-fun tag_pre_57_32_13 () Int)
(declare-fun tag_57_32_13 () Int)
(declare-fun POSTFIXINC_pre_49_62_26 () Int)
(declare-fun locDots_pre_163_31_29 () Int)
(declare-fun locDots_163_31_29 () Int)
(declare-fun ACC_INTERFACE_pre_5__ () Int)
(declare-fun FIRST_KEYWORD_pre_75_51_26 () Int)
(declare-fun SUPEROBJECTDESIGNATOR_pre_50_63_7 () Int)
(declare-fun LOCALVARDECL_pre_50_22_7 () Int)
(declare-fun count_pre_34_67_33 () Int)
(declare-fun count_34_67_33 () Int)
(declare-fun BOOLEANLIT_pre_48_38_26 () Int)
(declare-fun locType_pre_63_21_13 () Int)
(declare-fun locType_63_21_13 () Int)
(declare-fun ASGADD_pre_49_44_26 () Int)
(declare-fun elements_pre_148_61_33 () Int)
(declare-fun elements_148_61_33 () Int)
(declare-fun modifiers_pre_16_28_13 () Int)
(declare-fun modifiers_16_28_13 () Int)
(declare-fun NEWINSTANCEEXPR_pre_50_49_7 () Int)
(declare-fun locOpenBrackets_pre_147_65_29 () Int)
(declare-fun locOpenBrackets_147_65_29 () Int)
(declare-fun LE_pre_49_28_26 () Int)
(declare-fun count_pre_33_67_33 () Int)
(declare-fun count_33_67_33 () Int)
(declare-fun locOpenParen_pre_142_48_13 () Int)
(declare-fun locOpenParen_142_48_13 () Int)
(declare-fun elemType_pre_161_18_28 () Int)
(declare-fun elemType_161_18_28 () Int)
(declare-fun BREAKSTMT_pre_50_35_7 () Int)
(declare-fun specOnly_pre_16_26_17 () Int)
(declare-fun specOnly_16_26_17 () Int)
(declare-fun DEC_pre_49_59_26 () Int)
(declare-fun elems_pre () Int)
(declare-fun elems () Int)
(declare-fun LS () Int)
(declare-fun alloc_pre () Int)
(declare-fun this () Int)
(declare-fun i_337_45 () Int)
(declare-fun value_337_55 () Int)
(declare-fun field_342_1 () Int)
(declare-fun this_348_20_348_20 () Int)
(declare-fun RES_348_20_348_20 () Int)
(declare-fun EC_348_20_348_20 () Int)
(declare-fun this_352_41_352_41 () Int)
(declare-fun RES_352_41_352_41 () Int)
(declare-fun EC_352_41_352_41 () Int)
(declare-fun arg0_352_12_352_12_51__ () Int)
(declare-fun after_352_12_352_12 () Int)
(declare-fun RES_352_12_352_12 () Int)
(declare-fun EC_352_12_352_12 () Int)
(declare-fun EC () Int)
(declare-fun literal_346_11 () Int)
(declare-fun tag_345_11 () Int)
(declare-fun alloc_1_ () Int)
(declare-fun XRES () Int)
(declare-fun XRES_352_12_352_12 () Int)
(declare-fun RES () Int)
(declare-fun literal_359_2 () Int)
(declare-fun XRES_348_20_348_20 () Int)
(declare-fun EC_1_ () Int)
(declare-fun literal_346_11_1_ () Int)
(declare-fun tag_345_11_1_ () Int)
(declare-fun alloc_2_ () Int)
(declare-fun XRES_1_ () Int)
(declare-fun RES_1_ () Int)
(declare-fun literal_364_2 () Int)
(declare-fun EC_2_ () Int)
(declare-fun literal_346_11_2_ () Int)
(declare-fun tag_345_11_2_ () Int)
(declare-fun alloc_3_ () Int)
(declare-fun XRES_2_ () Int)
(declare-fun RES_2_ () Int)
(declare-fun literal_369_2 () Int)
(declare-fun EC_3_ () Int)
(declare-fun literal_346_11_3_ () Int)
(declare-fun tag_345_11_3_ () Int)
(declare-fun alloc_4_ () Int)
(declare-fun XRES_3_ () Int)
(declare-fun RES_3_ () Int)
(declare-fun literal_374_2 () Int)
(declare-fun EC_4_ () Int)
(declare-fun literal_346_11_4_ () Int)
(declare-fun tag_345_11_4_ () Int)
(declare-fun alloc_5_ () Int)
(declare-fun XRES_4_ () Int)
(declare-fun RES_4_ () Int)
(declare-fun literal_379_2 () Int)
(declare-fun EC_5_ () Int)
(declare-fun literal_346_11_5_ () Int)
(declare-fun tag_345_11_5_ () Int)
(declare-fun alloc_6_ () Int)
(declare-fun XRES_5_ () Int)
(declare-fun RES_5_ () Int)
(declare-fun literal_384_2 () Int)
(declare-fun loc_388_26_388_26_57_105_60 () Int)
(declare-fun RES_388_26_388_26 () Int)
(declare-fun EC_388_26_388_26 () Int)
(declare-fun init_388_7 () Int)
(declare-fun EC_342_25 () Int)
(declare-fun XRES_342_25 () Int)
(declare-fun XRES_388_26_388_26 () Int)
(assert (let ((?v_0 (array T_java_lang_String)) (?v_2 (array T_int)) (?v_7 (arrayLength punctuationStrings_75_134_22)) (?v_8 (arrayLength otherStrings_75_193_30)) (?v_6 (arrayLength keywordStrings_75_181_30)) (?v_1 (array T_java_lang_Object)) (?v_4 (array T_javafe_ast_FieldDecl)) (?v_3 (array T_javafe_ast_TypeName)) (?v_10 (<= 0 i_337_45)) (?v_5 (S_select owner_7_35_28 punctuationCodes_75_164_19)) (?v_11 (S_select fields_551_24 this))) (let ((?v_9 (not (= ?v_11 null))) (?v_45 (< i_337_45 (arrayLength ?v_11))) (?v_46 (= field_342_1 (S_select (S_select elems ?v_11) i_337_45))) (?v_12 (not (= field_342_1 null)))) (let ((?v_33 (not ?v_12)) (?v_47 (= this_348_20_348_20 (S_select type_36_35_28 field_342_1))) (?v_48 (= true_term (is RES_348_20_348_20 T_int))) (?v_13 (= EC_348_20_348_20 ecReturn)) (?v_14 (not (= this_348_20_348_20 null)))) (let ((?v_49 (=> (and ?v_13 (= true_term (is this_348_20_348_20 T_javafe_ast_LiteralExpr)) ?v_14) (= RES_348_20_348_20 (S_select tag_57_32_13 (cast this_348_20_348_20 T_javafe_ast_LiteralExpr))))) (?v_50 (=> (and ?v_13 (= true_term (is this_348_20_348_20 T_javafe_ast_BinaryExpr)) ?v_14) (= RES_348_20_348_20 (S_select op_71_35_13 (cast this_348_20_348_20 T_javafe_ast_BinaryExpr))))) (?v_51 (=> (and ?v_13 (= true_term (is this_348_20_348_20 T_javafe_ast_UnaryExpr)) ?v_14) (= RES_348_20_348_20 (S_select op_72_26_13 (cast this_348_20_348_20 T_javafe_ast_UnaryExpr))))) (?v_52 (=> (and ?v_13 (= true_term (is this_348_20_348_20 T_javafe_ast_PrimitiveType)) ?v_14) (= RES_348_20_348_20 (S_select tag_73_30_13 (cast this_348_20_348_20 T_javafe_ast_PrimitiveType))))) (?v_15 (typeof this_348_20_348_20))) (let ((?v_53 (=> (and ?v_13 (= RES_348_20_348_20 TYPESIG_74_6_28)) (= (PO_LT ?v_15 T_javafe_tc_TypeSig) true_term))) (?v_54 (=> (and ?v_13 (= RES_348_20_348_20 COMPILATIONUNIT_50_14_7)) (= (PO_LT ?v_15 T_javafe_ast_CompilationUnit) true_term))) (?v_55 (=> (and ?v_13 (= RES_348_20_348_20 SINGLETYPEIMPORTDECL_50_15_7)) (= (PO_LT ?v_15 T_javafe_ast_SingleTypeImportDecl) true_term))) (?v_56 (=> (and ?v_13 (= RES_348_20_348_20 ONDEMANDIMPORTDECL_50_16_7)) (= (PO_LT ?v_15 T_javafe_ast_OnDemandImportDecl) true_term))) (?v_57 (=> (and ?v_13 (= RES_348_20_348_20 CLASSDECL_50_17_7)) (= (PO_LT ?v_15 T_javafe_ast_ClassDecl) true_term))) (?v_58 (=> (and ?v_13 (= RES_348_20_348_20 INTERFACEDECL_50_18_7)) (= (PO_LT ?v_15 T_javafe_ast_InterfaceDecl) true_term))) (?v_59 (=> (and ?v_13 (= RES_348_20_348_20 CONSTRUCTORDECL_50_19_7)) (= (PO_LT ?v_15 T_javafe_ast_ConstructorDecl) true_term))) (?v_60 (=> (and ?v_13 (= RES_348_20_348_20 METHODDECL_50_20_7)) (= (PO_LT ?v_15 T_javafe_ast_MethodDecl) true_term))) (?v_61 (=> (and ?v_13 (= RES_348_20_348_20 INITBLOCK_50_21_7)) (= (PO_LT ?v_15 T_javafe_ast_InitBlock) true_term))) (?v_62 (=> (and ?v_13 (= RES_348_20_348_20 LOCALVARDECL_50_22_7)) (= (PO_LT ?v_15 T_javafe_ast_LocalVarDecl) true_term))) (?v_63 (=> (and ?v_13 (= RES_348_20_348_20 FIELDDECL_50_23_7)) (= (PO_LT ?v_15 T_javafe_ast_FieldDecl) true_term))) (?v_64 (=> (and ?v_13 (= RES_348_20_348_20 FORMALPARADECL_50_24_7)) (= (PO_LT ?v_15 T_javafe_ast_FormalParaDecl) true_term))) (?v_65 (=> (and ?v_13 (= RES_348_20_348_20 BLOCKSTMT_50_25_7)) (= (PO_LT ?v_15 T_javafe_ast_BlockStmt) true_term))) (?v_66 (=> (and ?v_13 (= RES_348_20_348_20 SWITCHSTMT_50_26_7)) (= (PO_LT ?v_15 T_javafe_ast_SwitchStmt) true_term))) (?v_67 (=> (and ?v_13 (= RES_348_20_348_20 VARDECLSTMT_50_27_7)) (= (PO_LT ?v_15 T_javafe_ast_VarDeclStmt) true_term))) (?v_68 (=> (and ?v_13 (= RES_348_20_348_20 CLASSDECLSTMT_50_28_7)) (= (PO_LT ?v_15 T_javafe_ast_ClassDeclStmt) true_term))) (?v_69 (=> (and ?v_13 (= RES_348_20_348_20 WHILESTMT_50_29_7)) (= (PO_LT ?v_15 T_javafe_ast_WhileStmt) true_term))) (?v_70 (=> (and ?v_13 (= RES_348_20_348_20 DOSTMT_50_30_7)) (= (PO_LT ?v_15 T_javafe_ast_DoStmt) true_term))) (?v_71 (=> (and ?v_13 (= RES_348_20_348_20 SYNCHRONIZESTMT_50_31_7)) (= (PO_LT ?v_15 T_javafe_ast_SynchronizeStmt) true_term))) (?v_72 (=> (and ?v_13 (= RES_348_20_348_20 EVALSTMT_50_32_7)) (= (PO_LT ?v_15 T_javafe_ast_EvalStmt) true_term))) (?v_73 (=> (and ?v_13 (= RES_348_20_348_20 RETURNSTMT_50_33_7)) (= (PO_LT ?v_15 T_javafe_ast_ReturnStmt) true_term))) (?v_74 (=> (and ?v_13 (= RES_348_20_348_20 THROWSTMT_50_34_7)) (= (PO_LT ?v_15 T_javafe_ast_ThrowStmt) true_term))) (?v_75 (=> (and ?v_13 (= RES_348_20_348_20 BREAKSTMT_50_35_7)) (= (PO_LT ?v_15 T_javafe_ast_BreakStmt) true_term))) (?v_76 (=> (and ?v_13 (= RES_348_20_348_20 CONTINUESTMT_50_36_7)) (= (PO_LT ?v_15 T_javafe_ast_ContinueStmt) true_term))) (?v_77 (=> (and ?v_13 (= RES_348_20_348_20 LABELSTMT_50_37_7)) (= (PO_LT ?v_15 T_javafe_ast_LabelStmt) true_term))) (?v_78 (=> (and ?v_13 (= RES_348_20_348_20 IFSTMT_50_38_7)) (= (PO_LT ?v_15 T_javafe_ast_IfStmt) true_term))) (?v_79 (=> (and ?v_13 (= RES_348_20_348_20 FORSTMT_50_39_7)) (= (PO_LT ?v_15 T_javafe_ast_ForStmt) true_term))) (?v_80 (=> (and ?v_13 (= RES_348_20_348_20 SKIPSTMT_50_40_7)) (= (PO_LT ?v_15 T_javafe_ast_SkipStmt) true_term))) (?v_81 (=> (and ?v_13 (= RES_348_20_348_20 SWITCHLABEL_50_41_7)) (= (PO_LT ?v_15 T_javafe_ast_SwitchLabel) true_term))) (?v_82 (=> (and ?v_13 (= RES_348_20_348_20 TRYFINALLYSTMT_50_42_7)) (= (PO_LT ?v_15 T_javafe_ast_TryFinallyStmt) true_term))) (?v_83 (=> (and ?v_13 (= RES_348_20_348_20 TRYCATCHSTMT_50_43_7)) (= (PO_LT ?v_15 T_javafe_ast_TryCatchStmt) true_term))) (?v_84 (=> (and ?v_13 (= RES_348_20_348_20 CONSTRUCTORINVOCATION_50_44_7)) (= (PO_LT ?v_15 T_javafe_ast_ConstructorInvocation) true_term))) (?v_85 (=> (and ?v_13 (= RES_348_20_348_20 CATCHCLAUSE_50_45_7)) (= (PO_LT ?v_15 T_javafe_ast_CatchClause) true_term))) (?v_86 (=> (and ?v_13 (= RES_348_20_348_20 ARRAYINIT_50_46_7)) (= (PO_LT ?v_15 T_javafe_ast_ArrayInit) true_term))) (?v_87 (=> (and ?v_13 (= RES_348_20_348_20 THISEXPR_50_47_7)) (= (PO_LT ?v_15 T_javafe_ast_ThisExpr) true_term))) (?v_88 (=> (and ?v_13 (= RES_348_20_348_20 ARRAYREFEXPR_50_48_7)) (= (PO_LT ?v_15 T_javafe_ast_ArrayRefExpr) true_term))) (?v_89 (=> (and ?v_13 (= RES_348_20_348_20 NEWINSTANCEEXPR_50_49_7)) (= (PO_LT ?v_15 T_javafe_ast_NewInstanceExpr) true_term))) (?v_90 (=> (and ?v_13 (= RES_348_20_348_20 NEWARRAYEXPR_50_50_7)) (= (PO_LT ?v_15 T_javafe_ast_NewArrayExpr) true_term))) (?v_91 (=> (and ?v_13 (= RES_348_20_348_20 CONDEXPR_50_51_7)) (= (PO_LT ?v_15 T_javafe_ast_CondExpr) true_term))) (?v_92 (=> (and ?v_13 (= RES_348_20_348_20 INSTANCEOFEXPR_50_52_7)) (= (PO_LT ?v_15 T_javafe_ast_InstanceOfExpr) true_term))) (?v_93 (=> (and ?v_13 (= RES_348_20_348_20 CASTEXPR_50_53_7)) (= (PO_LT ?v_15 T_javafe_ast_CastExpr) true_term))) (?v_94 (=> (and ?v_13 (= RES_348_20_348_20 PARENEXPR_50_54_7)) (= (PO_LT ?v_15 T_javafe_ast_ParenExpr) true_term))) (?v_95 (=> (and ?v_13 (= RES_348_20_348_20 AMBIGUOUSVARIABLEACCESS_50_55_7)) (= (PO_LT ?v_15 T_javafe_ast_AmbiguousVariableAccess) true_term))) (?v_96 (=> (and ?v_13 (= RES_348_20_348_20 VARIABLEACCESS_50_56_7)) (= (PO_LT ?v_15 T_javafe_ast_VariableAccess) true_term))) (?v_97 (=> (and ?v_13 (= RES_348_20_348_20 FIELDACCESS_50_57_7)) (= (PO_LT ?v_15 T_javafe_ast_FieldAccess) true_term))) (?v_98 (=> (and ?v_13 (= RES_348_20_348_20 AMBIGUOUSMETHODINVOCATION_50_58_7)) (= (PO_LT ?v_15 T_javafe_ast_AmbiguousMethodInvocation) true_term))) (?v_99 (=> (and ?v_13 (= RES_348_20_348_20 METHODINVOCATION_50_59_7)) (= (PO_LT ?v_15 T_javafe_ast_MethodInvocation) true_term))) (?v_100 (=> (and ?v_13 (= RES_348_20_348_20 CLASSLITERAL_50_60_7)) (= (PO_LT ?v_15 T_javafe_ast_ClassLiteral) true_term))) (?v_101 (=> (and ?v_13 (= RES_348_20_348_20 EXPROBJECTDESIGNATOR_50_61_7)) (= (PO_LT ?v_15 T_javafe_ast_ExprObjectDesignator) true_term))) (?v_102 (=> (and ?v_13 (= RES_348_20_348_20 TYPEOBJECTDESIGNATOR_50_62_7)) (= (PO_LT ?v_15 T_javafe_ast_TypeObjectDesignator) true_term))) (?v_103 (=> (and ?v_13 (= RES_348_20_348_20 SUPEROBJECTDESIGNATOR_50_63_7)) (= (PO_LT ?v_15 T_javafe_ast_SuperObjectDesignator) true_term))) (?v_104 (=> (and ?v_13 (= RES_348_20_348_20 TYPENAME_50_64_7)) (= (PO_LT ?v_15 T_javafe_ast_TypeName) true_term))) (?v_105 (=> (and ?v_13 (= RES_348_20_348_20 ARRAYTYPE_50_65_7)) (= (PO_LT ?v_15 T_javafe_ast_ArrayType) true_term))) (?v_106 (=> (and ?v_13 (= RES_348_20_348_20 SIMPLENAME_50_66_7)) (= (PO_LT ?v_15 T_javafe_ast_SimpleName) true_term))) (?v_107 (=> (and ?v_13 (= RES_348_20_348_20 COMPOUNDNAME_50_67_7)) (= (PO_LT ?v_15 T_javafe_ast_CompoundName) true_term))) (?v_16 (= (PO_LT ?v_15 T_javafe_ast_BinaryExpr) true_term))) (let ((?v_108 (=> (and ?v_13 (= RES_348_20_348_20 OR_49_19_26)) ?v_16)) (?v_109 (=> (and ?v_13 (= RES_348_20_348_20 AND_49_20_26)) ?v_16)) (?v_110 (=> (and ?v_13 (= RES_348_20_348_20 BITOR_49_21_26)) ?v_16)) (?v_111 (=> (and ?v_13 (= RES_348_20_348_20 BITXOR_49_22_26)) ?v_16)) (?v_112 (=> (and ?v_13 (= RES_348_20_348_20 BITAND_49_23_26)) ?v_16)) (?v_113 (=> (and ?v_13 (= RES_348_20_348_20 NE_49_24_26)) ?v_16)) (?v_114 (=> (and ?v_13 (= RES_348_20_348_20 EQ_49_25_26)) ?v_16)) (?v_115 (=> (and ?v_13 (= RES_348_20_348_20 GE_49_26_26)) ?v_16)) (?v_116 (=> (and ?v_13 (= RES_348_20_348_20 GT_49_27_26)) ?v_16)) (?v_117 (=> (and ?v_13 (= RES_348_20_348_20 LE_49_28_26)) ?v_16)) (?v_118 (=> (and ?v_13 (= RES_348_20_348_20 LT_49_29_26)) ?v_16)) (?v_119 (=> (and ?v_13 (= RES_348_20_348_20 LSHIFT_49_30_26)) ?v_16)) (?v_120 (=> (and ?v_13 (= RES_348_20_348_20 RSHIFT_49_31_26)) ?v_16)) (?v_121 (=> (and ?v_13 (= RES_348_20_348_20 URSHIFT_49_32_26)) ?v_16)) (?v_122 (=> (and ?v_13 (= RES_348_20_348_20 ADD_49_33_26)) ?v_16)) (?v_123 (=> (and ?v_13 (= RES_348_20_348_20 SUB_49_34_26)) ?v_16)) (?v_124 (=> (and ?v_13 (= RES_348_20_348_20 DIV_49_35_26)) ?v_16)) (?v_125 (=> (and ?v_13 (= RES_348_20_348_20 MOD_49_36_26)) ?v_16)) (?v_126 (=> (and ?v_13 (= RES_348_20_348_20 STAR_49_37_26)) ?v_16)) (?v_127 (=> (and ?v_13 (= RES_348_20_348_20 ASSIGN_49_40_26)) ?v_16)) (?v_128 (=> (and ?v_13 (= RES_348_20_348_20 ASGMUL_49_41_26)) ?v_16)) (?v_129 (=> (and ?v_13 (= RES_348_20_348_20 ASGDIV_49_42_26)) ?v_16)) (?v_130 (=> (and ?v_13 (= RES_348_20_348_20 ASGREM_49_43_26)) ?v_16)) (?v_131 (=> (and ?v_13 (= RES_348_20_348_20 ASGADD_49_44_26)) ?v_16)) (?v_132 (=> (and ?v_13 (= RES_348_20_348_20 ASGSUB_49_45_26)) ?v_16)) (?v_133 (=> (and ?v_13 (= RES_348_20_348_20 ASGLSHIFT_49_46_26)) ?v_16)) (?v_134 (=> (and ?v_13 (= RES_348_20_348_20 ASGRSHIFT_49_47_26)) ?v_16)) (?v_135 (=> (and ?v_13 (= RES_348_20_348_20 ASGURSHIFT_49_48_26)) ?v_16)) (?v_136 (=> (and ?v_13 (= RES_348_20_348_20 ASGBITAND_49_49_26)) ?v_16)) (?v_137 (=> (and ?v_13 (= RES_348_20_348_20 ASGBITOR_49_50_26)) ?v_16)) (?v_138 (=> (and ?v_13 (= RES_348_20_348_20 ASGBITXOR_49_51_26)) ?v_16)) (?v_17 (= (PO_LT ?v_15 T_javafe_ast_UnaryExpr) true_term))) (let ((?v_139 (=> (and ?v_13 (= RES_348_20_348_20 UNARYADD_49_54_26)) ?v_17)) (?v_140 (=> (and ?v_13 (= RES_348_20_348_20 UNARYSUB_49_55_26)) ?v_17)) (?v_141 (=> (and ?v_13 (= RES_348_20_348_20 NOT_49_56_26)) ?v_17)) (?v_142 (=> (and ?v_13 (= RES_348_20_348_20 BITNOT_49_57_26)) ?v_17)) (?v_143 (=> (and ?v_13 (= RES_348_20_348_20 INC_49_58_26)) ?v_17)) (?v_144 (=> (and ?v_13 (= RES_348_20_348_20 DEC_49_59_26)) ?v_17)) (?v_145 (=> (and ?v_13 (= RES_348_20_348_20 POSTFIXINC_49_62_26)) ?v_17)) (?v_146 (=> (and ?v_13 (= RES_348_20_348_20 POSTFIXDEC_49_63_26)) ?v_17)) (?v_20 (= RES_348_20_348_20 BOOLEANTYPE_48_27_26)) (?v_18 (= (PO_LT ?v_15 T_javafe_ast_PrimitiveType) true_term))) (let ((?v_147 (=> (and ?v_13 ?v_20) ?v_18)) (?v_22 (= RES_348_20_348_20 INTTYPE_48_28_26))) (let ((?v_148 (=> (and ?v_13 ?v_22) ?v_18)) (?v_28 (= RES_348_20_348_20 LONGTYPE_48_29_26))) (let ((?v_149 (=> (and ?v_13 ?v_28) ?v_18)) (?v_29 (= RES_348_20_348_20 CHARTYPE_48_30_26))) (let ((?v_150 (=> (and ?v_13 ?v_29) ?v_18)) (?v_30 (= RES_348_20_348_20 FLOATTYPE_48_31_26))) (let ((?v_151 (=> (and ?v_13 ?v_30) ?v_18)) (?v_31 (= RES_348_20_348_20 DOUBLETYPE_48_32_26))) (let ((?v_152 (=> (and ?v_13 ?v_31) ?v_18)) (?v_153 (=> (and ?v_13 (= RES_348_20_348_20 VOIDTYPE_48_33_26)) ?v_18)) (?v_154 (=> (and ?v_13 (= RES_348_20_348_20 NULLTYPE_48_34_26)) ?v_18)) (?v_23 (= RES_348_20_348_20 BYTETYPE_48_35_26))) (let ((?v_155 (=> (and ?v_13 ?v_23) ?v_18)) (?v_24 (= RES_348_20_348_20 SHORTTYPE_48_36_26))) (let ((?v_156 (=> (and ?v_13 ?v_24) ?v_18)) (?v_19 (= (PO_LT ?v_15 T_javafe_ast_LiteralExpr) true_term))) (let ((?v_157 (=> (and ?v_13 (= RES_348_20_348_20 BOOLEANLIT_48_38_26)) ?v_19)) (?v_158 (=> (and ?v_13 (= RES_348_20_348_20 INTLIT_48_39_26)) ?v_19)) (?v_159 (=> (and ?v_13 (= RES_348_20_348_20 LONGLIT_48_40_26)) ?v_19)) (?v_160 (=> (and ?v_13 (= RES_348_20_348_20 CHARLIT_48_41_26)) ?v_19)) (?v_161 (=> (and ?v_13 (= RES_348_20_348_20 FLOATLIT_48_42_26)) ?v_19)) (?v_162 (=> (and ?v_13 (= RES_348_20_348_20 DOUBLELIT_48_43_26)) ?v_19)) (?v_163 (=> (and ?v_13 (= RES_348_20_348_20 STRINGLIT_48_44_26)) ?v_19)) (?v_164 (=> (and ?v_13 (= RES_348_20_348_20 NULLLIT_48_45_26)) ?v_19)) (?v_21 (= true_term true_term)) (?v_25 (= true_term (is value_337_55 T_java_lang_Integer))) (?v_26 (cast value_337_55 T_java_lang_Integer)) (?v_27 (= EC L_348_1)) (?v_32 (= EC_5_ L_348_1)) (?v_34 (= tag_345_11_5_ STRINGLIT_48_44_26))) (let ((?v_165 (or (and (or (and (or (and (or (and (or (and (or (and ?v_21 ?v_20 ?v_25 (= this_352_41_352_41 ?v_26) (= true_term (is RES_352_41_352_41 T_int)) (= EC_352_41_352_41 ecReturn) (= arg0_352_12_352_12_51__ (integralNE RES_352_41_352_41 0)) (< alloc after_352_12_352_12) (not (= RES_352_12_352_12 null)) (not (= true_term (isAllocated RES_352_12_352_12 alloc))) (= true_term (is RES_352_12_352_12 T_java_lang_Boolean)) (= true_term (isAllocated RES_352_12_352_12 after_352_12_352_12)) (= EC_352_12_352_12 ecReturn) (= (S_select owner_7_35_28 RES_352_12_352_12) null) (= (typeof RES_352_12_352_12) T_java_lang_Boolean) ?v_21 ?v_27 (= literal_346_11 RES_352_12_352_12) (= tag_345_11 BOOLEANLIT_48_38_26) (= alloc_1_ after_352_12_352_12) (= XRES XRES_352_12_352_12) (= RES RES_352_12_352_12)) (and (or (and ?v_21 ?v_22) (and ?v_21 ?v_23) (and ?v_21 ?v_24)) ?v_25 (= literal_359_2 ?v_26) ?v_21 ?v_27 (= literal_346_11 literal_359_2) (= tag_345_11 INTLIT_48_39_26) (= alloc_1_ alloc) (= XRES XRES_348_20_348_20) (= RES RES_348_20_348_20))) (= EC_1_ EC) (= literal_346_11_1_ literal_346_11) (= tag_345_11_1_ tag_345_11) (= alloc_2_ alloc_1_) (= XRES_1_ XRES) (= RES_1_ RES)) (and ?v_21 ?v_28 (= true_term (is value_337_55 T_java_lang_Long)) (= literal_364_2 (cast value_337_55 T_java_lang_Long)) ?v_21 (= EC_1_ L_348_1) (= literal_346_11_1_ literal_364_2) (= tag_345_11_1_ LONGLIT_48_40_26) (= alloc_2_ alloc) (= XRES_1_ XRES_348_20_348_20) (= RES_1_ RES_348_20_348_20))) (= EC_2_ EC_1_) (= literal_346_11_2_ literal_346_11_1_) (= tag_345_11_2_ tag_345_11_1_) (= alloc_3_ alloc_2_) (= XRES_2_ XRES_1_) (= RES_2_ RES_1_)) (and ?v_21 ?v_29 ?v_25 (= literal_369_2 ?v_26) ?v_21 (= EC_2_ L_348_1) (= literal_346_11_2_ literal_369_2) (= tag_345_11_2_ CHARLIT_48_41_26) (= alloc_3_ alloc) (= XRES_2_ XRES_348_20_348_20) (= RES_2_ RES_348_20_348_20))) (= EC_3_ EC_2_) (= literal_346_11_3_ literal_346_11_2_) (= tag_345_11_3_ tag_345_11_2_) (= alloc_4_ alloc_3_) (= XRES_3_ XRES_2_) (= RES_3_ RES_2_)) (and ?v_21 ?v_30 (= true_term (is value_337_55 T_java_lang_Float)) (= literal_374_2 (cast value_337_55 T_java_lang_Float)) ?v_21 (= EC_3_ L_348_1) (= literal_346_11_3_ literal_374_2) (= tag_345_11_3_ FLOATLIT_48_42_26) (= alloc_4_ alloc) (= XRES_3_ XRES_348_20_348_20) (= RES_3_ RES_348_20_348_20))) (= EC_4_ EC_3_) (= literal_346_11_4_ literal_346_11_3_) (= tag_345_11_4_ tag_345_11_3_) (= alloc_5_ alloc_4_) (= XRES_4_ XRES_3_) (= RES_4_ RES_3_)) (and ?v_21 ?v_31 (= true_term (is value_337_55 T_java_lang_Double)) (= literal_379_2 (cast value_337_55 T_java_lang_Double)) ?v_21 (= EC_4_ L_348_1) (= literal_346_11_4_ literal_379_2) (= tag_345_11_4_ DOUBLELIT_48_43_26) (= alloc_5_ alloc) (= XRES_4_ XRES_348_20_348_20) (= RES_4_ RES_348_20_348_20))) (= EC_5_ EC_4_) (= literal_346_11_5_ literal_346_11_4_) (= tag_345_11_5_ tag_345_11_4_) (= alloc_6_ alloc_5_) (= XRES_5_ XRES_4_) (= RES_5_ RES_4_)) (and ?v_21 (not ?v_20) (not ?v_22) (not ?v_23) (not ?v_24) (not ?v_28) (not ?v_29) (not ?v_30) (not ?v_31) (= true_term (is value_337_55 T_java_lang_String)) (= literal_384_2 (cast value_337_55 T_java_lang_String)) ?v_21 ?v_32 (= literal_346_11_5_ literal_384_2) ?v_34 (= alloc_6_ alloc) (= XRES_5_ XRES_348_20_348_20) (= RES_5_ RES_348_20_348_20)))) (?v_166 (= loc_388_26_388_26_57_105_60 (S_select classLocation_54_15 this))) (?v_35 (= tag_345_11_5_ BOOLEANLIT_48_38_26)) (?v_38 (= tag_345_11_5_ INTLIT_48_39_26)) (?v_40 (= tag_345_11_5_ LONGLIT_48_40_26)) (?v_41 (= tag_345_11_5_ FLOATLIT_48_42_26)) (?v_42 (= tag_345_11_5_ DOUBLELIT_48_43_26)) (?v_36 (= tag_345_11_5_ NULLLIT_48_45_26)) (?v_43 (= tag_345_11_5_ CHARLIT_48_41_26)) (?v_37 (= literal_346_11_5_ null))) (let ((?v_39 (not ?v_37))) (let ((?v_44 (and (= true_term (is literal_346_11_5_ T_java_lang_Integer)) ?v_39)) (?v_167 (not (= loc_388_26_388_26_57_105_60 NULL_20_60_26))) (?v_168 (= EC_388_26_388_26 ecReturn)) (?v_169 (= EC_342_25 ecReturn))) (not (=> (distinct ecReturn ecThrow L_348_1) (=> (and (= TYPEOBJECTDESIGNATOR_pre_50_62_7 TYPEOBJECTDESIGNATOR_50_62_7) (= true_term (is TYPEOBJECTDESIGNATOR_50_62_7 T_int)) (= loc_pre_128_20_13 loc_128_20_13) (= loc_128_20_13 (asField loc_128_20_13 T_int)) (= INITBLOCK_pre_50_21_7 INITBLOCK_50_21_7) (= true_term (is INITBLOCK_50_21_7 T_int)) (= locOpenBrace_pre_66_22_13 locOpenBrace_66_22_13) (= locOpenBrace_66_22_13 (asField locOpenBrace_66_22_13 T_int)) (= punctuationStrings_pre_75_134_22 punctuationStrings_75_134_22) (= true_term (is punctuationStrings_75_134_22 ?v_0)) (= true_term (isAllocated punctuationStrings_75_134_22 alloc)) (= elements_pre_60_61_43 elements_60_61_43) (= elements_60_61_43 (asField elements_60_61_43 (array T_javafe_ast_FormalParaDecl))) (< (fClosedTime elements_60_61_43) alloc) (forall ((?s Int)) (=> (not (= ?s null)) (not (= (S_select elements_60_61_43 ?s) null)))) (= loc_pre_57_50_13 loc_57_50_13) (= loc_57_50_13 (asField loc_57_50_13 T_int)) (= SHORTTYPE_pre_48_36_26 SHORTTYPE_48_36_26) (= true_term (is SHORTTYPE_48_36_26 T_int)) (= locOpenParen_pre_155_30_13 locOpenParen_155_30_13) (= locOpenParen_155_30_13 (asField locOpenParen_155_30_13 T_int)) (= locCloseParen_pre_151_24_13 locCloseParen_151_24_13) (= locCloseParen_151_24_13 (asField locCloseParen_151_24_13 T_int)) (= ASGREM_pre_49_43_26 ASGREM_49_43_26) (= true_term (is ASGREM_49_43_26 T_int)) (= type_pre_150_18_28 type_150_18_28) (= type_150_18_28 (asField type_150_18_28 T_javafe_ast_Type)) (< (fClosedTime type_150_18_28) alloc) (forall ((?s_1_ Int)) (=> (not (= ?s_1_ null)) (not (= (S_select type_150_18_28 ?s_1_) null)))) (= syntax_pre_44_28_29 syntax_44_28_29) (= syntax_44_28_29 (asField syntax_44_28_29 T_boolean)) (= containsNull_pre_23_70_29 containsNull_23_70_29) (= containsNull_23_70_29 (asField containsNull_23_70_29 T_boolean)) (= ARRAYREFEXPR_pre_50_48_7 ARRAYREFEXPR_50_48_7) (= true_term (is ARRAYREFEXPR_50_48_7 T_int)) (= loc_pre_16_45_13 loc_16_45_13) (= loc_16_45_13 (asField loc_16_45_13 T_int)) (= elements_pre_97_61_43 elements_97_61_43) (= elements_97_61_43 (asField elements_97_61_43 (array T_javafe_ast_ModifierPragma))) (< (fClosedTime elements_97_61_43) alloc) (forall ((?s_2_ Int)) (=> (not (= ?s_2_ null)) (not (= (S_select elements_97_61_43 ?s_2_) null)))) (= locColon_pre_149_25_13 locColon_149_25_13) (= locColon_149_25_13 (asField locColon_149_25_13 T_int)) (= GT_pre_49_27_26 GT_49_27_26) (= true_term (is GT_49_27_26 T_int)) (= locFinally_pre_140_25_13 locFinally_140_25_13) (= locFinally_140_25_13 (asField locFinally_140_25_13 T_int)) (= locOpenBrace_pre_144_21_13 locOpenBrace_144_21_13) (= locOpenBrace_144_21_13 (asField locOpenBrace_144_21_13 T_int)) (= THROWSTMT_pre_50_34_7 THROWSTMT_50_34_7) (= true_term (is THROWSTMT_50_34_7 T_int)) (= loc_pre_138_16_13 loc_138_16_13) (= loc_138_16_13 (asField loc_138_16_13 T_int)) (= LAST_KEYWORD_pre_75_103_26 LAST_KEYWORD_75_103_26) (= true_term (is LAST_KEYWORD_75_103_26 T_int)) (= INC_pre_49_58_26 INC_49_58_26) (= true_term (is INC_49_58_26 T_int)) (= EXPROBJECTDESIGNATOR_pre_50_61_7 EXPROBJECTDESIGNATOR_50_61_7) (= true_term (is EXPROBJECTDESIGNATOR_50_61_7 T_int)) (= METHODDECL_pre_50_20_7 METHODDECL_50_20_7) (= true_term (is METHODDECL_50_20_7 T_int)) (= BYTETYPE_pre_48_35_26 BYTETYPE_48_35_26) (= true_term (is BYTETYPE_48_35_26 T_int)) (= ASGDIV_pre_49_42_26 ASGDIV_49_42_26) (= true_term (is ASGDIV_49_42_26 T_int)) (= owner_pre_7_35_28 owner_7_35_28) (= owner_7_35_28 (asField owner_7_35_28 T_java_lang_Object)) (< (fClosedTime owner_7_35_28) alloc) (= THISEXPR_pre_50_47_7 THISEXPR_50_47_7) (= true_term (is THISEXPR_50_47_7 T_int)) (= dims_pre_147_45_31 dims_147_45_31) (= dims_147_45_31 (asField dims_147_45_31 T_javafe_ast_ExprVec)) (< (fClosedTime dims_147_45_31) alloc) (forall ((?s_3_ Int)) (=> (not (= ?s_3_ null)) (not (= (S_select dims_147_45_31 ?s_3_) null)))) (= count_pre_148_67_33 count_148_67_33) (= count_148_67_33 (asField count_148_67_33 T_int)) (= locId_pre_31_43_13 locId_31_43_13) (= locId_31_43_13 (asField locId_31_43_13 T_int)) (= locOp_pre_72_32_13 locOp_72_32_13) (= locOp_72_32_13 (asField locOp_72_32_13 T_int)) (= locCloseParen_pre_152_21_13 locCloseParen_152_21_13) (= locCloseParen_152_21_13 (asField locCloseParen_152_21_13 T_int)) (= NULL_pre_75_82_26 NULL_75_82_26) (= true_term (is NULL_75_82_26 T_int)) (= GE_pre_49_26_26 GE_49_26_26) (= true_term (is GE_49_26_26 T_int)) (= locId_pre_156_25_13 locId_156_25_13) (= locId_156_25_13 (asField locId_156_25_13 T_int)) (= classLocation_pre_54_15 classLocation_54_15) (= classLocation_54_15 (asField classLocation_54_15 T_int)) (= RETURNSTMT_pre_50_33_7 RETURNSTMT_50_33_7) (= true_term (is RETURNSTMT_50_33_7 T_int)) (= locGuardOpenParen_pre_126_23_13 locGuardOpenParen_126_23_13) (= locGuardOpenParen_126_23_13 (asField locGuardOpenParen_126_23_13 T_int)) (= classPackage_pre_39_16 classPackage_39_16) (= classPackage_39_16 (asField classPackage_39_16 T_javafe_ast_Name)) (< (fClosedTime classPackage_39_16) alloc) (= super_class_pre_526_21 super_class_526_21) (= super_class_526_21 (asField super_class_526_21 T_javafe_ast_TypeName)) (< (fClosedTime super_class_526_21) alloc) (= BITNOT_pre_49_57_26 BITNOT_49_57_26) (= true_term (is BITNOT_49_57_26 T_int)) (= TYPESIG_pre_74_6_28 TYPESIG_74_6_28) (= true_term (is TYPESIG_74_6_28 T_int)) (= superCall_pre_142_24_17 superCall_142_24_17) (= superCall_142_24_17 (asField superCall_142_24_17 T_boolean)) (= CLASSLITERAL_pre_50_60_7 CLASSLITERAL_50_60_7) (= true_term (is CLASSLITERAL_50_60_7 T_int)) (= CONSTRUCTORDECL_pre_50_19_7 CONSTRUCTORDECL_50_19_7) (= true_term (is CONSTRUCTORDECL_50_19_7 T_int)) (= classLocation_pre_42_148_13 classLocation_42_148_13) (= true_term (is classLocation_42_148_13 T_int)) (= locDot_pre_146_29_13 locDot_146_29_13) (= locDot_146_29_13 (asField locDot_146_29_13 T_int)) (= NULLTYPE_pre_48_34_26 NULLTYPE_48_34_26) (= true_term (is NULLTYPE_48_34_26 T_int)) (= count_pre_60_67_33 count_60_67_33) (= count_60_67_33 (asField count_60_67_33 T_int)) (= locId_pre_135_20_13 locId_135_20_13) (= locId_135_20_13 (asField locId_135_20_13 T_int)) (= ASGMUL_pre_49_41_26 ASGMUL_49_41_26) (= true_term (is ASGMUL_49_41_26 T_int)) (= locOpenParen_pre_146_52_13 locOpenParen_146_52_13) (= locOpenParen_146_52_13 (asField locOpenParen_146_52_13 T_int)) (= elementType_pre_23_65_27 elementType_23_65_27) (= elementType_23_65_27 (asField elementType_23_65_27 T__TYPE)) (= ARRAYINIT_pre_50_46_7 ARRAYINIT_50_46_7) (= true_term (is ARRAYINIT_50_46_7 T_int)) (= elements_pre_92_61_39 elements_92_61_39) (= elements_92_61_39 (asField elements_92_61_39 (array T_javafe_ast_Identifier))) (< (fClosedTime elements_92_61_39) alloc) (forall ((?s_4_ Int)) (=> (not (= ?s_4_ null)) (not (= (S_select elements_92_61_39 ?s_4_) null)))) (= count_pre_97_67_33 count_97_67_33) (= count_97_67_33 (asField count_97_67_33 T_int)) (= EQ_pre_49_25_26 EQ_49_25_26) (= true_term (is EQ_49_25_26 T_int)) (= EVALSTMT_pre_50_32_7 EVALSTMT_50_32_7) (= true_term (is EVALSTMT_50_32_7 T_int)) (= syntheticClass_pre_67_20 syntheticClass_67_20) (= syntheticClass_67_20 (asField syntheticClass_67_20 T_boolean)) (= nullIdentifier_pre_665_36 nullIdentifier_665_36) (= true_term (is nullIdentifier_665_36 T_javafe_ast_Identifier)) (= true_term (isAllocated nullIdentifier_665_36 alloc)) (= locKeyword_pre_142_45_13 locKeyword_142_45_13) (= locKeyword_142_45_13 (asField locKeyword_142_45_13 T_int)) (= NOT_pre_49_56_26 NOT_49_56_26) (= true_term (is NOT_49_56_26 T_int)) (= parameters_pre_62_109_34 parameters_62_109_34) (= parameters_62_109_34 (asField parameters_62_109_34 T_java_util_Vector)) (< (fClosedTime parameters_62_109_34) alloc) (= METHODINVOCATION_pre_50_59_7 METHODINVOCATION_50_59_7) (= true_term (is METHODINVOCATION_50_59_7 T_int)) (= INTERFACEDECL_pre_50_18_7 INTERFACEDECL_50_18_7) (= true_term (is INTERFACEDECL_50_18_7 T_int)) (= VOIDTYPE_pre_48_33_26 VOIDTYPE_48_33_26) (= true_term (is VOIDTYPE_48_33_26 T_int)) (= value_pre_57_45_16 value_57_45_16) (= value_57_45_16 (asField value_57_45_16 T_java_lang_Object)) (< (fClosedTime value_57_45_16) alloc) (= ASSIGN_pre_49_40_26 ASSIGN_49_40_26) (= true_term (is ASSIGN_49_40_26 T_int)) (= otherStrings_pre_75_193_30 otherStrings_75_193_30) (= true_term (is otherStrings_75_193_30 ?v_0)) (= true_term (isAllocated otherStrings_75_193_30 alloc)) (= CATCHCLAUSE_pre_50_45_7 CATCHCLAUSE_50_45_7) (= true_term (is CATCHCLAUSE_50_45_7 T_int)) (= modifiers_pre_31_24_13 modifiers_31_24_13) (= modifiers_31_24_13 (asField modifiers_31_24_13 T_int)) (= ids_pre_163_19_37 ids_163_19_37) (= ids_163_19_37 (asField ids_163_19_37 T_javafe_ast_IdentifierVec)) (< (fClosedTime ids_163_19_37) alloc) (forall ((?s_5_ Int)) (=> (not (= ?s_5_ null)) (not (= (S_select ids_163_19_37 ?s_5_) null)))) (= locOpenParen_pre_151_21_13 locOpenParen_151_21_13) (= locOpenParen_151_21_13 (asField locOpenParen_151_21_13 T_int)) (= NE_pre_49_24_26 NE_49_24_26) (= true_term (is NE_49_24_26 T_int)) (= noTokens_pre_75_212_27 noTokens_75_212_27) (= true_term (is noTokens_75_212_27 T_int)) (= SYNCHRONIZESTMT_pre_50_31_7 SYNCHRONIZESTMT_50_31_7) (= true_term (is SYNCHRONIZESTMT_50_31_7 T_int)) (= loc_pre_73_35_13 loc_73_35_13) (= loc_73_35_13 (asField loc_73_35_13 T_int)) (= locQuestion_pre_149_22_13 locQuestion_149_22_13) (= locQuestion_149_22_13 (asField locQuestion_149_22_13 T_int)) (= UNARYSUB_pre_49_55_26 UNARYSUB_49_55_26) (= true_term (is UNARYSUB_49_55_26 T_int)) (= classIdentifier_pre_566_23 classIdentifier_566_23) (= classIdentifier_566_23 (asField classIdentifier_566_23 T_javafe_ast_Identifier)) (< (fClosedTime classIdentifier_566_23) alloc) (= ACC_SYNCHRONIZED_pre_5__ ACC_SYNCHRONIZED_5__) (= true_term (is ACC_SYNCHRONIZED_5__ T_int)) (= returnType_pre_63_18_28 returnType_63_18_28) (= returnType_63_18_28 (asField returnType_63_18_28 T_javafe_ast_Type)) (< (fClosedTime returnType_63_18_28) alloc) (forall ((?s_6_ Int)) (=> (not (= ?s_6_ null)) (not (= (S_select returnType_63_18_28 ?s_6_) null)))) (= locCloseBrace_pre_16_54_13 locCloseBrace_16_54_13) (= locCloseBrace_16_54_13 (asField locCloseBrace_16_54_13 T_int)) (= AMBIGUOUSMETHODINVOCATION_pre_50_58_7 AMBIGUOUSMETHODINVOCATION_50_58_7) (= true_term (is AMBIGUOUSMETHODINVOCATION_50_58_7 T_int)) (= CLASSDECL_pre_50_17_7 CLASSDECL_50_17_7) (= true_term (is CLASSDECL_50_17_7 T_int)) (= locDot_pre_157_23_13 locDot_157_23_13) (= locDot_157_23_13 (asField locDot_157_23_13 T_int)) (= elements_pre_112_61_39 elements_112_61_39) (= elements_112_61_39 (asField elements_112_61_39 (array T_javafe_ast_MethodDecl))) (< (fClosedTime elements_112_61_39) alloc) (forall ((?s_7_ Int)) (=> (not (= ?s_7_ null)) (not (= (S_select elements_112_61_39 ?s_7_) null)))) (= DOUBLETYPE_pre_48_32_26 DOUBLETYPE_48_32_26) (= true_term (is DOUBLETYPE_48_32_26 T_int)) (= locFirstSemi_pre_137_36_13 locFirstSemi_137_36_13) (= locFirstSemi_137_36_13 (asField locFirstSemi_137_36_13 T_int)) (= STAR_pre_49_37_26 STAR_49_37_26) (= true_term (is STAR_49_37_26 T_int)) (= CONSTRUCTORINVOCATION_pre_50_44_7 CONSTRUCTORINVOCATION_50_44_7) (= true_term (is CONSTRUCTORINVOCATION_50_44_7 T_int)) (= classMembers_pre_542_20 classMembers_542_20) (= classMembers_542_20 (asField classMembers_542_20 T_javafe_ast_TypeDeclElemVec)) (< (fClosedTime classMembers_542_20) alloc) (= loc_pre_31_40_13 loc_31_40_13) (= loc_31_40_13 (asField loc_31_40_13 T_int)) (= loc_pre_127_20_13 loc_127_20_13) (= loc_127_20_13 (asField loc_127_20_13 T_int)) (= BITAND_pre_49_23_26 BITAND_49_23_26) (= true_term (is BITAND_49_23_26 T_int)) (= loc_pre_140_22_13 loc_140_22_13) (= loc_140_22_13 (asField loc_140_22_13 T_int)) (= count_pre_92_67_33 count_92_67_33) (= count_92_67_33 (asField count_92_67_33 T_int)) (= synthetics_pre_61_35 synthetics_61_35) (= synthetics_61_35 (asField synthetics_61_35 T_java_util_Vector)) (< (fClosedTime synthetics_61_35) alloc) (forall ((?s_8_ Int)) (=> (not (= ?s_8_ null)) (not (= (S_select synthetics_61_35 ?s_8_) null)))) (= punctuationCodes_pre_75_164_19 punctuationCodes_75_164_19) (= true_term (is punctuationCodes_75_164_19 ?v_2)) (= true_term (isAllocated punctuationCodes_75_164_19 alloc)) (= DOSTMT_pre_50_30_7 DOSTMT_50_30_7) (= true_term (is DOSTMT_50_30_7 T_int)) (= this_class_pre_520_21 this_class_520_21) (= this_class_520_21 (asField this_class_520_21 T_javafe_ast_TypeName)) (< (fClosedTime this_class_520_21) alloc) (= UNARYADD_pre_49_54_26 UNARYADD_49_54_26) (= true_term (is UNARYADD_49_54_26 T_int)) (= locSuper_pre_160_20_13 locSuper_160_20_13) (= locSuper_160_20_13 (asField locSuper_160_20_13 T_int)) (= inputFile_pre_470_32 inputFile_470_32) (= inputFile_470_32 (asField inputFile_470_32 T_javafe_genericfile_GenericFile)) (< (fClosedTime inputFile_470_32) alloc) (forall ((?s_9_ Int)) (=> (not (= ?s_9_ null)) (not (= (S_select inputFile_470_32 ?s_9_) null)))) (= constants_pre_491_21 constants_491_21) (= constants_491_21 (asField constants_491_21 ?v_1)) (< (fClosedTime constants_491_21) alloc) (= FIELDACCESS_pre_50_57_7 FIELDACCESS_50_57_7) (= true_term (is FIELDACCESS_50_57_7 T_int)) (= ONDEMANDIMPORTDECL_pre_50_16_7 ONDEMANDIMPORTDECL_50_16_7) (= true_term (is ONDEMANDIMPORTDECL_50_16_7 T_int)) (= locId_pre_36_38_13 locId_36_38_13) (= locId_36_38_13 (asField locId_36_38_13 T_int)) (= FLOATTYPE_pre_48_31_26 FLOATTYPE_48_31_26) (= true_term (is FLOATTYPE_48_31_26 T_int)) (= routines_pre_560_26 routines_560_26) (= routines_560_26 (asField routines_560_26 (array T_javafe_ast_RoutineDecl))) (< (fClosedTime routines_560_26) alloc) (= op_pre_71_35_13 op_71_35_13) (= op_71_35_13 (asField op_71_35_13 T_int)) (= MOD_pre_49_36_26 MOD_49_36_26) (= true_term (is MOD_49_36_26 T_int)) (= loc_pre_146_49_13 loc_146_49_13) (= loc_146_49_13 (asField loc_146_49_13 T_int)) (= TRYCATCHSTMT_pre_50_43_7 TRYCATCHSTMT_50_43_7) (= true_term (is TRYCATCHSTMT_50_43_7 T_int)) (= BITXOR_pre_49_22_26 BITXOR_49_22_26) (= true_term (is BITXOR_49_22_26 T_int)) (= elementData_pre_21_79_35 elementData_21_79_35) (= elementData_21_79_35 (asField elementData_21_79_35 ?v_1)) (< (fClosedTime elementData_21_79_35) alloc) (forall ((?s_10_ Int)) (=> (not (= ?s_10_ null)) (not (= (S_select elementData_21_79_35 ?s_10_) null)))) (= elements_pre_64_61_33 elements_64_61_33) (= elements_64_61_33 (asField elements_64_61_33 (array T_javafe_ast_Stmt))) (< (fClosedTime elements_64_61_33) alloc) (forall ((?s_11_ Int)) (=> (not (= ?s_11_ null)) (not (= (S_select elements_64_61_33 ?s_11_) null)))) (= WHILESTMT_pre_50_29_7 WHILESTMT_50_29_7) (= true_term (is WHILESTMT_50_29_7 T_int)) (= ASGBITXOR_pre_49_51_26 ASGBITXOR_49_51_26) (= true_term (is ASGBITXOR_49_51_26 T_int)) (= NULLLIT_pre_48_45_26 NULLLIT_48_45_26) (= true_term (is NULLLIT_48_45_26 T_int)) (= enclosingInstance_pre_146_25_14 enclosingInstance_146_25_14) (= enclosingInstance_146_25_14 (asField enclosingInstance_146_25_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_146_25_14) alloc) (= locOpenParen_pre_152_18_13 locOpenParen_152_18_13) (= locOpenParen_152_18_13 (asField locOpenParen_152_18_13 T_int)) (= VARIABLEACCESS_pre_50_56_7 VARIABLEACCESS_50_56_7) (= true_term (is VARIABLEACCESS_50_56_7 T_int)) (= locDot_pre_142_41_13 locDot_142_41_13) (= locDot_142_41_13 (asField locDot_142_41_13 T_int)) (= SINGLETYPEIMPORTDECL_pre_50_15_7 SINGLETYPEIMPORTDECL_50_15_7) (= true_term (is SINGLETYPEIMPORTDECL_50_15_7 T_int)) (= typeDecl_pre_47_20 typeDecl_47_20) (= typeDecl_47_20 (asField typeDecl_47_20 T_javafe_ast_TypeDecl)) (< (fClosedTime typeDecl_47_20) alloc) (= CHARTYPE_pre_48_30_26 CHARTYPE_48_30_26) (= true_term (is CHARTYPE_48_30_26 T_int)) (= init_pre_35_20_17 init_35_20_17) (= init_35_20_17 (asField init_35_20_17 T_javafe_ast_VarInit)) (< (fClosedTime init_35_20_17) alloc) (= tokenType_pre_37_90_8 tokenType_37_90_8) (= tokenType_37_90_8 (asField tokenType_37_90_8 T_int)) (= DIV_pre_49_35_26 DIV_49_35_26) (= true_term (is DIV_49_35_26 T_int)) (= count_pre_112_67_33 count_112_67_33) (= count_112_67_33 (asField count_112_67_33 T_int)) (= loc_pre_141_23_13 loc_141_23_13) (= loc_141_23_13 (asField loc_141_23_13 T_int)) (= TRYFINALLYSTMT_pre_50_42_7 TRYFINALLYSTMT_50_42_7) (= true_term (is TRYFINALLYSTMT_50_42_7 T_int)) (= ACC_PROTECTED_pre_5__ ACC_PROTECTED_5__) (= true_term (is ACC_PROTECTED_5__ T_int)) (= keywordStrings_pre_75_181_30 keywordStrings_75_181_30) (= true_term (is keywordStrings_75_181_30 ?v_0)) (= true_term (isAllocated keywordStrings_75_181_30 alloc)) (= loc_pre_126_20_13 loc_126_20_13) (= loc_126_20_13 (asField loc_126_20_13 T_int)) (= this_class_index_pre_514_16 this_class_index_514_16) (= this_class_index_514_16 (asField this_class_index_514_16 T_int)) (= BITOR_pre_49_21_26 BITOR_49_21_26) (= true_term (is BITOR_49_21_26 T_int)) (= loc_pre_102_30_13 loc_102_30_13) (= loc_102_30_13 (asField loc_102_30_13 T_int)) (= type_pre_151_18_28 type_151_18_28) (= type_151_18_28 (asField type_151_18_28 T_javafe_ast_Type)) (< (fClosedTime type_151_18_28) alloc) (forall ((?s_12_ Int)) (=> (not (= ?s_12_ null)) (not (= (S_select type_151_18_28 ?s_12_) null)))) (= op_pre_72_26_13 op_72_26_13) (= op_72_26_13 (asField op_72_26_13 T_int)) (= CLASSDECLSTMT_pre_50_28_7 CLASSDECLSTMT_50_28_7) (= true_term (is CLASSDECLSTMT_50_28_7 T_int)) (= ASGBITOR_pre_49_50_26 ASGBITOR_49_50_26) (= true_term (is ASGBITOR_49_50_26 T_int)) (= STRINGLIT_pre_48_44_26 STRINGLIT_48_44_26) (= true_term (is STRINGLIT_48_44_26 T_int)) (= tag_pre_73_30_13 tag_73_30_13) (= tag_73_30_13 (asField tag_73_30_13 T_int)) (= length_pre_69_50_25 length_69_50_25) (= length_69_50_25 (asField length_69_50_25 T_int)) (= AMBIGUOUSVARIABLEACCESS_pre_50_55_7 AMBIGUOUSVARIABLEACCESS_50_55_7) (= true_term (is AMBIGUOUSVARIABLEACCESS_50_55_7 T_int)) (= init_pre_147_35_19 init_147_35_19) (= init_147_35_19 (asField init_147_35_19 T_javafe_ast_ArrayInit)) (< (fClosedTime init_147_35_19) alloc) (= COMPILATIONUNIT_pre_50_14_7 COMPILATIONUNIT_50_14_7) (= true_term (is COMPILATIONUNIT_50_14_7 T_int)) (= emptyTypeNameVec_pre_659_37 emptyTypeNameVec_659_37) (= true_term (is emptyTypeNameVec_659_37 T_javafe_ast_TypeNameVec)) (= true_term (isAllocated emptyTypeNameVec_659_37 alloc)) (= elements_pre_99_61_47 elements_99_61_47) (= elements_99_61_47 (asField elements_99_61_47 (array T_javafe_ast_TypeModifierPragma))) (< (fClosedTime elements_99_61_47) alloc) (forall ((?s_13_ Int)) (=> (not (= ?s_13_ null)) (not (= (S_select elements_99_61_47 ?s_13_) null)))) (= LONGTYPE_pre_48_29_26 LONGTYPE_48_29_26) (= true_term (is LONGTYPE_48_29_26 T_int)) (= SUB_pre_49_34_26 SUB_49_34_26) (= true_term (is SUB_49_34_26 T_int)) (= loc_pre_131_18_13 loc_131_18_13) (= loc_131_18_13 (asField loc_131_18_13 T_int)) (= SWITCHLABEL_pre_50_41_7 SWITCHLABEL_50_41_7) (= true_term (is SWITCHLABEL_50_41_7 T_int)) (= locOpenBrace_pre_16_51_13 locOpenBrace_16_51_13) (= locOpenBrace_16_51_13 (asField locOpenBrace_16_51_13 T_int)) (= loc_pre_137_33_13 loc_137_33_13) (= loc_137_33_13 (asField loc_137_33_13 T_int)) (= loc_pre_119_18_13 loc_119_18_13) (= loc_119_18_13 (asField loc_119_18_13 T_int)) (= VARDECLSTMT_pre_50_27_7 VARDECLSTMT_50_27_7) (= true_term (is VARDECLSTMT_50_27_7 T_int)) (= modifiers_pre_508_16 modifiers_508_16) (= modifiers_508_16 (asField modifiers_508_16 T_int)) (= count_pre_64_67_33 count_64_67_33) (= count_64_67_33 (asField count_64_67_33 T_int)) (= loc_pre_153_22_13 loc_153_22_13) (= loc_153_22_13 (asField loc_153_22_13 T_int)) (= DOUBLELIT_pre_48_43_26 DOUBLELIT_48_43_26) (= true_term (is DOUBLELIT_48_43_26 T_int)) (= ASGBITAND_pre_49_49_26 ASGBITAND_49_49_26) (= true_term (is ASGBITAND_49_49_26 T_int)) (= PARENEXPR_pre_50_54_7 PARENEXPR_50_54_7) (= true_term (is PARENEXPR_50_54_7 T_int)) (= loc_pre_139_29_13 loc_139_29_13) (= loc_139_29_13 (asField loc_139_29_13 T_int)) (= locCloseBracket_pre_145_23_13 locCloseBracket_145_23_13) (= locCloseBracket_145_23_13 (asField locCloseBracket_145_23_13 T_int)) (= type_pre_36_35_28 type_36_35_28) (= type_36_35_28 (asField type_36_35_28 T_javafe_ast_Type)) (< (fClosedTime type_36_35_28) alloc) (forall ((?s_14_ Int)) (=> (not (= ?s_14_ null)) (not (= (S_select type_36_35_28 ?s_14_) null)))) (= INTTYPE_pre_48_28_26 INTTYPE_48_28_26) (= true_term (is INTTYPE_48_28_26 T_int)) (= ADD_pre_49_33_26 ADD_49_33_26) (= true_term (is ADD_49_33_26 T_int)) (= TYPEMODIFIERPRAGMA_pre_75_28_26 TYPEMODIFIERPRAGMA_75_28_26) (= true_term (is TYPEMODIFIERPRAGMA_75_28_26 T_int)) (= SKIPSTMT_pre_50_40_7 SKIPSTMT_50_40_7) (= true_term (is SKIPSTMT_50_40_7 T_int)) (= elements_pre_111_61_38 elements_111_61_38) (= elements_111_61_38 (asField elements_111_61_38 ?v_4)) (< (fClosedTime elements_111_61_38) alloc) (forall ((?s_15_ Int)) (=> (not (= ?s_15_ null)) (not (= (S_select elements_111_61_38 ?s_15_) null)))) (= type_pre_157_20_28 type_157_20_28) (= type_157_20_28 (asField type_157_20_28 T_javafe_ast_Type)) (< (fClosedTime type_157_20_28) alloc) (forall ((?s_16_ Int)) (=> (not (= ?s_16_ null)) (not (= (S_select type_157_20_28 ?s_16_) null)))) (= COMPOUNDNAME_pre_50_67_7 COMPOUNDNAME_50_67_7) (= true_term (is COMPOUNDNAME_50_67_7 T_int)) (= SWITCHSTMT_pre_50_26_7 SWITCHSTMT_50_26_7) (= true_term (is SWITCHSTMT_50_26_7 T_int)) (= AND_pre_49_20_26 AND_49_20_26) (= true_term (is AND_49_20_26 T_int)) (= FLOATLIT_pre_48_42_26 FLOATLIT_48_42_26) (= true_term (is FLOATLIT_48_42_26 T_int)) (= interfaces_pre_535_23 interfaces_535_23) (= interfaces_535_23 (asField interfaces_535_23 ?v_3)) (< (fClosedTime interfaces_535_23) alloc) (= locOpenBracket_pre_161_21_13 locOpenBracket_161_21_13) (= locOpenBracket_161_21_13 (asField locOpenBracket_161_21_13 T_int)) (= ASGURSHIFT_pre_49_48_26 ASGURSHIFT_49_48_26) (= true_term (is ASGURSHIFT_49_48_26 T_int)) (= rawConstants_pre_502_21 rawConstants_502_21) (= rawConstants_502_21 (asField rawConstants_502_21 ?v_1)) (< (fClosedTime rawConstants_502_21) alloc) (= NULL_pre_20_60_26 NULL_20_60_26) (= true_term (is NULL_20_60_26 T_int)) (= CASTEXPR_pre_50_53_7 CASTEXPR_50_53_7) (= true_term (is CASTEXPR_50_53_7 T_int)) (= BOOLEANTYPE_pre_48_27_26 BOOLEANTYPE_48_27_26) (= true_term (is BOOLEANTYPE_48_27_26 T_int)) (= URSHIFT_pre_49_32_26 URSHIFT_49_32_26) (= true_term (is URSHIFT_49_32_26 T_int)) (= TYPEDECLELEMPRAGMA_pre_75_27_26 TYPEDECLELEMPRAGMA_75_27_26) (= true_term (is TYPEDECLELEMPRAGMA_75_27_26 T_int)) (= count_pre_99_67_33 count_99_67_33) (= count_99_67_33 (asField count_99_67_33 T_int)) (= FORSTMT_pre_50_39_7 FORSTMT_50_39_7) (= true_term (is FORSTMT_50_39_7 T_int)) (= locOpenParen_pre_128_23_13 locOpenParen_128_23_13) (= locOpenParen_128_23_13 (asField locOpenParen_128_23_13 T_int)) (= loc_pre_114_29_13 loc_114_29_13) (= loc_114_29_13 (asField loc_114_29_13 T_int)) (= id_pre_16_32_34 id_16_32_34) (= id_16_32_34 (asField id_16_32_34 T_javafe_ast_Identifier)) (< (fClosedTime id_16_32_34) alloc) (forall ((?s_17_ Int)) (=> (not (= ?s_17_ null)) (not (= (S_select id_16_32_34 ?s_17_) null)))) (= SIMPLENAME_pre_50_66_7 SIMPLENAME_50_66_7) (= true_term (is SIMPLENAME_50_66_7 T_int)) (= BLOCKSTMT_pre_50_25_7 BLOCKSTMT_50_25_7) (= true_term (is BLOCKSTMT_50_25_7 T_int)) (= OR_pre_49_19_26 OR_49_19_26) (= true_term (is OR_49_19_26 T_int)) (= CHARLIT_pre_48_41_26 CHARLIT_48_41_26) (= true_term (is CHARLIT_48_41_26 T_int)) (= ASGRSHIFT_pre_49_47_26 ASGRSHIFT_49_47_26) (= true_term (is ASGRSHIFT_49_47_26 T_int)) (= locId_pre_154_24_13 locId_154_24_13) (= locId_154_24_13 (asField locId_154_24_13 T_int)) (= enclosingInstance_pre_142_37_14 enclosingInstance_142_37_14) (= enclosingInstance_142_37_14 (asField enclosingInstance_142_37_14 T_javafe_ast_Expr)) (< (fClosedTime enclosingInstance_142_37_14) alloc) (= INSTANCEOFEXPR_pre_50_52_7 INSTANCEOFEXPR_50_52_7) (= true_term (is INSTANCEOFEXPR_50_52_7 T_int)) (= loc_pre_162_20_13 loc_162_20_13) (= loc_162_20_13 (asField loc_162_20_13 T_int)) (= loc_pre_130_18_13 loc_130_18_13) (= loc_130_18_13 (asField loc_130_18_13 T_int)) (= otherCodes_pre_75_202_27 otherCodes_75_202_27) (= true_term (is otherCodes_75_202_27 ?v_2)) (= true_term (isAllocated otherCodes_75_202_27 alloc)) (= IDENT_pre_48_25_26 IDENT_48_25_26) (= true_term (is IDENT_48_25_26 T_int)) (= RSHIFT_pre_49_31_26 RSHIFT_49_31_26) (= true_term (is RSHIFT_49_31_26 T_int)) (= STMTPRAGMA_pre_75_26_26 STMTPRAGMA_75_26_26) (= true_term (is STMTPRAGMA_75_26_26 T_int)) (= IFSTMT_pre_50_38_7 IFSTMT_50_38_7) (= true_term (is IFSTMT_50_38_7 T_int)) (= locId_pre_16_48_13 locId_16_48_13) (= locId_16_48_13 (asField locId_16_48_13 T_int)) (= locIds_pre_163_25_29 locIds_163_25_29) (= locIds_163_25_29 (asField locIds_163_25_29 ?v_2)) (< (fClosedTime locIds_163_25_29) alloc) (forall ((?s_18_ Int)) (=> (not (= ?s_18_ null)) (not (= (S_select locIds_163_25_29 ?s_18_) null)))) (= locOpenBrace_pre_31_36_13 locOpenBrace_31_36_13) (= locOpenBrace_31_36_13 (asField locOpenBrace_31_36_13 T_int)) (= ARRAYTYPE_pre_50_65_7 ARRAYTYPE_50_65_7) (= true_term (is ARRAYTYPE_50_65_7 T_int)) (= locDot_pre_115_21_13 locDot_115_21_13) (= locDot_115_21_13 (asField locDot_115_21_13 T_int)) (= elements_pre_34_61_37 elements_34_61_37) (= elements_34_61_37 (asField elements_34_61_37 ?v_3)) (< (fClosedTime elements_34_61_37) alloc) (forall ((?s_19_ Int)) (=> (not (= ?s_19_ null)) (not (= (S_select elements_34_61_37 ?s_19_) null)))) (= locCloseBrace_pre_66_25_13 locCloseBrace_66_25_13) (= locCloseBrace_66_25_13 (asField locCloseBrace_66_25_13 T_int)) (= count_pre_111_67_33 count_111_67_33) (= count_111_67_33 (asField count_111_67_33 T_int)) (= FORMALPARADECL_pre_50_24_7 FORMALPARADECL_50_24_7) (= true_term (is FORMALPARADECL_50_24_7 T_int)) (= loc_pre_123_18_13 loc_123_18_13) (= loc_123_18_13 (asField loc_123_18_13 T_int)) (= LONGLIT_pre_48_40_26 LONGLIT_48_40_26) (= true_term (is LONGLIT_48_40_26 T_int)) (= ASGLSHIFT_pre_49_46_26 ASGLSHIFT_49_46_26) (= true_term (is ASGLSHIFT_49_46_26 T_int)) (= loc_pre_150_21_13 loc_150_21_13) (= loc_150_21_13 (asField loc_150_21_13 T_int)) (= locOp_pre_71_43_13 locOp_71_43_13) (= locOp_71_43_13 (asField locOp_71_43_13 T_int)) (= CONDEXPR_pre_50_51_7 CONDEXPR_50_51_7) (= true_term (is CONDEXPR_50_51_7 T_int)) (= loc_pre_133_18_13 loc_133_18_13) (= loc_133_18_13 (asField loc_133_18_13 T_int)) (= body_pre_31_34_19 body_31_34_19) (= body_31_34_19 (asField body_31_34_19 T_javafe_ast_BlockStmt)) (< (fClosedTime body_31_34_19) alloc) (= elements_pre_33_61_41 elements_33_61_41) (= elements_33_61_41 (asField elements_33_61_41 (array T_javafe_ast_TypeDeclElem))) (< (fClosedTime elements_33_61_41) alloc) (forall ((?s_20_ Int)) (=> (not (= ?s_20_ null)) (not (= (S_select elements_33_61_41 ?s_20_) null)))) (= MODIFIERPRAGMA_pre_75_25_26 MODIFIERPRAGMA_75_25_26) (= true_term (is MODIFIERPRAGMA_75_25_26 T_int)) (= LSHIFT_pre_49_30_26 LSHIFT_49_30_26) (= true_term (is LSHIFT_49_30_26 T_int)) (= locCloseBrace_pre_144_24_13 locCloseBrace_144_24_13) (= locCloseBrace_144_24_13 (asField locCloseBrace_144_24_13 T_int)) (= LABELSTMT_pre_50_37_7 LABELSTMT_50_37_7) (= true_term (is LABELSTMT_50_37_7 T_int)) (= name_pre_43_18_28 name_43_18_28) (= name_43_18_28 (asField name_43_18_28 T_javafe_ast_Name)) (< (fClosedTime name_43_18_28) alloc) (forall ((?s_21_ Int)) (=> (not (= ?s_21_ null)) (not (= (S_select name_43_18_28 ?s_21_) null)))) (= return__pre_62_117_15 return__62_117_15) (= return__62_117_15 (asField return__62_117_15 T_javafe_ast_Type)) (< (fClosedTime return__62_117_15) alloc) (= locOpenBracket_pre_145_20_13 locOpenBracket_145_20_13) (= locOpenBracket_145_20_13 (asField locOpenBracket_145_20_13 T_int)) (= POSTFIXDEC_pre_49_63_26 POSTFIXDEC_49_63_26) (= true_term (is POSTFIXDEC_49_63_26 T_int)) (= loc_pre_136_22_13 loc_136_22_13) (= loc_136_22_13 (asField loc_136_22_13 T_int)) (= elementCount_pre_21_90_35 elementCount_21_90_35) (= elementCount_21_90_35 (asField elementCount_21_90_35 T_int)) (= raises_pre_31_32_35 raises_31_32_35) (= raises_31_32_35 (asField raises_31_32_35 T_javafe_ast_TypeNameVec)) (< (fClosedTime raises_31_32_35) alloc) (forall ((?s_22_ Int)) (=> (not (= ?s_22_ null)) (not (= (S_select raises_31_32_35 ?s_22_) null)))) (= TYPENAME_pre_50_64_7 TYPENAME_50_64_7) (= true_term (is TYPENAME_50_64_7 T_int)) (= FIELDDECL_pre_50_23_7 FIELDDECL_50_23_7) (= true_term (is FIELDDECL_50_23_7 T_int)) (= fields_pre_551_24 fields_551_24) (= fields_551_24 (asField fields_551_24 ?v_4)) (< (fClosedTime fields_551_24) alloc) (= loc_pre_143_22_13 loc_143_22_13) (= loc_143_22_13 (asField loc_143_22_13 T_int)) (= INTLIT_pre_48_39_26 INTLIT_48_39_26) (= true_term (is INTLIT_48_39_26 T_int)) (= ASGSUB_pre_49_45_26 ASGSUB_49_45_26) (= true_term (is ASGSUB_49_45_26 T_int)) (= loc_pre_147_49_13 loc_147_49_13) (= loc_147_49_13 (asField loc_147_49_13 T_int)) (= NEWARRAYEXPR_pre_50_50_7 NEWARRAYEXPR_50_50_7) (= true_term (is NEWARRAYEXPR_50_50_7 T_int)) (= locOpenParen_pre_156_28_13 locOpenParen_156_28_13) (= locOpenParen_156_28_13 (asField locOpenParen_156_28_13 T_int)) (= type_pre_147_24_28 type_147_24_28) (= type_147_24_28 (asField type_147_24_28 T_javafe_ast_Type)) (< (fClosedTime type_147_24_28) alloc) (forall ((?s_23_ Int)) (=> (not (= ?s_23_ null)) (not (= (S_select type_147_24_28 ?s_23_) null)))) (= LEXICALPRAGMA_pre_75_24_26 LEXICALPRAGMA_75_24_26) (= true_term (is LEXICALPRAGMA_75_24_26 T_int)) (= LT_pre_49_29_26 LT_49_29_26) (= true_term (is LT_49_29_26 T_int)) (= CONTINUESTMT_pre_50_36_7 CONTINUESTMT_50_36_7) (= true_term (is CONTINUESTMT_50_36_7 T_int)) (= CONSTANT_Class_pre_5__ CONSTANT_Class_5__) (= true_term (is CONSTANT_Class_5__ T_int)) (= tag_pre_57_32_13 tag_57_32_13) (= tag_57_32_13 (asField tag_57_32_13 T_int)) (= POSTFIXINC_pre_49_62_26 POSTFIXINC_49_62_26) (= true_term (is POSTFIXINC_49_62_26 T_int)) (= locDots_pre_163_31_29 locDots_163_31_29) (= locDots_163_31_29 (asField locDots_163_31_29 ?v_2)) (< (fClosedTime locDots_163_31_29) alloc) (forall ((?s_24_ Int)) (=> (not (= ?s_24_ null)) (not (= (S_select locDots_163_31_29 ?s_24_) null)))) (= ACC_INTERFACE_pre_5__ ACC_INTERFACE_5__) (= true_term (is ACC_INTERFACE_5__ T_int)) (= FIRST_KEYWORD_pre_75_51_26 FIRST_KEYWORD_75_51_26) (= true_term (is FIRST_KEYWORD_75_51_26 T_int)) (= SUPEROBJECTDESIGNATOR_pre_50_63_7 SUPEROBJECTDESIGNATOR_50_63_7) (= true_term (is SUPEROBJECTDESIGNATOR_50_63_7 T_int)) (= LOCALVARDECL_pre_50_22_7 LOCALVARDECL_50_22_7) (= true_term (is LOCALVARDECL_50_22_7 T_int)) (= count_pre_34_67_33 count_34_67_33) (= count_34_67_33 (asField count_34_67_33 T_int)) (= BOOLEANLIT_pre_48_38_26 BOOLEANLIT_48_38_26) (= true_term (is BOOLEANLIT_48_38_26 T_int)) (= locType_pre_63_21_13 locType_63_21_13) (= locType_63_21_13 (asField locType_63_21_13 T_int)) (= ASGADD_pre_49_44_26 ASGADD_49_44_26) (= true_term (is ASGADD_49_44_26 T_int)) (= elements_pre_148_61_33 elements_148_61_33) (= elements_148_61_33 (asField elements_148_61_33 (array T_javafe_ast_Expr))) (< (fClosedTime elements_148_61_33) alloc) (forall ((?s_25_ Int)) (=> (not (= ?s_25_ null)) (not (= (S_select elements_148_61_33 ?s_25_) null)))) (= modifiers_pre_16_28_13 modifiers_16_28_13) (= modifiers_16_28_13 (asField modifiers_16_28_13 T_int)) (= NEWINSTANCEEXPR_pre_50_49_7 NEWINSTANCEEXPR_50_49_7) (= true_term (is NEWINSTANCEEXPR_50_49_7 T_int)) (= locOpenBrackets_pre_147_65_29 locOpenBrackets_147_65_29) (= locOpenBrackets_147_65_29 (asField locOpenBrackets_147_65_29 ?v_2)) (< (fClosedTime locOpenBrackets_147_65_29) alloc) (forall ((?s_26_ Int)) (=> (not (= ?s_26_ null)) (not (= (S_select locOpenBrackets_147_65_29 ?s_26_) null)))) (= LE_pre_49_28_26 LE_49_28_26) (= true_term (is LE_49_28_26 T_int)) (= count_pre_33_67_33 count_33_67_33) (= count_33_67_33 (asField count_33_67_33 T_int)) (= locOpenParen_pre_142_48_13 locOpenParen_142_48_13) (= locOpenParen_142_48_13 (asField locOpenParen_142_48_13 T_int)) (= elemType_pre_161_18_28 elemType_161_18_28) (= elemType_161_18_28 (asField elemType_161_18_28 T_javafe_ast_Type)) (< (fClosedTime elemType_161_18_28) alloc) (forall ((?s_27_ Int)) (=> (not (= ?s_27_ null)) (not (= (S_select elemType_161_18_28 ?s_27_) null)))) (= BREAKSTMT_pre_50_35_7 BREAKSTMT_50_35_7) (= true_term (is BREAKSTMT_50_35_7 T_int)) (= specOnly_pre_16_26_17 specOnly_16_26_17) (= specOnly_16_26_17 (asField specOnly_16_26_17 T_boolean)) (= DEC_pre_49_59_26 DEC_49_59_26) (= true_term (is DEC_49_59_26 T_int)) (= elems_pre elems) (= elems (asElems elems)) (< (eClosedTime elems) alloc) (= LS (asLockSet LS)) (= alloc_pre alloc)) (not (and (= true_term (is this T_javafe_reader_ASTClassFileParser)) (= true_term (isAllocated this alloc)) (not (= this null)) (= true_term (is i_337_45 T_int)) (= true_term (is value_337_55 T_java_lang_Object)) (= true_term (isAllocated value_337_55 alloc)) (not (= value_337_55 null)) ?v_10 (forall ((?brokenObj Int)) (=> (and (= true_term (is ?brokenObj T_javafe_ast_ArrayInit)) (not (= ?brokenObj null))) (not (= (S_select locCloseBrace_144_24_13 ?brokenObj) NULL_20_60_26)))) (forall ((?brokenObj_1_ Int)) (=> (and (= true_term (is ?brokenObj_1_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_1_ null))) (= (typeof (S_select elements_111_61_38 ?brokenObj_1_)) ?v_4))) (forall ((?brokenObj_2_ Int)) (=> (and (= true_term (is ?brokenObj_2_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_2_ null))) (> (S_select length_69_50_25 ?brokenObj_2_) 1))) (forall ((?brokenObj_3_ Int)) (=> (and (= true_term (is ?brokenObj_3_ T_javafe_ast_ClassLiteral)) (not (= ?brokenObj_3_ null))) (not (= (S_select locDot_157_23_13 ?brokenObj_3_) NULL_20_60_26)))) (forall ((?brokenObj_4_ Int)) (=> (and (= true_term (is ?brokenObj_4_ T_javafe_ast_ConstructorInvocation)) (not (= ?brokenObj_4_ null))) (not (= (S_select locKeyword_142_45_13 ?brokenObj_4_) NULL_20_60_26)))) (forall ((?brokenObj_5_ Int)) (=> (and (= true_term (is ?brokenObj_5_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_5_ null))) (<= (S_select count_112_67_33 ?brokenObj_5_) (arrayLength (S_select elements_112_61_39 ?brokenObj_5_))))) (forall ((?brokenObj_6_ Int)) (=> (and (= true_term (is ?brokenObj_6_ T_javafe_ast_IfStmt)) (not (= ?brokenObj_6_ null))) (not (= (S_select loc_136_22_13 ?brokenObj_6_) NULL_20_60_26)))) (forall ((?brokenObj_7_ Int)) (=> (and (= true_term (is ?brokenObj_7_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_7_ null))) (not (= (S_select locOpenBrace_66_22_13 ?brokenObj_7_) NULL_20_60_26)))) (forall ((?brokenObj_8_ Int)) (=> (and (= true_term (is ?brokenObj_8_ T_javafe_ast_CondExpr)) (not (= ?brokenObj_8_ null))) (not (= (S_select locQuestion_149_22_13 ?brokenObj_8_) NULL_20_60_26)))) (= ?v_6 (- (+ 1 LAST_KEYWORD_75_103_26) FIRST_KEYWORD_75_51_26)) (forall ((?brokenObj_9_ Int)) (=> (and (= true_term (is ?brokenObj_9_ T_javafe_ast_VariableAccess)) (not (= ?brokenObj_9_ null))) (not (= (S_select loc_153_22_13 ?brokenObj_9_) NULL_20_60_26)))) (= (arrayLength otherCodes_75_202_27) ?v_8) (= (arrayLength punctuationCodes_75_164_19) ?v_7) (forall ((?brokenObj_10_ Int)) (=> (and (= true_term (is ?brokenObj_10_ T_javafe_ast_SynchronizeStmt)) (not (= ?brokenObj_10_ null))) (not (= (S_select loc_128_20_13 ?brokenObj_10_) NULL_20_60_26)))) (forall ((?brokenObj_11_ Int)) (=> (and (= true_term (is ?brokenObj_11_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_11_ null))) (<= 0 (S_select count_111_67_33 ?brokenObj_11_)))) (forall ((?brokenObj_12_ Int)) (=> (and (= true_term (is ?brokenObj_12_ T_javafe_tc_TypeSig)) (not (= ?brokenObj_12_ null))) (not (= true_term (S_select syntax_44_28_29 ?brokenObj_12_))))) (forall ((?brokenObj_13_ Int)) (=> (and (= true_term (is ?brokenObj_13_ T_javafe_ast_ArrayType)) (not (= ?brokenObj_13_ null))) (= (= true_term (S_select syntax_44_28_29 (S_select elemType_161_18_28 ?brokenObj_13_))) (= true_term (S_select syntax_44_28_29 ?brokenObj_13_))))) (forall ((?brokenObj_14_ Int)) (=> (and (= true_term (is ?brokenObj_14_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_14_ null))) (= (S_select owner_7_35_28 (S_select elements_148_61_33 ?brokenObj_14_)) ?brokenObj_14_))) (forall ((?brokenObj_15_ Int)) (=> (and (= true_term (is ?brokenObj_15_ T_javafe_ast_SwitchLabel)) (not (= ?brokenObj_15_ null))) (not (= (S_select loc_139_29_13 ?brokenObj_15_) NULL_20_60_26)))) (forall ((?brokenObj_16_ Int)) (=> (and (= true_term (is ?brokenObj_16_ T_javafe_ast_ImportDecl)) (not (= ?brokenObj_16_ null))) (not (= (S_select loc_119_18_13 ?brokenObj_16_) NULL_20_60_26)))) (forall ((?brokenObj_17_ Int)) (=> (and (= true_term (is ?brokenObj_17_ T_javafe_ast_SkipStmt)) (not (= ?brokenObj_17_ null))) (not (= (S_select loc_138_16_13 ?brokenObj_17_) NULL_20_60_26)))) (forall ((?brokenObj_18_ Int)) (let ((?v_170 (S_select tag_57_32_13 ?brokenObj_18_))) (=> (and (= true_term (is ?brokenObj_18_ T_javafe_ast_LiteralExpr)) (not (= ?brokenObj_18_ null))) (or (= ?v_170 BOOLEANLIT_48_38_26) (= ?v_170 INTLIT_48_39_26) (= ?v_170 LONGLIT_48_40_26) (= ?v_170 FLOATLIT_48_42_26) (= ?v_170 DOUBLELIT_48_43_26) (= ?v_170 STRINGLIT_48_44_26) (= ?v_170 NULLLIT_48_45_26) (= ?v_170 CHARLIT_48_41_26))))) (forall ((?brokenObj_19_ Int)) (=> (and (= true_term (is ?brokenObj_19_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_19_ null))) (= (S_select owner_7_35_28 (S_select elements_34_61_37 ?brokenObj_19_)) ?brokenObj_19_))) (forall ((?brokenObj_20_ Int)) (=> (and (= true_term (is ?brokenObj_20_ T_javafe_ast_BinaryExpr)) (not (= ?brokenObj_20_ null))) (not (= (S_select locOp_71_43_13 ?brokenObj_20_) NULL_20_60_26)))) (forall ((?brokenObj_21_ Int)) (=> (and (= true_term (is ?brokenObj_21_ T_javafe_ast_CatchClause)) (not (= ?brokenObj_21_ null))) (not (= (S_select loc_143_22_13 ?brokenObj_21_) NULL_20_60_26)))) (forall ((?brokenObj_22_ Int)) (=> (and (= true_term (is ?brokenObj_22_ T_javafe_ast_SwitchStmt)) (not (= ?brokenObj_22_ null))) (not (= (S_select loc_123_18_13 ?brokenObj_22_) NULL_20_60_26)))) (forall ((?brokenObj_23_ Int)) (=> (and (= true_term (is ?brokenObj_23_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_23_ null))) (<= (S_select count_148_67_33 ?brokenObj_23_) (arrayLength (S_select elements_148_61_33 ?brokenObj_23_))))) (forall ((?brokenObj_24_ Int)) (=> (and (= true_term (is ?brokenObj_24_ T_javafe_ast_MethodDecl)) (not (= ?brokenObj_24_ null))) (= true_term (S_select syntax_44_28_29 (S_select returnType_63_18_28 ?brokenObj_24_))))) (forall ((?brokenObj_25_ Int)) (=> (and (= true_term (is ?brokenObj_25_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_25_ null))) (not (= (S_select loc_31_40_13 ?brokenObj_25_) NULL_20_60_26)))) (forall ((?brokenObj_26_ Int)) (=> (and (= true_term (is ?brokenObj_26_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_26_ null))) (= (S_select owner_7_35_28 (S_select elements_92_61_39 ?brokenObj_26_)) ?brokenObj_26_))) (forall ((?brokenObj_27_ Int)) (=> (and (= true_term (is ?brokenObj_27_ T_javafe_reader_ASTClassFileParser)) (not (= ?brokenObj_27_ null))) (not (= (S_select fields_551_24 ?brokenObj_27_) null)))) (forall ((?brokenObj_28_ Int)) (=> (and (= true_term (is ?brokenObj_28_ T_javafe_ast_TypeDeclElemVec)) (not (= ?brokenObj_28_ null))) (forall ((?i_33_62_31 Int)) (=> (and (<= 0 ?i_33_62_31) (< ?i_33_62_31 (S_select count_33_67_33 ?brokenObj_28_))) (not (= (S_select (S_select elems (S_select elements_33_61_41 ?brokenObj_28_)) ?i_33_62_31) null)))))) (forall ((?brokenObj_29_ Int)) (=> (and (= true_term (is ?brokenObj_29_ T_javafe_ast_BranchStmt)) (not (= ?brokenObj_29_ null))) (not (= (S_select loc_133_18_13 ?brokenObj_29_) NULL_20_60_26)))) (= true_term (is ?v_5 T_javafe_parser_TagConstants)) (not (= ?v_5 null)) (forall ((?brokenObj_30_ Int)) (=> (and (= true_term (is ?brokenObj_30_ T_javafe_ast_ArrayType)) (not (= ?brokenObj_30_ null))) (not (= (S_select locOpenBracket_161_21_13 ?brokenObj_30_) NULL_20_60_26)))) (forall ((?brokenObj_31_ Int)) (=> (and (= true_term (is ?brokenObj_31_ T_javafe_ast_CastExpr)) (not (= ?brokenObj_31_ null))) (not (= (S_select locCloseParen_151_24_13 ?brokenObj_31_) NULL_20_60_26)))) (forall ((?brokenObj_32_ Int)) (=> (and (= true_term (is ?brokenObj_32_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_32_ null))) (<= (S_select count_34_67_33 ?brokenObj_32_) (arrayLength (S_select elements_34_61_37 ?brokenObj_32_))))) (forall ((?brokenObj_33_ Int)) (=> (and (= true_term (is ?brokenObj_33_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_33_ null))) (= true_term (S_select syntax_44_28_29 (S_select type_36_35_28 ?brokenObj_33_))))) (forall ((?brokenObj_34_ Int)) (=> (and (= true_term (is ?brokenObj_34_ T_javafe_ast_FieldAccess)) (not (= ?brokenObj_34_ null))) (not (= (S_select locId_154_24_13 ?brokenObj_34_) NULL_20_60_26)))) (forall ((?brokenObj_35_ Int)) (=> (and (= true_term (is ?brokenObj_35_ T_javafe_ast_WhileStmt)) (not (= ?brokenObj_35_ null))) (not (= (S_select loc_126_20_13 ?brokenObj_35_) NULL_20_60_26)))) (forall ((?brokenObj_36_ Int)) (=> (and (= true_term (is ?brokenObj_36_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_36_ null))) (>= (S_select count_148_67_33 (S_select dims_147_45_31 ?brokenObj_36_)) 1))) (forall ((?brokenObj_37_ Int)) (=> (and (= true_term (is ?brokenObj_37_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_37_ null))) (= (typeof (S_select elements_112_61_39 ?brokenObj_37_)) (array T_javafe_ast_MethodDecl)))) (forall ((?brokenObj_38_ Int)) (=> (and (= true_term (is ?brokenObj_38_ T_javafe_ast_SimpleName)) (not (= ?brokenObj_38_ null))) (not (= (S_select loc_162_20_13 ?brokenObj_38_) NULL_20_60_26)))) (forall ((?i_75_147_29 Int)) (=> (and (<= 0 ?i_75_147_29) (<= ?i_75_147_29 (arrayLength punctuationCodes_75_164_19))) (not (= (S_select (S_select elems punctuationCodes_75_164_19) ?i_75_147_29) NULL_75_82_26)))) (forall ((?brokenObj_39_ Int)) (=> (and (= true_term (is ?brokenObj_39_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_39_ null))) (<= (S_select count_92_67_33 ?brokenObj_39_) (arrayLength (S_select elements_92_61_39 ?brokenObj_39_))))) (forall ((?brokenObj_40_ Int)) (=> (and (= true_term (is ?brokenObj_40_ T_javafe_ast_MethodDecl)) (not (= ?brokenObj_40_ null))) (not (= (S_select locType_63_21_13 ?brokenObj_40_) NULL_20_60_26)))) (forall ((?brokenObj_41_ Int)) (=> (and (= true_term (is ?brokenObj_41_ T_javafe_ast_ParenExpr)) (not (= ?brokenObj_41_ null))) (not (= (S_select locCloseParen_152_21_13 ?brokenObj_41_) NULL_20_60_26)))) (forall ((?brokenObj_42_ Int)) (=> (and (= true_term (is ?brokenObj_42_ T_javafe_ast_ForStmt)) (not (= ?brokenObj_42_ null))) (not (= (S_select loc_137_33_13 ?brokenObj_42_) NULL_20_60_26)))) (forall ((?brokenObj_43_ Int)) (=> (and (= true_term (is ?brokenObj_43_ T_javafe_ast_NewInstanceExpr)) (not (= ?brokenObj_43_ null))) (= (= (S_select enclosingInstance_146_25_14 ?brokenObj_43_) null) (= (S_select locDot_146_29_13 ?brokenObj_43_) NULL_20_60_26)))) (forall ((?brokenObj_44_ Int)) (=> (and (= true_term (is ?brokenObj_44_ T_javafe_ast_ArrayRefExpr)) (not (= ?brokenObj_44_ null))) (not (= (S_select locCloseBracket_145_23_13 ?brokenObj_44_) NULL_20_60_26)))) (forall ((?brokenObj_45_ Int)) (=> (and (= true_term (is ?brokenObj_45_ T_javafe_ast_ReturnStmt)) (not (= ?brokenObj_45_ null))) (not (= (S_select loc_130_18_13 ?brokenObj_45_) NULL_20_60_26)))) (forall ((?brokenObj_46_ Int)) (=> (and (= true_term (is ?brokenObj_46_ T_javafe_ast_NewInstanceExpr)) (not (= ?brokenObj_46_ null))) (not (= (S_select locOpenParen_146_52_13 ?brokenObj_46_) NULL_20_60_26)))) (forall ((?brokenObj_47_ Int)) (=> (and (= true_term (is ?brokenObj_47_ T_javafe_ast_MethodInvocation)) (not (= ?brokenObj_47_ null))) (not (= (S_select locOpenParen_156_28_13 ?brokenObj_47_) NULL_20_60_26)))) (forall ((?brokenObj_48_ Int)) (=> (and (= true_term (is ?brokenObj_48_ T_javafe_ast_LiteralExpr)) (not (= ?brokenObj_48_ null))) (not (= (S_select loc_57_50_13 ?brokenObj_48_) NULL_20_60_26)))) (forall ((?brokenObj_49_ Int)) (let ((?v_171 (S_select op_71_35_13 ?brokenObj_49_))) (=> (and (= true_term (is ?brokenObj_49_ T_javafe_ast_BinaryExpr)) (not (= ?brokenObj_49_ null))) (or (= ?v_171 OR_49_19_26) (= ?v_171 AND_49_20_26) (= ?v_171 BITOR_49_21_26) (= ?v_171 BITXOR_49_22_26) (= ?v_171 BITAND_49_23_26) (= ?v_171 NE_49_24_26) (= ?v_171 EQ_49_25_26) (= ?v_171 GE_49_26_26) (= ?v_171 GT_49_27_26) (= ?v_171 LE_49_28_26) (= ?v_171 LT_49_29_26) (= ?v_171 LSHIFT_49_30_26) (= ?v_171 RSHIFT_49_31_26) (= ?v_171 URSHIFT_49_32_26) (= ?v_171 ADD_49_33_26) (= ?v_171 SUB_49_34_26) (= ?v_171 DIV_49_35_26) (= ?v_171 MOD_49_36_26) (= ?v_171 STAR_49_37_26) (= ?v_171 ASSIGN_49_40_26) (= ?v_171 ASGMUL_49_41_26) (= ?v_171 ASGDIV_49_42_26) (= ?v_171 ASGREM_49_43_26) (= ?v_171 ASGADD_49_44_26) (= ?v_171 ASGSUB_49_45_26) (= ?v_171 ASGLSHIFT_49_46_26) (= ?v_171 ASGRSHIFT_49_47_26) (= ?v_171 ASGURSHIFT_49_48_26) (= ?v_171 ASGBITAND_49_49_26))))) (forall ((?brokenObj_50_ Int)) (=> (and (= true_term (is ?brokenObj_50_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_50_ null))) (<= 0 (S_select count_112_67_33 ?brokenObj_50_)))) (forall ((?brokenObj_51_ Int)) (=> (and (= true_term (is ?brokenObj_51_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_51_ null))) (= (S_select count_92_67_33 (S_select ids_163_19_37 ?brokenObj_51_)) (S_select length_69_50_25 ?brokenObj_51_)))) (forall ((?brokenObj_52_ Int)) (=> (and (= true_term (is ?brokenObj_52_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_52_ null))) (forall ((?i_163_23_29 Int)) (let ((?v_172 (S_select locIds_163_25_29 ?brokenObj_52_))) (=> (and (<= 0 ?i_163_23_29) (< ?i_163_23_29 (arrayLength ?v_172))) (not (= (S_select (S_select elems ?v_172) ?i_163_23_29) NULL_20_60_26))))))) (forall ((?brokenObj_53_ Int)) (let ((?v_173 (S_select tag_73_30_13 ?brokenObj_53_))) (=> (and (= true_term (is ?brokenObj_53_ T_javafe_ast_PrimitiveType)) (not (= ?brokenObj_53_ null))) (or (= ?v_173 BOOLEANTYPE_48_27_26) (= ?v_173 INTTYPE_48_28_26) (= ?v_173 LONGTYPE_48_29_26) (= ?v_173 CHARTYPE_48_30_26) (= ?v_173 FLOATTYPE_48_31_26) (= ?v_173 DOUBLETYPE_48_32_26) (= ?v_173 VOIDTYPE_48_33_26) (= ?v_173 NULLTYPE_48_34_26) (= ?v_173 BYTETYPE_48_35_26) (= ?v_173 SHORTTYPE_48_36_26))))) (forall ((?brokenObj_54_ Int)) (=> (and (= true_term (is ?brokenObj_54_ T_javafe_ast_CastExpr)) (not (= ?brokenObj_54_ null))) (= true_term (S_select syntax_44_28_29 (S_select type_151_18_28 ?brokenObj_54_))))) (forall ((?brokenObj_55_ Int)) (=> (and (= true_term (is ?brokenObj_55_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_55_ null))) (forall ((?i_111_62_31 Int)) (=> (and (<= 0 ?i_111_62_31) (< ?i_111_62_31 (S_select count_111_67_33 ?brokenObj_55_))) (not (= (S_select (S_select elems (S_select elements_111_61_38 ?brokenObj_55_)) ?i_111_62_31) null)))))) (forall ((?brokenObj_56_ Int)) (=> (and (= true_term (is ?brokenObj_56_ T_javafe_ast_SynchronizeStmt)) (not (= ?brokenObj_56_ null))) (not (= (S_select locOpenParen_128_23_13 ?brokenObj_56_) NULL_20_60_26)))) (forall ((?brokenObj_57_ Int)) (=> (and (= true_term (is ?brokenObj_57_ T_javafe_ast_Name)) (not (= ?brokenObj_57_ null))) (>= (S_select length_69_50_25 ?brokenObj_57_) 1))) (= true_term (nonnullelements punctuationStrings_75_134_22 elems)) (forall ((?brokenObj_58_ Int)) (=> (and (= true_term (is ?brokenObj_58_ T_javafe_ast_ArrayInit)) (not (= ?brokenObj_58_ null))) (not (= (S_select locOpenBrace_144_21_13 ?brokenObj_58_) NULL_20_60_26)))) (forall ((?brokenObj_59_ Int)) (let ((?v_174 (S_select op_72_26_13 ?brokenObj_59_))) (=> (and (= true_term (is ?brokenObj_59_ T_javafe_ast_UnaryExpr)) (not (= ?brokenObj_59_ null))) (or (= ?v_174 UNARYADD_49_54_26) (= ?v_174 UNARYSUB_49_55_26) (= ?v_174 NOT_49_56_26) (= ?v_174 BITNOT_49_57_26) (= ?v_174 INC_49_58_26) (= ?v_174 DEC_49_59_26) (= ?v_174 POSTFIXINC_49_62_26) (= ?v_174 POSTFIXDEC_49_63_26))))) (forall ((?brokenObj_60_ Int)) (=> (and (= true_term (is ?brokenObj_60_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_60_ null))) (not (= (S_select loc_16_45_13 ?brokenObj_60_) NULL_20_60_26)))) (forall ((?brokenObj_61_ Int)) (=> (and (= true_term (is ?brokenObj_61_ T_javafe_ast_TypeName)) (not (= ?brokenObj_61_ null))) (= true_term (S_select syntax_44_28_29 ?brokenObj_61_)))) (forall ((?brokenObj_62_ Int)) (=> (and (= true_term (is ?brokenObj_62_ T_javafe_ast_TypeDeclElemVec)) (not (= ?brokenObj_62_ null))) (= (S_select owner_7_35_28 (S_select elements_33_61_41 ?brokenObj_62_)) ?brokenObj_62_))) (forall ((?brokenObj_63_ Int)) (=> (and (= true_term (is ?brokenObj_63_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_63_ null))) (= (typeof (S_select elements_148_61_33 ?brokenObj_63_)) (array T_javafe_ast_Expr)))) (forall ((?brokenObj_64_ Int)) (=> (and (= true_term (is ?brokenObj_64_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_64_ null))) (not (= (S_select locOpenBrace_16_51_13 ?brokenObj_64_) NULL_20_60_26)))) (forall ((?brokenObj_65_ Int)) (=> (and (= true_term (is ?brokenObj_65_ T_javafe_ast_ConstructorInvocation)) (not (= ?brokenObj_65_ null)) (not (= (S_select enclosingInstance_142_37_14 ?brokenObj_65_) null)) (= true_term (S_select superCall_142_24_17 ?brokenObj_65_))) (not (= (S_select locDot_142_41_13 ?brokenObj_65_) NULL_20_60_26)))) (forall ((?brokenObj_66_ Int)) (=> (and (= true_term (is ?brokenObj_66_ T_javafe_ast_ThisExpr)) (not (= ?brokenObj_66_ null))) (not (= (S_select loc_114_29_13 ?brokenObj_66_) NULL_20_60_26)))) (forall ((?brokenObj_67_ Int)) (=> (and (= true_term (is ?brokenObj_67_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_67_ null))) (= (typeof (S_select elements_34_61_37 ?brokenObj_67_)) ?v_3))) (forall ((?brokenObj_68_ Int)) (=> (and (= true_term (is ?brokenObj_68_ T_javafe_ast_TryFinallyStmt)) (not (= ?brokenObj_68_ null))) (not (= (S_select loc_140_22_13 ?brokenObj_68_) NULL_20_60_26)))) (forall ((?brokenObj_69_ Int)) (=> (and (= true_term (is ?brokenObj_69_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_69_ null))) (= (arrayLength (S_select locIds_163_25_29 ?brokenObj_69_)) (S_select length_69_50_25 ?brokenObj_69_)))) (forall ((?brokenObj_70_ Int)) (=> (and (= true_term (is ?brokenObj_70_ T_javafe_ast_CondExpr)) (not (= ?brokenObj_70_ null))) (not (= (S_select locColon_149_25_13 ?brokenObj_70_) NULL_20_60_26)))) (forall ((?brokenObj_71_ Int)) (=> (and (= true_term (is ?brokenObj_71_ T_javafe_ast_TypeDeclElemVec)) (not (= ?brokenObj_71_ null))) (<= (S_select count_33_67_33 ?brokenObj_71_) (arrayLength (S_select elements_33_61_41 ?brokenObj_71_))))) (forall ((?brokenObj_72_ Int)) (=> (and (= true_term (is ?brokenObj_72_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_72_ null))) (= (typeof (S_select elements_92_61_39 ?brokenObj_72_)) (array T_javafe_ast_Identifier)))) (forall ((?brokenObj_73_ Int)) (=> (and (= true_term (is ?brokenObj_73_ T_javafe_ast_ConstructorInvocation)) (not (= ?brokenObj_73_ null))) (not (= (S_select locOpenParen_142_48_13 ?brokenObj_73_) NULL_20_60_26)))) (forall ((?brokenObj_74_ Int)) (=> (and (= true_term (is ?brokenObj_74_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_74_ null))) (<= 0 (S_select count_148_67_33 ?brokenObj_74_)))) (forall ((?brokenObj_75_ Int)) (=> (and (= true_term (is ?brokenObj_75_ T_javafe_ast_WhileStmt)) (not (= ?brokenObj_75_ null))) (not (= (S_select locGuardOpenParen_126_23_13 ?brokenObj_75_) NULL_20_60_26)))) (= true_term (nonnullelements otherStrings_75_193_30 elems)) (forall ((?brokenObj_76_ Int)) (=> (and (= true_term (is ?brokenObj_76_ T_javafe_ast_GenericBlockStmt)) (not (= ?brokenObj_76_ null))) (not (= (S_select locCloseBrace_66_25_13 ?brokenObj_76_) NULL_20_60_26)))) (forall ((?brokenObj_77_ Int)) (=> (and (= true_term (is ?brokenObj_77_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_77_ null)) (not (= (S_select body_31_34_19 ?brokenObj_77_) null))) (not (= (S_select locOpenBrace_31_36_13 ?brokenObj_77_) NULL_20_60_26)))) (forall ((?brokenObj_78_ Int)) (=> (and (= true_term (is ?brokenObj_78_ T_javafe_ast_InstanceOfExpr)) (not (= ?brokenObj_78_ null))) (= true_term (S_select syntax_44_28_29 (S_select type_150_18_28 ?brokenObj_78_))))) (forall ((?brokenObj_79_ Int)) (=> (and (= true_term (is ?brokenObj_79_ T_javafe_ast_GenericVarDecl)) (not (= ?brokenObj_79_ null))) (not (= (S_select locId_36_38_13 ?brokenObj_79_) NULL_20_60_26)))) (forall ((?i_75_149_29 Int)) (let ((?v_175 (S_select (S_select elems punctuationCodes_75_164_19) ?i_75_149_29))) (=> (and (<= 0 ?i_75_149_29) (<= ?i_75_149_29 (arrayLength punctuationCodes_75_164_19))) (and (not (= ?v_175 IDENT_48_25_26)) (not (= ?v_175 BOOLEANLIT_48_38_26)) (not (= ?v_175 INTLIT_48_39_26)) (not (= ?v_175 LONGLIT_48_40_26)) (not (= ?v_175 FLOATLIT_48_42_26)) (not (= ?v_175 DOUBLELIT_48_43_26)) (not (= ?v_175 STRINGLIT_48_44_26)) (not (= ?v_175 CHARLIT_48_41_26)) (not (= ?v_175 LEXICALPRAGMA_75_24_26)) (not (= ?v_175 MODIFIERPRAGMA_75_25_26)) (not (= ?v_175 STMTPRAGMA_75_26_26)) (not (= ?v_175 TYPEDECLELEMPRAGMA_75_27_26)) (not (= ?v_175 TYPEMODIFIERPRAGMA_75_28_26)))))) (forall ((?brokenObj_80_ Int)) (=> (and (= true_term (is ?brokenObj_80_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_80_ null))) (not (= (S_select loc_147_49_13 ?brokenObj_80_) NULL_20_60_26)))) (forall ((?brokenObj_81_ Int)) (=> (and (= true_term (is ?brokenObj_81_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_81_ null))) (<= 0 (S_select count_34_67_33 ?brokenObj_81_)))) (forall ((?brokenObj_82_ Int)) (=> (and (= true_term (is ?brokenObj_82_ T_javafe_reader_ASTClassFileParser)) (not (= ?brokenObj_82_ null))) (not (= (S_select classLocation_54_15 ?brokenObj_82_) NULL_20_60_26)))) (forall ((?brokenObj_83_ Int)) (=> (and (= true_term (is ?brokenObj_83_ T_javafe_ast_ObjectDesignator)) (not (= ?brokenObj_83_ null))) (not (= (S_select locDot_115_21_13 ?brokenObj_83_) NULL_20_60_26)))) (forall ((?brokenObj_84_ Int)) (=> (and (= true_term (is ?brokenObj_84_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_84_ null))) (<= 0 (S_select count_92_67_33 ?brokenObj_84_)))) (forall ((?brokenObj_85_ Int)) (=> (and (= true_term (is ?brokenObj_85_ T_javafe_ast_TryCatchStmt)) (not (= ?brokenObj_85_ null))) (not (= (S_select loc_141_23_13 ?brokenObj_85_) NULL_20_60_26)))) (forall ((?brokenObj_86_ Int)) (=> (and (= true_term (is ?brokenObj_86_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_86_ null))) (= (S_select owner_7_35_28 (S_select elements_111_61_38 ?brokenObj_86_)) ?brokenObj_86_))) (forall ((?brokenObj_87_ Int)) (=> (and (= true_term (is ?brokenObj_87_ T_javafe_ast_UnaryExpr)) (not (= ?brokenObj_87_ null))) (not (= (S_select locOp_72_32_13 ?brokenObj_87_) NULL_20_60_26)))) (forall ((?brokenObj_88_ Int)) (=> (and (= true_term (is ?brokenObj_88_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_88_ null))) (forall ((?i_163_29_29 Int)) (let ((?v_176 (S_select locDots_163_31_29 ?brokenObj_88_))) (=> (and (<= 0 ?i_163_29_29) (< ?i_163_29_29 (arrayLength ?v_176))) (not (= (S_select (S_select elems ?v_176) ?i_163_29_29) NULL_20_60_26))))))) (forall ((?brokenObj_89_ Int)) (=> (and (= true_term (is ?brokenObj_89_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_89_ null))) (forall ((?i_112_62_31 Int)) (=> (and (<= 0 ?i_112_62_31) (< ?i_112_62_31 (S_select count_112_67_33 ?brokenObj_89_))) (not (= (S_select (S_select elems (S_select elements_112_61_39 ?brokenObj_89_)) ?i_112_62_31) null)))))) (forall ((?brokenObj_90_ Int)) (=> (and (= true_term (is ?brokenObj_90_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_90_ null))) (= (arrayLength (S_select locDots_163_31_29 ?brokenObj_90_)) (- (S_select length_69_50_25 ?brokenObj_90_) 1)))) (forall ((?brokenObj_91_ Int)) (=> (and (= true_term (is ?brokenObj_91_ T_javafe_ast_AmbiguousMethodInvocation)) (not (= ?brokenObj_91_ null))) (not (= (S_select locOpenParen_155_30_13 ?brokenObj_91_) NULL_20_60_26)))) (forall ((?brokenObj_92_ Int)) (=> (and (= true_term (is ?brokenObj_92_ T_javafe_ast_CompoundName)) (not (= ?brokenObj_92_ null))) (not (= (S_select ids_163_19_37 ?brokenObj_92_) null)))) (= true_term (nonnullelements keywordStrings_75_181_30 elems)) (forall ((?brokenObj_93_ Int)) (=> (and (= true_term (is ?brokenObj_93_ T_javafe_ast_CastExpr)) (not (= ?brokenObj_93_ null))) (not (= (S_select locOpenParen_151_21_13 ?brokenObj_93_) NULL_20_60_26)))) (forall ((?brokenObj_94_ Int)) (=> (and (= true_term (is ?brokenObj_94_ T_javafe_tc_FieldDeclVec)) (not (= ?brokenObj_94_ null))) (<= (S_select count_111_67_33 ?brokenObj_94_) (arrayLength (S_select elements_111_61_38 ?brokenObj_94_))))) (forall ((?brokenObj_95_ Int)) (=> (and (= true_term (is ?brokenObj_95_ T_javafe_ast_SuperObjectDesignator)) (not (= ?brokenObj_95_ null))) (not (= (S_select locSuper_160_20_13 ?brokenObj_95_) NULL_20_60_26)))) (forall ((?brokenObj_96_ Int)) (=> (and (= true_term (is ?brokenObj_96_ T_javafe_ast_LabelStmt)) (not (= ?brokenObj_96_ null))) (not (= (S_select locId_135_20_13 ?brokenObj_96_) NULL_20_60_26)))) (forall ((?brokenObj_97_ Int)) (=> (and (= true_term (is ?brokenObj_97_ T_javafe_ast_RoutineDecl)) (not (= ?brokenObj_97_ null))) (not (= (S_select locId_31_43_13 ?brokenObj_97_) NULL_20_60_26)))) (forall ((?brokenObj_98_ Int)) (=> (and (= true_term (is ?brokenObj_98_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_98_ null))) (>= (arrayLength (S_select locOpenBrackets_147_65_29 ?brokenObj_98_)) (S_select count_148_67_33 (S_select dims_147_45_31 ?brokenObj_98_))))) (forall ((?brokenObj_99_ Int)) (=> (and (= true_term (is ?brokenObj_99_ T_javafe_ast_NewInstanceExpr)) (not (= ?brokenObj_99_ null))) (not (= (S_select loc_146_49_13 ?brokenObj_99_) NULL_20_60_26)))) (forall ((?brokenObj_100_ Int)) (=> (and (= true_term (is ?brokenObj_100_ T_javafe_ast_MethodInvocation)) (not (= ?brokenObj_100_ null))) (not (= (S_select locId_156_25_13 ?brokenObj_100_) NULL_20_60_26)))) (forall ((?brokenObj_101_ Int)) (=> (and (= true_term (is ?brokenObj_101_ T_javafe_reader_ASTClassFileParser)) (not (= ?brokenObj_101_ null))) (= (typeof (S_select fields_551_24 ?brokenObj_101_)) ?v_4))) (forall ((?brokenObj_102_ Int)) (=> (and (= true_term (is ?brokenObj_102_ T_javafe_ast_TypeDeclElemVec)) (not (= ?brokenObj_102_ null))) (= (typeof (S_select elements_33_61_41 ?brokenObj_102_)) (array T_javafe_ast_TypeDeclElem)))) (forall ((?brokenObj_103_ Int)) (=> (and (= true_term (is ?brokenObj_103_ T_javafe_ast_ForStmt)) (not (= ?brokenObj_103_ null))) (not (= (S_select locFirstSemi_137_36_13 ?brokenObj_103_) NULL_20_60_26)))) (forall ((?brokenObj_104_ Int)) (let ((?v_177 (S_select tokenType_37_90_8 ?brokenObj_104_))) (=> (and (= true_term (is ?brokenObj_104_ T_javafe_ast_Identifier)) (not (= ?brokenObj_104_ null))) (and (not (= ?v_177 BOOLEANLIT_48_38_26)) (not (= ?v_177 INTLIT_48_39_26)) (not (= ?v_177 LONGLIT_48_40_26)) (not (= ?v_177 FLOATLIT_48_42_26)) (not (= ?v_177 DOUBLELIT_48_43_26)) (not (= ?v_177 STRINGLIT_48_44_26)) (not (= ?v_177 CHARLIT_48_41_26)) (not (= ?v_177 LEXICALPRAGMA_75_24_26)) (not (= ?v_177 MODIFIERPRAGMA_75_25_26)) (not (= ?v_177 STMTPRAGMA_75_26_26)) (not (= ?v_177 TYPEDECLELEMPRAGMA_75_27_26)) (not (= ?v_177 TYPEMODIFIERPRAGMA_75_28_26)))))) (forall ((?brokenObj_105_ Int)) (let ((?v_179 (S_select tag_57_32_13 ?brokenObj_105_)) (?v_178 (S_select value_57_45_16 ?brokenObj_105_))) (let ((?v_180 (= ?v_178 null))) (let ((?v_181 (not ?v_180))) (let ((?v_182 (and (= true_term (is ?v_178 T_java_lang_Integer)) ?v_181))) (=> (and (= true_term (is ?brokenObj_105_ T_javafe_ast_LiteralExpr)) (not (= ?brokenObj_105_ null))) (and (=> (= ?v_179 BOOLEANLIT_48_38_26) (and (= true_term (is ?v_178 T_java_lang_Boolean)) ?v_181)) (=> (= ?v_179 NULLLIT_48_45_26) ?v_180) (=> (= ?v_179 INTLIT_48_39_26) ?v_182) (=> (= ?v_179 LONGLIT_48_40_26) (and (= true_term (is ?v_178 T_java_lang_Long)) ?v_181)) (=> (= ?v_179 FLOATLIT_48_42_26) (and (= true_term (is ?v_178 T_java_lang_Float)) ?v_181)) (=> (= ?v_179 DOUBLELIT_48_43_26) (and (= true_term (is ?v_178 T_java_lang_Double)) ?v_181)) (=> (= ?v_179 STRINGLIT_48_44_26) (and (= true_term (is ?v_178 T_java_lang_String)) ?v_181)) (=> (= ?v_179 CHARLIT_48_41_26) ?v_182)))))))) (forall ((?brokenObj_106_ Int)) (=> (and (= true_term (is ?brokenObj_106_ T_javafe_ast_ThrowStmt)) (not (= ?brokenObj_106_ null))) (not (= (S_select loc_131_18_13 ?brokenObj_106_) NULL_20_60_26)))) (forall ((?brokenObj_107_ Int)) (=> (and (= true_term (is ?brokenObj_107_ T_javafe_ast_ArrayRefExpr)) (not (= ?brokenObj_107_ null))) (not (= (S_select locOpenBracket_145_20_13 ?brokenObj_107_) NULL_20_60_26)))) (forall ((?brokenObj_108_ Int)) (=> (and (= true_term (is ?brokenObj_108_ T_javafe_ast_DoStmt)) (not (= ?brokenObj_108_ null))) (not (= (S_select loc_127_20_13 ?brokenObj_108_) NULL_20_60_26)))) (forall ((?brokenObj_109_ Int)) (=> (and (= true_term (is ?brokenObj_109_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_109_ null))) (= true_term (S_select syntax_44_28_29 (S_select type_147_24_28 ?brokenObj_109_))))) (forall ((?brokenObj_110_ Int)) (=> (and (= true_term (is ?brokenObj_110_ T_javafe_ast_ClassLiteral)) (not (= ?brokenObj_110_ null))) (= true_term (S_select syntax_44_28_29 (S_select type_157_20_28 ?brokenObj_110_))))) (forall ((?brokenObj_111_ Int)) (=> (and (= true_term (is ?brokenObj_111_ T_javafe_ast_ExprVec)) (not (= ?brokenObj_111_ null))) (forall ((?i_148_62_31 Int)) (=> (and (<= 0 ?i_148_62_31) (< ?i_148_62_31 (S_select count_148_67_33 ?brokenObj_111_))) (not (= (S_select (S_select elems (S_select elements_148_61_33 ?brokenObj_111_)) ?i_148_62_31) null)))))) (forall ((?brokenObj_112_ Int)) (=> (and (= true_term (is ?brokenObj_112_ T_javafe_ast_CompilationUnit)) (not (= ?brokenObj_112_ null))) (not (= (S_select loc_102_30_13 ?brokenObj_112_) NULL_20_60_26)))) (forall ((?brokenObj_113_ Int)) (=> (and (= true_term (is ?brokenObj_113_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_113_ null)) (not (= (S_select init_147_35_19 ?brokenObj_113_) null))) (= (S_select count_148_67_33 (S_select dims_147_45_31 ?brokenObj_113_)) 1))) (forall ((?brokenObj_114_ Int)) (=> (and (= true_term (is ?brokenObj_114_ T_javafe_ast_TypeDeclElemVec)) (not (= ?brokenObj_114_ null))) (<= 0 (S_select count_33_67_33 ?brokenObj_114_)))) (forall ((?brokenObj_115_ Int)) (=> (and (= true_term (is ?brokenObj_115_ T_javafe_ast_SimpleName)) (not (= ?brokenObj_115_ null))) (= (S_select length_69_50_25 ?brokenObj_115_) 1))) (= noTokens_75_212_27 (+ (+ ?v_6 ?v_7) ?v_8)) (forall ((?brokenObj_116_ Int)) (=> (and (= true_term (is ?brokenObj_116_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_116_ null))) (not (= (S_select locId_16_48_13 ?brokenObj_116_) NULL_20_60_26)))) (forall ((?brokenObj_117_ Int)) (=> (and (= true_term (is ?brokenObj_117_ T_javafe_ast_PrimitiveType)) (not (= ?brokenObj_117_ null)) (= true_term (S_select syntax_44_28_29 ?brokenObj_117_))) (not (= (S_select loc_73_35_13 ?brokenObj_117_) NULL_20_60_26)))) (forall ((?brokenObj_118_ Int)) (=> (and (= true_term (is ?brokenObj_118_ T_javafe_ast_InstanceOfExpr)) (not (= ?brokenObj_118_ null))) (not (= (S_select loc_150_21_13 ?brokenObj_118_) NULL_20_60_26)))) (forall ((?brokenObj_119_ Int)) (=> (and (= true_term (is ?brokenObj_119_ T_javafe_tc_MethodDeclVec)) (not (= ?brokenObj_119_ null))) (= (S_select owner_7_35_28 (S_select elements_112_61_39 ?brokenObj_119_)) ?brokenObj_119_))) (forall ((?brokenObj_120_ Int)) (=> (and (= true_term (is ?brokenObj_120_ T_javafe_ast_TypeNameVec)) (not (= ?brokenObj_120_ null))) (forall ((?i_34_62_31 Int)) (=> (and (<= 0 ?i_34_62_31) (< ?i_34_62_31 (S_select count_34_67_33 ?brokenObj_120_))) (not (= (S_select (S_select elems (S_select elements_34_61_37 ?brokenObj_120_)) ?i_34_62_31) null)))))) (forall ((?brokenObj_121_ Int)) (=> (and (= true_term (is ?brokenObj_121_ T_javafe_ast_TryFinallyStmt)) (not (= ?brokenObj_121_ null))) (not (= (S_select locFinally_140_25_13 ?brokenObj_121_) NULL_20_60_26)))) (forall ((?brokenObj_122_ Int)) (=> (and (= true_term (is ?brokenObj_122_ T_javafe_ast_ParenExpr)) (not (= ?brokenObj_122_ null))) (not (= (S_select locOpenParen_152_18_13 ?brokenObj_122_) NULL_20_60_26)))) (forall ((?brokenObj_123_ Int)) (=> (and (= true_term (is ?brokenObj_123_ T_javafe_ast_IdentifierVec)) (not (= ?brokenObj_123_ null))) (forall ((?i_92_62_31 Int)) (=> (and (<= 0 ?i_92_62_31) (< ?i_92_62_31 (S_select count_92_67_33 ?brokenObj_123_))) (not (= (S_select (S_select elems (S_select elements_92_61_39 ?brokenObj_123_)) ?i_92_62_31) null)))))) (forall ((?brokenObj_124_ Int)) (=> (and (= true_term (is ?brokenObj_124_ T_javafe_ast_TypeDecl)) (not (= ?brokenObj_124_ null))) (not (= (S_select locCloseBrace_16_54_13 ?brokenObj_124_) NULL_20_60_26)))) (forall ((?brokenObj_125_ Int)) (=> (and (= true_term (is ?brokenObj_125_ T_javafe_ast_NewArrayExpr)) (not (= ?brokenObj_125_ null))) (forall ((?i_147_63_29 Int)) (=> (and (<= 0 ?i_147_63_29) (< ?i_147_63_29 (S_select count_148_67_33 (S_select dims_147_45_31 ?brokenObj_125_)))) (not (= (S_select (S_select elems (S_select locOpenBrackets_147_65_29 ?brokenObj_125_)) ?i_147_63_29) NULL_20_60_26)))))) (or (not ?v_9) (and ?v_9 (or (not ?v_10) (and ?v_10 ?v_45 ?v_46 ?v_12 (or ?v_33 (and ?v_12 ?v_47 ?v_48 ?v_13 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_64 ?v_65 ?v_66 ?v_67 ?v_68 ?v_69 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 ?v_118 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_126 ?v_127 ?v_128 ?v_129 ?v_130 ?v_131 ?v_132 ?v_133 ?v_134 ?v_135 ?v_136 ?v_137 ?v_138 ?v_139 ?v_140 ?v_141 ?v_142 ?v_143 ?v_144 ?v_145 ?v_146 ?v_147 ?v_148 ?v_149 ?v_150 ?v_151 ?v_152 ?v_153 ?v_154 ?v_155 ?v_156 ?v_157 ?v_158 ?v_159 ?v_160 ?v_161 ?v_162 ?v_163 ?v_164 ?v_165 ?v_32 (or ?v_33 (and ?v_12 ?v_166 (or (not (or ?v_35 ?v_38 ?v_40 ?v_41 ?v_42 ?v_34 ?v_36 ?v_43)) (not (and (=> ?v_35 (and (= true_term (is literal_346_11_5_ T_java_lang_Boolean)) ?v_39)) (=> ?v_36 ?v_37) (=> ?v_38 ?v_44) (=> ?v_40 (and (= true_term (is literal_346_11_5_ T_java_lang_Long)) ?v_39)) (=> ?v_41 (and (= true_term (is literal_346_11_5_ T_java_lang_Float)) ?v_39)) (=> ?v_42 (and (= true_term (is literal_346_11_5_ T_java_lang_Double)) ?v_39)) (=> ?v_34 (and (= true_term (is literal_346_11_5_ T_java_lang_String)) ?v_39)) (=> ?v_43 ?v_44))) (not ?v_167))))))))) (and (or (and ?v_9 ?v_10 ?v_45 ?v_46 ?v_12 ?v_12 ?v_47 ?v_48 ?v_13 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_64 ?v_65 ?v_66 ?v_67 ?v_68 ?v_69 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 ?v_118 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_126 ?v_127 ?v_128 ?v_129 ?v_130 ?v_131 ?v_132 ?v_133 ?v_134 ?v_135 ?v_136 ?v_137 ?v_138 ?v_139 ?v_140 ?v_141 ?v_142 ?v_143 ?v_144 ?v_145 ?v_146 ?v_147 ?v_148 ?v_149 ?v_150 ?v_151 ?v_152 ?v_153 ?v_154 ?v_155 ?v_156 ?v_157 ?v_158 ?v_159 ?v_160 ?v_161 ?v_162 ?v_163 ?v_164 ?v_165 ?v_32 ?v_12 ?v_166 ?v_167 (= true_term (is RES_388_26_388_26 T_javafe_ast_LiteralExpr)) (= true_term (isAllocated RES_388_26_388_26 alloc_6_)) ?v_168 (=> ?v_168 (not (= RES_388_26_388_26 null))) (= init_388_7 (S_store init_35_20_17 field_342_1 RES_388_26_388_26)) ?v_169 (= XRES_342_25 XRES_388_26_388_26)) (and ?v_9 ?v_10 ?v_45 ?v_46 ?v_12 ?v_12 ?v_47 ?v_48 ?v_13 ?v_49 ?v_50 ?v_51 ?v_52 ?v_53 ?v_54 ?v_55 ?v_56 ?v_57 ?v_58 ?v_59 ?v_60 ?v_61 ?v_62 ?v_63 ?v_64 ?v_65 ?v_66 ?v_67 ?v_68 ?v_69 ?v_70 ?v_71 ?v_72 ?v_73 ?v_74 ?v_75 ?v_76 ?v_77 ?v_78 ?v_79 ?v_80 ?v_81 ?v_82 ?v_83 ?v_84 ?v_85 ?v_86 ?v_87 ?v_88 ?v_89 ?v_90 ?v_91 ?v_92 ?v_93 ?v_94 ?v_95 ?v_96 ?v_97 ?v_98 ?v_99 ?v_100 ?v_101 ?v_102 ?v_103 ?v_104 ?v_105 ?v_106 ?v_107 ?v_108 ?v_109 ?v_110 ?v_111 ?v_112 ?v_113 ?v_114 ?v_115 ?v_116 ?v_117 ?v_118 ?v_119 ?v_120 ?v_121 ?v_122 ?v_123 ?v_124 ?v_125 ?v_126 ?v_127 ?v_128 ?v_129 ?v_130 ?v_131 ?v_132 ?v_133 ?v_134 ?v_135 ?v_136 ?v_137 ?v_138 ?v_139 ?v_140 ?v_141 ?v_142 ?v_143 ?v_144 ?v_145 ?v_146 ?v_147 ?v_148 ?v_149 ?v_150 ?v_151 ?v_152 ?v_153 ?v_154 ?v_155 ?v_156 ?v_157 ?v_158 ?v_159 ?v_160 ?v_161 ?v_162 ?v_163 ?v_164 ?v_165 (not ?v_32) (= EC_342_25 EC_5_) (= XRES_342_25 XRES_5_))) (not (or ?v_169 (and (= EC_342_25 ecThrow) (= (PO_LT (typeof XRES_342_25) T_java_lang_ClassFormatError) true_term)))))))))))))))))))))))))))))))
(check-sat)
(exit)
